import { EntityDragEvent } from './../ng3/controls/mouse/mouse-entity.service';
import { LineModel, Plane2Model, CrossLineModel } from './../ng3/model';
import { Observable } from 'rxjs';
import { EventEmitter } from '@angular/core';
import { Vector3 } from 'three';
export interface CrossLine {
    vertical: LineModel;
    horizontal: LineModel;
}
export declare type View = 'x' | 'y' | 'z';
export interface LineInputModel {
    id: string;
    position: Vector3;
    view: View;
    crosslineLength: number;
}
export declare class CrossLineComponent {
    model$: Observable<Plane2Model>;
    posX: number;
    posY: number;
    private imageSubject;
    image$: Observable<Plane2Model>;
    models$: Observable<CrossLine>;
    lineTest: LineModel;
    models: CrossLine;
    private crosslineSubject;
    crossline$: Observable<CrossLineModel>;
    drag: EventEmitter<EntityDragEvent>;
    z: number;
    model: CrossLineModel;
    constructor();
    plotCrossLine(m: CrossLineModel): CrossLine;
    onDragEvent(d: EntityDragEvent): void;
    ngOnDestroy(): void;
    updatePos(m: CrossLineModel): void;
}
