import { EntityDragEvent } from './../../ng3/controls/mouse/mouse-entity.service';
import { Ng3MosueWheelEvent } from './../../ng3/controls/mouse/mouse-canvas.service';
import { SceneService } from './../../ng3/components/scene.service';
import { BoundingBox2 } from './../../ng3/share/boundingbox2';
import { EventEmitter } from '@angular/core';
import { Vector3 } from 'three';
import { Observable } from 'rxjs';
import { ImageState } from '../share/model';
import { RGBImage2 } from '../share/image';
export interface ShowImageIntensity {
    pos: Vector3;
    index: Vector3;
    intensity: number;
}
export interface Display2DProperty {
    image: RGBImage2;
    rotation: Vector3;
}
export declare class Image3dComponent {
    private sceneService;
    image$: Observable<Display2DProperty>;
    private boxSubject;
    box$: Observable<BoundingBox2>;
    box: BoundingBox2;
    resize: 'image' | 'canvas' | 'fix';
    pos: Vector3;
    scroll: EventEmitter<Ng3MosueWheelEvent>;
    drag: EventEmitter<EntityDragEvent>;
    private stateSubject;
    state$: Observable<ImageState>;
    image: ImageState;
    z: number;
    constructor(sceneService: SceneService);
    onScroll(e: Ng3MosueWheelEvent): void;
    onDrag(d: EntityDragEvent): void;
    getDisplay2DProperty(state: ImageState, box: BoundingBox2): {
        image: RGBImage2;
        rotation: Vector3;
    };
    getImage(state: ImageState, box: BoundingBox2): RGBImage2;
    private imageBox;
}
