import { Observable } from 'rxjs';
import { RGBImage2, GrayImage2 } from './image';
export declare function applyColormapObservable(image: Observable<GrayImage2>, colormap: Observable<Colormap>): Observable<RGBImage2>;
export declare function imageMinMax(image: GrayImage2, min: number, max: number): GrayImage2;
export declare function applyColormap(image: GrayImage2, colormap: Colormap): RGBImage2;
export interface Colormap {
    readonly name: string;
    r(x: number): number;
    g(x: number): number;
    b(x: number): number;
}
export declare namespace Colormaps {
    const GRAY: Colormap;
    const HOT: Colormap;
}
