import { Vector3, Vector2 } from 'three';
interface ImageMeta<T> {
    center: T;
    size: T;
    shape: T;
}
interface Image<P, T> {
    meta: ImageMeta<T>;
    pixel(i: number): P;
}
export declare class GrayImage3 implements Image<number, Vector3> {
    meta: ImageMeta<Vector3>;
    data: Float32Array;
    constructor(center: Vector3, size: Vector3, shape: Vector3, data: Float32Array);
    pixel(i: number): number;
    pixel3(x: number, y: number, z: number): number;
}
export declare class GrayImage2 implements Image<number, Vector2> {
    meta: ImageMeta<Vector2>;
    data: Float32Array;
    pixel(i: number): number;
    constructor(center: Vector2, size: Vector2, shape: Vector2, data: Float32Array);
    min(): number;
    max(): number;
}
export interface RGBPixel {
    r: number;
    g: number;
    b: number;
}
export declare class RGBImage2 implements Image<RGBPixel, Vector2> {
    readonly r: Uint8Array;
    readonly g: Uint8Array;
    readonly b: Uint8Array;
    meta: ImageMeta<Vector2>;
    constructor(center: Vector2, size: Vector2, shape: Vector2, r: Uint8Array, g: Uint8Array, b: Uint8Array);
    pixel(index: number): RGBPixel;
}
export {};
