import { EntityModel } from './../../ng3/model';
import { GrayImage3 } from './image';
import { Vector3, Vector2, Color } from 'three';
import { Colormap } from './colormap';
import { Slicer } from './slice';
import { GrayImage2WindowFilter } from './filter';
export declare class ImageState {
    id: string;
    image: GrayImage3;
    colormap: Colormap;
    slicer: Slicer;
    filter: GrayImage2WindowFilter;
    minMax: Vector2;
    rotation: Vector3;
    constructor(id: string, image?: GrayImage3, colormap?: Colormap, slicer?: Slicer, filter?: GrayImage2WindowFilter, minMax?: Vector2, rotation?: Vector3);
}
export declare class EntityState {
    canvasId: string;
    id: string;
    model: EntityModel;
    color: Color;
    constructor(canvasId: string, id: string, model: EntityModel, color?: Color);
}
export declare class CanvasState {
    id: string;
    constructor(id: string);
}
export interface ImageWindow {
    width: number;
    level: number;
}
