import { Observable } from 'rxjs';
import { GrayImage3, GrayImage2 } from './image';
export declare function applySlicer(image3: Observable<GrayImage3>, slicer: Observable<Slicer>): Observable<GrayImage2>;
export declare type SliceDirection = 'x' | 'y' | 'z';
export declare class Slicer {
    readonly direction: SliceDirection;
    readonly index: number;
    readonly min: number;
    readonly max: number;
    constructor(direction?: SliceDirection, index?: number, min?: number, max?: number);
    updateBoundmax(max: number): Slicer;
    updateBoundmin(min: number): Slicer;
    updateIndex(index: number): Slicer;
    addIndex(a: number): Slicer;
    updateDirection(direction: SliceDirection, image?: GrayImage3): Slicer;
    shapeOfDirection(img: GrayImage3): number;
    slice(img: GrayImage3): GrayImage2;
}
export declare function imageShapeOfDirection(img: GrayImage3, direction: SliceDirection): number;
