import { ImageState } from './../image-slice-show/share/model';
import { Observable } from 'rxjs';
import { Vector3 } from 'three';
import { GrayImage3 } from '../image-slice-show/share/image';
import { SliceDirection } from '../image-slice-show/share/slice';
import { Colormap } from '../image-slice-show/share/colormap';
import { StoreByArray, WithId } from '../share/store';
export declare function initialImageTestState(): ImageState;
export declare function initialImageTest2State(): ImageState;
export declare class ImageStoreService {
    imageStateStore: StoreByArray<WithId, ImageState>;
    private selectedIdsSubject;
    selected$: Observable<ImageState[]>;
    constructor();
    image$(id: string): Observable<ImageState>;
    currentImage(id: string): ImageState;
    addImage(image: GrayImage3): Observable<string>;
    select(image: ImageState): void;
    clearAllSelect(): void;
    updateImage(state: ImageState, image: GrayImage3): void;
    updateColormap(image: ImageState, colormap: Colormap): void;
    updateAllSelectedColormap(colormap: Colormap): void;
    updateWidthLevelFilter(image: ImageState, width: number, level: number): void;
    addWidthByStep(image: ImageState, add: number): void;
    addLevelByStep(image: ImageState, add: number): void;
    addWidthLevelFilterByStep(image: ImageState, addWidth: number, addLevel: number): void;
    updateDirection(image: ImageState, direction: SliceDirection): void;
    updateIndex(image: ImageState, index: number): void;
    addIndex(image: ImageState, offset: number): void;
    updateMinMax(min: number, max: number): void;
    updateRotation(image: ImageState, EulerianAngle: Vector3): void;
    addRotation(image: ImageState, offset: Vector3): void;
    mapToAllSelected(op: (image: ImageState) => void): void;
    mapById<T>(id: string, op: (image: ImageState) => T): T;
}
