import { BehaviorSubject, Observable } from 'rxjs';
import { ImageStoreService } from '../image-store/image-store.service';
import { ImageState } from '../image-slice-show/share/model';
import { GrayImage3 } from '../image-slice-show/share/image';
export interface ImageCanvasBind {
    image: string;
    canvas: string;
}
export interface ComponentCanvasBind {
    component: string;
    canvas: string;
}
export declare class MultiCanvasService {
    private imageStoreService;
    selectedSubject: BehaviorSubject<string[]>;
    readonly selected$: Observable<string[]>;
    private imageCanvasBindsSubject;
    readonly imageCanvas$: Observable<ImageCanvasBind[]>;
    componentCanvasSubject: BehaviorSubject<ComponentCanvasBind[]>;
    componentCanvas$: Observable<ComponentCanvasBind[]>;
    private withCrossLineCanvasSubject;
    withCrossLineCanvas$: Observable<string[]>;
    readonly selectedImageIds$: Observable<string[]>;
    readonly selectedImages$: Observable<ImageState[]>;
    constructor(imageStoreService: ImageStoreService);
    isSelected$(canvas: string): Observable<boolean>;
    isWithCanvas$(c: string): Observable<boolean>;
    addCanvasTo(component: string): string;
    canvasOf(component: string): Observable<string[]>;
    imageOf$(canvas: string): Observable<ImageState>;
    viewOf$(canvas: string): Observable<import("../../public_api").SliceDirection>;
    select(canvasId: string): void;
    private imageIdOf;
    mapOnCanvas<T>(canvas: string, op: (image: ImageState) => T): T;
    loadToCanvas(canvas: string, image: GrayImage3): void;
    mapSelectedCanvas<T>(op: (canvas: string) => T): void;
}
