import { GetStackService } from './../../ng3/volume-rendering/get-stack.service';
import { EventDistributeService } from './../../ng3/event-distribute/event-distribute.service';
import { HttpImageLoaderService } from './../../image-store/http-image-loader/http-image-loader.service';
import { GrayImage2, GrayImage3 } from './../../image-slice-show/share/image';
import { Fovs } from './../../ng3/event-distribute/event-distribute.component';
import { CubeModel, SphereModel, CircleModel, Plane2Model, RingModel, OBJModel, VRMLModel, UserDefinedModel, ProfileModel, CrossLineModel, VolumeModel } from './../../ng3/model';
import { LineInputModel } from './../../cross-line/cross-line.component';
import { EntityDragEvent } from './../../ng3/controls/mouse/mouse-entity.service';
import { ImageStoreService } from './../../image-store/image-store.service';
import { ImageState } from './../../image-slice-show/share/model';
import { BoundingBox2, BoundingBox2FromCenterSize } from './../../ng3/share/boundingbox2';
import { OnInit, EventEmitter, OnDestroy, AfterContentInit } from '@angular/core';
import { BehaviorSubject, Observable } from 'rxjs';
import { Vector2, Vector3 } from 'three';
import { MultiCanvasService, ImageCanvasBind } from '../multi-canvas.service';
import { Ng3MosueWheelEvent } from '../../ng3/controls/mouse/mouse-canvas.service';
import { View } from '../../cross-line/cross-line.component';
import { CornerInfoService } from '../../corner-info/corner-info.service';
import { GroupedcrosslineService } from '../../cross-line/groupedcrossline.service';
import { ShowImageIntensity } from '../../image-slice-show/image3d/image3d.component';
import { EntityStoreService } from '../../entity-store/entity-store.service';
export declare class MultiSliceCanvasComponent implements OnInit, OnDestroy, AfterContentInit {
    service: MultiCanvasService;
    imageStoreService: ImageStoreService;
    private infoService;
    private crosslineService;
    entityStoreService: EntityStoreService;
    private loadService;
    private distributionService;
    private getStack;
    image3Subject: BehaviorSubject<GrayImage3>;
    image3$: Observable<GrayImage3>;
    fovs: EventEmitter<Fovs>;
    image3: GrayImage3;
    image2: GrayImage2;
    tomo: GrayImage2;
    tomoSize: Vector2;
    normalSize: Vector2;
    threeDSize: Vector2;
    tomoCameraSize: Vector2;
    normalCameraSize: Vector2;
    threeDCameraSize: Vector2;
    tomoCamera: BoundingBox2FromCenterSize;
    normalCamera: BoundingBox2FromCenterSize;
    threeDCamera: BoundingBox2FromCenterSize;
    id: string;
    image2$: Observable<GrayImage2>;
    canvasSelected: string;
    viewSelected: View;
    circleSubject: BehaviorSubject<CircleModel>;
    ringSubject: BehaviorSubject<RingModel>;
    circleMain: Observable<CircleModel>;
    ringMain: Observable<RingModel>;
    planeSubject: BehaviorSubject<BoundingBox2>;
    planeMain: Observable<BoundingBox2>;
    ringModelTemp: RingModel;
    shapePos: Vector2[];
    shapeSubject: BehaviorSubject<UserDefinedModel>;
    shapeMain: Observable<UserDefinedModel>;
    canvas$: Observable<string[]>;
    canvasTo: string;
    canvasVolume: string[];
    canvas3D: string;
    profile: number[];
    profileSubject: BehaviorSubject<ProfileModel>;
    profileMain: Observable<ProfileModel>;
    profileTest: ProfileModel;
    imageInfo: ShowImageIntensity;
    cube: CubeModel;
    sphere: SphereModel;
    plane: Plane2Model;
    obj: OBJModel;
    vrml: VRMLModel;
    circle: CircleModel;
    ring: RingModel;
    volume: VolumeModel;
    imageCanvasSubject: BehaviorSubject<ImageCanvasBind[]>;
    imageCanvas$: Observable<ImageCanvasBind[]>;
    lineSubject: BehaviorSubject<LineInputModel>;
    lineMain$: Observable<LineInputModel>;
    outPost: Vector3;
    imgBoundingBox: BoundingBox2;
    cameraSize: BoundingBox2FromCenterSize;
    top_left_info: any[];
    top_right_info: any[];
    bottom_left_info: any[];
    bottom_right_info: any[];
    info: Observable<string[]>;
    info2: string[];
    position2: Vector2;
    a: number;
    crossline: CrossLineModel;
    s: number;
    selecteImages: EventEmitter<ImageState[]>;
    eventHandler: import("../../ng3/event-distribute/event-distribute.service").EventHandler;
    fovHandler: import("../../ng3/event-distribute/event-distribute.service").FovHandler;
    constructor(service: MultiCanvasService, imageStoreService: ImageStoreService, infoService: CornerInfoService, crosslineService: GroupedcrosslineService, entityStoreService: EntityStoreService, loadService: HttpImageLoaderService, distributionService: EventDistributeService, getStack: GetStackService);
    updateToCanvas(canvas: string, image: GrayImage3): void;
    resize(): void;
    select(canvas: string, index: any): void;
    addCanvas(): void;
    imageOf$(canvas: string): Observable<ImageState>;
    viewOf$(canvas: string): Observable<import("../../../public_api").SliceDirection>;
    scrollImageOfCanvas(canvas: string, e: Ng3MosueWheelEvent): void;
    dragWidthOfImage(canvas: string, d: EntityDragEvent): void;
    entitiesOfCanvas(canvas: string): Observable<import("../../image-slice-show/share/model").EntityState[]>;
    dragRing(d: EntityDragEvent, canvasId: string): void;
    getPointPos(d: Event): void;
    getPointPos2(): void;
    dragPlane(d: EntityDragEvent): void;
    dragLine(canvas: string, d: EntityDragEvent): void;
    dragCrossline(d: EntityDragEvent, canvasId: string): void;
    getImageInfo(image: ImageState, box: BoundingBox2, cross: LineInputModel[]): void;
    setOutPos(e: Vector3): void;
    setImageInfo(d: ShowImageIntensity): void;
    isSelected$(canvas: string): Observable<boolean>;
    isWithCanvas(c: string): Observable<boolean>;
    dragLevelOfImage(canvas: string, d: EntityDragEvent): void;
    dragWidthLevelOfImage(canvas: string, d: EntityDragEvent): void;
    displayFovs(value: Fovs): void;
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
