import { OrbitControlsComponent } from './../../controls/orbit-controls/orbit-controls.component';
import { PerspectiveCameraComponent } from './../perspective-camera/perspective-camera.component';
import { OnInit, AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { Vector2, PerspectiveCamera, OrthographicCamera } from 'three';
import { OrthographicCameraComponent } from '../orthographic-camera/orthographic-camera.component';
import { SceneService } from '../scene.service';
import { CanvasService } from '../canvas.service';
import { RendererService } from '../renderer.service';
import { MouseCanvasService } from '../../controls/mouse/mouse-canvas.service';
export declare class CanvasComponent implements OnInit, AfterViewInit, OnDestroy {
    private elRef;
    private scene;
    private canvasService;
    renderer: RendererService;
    mouse: MouseCanvasService;
    debug: boolean;
    size: Vector2;
    htmlCanvas: ElementRef<HTMLCanvasElement>;
    diagnosis: boolean;
    orthographicCamera: OrthographicCameraComponent;
    perspectiveCamera: PerspectiveCameraComponent;
    orbitControls: OrbitControlsComponent;
    readonly camera: OrthographicCamera | PerspectiveCamera;
    readonly controls: OrthographicCamera | PerspectiveCamera;
    constructor(elRef: ElementRef<HTMLElement>, scene: SceneService, canvasService: CanvasService, renderer: RendererService, mouse: MouseCanvasService);
    render(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    logScene(): void;
}
