import { OnDestroy } from '@angular/core';
import { Scene, Vector2, Object3D } from 'three';
import { BoundingBox2 } from '../share/boundingbox2';
import { CanvasService } from './canvas.service';
export declare class SceneService implements OnDestroy {
    private canvas;
    readonly scene: Scene;
    private renders;
    readonly render$: import("rxjs").Observable<void>;
    private sizes;
    readonly size$: import("rxjs").Observable<BoundingBox2>;
    readonly size: BoundingBox2;
    constructor(canvas: CanvasService);
    add(entity: Object3D): void;
    remove(entity: Object3D): void;
    resize(box: BoundingBox2): void;
    ngOnDestroy(): void;
    clientSize2SceneSize(client: Vector2): Vector2;
    clientPosition2ScenePosition(client: Vector2): Vector2;
    scenePosition2ClientPotision(scene: Vector2): Vector2;
}
