import { MultiCanvasService } from './../../../multi-canvas/multi-canvas.service';
import { ZStoreService } from './../../z-store.service';
import { EntityDragEvent } from './../../controls/mouse/mouse-entity.service';
import { Ng3MosueWheelEvent } from './../../controls/mouse/mouse-canvas.service';
import { Observable } from 'rxjs';
import { EntityModel, Plane2Model } from './../../model';
import { EventEmitter } from '@angular/core';
import { EntityStoreService } from '../../../entity-store/entity-store.service';
export declare class ToolEntityComponent {
    private zStoreService;
    private entityStoreService;
    private multiCanvasService;
    private toolEntitySubject;
    toolModel$: Observable<EntityModel>;
    model: EntityModel;
    drag: EventEmitter<EntityDragEvent>;
    scroll: EventEmitter<Ng3MosueWheelEvent>;
    plane$: Observable<Plane2Model>;
    z$: Observable<number>;
    private imageSubject;
    image$: Observable<Plane2Model>;
    constructor(zStoreService: ZStoreService, entityStoreService: EntityStoreService, multiCanvasService: MultiCanvasService);
    onWheelEvent(e: Ng3MosueWheelEvent): void;
    onDragEvent(d: EntityDragEvent): void;
    dragRing(d: EntityDragEvent): void;
    dragLine(): void;
    dragCrossline(d: EntityDragEvent): void;
}
