import { OnDestroy } from '@angular/core';
import { CanvasService } from '../../components/canvas.service';
import { Observable } from 'rxjs';
import { Vector2, Vector3, Object3D } from 'three';
import { SceneService } from '../../components/scene.service';
export interface Ng3MosueWheelEvent {
    position: Vector2;
    delta: number;
    event: WheelEvent;
}
export declare class MouseCanvasService implements OnDestroy {
    private canvas;
    private sceneService;
    private ray;
    constructor(canvas: CanvasService, sceneService: SceneService);
    private stop;
    readonly hover$: Observable<boolean>;
    readonly position$: Observable<Vector2>;
    readonly down$: Observable<Vector2>;
    readonly downWithButton$: Observable<{
        position: Vector2;
        original: MouseEvent;
    }>;
    readonly up$: Observable<Vector2>;
    readonly leave$: Observable<Vector2>;
    readonly wheel$: Observable<Ng3MosueWheelEvent>;
    ngOnDestroy(): void;
    private fromEventCurrentPosition;
    private createHover$;
    intersectObject(origin: Vector3, direction: Vector3, object?: Object3D): import("three").Intersection[];
}
