import { EntityModel } from './../../model';
import { OnDestroy } from '@angular/core';
import { MouseCanvasService, Ng3MosueWheelEvent } from './mouse-canvas.service';
import { Observable } from 'rxjs';
import { OrthographicCamera, Vector2 } from 'three';
import { EntityComponent } from '../../components/share/entity-component';
export interface EntityDragEvent {
    origin: Vector2;
    relativeCenter: Vector2;
    current: Vector2;
}
export declare class MouseEntityService implements OnDestroy {
    private mouseCanvas;
    private entity2;
    private stop;
    private camera;
    private cameraDirection;
    readonly down$: Observable<Vector2>;
    readonly click$: Observable<void>;
    readonly drag$: Observable<EntityDragEvent>;
    readonly hover$: Observable<boolean>;
    readonly wheel$: Observable<Ng3MosueWheelEvent>;
    constructor(mouseCanvas: MouseCanvasService, entity2: EntityComponent<EntityModel>);
    private createClick$;
    private createDown$;
    private createWheel$;
    private isOnThisEntity;
    private createDrag$;
    ngOnDestroy(): void;
    setCamera(camera: OrthographicCamera): void;
}
