import { OnInit, EventEmitter } from '@angular/core';
import { CanvasService } from '../../components/canvas.service';
import { RendererService } from '../../components/renderer.service';
import { Vector3, OrthographicCamera, PerspectiveCamera } from 'three';
import { MouseCanvasService } from '../mouse/mouse-canvas.service';
import { Subject } from 'rxjs';
export declare class OrbitControlsComponent implements OnInit {
    private canvasService;
    private rendererService;
    private mouse;
    enabled: boolean;
    enableDamping: boolean;
    dampingFactor: number;
    enableZoom: boolean;
    zoomSpeed: number;
    enableRotate: boolean;
    rotateSpeed: number;
    enablePan: boolean;
    panSpeed: number;
    screenSpacePanning: boolean;
    keyPanSpeed: number;
    autoRotate: boolean;
    autoRotateSpeed: number;
    enableKeys: boolean;
    change: EventEmitter<void>;
    private zoomRange;
    readonly domElement: any;
    private rotate;
    private dolly;
    private pan;
    readonly target: Vector3;
    state: 'none' | 'busy' | 'rotate' | 'dolly' | 'pan' | 'touch-rotate' | 'touch-dolly-pan';
    scale: number;
    private zoomChanged;
    private position;
    private zoom;
    private target0;
    private position0;
    private zoom0;
    stop: Subject<void>;
    readonly camera: OrthographicCamera | PerspectiveCamera;
    constructor(canvasService: CanvasService, rendererService: RendererService, mouse: MouseCanvasService);
    saveState(): void;
    reset(): void;
    update(): boolean;
    private readonly autoRotationAngle;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
}
