import { BoundingBox2, BoundingBox2FromLRTB } from '../../share/boundingbox2';
import { Plane2Model } from '../../model';
import { Vector2 } from 'three';
export declare type ScaleDirection = 'top' | 'bottom' | 'left' | 'right';
export interface CornerDirection {
    x: 'left' | 'right';
    y: 'top' | 'bottom';
}
export interface Ng3EdgeResizeEvent {
    type: 'edge';
    direction: ScaleDirection;
    to: number;
}
export interface Ng3CornerResizeEvent {
    type: 'corner';
    direction: CornerDirection;
    to: Vector2;
}
export declare type Ng3ScaleEvent = Ng3CornerResizeEvent | Ng3CornerResizeEvent;
export declare function updateBoxByDirection(direction: ScaleDirection, value: number, b: BoundingBox2): BoundingBox2FromLRTB;
export declare function resizePlane2ModelByEdge(e: Ng3EdgeResizeEvent, model: Plane2Model): Plane2Model;
export declare function resizePlane2ModelByCorner(e: Ng3CornerResizeEvent, model: Plane2Model): Plane2Model;
