import { OnInit, OnDestroy, EventEmitter } from '@angular/core';
import { Plane2Model } from '../../../model';
import { Ng3CornerResizeEvent, CornerDirection } from '../resize-helper';
import { CanvasService } from '../../../components/canvas.service';
import { EntityDragEvent } from '../../mouse/mouse-entity.service';
export declare class ResizePlaneCornerComponent implements OnInit, OnDestroy {
    private canvas;
    model: Plane2Model | undefined;
    direction: CornerDirection;
    z: number;
    resize: EventEmitter<Ng3CornerResizeEvent>;
    constructor(canvas: CanvasService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setStyle(isHover: boolean): void;
    private cursorStyle;
    onDrag(e: EntityDragEvent, direction: CornerDirection): void;
}
export declare enum CursorStyle {
    Default = "default",
    Move = "move",
    Auto = "auto",
    EWResize = "ew-resize",
    NSResize = "ns-resize",
    NESWResize = "nesw-resize",
    NWSEResize = "nwse-resize"
}
