import { OnInit, EventEmitter } from '@angular/core';
import { Observable } from 'rxjs';
import { Plane2Model, PlaneTextureData } from '../../model';
import { EntityDragEvent } from '../mouse/mouse-entity.service';
import { ScaleDirection, CornerDirection, Ng3EdgeResizeEvent, Ng3CornerResizeEvent } from './resize-helper';
export declare class ResizePlaneComponent implements OnInit {
    readonly edgeDirections: ScaleDirection[];
    readonly cornerDirections: CornerDirection[];
    private modelSubject;
    readonly model$: Observable<Plane2Model>;
    readonly models$: Observable<{
        main: Plane2Model;
        bars: {
            [d: string]: Plane2Model;
        };
        corners: {
            direction: CornerDirection;
            model: Plane2Model;
        }[];
    }>;
    initialied: boolean;
    model: Plane2Model;
    z: number;
    mainTexture: PlaneTextureData;
    barTexture: PlaneTextureData;
    resizeEdge: EventEmitter<Ng3EdgeResizeEvent>;
    resizeCorner: EventEmitter<Ng3CornerResizeEvent>;
    constructor();
    ngOnInit(): void;
    private createBars;
    private createCorners;
    onDragBar(e: EntityDragEvent, direction: ScaleDirection): void;
    onResizeEdge(e: Ng3EdgeResizeEvent): void;
    onResizeCorner(e: Ng3CornerResizeEvent): void;
    onDragCorner(e: EntityDragEvent, direction: CornerDirection): void;
    modelOf(direction: CornerDirection, models: {
        direction: CornerDirection;
        model: Plane2Model;
    }[]): Plane2Model;
}
