import { Item } from './../share/store';
import { EntityModel, ModelOf, ModelType } from './model';
import { Observable, Subject } from 'rxjs';
import { Vector3 } from 'three';
import { CanvasComponent } from './components/canvas/canvas.component';
export declare class EntitiesService {
    nextImage$: Subject<void>;
    private models;
    constructor(canvas: CanvasComponent);
    currentModels(): Item<EntityModel>[];
    getModel$<K extends ModelType>(type: K, id: string): Observable<Item<ModelOf<K>>>;
    addModel(model: EntityModel, id?: string): Observable<string>;
    update(item: Item<EntityModel>): Observable<never>;
    testLine(): Observable<{
        type: "line";
        start: Vector3;
        end: Vector3;
        style: "Solid" | "Dashed";
        color: import("three").Color;
        id: string;
    }>;
    testSequenceImage(): Observable<import("../../public_api").GrayImage2>;
    testWebSocketLine(): void;
}
