import { Boundingbox2Controller, BoundingBox2FromCenterSize } from './../share/boundingbox2';
import { EntityStoreService } from './../../entity-store/entity-store.service';
import { MultiCanvasService } from './../../multi-canvas/multi-canvas.service';
import { Vector2 } from 'three';
import { EventHandler, FovHandler } from './event-distribute.service';
import { Subject } from 'rxjs';
import { MouseCanvasService } from './../controls/mouse/mouse-canvas.service';
import { CanvasService } from './../components/canvas.service';
import { OnInit, EventEmitter, AfterContentInit } from '@angular/core';
export interface Fovs {
    fov1: BoundingBox2FromCenterSize;
    fov2: BoundingBox2FromCenterSize;
    fov3: BoundingBox2FromCenterSize;
}
export declare class EventDistributeComponent implements OnInit, AfterContentInit {
    private canvasService;
    private mouse;
    stop: Subject<void>;
    fovs: EventEmitter<Fovs>;
    readonly domElement: any;
    eventHandler: EventHandler;
    fovHandler: FovHandler;
    entityStore: any;
    multiCanvas: any;
    private crossline;
    private fov;
    private ring;
    constructor(canvasService: CanvasService, mouse: MouseCanvasService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
}
declare class MouseController {
    eventEnbable: boolean;
    private _activated;
    protected origin: Vector2;
    protected start: Vector2;
    protected end: Vector2;
    protected delta: Vector2;
    protected delta2: Vector2;
    protected boxController: Boundingbox2Controller;
    readonly activated: boolean;
    activate(): void;
    deactivate(): void;
    constructor(eventEnbable: boolean);
    onMouseUp(): void;
}
export declare class FovController extends MouseController {
    private multiCanvas;
    private entityStore;
    private onBox;
    private fovHandler;
    private activeFov;
    fovs: BoundingBox2FromCenterSize[];
    constructor(eventEnable: boolean, multiCanvas: MultiCanvasService, entityStore: any);
    onMouseWheel(): void;
    onMouseDown(position: Vector2, fovHandler: FovHandler): void;
    onMouseMove(position: Vector2): void;
    dragFov(current: Vector2): void;
    fovEvent(origin: Vector2, delta: Vector2, current: Vector2, i: number): void;
}
export declare class CrosslineController extends MouseController {
    private multiCanvas;
    private entityStore;
    constructor(eventEnable: boolean, multiCanvas: MultiCanvasService, entityStore: EntityStoreService);
    onMouseDown(position: Vector2): void;
    onMouseWheel(): void;
    onMouseMove(position: Vector2): void;
    dragCrossline(current: Vector2): void;
}
export declare class RingContrller extends MouseController {
    private multiCanvas;
    private entityStore;
    private onBox;
    constructor(eventEnable: boolean, multiCanvas: MultiCanvasService, entityStore: EntityStoreService);
    onMouseDown(position: Vector2): void;
    onMouseWheel(): void;
    onMouseMove(position: Vector2): void;
    dragRing(origin: Vector2, delta: Vector2, current: Vector2): void;
    ResizeRing(origin: Vector2, delta: Vector2): void;
}
export {};
