import { Vector3 } from 'three';
export declare class Patient {
    name: string;
    imageId: number;
    birthday: Date;
    sex: string;
    age: number;
    description: string;
    ima: number;
    position: number;
    type: 'patient';
    constructor(name: string, imageId: number, birthday: Date, sex: string, age: number, description: string, ima: number, position: number);
}
export declare class Hospital {
    name: string;
    device: string;
    model: string;
    patientPosition: string;
    type: 'hospital';
    constructor(name: string, device: string, model: string, patientPosition: string);
}
export declare class Scale {
    scale: number;
    direction: string;
    type: 'scale';
    constructor(scale: number, direction: string);
}
export declare class Physics {
    voltage: number;
    current: number;
    angle: number;
    depth: number;
    type: 'physics';
    constructor(voltage: number, current: number, angle: number, depth: number);
}
export declare class Zoom {
    window: string;
    level: string;
    zoom: string;
    type: 'zoom';
    constructor(window: string, level: string, zoom: string);
}
export declare class Ring {
    center: Vector3;
    Radius: number;
    type: 'ring';
    area: number;
    constructor(center: Vector3, Radius: number);
}
export declare type Info = Patient | Hospital | Scale | Physics | Zoom | Ring;
export declare type InfoType = Info['type'];
export declare type InfoOf<K extends InfoType> = Extract<Info, {
    type: K;
}>;
