import { Injectable, defineInjectable, Component, NgModule, Input, EventEmitter, Output, Renderer2, Inject, ElementRef, inject, ViewChild, ContentChild, forwardRef, Optional, ChangeDetectionStrategy } from '@angular/core';
import { CommonModule, DOCUMENT } from '@angular/common';
import { BehaviorSubject, noop, interval, Subject, Observable, combineLatest, of, fromEvent, merge } from 'rxjs';
import { Vector3, Color, Vector2, Box2, Scene, WebGLRenderer, Texture, Object3D, Mesh, DoubleSide, BoxGeometry, Matrix4 as Matrix4$1, ShaderMaterial, DataTexture, UnsignedByteType, UVMapping, ClampToEdgeWrapping, NearestFilter, Box3, Raycaster, Triangle, RGBAFormat, RGBFormat, CircleGeometry, MeshBasicMaterial, MOUSE, Quaternion, Spherical, OrthographicCamera, PerspectiveCamera, AxesHelper, Geometry, LineDashedMaterial, Line, LineBasicMaterial, CubeGeometry, PlaneGeometry, SphereGeometry, RingGeometry, MeshNormalMaterial, OBJLoader, Group, TextureLoader, DefaultLoadingManager, LoaderUtils, FileLoader, BufferAttribute, AmbientLight, PointLight, SpotLight, SphereBufferGeometry, BackSide, VertexColors, BoxBufferGeometry, CylinderBufferGeometry, BufferGeometry, Float32BufferAttribute, MeshPhongMaterial } from 'three';
import { map, mapTo, filter, scan, startWith, distinctUntilChanged, tap, switchMap, takeUntil, first, share } from 'rxjs/operators';
import { Matrix4 } from 'three/src/math/Matrix4';
import { v4 } from 'uuid';
import { ArrayCollectionOf, ItemStore, Database } from 'pistore';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { WebSocketSubject } from 'rxjs/webSocket';
import { FlexLayoutModule } from '@angular/flex-layout';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageWService {
    constructor() { }
}
ImageWService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root'
            },] }
];
/** @nocollapse */
ImageWService.ctorParameters = () => [];
/** @nocollapse */ ImageWService.ngInjectableDef = defineInjectable({ factory: function ImageWService_Factory() { return new ImageWService(); }, token: ImageWService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageWComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
ImageWComponent.decorators = [
    { type: Component, args: [{
                selector: 'lib-image-w',
                template: `
    <p>
      image-w works!
    </p>
  `
            }] }
];
/** @nocollapse */
ImageWComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class EntityStoreModule {
}
EntityStoreModule.decorators = [
    { type: NgModule, args: [{
                declarations: [],
                imports: [
                    CommonModule
                ],
                exports: []
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CornerInfoComponent {
    constructor() {
        this.canvas_width = 300;
        this.canvas_height = 300;
        this.infoSubject = new BehaviorSubject(['hello', 'ok']);
        this.positionSubject = new BehaviorSubject('bottom-left');
        this.info$ = this.infoSubject.asObservable();
        this.position$ = this.positionSubject.asObservable();
    }
    /**
     * @return {?}
     */
    get info() {
        return this.infoSubject.value;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    set info(i) {
        this.infoSubject.next(i);
    }
    /**
     * @return {?}
     */
    get position() {
        return this.positionSubject.value;
    }
    /**
     * @param {?} p
     * @return {?}
     */
    set position(p) {
        this.positionSubject.next(p);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
}
CornerInfoComponent.decorators = [
    { type: Component, args: [{
                selector: 'corner-info',
                template: "<div [ngClass]=\"[position,'point-event']\"  *ngIf=\"(info$ | async) as infos\" >\n    <p *ngFor=\"let i of infos\" >{{i}}</p>\n</div>\n\n\n<!-- [ngClass]=\"{position: true}\" -->\n",
                styles: ["p{line-height:.5em;color:red;font-size:10px;z-index:10}.top-left{position:absolute;top:5%;left:5%}.top-right{position:absolute;top:5%;left:80%}.bottom-left{position:absolute;top:75%;left:5%;z-index:1}.bottom-right{position:absolute;top:75%;left:80%;z-index:1}.point-event{pointer-events:none}"]
            }] }
];
/** @nocollapse */
CornerInfoComponent.ctorParameters = () => [];
CornerInfoComponent.propDecorators = {
    info: [{ type: Input }],
    position: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CornerInfoModule {
}
CornerInfoModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    CornerInfoComponent,
                ],
                imports: [CommonModule],
                exports: [
                    CornerInfoComponent,
                ],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class GrayImage3 {
    /**
     * @param {?} center
     * @param {?} size
     * @param {?} shape
     * @param {?} data
     */
    constructor(center, size, shape, data) {
        this.meta = { center, size, shape };
        this.data = data;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    pixel(i) {
        return this.data[i];
    }
    /**
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    pixel3(x, y, z) {
        /** @type {?} */
        const result = this.data[x * this.meta.shape.y * this.meta.shape.z + y * this.meta.shape.z + z];
        return result;
    }
}
// export class VolumeImage implements Image<number,Vector3>{
// }
class GrayImage2 {
    /**
     * @param {?} i
     * @return {?}
     */
    pixel(i) {
        return this.data[i];
    }
    /**
     * @param {?} center
     * @param {?} size
     * @param {?} shape
     * @param {?} data
     */
    constructor(center, size, shape, data) {
        this.meta = { center, size, shape };
        this.data = data;
    }
    /**
     * @return {?}
     */
    min() {
        return reduceArrayLike(this.data, Math.min, NaN);
    }
    /**
     * @return {?}
     */
    max() {
        return reduceArrayLike(this.data, Math.max, NaN);
    }
}
/**
 * @template T
 * @param {?} arr
 * @param {?} func
 * @param {?} defaultResult
 * @return {?}
 */
function reduceArrayLike(arr, func, defaultResult) {
    if (arr.length === 0) {
        return defaultResult;
    }
    /** @type {?} */
    let result = arr[0];
    for (let i = 1; i < arr.length; i++) {
        result = func(result, arr[i]);
    }
    return result;
}
class RGBImage2 {
    /**
     * @param {?} center
     * @param {?} size
     * @param {?} shape
     * @param {?} r
     * @param {?} g
     * @param {?} b
     */
    constructor(center, size, shape, r, g, b) {
        this.r = r;
        this.g = g;
        this.b = b;
        this.meta = { center, size, shape };
        this.r = r;
        this.g = g;
        this.b = b;
    }
    /**
     * @param {?} index
     * @return {?}
     */
    pixel(index) {
        return { r: this.r[index], g: this.g[index], b: this.b[index] };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Plane2Model {
    /**
     * @param {?} box
     * @param {?=} z
     * @param {?=} textureData
     * @param {?=} rotation
     * @param {?=} transparent
     * @param {?=} opacity
     * @param {?=} wireFrame
     * @param {?=} color
     */
    constructor(box, z = 10, textureData, rotation = new Vector3(0, 0, 0), transparent = false, opacity = 1, wireFrame = false, color) {
        this.box = box;
        this.z = z;
        this.textureData = textureData;
        this.rotation = rotation;
        this.transparent = transparent;
        this.opacity = opacity;
        this.wireFrame = wireFrame;
        this.color = color;
        this.type = 'plane2';
    }
}
class InfoPlanceModel {
    /**
     * @param {?} box
     * @param {?=} z
     * @param {?=} texture
     * @param {?=} transparent
     * @param {?=} opacity
     * @param {?=} wireFrame
     */
    constructor(box, z = 15, texture, transparent = false, opacity = 1, wireFrame = false) {
        this.box = box;
        this.z = z;
        this.texture = texture;
        this.transparent = transparent;
        this.opacity = opacity;
        this.wireFrame = wireFrame;
        this.type = 'infoplane';
    }
}
class CubeModel {
    /**
     * @param {?} size
     * @param {?} center
     * @param {?} rotate
     */
    constructor(size, center, rotate) {
        this.size = size;
        this.center = center;
        this.rotate = rotate;
        this.type = 'cube';
    }
}
class SphereModel {
    /**
     * @param {?} center
     * @param {?} radius
     * @param {?=} widthSegments
     * @param {?=} heightSegments
     * @param {?=} phiStart
     * @param {?=} phiLength
     * @param {?=} thetaStart
     * @param {?=} thetaLength
     */
    constructor(center, radius, widthSegments = 32, heightSegments = 32, phiStart = 0, phiLength = 2 * Math.PI, thetaStart = 0, thetaLength = 0) {
        this.center = center;
        this.radius = radius;
        this.widthSegments = widthSegments;
        this.heightSegments = heightSegments;
        this.phiStart = phiStart;
        this.phiLength = phiLength;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'sphere';
    }
}
class CircleModel {
    /**
     * @param {?} center
     * @param {?} radius
     * @param {?=} segments
     * @param {?=} thetaStart
     * @param {?=} thetaLength
     */
    constructor(center, radius, segments = 32, thetaStart = 0, thetaLength = 2 * Math.PI) {
        this.center = center;
        this.radius = radius;
        this.segments = segments;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'circle';
    }
}
class RingModel {
    /**
     * @param {?} center
     * @param {?=} innerRadius
     * @param {?=} outerRadius
     * @param {?=} thetaSegments
     * @param {?=} phiSegments
     * @param {?=} thetaStart
     * @param {?=} thetaLength
     */
    constructor(center, innerRadius = 10, outerRadius = 50, thetaSegments = 32, phiSegments = 32, thetaStart = 0, thetaLength = 2 * Math.PI) {
        this.center = center;
        this.innerRadius = innerRadius;
        this.outerRadius = outerRadius;
        this.thetaSegments = thetaSegments;
        this.phiSegments = phiSegments;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'ring';
    }
}
class UserDefinedModel {
    /**
     * @param {?} shapes
     */
    constructor(shapes) {
        this.shapes = shapes;
        this.type = 'user-defined';
    }
}
class ProfileModel {
    /**
     * @param {?} points
     */
    constructor(points) {
        this.points = points;
        this.type = 'profile1d';
    }
}
class LineModel {
    /**
     * @param {?} start
     * @param {?} end
     * @param {?=} style
     * @param {?=} color
     */
    constructor(start, end, style = 'Solid', color = new Color(0, 0.2, 1)) {
        this.start = start;
        this.end = end;
        this.style = style;
        this.color = color;
        this.type = 'line';
    }
}
class OBJModel {
    /**
     * @param {?} center
     */
    constructor(center) {
        this.center = center;
        this.type = 'obj';
    }
}
class VRMLModel {
    /**
     * @param {?} center
     */
    constructor(center) {
        this.center = center;
        this.type = 'vrml';
    }
}
class CrossLineModel {
    /**
     * @param {?} position
     * @param {?} view
     * @param {?=} lineWidth
     */
    constructor(position, view, lineWidth = 1.5) {
        this.position = position;
        this.view = view;
        this.lineWidth = lineWidth;
        this.type = 'crossline';
    }
}
class FovModel {
    /**
     * @param {?} box
     */
    constructor(box) {
        this.box = box;
        this.type = 'fov';
    }
}
class VolumeModel {
    /**
     * @param {?=} color
     * @param {?=} opacity
     * @param {?=} algorithm
     * @param {?=} alphaCorrection
     * @param {?=} volume
     */
    constructor(color = 'red', // default,spectrum,hot_and_cold,gold,red,green,blue,walking_dead,random,muscle_bone
    opacity = 'bandpass', // linear,lowpass,highpass,bandpass,flat,random,linear_full
    algorithm = 0, // 0,1
    alphaCorrection = 0.25, // 0-1
    volume = new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), initArray(new Float32Array(190 * 256 * 151), 10))) {
        this.color = color;
        this.opacity = opacity;
        this.algorithm = algorithm;
        this.alphaCorrection = alphaCorrection;
        this.volume = volume;
        this.type = 'volume';
    }
}
/**
 * @param {?} image
 * @param {?} value
 * @return {?}
 */
function initArray(image, value) {
    /** @type {?} */
    const newArray = image.map((/**
     * @param {?} item
     * @param {?} index
     * @param {?} array
     * @return {?}
     */
    (item, index, array) => value));
    return newArray;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Range2 {
    /**
     * @param {?} min
     * @param {?} max
     */
    constructor(min, max) {
        this.min = min;
        this.max = max;
    }
}
/** @enum {number} */
const Direction = {
    Up: 1,
    Down: 2,
    Left: 3,
    Right: 4,
};
Direction[Direction.Up] = 'Up';
Direction[Direction.Down] = 'Down';
Direction[Direction.Left] = 'Left';
Direction[Direction.Right] = 'Right';
/**
 * @param {?} p
 * @param {?} b
 * @return {?}
 */
function intersectBoundingBox2(p, b) {
    return b.box.containsPoint(p);
}
class BoundingBox2FromBox2 {
    /**
     * @param {?} box
     */
    constructor(box) {
        this.box = box;
    }
    /**
     * @return {?}
     */
    get center() {
        return new Vector2((this.box.min.x + this.box.max.x) / 2, (this.box.min.y + this.box.max.y) / 2);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set center(v) {
        /** @type {?} */
        const offset = new Vector2(v.x - this.center.x, v.y - this.center.y);
        this.box.min.add(offset);
        this.box.max.add(offset);
    }
    /**
     * @return {?}
     */
    get size() {
        return new Vector2(this.box.max.x - this.box.min.x, this.box.max.y - this.box.min.y);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set size(v) {
        this.update(new BoundingBox2FromCenterSize(this.center, v));
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set left(v) {
        this.box.min.x = v;
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set right(v) {
        this.box.max.x = v;
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set top(v) {
        this.box.min.x = v;
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set bottom(v) {
        this.box.max.x = v;
    }
    /**
     * @return {?}
     */
    get left() {
        return this.box.min.x;
    }
    /**
     * @return {?}
     */
    get right() {
        return this.box.max.x;
    }
    /**
     * @return {?}
     */
    get top() {
        return this.box.min.y;
    }
    /**
     * @return {?}
     */
    get bottom() {
        return this.box.max.y;
    }
    /**
     * @param {?} bb
     * @return {?}
     */
    update(bb) {
        this.box = bb.box.clone();
    }
}
class BoundingBox2FromCenterSize {
    /**
     * @param {?} center
     * @param {?} size
     */
    constructor(center, size) {
        this.center = center.clone();
        this.size = size.clone();
    }
    /**
     * @return {?}
     */
    get box() {
        return new Box2(new Vector2(this.left, this.top), new Vector2(this.right, this.bottom));
    }
    /**
     * @param {?} box2
     * @return {?}
     */
    set box(box2) {
        this.copy(new BoundingBox2FromBox2(box2));
    }
    /**
     * @return {?}
     */
    get left() {
        return this.center.x - this.size.x / 2;
    }
    /**
     * @return {?}
     */
    get right() {
        return this.center.x + this.size.x / 2;
    }
    /**
     * @return {?}
     */
    get top() {
        return this.center.y - this.size.y / 2;
    }
    /**
     * @return {?}
     */
    get bottom() {
        return this.center.y + this.size.y / 2;
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set left(v) {
        /** @type {?} */
        const result = new BoundingBox2FromLRTB(v, this.right, this.top, this.bottom);
        this.copy(result);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set right(v) {
        this.copy(new BoundingBox2FromLRTB(this.left, v, this.top, this.bottom));
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set top(v) {
        this.copy(new BoundingBox2FromLRTB(this.left, this.right, v, this.bottom));
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set bottom(v) {
        this.copy(new BoundingBox2FromLRTB(this.left, this.right, this.top, v));
    }
    /**
     * @param {?} v
     * @return {?}
     */
    updateRight(v) {
        return new BoundingBox2FromLRTB(this.left, v, this.top, this.bottom);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    updateLeft(v) {
        return new BoundingBox2FromLRTB(v, this.right, this.top, this.bottom);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    updateBottom(v) {
        return new BoundingBox2FromLRTB(this.left, this.right, this.top, v);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    updateTop(v) {
        return new BoundingBox2FromLRTB(this.left, this.right, v, this.bottom);
    }
    /**
     * @param {?} bb
     * @return {?}
     */
    copy(bb) {
        this.center = bb.center.clone();
        this.size = bb.size.clone();
    }
}
class BoundingBox2FromLRTB {
    /**
     * @param {?} left
     * @param {?} right
     * @param {?} top
     * @param {?} bottom
     */
    constructor(left, right, top, bottom) {
        this.left = left;
        this.right = right;
        this.top = top;
        this.bottom = bottom;
    }
    /**
     * @return {?}
     */
    get box() {
        return new Box2(new Vector2(this.left, this.top), new Vector2(this.right, this.bottom));
    }
    /**
     * @return {?}
     */
    get center() {
        return new Vector2((this.left + this.right) / 2, (this.top + this.bottom) / 2);
    }
    /**
     * @return {?}
     */
    get size() {
        return new Vector2(this.right - this.left, this.bottom - this.top);
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set size(v) {
        this.copy(new BoundingBox2FromCenterSize(this.center, v));
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set center(v) {
        this.copy(new BoundingBox2FromCenterSize(v, this.size));
    }
    /**
     * @param {?} bb
     * @return {?}
     */
    copy(bb) {
        this.left = bb.left;
        this.right = bb.right;
        this.top = bb.top;
        this.bottom = bb.bottom;
    }
}
class Boundingbox2Controller {
    /**
     * @param {?} box
     * @param {?} scale
     */
    constructor(box, scale) {
        this.box = box;
        this.scale = scale;
    }
    /**
     * @return {?}
     */
    leftController() {
        return new BoundingBox2FromLRTB(this.box.left - this.box.size.x * this.scale, this.box.left, this.box.top, this.box.bottom);
    }
    /**
     * @return {?}
     */
    rightController() {
        return new BoundingBox2FromLRTB(this.box.right, this.box.right + this.box.size.x * this.scale, this.box.top, this.box.bottom);
    }
    /**
     * @return {?}
     */
    bottomController() {
        return new BoundingBox2FromLRTB(this.box.left, this.box.right, this.box.bottom, this.box.bottom + this.box.size.y * this.scale);
    }
    /**
     * @return {?}
     */
    topController() {
        return new BoundingBox2FromLRTB(this.box.left, this.box.right, this.box.top - this.box.size.y * this.scale, this.box.top);
    }
    /**
     * @return {?}
     */
    anyController() {
        return new BoundingBox2FromLRTB(this.box.left * this.scale, this.box.left, this.box.top, this.box.bottom);
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onWhichAreabox(position) {
        if (intersectBoundingBox2(position, this.leftController())) {
            return 'left';
        }
        if (intersectBoundingBox2(position, this.rightController())) {
            return 'right';
        }
        if (intersectBoundingBox2(position, this.topController())) {
            return 'top';
        }
        if (intersectBoundingBox2(position, this.bottomController())) {
            return 'bottom';
        }
        if (intersectBoundingBox2(position, this.box)) {
            return 'inside';
        }
        return 'none';
    }
}
/**
 * @param {?} box
 * @param {?} offset
 * @return {?}
 */
function moveBoundingBox2By(box, offset) {
    return new BoundingBox2FromCenterSize(new Vector2(box.center.x + offset.x, box.center.y + offset.y), box.size);
}
/**
 * @param {?} box
 * @param {?} target
 * @return {?}
 */
function moveBoundingBox2To(box, target) {
    return new BoundingBox2FromCenterSize(target, box.size);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyRGBImage(size, shape) {
    /** @type {?} */
    const nbPixels = shape.x * shape.y;
    /** @type {?} */
    const r = new Uint8Array(nbPixels);
    /** @type {?} */
    const g = new Uint8Array(nbPixels);
    /** @type {?} */
    const b = new Uint8Array(nbPixels);
    for (let i = 0; i < shape.x; i++) {
        for (let j = 0; j < shape.y; j++) {
            /** @type {?} */
            const y = Math.sin((i / shape.x) * Math.PI * 2 + Math.PI / 4);
            /** @type {?} */
            const x = Math.cos((j / shape.y) * Math.PI * 2);
            /** @type {?} */
            const v = (x * y + 1) / 2;
            r[i * shape.y + j] = v * 255;
            g[i * shape.y + j] = v * 255;
            b[i * shape.y + j] = v * 255;
        }
    }
    return new RGBImage2(new Vector2(0, 0), size, shape, r, g, b);
}
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyGrayImage(size, shape) {
    /** @type {?} */
    const nbPixels = shape.x * shape.y;
    /** @type {?} */
    const data = new Float32Array(nbPixels);
    for (let i = 0; i < shape.x; i++) {
        for (let j = 0; j < shape.y; j++) {
            /** @type {?} */
            const y = Math.sin((i / shape.x) * Math.PI * 2 + Math.PI / 4);
            /** @type {?} */
            const x = Math.cos((j / shape.y) * Math.PI * 2);
            /** @type {?} */
            const v = (x * y + 1) / 2;
            data[i * shape.y + j] = v * 255;
            // console.log(v);
        }
    }
    return new GrayImage2(new Vector2(0, 0), size, shape, data);
}
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyGrayImage3(size, shape) {
    /** @type {?} */
    const nbPixels = shape.x * shape.y * shape.z;
    /** @type {?} */
    const data = new Float32Array(nbPixels);
    for (let i = 0; i < shape.x; i++) {
        for (let j = 0; j < shape.y; j++) {
            for (let k = 0; k < shape.z; k++) {
                /** @type {?} */
                const y = Math.sin((i / shape.x) * Math.PI * 2 + (Math.PI * k) / shape.z);
                /** @type {?} */
                const x = Math.cos((j / shape.y) * Math.PI * 2);
                /** @type {?} */
                const v = (x * y + 1) / 2;
                data[i * shape.y * shape.z + j * shape.z + k] = v;
            }
        }
    }
    return new GrayImage3(new Vector3(0, 0, 0), size, shape, data);
}
/**
 * @param {?} size
 * @param {?} shape
 * @param {?} center
 * @param {?} next$
 * @return {?}
 */
function sequenceDummyGrayImage2(size, shape, center, next$) {
    return next$.pipe(map((/**
     * @return {?}
     */
    () => new GrayImage2(center, size, shape, new Float32Array(shape.x * shape.y).fill(Math.random())))));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Image2dGrayComponent {
    constructor() {
        this.imageSubject = new BehaviorSubject(
        // new GrayImage2(
        //   new Vector2(0, 0),
        //   new Vector2(78, 58),
        //   new Vector2(1, 1),
        //   new Float32Array([255]),
        // ),
        dummyGrayImage(new Vector2(60, 60), new Vector2(60, 120)));
        this.image$ = this.imageSubject.asObservable();
        this.z = 0;
        // @Output() scroll = new EventEmitter<number>();
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.model$ = this.image$.pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        (image) => {
            return new Plane2Model(new BoundingBox2FromCenterSize(image.meta.center, image.meta.size), 10, {
                r: new Uint8Array(image.data),
                g: new Uint8Array(image.data),
                b: new Uint8Array(image.data),
                shape: new Vector2(image.meta.shape.x, image.meta.shape.y),
            });
        })));
        this.model$.subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @return {?}
     */
    get image() {
        return this.imageSubject.value;
    }
    /**
     * @param {?} s
     * @return {?}
     */
    set image(s) {
        if (s === undefined || s === null) {
            throw Error('Can not set Display2DProperty with null');
        }
        this.imageSubject.next(s);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onWheelEvent(e) {
        this.scroll.emit(e);
    }
    /**
     * @param {?} d
     * @return {?}
     */
    onDragEvent(d) {
        this.drag.emit(d);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
Image2dGrayComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-image2d-gray',
                template: "<ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n    <ng3-mouse-entity\n      (wheel)=\"onWheelEvent($event)\"\n      (drag)=\"onDragEvent($event)\"\n    ></ng3-mouse-entity>\n  </ng3-plane>",
                styles: [""]
            }] }
];
/** @nocollapse */
Image2dGrayComponent.ctorParameters = () => [];
Image2dGrayComponent.propDecorators = {
    image: [{ type: Input }],
    z: [{ type: Input }],
    scroll: [{ type: Output }],
    drag: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// TODO: better implementation of position change detection
class CanvasService {
    /**
     * @param {?} render
     * @param {?} _dom
     */
    constructor(render, _dom) {
        this.render = render;
        this._dom = _dom;
        this.sizeSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(300, 300)));
        this.size$ = this.sizeSubject.asObservable();
        // readonly domElement = document.createElement('canvas');
        this.domElement = this.render.createElement('canvas');
        // const domElement = this.render.createElement('canvas');
        // let a  = this.render;
        // console.log('a', a);
        // const a = (this.domElement as HTMLCanvasElement).getContext('2d');
        // console.log('a', a);
        // a.fillText('my text',40,40);
        this.domElement.addEventListener('resize', (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
        this.subscription = interval(100).subscribe((/**
         * @return {?}
         */
        () => {
            /** @type {?} */
            const rect = this.domElement.getBoundingClientRect();
            /** @type {?} */
            const box = new BoundingBox2FromLRTB(rect.left, rect.right, rect.top, rect.bottom);
            if (box.left !== this.size.left ||
                box.right !== this.size.right ||
                box.top !== this.size.top ||
                box.bottom !== this.size.bottom) {
                this.size = box;
            }
        }));
    }
    /**
     * @return {?}
     */
    get size() {
        return this.sizeSubject.value;
    }
    /**
     * @param {?} box
     * @return {?}
     */
    set size(box) {
        this.sizeSubject.next(box);
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.subscription.unsubscribe();
    }
}
CanvasService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
CanvasService.ctorParameters = () => [
    { type: Renderer2 },
    { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SceneService {
    /**
     * @param {?} canvas
     */
    constructor(canvas) {
        this.canvas = canvas;
        this.scene = new Scene();
        this.renders = new Subject();
        this.render$ = this.renders.asObservable();
        this.sizes = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)));
        this.size$ = this.sizes.asObservable();
    }
    /**
     * @return {?}
     */
    get size() {
        return this.sizes.value;
    }
    /**
     * @param {?} entity
     * @return {?}
     */
    add(entity) {
        this.scene.add(entity);
    }
    /**
     * @param {?} entity
     * @return {?}
     */
    remove(entity) {
        this.scene.remove(entity);
    }
    /**
     * @param {?} box
     * @return {?}
     */
    resize(box) {
        this.sizes.next(box);
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.renders.complete();
        this.sizes.complete();
    }
    /**
     * @param {?} client
     * @return {?}
     */
    clientSize2SceneSize(client) {
        return new Vector2((client.x / this.canvas.size.size.x) * this.size.size.x, (client.y / this.canvas.size.size.y) * this.size.size.y);
    }
    /**
     * @param {?} client
     * @return {?}
     */
    clientPosition2ScenePosition(client) {
        return relativeCoordinate(this.canvas.size, this.size, new Vector2(client.x, client.y));
    }
    /**
     * @param {?} scene
     * @return {?}
     */
    scenePosition2ClientPotision(scene) {
        return relativeCoordinate(this.size, this.canvas.size, new Vector2(scene.x, scene.y));
    }
}
SceneService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
SceneService.ctorParameters = () => [
    { type: CanvasService }
];
/**
 * @param {?} source
 * @param {?} target
 * @param {?} coordinate
 * @return {?}
 */
function relativeCoordinate(source, target, coordinate) {
    return new Vector2(linearTrans(coordinate.x, source.box.min.x, source.box.max.x, target.box.min.x, target.box.max.x), linearTrans(coordinate.y, source.box.min.y, source.box.max.y, target.box.min.y, target.box.max.y));
}
// Transform x in frame s0, s1 to target frame t0, t1
// e.g. linearTrans(3, 6, 0, 1, 2) => 1.5
/**
 * @param {?} x
 * @param {?} s0
 * @param {?} s1
 * @param {?} t0
 * @param {?} t1
 * @return {?}
 */
function linearTrans(x, s0, s1, t0, t1) {
    return ((x - s0) / (s1 - s0)) * (t1 - t0) + t0;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// TODO: move domElement related to CanvasService
class RendererService {
    /**
     * @param {?} sceneService
     * @param {?} canvas
     */
    constructor(sceneService, canvas) {
        // console.log(this.lut);
        this.sceneService = sceneService;
        this.canvas = canvas;
        // public lut = new HelperLut(this.canvas.domElement);
        this.verbose = 0;
        this.renderer = new WebGLRenderer({
            canvas: this.canvas.domElement,
            antialias: true,
        });
        this.subject = new Subject();
        this.render$ = this.subject.asObservable();
        this.isPushbasedRender = true;
        this.canvas.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        b => {
            /** @type {?} */
            const currentSize = this.renderer.getSize();
            if (b.size.x !== currentSize.width || b.size.y !== currentSize.height) {
                this.renderer.setSize(b.size.x, b.size.y);
                this.render();
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
        if (this.isPushbasedRender) {
            this.render$.subscribe((/**
             * @return {?}
             */
            () => {
                this.doRender();
            }), (/**
             * @param {?} e
             * @return {?}
             */
            e => console.error(e)));
        }
        else {
            this.animation();
        }
    }
    /**
     * @private
     * @return {?}
     */
    doRender() {
        if (this.camera === undefined) {
            if (this.verbose > 0) {
                console.warn('Failed to render:\ncamera: ', this.camera, '\ncanvas', this.canvas, '\nrenderer:', this.renderer, '\n');
            }
            return;
        }
        this.renderer.render(this.sceneService.scene, this.camera);
    }
    /**
     * @param {?} camera
     * @return {?}
     */
    setCamera(camera) {
        this.camera = camera;
    }
    /**
     * @private
     * @return {?}
     */
    animation() {
        requestAnimationFrame((/**
         * @return {?}
         */
        () => this.animation()));
        this.doRender();
    }
    /**
     * @return {?}
     */
    render() {
        this.subject.next();
    }
    /**
     * @return {?}
     */
    get domElement() {
        return this.renderer.domElement;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.subject.complete();
    }
}
RendererService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
RendererService.ctorParameters = () => [
    { type: SceneService },
    { type: CanvasService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
class ShadersUniform {
    /**
     * @return {?}
     */
    static uniforms() {
        return {
            uTextureSize: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureContainer: {
                type: 'tv',
                value: [],
                typeGLSL: 'sampler2D',
                length: 7,
            },
            uDataDimensions: {
                type: 'iv',
                value: [0, 0, 0],
                typeGLSL: 'ivec3',
            },
            uWorldToData: {
                type: 'm4',
                value: new Matrix4(),
                typeGLSL: 'mat4',
            },
            uWindowCenterWidth: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uRescaleSlopeIntercept: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uNumberOfChannels: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uBitsAllocated: {
                type: 'i',
                value: 8,
                typeGLSL: 'int',
            },
            uInvert: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uLut: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUT: {
                type: 't',
                // value: [],
                value: new Texture(),
                typeGLSL: 'sampler2D',
            },
            uPixelType: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uPackedPerPixel: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uInterpolation: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uWorldBBox: {
                type: 'fv1',
                value: [0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'float',
                length: 6,
            },
            uSteps: {
                type: 'i',
                value: 256,
                typeGLSL: 'int',
            },
            uAlphaCorrection: {
                type: 'f',
                value: 0.5,
                typeGLSL: 'float',
            },
            uFrequence: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uAmplitude: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uShading: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uAmbient: {
                type: 'f',
                value: 0.1,
                typeGLSL: 'float',
            },
            uAmbientColor: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uSampleColorToAmbient: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uSpecular: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uSpecularColor: {
                type: 'v3',
                value: [1.0, 1.0, 1.0],
                typeGLSL: 'vec3',
            },
            uDiffuse: {
                type: 'f',
                value: 0.3,
                typeGLSL: 'float',
            },
            uDiffuseColor: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uSampleColorToDiffuse: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uShininess: {
                type: 'f',
                value: 5,
                typeGLSL: 'float',
            },
            uLightPosition: {
                type: 'v3',
                value: [0.0, 0.0, 0.0],
                typeGLSL: 'vec3',
            },
            uLightPositionInCamera: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uIntensity: {
                type: 'v3',
                value: [0.8, 0.8, 0.8],
                typeGLSL: 'vec3',
            },
            uAlgorithm: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersVertex {
    /**
     * @return {?}
     */
    compute() {
        return `
varying vec4 vPos;

//
// main
//
void main() {
  vPos = modelMatrix * vec4(position, 1.0 );
  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );

}
        `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersBase {
    constructor() {
        this._name = 'shadersBase';
        this._base = {
            // TODO: define the types of this interface
            _functions: {},
            _uniforms: {},
        };
        this._definition = '';
        // this._name = 'shadersBase';
        // this._base = {
        //   _functions: {},
        //   _uniforms: {},
        // };
        // this._definition = '';
    }
    /**
     * @return {?}
     */
    get name() {
        return this._name;
    }
    /**
     * @param {?} name
     * @return {?}
     */
    set name(name) {
        this._name = name;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Set of methods to unpack values from [r][b][g][a] -> float
 */
class Unpack extends ShadersBase {
    constructor() {
        super();
        /**
         * Constructor
         */
        // default properties names
        this._packedData = 'packedData';
        this._offset = 'offset';
        this._unpackedData = 'unpackedData';
        this.name = 'unpack';
        // default properties names
        // this._packedData = 'packedData';
        // this._offset = 'offset';
        // this._unpackedData = 'unpackedData';
        this._base._uniforms = {
            uNumberOfChannels: {
                value: 1,
            },
            uBitsAllocated: {
                value: 16,
            },
            uPixelType: {
                value: 0,
            },
        };
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} packedData
     * @param {?=} offset
     * @param {?=} unpackedData
     * @return {?}
     */
    api(baseFragment = this._base, packedData = this._packedData, offset = this._offset, unpackedData = this._unpackedData) {
        this._base = baseFragment;
        return this.compute(packedData, offset, unpackedData);
    }
    /**
     * @param {?} packedData
     * @param {?} offset
     * @param {?} unpackedData
     * @return {?}
     */
    compute(packedData, offset, unpackedData) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return `${this._name}(${packedData}, ${offset}, ${unpackedData});`;
    }
    /**
     * @return {?}
     */
    computeDefinition() {
        // fun stuff
        /** @type {?} */
        let content = '';
        if (this._base._uniforms.uNumberOfChannels.value === 1) {
            switch (this._base._uniforms.uBitsAllocated.value) {
                case 1:
                case 8:
                    content = this.upack8();
                    break;
                case 16:
                    content = this.upack16();
                    break;
                case 32:
                    content = this.upack32();
                    break;
                default:
                    content = this.upackIdentity();
                    break;
            }
        }
        else {
            content = this.upackIdentity();
        }
        this._definition = `
void ${this._name}(in vec4 packedData, in int offset, out vec4 unpackedData){

${content}

}
    `;
    }
    /**
     * @return {?}
     */
    upack8() {
        this._base._functions['uInt8'] = this.uInt8();
        return `
float floatedOffset = float(offset);
float floatedOffsetSquared = floatedOffset * floatedOffset;
uInt8(
  step( floatedOffsetSquared , 0.0 ) * packedData.r +
  step( floatedOffsetSquared - 2. * floatedOffset + 1., 0.0 ) * packedData.g +
  step( floatedOffsetSquared - 2. * 2. *  floatedOffset + 4., 0.0 ) * packedData.b +
  step( floatedOffsetSquared - 2. * 3. *  floatedOffset + 9., 0.0 ) * packedData.a
  ,
  unpackedData.x);
    `;
    }
    /**
     * @return {?}
     */
    upack16() {
        this._base._functions['uInt16'] = this.uInt16();
        return `
float floatedOffset = float(offset);
uInt16(
  packedData.r * (1. - floatedOffset) + packedData.b * floatedOffset,
  packedData.g * (1. - floatedOffset) + packedData.a * floatedOffset,
  unpackedData.x);
    `;
    }
    /**
     * @return {?}
     */
    upack32() {
        if (this._base._uniforms.uPixelType.value === 0) {
            this._base._functions['uInt32'] = this.uInt32();
            return `
uInt32(
  packedData.r,
  packedData.g,
  packedData.b,
  packedData.a,
  unpackedData.x);
      `;
        }
        else {
            this._base._functions['uFloat32'] = this.uFloat32();
            return `
uFloat32(
  packedData.r,
  packedData.g,
  packedData.b,
  packedData.a,
  unpackedData.x);
      `;
        }
    }
    /**
     * @return {?}
     */
    upackIdentity() {
        return `
unpackedData = packedData;
      `;
    }
    /**
     * @return {?}
     */
    uInt8() {
        return `
void uInt8(in float r, out float value){
  value = r * 255.;
}
    `;
    }
    /**
     * @return {?}
     */
    uInt16() {
        return `
void uInt16(in float r, in float a, out float value){
  value = r * 255. + a * 255. * 256.;
}
    `;
    }
    /**
     * @return {?}
     */
    uInt32() {
        return `
void uInt32(in float r, in float g, in float b, in float a, out float value){
  value = r * 255. + g * 255. * 256. + b * 255. * 256. * 256. + a * 255. * 256. * 256. * 256.;
  // value = r * 255. + g * 65025. + b * 16581375. + a * 4228250625.;
}
    `;
    }
    /**
     * @return {?}
     */
    uFloat32() {
        return `
void uFloat32(in float r, in float g, in float b, in float a, out float value){

  // create arrays containing bits for rgba values
  // value between 0 and 255
  value = r * 255.;
  int bytemeR[8];
  bytemeR[0] = int(floor(value / 128.));
  value -= float(bytemeR[0] * 128);
  bytemeR[1] = int(floor(value / 64.));
  value -= float(bytemeR[1] * 64);
  bytemeR[2] = int(floor(value / 32.));
  value -= float(bytemeR[2] * 32);
  bytemeR[3] = int(floor(value / 16.));
  value -= float(bytemeR[3] * 16);
  bytemeR[4] = int(floor(value / 8.));
  value -= float(bytemeR[4] * 8);
  bytemeR[5] = int(floor(value / 4.));
  value -= float(bytemeR[5] * 4);
  bytemeR[6] = int(floor(value / 2.));
  value -= float(bytemeR[6] * 2);
  bytemeR[7] = int(floor(value));

  value = g * 255.;
  int bytemeG[8];
  bytemeG[0] = int(floor(value / 128.));
  value -= float(bytemeG[0] * 128);
  bytemeG[1] = int(floor(value / 64.));
  value -= float(bytemeG[1] * 64);
  bytemeG[2] = int(floor(value / 32.));
  value -= float(bytemeG[2] * 32);
  bytemeG[3] = int(floor(value / 16.));
  value -= float(bytemeG[3] * 16);
  bytemeG[4] = int(floor(value / 8.));
  value -= float(bytemeG[4] * 8);
  bytemeG[5] = int(floor(value / 4.));
  value -= float(bytemeG[5] * 4);
  bytemeG[6] = int(floor(value / 2.));
  value -= float(bytemeG[6] * 2);
  bytemeG[7] = int(floor(value));

  value = b * 255.;
  int bytemeB[8];
  bytemeB[0] = int(floor(value / 128.));
  value -= float(bytemeB[0] * 128);
  bytemeB[1] = int(floor(value / 64.));
  value -= float(bytemeB[1] * 64);
  bytemeB[2] = int(floor(value / 32.));
  value -= float(bytemeB[2] * 32);
  bytemeB[3] = int(floor(value / 16.));
  value -= float(bytemeB[3] * 16);
  bytemeB[4] = int(floor(value / 8.));
  value -= float(bytemeB[4] * 8);
  bytemeB[5] = int(floor(value / 4.));
  value -= float(bytemeB[5] * 4);
  bytemeB[6] = int(floor(value / 2.));
  value -= float(bytemeB[6] * 2);
  bytemeB[7] = int(floor(value));

  value = a * 255.;
  int bytemeA[8];
  bytemeA[0] = int(floor(value / 128.));
  value -= float(bytemeA[0] * 128);
  bytemeA[1] = int(floor(value / 64.));
  value -= float(bytemeA[1] * 64);
  bytemeA[2] = int(floor(value / 32.));
  value -= float(bytemeA[2] * 32);
  bytemeA[3] = int(floor(value / 16.));
  value -= float(bytemeA[3] * 16);
  bytemeA[4] = int(floor(value / 8.));
  value -= float(bytemeA[4] * 8);
  bytemeA[5] = int(floor(value / 4.));
  value -= float(bytemeA[5] * 4);
  bytemeA[6] = int(floor(value / 2.));
  value -= float(bytemeA[6] * 2);
  bytemeA[7] = int(floor(value));

  // compute float32 value from bit arrays

  // sign
  int issigned = 1 - 2 * bytemeR[0];
  //   issigned = int(pow(-1., float(bytemeR[0])));

  // exponent
  int exponent = 0;

  exponent += bytemeR[1] * int(pow(2., 7.));
  exponent += bytemeR[2] * int(pow(2., 6.));
  exponent += bytemeR[3] * int(pow(2., 5.));
  exponent += bytemeR[4] * int(pow(2., 4.));
  exponent += bytemeR[5] * int(pow(2., 3.));
  exponent += bytemeR[6] * int(pow(2., 2.));
  exponent += bytemeR[7] * int(pow(2., 1.));

  exponent += bytemeG[0];


  // fraction
  float fraction = 0.;

  fraction = float(bytemeG[1]) * pow(2., -1.);
  fraction += float(bytemeG[2]) * pow(2., -2.);
  fraction += float(bytemeG[3]) * pow(2., -3.);
  fraction += float(bytemeG[4]) * pow(2., -4.);
  fraction += float(bytemeG[5]) * pow(2., -5.);
  fraction += float(bytemeG[6]) * pow(2., -6.);
  fraction += float(bytemeG[7]) * pow(2., -7.);

  fraction += float(bytemeB[0]) * pow(2., -8.);
  fraction += float(bytemeB[1]) * pow(2., -9.);
  fraction += float(bytemeB[2]) * pow(2., -10.);
  fraction += float(bytemeB[3]) * pow(2., -11.);
  fraction += float(bytemeB[4]) * pow(2., -12.);
  fraction += float(bytemeB[5]) * pow(2., -13.);
  fraction += float(bytemeB[6]) * pow(2., -14.);
  fraction += float(bytemeB[7]) * pow(2., -15.);

  fraction += float(bytemeA[0]) * pow(2., -16.);
  fraction += float(bytemeA[1]) * pow(2., -17.);
  fraction += float(bytemeA[2]) * pow(2., -18.);
  fraction += float(bytemeA[3]) * pow(2., -19.);
  fraction += float(bytemeA[4]) * pow(2., -20.);
  fraction += float(bytemeA[5]) * pow(2., -21.);
  fraction += float(bytemeA[6]) * pow(2., -22.);
  fraction += float(bytemeA[7]) * pow(2., -23.);

  value = float(issigned) * pow( 2., float(exponent - 127)) * (1. + fraction);
}
    `;
    }
}
var Unpack$1 = new Unpack();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Texture3d extends ShadersBase {
    constructor() {
        super();
        // default properties names
        this._dataCoordinates = 'dataCoordinates';
        this._dataValue = 'dataValue';
        this._offset = 'offset';
        this.name = 'texture3d';
        // default properties names
        // this._dataCoordinates = 'dataCoordinates';
        // this._dataValue = 'dataValue';
        // this._offset = 'offset';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} dataCoordinates
     * @param {?=} dataValue
     * @param {?=} offset
     * @return {?}
     */
    api(baseFragment = this._base, dataCoordinates = this._dataCoordinates, dataValue = this._dataValue, offset = this._offset) {
        this._base = baseFragment;
        return this.compute(dataCoordinates, dataValue, offset);
    }
    /**
     * @param {?} dataCoordinates
     * @param {?} dataValue
     * @param {?} offset
     * @return {?}
     */
    compute(dataCoordinates, dataValue, offset) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return `${this._name}(${dataCoordinates}, ${dataValue}, ${offset});`;
    }
    /**
     * @return {?}
     */
    computeDefinition() {
        /** @type {?} */
        let content = `
      step( abs( textureIndexF - 0.0 ), 0.0 ) * texture2D(uTextureContainer[0], uv) +
      step( abs( textureIndexF - 1.0 ), 0.0 ) * texture2D(uTextureContainer[1], uv) +
      step( abs( textureIndexF - 2.0 ), 0.0 ) * texture2D(uTextureContainer[2], uv) +
      step( abs( textureIndexF - 3.0 ), 0.0 ) * texture2D(uTextureContainer[3], uv) +
      step( abs( textureIndexF - 4.0 ), 0.0 ) * texture2D(uTextureContainer[4], uv) +
      step( abs( textureIndexF - 5.0 ), 0.0 ) * texture2D(uTextureContainer[5], uv) +
      step( abs( textureIndexF - 6.0 ), 0.0 ) * texture2D(uTextureContainer[6], uv)`;
        if (this._base._uniforms.uTextureContainer.length === 14) {
            content += ` +
      step( abs( textureIndexF - 7.0 ), 0.0 ) * texture2D(uTextureContainer[7], uv) +
      step( abs( textureIndexF - 8.0 ), 0.0 ) * texture2D(uTextureContainer[8], uv) +
      step( abs( textureIndexF - 9.0 ), 0.0 ) * texture2D(uTextureContainer[9], uv) +
      step( abs( textureIndexF - 10.0 ), 0.0 ) * texture2D(uTextureContainer[10], uv) +
      step( abs( textureIndexF - 11.0 ), 0.0 ) * texture2D(uTextureContainer[11], uv) +
      step( abs( textureIndexF - 12.0 ), 0.0 ) * texture2D(uTextureContainer[12], uv) +
      step( abs( textureIndexF - 13.0 ), 0.0 ) * texture2D(uTextureContainer[13], uv)`;
        }
        this._definition = `
void ${this._name}(in ivec3 dataCoordinates, out vec4 dataValue, out int offset){
  float textureSizeF = float(uTextureSize);
  int voxelsPerTexture = uTextureSize*uTextureSize;

  int index = dataCoordinates.x
            + dataCoordinates.y * uDataDimensions.x
            + dataCoordinates.z * uDataDimensions.y * uDataDimensions.x;

  // dividing an integer by an integer will give you an integer result, rounded down
  // can not get float numbers to work :(
  int packedIndex = index/uPackedPerPixel;
  offset = index - uPackedPerPixel*packedIndex;

  // Map data index to right sampler2D texture
  int textureIndex = packedIndex/voxelsPerTexture;
  int inTextureIndex = packedIndex - voxelsPerTexture*textureIndex;

  // Get row and column in the texture
  int rowIndex = inTextureIndex/uTextureSize;
  float rowIndexF = float(rowIndex);
  float colIndex = float(inTextureIndex - uTextureSize * rowIndex);

  // Map row and column to uv
  vec2 uv = vec2(0,0);
  uv.x = (0.5 + colIndex) / textureSizeF;
  uv.y = 1. - (0.5 + rowIndexF) / textureSizeF;

  float textureIndexF = float(textureIndex);
  dataValue = vec4(0.) + ${content};
}
    `;
    }
}
var Texture3d$1 = new Texture3d();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class InterpolationIdentity extends ShadersBase {
    constructor() {
        super();
        // default properties names
        this._currentVoxel = 'currentVoxel';
        this._dataValue = 'dataValue';
        this.name = 'interpolationIdentity';
        // default properties names
        // this._currentVoxel = 'currentVoxel';
        // this._dataValue = 'dataValue';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @return {?}
     */
    api(baseFragment = this._base, currentVoxel = this._currentVoxel, dataValue = this._dataValue) {
        this._base = baseFragment;
        return this.compute(currentVoxel, dataValue);
    }
    /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @return {?}
     */
    compute(currentVoxel, dataValue) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return `${this._name}(${currentVoxel}, ${dataValue});`;
    }
    /**
     * @return {?}
     */
    computeDefinition() {
        this._definition = `
void ${this._name}(in vec3 currentVoxel, out vec4 dataValue){
  // lower bound
  vec3 rcurrentVoxel = vec3(floor(currentVoxel.x + 0.5 ), floor(currentVoxel.y + 0.5 ), floor(currentVoxel.z + 0.5 ));
  ivec3 voxel = ivec3(int(rcurrentVoxel.x), int(rcurrentVoxel.y), int(rcurrentVoxel.z));

  vec4 tmp = vec4(0., 0., 0., 0.);
  int offset = 0;

  ${Texture3d$1.api(this._base, 'voxel', 'tmp', 'offset')}
  ${Unpack$1.api(this._base, 'tmp', 'offset', 'dataValue')}
}
    `;
    }
}
var InterpolationIdentity$1 = new InterpolationIdentity();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class InterpolationTrilinear extends ShadersBase {
    constructor() {
        super();
        // default properties names
        this._currentVoxel = 'currentVoxel';
        this._dataValue = 'dataValue';
        this._gradient = 'gradient';
        this.name = 'interpolationTrilinear';
        // default properties names
        // this._currentVoxel = 'currentVoxel';
        // this._dataValue = 'dataValue';
        // this._gradient = 'gradient';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @param {?=} gradient
     * @return {?}
     */
    api(baseFragment = this._base, currentVoxel = this._currentVoxel, dataValue = this._dataValue, gradient = this._gradient) {
        this._base = baseFragment;
        return this.compute(currentVoxel, dataValue, gradient);
    }
    /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @param {?} gradient
     * @return {?}
     */
    compute(currentVoxel, dataValue, gradient) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return `${this._name}(${currentVoxel}, ${dataValue}, ${gradient});`;
    }
    /**
     * @return {?}
     */
    computeDefinition() {
        this._definition = `
void trilinearInterpolation(
  in vec3 normalizedPosition,
  out vec4 interpolatedValue,
  in vec4 v000, in vec4 v100,
  in vec4 v001, in vec4 v101,
  in vec4 v010, in vec4 v110,
  in vec4 v011, in vec4 v111) {
  // https://en.wikipedia.org/wiki/Trilinear_interpolation
  vec4 c00 = v000 * ( 1.0 - normalizedPosition.x ) + v100 * normalizedPosition.x;
  vec4 c01 = v001 * ( 1.0 - normalizedPosition.x ) + v101 * normalizedPosition.x;
  vec4 c10 = v010 * ( 1.0 - normalizedPosition.x ) + v110 * normalizedPosition.x;
  vec4 c11 = v011 * ( 1.0 - normalizedPosition.x ) + v111 * normalizedPosition.x;

  // c0 and c1
  vec4 c0 = c00 * ( 1.0 - normalizedPosition.y) + c10 * normalizedPosition.y;
  vec4 c1 = c01 * ( 1.0 - normalizedPosition.y) + c11 * normalizedPosition.y;

  // c
  vec4 c = c0 * ( 1.0 - normalizedPosition.z) + c1 * normalizedPosition.z;
  interpolatedValue = c;
}

void ${this._name}(in vec3 currentVoxel, out vec4 dataValue, out vec3 gradient){

  vec3 lower_bound = floor(currentVoxel);
  lower_bound = max(vec3(0.), lower_bound);

  vec3 higher_bound = lower_bound + vec3(1.);

  vec3 normalizedPosition = (currentVoxel - lower_bound);
  normalizedPosition =  max(vec3(0.), normalizedPosition);

  vec4 interpolatedValue = vec4(0.);

  //
  // fetch values required for interpolation
  //
  vec4 v000 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c000 = vec3(lower_bound.x, lower_bound.y, lower_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c000', 'v000')}

  //
  vec4 v100 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c100 = vec3(higher_bound.x, lower_bound.y, lower_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c100', 'v100')}

  //
  vec4 v001 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c001 = vec3(lower_bound.x, lower_bound.y, higher_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c001', 'v001')}

  //
  vec4 v101 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c101 = vec3(higher_bound.x, lower_bound.y, higher_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c101', 'v101')}

  //
  vec4 v010 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c010 = vec3(lower_bound.x, higher_bound.y, lower_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c010', 'v010')}

  vec4 v110 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c110 = vec3(higher_bound.x, higher_bound.y, lower_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c110', 'v110')}

  //
  vec4 v011 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c011 = vec3(lower_bound.x, higher_bound.y, higher_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c011', 'v011')}

  vec4 v111 = vec4(0.0, 0.0, 0.0, 0.0);
  vec3 c111 = vec3(higher_bound.x, higher_bound.y, higher_bound.z);
  ${InterpolationIdentity$1.api(this._base, 'c111', 'v111')}

  // compute interpolation at position
  trilinearInterpolation(normalizedPosition, interpolatedValue ,v000, v100, v001, v101, v010,v110, v011,v111);
  dataValue = interpolatedValue;

  // That breaks shading in volume rendering
  // if (gradient.x == 1.) { // skip gradient calculation for slice helper
  //  return;
  // }

  // compute gradient
  float gradientStep = 0.005;

  // x axis
  vec3 g100 = vec3(1., 0., 0.);
  vec3 ng100 = normalizedPosition + g100 * gradientStep;
  ng100.x = min(1., ng100.x);

  vec4 vg100 = vec4(0.);
  trilinearInterpolation(ng100, vg100 ,v000, v100, v001, v101, v010,v110, v011,v111);

  vec3 go100 = -g100;
  vec3 ngo100 = normalizedPosition + go100 * gradientStep;
  ngo100.x = max(0., ngo100.x);

  vec4 vgo100 = vec4(0.);
  trilinearInterpolation(ngo100, vgo100 ,v000, v100, v001, v101, v010,v110, v011,v111);

  gradient.x = (g100.x * vg100.x + go100.x * vgo100.x);

  // y axis
  vec3 g010 = vec3(0., 1., 0.);
  vec3 ng010 = normalizedPosition + g010 * gradientStep;
  ng010.y = min(1., ng010.y);

  vec4 vg010 = vec4(0.);
  trilinearInterpolation(ng010, vg010 ,v000, v100, v001, v101, v010,v110, v011,v111);

  vec3 go010 = -g010;
  vec3 ngo010 = normalizedPosition + go010 * gradientStep;
  ngo010.y = max(0., ngo010.y);

  vec4 vgo010 = vec4(0.);
  trilinearInterpolation(ngo010, vgo010 ,v000, v100, v001, v101, v010,v110, v011,v111);

  gradient.y = (g010.y * vg010.x + go010.y * vgo010.x);

  // z axis
  vec3 g001 = vec3(0., 0., 1.);
  vec3 ng001 = normalizedPosition + g001 * gradientStep;
  ng001.z = min(1., ng001.z);

  vec4 vg001 = vec4(0.);
  trilinearInterpolation(ng001, vg001 ,v000, v100, v001, v101, v010,v110, v011,v111);

  vec3 go001 = -g001;
  vec3 ngo001 = normalizedPosition + go001 * gradientStep;
  ngo001.z = max(0., ngo001.z);

  vec4 vgo001 = vec4(0.);
  trilinearInterpolation(ngo001, vgo001 ,v000, v100, v001, v101, v010,v110, v011,v111);

  gradient.z = (g001.z * vg001.x + go001.z * vgo001.x);

  // normalize gradient
  // +0.0001  instead of if?
  float gradientMagnitude = length(gradient);
  if (gradientMagnitude > 0.0) {
    gradient = -(1. / gradientMagnitude) * gradient;
  }
}
    `;
    }
}
var InterpolationTrilinear$1 = new InterpolationTrilinear();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} baseFragment
 * @param {?} currentVoxel
 * @param {?} dataValue
 * @param {?} gradient
 * @return {?}
 */
function shadersInterpolation(baseFragment, currentVoxel, dataValue, gradient) {
    switch (baseFragment._uniforms.uInterpolation.value) {
        case 0:
            // no interpolation
            return InterpolationIdentity$1.api(baseFragment, currentVoxel, dataValue);
        case 1:
            // trilinear interpolation
            return InterpolationTrilinear$1.api(baseFragment, currentVoxel, dataValue, gradient);
        default:
            return InterpolationIdentity$1.api(baseFragment, currentVoxel, dataValue);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class IntersectBox extends ShadersBase {
    constructor() {
        super();
        // default properties names
        this._rayOrigin = 'rayOrigin';
        this._rayDirection = 'rayDirection';
        this._aabbMin = 'aabbMin';
        this._aabbMax = 'aabbMax';
        this._tNear = 'tNear';
        this._tFar = 'tFar';
        this._intersect = 'intersect';
        this.name = 'intersectBox';
        // // default properties names
        // this._rayOrigin = 'rayOrigin';
        // this._rayDirection = 'rayDirection';
        // this._aabbMin = 'aabbMin';
        // this._aabbMax = 'aabbMax';
        // this._tNear = 'tNear';
        // this._tFar = 'tFar';
        // this._intersect = 'intersect';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} rayOrigin
     * @param {?=} rayDirection
     * @param {?=} aabbMin
     * @param {?=} aabbMax
     * @param {?=} tNear
     * @param {?=} tFar
     * @param {?=} intersect
     * @return {?}
     */
    api(baseFragment = this._base, rayOrigin = this._rayOrigin, rayDirection = this._rayDirection, aabbMin = this._aabbMin, aabbMax = this._aabbMax, tNear = this._tNear, tFar = this._tFar, intersect = this._intersect) {
        this._base = baseFragment;
        return this.compute(rayOrigin, rayDirection, aabbMin, aabbMax, tNear, tFar, intersect);
    }
    /**
     * @param {?} rayOrigin
     * @param {?} rayDirection
     * @param {?} aabbMin
     * @param {?} aabbMax
     * @param {?} tNear
     * @param {?} tFar
     * @param {?} intersect
     * @return {?}
     */
    compute(rayOrigin, rayDirection, aabbMin, aabbMax, tNear, tFar, intersect) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return `${this._name}(${rayOrigin}, ${rayDirection}, ${aabbMin}, ${aabbMax}, ${tNear}, ${tFar}, ${intersect});`;
    }
    /**
     * @return {?}
     */
    computeDefinition() {
        this._definition = `
void ${this._name}(vec3 rayOrigin, vec3 rayDirection, vec3 boxMin, vec3 boxMax, out float tNear, out float tFar, out bool intersect){
  // compute intersection of ray with all six bbox planes
  vec3 invRay = vec3(1.) / rayDirection;
  vec3 tBot = invRay * (boxMin - rayOrigin);
  vec3 tTop = invRay * (boxMax - rayOrigin);
  // re-order intersections to find smallest and largest on each axis
  vec3 tMin = min(tTop, tBot);
  vec3 tMax = max(tTop, tBot);
  // find the largest tMin and the smallest tMax
  float largest_tMin = max(max(tMin.x, tMin.y), max(tMin.x, tMin.z));
  float smallest_tMax = min(min(tMax.x, tMax.y), min(tMax.x, tMax.z));
  tNear = largest_tMin;
  tFar = smallest_tMax;
  intersect = smallest_tMax > largest_tMin;
}

    `;
    }
}
var shadersIntersectBox = new IntersectBox();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersFragment {
    /**
     * @param {?} uniforms
     */
    constructor(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    functions() {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        let content = '';
        for (let property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    uniforms() {
        /** @type {?} */
        let content = '';
        for (let property in this._uniforms) {
            /** @type {?} */
            let uniform = this._uniforms[property];
            content += `uniform ${uniform.typeGLSL} ${property}`;
            if (uniform && uniform.length) {
                content += `[${uniform.length}]`;
            }
            content += ';\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    main() {
        // need to pre-call main to fill up the functions list
        this._main = `
void getIntensity(in vec3 dataCoordinates, out float intensity, out vec3 gradient){

  vec4 dataValue = vec4(0., 0., 0., 0.);
  ${shadersInterpolation(this, 'dataCoordinates', 'dataValue', 'gradient')}

  intensity = dataValue.r;

  // rescale/slope
  intensity = intensity*uRescaleSlopeIntercept[0] + uRescaleSlopeIntercept[1];
  // window level
  float windowMin = uWindowCenterWidth[0] - uWindowCenterWidth[1] * 0.5;
  intensity = ( intensity - windowMin ) / uWindowCenterWidth[1];
}

mat4 inverse(mat4 m) {
  float
    a00 = m[0][0], a01 = m[0][1], a02 = m[0][2], a03 = m[0][3],
    a10 = m[1][0], a11 = m[1][1], a12 = m[1][2], a13 = m[1][3],
    a20 = m[2][0], a21 = m[2][1], a22 = m[2][2], a23 = m[2][3],
    a30 = m[3][0], a31 = m[3][1], a32 = m[3][2], a33 = m[3][3],

    b00 = a00 * a11 - a01 * a10,
    b01 = a00 * a12 - a02 * a10,
    b02 = a00 * a13 - a03 * a10,
    b03 = a01 * a12 - a02 * a11,
    b04 = a01 * a13 - a03 * a11,
    b05 = a02 * a13 - a03 * a12,
    b06 = a20 * a31 - a21 * a30,
    b07 = a20 * a32 - a22 * a30,
    b08 = a20 * a33 - a23 * a30,
    b09 = a21 * a32 - a22 * a31,
    b10 = a21 * a33 - a23 * a31,
    b11 = a22 * a33 - a23 * a32,

    det = b00 * b11 - b01 * b10 + b02 * b09 + b03 * b08 - b04 * b07 + b05 * b06;

  return mat4(
    a11 * b11 - a12 * b10 + a13 * b09,
    a02 * b10 - a01 * b11 - a03 * b09,
    a31 * b05 - a32 * b04 + a33 * b03,
    a22 * b04 - a21 * b05 - a23 * b03,
    a12 * b08 - a10 * b11 - a13 * b07,
    a00 * b11 - a02 * b08 + a03 * b07,
    a32 * b02 - a30 * b05 - a33 * b01,
    a20 * b05 - a22 * b02 + a23 * b01,
    a10 * b10 - a11 * b08 + a13 * b06,
    a01 * b08 - a00 * b10 - a03 * b06,
    a30 * b04 - a31 * b02 + a33 * b00,
    a21 * b02 - a20 * b04 - a23 * b00,
    a11 * b07 - a10 * b09 - a12 * b06,
    a00 * b09 - a01 * b07 + a02 * b06,
    a31 * b01 - a30 * b03 - a32 * b00,
    a20 * b03 - a21 * b01 + a22 * b00) / det;
}

/**
 * Adapted from original sources
 *
 * Original code:
 * http://jamie-wong.com/2016/07/15/ray-marching-signed-distance-functions/
 * https://www.shadertoy.com/view/lt33z7
 *
 * The vec3 returned is the RGB color of the light's contribution.
 *
 * k_a: Ambient color
 * k_d: Diffuse color
 * k_s: Specular color
 * alpha: Shininess coefficient
 * p: position of point being lit
 * eye: the position of the camera
 * lightPos: the position of the light
 * lightIntensity: color/intensity of the light
 *
 * See https://en.wikipedia.org/wiki/Phong_reflection_model#Description
 */
vec3 phongShading(vec3 k_a, vec3 k_d, vec3 k_s, float shininess, vec3 p, vec3 eye,
  vec3 lightPos, vec3 lightIntensity, vec3 normal) {
  vec3 N = normal;
  vec3 L = lightPos - p;
  if (length(L) > 0.) {
    L = L / length(L);
  }
  vec3 V = eye - p;
  if (length(V) > 0.) {
    V = V / length(V);
  }
  vec3 R = reflect(-L, N);
  if (length(R) > 0.) {
    R = R / length(R);
  }

  // https://en.wikipedia.org/wiki/Blinn%E2%80%93Phong_shading_model
  vec3 h = L + V;
  vec3 H = h;
  if (length(h) > 0.) {
    H = H / length(h);
  }

  float dotLN = dot(L, N);
  float dotRV = dot(R, V);

  if (dotLN < 0.) {
    // Light not visible from this point on the surface
    return k_a;
  }

  if (dotRV < 0.) {
    // Light reflection in opposite direction as viewer, apply only diffuse
    // component
    return k_a + lightIntensity * (k_d * dotLN);
  }

  float specAngle = max(dot(H, normal), 0.0);
  float specular = pow(dotRV, shininess); //pow(specAngle, shininess); //
  return k_a + lightIntensity * (k_d * dotLN  + k_s * specular);
}

float PI = 3.14159265358979323846264 * 00000.1; // PI

// expects values in the range of [0,1]x[0,1], returns values in the [0,1] range.
// do not collapse into a single function per: http://byteblacksmith.com/improvements-to-the-canonical-one-liner-glsl-rand-for-opengl-es-2-0/
highp float rand( const in vec2 uv) {
  const highp float a = 12.9898;
  const highp float b = 78.233;
  const highp float c = 43758.5453;
  highp float dt = dot(uv.xy, vec2(a, b)), sn = mod(dt, PI);
  return fract(sin(sn) * c);
}

void main(void) {
  const int maxSteps = 1024;

  // the ray
  vec3 rayOrigin = cameraPosition;
  vec3 rayDirection = normalize(vPos.xyz - rayOrigin);

  vec3 lightOrigin = uLightPositionInCamera == 1 ? cameraPosition : uLightPosition;

  // vec3 lightOrigin = cameraPosition;
  // the Axe-Aligned B-Box
  vec3 AABBMin = vec3(uWorldBBox[0], uWorldBBox[2], uWorldBBox[4]);
  vec3 AABBMax = vec3(uWorldBBox[1], uWorldBBox[3], uWorldBBox[5]);

  // Intersection ray/bbox
  float tNear, tFar;
  bool intersect = false;
  ${shadersIntersectBox.api(this, 'rayOrigin', 'rayDirection', 'AABBMin', 'AABBMax', 'tNear', 'tFar', 'intersect')}
  if (tNear < 0.0) tNear = 0.0;

  // x / y should be within o-1
  // should
  float offset = rand(gl_FragCoord.xy);

  // init the ray marching
  float tStep = (tFar - tNear) / float(uSteps);
  float tCurrent = tNear + offset * tStep;
  vec4 accumulatedColor = vec4(0.0);
  float accumulatedAlpha = 0.0;

  // MIP volume rendering
  float maxIntensity = 0.0;

  mat4 dataToWorld = inverse(uWorldToData);

  // rayOrigin -= rayDirection * 0.1; // gold_noise(vPos.xz, vPos.y) / 100.;

  for(int rayStep = 0; rayStep < maxSteps; rayStep++){
    vec3 currentPosition = rayOrigin + rayDirection * tCurrent;
    // some non-linear FUN
    // some occlusion issue to be fixed
    vec3 transformedPosition = currentPosition; //transformPoint(currentPosition, uAmplitude, uFrequence);
    // world to data coordinates
    // rounding trick
    // first center of first voxel in data space is CENTERED on (0,0,0)
    vec4 dataCoordinatesRaw = uWorldToData * vec4(transformedPosition, 1.0);
    vec3 currentVoxel = vec3(dataCoordinatesRaw.x, dataCoordinatesRaw.y, dataCoordinatesRaw.z);
    float intensity = 0.0;
    vec3 gradient = vec3(0., 0., 0.);
    getIntensity(currentVoxel, intensity, gradient);
    // map gradient to world space and normalize before using
    // we avoid to call "normalize" as it may be undefined if vector length == 0.
    gradient = (vec3(dataToWorld * vec4(gradient, 0.)));
    if (length(gradient) > 0.0) {
      gradient = normalize(gradient);
    }

    vec4 colorSample;
    float alphaSample;
    if(uLut == 1){
      vec4 colorFromLUT = texture2D( uTextureLUT, vec2( intensity, 1.0) );
      // 256 colors
      colorSample = colorFromLUT;
      alphaSample = colorFromLUT.a;
    }
    else{
      alphaSample = intensity;
      colorSample.r = colorSample.g = colorSample.b = intensity;
    }

    // ray marching algorithm
    // shading on
    // interpolation on
    if (uAlgorithm == 0 && uShading == 1 && uInterpolation != 0) {
      //  && alphaSample > .3
      vec3 ambientComponent = uSampleColorToAmbient == 1 ? colorSample.xyz : uAmbientColor;
      ambientComponent *= uAmbient;
      vec3 diffuseComponent = uSampleColorToDiffuse == 1 ? colorSample.xyz : uDiffuseColor;
      diffuseComponent *= uDiffuse;
      vec3 specularComponent = uSpecular * uSpecularColor;
      float shininess = uShininess;
      vec3 vIntensity = uIntensity;

      colorSample.xyz += phongShading(
        ambientComponent,
        diffuseComponent,
        specularComponent,
        shininess,
        currentPosition.xyz,
        rayOrigin.xyz,
        lightOrigin.xyz,
        vIntensity,
        gradient);
    }

    alphaSample = 1.0 - pow((1.0- alphaSample),tStep*uAlphaCorrection);
    alphaSample *= (1.0 - accumulatedAlpha);

    accumulatedColor += alphaSample * colorSample;
    accumulatedAlpha += alphaSample;

    tCurrent += tStep;

    if (tCurrent > tFar || (uAlgorithm == 0 && accumulatedAlpha >= 1.0)) break;

    if (uAlgorithm == 1 && (intensity >= maxIntensity)) {
      maxIntensity = intensity;
      accumulatedColor = colorSample;
      accumulatedAlpha = 1.;
    }
  }

  gl_FragColor = vec4(accumulatedColor.xyz, accumulatedAlpha);
  // gl_FragColor = gl_Color;
}
   `;
    }
    /**
     * @return {?}
     */
    compute() {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return `
// uniforms
${this.uniforms()}

// varying (should fetch it from vertex directly)
varying vec4      vPos;

// tailored functions
${this.functions()}

// main loop
${this._main}
      `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module helpers/volumerendering
 */
class HelpersVolumeRendering extends Object3D {
    /**
     * @param {?} stack
     */
    constructor(stack) {
        //
        super();
        this._textures = [];
        this._shadersFragment = ShadersFragment;
        this._shadersVertex = ShadersVertex;
        this._uniforms = ShadersUniform.uniforms();
        this._material = null;
        this._geometry = null;
        this._mesh = null;
        this._algorithm = 0; // ray marching
        // ray marching
        this._alphaCorrection = 0.5; // default
        // default
        this._interpolation = 1; // default to trilinear interpolation
        // default to trilinear interpolation
        this._shading = 1; // shading is on by default
        // shading is on by default
        this._shininess = 10.0;
        this._steps = 256; // default
        // default
        this._offset = 0;
        this._windowCenter = 0.0;
        this._windowWidth = 1.0;
        this._stack = stack;
        this._textures = [];
        this._shadersFragment = ShadersFragment;
        this._shadersVertex = ShadersVertex;
        this._uniforms = ShadersUniform.uniforms();
        this._material = null;
        this._geometry = null;
        this._mesh = null;
        this._algorithm = 0; // ray marching
        this._alphaCorrection = 0.5; // default
        this._interpolation = 1; // default to trilinear interpolation
        this._shading = 1; // shading is on by default
        this._shininess = 10.0;
        this._steps = 256; // default
        this._offset = 0;
        this._windowCenter = 0.0;
        this._windowWidth = 1.0;
        this._create();
    }
    /**
     * @return {?}
     */
    _create() {
        this._prepareStack();
        this._prepareTexture();
        this._prepareMaterial();
        this._prepareGeometry();
        this._mesh = new Mesh(this._geometry, this._material);
        this.add(this._mesh);
    }
    /**
     * @return {?}
     */
    _prepareStack() {
        if (!this._stack.prepared) {
            this._stack.prepare();
        }
        if (!this._stack.packed) {
            this._stack.pack();
        }
        // compensate for the offset to only pass > 0 values to shaders
        // models > models.stack.js : _packTo8Bits
        this._offset = Math.min(0, this._stack._minMax[0]);
        this._windowCenter = this._stack.windowCenter;
        this._windowWidth = this._stack.windowWidth * 0.8; // multiply for better default visualization
    }
    /**
     * @return {?}
     */
    _prepareMaterial() {
        // uniforms
        this._uniforms = ShadersUniform.uniforms();
        this._uniforms.uWorldBBox.value = this._stack.worldBoundingBox();
        this._uniforms.uTextureSize.value = this._stack.textureSize;
        this._uniforms.uTextureContainer.value = this._textures;
        // console.log(this._textures);
        if (this._stack.textureUnits > 8) {
            this._uniforms.uTextureContainer.length = 14;
        }
        this._uniforms.uWorldToData.value = this._stack.lps2IJK;
        this._uniforms.uNumberOfChannels.value = this._stack.numberOfChannels;
        this._uniforms.uPixelType.value = this._stack.pixelType;
        this._uniforms.uBitsAllocated.value = this._stack.bitsAllocated;
        this._uniforms.uPackedPerPixel.value = this._stack.packedPerPixel;
        this._uniforms.uWindowCenterWidth.value = [
            this._windowCenter - this._offset,
            this._windowWidth,
        ];
        this._uniforms.uRescaleSlopeIntercept.value = [
            this._stack.rescaleSlope,
            this._stack.rescaleIntercept,
        ];
        this._uniforms.uDataDimensions.value = [
            this._stack.dimensionsIJK.x,
            this._stack.dimensionsIJK.y,
            this._stack.dimensionsIJK.z,
        ];
        this._uniforms.uAlphaCorrection.value = this._alphaCorrection;
        this._uniforms.uInterpolation.value = this._interpolation;
        this._uniforms.uShading.value = this._shading;
        this._uniforms.uShininess.value = this._shininess;
        this._uniforms.uSteps.value = this._steps;
        this._uniforms.uAlgorithm.value = this._algorithm;
        this._createMaterial({
            side: DoubleSide,
            transparent: true,
        });
    }
    /**
     * @return {?}
     */
    _prepareGeometry() {
        /** @type {?} */
        let worldBBox = this._stack.worldBoundingBox();
        /** @type {?} */
        let centerLPS = this._stack.worldCenter();
        this._geometry = new BoxGeometry(worldBBox[1] - worldBBox[0], worldBBox[3] - worldBBox[2], worldBBox[5] - worldBBox[4]);
        this._geometry.applyMatrix(new Matrix4$1().makeTranslation(centerLPS.x, centerLPS.y, centerLPS.z));
    }
    /**
     * @return {?}
     */
    get uniforms() {
        return this._uniforms;
    }
    /**
     * @param {?} uniforms
     * @return {?}
     */
    set uniforms(uniforms) {
        this._uniforms = uniforms;
    }
    /**
     * @param {?} mesh
     * @return {?}
     */
    set mesh(mesh) {
        this._mesh = mesh;
    }
    /**
     * @return {?}
     */
    get mesh() {
        return this._mesh;
    }
    /**
     * @return {?}
     */
    get stack() {
        return this._stack;
    }
    /**
     * @param {?} stack
     * @return {?}
     */
    set stack(stack) {
        this._stack = stack;
    }
    /**
     * @return {?}
     */
    get windowCenter() {
        return this._windowCenter;
    }
    /**
     * @param {?} windowCenter
     * @return {?}
     */
    set windowCenter(windowCenter) {
        this._windowCenter = windowCenter;
        this._uniforms.uWindowCenterWidth.value[0] =
            this._windowCenter - this._offset;
    }
    /**
     * @return {?}
     */
    get windowWidth() {
        return this._windowWidth;
    }
    /**
     * @param {?} windowWidth
     * @return {?}
     */
    set windowWidth(windowWidth) {
        this._windowWidth = Math.max(1, windowWidth);
        this._uniforms.uWindowCenterWidth.value[1] = this._windowWidth;
    }
    /**
     * @return {?}
     */
    get steps() {
        return this._steps;
    }
    /**
     * @param {?} steps
     * @return {?}
     */
    set steps(steps) {
        this._steps = steps;
        this._uniforms.uSteps.value = this._steps;
    }
    /**
     * @return {?}
     */
    get alphaCorrection() {
        return this._alphaCorrection;
    }
    /**
     * @param {?} alphaCorrection
     * @return {?}
     */
    set alphaCorrection(alphaCorrection) {
        this._alphaCorrection = alphaCorrection;
        this._uniforms.uAlphaCorrection.value = this._alphaCorrection;
    }
    /**
     * @return {?}
     */
    get interpolation() {
        return this._interpolation;
    }
    /**
     * @param {?} interpolation
     * @return {?}
     */
    set interpolation(interpolation) {
        this._interpolation = interpolation;
        this._uniforms.uInterpolation.value = this._interpolation;
        this._updateMaterial();
    }
    /**
     * @return {?}
     */
    get shading() {
        return this._shading;
    }
    /**
     * @param {?} shading
     * @return {?}
     */
    set shading(shading) {
        this._shading = shading;
        this._uniforms.uShading.value = this._shading;
    }
    /**
     * @return {?}
     */
    get shininess() {
        return this._shininess;
    }
    /**
     * @param {?} shininess
     * @return {?}
     */
    set shininess(shininess) {
        this._shininess = shininess;
        this._uniforms.uShininess.value = this._shininess;
    }
    /**
     * @return {?}
     */
    get algorithm() {
        return this._algorithm;
    }
    /**
     * @param {?} algorithm
     * @return {?}
     */
    set algorithm(algorithm) {
        this._algorithm = algorithm;
        this._uniforms.uAlgorithm.value = this._algorithm;
    }
    /**
     * @return {?}
     */
    dispose() {
        // Release memory
        for (let j = 0; j < this._textures.length; j++) {
            this._textures[j].dispose();
            this._textures[j] = null;
        }
        this._textures = null;
        this._shadersFragment = null;
        this._shadersVertex = null;
        this._uniforms.uTextureContainer = null;
        this._uniforms.uTextureLUT = null;
        this._uniforms = null;
        // material, geometry and mesh
        this.remove(this._mesh);
        this._mesh.geometry.dispose();
        this._mesh.geometry = null;
        this._mesh.material.dispose();
        this._mesh.material = null;
        this._mesh = null;
        this._geometry.dispose();
        this._geometry = null;
        this._material.vertexShader = null;
        this._material.fragmentShader = null;
        this._material.uniforms = null;
        this._material.dispose();
        this._material = null;
        this._stack = null;
    }
    /**
     * @param {?} extraOptions
     * @return {?}
     */
    _createMaterial(extraOptions) {
        // generate shaders on-demand!
        /** @type {?} */
        let fs = new ShadersFragment(this._uniforms);
        /** @type {?} */
        let vs = new ShadersVertex();
        // material
        // console.log(fs.compute());
        // console.log(vs.compute());
        /** @type {?} */
        let globalOptions = {
            uniforms: this._uniforms,
            vertexShader: vs.compute(),
            fragmentShader: fs.compute(),
        };
        /** @type {?} */
        let options = Object.assign(extraOptions, globalOptions);
        this._material = new ShaderMaterial(options);
        this._material.needsUpdate = true;
    }
    /**
     * @return {?}
     */
    _updateMaterial() {
        // generate shaders on-demand!
        /** @type {?} */
        let fs = new ShadersFragment(this._uniforms);
        /** @type {?} */
        let vs = new ShadersVertex();
        this._material.vertexShader = vs.compute();
        this._material.fragmentShader = fs.compute();
        this._material.needsUpdate = true;
    }
    /**
     * @return {?}
     */
    _prepareTexture() {
        this._textures = [];
        for (let m = 0; m < this._stack.rawData.length; m++) {
            /** @type {?} */
            let tex = new DataTexture(this._stack.rawData[m], this._stack.textureSize, this._stack.textureSize, this._stack.textureType, UnsignedByteType, UVMapping, ClampToEdgeWrapping, ClampToEdgeWrapping, NearestFilter, NearestFilter);
            tex.needsUpdate = true;
            tex.flipY = true;
            this._textures.push(tex);
        }
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @abstract
 * @template T
 */
class EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} rendererService
     */
    constructor(sceneService, rendererService) {
        this.sceneService = sceneService;
        this.rendererService = rendererService;
        this.changeSubject = new Subject();
        this.changed$ = this.changeSubject.pipe(mapTo(this.entity));
        // protected entity = this.entityService.entity;
        this._model = this.defaultModel();
        this.changed = new EventEmitter();
    }
    /**
     * @return {?}
     */
    get model() {
        return this._model;
    }
    /**
     * @param {?} m
     * @return {?}
     */
    set model(m) {
        if (m === undefined) {
            return;
        }
        // if (this.entityService.entity === undefined) {
        //   this.entity2 = this.createEntity(this.model);
        //   this.entityService.create(this.createEntity(this.model));
        //   this.entityService.update((e) => this.updateEntity(m, e));
        // } else {
        //   this.entityService.update((e) => this.updateEntity(m, e));
        // }
        if (this.entity === undefined) {
            this.entity = this.createEntity(this.model);
            this.sceneService.add(this.entity);
            // console.log(this.sceneService.scene);
            this.rendererService.render();
            if (this.entity === undefined) {
                throw Error('Can not update undefined entity');
            }
            this.updateEntity(m, this.entity);
            this.rendererService.render();
        }
        else {
            if (this.entity === undefined) {
                throw Error('Can not update undefined entity');
            }
            this.updateEntity(m, this.entity);
            this.rendererService.render();
        }
        this.changed.emit(this.model);
    }
    /**
     * @return {?}
     */
    get mesh() {
        return this.entity;
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        if (this.entity !== undefined) {
            this.sceneService.remove(this.entity);
            this.rendererService.render();
        }
        this.changeSubject.complete();
    }
    /**
     * @return {?}
     */
    canvasReady() { }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngAfterViewInit() { }
}
EntityComponent.propDecorators = {
    changed: [{ type: Output }],
    model: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Validate basic structures.
 *
 * @ example
 * //Returns true
 * VJS.Core.Validators.matrix4(new THREE.Matrix4());
 *
 * //Returns false
 * VJS.Core.Validators.matrix4(new THREE.Vector3());
 *
 * @ module core/validators
 */
class Validators {
    /**
     * Validates a matrix as a THREEJS.Matrix4
     * link
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Matrix4, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    static matrix4(objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('elements') &&
            objectToTest.elements.length === 16 &&
            typeof objectToTest.identity === 'function' &&
            typeof objectToTest.copy === 'function' &&
            typeof objectToTest.determinant === 'function')) {
            return false;
        }
        return true;
    }
    /**
     * Validates a vector as a THREEJS.Vector3
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Vector3, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    static vector3(objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('x') &&
            objectToTest.hasOwnProperty('y') &&
            objectToTest.hasOwnProperty('z') &&
            !objectToTest.hasOwnProperty('w'))) {
            return false;
        }
        return true;
    }
    /**
     * Validates a box.
     *
     * \@ example
     * // a box is defined as
     * let box = {
     *   center: THREE.Vector3,
     *   halfDimensions: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid box, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    static box(objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('center') &&
            this.vector3(objectToTest.center) &&
            objectToTest.hasOwnProperty('halfDimensions') &&
            this.vector3(objectToTest.halfDimensions) &&
            objectToTest.halfDimensions.x >= 0 &&
            objectToTest.halfDimensions.y >= 0 &&
            objectToTest.halfDimensions.z >= 0)) {
            return false;
        }
        return true;
    }
    /**
     * Validates a ray.
     *
     * \@ example
     * // a ray is defined as
     * let ray = {
     *   postion: THREE.Vector3,
     *   direction: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid ray, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    static ray(objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('position') &&
            this.vector3(objectToTest.position) &&
            objectToTest.hasOwnProperty('direction') &&
            this.vector3(objectToTest.direction))) {
            return false;
        }
        return true;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * General purpose functions.
 *
 * \@ module core/utils
 */
class CoreUtils {
    /**
     * Generate a bouding box object.
     * \@ param {Vector3} center - Center of the box.
     * \@ param {Vector3} halfDimensions - Half Dimensions of the box.
     * \@ return {Object} The bounding box object. {Object.min} is a {Vector3}
     * containing the min bounds. {Object.max} is a {Vector3} containing the
     * max bounds.
     * \@ return {boolean} False input NOT valid.
     * \@ example
     * // Returns
     * //{ min: { x : 0, y : 0,  z : 0 },
     * //  max: { x : 2, y : 4,  z : 6 }
     * //}
     * VJS.Core.Utils.bbox(
     *   new Vector3(1, 2, 3), new Vector3(1, 2, 3));
     *
     * //Returns false
     * VJS.Core.Utils.bbox(new Vector3(), new Matrix4());
     *
     * @param {?} center
     * @param {?} halfDimensions
     * @return {?}
     */
    static bbox(center, halfDimensions) {
        // make sure we have valid inputs
        if (!(Validators.vector3(center) && Validators.vector3(halfDimensions))) {
            console.log('Invalid center or plane halfDimensions.');
            return false;
        }
        // make sure half dimensions are >= 0
        if (!(halfDimensions.x >= 0 && halfDimensions.y >= 0 && halfDimensions.z >= 0)) {
            window.console.log('halfDimensions must be >= 0.');
            window.console.log(halfDimensions);
            return false;
        }
        // min/max bound
        /** @type {?} */
        let min = center.clone().sub(halfDimensions);
        /** @type {?} */
        let max = center.clone().add(halfDimensions);
        return {
            min,
            max,
        };
    }
    /**
     * Find min/max values in an array
     * \@ param {Array} data
     * \@ return {Array}
     * @param {?=} data
     * @return {?}
     */
    static minMax(data = []) {
        /** @type {?} */
        let minMax = [65535, -32768];
        /** @type {?} */
        let numPixels = data.length;
        for (let index = 0; index < numPixels; index++) {
            /** @type {?} */
            let spv = data[index];
            minMax[0] = Math.min(minMax[0], spv);
            minMax[1] = Math.max(minMax[1], spv);
        }
        return minMax;
    }
    /**
     * Check HTMLElement
     * \@ param {HTMLElement} obj
     * \@ return {boolean}
     * @param {?} obj
     * @return {?}
     */
    static isElement(obj) {
        try {
            // Using W3 DOM2 (works for FF, Opera and Chrom)
            return obj instanceof HTMLElement;
        }
        catch (e) {
            // Browsers not supporting W3 DOM2 don't have HTMLElement and
            // an exception is thrown and we end up here. Testing some
            // properties that all elements have. (works on IE7)
            return (typeof obj === 'object' &&
                obj.nodeType === 1 &&
                typeof obj.style === 'object' &&
                typeof obj.ownerDocument === 'object');
        }
    }
    /**
     * Check string
     * \@ param {String} str
     * \@ return {Boolean}
     * @param {?} str
     * @return {?}
     */
    static isString(str) {
        return typeof str === 'string' || str instanceof String;
    }
    /**
     * Parse url and find out the extension of the exam file.
     *
     * \@ param {*} url - The url to be parsed.
     * The query string can contain some "special" parameters that can be used to ease the parsing process
     * when the url doesn't match the exam file name on the filesystem:
     * - filename: the name of the exam file
     * - contentType: the mime type of the exam file. Currently only "application/dicom" is recognized, nifti files don't have a standard mime type.
     * For  example:
     * http://<hostname>/getExam?id=100&filename=myexam%2Enii%2Egz
     * http://<hostname>/getExam?id=100&contentType=application%2Fdicom
     *
     * \@ return {Object}
     * @param {?} url
     * @return {?}
     */
    static parseUrl(url) {
        /** @type {?} */
        const parsedUrl = new URL(url, 'http://fix.me');
        /** @type {?} */
        const data = {
            filename: parsedUrl.searchParams.get('filename'),
            extension: '',
            pathname: parsedUrl.pathname,
            query: parsedUrl.search,
        };
        // get file name
        if (!data.filename) {
            data.filename = data.pathname.split('/').pop();
        }
        // find extension
        /** @type {?} */
        const splittedName = data.filename.split('.');
        data.extension = splittedName.length > 1 ? splittedName.pop() : 'dicom';
        /** @type {?} */
        const skipExt = [
            'asp',
            'aspx',
            'go',
            'gs',
            'hs',
            'jsp',
            'js',
            'php',
            'pl',
            'py',
            'rb',
            'htm',
            'html',
        ];
        if (
        // !isNaN(data.extension) ||
        skipExt.indexOf(data.extension) !== -1 ||
            (data.query && data.query.includes('contentType=application%2Fdicom'))) {
            data.extension = 'dicom';
        }
        return data;
    }
    /**
     * Compute IJK to LPS tranform.
     *  http://nipy.org/nibabel/dicom/dicom_orientation.html
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} spacing
     * \@ param {*} origin
     * \@ param {*} registrationMatrix
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} spacing
     * @param {?} origin
     * @param {?=} registrationMatrix
     * @return {?}
     */
    static ijk2LPS(xCos, yCos, zCos, spacing, origin, registrationMatrix = new Matrix4$1()) {
        /** @type {?} */
        const ijk2LPS = new Matrix4$1();
        ijk2LPS.set(xCos.x * spacing.y, yCos.x * spacing.x, zCos.x * spacing.z, origin.x, xCos.y * spacing.y, yCos.y * spacing.x, zCos.y * spacing.z, origin.y, xCos.z * spacing.y, yCos.z * spacing.x, zCos.z * spacing.z, origin.z, 0, 0, 0, 1);
        ijk2LPS.premultiply(registrationMatrix);
        return ijk2LPS;
    }
    /**
     * Compute AABB to LPS transform.
     * AABB: Axe Aligned Bounding Box.
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} origin
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} origin
     * @return {?}
     */
    static aabb2LPS(xCos, yCos, zCos, origin) {
        /** @type {?} */
        const aabb2LPS = new Matrix4$1();
        aabb2LPS.set(xCos.x, yCos.x, zCos.x, origin.x, xCos.y, yCos.y, zCos.y, origin.y, xCos.z, yCos.z, zCos.z, origin.z, 0, 0, 0, 1);
        return aabb2LPS;
    }
    /**
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} lps2IJK
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} lps2IJK
     * @param {?} worldCoordinates
     * @return {?}
     */
    static worldToData(lps2IJK, worldCoordinates) {
        /** @type {?} */
        let dataCoordinate = new Vector3().copy(worldCoordinates).applyMatrix4(lps2IJK);
        // same rounding in the shaders
        dataCoordinate.addScalar(0.5).floor();
        return dataCoordinate;
    }
    /**
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    static value(stack, coordinate) {
        window.console.warn('value is deprecated, please use getPixelData instead');
        this.getPixelData(stack, coordinate);
    }
    /**
     * Get voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    static getPixelData(stack, coordinate) {
        if (coordinate.z >= 0 && coordinate.z < stack._frame.length) {
            return stack._frame[coordinate.z].getPixelData(coordinate.x, coordinate.y);
        }
        else {
            return null;
        }
    }
    /**
     * Set voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ param {Number} value
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @param {?} value
     * @return {?}
     */
    static setPixelData(stack, coordinate, value) {
        if (coordinate.z >= 0 && coordinate.z < stack._frame.length) {
            stack._frame[coordinate.z].setPixelData(coordinate.x, coordinate.y, value);
        }
        else {
            return null;
        }
    }
    /**
     * Apply slope/intercept to a value
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    static rescaleSlopeIntercept(value, slope, intercept) {
        return value * slope + intercept;
    }
    /**
     *
     * Convenience function to extract center of mass from list of points.
     *
     * \@ param {Array<Vector3>} points - Set of points from which we want to extract the center of mass.
     *
     * \@ returns {Vector3} Center of mass from given points.
     * @param {?} points
     * @return {?}
     */
    static centerOfMass(points) {
        /** @type {?} */
        let centerOfMass = new Vector3(0, 0, 0);
        for (let i = 0; i < points.length; i++) {
            centerOfMass.x += points[i].x;
            centerOfMass.y += points[i].y;
            centerOfMass.z += points[i].z;
        }
        centerOfMass.divideScalar(points.length);
        return centerOfMass;
    }
    /**
       *
       * Order 3D planar points around a refence point.
       *
       * @ private
       *
       * @ param {Array<Vector3>} points - Set of planar 3D points to be ordered.
       * @ param {Vector3} direction - Direction of the plane in which points and reference are sitting.
       *
       * @ returns {Array<Object>} Set of object representing the ordered points.
       */
    // static orderIntersections(points: Array<Vector3>, direction: Vector3) {
    //   let reference = this.centerOfMass(points);
    //   // direction from first point to reference
    //   let referenceDirection = new Vector3(
    //     points[0].x - reference.x,
    //     points[0].y - reference.y,
    //     points[0].z - reference.z
    //   ).normalize();
    //   let base = new Vector3(0, 0, 0).crossVectors(referenceDirection, direction).normalize();
    //   let orderedpoints = [];
    //   // other lines // if inter, return location + angle
    //   for (let j = 0; j < points.length; j++) {
    //     let point = new Vector3(points[j].x, points[j].y, points[j].z);
    //     point.direction = new Vector3(
    //       points[j].x - reference.x,
    //       points[j].y - reference.y,
    //       points[j].z - reference.z
    //     ).normalize();
    //     let x = referenceDirection.dot(point.direction);
    //     let y = base.dot(point.direction);
    //     point.xy = { x, y };
    //     let theta = Math.atan2(y, x) * (180 / Math.PI);
    //     point.angle = theta;
    //     orderedpoints.push(point);
    //   }
    //   orderedpoints.sort(function(a, b) {
    //     return a.angle - b.angle;
    //   });
    //   let noDups = [orderedpoints[0]];
    //   let epsilon = 0.0001;
    //   for (let i = 1; i < orderedpoints.length; i++) {
    //     if (Math.abs(orderedpoints[i - 1].angle - orderedpoints[i].angle) > epsilon) {
    //       noDups.push(orderedpoints[i]);
    //     }
    //   }
    //   return noDups;
    // }
    /**
     * Get min, max, mean and sd of voxel values behind the mesh
     *
     * \@ param {THREE.Mesh}  mesh    Region of Interest
     * \@ param {*}           camera  Tested on CamerasOrthographic
     * \@ param {ModelsStack} stack
     *
     * \@ return {Object|null}
     * @param {?} mesh
     * @param {?} camera
     * @param {?} stack
     * @return {?}
     */
    static getRoI(mesh, camera, stack) {
        mesh.geometry.computeBoundingBox();
        /** @type {?} */
        const bbox = new Box3().setFromObject(mesh);
        /** @type {?} */
        const min = bbox.min.clone().project(camera);
        /** @type {?} */
        const max = bbox.max.clone().project(camera);
        /** @type {?} */
        const offsetWidth = camera.controls.domElement.offsetWidth;
        /** @type {?} */
        const offsetHeight = camera.controls.domElement.offsetHeight;
        /** @type {?} */
        const rayCaster = new Raycaster();
        /** @type {?} */
        const values = [];
        min.x = Math.round(((min.x + 1) * offsetWidth) / 2);
        min.y = Math.round(((-min.y + 1) * offsetHeight) / 2);
        max.x = Math.round(((max.x + 1) * offsetWidth) / 2);
        max.y = Math.round(((-max.y + 1) * offsetHeight) / 2);
        [min.x, max.x] = [Math.min(min.x, max.x), Math.max(min.x, max.x)];
        [min.y, max.y] = [Math.min(min.y, max.y), Math.max(min.y, max.y)];
        /** @type {?} */
        let intersect = [];
        /** @type {?} */
        let value = null;
        for (let x = min.x; x <= max.x; x++) {
            for (let y = min.y; y <= max.y; y++) {
                rayCaster.setFromCamera({
                    x: (x / offsetWidth) * 2 - 1,
                    y: -(y / offsetHeight) * 2 + 1,
                }, camera);
                intersect = rayCaster.intersectObject(mesh);
                if (intersect.length === 0) {
                    continue;
                }
                value = CoreUtils.getPixelData(stack, CoreUtils.worldToData(stack.lps2IJK, intersect[0].point));
                // the image isn't RGB and coordinates are inside it
                if (value !== null && stack.numberOfChannels === 1) {
                    values.push(CoreUtils.rescaleSlopeIntercept(value, stack.rescaleSlope, stack.rescaleIntercept));
                }
            }
        }
        if (values.length === 0) {
            return null;
        }
        /** @type {?} */
        const avg = values.reduce((/**
         * @param {?} sum
         * @param {?} val
         * @return {?}
         */
        (sum, val) => sum + val)) / values.length;
        return {
            min: values.reduce((/**
             * @param {?} prev
             * @param {?} val
             * @return {?}
             */
            (prev, val) => (prev < val ? prev : val))),
            max: values.reduce((/**
             * @param {?} prev
             * @param {?} val
             * @return {?}
             */
            (prev, val) => (prev > val ? prev : val))),
            mean: avg,
            sd: Math.sqrt(values.reduce((/**
             * @param {?} sum
             * @param {?} val
             * @return {?}
             */
            (sum, val) => sum + Math.pow(val - avg, 2)), 0) / values.length),
        };
    }
    /**
     * Calculate shape area (sum of triangle polygons area).
     * May be inaccurate or completely wrong for some shapes.
     *
     * \@ param {THREE.Geometry} geometry
     *
     * \@ returns {Number}
     * @param {?} geometry
     * @return {?}
     */
    static getGeometryArea(geometry) {
        if (geometry.faces.length < 1) {
            return 0.0;
        }
        /** @type {?} */
        let area = 0.0;
        /** @type {?} */
        let vertices = geometry.vertices;
        geometry.faces.forEach((/**
         * @param {?} elem
         * @return {?}
         */
        function (elem) {
            area += new Triangle(vertices[elem.a], vertices[elem.b], vertices[elem.c]).getArea();
        }));
        return area;
    }
    /**
     * @param {?} numberAsString
     * @return {?}
     */
    static stringToNumber(numberAsString) {
        /** @type {?} */
        let number = Number(numberAsString);
        // returns true is number is NaN
        if (number !== number) {
            /** @type {?} */
            const dots = (numberAsString.match(/\./g) || []).length;
            /** @type {?} */
            const commas = (numberAsString.match(/\,/g) || []).length;
            if (commas === 1 && dots < 2) {
                // convert 1,45 to 1.45
                // convert 1,456.78 to 1456.78
                /** @type {?} */
                const replaceBy = dots === 0 ? '.' : '';
                /** @type {?} */
                const stringWithoutComma = numberAsString.replace(/,/g, replaceBy);
                number = Number(stringWithoutComma);
            }
            // if that didn't help
            // weird stuff happenning
            // should throw an error instead of setting value to 1.0
            if (number !== number) {
                console.error(`String could not be converted to number (${numberAsString}). Setting value to "1.0".`);
                number = 1.0;
            }
        }
        return number;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module helpers/lut
 */
// const helpersLut = (three = window.THREE) => {
//   if (three === undefined || three.Object3D === undefined) {
//     return null;
//   }
//   const Constructor = three.Object3D;
//   return class extends Constructor {
class HelperLut extends Object3D {
    /**
     * @param {?} domTarget
     * @param {?=} lut
     * @param {?=} lutO
     * @param {?=} color
     * @param {?=} opacity
     * @param {?=} discrete
     */
    constructor(domTarget, lut = 'default', lutO = 'linear', color = [[0, 0, 0, 0], [1, 1, 1, 1]], opacity = [[0, 0], [1, 1]], discrete = false) {
        // min/max (0-1 or real intensities)
        // show/hide
        // horizontal/vertical
        super();
        if (CoreUtils.isString(domTarget)) {
            this._dom = document.getElementById(domTarget);
        }
        else {
            this._dom = domTarget;
        }
        this._discrete = discrete;
        this._color = color;
        this._lut = lut;
        this._luts = { [lut]: color };
        this._opacity = opacity;
        this._lutO = lutO;
        this._lutsO = { [lutO]: opacity };
        this.initCanvas();
        this.paintCanvas();
    }
    /**
     * @return {?}
     */
    initCanvas() {
        // container
        this._canvasContainer = this.initCanvasContainer(this._dom);
        // background
        this._canvasBg = this.createCanvas();
        this._canvasContainer.appendChild(this._canvasBg);
        // foreground
        this._canvas = this.createCanvas();
        this._canvasContainer.appendChild(this._canvas);
    }
    /**
     * @param {?} dom
     * @return {?}
     */
    initCanvasContainer(dom) {
        /** @type {?} */
        let canvasContainer = dom;
        canvasContainer.style.border = '1px solid #F9F9F9';
        return canvasContainer;
    }
    /**
     * @return {?}
     */
    createCanvas() {
        /** @type {?} */
        let canvas = document.createElement('canvas');
        canvas.height = 1;
        canvas.width = 256;
        canvas.style.width = '256px';
        canvas.style.height = '16px';
        return canvas;
    }
    /**
     * @return {?}
     */
    paintCanvas() {
        // setup context
        /** @type {?} */
        let ctx = this._canvas.getContext('2d');
        ctx.clearRect(0, 0, this._canvas.width, this._canvas.height);
        ctx.globalCompositeOperation = 'source-over';
        // apply color
        if (!this._discrete) {
            /** @type {?} */
            let color = ctx.createLinearGradient(0, 0, this._canvas.width, 0);
            for (let i = 0; i < this._color.length; i++) {
                color.addColorStop(this._color[i][0], `rgba( ${Math.round(this._color[i][1] * 255)}, ${Math.round(this._color[i][2] * 255)}, ${Math.round(this._color[i][3] * 255)}, 1)`);
            }
            ctx.fillStyle = color;
            ctx.fillRect(0, 0, this._canvas.width, this._canvas.height);
            // setup context
            ctx.globalCompositeOperation = 'destination-in';
            // apply opacity
            /** @type {?} */
            let opacity = ctx.createLinearGradient(0, 0, this._canvas.width, 0);
            for (let i = 0; i < this._opacity.length; i++) {
                opacity.addColorStop(this._opacity[i][0], 'rgba(255, 255, 255, ' + this._opacity[i][1] + ')');
            }
            ctx.fillStyle = opacity;
            ctx.fillRect(0, 0, this._canvas.width, this._canvas.height);
        }
        else {
            ctx.lineWidth = 2 * this._canvas.height;
            for (let i = 0; i < this._color.length; i++) {
                /** @type {?} */
                let currentPos = this._color[i][0];
                /** @type {?} */
                let nextPos = 1;
                if (i < this._color.length - 1) {
                    nextPos = this._color[i + 1][0];
                }
                /** @type {?} */
                let previousPos = 0;
                if (i > 0) {
                    previousPos = this._color[i - 1][0];
                }
                /** @type {?} */
                let from = previousPos + (currentPos - previousPos) / 2;
                /** @type {?} */
                let to = currentPos + (nextPos - currentPos) / 2;
                /** @type {?} */
                let color = this._color[i];
                /** @type {?} */
                let opacity = this._opacity[i] ? this._opacity[i][1] : 1;
                ctx.beginPath();
                ctx.strokeStyle = `rgba( ${Math.round(color[1] * 255)}, ${Math.round(color[2] * 255)}, ${Math.round(color[3] * 255)}, ${opacity})`;
                ctx.moveTo(from * this._canvas.width, 0);
                ctx.lineTo(to * this._canvas.width, 0);
                ctx.stroke();
                ctx.closePath();
            }
        }
    }
    /**
     * @return {?}
     */
    get texture() {
        /** @type {?} */
        let texture = new Texture(this._canvas);
        texture.mapping = UVMapping;
        texture.wrapS = texture.wrapT = ClampToEdgeWrapping;
        texture.magFilter = texture.minFilter = NearestFilter;
        texture.premultiplyAlpha = true;
        texture.needsUpdate = true;
        return texture;
    }
    /**
     * @param {?} targetLUT
     * @return {?}
     */
    set lut(targetLUT) {
        this._color = this._luts[targetLUT];
        this._lut = targetLUT;
        this.paintCanvas();
    }
    /**
     * @return {?}
     */
    get lut() {
        return this._lut;
    }
    /**
     * @param {?} newLuts
     * @return {?}
     */
    set luts(newLuts) {
        this._luts = newLuts;
    }
    /**
     * @return {?}
     */
    get luts() {
        return this._luts;
    }
    /**
     * @param {?} targetLUTO
     * @return {?}
     */
    set lutO(targetLUTO) {
        this._opacity = this._lutsO[targetLUTO];
        this._lutO = targetLUTO;
        this.paintCanvas();
    }
    /**
     * @return {?}
     */
    get lutO() {
        return this._lutO;
    }
    /**
     * @param {?} newLutsO
     * @return {?}
     */
    set lutsO(newLutsO) {
        this._lutsO = newLutsO;
    }
    /**
     * @return {?}
     */
    get lutsO() {
        return this._lutsO;
    }
    /**
     * @param {?} discrete
     * @return {?}
     */
    set discrete(discrete) {
        this._discrete = discrete;
        this.paintCanvas();
    }
    /**
     * @return {?}
     */
    get discrete() {
        return this._discrete;
    }
    /**
     * @param {?=} type
     * @return {?}
     */
    lutsAvailable(type = 'color') {
        /** @type {?} */
        let available = [];
        /** @type {?} */
        let luts = this._luts;
        if (type !== 'color') {
            luts = this._lutsO;
        }
        for (let i in luts) {
            available.push(i);
        }
        return available;
    }
    // add luts to class' lut (so a user can add its own as well)
    /**
     * @return {?}
     */
    static presetLuts() {
        return {
            default: [[0, 0, 0, 0], [1, 1, 1, 1]],
            spectrum: [
                [0, 0, 0, 0],
                [0.1, 0, 0, 1],
                [0.33, 0, 1, 1],
                [0.5, 0, 1, 0],
                [0.66, 1, 1, 0],
                [0.9, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            hot_and_cold: [
                [0, 0, 0, 1],
                [0.15, 0, 1, 1],
                [0.3, 0, 1, 0],
                [0.45, 0, 0, 0],
                [0.5, 0, 0, 0],
                [0.55, 0, 0, 0],
                [0.7, 1, 1, 0],
                [0.85, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            gold: [
                [0, 0, 0, 0],
                [0.13, 0.19, 0.03, 0],
                [0.25, 0.39, 0.12, 0],
                [0.38, 0.59, 0.26, 0],
                [0.5, 0.8, 0.46, 0.08],
                [0.63, 0.99, 0.71, 0.21],
                [0.75, 0.99, 0.88, 0.34],
                [0.88, 0.99, 0.99, 0.48],
                [1, 0.9, 0.95, 0.61],
            ],
            red: [[0, 0.75, 0, 0], [0.5, 1, 0.5, 0], [0.95, 1, 1, 0], [1, 1, 1, 1]],
            green: [[0, 0, 0.75, 0], [0.5, 0.5, 1, 0], [0.95, 1, 1, 0], [1, 1, 1, 1]],
            blue: [[0, 0, 0, 1], [0.5, 0, 0.5, 1], [0.95, 0, 1, 1], [1, 1, 1, 1]],
            walking_dead: [[0, 0.1, 1, 1], [1, 1, 1, 1]],
            random: [
                [0, 0, 0, 0],
                [0.27, 0.18, 0.18, 0.18],
                [0.41, 1, 1, 1],
                [0.7, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            muscle_bone: [
                [0, 0, 0, 0],
                [0.00392156862745098, 0.00784313725490196, 0, 0],
                [0.00784313725490196, 0.0196078431372549, 0, 0],
                [0.011764705882352941, 0.03137254901960784, 0, 0],
                [0.01568627450980392, 0.0392156862745098, 0, 0.00392156862745098],
                [
                    0.0196078431372549,
                    0.050980392156862744,
                    0.00392156862745098,
                    0.00392156862745098,
                ],
                [
                    0.023529411764705882,
                    0.06274509803921569,
                    0.00392156862745098,
                    0.00392156862745098,
                ],
                [
                    0.027450980392156862,
                    0.07058823529411765,
                    0.00392156862745098,
                    0.00784313725490196,
                ],
                [
                    0.03137254901960784,
                    0.08235294117647059,
                    0.00392156862745098,
                    0.00784313725490196,
                ],
                [
                    0.03529411764705882,
                    0.09411764705882353,
                    0.00784313725490196,
                    0.00784313725490196,
                ],
                [
                    0.0392156862745098,
                    0.10196078431372549,
                    0.00784313725490196,
                    0.00784313725490196,
                ],
                [
                    0.043137254901960784,
                    0.11372549019607843,
                    0.00784313725490196,
                    0.011764705882352941,
                ],
                [
                    0.047058823529411764,
                    0.12549019607843137,
                    0.00784313725490196,
                    0.011764705882352941,
                ],
                [
                    0.050980392156862744,
                    0.13333333333333333,
                    0.011764705882352941,
                    0.011764705882352941,
                ],
                [
                    0.054901960784313725,
                    0.1450980392156863,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.058823529411764705,
                    0.1568627450980392,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.06274509803921569,
                    0.16470588235294117,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.06666666666666667,
                    0.17647058823529413,
                    0.011764705882352941,
                    0.0196078431372549,
                ],
                [
                    0.07058823529411765,
                    0.18823529411764706,
                    0.01568627450980392,
                    0.0196078431372549,
                ],
                [0.07450980392156863, 0.2, 0.01568627450980392, 0.0196078431372549],
                [
                    0.0784313725490196,
                    0.20784313725490197,
                    0.01568627450980392,
                    0.0196078431372549,
                ],
                [
                    0.08235294117647059,
                    0.2196078431372549,
                    0.01568627450980392,
                    0.023529411764705882,
                ],
                [
                    0.08627450980392157,
                    0.23137254901960785,
                    0.0196078431372549,
                    0.023529411764705882,
                ],
                [
                    0.09019607843137255,
                    0.23921568627450981,
                    0.0196078431372549,
                    0.023529411764705882,
                ],
                [
                    0.09411764705882353,
                    0.25098039215686274,
                    0.0196078431372549,
                    0.027450980392156862,
                ],
                [
                    0.09803921568627451,
                    0.2627450980392157,
                    0.0196078431372549,
                    0.027450980392156862,
                ],
                [
                    0.10196078431372549,
                    0.27058823529411763,
                    0.023529411764705882,
                    0.027450980392156862,
                ],
                [
                    0.10588235294117647,
                    0.2823529411764706,
                    0.023529411764705882,
                    0.027450980392156862,
                ],
                [
                    0.10980392156862745,
                    0.29411764705882354,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.11372549019607843,
                    0.30196078431372547,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.11764705882352941,
                    0.3137254901960784,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.12156862745098039,
                    0.3254901960784314,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.12549019607843137,
                    0.3333333333333333,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.12941176470588237,
                    0.34509803921568627,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.13333333333333333,
                    0.3568627450980392,
                    0.027450980392156862,
                    0.0392156862745098,
                ],
                [
                    0.13725490196078433,
                    0.36470588235294116,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [
                    0.1411764705882353,
                    0.3764705882352941,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [
                    0.1450980392156863,
                    0.38823529411764707,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [0.14901960784313725, 0.4, 0.03137254901960784, 0.043137254901960784],
                [
                    0.15294117647058825,
                    0.40784313725490196,
                    0.03529411764705882,
                    0.043137254901960784,
                ],
                [
                    0.1568627450980392,
                    0.4196078431372549,
                    0.03529411764705882,
                    0.043137254901960784,
                ],
                [
                    0.1607843137254902,
                    0.43137254901960786,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.16470588235294117,
                    0.4392156862745098,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.16862745098039217,
                    0.45098039215686275,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.17254901960784313,
                    0.4627450980392157,
                    0.0392156862745098,
                    0.047058823529411764,
                ],
                [
                    0.17647058823529413,
                    0.47058823529411764,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.1803921568627451,
                    0.4823529411764706,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.1843137254901961,
                    0.49411764705882355,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.18823529411764706,
                    0.5019607843137255,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [
                    0.19215686274509805,
                    0.5137254901960784,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [
                    0.19607843137254902,
                    0.5254901960784314,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [0.2, 0.5333333333333333, 0.043137254901960784, 0.058823529411764705],
                [
                    0.20392156862745098,
                    0.5450980392156862,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.20784313725490197,
                    0.5568627450980392,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.21176470588235294,
                    0.5647058823529412,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.21568627450980393,
                    0.5764705882352941,
                    0.047058823529411764,
                    0.06274509803921569,
                ],
                [
                    0.2196078431372549,
                    0.5882352941176471,
                    0.047058823529411764,
                    0.06274509803921569,
                ],
                [0.2235294117647059, 0.6, 0.050980392156862744, 0.06274509803921569],
                [
                    0.22745098039215686,
                    0.6078431372549019,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23137254901960785,
                    0.6196078431372549,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23529411764705882,
                    0.6313725490196078,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23921568627450981,
                    0.6392156862745098,
                    0.054901960784313725,
                    0.06666666666666667,
                ],
                [
                    0.24313725490196078,
                    0.6509803921568628,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.24705882352941178,
                    0.6627450980392157,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.25098039215686274,
                    0.6705882352941176,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.2549019607843137,
                    0.6823529411764706,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.25882352941176473,
                    0.6941176470588235,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.2627450980392157,
                    0.7019607843137254,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.26666666666666666,
                    0.7137254901960784,
                    0.058823529411764705,
                    0.0784313725490196,
                ],
                [
                    0.27058823529411763,
                    0.7254901960784313,
                    0.058823529411764705,
                    0.0784313725490196,
                ],
                [
                    0.27450980392156865,
                    0.7333333333333333,
                    0.06274509803921569,
                    0.0784313725490196,
                ],
                [
                    0.2784313725490196,
                    0.7450980392156863,
                    0.06274509803921569,
                    0.0784313725490196,
                ],
                [
                    0.2823529411764706,
                    0.7568627450980392,
                    0.06274509803921569,
                    0.08235294117647059,
                ],
                [
                    0.28627450980392155,
                    0.7647058823529411,
                    0.06274509803921569,
                    0.08235294117647059,
                ],
                [
                    0.2901960784313726,
                    0.7764705882352941,
                    0.06666666666666667,
                    0.08235294117647059,
                ],
                [
                    0.29411764705882354,
                    0.788235294117647,
                    0.06666666666666667,
                    0.08627450980392157,
                ],
                [0.2980392156862745, 0.8, 0.06666666666666667, 0.08627450980392157],
                [
                    0.30196078431372547,
                    0.807843137254902,
                    0.06666666666666667,
                    0.08627450980392157,
                ],
                [
                    0.3058823529411765,
                    0.8196078431372549,
                    0.07058823529411765,
                    0.08627450980392157,
                ],
                [
                    0.30980392156862746,
                    0.8313725490196079,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3137254901960784,
                    0.8392156862745098,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3176470588235294,
                    0.8509803921568627,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3215686274509804,
                    0.8627450980392157,
                    0.07058823529411765,
                    0.09411764705882353,
                ],
                [
                    0.3254901960784314,
                    0.8705882352941177,
                    0.07450980392156863,
                    0.09411764705882353,
                ],
                [
                    0.32941176470588235,
                    0.8823529411764706,
                    0.07450980392156863,
                    0.09411764705882353,
                ],
                [
                    0.3333333333333333,
                    0.8941176470588236,
                    0.07450980392156863,
                    0.09803921568627451,
                ],
                [
                    0.33725490196078434,
                    0.9019607843137255,
                    0.07450980392156863,
                    0.09803921568627451,
                ],
                [
                    0.3411764705882353,
                    0.9137254901960784,
                    0.0784313725490196,
                    0.09803921568627451,
                ],
                [
                    0.34509803921568627,
                    0.9254901960784314,
                    0.0784313725490196,
                    0.09803921568627451,
                ],
                [
                    0.34901960784313724,
                    0.9333333333333333,
                    0.0784313725490196,
                    0.10196078431372549,
                ],
                [
                    0.35294117647058826,
                    0.9450980392156862,
                    0.0784313725490196,
                    0.10196078431372549,
                ],
                [
                    0.3568627450980392,
                    0.9568627450980393,
                    0.08235294117647059,
                    0.10196078431372549,
                ],
                [
                    0.3607843137254902,
                    0.9647058823529412,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [
                    0.36470588235294116,
                    0.9764705882352941,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [
                    0.3686274509803922,
                    0.9882352941176471,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [0.37254901960784315, 1, 0.08235294117647059, 0.10588235294117647],
                [0.3764705882352941, 1, 0.09411764705882353, 0.10588235294117647],
                [0.3803921568627451, 1, 0.10588235294117647, 0.10588235294117647],
                [0.3843137254901961, 1, 0.11764705882352941, 0.10196078431372549],
                [0.38823529411764707, 1, 0.12941176470588237, 0.10196078431372549],
                [0.39215686274509803, 1, 0.1411764705882353, 0.10196078431372549],
                [0.396078431372549, 1, 0.15294117647058825, 0.09803921568627451],
                [0.4, 1, 0.16470588235294117, 0.09803921568627451],
                [0.403921568627451, 1, 0.17647058823529413, 0.09803921568627451],
                [0.40784313725490196, 1, 0.18823529411764706, 0.09411764705882353],
                [0.4117647058823529, 1, 0.2, 0.09411764705882353],
                [0.41568627450980394, 1, 0.21176470588235294, 0.09411764705882353],
                [0.4196078431372549, 1, 0.2235294117647059, 0.09019607843137255],
                [0.4235294117647059, 1, 0.23529411764705882, 0.09019607843137255],
                [0.42745098039215684, 1, 0.24705882352941178, 0.08627450980392157],
                [0.43137254901960786, 1, 0.25882352941176473, 0.08627450980392157],
                [0.43529411764705883, 1, 0.27058823529411763, 0.08627450980392157],
                [0.4392156862745098, 1, 0.2823529411764706, 0.08235294117647059],
                [0.44313725490196076, 1, 0.29411764705882354, 0.08235294117647059],
                [0.4470588235294118, 1, 0.3058823529411765, 0.08235294117647059],
                [0.45098039215686275, 1, 0.3176470588235294, 0.0784313725490196],
                [0.4549019607843137, 1, 0.32941176470588235, 0.0784313725490196],
                [0.4588235294117647, 1, 0.3411764705882353, 0.0784313725490196],
                [0.4627450980392157, 1, 0.35294117647058826, 0.07450980392156863],
                [0.4666666666666667, 1, 0.36470588235294116, 0.07450980392156863],
                [0.47058823529411764, 1, 0.3764705882352941, 0.07450980392156863],
                [0.4745098039215686, 1, 0.38823529411764707, 0.07058823529411765],
                [0.47843137254901963, 1, 0.4, 0.07058823529411765],
                [0.4823529411764706, 1, 0.4117647058823529, 0.07058823529411765],
                [0.48627450980392156, 1, 0.4235294117647059, 0.06666666666666667],
                [0.49019607843137253, 1, 0.43529411764705883, 0.06666666666666667],
                [0.49411764705882355, 1, 0.4470588235294118, 0.06274509803921569],
                [0.4980392156862745, 1, 0.4588235294117647, 0.06274509803921569],
                [0.5019607843137255, 1, 0.47058823529411764, 0.06274509803921569],
                [0.5058823529411764, 1, 0.4823529411764706, 0.058823529411764705],
                [0.5098039215686274, 1, 0.49411764705882355, 0.058823529411764705],
                [0.5137254901960784, 1, 0.5058823529411764, 0.058823529411764705],
                [0.5176470588235295, 1, 0.5137254901960784, 0.054901960784313725],
                [0.5215686274509804, 1, 0.5254901960784314, 0.054901960784313725],
                [0.5254901960784314, 1, 0.5372549019607843, 0.054901960784313725],
                [0.5294117647058824, 1, 0.5490196078431373, 0.050980392156862744],
                [0.5333333333333333, 1, 0.5607843137254902, 0.050980392156862744],
                [0.5372549019607843, 1, 0.5725490196078431, 0.050980392156862744],
                [0.5411764705882353, 1, 0.5843137254901961, 0.047058823529411764],
                [0.5450980392156862, 1, 0.596078431372549, 0.047058823529411764],
                [0.5490196078431373, 1, 0.6078431372549019, 0.043137254901960784],
                [0.5529411764705883, 1, 0.6196078431372549, 0.043137254901960784],
                [0.5568627450980392, 1, 0.6313725490196078, 0.043137254901960784],
                [0.5607843137254902, 1, 0.6431372549019608, 0.0392156862745098],
                [0.5647058823529412, 1, 0.6549019607843137, 0.0392156862745098],
                [0.5686274509803921, 1, 0.6666666666666666, 0.0392156862745098],
                [0.5725490196078431, 1, 0.6784313725490196, 0.03529411764705882],
                [0.5764705882352941, 1, 0.6901960784313725, 0.03529411764705882],
                [0.5803921568627451, 1, 0.6941176470588235, 0.0392156862745098],
                [0.5843137254901961, 1, 0.7019607843137254, 0.0392156862745098],
                [0.5882352941176471, 1, 0.7058823529411765, 0.043137254901960784],
                [0.592156862745098, 1, 0.7098039215686275, 0.043137254901960784],
                [0.596078431372549, 1, 0.7137254901960784, 0.047058823529411764],
                [0.6, 1, 0.7176470588235294, 0.047058823529411764],
                [0.6039215686274509, 1, 0.7254901960784313, 0.050980392156862744],
                [0.6078431372549019, 1, 0.7294117647058823, 0.050980392156862744],
                [0.611764705882353, 1, 0.7333333333333333, 0.054901960784313725],
                [0.615686274509804, 1, 0.7372549019607844, 0.058823529411764705],
                [0.6196078431372549, 1, 0.7411764705882353, 0.058823529411764705],
                [0.6235294117647059, 1, 0.7490196078431373, 0.06274509803921569],
                [0.6274509803921569, 1, 0.7529411764705882, 0.06274509803921569],
                [0.6313725490196078, 1, 0.7568627450980392, 0.06666666666666667],
                [0.6352941176470588, 1, 0.7607843137254902, 0.06666666666666667],
                [0.6392156862745098, 1, 0.7647058823529411, 0.07058823529411765],
                [0.6431372549019608, 1, 0.7725490196078432, 0.07058823529411765],
                [0.6470588235294118, 1, 0.7764705882352941, 0.07450980392156863],
                [0.6509803921568628, 1, 0.7803921568627451, 0.07450980392156863],
                [0.6549019607843137, 1, 0.7843137254901961, 0.0784313725490196],
                [0.6588235294117647, 1, 0.788235294117647, 0.08235294117647059],
                [0.6627450980392157, 1, 0.796078431372549, 0.08235294117647059],
                [0.6666666666666666, 1, 0.8, 0.08627450980392157],
                [0.6705882352941176, 1, 0.803921568627451, 0.08627450980392157],
                [0.6745098039215687, 1, 0.807843137254902, 0.09019607843137255],
                [0.6784313725490196, 1, 0.8117647058823529, 0.09019607843137255],
                [0.6823529411764706, 1, 0.8196078431372549, 0.09411764705882353],
                [0.6862745098039216, 1, 0.8235294117647058, 0.09411764705882353],
                [0.6901960784313725, 1, 0.8274509803921568, 0.09803921568627451],
                [0.6941176470588235, 1, 0.8313725490196079, 0.10196078431372549],
                [0.6980392156862745, 1, 0.8352941176470589, 0.10196078431372549],
                [0.7019607843137254, 1, 0.8431372549019608, 0.10588235294117647],
                [0.7058823529411765, 1, 0.8470588235294118, 0.10588235294117647],
                [0.7098039215686275, 1, 0.8509803921568627, 0.10980392156862745],
                [0.7137254901960784, 1, 0.8549019607843137, 0.10980392156862745],
                [0.7176470588235294, 1, 0.8627450980392157, 0.11372549019607843],
                [0.7215686274509804, 1, 0.8666666666666667, 0.11372549019607843],
                [0.7254901960784313, 1, 0.8705882352941177, 0.11764705882352941],
                [0.7294117647058823, 1, 0.8745098039215686, 0.12156862745098039],
                [0.7333333333333333, 1, 0.8784313725490196, 0.12156862745098039],
                [0.7372549019607844, 1, 0.8862745098039215, 0.12549019607843137],
                [0.7411764705882353, 1, 0.8901960784313725, 0.12549019607843137],
                [0.7450980392156863, 1, 0.8941176470588236, 0.12941176470588237],
                [0.7490196078431373, 1, 0.8980392156862745, 0.12941176470588237],
                [0.7529411764705882, 1, 0.9019607843137255, 0.13333333333333333],
                [0.7568627450980392, 1, 0.9098039215686274, 0.13333333333333333],
                [0.7607843137254902, 1, 0.9137254901960784, 0.13725490196078433],
                [0.7647058823529411, 1, 0.9176470588235294, 0.1411764705882353],
                [0.7686274509803922, 1, 0.9215686274509803, 0.1411764705882353],
                [0.7725490196078432, 1, 0.9254901960784314, 0.1450980392156863],
                [0.7764705882352941, 1, 0.9333333333333333, 0.1450980392156863],
                [0.7803921568627451, 1, 0.9372549019607843, 0.14901960784313725],
                [0.7843137254901961, 1, 0.9411764705882353, 0.14901960784313725],
                [0.788235294117647, 1, 0.9450980392156862, 0.15294117647058825],
                [0.792156862745098, 1, 0.9450980392156862, 0.16862745098039217],
                [0.796078431372549, 1, 0.9490196078431372, 0.1843137254901961],
                [0.8, 1, 0.9490196078431372, 0.2],
                [0.803921568627451, 1, 0.9490196078431372, 0.21568627450980393],
                [0.807843137254902, 1, 0.9490196078431372, 0.22745098039215686],
                [0.8117647058823529, 1, 0.9529411764705882, 0.24313725490196078],
                [0.8156862745098039, 1, 0.9529411764705882, 0.25882352941176473],
                [0.8196078431372549, 1, 0.9529411764705882, 0.27450980392156865],
                [0.8235294117647058, 1, 0.9529411764705882, 0.2901960784313726],
                [0.8274509803921568, 1, 0.9568627450980393, 0.3058823529411765],
                [0.8313725490196079, 1, 0.9568627450980393, 0.3215686274509804],
                [0.8352941176470589, 1, 0.9568627450980393, 0.33725490196078434],
                [0.8392156862745098, 1, 0.9568627450980393, 0.35294117647058826],
                [0.8431372549019608, 1, 0.9607843137254902, 0.3686274509803922],
                [0.8470588235294118, 1, 0.9607843137254902, 0.3843137254901961],
                [0.8509803921568627, 1, 0.9607843137254902, 0.4],
                [0.8549019607843137, 1, 0.9607843137254902, 0.4117647058823529],
                [0.8588235294117647, 1, 0.9647058823529412, 0.42745098039215684],
                [0.8627450980392157, 1, 0.9647058823529412, 0.44313725490196076],
                [0.8666666666666667, 1, 0.9647058823529412, 0.4588235294117647],
                [0.8705882352941177, 1, 0.9647058823529412, 0.4745098039215686],
                [0.8745098039215686, 1, 0.9686274509803922, 0.49019607843137253],
                [0.8784313725490196, 1, 0.9686274509803922, 0.5058823529411764],
                [0.8823529411764706, 1, 0.9686274509803922, 0.5215686274509804],
                [0.8862745098039215, 1, 0.9686274509803922, 0.5372549019607843],
                [0.8901960784313725, 1, 0.9725490196078431, 0.5529411764705883],
                [0.8941176470588236, 1, 0.9725490196078431, 0.5686274509803921],
                [0.8980392156862745, 1, 0.9725490196078431, 0.5843137254901961],
                [0.9019607843137255, 1, 0.9725490196078431, 0.6],
                [0.9058823529411765, 1, 0.9725490196078431, 0.611764705882353],
                [0.9098039215686274, 1, 0.9764705882352941, 0.6274509803921569],
                [0.9137254901960784, 1, 0.9764705882352941, 0.6431372549019608],
                [0.9176470588235294, 1, 0.9764705882352941, 0.6588235294117647],
                [0.9215686274509803, 1, 0.9764705882352941, 0.6745098039215687],
                [0.9254901960784314, 1, 0.9803921568627451, 0.6901960784313725],
                [0.9294117647058824, 1, 0.9803921568627451, 0.7058823529411765],
                [0.9333333333333333, 1, 0.9803921568627451, 0.7215686274509804],
                [0.9372549019607843, 1, 0.9803921568627451, 0.7372549019607844],
                [0.9411764705882353, 1, 0.984313725490196, 0.7529411764705882],
                [0.9450980392156862, 1, 0.984313725490196, 0.7686274509803922],
                [0.9490196078431372, 1, 0.984313725490196, 0.7843137254901961],
                [0.9529411764705882, 1, 0.984313725490196, 0.8],
                [0.9568627450980393, 1, 0.9882352941176471, 0.8117647058823529],
                [0.9607843137254902, 1, 0.9882352941176471, 0.8274509803921568],
                [0.9647058823529412, 1, 0.9882352941176471, 0.8431372549019608],
                [0.9686274509803922, 1, 0.9882352941176471, 0.8588235294117647],
                [0.9725490196078431, 1, 0.9921568627450981, 0.8745098039215686],
                [0.9764705882352941, 1, 0.9921568627450981, 0.8901960784313725],
                [0.9803921568627451, 1, 0.9921568627450981, 0.9058823529411765],
                [0.984313725490196, 1, 0.9921568627450981, 0.9215686274509803],
                [0.9882352941176471, 1, 0.996078431372549, 0.9372549019607843],
                [0.9921568627450981, 1, 0.996078431372549, 0.9529411764705882],
                [0.996078431372549, 1, 0.996078431372549, 0.9686274509803922],
                [1, 1, 0.996078431372549, 0.984313725490196],
            ],
        };
    }
    /**
     * @return {?}
     */
    static presetLutsO() {
        return {
            linear: [[0, 0], [1, 1]],
            lowpass: [[0, 0.8], [0.2, 0.6], [0.3, 0.1], [1, 0]],
            bandpass: [[0, 0], [0.4, 0.8], [0.6, 0.8], [1, 0]],
            highpass: [[0, 0], [0.7, 0.1], [0.8, 0.6], [1, 0.8]],
            flat: [[0, 0.7], [1, 1]],
            random: [[0, 0], [0.38, 0], [0.55, 1], [0.72, 1], [1, 0.05]],
            linear_full: [
                [0, 0],
                [0.00392156862745098, 0.00392156862745098],
                [0.00784313725490196, 0.00784313725490196],
                [0.011764705882352941, 0.011764705882352941],
                [0.01568627450980392, 0.01568627450980392],
                [0.0196078431372549, 0.0196078431372549],
                [0.023529411764705882, 0.023529411764705882],
                [0.027450980392156862, 0.027450980392156862],
                [0.03137254901960784, 0.03137254901960784],
                [0.03529411764705882, 0.03529411764705882],
                [0.0392156862745098, 0.0392156862745098],
                [0.043137254901960784, 0.043137254901960784],
                [0.047058823529411764, 0.047058823529411764],
                [0.050980392156862744, 0.050980392156862744],
                [0.054901960784313725, 0.054901960784313725],
                [0.058823529411764705, 0.058823529411764705],
                [0.06274509803921569, 0.06274509803921569],
                [0.06666666666666667, 0.06666666666666667],
                [0.07058823529411765, 0.07058823529411765],
                [0.07450980392156863, 0.07450980392156863],
                [0.0784313725490196, 0.0784313725490196],
                [0.08235294117647059, 0.08235294117647059],
                [0.08627450980392157, 0.08627450980392157],
                [0.09019607843137255, 0.09019607843137255],
                [0.09411764705882353, 0.09411764705882353],
                [0.09803921568627451, 0.09803921568627451],
                [0.10196078431372549, 0.10196078431372549],
                [0.10588235294117647, 0.10588235294117647],
                [0.10980392156862745, 0.10980392156862745],
                [0.11372549019607843, 0.11372549019607843],
                [0.11764705882352941, 0.11764705882352941],
                [0.12156862745098039, 0.12156862745098039],
                [0.12549019607843137, 0.12549019607843137],
                [0.12941176470588237, 0.12941176470588237],
                [0.13333333333333333, 0.13333333333333333],
                [0.13725490196078433, 0.13725490196078433],
                [0.1411764705882353, 0.1411764705882353],
                [0.1450980392156863, 0.1450980392156863],
                [0.14901960784313725, 0.14901960784313725],
                [0.15294117647058825, 0.15294117647058825],
                [0.1568627450980392, 0.1568627450980392],
                [0.1607843137254902, 0.1607843137254902],
                [0.16470588235294117, 0.16470588235294117],
                [0.16862745098039217, 0.16862745098039217],
                [0.17254901960784313, 0.17254901960784313],
                [0.17647058823529413, 0.17647058823529413],
                [0.1803921568627451, 0.1803921568627451],
                [0.1843137254901961, 0.1843137254901961],
                [0.18823529411764706, 0.18823529411764706],
                [0.19215686274509805, 0.19215686274509805],
                [0.19607843137254902, 0.19607843137254902],
                [0.2, 0.2],
                [0.20392156862745098, 0.20392156862745098],
                [0.20784313725490197, 0.20784313725490197],
                [0.21176470588235294, 0.21176470588235294],
                [0.21568627450980393, 0.21568627450980393],
                [0.2196078431372549, 0.2196078431372549],
                [0.2235294117647059, 0.2235294117647059],
                [0.22745098039215686, 0.22745098039215686],
                [0.23137254901960785, 0.23137254901960785],
                [0.23529411764705882, 0.23529411764705882],
                [0.23921568627450981, 0.23921568627450981],
                [0.24313725490196078, 0.24313725490196078],
                [0.24705882352941178, 0.24705882352941178],
                [0.25098039215686274, 0.25098039215686274],
                [0.2549019607843137, 0.2549019607843137],
                [0.25882352941176473, 0.25882352941176473],
                [0.2627450980392157, 0.2627450980392157],
                [0.26666666666666666, 0.26666666666666666],
                [0.27058823529411763, 0.27058823529411763],
                [0.27450980392156865, 0.27450980392156865],
                [0.2784313725490196, 0.2784313725490196],
                [0.2823529411764706, 0.2823529411764706],
                [0.28627450980392155, 0.28627450980392155],
                [0.2901960784313726, 0.2901960784313726],
                [0.29411764705882354, 0.29411764705882354],
                [0.2980392156862745, 0.2980392156862745],
                [0.30196078431372547, 0.30196078431372547],
                [0.3058823529411765, 0.3058823529411765],
                [0.30980392156862746, 0.30980392156862746],
                [0.3137254901960784, 0.3137254901960784],
                [0.3176470588235294, 0.3176470588235294],
                [0.3215686274509804, 0.3215686274509804],
                [0.3254901960784314, 0.3254901960784314],
                [0.32941176470588235, 0.32941176470588235],
                [0.3333333333333333, 0.3333333333333333],
                [0.33725490196078434, 0.33725490196078434],
                [0.3411764705882353, 0.3411764705882353],
                [0.34509803921568627, 0.34509803921568627],
                [0.34901960784313724, 0.34901960784313724],
                [0.35294117647058826, 0.35294117647058826],
                [0.3568627450980392, 0.3568627450980392],
                [0.3607843137254902, 0.3607843137254902],
                [0.36470588235294116, 0.36470588235294116],
                [0.3686274509803922, 0.3686274509803922],
                [0.37254901960784315, 0.37254901960784315],
                [0.3764705882352941, 0.3764705882352941],
                [0.3803921568627451, 0.3803921568627451],
                [0.3843137254901961, 0.3843137254901961],
                [0.38823529411764707, 0.38823529411764707],
                [0.39215686274509803, 0.39215686274509803],
                [0.396078431372549, 0.396078431372549],
                [0.4, 0.4],
                [0.403921568627451, 0.403921568627451],
                [0.40784313725490196, 0.40784313725490196],
                [0.4117647058823529, 0.4117647058823529],
                [0.41568627450980394, 0.41568627450980394],
                [0.4196078431372549, 0.4196078431372549],
                [0.4235294117647059, 0.4235294117647059],
                [0.42745098039215684, 0.42745098039215684],
                [0.43137254901960786, 0.43137254901960786],
                [0.43529411764705883, 0.43529411764705883],
                [0.4392156862745098, 0.4392156862745098],
                [0.44313725490196076, 0.44313725490196076],
                [0.4470588235294118, 0.4470588235294118],
                [0.45098039215686275, 0.45098039215686275],
                [0.4549019607843137, 0.4549019607843137],
                [0.4588235294117647, 0.4588235294117647],
                [0.4627450980392157, 0.4627450980392157],
                [0.4666666666666667, 0.4666666666666667],
                [0.47058823529411764, 0.47058823529411764],
                [0.4745098039215686, 0.4745098039215686],
                [0.47843137254901963, 0.47843137254901963],
                [0.4823529411764706, 0.4823529411764706],
                [0.48627450980392156, 0.48627450980392156],
                [0.49019607843137253, 0.49019607843137253],
                [0.49411764705882355, 0.49411764705882355],
                [0.4980392156862745, 0.4980392156862745],
                [0.5019607843137255, 0.5019607843137255],
                [0.5058823529411764, 0.5058823529411764],
                [0.5098039215686274, 0.5098039215686274],
                [0.5137254901960784, 0.5137254901960784],
                [0.5176470588235295, 0.5176470588235295],
                [0.5215686274509804, 0.5215686274509804],
                [0.5254901960784314, 0.5254901960784314],
                [0.5294117647058824, 0.5294117647058824],
                [0.5333333333333333, 0.5333333333333333],
                [0.5372549019607843, 0.5372549019607843],
                [0.5411764705882353, 0.5411764705882353],
                [0.5450980392156862, 0.5450980392156862],
                [0.5490196078431373, 0.5490196078431373],
                [0.5529411764705883, 0.5529411764705883],
                [0.5568627450980392, 0.5568627450980392],
                [0.5607843137254902, 0.5607843137254902],
                [0.5647058823529412, 0.5647058823529412],
                [0.5686274509803921, 0.5686274509803921],
                [0.5725490196078431, 0.5725490196078431],
                [0.5764705882352941, 0.5764705882352941],
                [0.5803921568627451, 0.5803921568627451],
                [0.5843137254901961, 0.5843137254901961],
                [0.5882352941176471, 0.5882352941176471],
                [0.592156862745098, 0.592156862745098],
                [0.596078431372549, 0.596078431372549],
                [0.6, 0.6],
                [0.6039215686274509, 0.6039215686274509],
                [0.6078431372549019, 0.6078431372549019],
                [0.611764705882353, 0.611764705882353],
                [0.615686274509804, 0.615686274509804],
                [0.6196078431372549, 0.6196078431372549],
                [0.6235294117647059, 0.6235294117647059],
                [0.6274509803921569, 0.6274509803921569],
                [0.6313725490196078, 0.6313725490196078],
                [0.6352941176470588, 0.6352941176470588],
                [0.6392156862745098, 0.6392156862745098],
                [0.6431372549019608, 0.6431372549019608],
                [0.6470588235294118, 0.6470588235294118],
                [0.6509803921568628, 0.6509803921568628],
                [0.6549019607843137, 0.6549019607843137],
                [0.6588235294117647, 0.6588235294117647],
                [0.6627450980392157, 0.6627450980392157],
                [0.6666666666666666, 0.6666666666666666],
                [0.6705882352941176, 0.6705882352941176],
                [0.6745098039215687, 0.6745098039215687],
                [0.6784313725490196, 0.6784313725490196],
                [0.6823529411764706, 0.6823529411764706],
                [0.6862745098039216, 0.6862745098039216],
                [0.6901960784313725, 0.6901960784313725],
                [0.6941176470588235, 0.6941176470588235],
                [0.6980392156862745, 0.6980392156862745],
                [0.7019607843137254, 0.7019607843137254],
                [0.7058823529411765, 0.7058823529411765],
                [0.7098039215686275, 0.7098039215686275],
                [0.7137254901960784, 0.7137254901960784],
                [0.7176470588235294, 0.7176470588235294],
                [0.7215686274509804, 0.7215686274509804],
                [0.7254901960784313, 0.7254901960784313],
                [0.7294117647058823, 0.7294117647058823],
                [0.7333333333333333, 0.7333333333333333],
                [0.7372549019607844, 0.7372549019607844],
                [0.7411764705882353, 0.7411764705882353],
                [0.7450980392156863, 0.7450980392156863],
                [0.7490196078431373, 0.7490196078431373],
                [0.7529411764705882, 0.7529411764705882],
                [0.7568627450980392, 0.7568627450980392],
                [0.7607843137254902, 0.7607843137254902],
                [0.7647058823529411, 0.7647058823529411],
                [0.7686274509803922, 0.7686274509803922],
                [0.7725490196078432, 0.7725490196078432],
                [0.7764705882352941, 0.7764705882352941],
                [0.7803921568627451, 0.7803921568627451],
                [0.7843137254901961, 0.7843137254901961],
                [0.788235294117647, 0.788235294117647],
                [0.792156862745098, 0.792156862745098],
                [0.796078431372549, 0.796078431372549],
                [0.8, 0.8],
                [0.803921568627451, 0.803921568627451],
                [0.807843137254902, 0.807843137254902],
                [0.8117647058823529, 0.8117647058823529],
                [0.8156862745098039, 0.8156862745098039],
                [0.8196078431372549, 0.8196078431372549],
                [0.8235294117647058, 0.8235294117647058],
                [0.8274509803921568, 0.8274509803921568],
                [0.8313725490196079, 0.8313725490196079],
                [0.8352941176470589, 0.8352941176470589],
                [0.8392156862745098, 0.8392156862745098],
                [0.8431372549019608, 0.8431372549019608],
                [0.8470588235294118, 0.8470588235294118],
                [0.8509803921568627, 0.8509803921568627],
                [0.8549019607843137, 0.8549019607843137],
                [0.8588235294117647, 0.8588235294117647],
                [0.8627450980392157, 0.8627450980392157],
                [0.8666666666666667, 0.8666666666666667],
                [0.8705882352941177, 0.8705882352941177],
                [0.8745098039215686, 0.8745098039215686],
                [0.8784313725490196, 0.8784313725490196],
                [0.8823529411764706, 0.8823529411764706],
                [0.8862745098039215, 0.8862745098039215],
                [0.8901960784313725, 0.8901960784313725],
                [0.8941176470588236, 0.8941176470588236],
                [0.8980392156862745, 0.8980392156862745],
                [0.9019607843137255, 0.9019607843137255],
                [0.9058823529411765, 0.9058823529411765],
                [0.9098039215686274, 0.9098039215686274],
                [0.9137254901960784, 0.9137254901960784],
                [0.9176470588235294, 0.9176470588235294],
                [0.9215686274509803, 0.9215686274509803],
                [0.9254901960784314, 0.9254901960784314],
                [0.9294117647058824, 0.9294117647058824],
                [0.9333333333333333, 0.9333333333333333],
                [0.9372549019607843, 0.9372549019607843],
                [0.9411764705882353, 0.9411764705882353],
                [0.9450980392156862, 0.9450980392156862],
                [0.9490196078431372, 0.9490196078431372],
                [0.9529411764705882, 0.9529411764705882],
                [0.9568627450980393, 0.9568627450980393],
                [0.9607843137254902, 0.9607843137254902],
                [0.9647058823529412, 0.9647058823529412],
                [0.9686274509803922, 0.9686274509803922],
                [0.9725490196078431, 0.9725490196078431],
                [0.9764705882352941, 0.9764705882352941],
                [0.9803921568627451, 0.9803921568627451],
                [0.984313725490196, 0.984313725490196],
                [0.9882352941176471, 0.9882352941176471],
                [0.9921568627450981, 0.9921568627450981],
                [0.996078431372549, 0.996078431372549],
                [1, 1],
            ],
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {string} */
const COLORS = {
    blue: '#00B0FF',
    yellow: '#FFEB3B',
    red: '#F50057',
    green: '#76FF03',
    white: '#FFF',
    lightRed: '#F77',
};
/**
 * Colors utility functions
 */
class Colors {
    /**
     * Convert LAB to XYZ
     * http://www.easyrgb.com/index.php?X=MATH&H=08#text8
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?} l
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    static cielab2XYZ(l, a, b) {
        // https://www.mathworks.com/help/images/ref/whitepoint.html
        // d65: 0.9504, 1, 1.0888
        /** @type {?} */
        const refX = 95.047;
        /** @type {?} */
        const refY = 100.0;
        /** @type {?} */
        const refZ = 108.883;
        /** @type {?} */
        let y = (l + 16) / 116;
        /** @type {?} */
        let x = a / 500 + y;
        /** @type {?} */
        let z = y - b / 200;
        if (Math.pow(y, 3) > 0.008856) {
            y = Math.pow(y, 3);
        }
        else {
            y = (y - 16 / 116) / 7.787;
        }
        if (Math.pow(x, 3) > 0.008856) {
            x = Math.pow(x, 3);
        }
        else {
            x = (x - 16 / 116) / 7.787;
        }
        if (Math.pow(z, 3) > 0.008856) {
            z = Math.pow(z, 3);
        }
        else {
            z = (z - 16 / 116) / 7.787;
        }
        return [refX * x, refY * y, refZ * z];
    }
    /**
     * Convert XYZ to RGB space
     *
     * \@ param {*} x
     * \@ param {*} y
     * \@ param {*} z
     *
     * \@ return {*}
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    static xyz2RGB(x, y, z) {
        x /= 100;
        y /= 100;
        z /= 100;
        /** @type {?} */
        let r = x * 3.2406 + y * -1.5372 + z * -0.4986;
        /** @type {?} */
        let g = x * -0.9689 + y * 1.8758 + z * 0.0415;
        /** @type {?} */
        let b = x * 0.0557 + y * -0.204 + z * 1.057;
        if (r > 0.0031308) {
            r = 1.055 * Math.pow(r, 1 / 2.4) - 0.055;
        }
        else {
            r = 12.92 * r;
        }
        if (g > 0.0031308) {
            g = 1.055 * Math.pow(g, 1 / 2.4) - 0.055;
        }
        else {
            g = 12.92 * g;
        }
        if (b > 0.0031308) {
            b = 1.055 * Math.pow(b, 1 / 2.4) - 0.055;
        }
        else {
            b = 12.92 * b;
        }
        r = r * 255;
        g = g * 255;
        b = b * 255;
        return [r, g, b];
    }
    /**
     * Convert LAB to RGB
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?=} l
     * @param {?=} a
     * @param {?=} b
     * @return {?}
     */
    static cielab2RGB(l = 50, a = 0, b = 0) {
        if (!(l >= 0 && l <= 100)) {
            return null;
        }
        const [x, y, z] = this.cielab2XYZ(l, a, b);
        return this.xyz2RGB(x, y, z);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Base object.
 *
 * @ module models/base
 */
class ModelsBase {
    constructor() {
        this._id = -1;
    }
    /**
     * Merge 2 arrays of models.
     * Merge the target array into the reference array.
     *
     * \@ param {Array.<Models>} referenceArray - Array to be merge against
     * \@ param {Array.<Models>} targetArray - Array to be merged against reference.
     *
     * \@ return {boolean} True if merge was sucessful. False if something went wrong.
     * @param {?} referenceArray
     * @param {?} targetArray
     * @return {?}
     */
    mergeModels(referenceArray, targetArray) {
        if (!(this._validateModelArray(referenceArray) && this._validateModelArray(targetArray))) {
            window.console.log('invalid inputs provided.');
            return false;
        }
        for (let i = 0, targetLength = targetArray.length; i < targetLength; i++) {
            // test targetArray against existing targetArray
            for (let j = 0, refLength = referenceArray.length; j < refLength; j++) {
                if (referenceArray[j].merge(targetArray[i])) {
                    // merged successfully
                    break;
                }
                else if (j === referenceArray.length - 1) {
                    // last merge was not successful
                    // this is a new targetArray
                    referenceArray.push(targetArray[i]);
                }
            }
        }
        return true;
    }
    /**
     * Merge model against current model.
     * @param {?} model
     * @return {?}
     */
    merge(model) {
        // make sure model is valid
        if (!this.validate(model)) {
            return false;
        }
        // they can be merged if they match
        if (this._id === model._id) {
            return true;
        }
        return false;
    }
    /**
     * Validate a model.
     *
     * \@ return {boolean} True if model is valid. False if not.
     * @param {?} model
     * @return {?}
     */
    validate(model) {
        if (!(model && model !== null && typeof model.merge === 'function')) {
            return false;
        }
        return true;
    }
    /**
     * Validate array of models.
     *
     * \@ param {Array.<Models>} modelArray - Array containing models.
     *
     * \@ return {boolean} True if array is valid. False if not.
     * @param {?} modelArray
     * @return {?}
     */
    _validateModelArray(modelArray) {
        if (!(modelArray !== null && Array === modelArray.constructor)) {
            window.console.log('invalid model array provided.');
            return false;
        }
        for (let i = 0; i < modelArray.length; i++) {
            if (!(modelArray[i] &&
                modelArray[i] !== null &&
                typeof modelArray[i].validate === 'function' &&
                modelArray[i].validate(modelArray[i]))) {
                return false;
            }
        }
        return true;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// const binaryString = require('math-float32-to-binary-string');
/**
 * Stack object.
 *
 * \@ module models/stack
 */
class ModelsStack extends ModelsBase {
    constructor() {
        super();
        /**
         * Models Stack constructor
         */
        this._uid = null;
        this._stackID = -1;
        this._frame = [];
        this._numberOfFrames = 0;
        this._rows = 0;
        this._columns = 0;
        this._numberOfChannels = 1;
        this._bitsAllocated = 8;
        this._pixelType = 0;
        this._pixelRepresentation = 0;
        this._textureSize = 4096;
        this._textureUnits = 7;
        this._textureType = 1023;
        this._rawData = [];
        this._windowCenter = 0;
        this._windowWidth = 0;
        this._rescaleSlope = 1;
        this._rescaleIntercept = 0;
        this._minMax = [Number.POSITIVE_INFINITY, Number.NEGATIVE_INFINITY];
        // TRANSFORMATION MATRICES
        this._regMatrix = new Matrix4$1();
        this._ijk2LPS = null;
        this._lps2IJK = null;
        this._aabb2LPS = null;
        this._lps2AABB = null;
        //
        // IJK dimensions
        this._dimensionsIJK = null;
        this._halfDimensionsIJK = null;
        this._spacing = new Vector3(1, 1, 1);
        this._spacingBetweenSlices = 0;
        this._sliceThickness = 0;
        this._origin = null;
        this._rightHanded = true;
        this._xCosine = new Vector3(1, 0, 0);
        this._yCosine = new Vector3(0, 1, 0);
        this._zCosine = new Vector3(0, 0, 1);
        // convenience vars
        this._prepared = false;
        this._packed = false;
        this._packedPerPixel = 1;
        //
        this._modality = 'Modality not set';
        // SEGMENTATION STUFF
        this._segmentationType = null;
        this._segmentationSegments = [];
        this._segmentationDefaultColor = [63, 174, 128];
        this._frameSegment = [];
        this._segmentationLUT = [];
        this._segmentationLUTO = [];
        // photometricInterpretation Monochrome1 VS Monochrome2
        this._invert = false;
        this._uid = null;
        this._stackID = -1;
        this._frame = [];
        this._numberOfFrames = 0;
        this._rows = 0;
        this._columns = 0;
        this._numberOfChannels = 1;
        this._bitsAllocated = 8;
        this._pixelType = 0;
        this._pixelRepresentation = 0;
        this._textureSize = 4096;
        this._textureUnits = 7;
        this._rawData = [];
        this._windowCenter = 0;
        this._windowWidth = 0;
        this._rescaleSlope = 1;
        this._rescaleIntercept = 0;
        this._minMax = [Number.POSITIVE_INFINITY, Number.NEGATIVE_INFINITY];
        // TRANSFORMATION MATRICES
        this._regMatrix = new Matrix4$1();
        this._ijk2LPS = null;
        this._lps2IJK = null;
        this._aabb2LPS = null;
        this._lps2AABB = null;
        //
        // IJK dimensions
        this._dimensionsIJK = null;
        this._halfDimensionsIJK = null;
        this._spacing = new Vector3(1, 1, 1);
        this._spacingBetweenSlices = 0;
        this._sliceThickness = 0;
        this._origin = null;
        this._rightHanded = true;
        this._xCosine = new Vector3(1, 0, 0);
        this._yCosine = new Vector3(0, 1, 0);
        this._zCosine = new Vector3(0, 0, 1);
        // convenience vars
        this._prepared = false;
        this._packed = false;
        this._packedPerPixel = 1;
        //
        this._modality = 'Modality not set';
        // SEGMENTATION STUFF
        this._segmentationType = null;
        this._segmentationSegments = [];
        this._segmentationDefaultColor = [63, 174, 128];
        this._frameSegment = [];
        this._segmentationLUT = [];
        this._segmentationLUTO = [];
        // photometricInterpretation Monochrome1 VS Monochrome2
        this._invert = false;
    }
    /**
     * Prepare segmentation stack.
     * A segmentation stack can hold x frames that are at the same location
     * but segmentation specific information:
     * - Frame X contains voxels for segmentation A.
     * - Frame Y contains voxels for segmenttation B.
     * - Frame X and Y are at the same location.
     *
     * We currently merge overlaping frames into 1.
     * @return {?}
     */
    prepareSegmentation() {
        // store frame and do special pre-processing
        this._frameSegment = this._frame;
        /** @type {?} */
        let mergedFrames = [];
        // order frames
        this.computeCosines();
        this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
        this._frame.sort(this._sortDistanceArraySort);
        // merge frames
        /** @type {?} */
        let prevIndex = -1;
        for (let i = 0; i < this._frame.length; i++) {
            if (!mergedFrames[prevIndex] || mergedFrames[prevIndex]._dist != this._frame[i]._dist) {
                mergedFrames.push(this._frame[i]);
                prevIndex++;
                // Scale frame
                // by default each frame contains binary data about a segmentation.
                // we scale it by the referenceSegmentNumber in order to have a
                // segmentation specific voxel value rather than 0 or 1.
                // That allows us to merge frames later on.
                // If we merge frames without scaling, then we can not differenciate
                // voxels from segmentation A or B as the value is 0 or 1 in both cases.
                for (let k = 0; k < mergedFrames[prevIndex]._rows * mergedFrames[prevIndex]._columns; k++) {
                    mergedFrames[prevIndex]._pixelData[k] *= this._frame[i]._referencedSegmentNumber;
                }
            }
            else {
                // frame already exsits at this location.
                // merge data from this segmentation into existing frame
                for (let k = 0; k < mergedFrames[prevIndex]._rows * mergedFrames[prevIndex]._columns; k++) {
                    mergedFrames[prevIndex]._pixelData[k] +=
                        this._frame[i].pixelData[k] * this._frame[i]._referencedSegmentNumber;
                }
            }
            mergedFrames[prevIndex].minMax = CoreUtils.minMax(mergedFrames[prevIndex]._pixelData);
        }
        // get information about segments
        /** @type {?} */
        let dict = {};
        /** @type {?} */
        let max = 0;
        for (let i = 0; i < this._segmentationSegments.length; i++) {
            max = Math.max(max, parseInt(this._segmentationSegments[i].segmentNumber, 10));
            /** @type {?} */
            let color = this._segmentationSegments[i].recommendedDisplayCIELab;
            if (color === null) {
                dict[this._segmentationSegments[i].segmentNumber] = this._segmentationDefaultColor;
            }
            else {
                dict[this._segmentationSegments[i].segmentNumber] = Colors.cielab2RGB(...color);
            }
        }
        // generate LUTs
        for (let i = 0; i <= max; i++) {
            /** @type {?} */
            let index = i / max;
            /** @type {?} */
            let opacity = i ? 1 : 0;
            /** @type {?} */
            let rgb = [0, 0, 0];
            if (dict.hasOwnProperty(i.toString())) {
                rgb = dict[i.toString()];
            }
            rgb[0] /= 255;
            rgb[1] /= 255;
            rgb[2] /= 255;
            this._segmentationLUT.push([index, ...rgb]);
            this._segmentationLUTO.push([index, opacity]);
        }
        this._frame = mergedFrames;
    }
    /**
     * Compute cosines
     * Order frames
     * computeSpacing
     * sanityCheck
     * init some vars
     * compute min/max
     * compute transformation matrices
     *
     * \@ return {*}
     * @return {?}
     */
    prepare() {
        // if segmentation, merge some frames...
        if (this._modality === 'SEG') {
            this.prepareSegmentation();
        }
        this.computeNumberOfFrames();
        // pass parameters from frame to stack
        this._rows = this._frame[0].rows;
        this._columns = this._frame[0].columns;
        this._dimensionsIJK = new Vector3(this._columns, this._rows, this._numberOfFrames);
        this._halfDimensionsIJK = new Vector3(this._dimensionsIJK.x / 2, this._dimensionsIJK.y / 2, this._dimensionsIJK.z / 2);
        this._spacingBetweenSlices = this._frame[0].spacingBetweenSlices;
        this._sliceThickness = this._frame[0].sliceThickness;
        // compute direction cosines
        this.computeCosines();
        // order the frames
        if (this._numberOfFrames > 1) {
            this.orderFrames();
        }
        // compute/guess spacing
        this.computeSpacing();
        // set extra vars if nulls
        // do it now because before we would think image position/orientation
        // are defined and we would use it to compute spacing.
        if (!this._frame[0].imagePosition) {
            this._frame[0].imagePosition = [0, 0, 0];
        }
        if (!this._frame[0].imageOrientation) {
            this._frame[0].imageOrientation = [1, 0, 0, 0, 1, 0];
        }
        this._origin = this._arrayToVector3(this._frame[0].imagePosition, 0);
        // compute transforms
        this.computeIJK2LPS();
        this.computeLPS2AABB();
        // this.packEchos();
        /** @type {?} */
        const middleFrameIndex = Math.floor(this._frame.length / 2);
        /** @type {?} */
        const middleFrame = this._frame[middleFrameIndex];
        this._rescaleSlope = middleFrame.rescaleSlope || 1;
        this._rescaleIntercept = middleFrame.rescaleIntercept || 0;
        // rescale/slope min max
        this.computeMinMaxIntensities();
        this._minMax[0] = CoreUtils.rescaleSlopeIntercept(this._minMax[0], this._rescaleSlope, this._rescaleIntercept);
        this._minMax[1] = CoreUtils.rescaleSlopeIntercept(this._minMax[1], this._rescaleSlope, this._rescaleIntercept);
        this._windowWidth = middleFrame.windowWidth || this._minMax[1] - this._minMax[0];
        this._windowCenter = middleFrame.windowCenter || this._minMax[0] + this._windowWidth / 2;
        this._bitsAllocated = middleFrame.bitsAllocated;
        this._prepared = true;
    }
    /**
     * @return {?}
     */
    packEchos() {
        // 4 echo times...
        /** @type {?} */
        let echos = 4;
        /** @type {?} */
        let packedEcho = [];
        for (let i = 0; i < this._frame.length; i += echos) {
            /** @type {?} */
            let frame = this._frame[i];
            for (let k = 0; k < this._rows * this._columns; k++) {
                for (let j = 1; j < echos; j++) {
                    frame.pixelData[k] += this._frame[i + j].pixelData[k];
                }
                frame.pixelData[k] /= echos;
            }
            packedEcho.push(frame);
        }
        this._frame = packedEcho;
        this._numberOfFrames = this._frame.length;
        this._dimensionsIJK = new Vector3(this._columns, this._rows, this._numberOfFrames);
        this._halfDimensionsIJK = new Vector3(this._dimensionsIJK.x / 2, this._dimensionsIJK.y / 2, this._dimensionsIJK.z / 2);
    }
    /**
     * @return {?}
     */
    computeNumberOfFrames() {
        // we need at least 1 frame
        if (this._frame && this._frame.length > 0) {
            this._numberOfFrames = this._frame.length;
        }
        else {
            window.console.warn("_frame doesn't contain anything....");
            window.console.warn(this._frame);
            return false;
        }
    }
    // frame.cosines - returns array [x, y, z]
    /**
     * @return {?}
     */
    computeCosines() {
        if (this._frame && this._frame[0]) {
            /** @type {?} */
            let cosines = this._frame[0].cosines();
            this._xCosine = cosines[0];
            this._yCosine = cosines[1];
            this._zCosine = cosines[2];
        }
    }
    /**
     * @return {?}
     */
    orderFrames() {
        // order the frames based on theirs dimension indices
        // first index is the most important.
        // 1,1,1,1 will be first
        // 1,1,2,1 will be next
        // 1,1,2,3 will be next
        // 1,1,3,1 will be next
        if (this._frame[0].dimensionIndexValues) {
            this._frame.sort(this._orderFrameOnDimensionIndicesArraySort);
            // else order with image position and orientation
        }
        else if (this._frame[0].imagePosition &&
            this._frame[0].imageOrientation &&
            this._frame[1] &&
            this._frame[1].imagePosition &&
            this._frame[1].imageOrientation &&
            this._frame[0].imagePosition.join() !== this._frame[1].imagePosition.join()) {
            // compute and sort by dist in this series
            this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
            this._frame.sort(this._sortDistanceArraySort);
        }
        else if (this._frame[0].instanceNumber !== null &&
            this._frame[1] &&
            this._frame[1].instanceNumber !== null &&
            this._frame[0].instanceNumber !== this._frame[1].instanceNumber) {
            this._frame.sort(this._sortInstanceNumberArraySort);
        }
        else if (this._frame[0].sopInstanceUID &&
            this._frame[1] &&
            this._frame[1].sopInstanceUID &&
            this._frame[0].sopInstanceUID !== this._frame[1].sopInstanceUID) {
            this._frame.sort(this._sortSopInstanceUIDArraySort);
        }
        else if (!this._frame[0].imagePosition) ;
        else {
            window.console.warn('do not know how to order the frames...');
        }
    }
    /**
     * @return {?}
     */
    computeSpacing() {
        this.xySpacing();
        this.zSpacing();
    }
    /**
     * Compute stack z spacing
     * @return {?}
     */
    zSpacing() {
        if (this._numberOfFrames > 1) {
            if (this._frame[0].pixelSpacing && this._frame[0].pixelSpacing[2]) {
                this._spacing.z = this._frame[0].pixelSpacing[2];
            }
            else {
                // compute and sort by dist in this series
                this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
                // if distances are different, re-sort array
                if (this._frame[1].dist !== this._frame[0].dist) {
                    this._frame.sort(this._sortDistanceArraySort);
                    this._spacing.z = this._frame[1].dist - this._frame[0].dist;
                }
                else if (this._spacingBetweenSlices) {
                    this._spacing.z = this._spacingBetweenSlices;
                }
                else if (this._frame[0].sliceThickness) {
                    this._spacing.z = this._frame[0].sliceThickness;
                }
            }
        }
        // Spacing
        // can not be 0 if not matrix can not be inverted.
        if (this._spacing.z === 0) {
            this._spacing.z = 1;
        }
    }
    /**
     *  FRAME CAN DO IT
     * @return {?}
     */
    xySpacing() {
        if (this._frame && this._frame[0]) {
            /** @type {?} */
            let spacingXY = this._frame[0].spacingXY();
            this._spacing.x = spacingXY[0];
            this._spacing.y = spacingXY[1];
        }
    }
    /**
     * Find min and max intensities among all frames.
     * @return {?}
     */
    computeMinMaxIntensities() {
        // what about colors!!!!?
        // we ignore values if NaNs
        // https://github.com/FNNDSC/ami/issues/185
        for (let i = 0; i < this._frame.length; i++) {
            // get min/max
            /** @type {?} */
            let min = this._frame[i].minMax[0];
            if (!Number.isNaN(min)) {
                this._minMax[0] = Math.min(this._minMax[0], min);
            }
            /** @type {?} */
            let max = this._frame[i].minMax[1];
            if (!Number.isNaN(max)) {
                this._minMax[1] = Math.max(this._minMax[1], max);
            }
        }
    }
    /**
     * Compute IJK to LPS and invert transforms
     * @return {?}
     */
    computeIJK2LPS() {
        // ijk to lps
        this._ijk2LPS = CoreUtils.ijk2LPS(this._xCosine, this._yCosine, this._zCosine, this._spacing, this._origin, this._regMatrix);
        // lps 2 ijk
        this._lps2IJK = new Matrix4$1();
        this._lps2IJK.getInverse(this._ijk2LPS);
    }
    /**
     * Compute LPS to AABB and invert transforms
     * @return {?}
     */
    computeLPS2AABB() {
        this._aabb2LPS = CoreUtils.aabb2LPS(this._xCosine, this._yCosine, this._zCosine, this._origin);
        this._lps2AABB = new Matrix4$1();
        this._lps2AABB.getInverse(this._aabb2LPS);
    }
    /**
     * Merge stacks
     *
     * \@ param {*} stack
     *
     * \@ return {*}
     * @param {?} stack
     * @return {?}
     */
    merge(stack) {
        // also make sure x/y/z cosines are a match!
        if (this._stackID === stack.stackID &&
            this._numberOfFrames === 1 &&
            stack._numberOfFrames === 1 &&
            this._frame[0].columns === stack.frame[0].columns &&
            this._frame[0].rows === stack.frame[0].rows &&
            this._xCosine.equals(stack.xCosine) &&
            this._yCosine.equals(stack.yCosine) &&
            this._zCosine.equals(stack.zCosine)) {
            return this.mergeModels(this._frame, stack.frame);
        }
        else {
            return false;
        }
    }
    /**
     * Pack current stack pixel data into 8 bits array buffers
     * @return {?}
     */
    pack() {
        // Get total number of voxels
        /** @type {?} */
        const nbVoxels = this._dimensionsIJK.x * this._dimensionsIJK.y * this._dimensionsIJK.z;
        // Packing style
        if ((this._bitsAllocated === 8 && this._numberOfChannels === 1) || this._bitsAllocated === 1) {
            this._packedPerPixel = 4;
        }
        if (this._bitsAllocated === 16 && this._numberOfChannels === 1) {
            this._packedPerPixel = 2;
        }
        // Loop through all the textures we need
        /** @type {?} */
        const textureDimension = this._textureSize * this._textureSize;
        /** @type {?} */
        let requiredTextures = Math.ceil(nbVoxels / (textureDimension * this._packedPerPixel));
        /** @type {?} */
        let voxelIndexStart = 0;
        /** @type {?} */
        let voxelIndexStop = this._packedPerPixel * textureDimension;
        if (voxelIndexStop > nbVoxels) {
            voxelIndexStop = nbVoxels;
        }
        if (this._textureUnits < requiredTextures) {
            console.warn('Insufficient number of supported textures. Some frames will not be packed.');
            requiredTextures = this._textureUnits;
        }
        for (let ii = 0; ii < requiredTextures; ii++) {
            /** @type {?} */
            const packed = this._packTo8Bits(this._numberOfChannels, this._frame, this._textureSize, voxelIndexStart, voxelIndexStop);
            this._textureType = packed.textureType;
            this._rawData.push(packed.data);
            voxelIndexStart += this._packedPerPixel * textureDimension;
            voxelIndexStop += this._packedPerPixel * textureDimension;
            if (voxelIndexStop > nbVoxels) {
                voxelIndexStop = nbVoxels;
            }
        }
        this._packed = true;
    }
    /**
     * Pack frame data to 32 bits texture
     * \@ param {*} channels
     * \@ param {*} frame
     * \@ param {*} textureSize
     * \@ param {*} startVoxel
     * \@ param {*} stopVoxel
     * @param {?} channels
     * @param {?} frame
     * @param {?} textureSize
     * @param {?} startVoxel
     * @param {?} stopVoxel
     * @return {?}
     */
    _packTo8Bits(channels, frame, textureSize, startVoxel, stopVoxel) {
        /** @type {?} */
        const packed = {
            textureType: null,
            data: null,
        };
        /** @type {?} */
        const bitsAllocated = frame[0].bitsAllocated;
        /** @type {?} */
        const pixelType = frame[0].pixelType;
        // transform signed to unsigned for convenience
        /** @type {?} */
        let offset = 0;
        if (this._minMax[0] < 0) {
            offset -= this._minMax[0];
        }
        /** @type {?} */
        let packIndex = 0;
        /** @type {?} */
        let frameIndex = 0;
        /** @type {?} */
        let inFrameIndex = 0;
        // frame should return it!
        /** @type {?} */
        const frameDimension = frame[0].rows * frame[0].columns;
        if ((bitsAllocated === 8 && channels === 1) || bitsAllocated === 1) {
            /** @type {?} */
            let data = new Uint8Array(textureSize * textureSize * 4);
            /** @type {?} */
            let coordinate = 0;
            /** @type {?} */
            let channelOffset = 0;
            for (let i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                let raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * coordinate + channelOffset] = raw;
                }
                packIndex++;
                coordinate = Math.floor(packIndex / 4);
                channelOffset = packIndex % 4;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 16 && channels === 1) {
            /** @type {?} */
            let data = new Uint8Array(textureSize * textureSize * 4);
            /** @type {?} */
            let coordinate = 0;
            /** @type {?} */
            let channelOffset = 0;
            for (let i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                let raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * coordinate + 2 * channelOffset] = raw & 0x00ff;
                    data[4 * coordinate + 2 * channelOffset + 1] = (raw >>> 8) & 0x00ff;
                }
                packIndex++;
                coordinate = Math.floor(packIndex / 2);
                channelOffset = packIndex % 2;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 32 && channels === 1 && pixelType === 0) {
            /** @type {?} */
            let data = new Uint8Array(textureSize * textureSize * 4);
            for (let i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                let raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * packIndex] = raw & 0x000000ff;
                    data[4 * packIndex + 1] = (raw >>> 8) & 0x000000ff;
                    data[4 * packIndex + 2] = (raw >>> 16) & 0x000000ff;
                    data[4 * packIndex + 3] = (raw >>> 24) & 0x000000ff;
                }
                packIndex++;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 32 && channels === 1 && pixelType === 1) {
            /** @type {?} */
            let data = new Uint8Array(textureSize * textureSize * 4);
            for (let i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                let raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    // let bitString = binaryString(raw);
                    /** @type {?} */
                    let bitString = '01111111110000000000000000000000';
                    /** @type {?} */
                    let bitStringArray = bitString.match(/.{1,8}/g);
                    data[4 * packIndex] = parseInt(bitStringArray[0], 2);
                    data[4 * packIndex + 1] = parseInt(bitStringArray[1], 2);
                    data[4 * packIndex + 2] = parseInt(bitStringArray[2], 2);
                    data[4 * packIndex + 3] = parseInt(bitStringArray[3], 2);
                }
                packIndex++;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 8 && channels === 3) {
            /** @type {?} */
            let data = new Uint8Array(textureSize * textureSize * 3);
            for (let i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                data[3 * packIndex] = frame[frameIndex].pixelData[3 * inFrameIndex];
                data[3 * packIndex + 1] = frame[frameIndex].pixelData[3 * inFrameIndex + 1];
                data[3 * packIndex + 2] = frame[frameIndex].pixelData[3 * inFrameIndex + 2];
                packIndex++;
            }
            packed.textureType = RGBFormat;
            packed.data = data;
        }
        return packed;
    }
    /**
     * Get the stack world center
     *
     * \@ return {*}
     * @return {?}
     */
    worldCenter() {
        /** @type {?} */
        let center = this._halfDimensionsIJK
            .clone()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS);
        return center;
    }
    /**
     * Get the stack world bounding box
     * \@ return {*}
     * @return {?}
     */
    worldBoundingBox() {
        /** @type {?} */
        let bbox = [
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
        ];
        /** @type {?} */
        const dims = this._dimensionsIJK;
        for (let i = 0; i <= dims.x; i += dims.x) {
            for (let j = 0; j <= dims.y; j += dims.y) {
                for (let k = 0; k <= dims.z; k += dims.z) {
                    /** @type {?} */
                    let world = new Vector3(i, j, k).applyMatrix4(this._ijk2LPS);
                    bbox = [
                        Math.min(bbox[0], world.x),
                        Math.max(bbox[1], world.x),
                        Math.min(bbox[2], world.y),
                        Math.max(bbox[3], world.y),
                        Math.min(bbox[4], world.z),
                        Math.max(bbox[5], world.z),
                    ];
                }
            }
        }
        return bbox;
    }
    /**
     * Get AABB size in LPS space.
     *
     * \@ return {*}
     * @return {?}
     */
    AABBox() {
        /** @type {?} */
        let world0 = new Vector3()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS)
            .applyMatrix4(this._lps2AABB);
        /** @type {?} */
        let world7 = this._dimensionsIJK
            .clone()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS)
            .applyMatrix4(this._lps2AABB);
        /** @type {?} */
        let minBBox = new Vector3(Math.abs(world0.x - world7.x), Math.abs(world0.y - world7.y), Math.abs(world0.z - world7.z));
        return minBBox;
    }
    /**
     * Get AABB center in LPS space
     * @return {?}
     */
    centerAABBox() {
        /** @type {?} */
        let centerBBox = this.worldCenter();
        centerBBox.applyMatrix4(this._lps2AABB);
        return centerBBox;
    }
    /**
     * @param {?} index
     * @param {?} dimensions
     * @return {?}
     */
    static indexInDimensions(index, dimensions) {
        if (index.x >= 0 &&
            index.y >= 0 &&
            index.z >= 0 &&
            index.x < dimensions.x &&
            index.y < dimensions.y &&
            index.z < dimensions.z) {
            return true;
        }
        return false;
    }
    /**
     * @param {?} array
     * @param {?} index
     * @return {?}
     */
    _arrayToVector3(array, index) {
        return new Vector3(array[index], array[index + 1], array[index + 2]);
    }
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    _orderFrameOnDimensionIndicesArraySort(a, b) {
        if ('dimensionIndexValues' in a &&
            Object.prototype.toString.call(a.dimensionIndexValues) === '[object Array]' &&
            'dimensionIndexValues' in b &&
            Object.prototype.toString.call(b.dimensionIndexValues) === '[object Array]') {
            for (let i = 0; i < a.dimensionIndexValues.length; i++) {
                if (parseInt(a.dimensionIndexValues[i], 10) > parseInt(b.dimensionIndexValues[i], 10)) {
                    return 1;
                }
                if (parseInt(a.dimensionIndexValues[i], 10) < parseInt(b.dimensionIndexValues[i], 10)) {
                    return -1;
                }
            }
        }
        else {
            window.console.warn("One of the frames doesn't have a dimensionIndexValues array.");
            window.console.warn(a);
            window.console.warn(b);
        }
        return 0;
    }
    /**
     * @param {?} normal
     * @param {?} frame
     * @return {?}
     */
    _computeDistanceArrayMap(normal, frame) {
        if (frame.imagePosition) {
            frame.dist =
                frame.imagePosition[0] * normal.x +
                    frame.imagePosition[1] * normal.y +
                    frame.imagePosition[2] * normal.z;
        }
        return frame;
    }
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    _sortDistanceArraySort(a, b) {
        return a.dist - b.dist;
    }
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    _sortInstanceNumberArraySort(a, b) {
        return a.instanceNumber - b.instanceNumber;
    }
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    _sortSopInstanceUIDArraySort(a, b) {
        return a.sopInstanceUID - b.sopInstanceUID;
    }
    /**
     * @param {?} numberOfChannels
     * @return {?}
     */
    set numberOfChannels(numberOfChannels) {
        this._numberOfChannels = numberOfChannels;
    }
    /**
     * @return {?}
     */
    get numberOfChannels() {
        return this._numberOfChannels;
    }
    /**
     * @param {?} frame
     * @return {?}
     */
    set frame(frame) {
        this._frame = frame;
    }
    /**
     * @return {?}
     */
    get frame() {
        return this._frame;
    }
    /**
     * @param {?} prepared
     * @return {?}
     */
    set prepared(prepared) {
        this._prepared = prepared;
    }
    /**
     * @return {?}
     */
    get prepared() {
        return this._prepared;
    }
    /**
     * @param {?} packed
     * @return {?}
     */
    set packed(packed) {
        this._packed = packed;
    }
    /**
     * @return {?}
     */
    get packed() {
        return this._packed;
    }
    /**
     * @param {?} packedPerPixel
     * @return {?}
     */
    set packedPerPixel(packedPerPixel) {
        this._packedPerPixel = packedPerPixel;
    }
    /**
     * @return {?}
     */
    get packedPerPixel() {
        return this._packedPerPixel;
    }
    /**
     * @param {?} dimensionsIJK
     * @return {?}
     */
    set dimensionsIJK(dimensionsIJK) {
        this._dimensionsIJK = dimensionsIJK;
    }
    /**
     * @return {?}
     */
    get dimensionsIJK() {
        return this._dimensionsIJK;
    }
    /**
     * @param {?} halfDimensionsIJK
     * @return {?}
     */
    set halfDimensionsIJK(halfDimensionsIJK) {
        this._halfDimensionsIJK = halfDimensionsIJK;
    }
    /**
     * @return {?}
     */
    get halfDimensionsIJK() {
        return this._halfDimensionsIJK;
    }
    /**
     * @param {?} regMatrix
     * @return {?}
     */
    set regMatrix(regMatrix) {
        this._regMatrix = regMatrix;
    }
    /**
     * @return {?}
     */
    get regMatrix() {
        return this._regMatrix;
    }
    /**
     * @param {?} ijk2LPS
     * @return {?}
     */
    set ijk2LPS(ijk2LPS) {
        this._ijk2LPS = ijk2LPS;
    }
    /**
     * @return {?}
     */
    get ijk2LPS() {
        return this._ijk2LPS;
    }
    /**
     * @param {?} lps2IJK
     * @return {?}
     */
    set lps2IJK(lps2IJK) {
        this._lps2IJK = lps2IJK;
    }
    /**
     * @return {?}
     */
    get lps2IJK() {
        return this._lps2IJK;
    }
    /**
     * @param {?} lps2AABB
     * @return {?}
     */
    set lps2AABB(lps2AABB) {
        this._lps2AABB = lps2AABB;
    }
    /**
     * @return {?}
     */
    get lps2AABB() {
        return this._lps2AABB;
    }
    /**
     * @param {?} textureSize
     * @return {?}
     */
    set textureSize(textureSize) {
        this._textureSize = textureSize;
    }
    /**
     * @return {?}
     */
    get textureSize() {
        return this._textureSize;
    }
    /**
     * @param {?} textureUnits
     * @return {?}
     */
    set textureUnits(textureUnits) {
        this._textureUnits = textureUnits;
    }
    /**
     * @return {?}
     */
    get textureUnits() {
        return this._textureUnits;
    }
    /**
     * @param {?} textureType
     * @return {?}
     */
    set textureType(textureType) {
        this._textureType = textureType;
    }
    /**
     * @return {?}
     */
    get textureType() {
        return this._textureType;
    }
    /**
     * @param {?} bitsAllocated
     * @return {?}
     */
    set bitsAllocated(bitsAllocated) {
        this._bitsAllocated = bitsAllocated;
    }
    /**
     * @return {?}
     */
    get bitsAllocated() {
        return this._bitsAllocated;
    }
    /**
     * @param {?} rawData
     * @return {?}
     */
    set rawData(rawData) {
        this._rawData = rawData;
    }
    /**
     * @return {?}
     */
    get rawData() {
        return this._rawData;
    }
    /**
     * @return {?}
     */
    get windowWidth() {
        return this._windowWidth;
    }
    /**
     * @param {?} windowWidth
     * @return {?}
     */
    set windowWidth(windowWidth) {
        this._windowWidth = windowWidth;
    }
    /**
     * @return {?}
     */
    get windowCenter() {
        return this._windowCenter;
    }
    /**
     * @param {?} windowCenter
     * @return {?}
     */
    set windowCenter(windowCenter) {
        this._windowCenter = windowCenter;
    }
    /**
     * @return {?}
     */
    get rescaleSlope() {
        return this._rescaleSlope;
    }
    /**
     * @param {?} rescaleSlope
     * @return {?}
     */
    set rescaleSlope(rescaleSlope) {
        this._rescaleSlope = rescaleSlope;
    }
    /**
     * @return {?}
     */
    get rescaleIntercept() {
        return this._rescaleIntercept;
    }
    /**
     * @param {?} rescaleIntercept
     * @return {?}
     */
    set rescaleIntercept(rescaleIntercept) {
        this._rescaleIntercept = rescaleIntercept;
    }
    /**
     * @return {?}
     */
    get xCosine() {
        return this._xCosine;
    }
    /**
     * @param {?} xCosine
     * @return {?}
     */
    set xCosine(xCosine) {
        this._xCosine = xCosine;
    }
    /**
     * @return {?}
     */
    get yCosine() {
        return this._yCosine;
    }
    /**
     * @param {?} yCosine
     * @return {?}
     */
    set yCosine(yCosine) {
        this._yCosine = yCosine;
    }
    /**
     * @return {?}
     */
    get zCosine() {
        return this._zCosine;
    }
    /**
     * @param {?} zCosine
     * @return {?}
     */
    set zCosine(zCosine) {
        this._zCosine = zCosine;
    }
    /**
     * @return {?}
     */
    get minMax() {
        return this._minMax;
    }
    /**
     * @param {?} minMax
     * @return {?}
     */
    set minMax(minMax) {
        this._minMax = minMax;
    }
    /**
     * @return {?}
     */
    get stackID() {
        return this._stackID;
    }
    /**
     * @param {?} stackID
     * @return {?}
     */
    set stackID(stackID) {
        this._stackID = stackID;
    }
    /**
     * @return {?}
     */
    get pixelType() {
        return this._pixelType;
    }
    /**
     * @param {?} pixelType
     * @return {?}
     */
    set pixelType(pixelType) {
        this._pixelType = pixelType;
    }
    /**
     * @return {?}
     */
    get pixelRepresentation() {
        return this._pixelRepresentation;
    }
    /**
     * @param {?} pixelRepresentation
     * @return {?}
     */
    set pixelRepresentation(pixelRepresentation) {
        this._pixelRepresentation = pixelRepresentation;
    }
    /**
     * @param {?} invert
     * @return {?}
     */
    set invert(invert) {
        this._invert = invert;
    }
    /**
     * @return {?}
     */
    get invert() {
        return this._invert;
    }
    /**
     * @param {?} modality
     * @return {?}
     */
    set modality(modality) {
        this._modality = modality;
    }
    /**
     * @return {?}
     */
    get modality() {
        return this._modality;
    }
    /**
     * @return {?}
     */
    get rightHanded() {
        return this._rightHanded;
    }
    /**
     * @param {?} rightHanded
     * @return {?}
     */
    set rightHanded(rightHanded) {
        this._rightHanded = rightHanded;
    }
    /**
     * @return {?}
     */
    get spacingBetweenSlices() {
        return this._spacingBetweenSlices;
    }
    /**
     * @param {?} spacingBetweenSlices
     * @return {?}
     */
    set spacingBetweenSlices(spacingBetweenSlices) {
        this._spacingBetweenSlices = spacingBetweenSlices;
    }
    /**
     * @param {?} segmentationSegments
     * @return {?}
     */
    set segmentationSegments(segmentationSegments) {
        this._segmentationSegments = segmentationSegments;
    }
    /**
     * @return {?}
     */
    get segmentationSegments() {
        return this._segmentationSegments;
    }
    /**
     * @param {?} segmentationType
     * @return {?}
     */
    set segmentationType(segmentationType) {
        this._segmentationType = segmentationType;
    }
    /**
     * @return {?}
     */
    get segmentationType() {
        return this._segmentationType;
    }
    /**
     * @param {?} segmentationLUT
     * @return {?}
     */
    set segmentationLUT(segmentationLUT) {
        this._segmentationLUT = segmentationLUT;
    }
    /**
     * @return {?}
     */
    get segmentationLUT() {
        return this._segmentationLUT;
    }
    /**
     * @param {?} segmentationLUTO
     * @return {?}
     */
    set segmentationLUTO(segmentationLUTO) {
        this._segmentationLUTO = segmentationLUTO;
    }
    /**
     * @return {?}
     */
    get segmentationLUTO() {
        return this._segmentationLUTO;
    }
    // DEPRECATED FUNCTION
    /**
     * \@ deprecated for core.utils.value
     *
     * Get voxel value.
     *
     * \@ param {*} stack
     * \@ param {*} coordinate
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    static value(stack, coordinate) {
        window.console.warn(`models.stack.value is deprecated.
       Please use core.utils.value instead.`);
        return CoreUtils.value(stack, coordinate);
    }
    /**
     * \@ deprecated for core.utils.rescaleSlopeIntercept
     *
     * Apply slope/intercept to a value.
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    static valueRescaleSlopeIntercept(value, slope, intercept) {
        window.console.warn(`models.stack.valueRescaleSlopeIntercept is deprecated.
       Please use core.utils.rescaleSlopeIntercept instead.`);
        return CoreUtils.rescaleSlopeIntercept(value, slope, intercept);
    }
    /**
     * @deprecated for core.utils.worldToData
     *
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} stack
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} worldCoordinates
     * @return {?}
     */
    static worldToData(stack, worldCoordinates) {
        window.console.warn(`models.stack.worldToData is deprecated.
       Please use core.utils.worldToData instead.`);
        return CoreUtils.worldToData(stack._lps2IJK, worldCoordinates);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Frame object.
 *
 * \@ module models/frame
 */
class ModelsFrame extends ModelsBase {
    constructor() {
        super();
        /**
         * Constructor
         */
        this._sopInstanceUID = null;
        this._url = null;
        this._stackID = -1;
        this._invert = false;
        this._frameTime = null;
        this._ultrasoundRegions = [];
        this._rows = 0;
        this._columns = 0;
        this._dimensionIndexValues = [];
        this._imagePosition = null;
        this._imageOrientation = null;
        this._rightHanded = true;
        this._sliceThickness = 1;
        this._spacingBetweenSlices = null;
        this._pixelPaddingValue = null;
        this._pixelRepresentation = 0;
        this._pixelType = 0;
        this._pixelSpacing = null;
        this._pixelAspectRatio = null;
        this._pixelData = null;
        this._instanceNumber = null;
        this._windowCenter = null;
        this._windowWidth = null;
        this._rescaleSlope = null;
        this._rescaleIntercept = null;
        this._bitsAllocated = 8;
        this._numberOfChannels = 1;
        this._minMax = null;
        this._dist = null;
        this._index = -1;
        this._referencedSegmentNumber = -1;
        this._sopInstanceUID = null;
        this._url = null;
        this._stackID = -1;
        this._invert = false;
        this._frameTime = null;
        this._ultrasoundRegions = [];
        this._rows = 0;
        this._columns = 0;
        this._dimensionIndexValues = [];
        this._imagePosition = null;
        this._imageOrientation = null;
        this._rightHanded = true;
        this._sliceThickness = 1;
        this._spacingBetweenSlices = null;
        this._pixelPaddingValue = null;
        this._pixelRepresentation = 0;
        this._pixelType = 0;
        this._pixelSpacing = null;
        this._pixelAspectRatio = null;
        this._pixelData = null;
        this._instanceNumber = null;
        this._windowCenter = null;
        this._windowWidth = null;
        this._rescaleSlope = null;
        this._rescaleIntercept = null;
        this._bitsAllocated = 8;
        this._numberOfChannels = 1;
        this._minMax = null;
        this._dist = null;
        this._index = -1;
        this._referencedSegmentNumber = -1;
    }
    /**
     * Validate the frame.
     *
     * \@ param {*} model
     *
     * \@ return {*}
     * @param {?} model
     * @return {?}
     */
    validate(model) {
        if (!(super.validate(model) &&
            typeof model.cosines === 'function' &&
            typeof model.spacingXY === 'function' &&
            model.hasOwnProperty('_sopInstanceUID') &&
            model.hasOwnProperty('_dimensionIndexValues') &&
            model.hasOwnProperty('_imageOrientation') &&
            model.hasOwnProperty('_imagePosition'))) {
            return false;
        }
        return true;
    }
    /**
     * Merge current frame with provided frame.
     *
     * Frames can be merged (i.e. are identical) if following are equals:
     *  - dimensionIndexValues
     *  - imageOrientation
     *  - imagePosition
     *  - instanceNumber
     *  - sopInstanceUID
     *
     * \@ param {*} frame
     *
     * \@ return {boolean} True if frames could be merge. False if not.
     * @param {?} frame
     * @return {?}
     */
    merge(frame) {
        if (!this.validate(frame)) {
            return false;
        }
        if (this._compareArrays(this._dimensionIndexValues, frame.dimensionIndexValues) &&
            this._compareArrays(this._imageOrientation, frame.imageOrientation) &&
            this._compareArrays(this._imagePosition, frame.imagePosition) &&
            this._instanceNumber === frame.instanceNumber &&
            this._sopInstanceUID === frame.sopInstanceUID) {
            return true;
        }
        else {
            return false;
        }
    }
    /**
     * Generate X, y and Z cosines from image orientation
     * Returns default orientation if _imageOrientation was invalid.
     *
     * \@ returns {array} Array[3] containing cosinesX, Y and Z.
     * @return {?}
     */
    cosines() {
        /** @type {?} */
        let cosines = [new Vector3(1, 0, 0), new Vector3(0, 1, 0), new Vector3(0, 0, 1)];
        if (this._imageOrientation && this._imageOrientation.length === 6) {
            /** @type {?} */
            let xCos = new Vector3(this._imageOrientation[0], this._imageOrientation[1], this._imageOrientation[2]);
            /** @type {?} */
            let yCos = new Vector3(this._imageOrientation[3], this._imageOrientation[4], this._imageOrientation[5]);
            if (xCos.length() > 0 && yCos.length() > 0) {
                cosines[0] = xCos;
                cosines[1] = yCos;
                cosines[2] = new Vector3(0, 0, 0).crossVectors(cosines[0], cosines[1]).normalize();
            }
        }
        else {
            window.console.log('No valid image orientation for frame');
            window.console.log(this);
            window.console.log('Returning default orientation.');
        }
        if (!this._rightHanded) {
            cosines[2].negate();
        }
        return cosines;
    }
    /**
     * Get x/y spacing of a frame.
     *
     * \@ return {*}
     * @return {?}
     */
    spacingXY() {
        /** @type {?} */
        let spacingXY = [1.0, 1.0];
        if (this.pixelSpacing) {
            spacingXY[0] = this.pixelSpacing[0];
            spacingXY[1] = this.pixelSpacing[1];
        }
        else if (this.pixelAspectRatio) {
            spacingXY[0] = 1.0;
            spacingXY[1] = (1.0 * this.pixelAspectRatio[1]) / this.pixelAspectRatio[0];
        }
        return spacingXY;
    }
    /**
     * Get data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @return {?}
     */
    getPixelData(column, row) {
        if (column >= 0 && column < this._columns && row >= 0 && row < this._rows) {
            return this.pixelData[column + this._columns * row];
        }
        else {
            return null;
        }
    }
    /**
     * Set data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ param {*} value
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @param {?} value
     * @return {?}
     */
    setPixelData(column, row, value) {
        this.pixelData[column + this._columns * row] = value;
    }
    /**
     * Get frame preview as data:URL
     *
     * \@ return {String}
     * @return {?}
     */
    getImageDataUrl() {
        /** @type {?} */
        const canvas = document.createElement('canvas');
        canvas.width = this._columns;
        canvas.height = this._rows;
        /** @type {?} */
        const context = canvas.getContext('2d');
        /** @type {?} */
        const imageData = context.createImageData(canvas.width, canvas.height);
        imageData.data.set(this._frameToCanvas());
        context.putImageData(imageData, 0, 0);
        return canvas.toDataURL();
    }
    /**
     * Convert frame.pixelData to canvas.context.imageData.data
     *
     * \@ return {Uint8Array}
     * @return {?}
     */
    _frameToCanvas() {
        /** @type {?} */
        const dimension = this._columns * this._rows;
        /** @type {?} */
        const params = {
            invert: this._invert,
            min: this._minMax[0],
            padding: this._pixelPaddingValue,
            max: this._minMax[1],
            range: this._minMax[1] - this._minMax[0]
        };
        /** @type {?} */
        let data = new Uint8Array(dimension * 4);
        if (params.padding !== null) {
            // recalculation of min ignoring pixelPaddingValue
            params.min = this._minMax[1];
            for (let index = 0, numPixels = this._pixelData.length; index < numPixels; index++) {
                if (this._pixelData[index] !== params.padding) {
                    params.min = Math.min(params.min, this._pixelData[index]);
                }
            }
        }
        if (this._windowWidth && this._windowCenter !== null) {
            // applying windowCenter and windowWidth
            /** @type {?} */
            const intercept = this._rescaleIntercept || 0;
            /** @type {?} */
            const slope = this._rescaleSlope || 1;
            params.min = Math.max((this._windowCenter - this._windowWidth / 2 - intercept) / slope, params.min);
            params.max = Math.min((this._windowCenter + this._windowWidth / 2 - intercept) / slope, this._minMax[1]);
        }
        else {
            params.max = this._minMax[1];
        }
        params.range = params.max - params.min || 255; // if max is 0 convert it to: 255 - black, 1 - white
        if (this._numberOfChannels === 1) {
            for (let i = 0; i < dimension; i++) {
                /** @type {?} */
                const normalized = this._pixelTo8Bit(this._pixelData[i], params);
                data[4 * i] = normalized;
                data[4 * i + 1] = normalized;
                data[4 * i + 2] = normalized;
                data[4 * i + 3] = 255; // alpha channel (fully opaque)
            }
        }
        else if (this._numberOfChannels === 3) {
            for (let i = 0; i < dimension; i++) {
                data[4 * i] = this._pixelTo8Bit(this._pixelData[3 * i], params);
                data[4 * i + 1] = this._pixelTo8Bit(this._pixelData[3 * i + 1], params);
                data[4 * i + 2] = this._pixelTo8Bit(this._pixelData[3 * i + 2], params);
                data[4 * i + 3] = 255; // alpha channel (fully opaque)
            }
        }
        return data;
    }
    /**
     * Convert pixel value to 8 bit (canvas.context.imageData.data: maximum 8 bit per each of RGBA value)
     *
     * \@ param {Number} value  Pixel value
     * \@ param {Object} params {invert, min, mix, padding, range}
     *
     * \@ return {Number}
     * @param {?} value
     * @param {?} params
     * @return {?}
     */
    _pixelTo8Bit(value, params) {
        // values equal to pixelPaddingValue are outside of the image and should be ignored
        /** @type {?} */
        let packedValue = value <= params.min || value === params.padding ? 0 : 255;
        if (value > params.min && value < params.max) {
            packedValue = Math.round(((value - params.min) * 255) / params.range);
        }
        return Number.isNaN(packedValue) ? 0 : params.invert ? 255 - packedValue : packedValue;
    }
    /**
     * Compare 2 arrays.
     *
     * 2 null arrays return true.
     * Do no perform strict type checking.
     *
     * \@ param {*} reference
     * \@ param {*} target
     *
     * \@ return {boolean} True if arrays are identicals. False if not.
     * @param {?} reference
     * @param {?} target
     * @return {?}
     */
    _compareArrays(reference, target) {
        // could both be null
        if (reference === target) {
            return true;
        }
        // if not null....
        if (reference && target && reference.join() === target.join()) {
            return true;
        }
        return false;
    }
    /**
     * @return {?}
     */
    get frameTime() {
        return this._frameTime;
    }
    /**
     * @param {?} frameTime
     * @return {?}
     */
    set frameTime(frameTime) {
        this._frameTime = frameTime;
    }
    /**
     * @return {?}
     */
    get ultrasoundRegions() {
        return this._ultrasoundRegions;
    }
    /**
     * @param {?} ultrasoundRegions
     * @return {?}
     */
    set ultrasoundRegions(ultrasoundRegions) {
        this._ultrasoundRegions = ultrasoundRegions;
    }
    /**
     * @return {?}
     */
    get rows() {
        return this._rows;
    }
    /**
     * @param {?} rows
     * @return {?}
     */
    set rows(rows) {
        this._rows = rows;
    }
    /**
     * @return {?}
     */
    get columns() {
        return this._columns;
    }
    /**
     * @param {?} columns
     * @return {?}
     */
    set columns(columns) {
        this._columns = columns;
    }
    /**
     * @return {?}
     */
    get spacingBetweenSlices() {
        return this._spacingBetweenSlices;
    }
    /**
     * @param {?} spacingBetweenSlices
     * @return {?}
     */
    set spacingBetweenSlices(spacingBetweenSlices) {
        this._spacingBetweenSlices = spacingBetweenSlices;
    }
    /**
     * @return {?}
     */
    get sliceThickness() {
        return this._sliceThickness;
    }
    /**
     * @param {?} sliceThickness
     * @return {?}
     */
    set sliceThickness(sliceThickness) {
        this._sliceThickness = sliceThickness;
    }
    /**
     * @return {?}
     */
    get imagePosition() {
        return this._imagePosition;
    }
    /**
     * @param {?} imagePosition
     * @return {?}
     */
    set imagePosition(imagePosition) {
        this._imagePosition = imagePosition;
    }
    /**
     * @return {?}
     */
    get imageOrientation() {
        return this._imageOrientation;
    }
    /**
     * @param {?} imageOrientation
     * @return {?}
     */
    set imageOrientation(imageOrientation) {
        this._imageOrientation = imageOrientation;
    }
    /**
     * @return {?}
     */
    get windowWidth() {
        return this._windowWidth;
    }
    /**
     * @param {?} windowWidth
     * @return {?}
     */
    set windowWidth(windowWidth) {
        this._windowWidth = windowWidth;
    }
    /**
     * @return {?}
     */
    get windowCenter() {
        return this._windowCenter;
    }
    /**
     * @param {?} windowCenter
     * @return {?}
     */
    set windowCenter(windowCenter) {
        this._windowCenter = windowCenter;
    }
    /**
     * @return {?}
     */
    get rescaleSlope() {
        return this._rescaleSlope;
    }
    /**
     * @param {?} rescaleSlope
     * @return {?}
     */
    set rescaleSlope(rescaleSlope) {
        this._rescaleSlope = rescaleSlope;
    }
    /**
     * @return {?}
     */
    get rescaleIntercept() {
        return this._rescaleIntercept;
    }
    /**
     * @param {?} rescaleIntercept
     * @return {?}
     */
    set rescaleIntercept(rescaleIntercept) {
        this._rescaleIntercept = rescaleIntercept;
    }
    /**
     * @return {?}
     */
    get bitsAllocated() {
        return this._bitsAllocated;
    }
    /**
     * @param {?} bitsAllocated
     * @return {?}
     */
    set bitsAllocated(bitsAllocated) {
        this._bitsAllocated = bitsAllocated;
    }
    /**
     * @return {?}
     */
    get dist() {
        return this._dist;
    }
    /**
     * @param {?} dist
     * @return {?}
     */
    set dist(dist) {
        this._dist = dist;
    }
    /**
     * @return {?}
     */
    get pixelSpacing() {
        return this._pixelSpacing;
    }
    /**
     * @param {?} pixelSpacing
     * @return {?}
     */
    set pixelSpacing(pixelSpacing) {
        this._pixelSpacing = pixelSpacing;
    }
    /**
     * @return {?}
     */
    get pixelAspectRatio() {
        return this._pixelAspectRatio;
    }
    /**
     * @param {?} pixelAspectRatio
     * @return {?}
     */
    set pixelAspectRatio(pixelAspectRatio) {
        this._pixelAspectRatio = pixelAspectRatio;
    }
    /**
     * @return {?}
     */
    get minMax() {
        return this._minMax;
    }
    /**
     * @param {?} minMax
     * @return {?}
     */
    set minMax(minMax) {
        this._minMax = minMax;
    }
    /**
     * @return {?}
     */
    get dimensionIndexValues() {
        return this._dimensionIndexValues;
    }
    /**
     * @param {?} dimensionIndexValues
     * @return {?}
     */
    set dimensionIndexValues(dimensionIndexValues) {
        this._dimensionIndexValues = dimensionIndexValues;
    }
    /**
     * @return {?}
     */
    get instanceNumber() {
        return this._instanceNumber;
    }
    /**
     * @param {?} instanceNumber
     * @return {?}
     */
    set instanceNumber(instanceNumber) {
        this._instanceNumber = instanceNumber;
    }
    /**
     * @return {?}
     */
    get pixelData() {
        return this._pixelData;
    }
    /**
     * @param {?} pixelData
     * @return {?}
     */
    set pixelData(pixelData) {
        this._pixelData = pixelData;
    }
    /**
     * @param {?} sopInstanceUID
     * @return {?}
     */
    set sopInstanceUID(sopInstanceUID) {
        this._sopInstanceUID = sopInstanceUID;
    }
    /**
     * @return {?}
     */
    get sopInstanceUID() {
        return this._sopInstanceUID;
    }
    /**
     * @return {?}
     */
    get pixelPaddingValue() {
        return this._pixelPaddingValue;
    }
    /**
     * @param {?} pixelPaddingValue
     * @return {?}
     */
    set pixelPaddingValue(pixelPaddingValue) {
        this._pixelPaddingValue = pixelPaddingValue;
    }
    /**
     * @return {?}
     */
    get pixelRepresentation() {
        return this._pixelRepresentation;
    }
    /**
     * @param {?} pixelRepresentation
     * @return {?}
     */
    set pixelRepresentation(pixelRepresentation) {
        this._pixelRepresentation = pixelRepresentation;
    }
    /**
     * @return {?}
     */
    get pixelType() {
        return this._pixelType;
    }
    /**
     * @param {?} pixelType
     * @return {?}
     */
    set pixelType(pixelType) {
        this._pixelType = pixelType;
    }
    /**
     * @return {?}
     */
    get url() {
        return this._url;
    }
    /**
     * @param {?} url
     * @return {?}
     */
    set url(url) {
        this._url = url;
    }
    /**
     * @return {?}
     */
    get referencedSegmentNumber() {
        return this._referencedSegmentNumber;
    }
    /**
     * @param {?} referencedSegmentNumber
     * @return {?}
     */
    set referencedSegmentNumber(referencedSegmentNumber) {
        this._referencedSegmentNumber = referencedSegmentNumber;
    }
    /**
     * @return {?}
     */
    get rightHanded() {
        return this._rightHanded;
    }
    /**
     * @param {?} rightHanded
     * @return {?}
     */
    set rightHanded(rightHanded) {
        this._rightHanded = rightHanded;
    }
    /**
     * @return {?}
     */
    get index() {
        return this._index;
    }
    /**
     * @param {?} index
     * @return {?}
     */
    set index(index) {
        this._index = index;
    }
    /**
     * @return {?}
     */
    get invert() {
        return this._invert;
    }
    /**
     * @param {?} invert
     * @return {?}
     */
    set invert(invert) {
        this._invert = invert;
    }
    /**
     * @return {?}
     */
    get numberOfChannels() {
        return this._numberOfChannels;
    }
    /**
     * @param {?} numberOfChannels
     * @return {?}
     */
    set numberOfChannels(numberOfChannels) {
        this._numberOfChannels = numberOfChannels;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class VolumeRenderingComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     * @param {?} ef
     */
    constructor(sceneService, renderer, ef) {
        super(sceneService, renderer);
        this.ef = ef.nativeElement;
        this.lut = new HelperLut(this.ef);
        this.lut.luts = HelperLut.presetLuts();
        this.lut.lutsO = HelperLut.presetLutsO();
        renderer.renderer.setClearColor(0xeeeeee);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const stack = this.getStack(model.volume);
        /** @type {?} */
        const helper = new HelpersVolumeRendering(stack);
        this.lut.lut = model.color; // color
        this.lut.lutO = model.opacity; // opacity
        helper.uniforms.uTextureLUT.value.dispose();
        helper.uniforms.uTextureLUT.value = this.lut.texture;
        helper.uniforms.uLut.value = 1;
        helper.algorithm = model.algorithm; // algorithm
        helper.alphaCorrection = model.alphaCorrection; // alphaCorrection
        // helper.uniforms.uInterpolation.value = 1;
        return helper;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        /** @type {?} */
        const stack = this.getStack(model.volume);
        /** @type {?} */
        const helper = new HelpersVolumeRendering(stack);
        this.lut.lut = model.color; // color
        this.lut.lutO = model.opacity; // opacity
        helper.uniforms.uTextureLUT.value.dispose();
        helper.uniforms.uTextureLUT.value = this.lut.texture;
        helper.uniforms.uLut.value = 1;
        helper.algorithm = model.algorithm; // algorithm
        helper.alphaCorrection = model.alphaCorrection; // alphaCorrection
        // helper.uniforms.uInterpolation.value = 1;
        return helper;
    }
    /**
     * @param {?} volume
     * @return {?}
     */
    getStack(volume) {
        /** @type {?} */
        let stack = new ModelsStack();
        /** @type {?} */
        const rows = volume.meta.shape.x;
        /** @type {?} */
        const cols = volume.meta.shape.y;
        /** @type {?} */
        const frames = volume.meta.shape.z;
        stack._numberOfFrames = frames;
        stack.modality = 'unknown';
        for (let i = 1; i <= stack._numberOfFrames; i++) {
            /** @type {?} */
            let frame = new ModelsFrame();
            frame.sopInstanceUID = i;
            frame.index = i;
            frame.instanceNumber = i;
            frame.rows = rows;
            frame.columns = cols;
            frame.pixelSpacing = [1.0, 1.0, 1.0];
            frame.imagePosition = [127.0, 118.0, -57.0];
            // frame.imagePosition = [volume.meta.center.x, volume.meta.center.y, volume.meta.center.z];
            // frame.pixelData = this.getData(i, rows, cols);
            frame.pixelData = this.getFrame(i, volume);
            frame.imageOrientation = [-1, -0, 0, -0, -1, 0];
            frame.rescaleSlope = 1;
            frame.rescaleIntercept = 0;
            frame.minMax = this.getMinMax(frame.pixelData);
            if (frame.imageOrientation === null) {
                frame.imageOrientation = [1, 0, 0, 0, 1, 0];
            }
            stack.frame.push(frame);
            // console.log(frame.pixelData);
        }
        return stack;
    }
    /**
     * @param {?} k
     * @param {?} volume
     * @return {?}
     */
    getFrame(k, volume) {
        /** @type {?} */
        let data = new Uint8Array(volume.meta.shape.x * volume.meta.shape.y);
        for (let i = 1; i <= data.length; i++) {
            data[i] = volume.pixel(i + k * volume.meta.shape.x * volume.meta.shape.y);
        }
        // for (let i = 1; i <= volume.meta.shape.x; i++) {
        //   for (let j = 1; j <= volume.meta.shape.y; j++) {
        //     data[i][j] = volume.pixel3(i, j, k);
        //   }
        // }
        return data;
    }
    /**
     * @param {?} k
     * @param {?} rows
     * @param {?} columes
     * @return {?}
     */
    getData(k, rows, columes) {
        /** @type {?} */
        let data = new Uint8Array(rows * columes);
        for (let i = 1; i <= data.length; i++) {
            data[i] = 0;
        }
        return data;
    }
    /**
     * @param {?} data
     * @return {?}
     */
    getMinMax(data) {
        /** @type {?} */
        let min;
        /** @type {?} */
        let max = 0;
        /** @type {?} */
        let sortData = data.sort();
        min = sortData[0];
        max = sortData[sortData.length - 1];
        return [min, max];
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new VolumeModel('red', 'bandpass', 0, 0.25, new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), new Float32Array(190 * 256 * 151)));
    }
}
VolumeRenderingComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-volume-rendering',
                template: "<p>\n  volume-rendering works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
VolumeRenderingComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService },
    { type: ElementRef }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @return {?}
 */
function initialRingEntityState() {
    return {
        canvasId: v4(),
        id: v4(),
        model: new RingModel(new Vector3(0, 0, 0), 29.9, 30),
        color: new Color(60, 179, 113),
    };
}
class EntityStoreService {
    constructor() {
        this.toSearch = (/**
         * @param {?} x
         * @return {?}
         */
        (x) => x);
        this.updateEqualCanvasRing = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => x.canvasId === y.canvasId && y.model.type === 'ring');
        this.updateEqualCanvasLine = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => x.canvasId === y.canvasId && y.model.type === 'line');
        this.updateEqualCanvasCrossLine = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => x.canvasId === y.canvasId && y.model.type === 'crossline');
        this.updateEqualFov = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => x.id === y.id && y.model.type === 'fov');
        this.fromUpdateModelId = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => (Object.assign({}, y, { model: x.model })));
        this.fromUpdateModel = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => (Object.assign({}, y, { model: x.model })));
        this.updateEqualCrosslines = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => true);
        this.fromUpdateCrosslines = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => (Object.assign({}, y, { model: Object.assign({}, ((/** @type {?} */ (y.model))), { position: ((/** @type {?} */ (x.model))).position }) })));
        this.removeEqual = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => x.canvasId === y.canvasId);
        this.updateEqualAll = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => true);
        this.fromUpdateId = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        (x, y) => (Object.assign({}, y, { canvasId: x.canvasId, id: v4() })));
        this.whichDraging$ = new Observable();
        this.entityArrayCollectionOf = new ArrayCollectionOf(new Array(initialRingEntityState()));
        this.entityStateStore = new ItemStore(this.entityArrayCollectionOf, true);
        this.entityRingDatabase = new Database(this.entityStateStore, this.updateEqualCanvasRing, this.removeEqual, this.toSearch, this.fromUpdateModel);
        this.entityCrossLineDatabase = new Database(this.entityStateStore, this.updateEqualCanvasCrossLine, this.removeEqual, this.toSearch, this.fromUpdateModel);
        this.entityCrossLinesDatabase = new Database(this.entityStateStore, this.updateEqualCrosslines, this.removeEqual, this.toSearch, this.fromUpdateCrosslines);
        this.fovDatabese = new Database(this.entityStateStore, this.updateEqualFov, this.removeEqual, this.toSearch, this.fromUpdateModelId);
        this.imageDatabase = new Database(this.entityStateStore);
        this.selectedEntityStateStore = new ItemStore(new ArrayCollectionOf(new Array(initialRingEntityState())), true);
        this.selectedEntityDatabase = new Database(this.selectedEntityStateStore);
        this.clipBoardStore = new ItemStore(new ArrayCollectionOf(new Array(initialRingEntityState())), true);
        this.clipBoardDatabase = new Database(this.clipBoardStore, this.updateEqualAll, this.removeEqual, this.toSearch, this.fromUpdateId);
        this.clearSelected();
        this.clearClipBoard();
        this.clear();
    }
    /**
     * @template T, K
     * @param {?} x
     * @param {?} y
     * @return {?}
     */
    updateFunction(x, y) {
        return false;
    }
    /**
     * @param {?} toAdd
     * @return {?}
     */
    addEntity(toAdd) {
        this.entityRingDatabase.insert(toAdd).subscribe(noop, console.error);
    }
    /**
     * @param {?} selected
     * @return {?}
     */
    selectEntity(selected) {
        this.selectedEntityDatabase.insert(selected).subscribe(noop, console.error);
    }
    /**
     * @param {?} selected
     * @return {?}
     */
    selectEntities(selected) {
        this.selectedEntityDatabase
            .insertMany(selected)
            .subscribe(noop, console.error);
    }
    /**
     * @return {?}
     */
    clearSelected() {
        this.selectedEntityStateStore
            .filter((/**
         * @param {?} p
         * @return {?}
         */
        p => false))
            .subscribe(noop, console.error);
    }
    /**
     * @return {?}
     */
    clearClipBoard() {
        this.clipBoardStore.filter((/**
         * @param {?} p
         * @return {?}
         */
        p => false)).subscribe(noop, console.error);
    }
    /**
     * @return {?}
     */
    clear() {
        this.entityStateStore.filter((/**
         * @param {?} p
         * @return {?}
         */
        p => false)).subscribe(noop, console.error);
    }
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    updateRingEntity(toUpdate) {
        this.entityRingDatabase.update(toUpdate).subscribe(noop, console.error);
    }
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    updateCrosslineEntity(toUpdate) {
        this.entityCrossLineDatabase
            .update(toUpdate)
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    updateCrosslines(toUpdate) {
        this.entityCrossLinesDatabase
            .updateMany(toUpdate)
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    updateRings(toUpdate) {
        this.entityRingDatabase
            .updateMany(...toUpdate)
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    updateFov(toUpdate) {
        this.fovDatabese.update(toUpdate).subscribe(noop, console.error);
    }
    /**
     * @param {?} toRemove
     * @return {?}
     */
    removeEntity(toRemove) {
        this.entityRingDatabase.remove(toRemove).subscribe(noop, console.error);
    }
    /**
     * @param {?} toRemove
     * @return {?}
     */
    removeEntities(toRemove) {
        this.entityRingDatabase
            .removeMany(...toRemove)
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    removeEntityWithCanvasId(canvasId) {
        this.entityRingDatabase.remove({ canvasId }).subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    addRing(canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new RingModel(new Vector3(0, 0, 0), 3, 3.0001),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    addLine(canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new LineModel(new Vector3(0, 0, 0), new Vector3(10, 0, 0)),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    addCrossLine(canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new CrossLineModel(new Vector3(0, 0, 0), 'z'),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @param {?=} center
     * @param {?=} size
     * @return {?}
     */
    addFov(canvasId, center = new Vector2(0, 0), size = new Vector2(30, 10)) {
        this.fovDatabese
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new FovModel(new BoundingBox2FromCenterSize(center, size)),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    cutEntity(canvasId) {
        this.clearClipBoard();
        this.copyEntity(canvasId);
        this.removeEntityWithCanvasId(canvasId);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    copyEntity(canvasId) {
        this.clearClipBoard();
        this.entitiesOfCanvas(canvasId)
            .pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        e => this.clipBoardDatabase
            .insertMany(...e)
            .subscribe(noop, console.error))))
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    pasteEntity(canvasId) {
        this.clipBoardDatabase.update({ canvasId }).subscribe(noop, console.error);
        this.clipBoardDatabase
            .searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => true))
            .pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        e => this.entityRingDatabase
            .insertMany(...e)
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log(a)), console.error))))
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    entitiesOfCanvas(canvasId) {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => x.canvasId === canvasId));
    }
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    crosslineOnCanvas(canvasId, op) {
        /** @type {?} */
        let current;
        this.getCrossline(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => {
            if (x === undefined) {
                return;
            }
            current = (/** @type {?} */ (x.model));
        })))
            .subscribe(noop, console.error);
        return op(current);
    }
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    ringOnCanvas(canvasId, op) {
        /** @type {?} */
        let current;
        this.getRing(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => (current = (/** @type {?} */ (x.model))))))
            .subscribe(noop, console.error);
        return op(current);
    }
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    fovOnCanvas(canvasId, op) {
        /** @type {?} */
        let current;
        this.getFov(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => (current = x))))
            .subscribe(noop, console.error);
        return op(current);
    }
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    fovsOnCanvas(canvasId, op) {
        /** @type {?} */
        let current;
        this.getFovs(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => (current = x))))
            .subscribe(noop, console.error);
        return op(current);
    }
    /**
     * @return {?}
     */
    showEntities() {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => true));
    }
    /**
     * @return {?}
     */
    showClipBoard() {
        return this.clipBoardDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => true));
    }
    /**
     * @return {?}
     */
    getRings() {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => x.model.type === 'ring'));
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    getRing(canvasId) {
        return this.entityRingDatabase.search((/**
         * @param {?} x
         * @return {?}
         */
        x => x.canvasId === canvasId && x.model.type === 'ring'));
    }
    /**
     * @return {?}
     */
    getCircles() {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => x.model.type === 'circle'));
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    getFov(canvasId) {
        return this.fovDatabese.search((/**
         * @param {?} x
         * @return {?}
         */
        x => x.canvasId === canvasId && x.model.type === 'fov'));
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    getFovs(canvasId) {
        return this.fovDatabese.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        x => x.canvasId === canvasId && x.model.type === 'fov'));
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    getCrossline(canvasId) {
        return this.entityCrossLineDatabase.search((/**
         * @param {?} x
         * @return {?}
         */
        x => x.canvasId === canvasId && x.model.type === 'crossline'));
    }
    // getCrosslines() {
    //   return this.entityCrossLinesDatabase.searchMany(
    //     x => x.model.type === 'crossline',
    //   );
    // }
    /**
     * @return {?}
     */
    getROI() { }
}
EntityStoreService.decorators = [
    { type: Injectable, args: [{
                // providedIn: EntityStoreModule,
                providedIn: 'root',
            },] }
];
/** @nocollapse */
EntityStoreService.ctorParameters = () => [];
/** @nocollapse */ EntityStoreService.ngInjectableDef = defineInjectable({ factory: function EntityStoreService_Factory() { return new EntityStoreService(); }, token: EntityStoreService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class FovComponent {
    constructor() {
        this.lineTest = new LineModel(new Vector3(0, 0, 0), new Vector3(10, 10, 0));
        this.models = {
            Right: this.lineTest,
            Left: this.lineTest,
            Top: this.lineTest,
            Bottom: this.lineTest,
            Up: this.lineTest,
            Down: this.lineTest,
        };
        this.leftTop = new Vector3(0, 0, 0);
        this.leftBottom = new Vector3(0, 10, 0);
        this.rightTop = new Vector3(10, 0, 0);
        this.rightBottom = new Vector3(10, 10, 0);
        this.right = 10;
        this.top = 20;
        this.bottom = 10;
        this.currentColor = new Color(0.5, 0.5, 0.5);
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.fovSubject = new BehaviorSubject(new FovModel(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(60, 60))));
        this.fov$ = this.fovSubject.asObservable();
        this.z = 20;
        this.isActive = true;
        this.upAndDownShow = false;
        this.models$ = this.fov$.pipe(filter((/**
         * @param {?} m
         * @return {?}
         */
        m => m !== undefined)), map((/**
         * @param {?} m
         * @return {?}
         */
        m => this.addLines(m.box, true))));
    }
    // @Input()
    // get box(): BoundingBox2 {
    //   return this.boxSubject.value;
    // }
    // set box(b: BoundingBox2) {
    //   this.boxSubject.next(b);
    // }
    /**
     * @return {?}
     */
    get model() {
        return this.fovSubject.value;
    }
    /**
     * @param {?} m
     * @return {?}
     */
    set model(m) {
        this.fovSubject.next(m);
    }
    /**
     * @param {?} m
     * @param {?=} active
     * @return {?}
     */
    addLines(m, active = false) {
        if (m !== undefined) {
            this.setCurrentColor(active);
            this.setCurrentPos(m);
            this.models.Top = new LineModel(this.leftTop, this.rightTop, 'Dashed', this.currentColor);
            this.models.Bottom = new LineModel(this.leftBottom, this.rightBottom, 'Dashed', this.currentColor);
            this.models.Left = new LineModel(this.leftTop, this.leftBottom, 'Dashed', this.currentColor);
            this.models.Right = new LineModel(this.rightTop, this.rightBottom, 'Dashed', this.currentColor);
            this.models.Up = new LineModel(new Vector3(-1000, this.leftTop.y - 0.2, this.z), new Vector3(1000, this.leftTop.y - 0.2, this.z), 'Dashed', new Color(1.0, 1.0, 0));
            this.models.Down = new LineModel(new Vector3(-1000, this.leftBottom.y + 0.15, this.z), new Vector3(1000, this.leftBottom.y + 0.15, this.z), 'Dashed', new Color(1.0, 1.0, 0));
        }
        return this.models;
    }
    /**
     * @param {?=} active
     * @return {?}
     */
    setCurrentColor(active = false) {
        if (active === true) {
            this.currentColor = new Color(1.0, 0.0, 0);
        }
        else {
            this.currentColor = new Color(0.5, 0.5, 0.5);
        }
    }
    /**
     * @param {?} m
     * @return {?}
     */
    setCurrentPos(m) {
        if (m !== undefined) {
            /** @type {?} */
            const left = m.center.x - m.size.x / 2;
            /** @type {?} */
            const right = m.center.x + m.size.x / 2;
            /** @type {?} */
            const top = m.center.y - m.size.y / 2;
            /** @type {?} */
            const bottom = m.center.y + m.size.y / 2;
            this.leftTop = new Vector3(left, top, this.z);
            this.leftBottom = new Vector3(left, bottom, this.z);
            this.rightTop = new Vector3(right, top, this.z);
            this.rightBottom = new Vector3(right, bottom, this.z);
        }
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
FovComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-fov',
                template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-line [model]=\"models.Bottom\"></ng3-line>\n  <ng3-line [model]=\"models.Left\"></ng3-line>\n  <ng3-line [model]=\"models.Right\"></ng3-line>\n  <ng3-line [model]=\"models.Top\"></ng3-line>\n  <ng3-line *ngIf=\"upAndDownShow\" [model]=\"models.Up\"></ng3-line>\n  <ng3-line *ngIf=\"upAndDownShow\" [model]=\"models.Down\"></ng3-line>\n</ng-container>\n\n",
                styles: [""]
            }] }
];
/** @nocollapse */
FovComponent.ctorParameters = () => [];
FovComponent.propDecorators = {
    model: [{ type: Input }],
    z: [{ type: Input }],
    isActive: [{ type: Input }],
    upAndDownShow: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CrossLineComponent {
    constructor() {
        this.model$ = new Observable();
        this.posX = 0.0;
        this.posY = 0.0;
        this.imageSubject = new BehaviorSubject(new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200)), 10, undefined, new Vector3(0, 0, 0), true, 0.0, true));
        this.image$ = this.imageSubject.asObservable();
        this.lineTest = new LineModel(new Vector3(0, 0, 0), new Vector3(10, 10, 0));
        this.models = {
            vertical: this.lineTest,
            horizontal: this.lineTest,
        };
        // private lineSubject = new BehaviorSubject<LineInputModel>({
        //   id: 'testLine',
        //   position: new Vector3(0, 2, 30),
        //   view: 'x',
        //   crosslineLength: 1.5,
        // });
        this.crosslineSubject = new BehaviorSubject(new CrossLineModel(new Vector3(0, 2, 30), 'z', 1.5));
        // line$ = this.lineSubject.asObservable();
        this.crossline$ = this.crosslineSubject.asObservable();
        this.drag = new EventEmitter();
        // @Output() modelChanged: EventEmitter<Vector3> = new EventEmitter<Vector3>();
        this.z = 0;
        // this.models_bak$ = this.line$.pipe(
        //   filter(m => m !== undefined),
        //   map(m => this.addCrossLines(m)),
        // );
        this.models$ = this.crossline$.pipe(filter((/**
         * @param {?} m
         * @return {?}
         */
        m => m !== undefined)), 
        // tap(m => console.log(m)),
        map((/**
         * @param {?} m
         * @return {?}
         */
        m => this.plotCrossLine(m))));
    }
    // @Input() viewInput: View = 'x';
    // @Input()
    // get model_bak(): LineInputModel {
    //   return this.lineSubject.value;
    // }
    // set model_bak(b: LineInputModel) {
    //   this.lineSubject.next(b);
    // }
    /**
     * @return {?}
     */
    get model() {
        return this.crosslineSubject.value;
    }
    /**
     * @param {?} b
     * @return {?}
     */
    set model(b) {
        this.crosslineSubject.next(b);
    }
    /**
     * @param {?} m
     * @return {?}
     */
    plotCrossLine(m) {
        this.updatePos(m);
        this.model$ = this.image$.pipe(map((/**
         * @return {?}
         */
        () => {
            return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(this.posX, this.posY), new Vector2(m.lineWidth * 5, m.lineWidth * 5)));
        })));
        // this.models$.pipe(map(m => ))
        this.models.vertical = new LineModel(new Vector3(this.posX + 80, this.posY, this.z), new Vector3(this.posX - 80, this.posY, this.z), 'Solid');
        this.models.horizontal = new LineModel(new Vector3(this.posX, this.posY - 80, this.z), new Vector3(this.posX, this.posY + 80, this.z), 'Solid');
        // this.modelChanged.emit(m.position);
        return this.models;
    }
    // addCrossLines(m: LineInputModel) {
    //   this.updatePos_bak(m);
    //   this.model$ = this.image$.pipe(
    //     map(() => {
    //       return new Plane2Model(
    //         new BoundingBox2FromCenterSize(
    //           new Vector2(this.posX, this.posY),
    //           new Vector2(m.crosslineLength * 10, m.crosslineLength * 10),
    //         ),
    //         undefined,
    //         new Vector3(0, 0, 0),
    //         true,
    //         0.0,
    //         false,
    //       );
    //     }),
    //   );
    //   // this.models.Vertical = m;
    //   // if (m !== undefined) {
    //   //   if (m.start.x === m.end.x) {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x - Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2,
    //   //       m.start.z), new Vector3(m.start.x + Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2, m.end.z), m.style);
    //   //   } else {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y - Math.abs(m.start.x - m.end.x) / 2,
    //   //       m.start.z), new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y + Math.abs(m.start.x - m.end.x) / 2, m.end.z), m.style);
    //   //   }
    //   // }
    //   this.models.vertical = new LineModel(
    //     new Vector3(this.posX + 80, this.posY, this.z),
    //     new Vector3(this.posX - 80, this.posY, this.z),
    //     'Dashed',
    //   );
    //   this.models.horizontal = new LineModel(
    //     new Vector3(this.posX, this.posY - 80, this.z),
    //     new Vector3(this.posX, this.posY + 80, this.z),
    //     'Dashed',
    //   );
    //   this.modelChanged.emit(m.position);
    //   return this.models;
    // }
    /**
     * @param {?} d
     * @return {?}
     */
    onDragEvent(d) {
        this.drag.emit(d);
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.imageSubject.complete();
        // this.lineSubject.complete();
        this.crosslineSubject.complete();
    }
    /**
     * @param {?} m
     * @return {?}
     */
    updatePos(m) {
        switch (m.view) {
            case 'x':
                this.posX = m.position.y;
                this.posY = m.position.z;
                break;
            case 'y':
                this.posX = m.position.x;
                this.posY = m.position.z;
                break;
            case 'z':
                this.posX = m.position.x;
                this.posY = m.position.y;
                break;
            default:
                this.posX = m.position.y;
                this.posY = m.position.z;
        }
    }
}
CrossLineComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-cross-line',
                template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-line [model]=\"models.vertical\"></ng3-line>\n  <ng3-line [model]=\"models.horizontal\"></ng3-line>\n</ng-container>\n<!-- <ng3-line [model]=\"models\"></ng3-line>\n  <ng3-line [model]=\"models.v\"></ng3-line> -->\n<!-- <ng-template #test> <ng3-line [model]=\"models.Vertical\"></ng3-line>\n        <ng3-line [model]=\"models.Horizontal\"></ng3-line> -->\n<!-- <p>{{models|json}}</p> </ng-template> -->\n\n<!-- <ng3-line [model]=\"(models$ | async)\"></ng3-line> -->\n<!-- <ng-container *ngIf=\"(model$ | async) as model\">\n  <ng3-plane [model]=\"model\" ></ng3-plane>\n</ng-container> -->\n\n<!-- <ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n  <ng3-mouse-entity (drag)=\"onDragEvent($event)\"></ng3-mouse-entity>\n</ng3-plane> -->\n<!-- <ng3-line [model]=\"lineTest\"></ng3-line> -->\n",
                providers: [EntityStoreService],
                styles: [""]
            }] }
];
/** @nocollapse */
CrossLineComponent.ctorParameters = () => [];
CrossLineComponent.propDecorators = {
    drag: [{ type: Output }],
    z: [{ type: Input }],
    model: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} image3
 * @param {?} slicer
 * @return {?}
 */
function applySlicer(image3, slicer) {
    return combineLatest(slicer, image3).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    (x) => {
        /** @type {?} */
        const sli = x[0];
        /** @type {?} */
        const img = x[1];
        return sli.slice(img);
    })));
}
class Slicer {
    /**
     * @param {?=} direction
     * @param {?=} index
     * @param {?=} min
     * @param {?=} max
     */
    constructor(direction = 'x', index = 0, min = 0, max = 1000) {
        this.direction = direction;
        this.index = index;
        this.min = min;
        this.max = max;
        this.min = Math.floor(this.min);
        this.max = Math.floor(this.max);
        this.index = Math.max(Math.min(Math.floor(this.index), this.max), this.min);
    }
    /**
     * @param {?} max
     * @return {?}
     */
    updateBoundmax(max) {
        return new Slicer(this.direction, this.index, this.min, max);
    }
    /**
     * @param {?} min
     * @return {?}
     */
    updateBoundmin(min) {
        return new Slicer(this.direction, this.index, min, this.max);
    }
    /**
     * @param {?} index
     * @return {?}
     */
    updateIndex(index) {
        if (index >= this.min && index < this.max) {
            return new Slicer(this.direction, index, this.min, this.max);
        }
        else {
            return this;
        }
    }
    /**
     * @param {?} a
     * @return {?}
     */
    addIndex(a) {
        return this.updateIndex(this.index + a);
    }
    /**
     * @param {?} direction
     * @param {?=} image
     * @return {?}
     */
    updateDirection(direction, image) {
        return new Slicer(direction, this.index, this.min, image === undefined ? this.max : imageShapeOfDirection(image, direction));
    }
    /**
     * @param {?} img
     * @return {?}
     */
    shapeOfDirection(img) {
        return imageShapeOfDirection(img, this.direction);
    }
    /**
     * @param {?} img
     * @return {?}
     */
    slice(img) {
        /** @type {?} */
        const meta = img.meta;
        switch (this.direction) {
            case 'x':
                return new GrayImage2(new Vector2(meta.center.y, meta.center.z), new Vector2(meta.size.y, meta.size.z), new Vector2(meta.shape.y, meta.shape.z), loopSet(meta.shape.y, meta.shape.z, (/**
                 * @param {?} y
                 * @param {?} z
                 * @return {?}
                 */
                (y, z) => img.pixel3(this.index, y, z))));
            case 'y':
                return new GrayImage2(new Vector2(meta.center.x, meta.center.z), new Vector2(meta.size.x, meta.size.z), new Vector2(meta.shape.x, meta.shape.z), loopSet(meta.shape.x, meta.shape.z, (/**
                 * @param {?} x
                 * @param {?} z
                 * @return {?}
                 */
                (x, z) => img.pixel3(x, this.index, z))));
            case 'z':
                return new GrayImage2(new Vector2(meta.center.x, meta.center.y), new Vector2(meta.size.x, meta.size.y), new Vector2(meta.shape.x, meta.shape.y), loopSet(meta.shape.x, meta.shape.y, (/**
                 * @param {?} x
                 * @param {?} y
                 * @return {?}
                 */
                (x, y) => img.pixel3(x, y, this.index))));
        }
    }
}
/**
 * @param {?} img
 * @param {?} direction
 * @return {?}
 */
function imageShapeOfDirection(img, direction) {
    switch (direction) {
        case 'x':
            return img.meta.shape.x;
        case 'y':
            return img.meta.shape.y;
        case 'z':
            return img.meta.shape.z;
    }
}
/**
 * @param {?} sizeX
 * @param {?} sizeY
 * @param {?} getter
 * @return {?}
 */
function loopSet(sizeX, sizeY, getter) {
    /** @type {?} */
    const result = new Float32Array(sizeX * sizeY);
    for (let x = 0; x < sizeX; x++) {
        for (let y = 0; y < sizeY; y++) {
            result[x * sizeY + y] = getter(x, y);
        }
    }
    return result;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} image
 * @param {?} colormap
 * @return {?}
 */
function applyColormapObservable(image, colormap) {
    return combineLatest(image, colormap).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    (x) => applyColormap(x[0], x[1]))));
}
/**
 * @param {?} image
 * @param {?} min
 * @param {?} max
 * @return {?}
 */
function imageMinMax(image, min, max) {
    /** @type {?} */
    const nbPixels = image.meta.shape.x * image.meta.shape.y;
    for (let i = 0; i < nbPixels; i++) {
        image.data[i] = Math.max(Math.min(image.data[i], max), min);
    }
    return image;
}
/**
 * @param {?} image
 * @param {?} colormap
 * @return {?}
 */
function applyColormap(image, colormap) {
    /** @type {?} */
    const nbPixels = image.meta.shape.x * image.meta.shape.y;
    /** @type {?} */
    const r = new Uint8Array(nbPixels);
    /** @type {?} */
    const g = new Uint8Array(nbPixels);
    /** @type {?} */
    const b = new Uint8Array(nbPixels);
    for (let i = 0; i < nbPixels; i++) {
        r[i] = colormap.r(image.data[i]);
        g[i] = colormap.g(image.data[i]);
        b[i] = colormap.b(image.data[i]);
    }
    return new RGBImage2(image.meta.center, image.meta.size, image.meta.shape, r, g, b);
}
var Colormaps;
(function (Colormaps) {
    /**
     * @param {?} x
     * @return {?}
     */
    function truncate(x) {
        return Math.max(Math.min(x, 1), 0);
    }
    Colormaps.GRAY = {
        name: 'gray',
        r: (/**
         * @param {?} x
         * @return {?}
         */
        (x) => truncate(x) * 255),
        g: (/**
         * @param {?} x
         * @return {?}
         */
        (x) => truncate(x) * 255),
        b: (/**
         * @param {?} x
         * @return {?}
         */
        (x) => truncate(x) * 255),
    };
    /** @type {?} */
    const greenThreshold = 0.3671875;
    /** @type {?} */
    const blueThreshold = 0.7460938;
    Colormaps.HOT = {
        name: 'hot',
        /**
         * @param {?} x
         * @return {?}
         */
        r(x) {
            /** @type {?} */
            const c = truncate(x);
            if (c < greenThreshold) {
                return (c / greenThreshold) * 255;
            }
            return 255;
        },
        /**
         * @param {?} x
         * @return {?}
         */
        g(x) {
            /** @type {?} */
            const c = truncate(x);
            if (c < blueThreshold) {
                if (c > greenThreshold) {
                    return ((c - greenThreshold) / (blueThreshold - greenThreshold)) * 255;
                }
                return 0;
            }
            return 255;
        },
        /**
         * @param {?} x
         * @return {?}
         */
        b(x) {
            /** @type {?} */
            const c = truncate(x);
            if (c < blueThreshold) {
                return 0;
            }
            return ((c - blueThreshold) / (1.0 - blueThreshold)) * 255;
        },
    };
})(Colormaps || (Colormaps = {}));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class GrayImage2PixelwiseFilter {
    /**
     * @param {?} f
     */
    constructor(f) {
        this.f = f;
    }
    /**
     * @param {?} img
     * @return {?}
     */
    filter(img) {
        /** @type {?} */
        const vmax = img.max();
        /** @type {?} */
        const vmin = img.min();
        /** @type {?} */
        const result = new GrayImage2(img.meta.center, img.meta.size, img.meta.shape, img.data.map((/**
         * @param {?} x
         * @return {?}
         */
        x => (x - vmin) / (vmax - vmin))).map((/**
         * @param {?} x
         * @return {?}
         */
        x => this.f(x))));
        return result;
    }
}
class GrayImage2ScaleOffsetFilter extends GrayImage2PixelwiseFilter {
    /**
     * @param {?} scale
     * @param {?} offset
     */
    constructor(scale, offset) {
        super((/**
         * @param {?} x
         * @return {?}
         */
        x => x * scale + offset));
    }
}
class GrayImage2WindowFilter extends GrayImage2PixelwiseFilter {
    /**
     * @param {?} width
     * @param {?} level
     */
    constructor(width, level) {
        super((
        // (x) => Math.min(Math.max(x, level - width / 2), level + width / 2) / width
        /**
         * @param {?} x
         * @return {?}
         */
        x => Math.min(Math.max(x, level - width / 2), level + width / 2)));
        this.width = width;
        this.level = level;
    }
    /**
     * @param {?} l
     * @return {?}
     */
    updateLevel(l) {
        return new GrayImage2WindowFilter(this.width, l);
    }
    /**
     * @param {?} w
     * @return {?}
     */
    updataWidth(w) {
        return new GrayImage2WindowFilter(w, this.level);
    }
    /**
     * @param {?} a
     * @return {?}
     */
    addWidth(a) {
        return new GrayImage2WindowFilter(this.width + a, this.level);
    }
    /**
     * @param {?} a
     * @return {?}
     */
    addLevel(a) {
        return new GrayImage2WindowFilter(this.width, this.level + a);
    }
    /**
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    addWidthLevel(addWidth, addLevel) {
        return this.addWidth(addWidth).addLevel(addLevel);
    }
}
/**
 * @param {?} image2
 * @param {?} filter
 * @return {?}
 */
function applyFilters(image2, filter) {
    return combineLatest(filter, image2).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    x => {
        /** @type {?} */
        const fil = x[0];
        /** @type {?} */
        let img = x[1];
        fil.forEach((/**
         * @param {?} f
         * @return {?}
         */
        f => {
            img = f.filter(img);
        }));
        return img;
    })));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} init
 * @return {?}
 */
function store(init) {
    /** @type {?} */
    const action$ = new Subject();
    /** @type {?} */
    const subject = new BehaviorSubject(init);
    action$
        .pipe(scan((/**
     * @param {?} s
     * @param {?} a
     * @param {?} i
     * @return {?}
     */
    (s, a, i) => a(s, i)), init), startWith(init), distinctUntilChanged())
        .subscribe(subject);
    /**
     * @return {?}
     */
    function complete() {
        action$.complete();
        subject.complete();
    }
    return {
        dispatch: (/**
         * @param {?} action
         * @return {?}
         */
        (action) => new Observable((/**
         * @param {?} obs
         * @return {?}
         */
        (obs) => {
            action$.next(action);
            obs.complete();
        }))),
        state$: subject.asObservable(),
        currentState: (/**
         * @return {?}
         */
        () => subject.value),
        complete,
    };
}
/** @type {?} */
const eqId = (/**
 * @param {?} a
 * @return {?}
 */
(a) => (/**
 * @param {?} b
 * @return {?}
 */
(b) => a.id === b.id));
/**
 * @template E, T
 */
class StoreByArray {
    /**
     * @param {?=} equalTo
     */
    constructor(equalTo = eqId) {
        this.equalTo = equalTo;
        this.s = store([]);
        this.state$ = this.s.state$;
    }
    /**
     * @param {?} action
     * @return {?}
     */
    dispatch(action) {
        return this.s.dispatch(action);
    }
    /**
     * @return {?}
     */
    currentState() {
        return this.s.currentState();
    }
    /**
     * @return {?}
     */
    complete() {
        this.s.complete();
    }
    /**
     * @param {?} key
     * @return {?}
     */
    get$(key) {
        return this.state$.pipe(map((/**
         * @param {?} items
         * @return {?}
         */
        (items) => items.find(this.equalTo(key)))), filter((/**
         * @param {?} item
         * @return {?}
         */
        (item) => item !== undefined)), distinctUntilChanged());
    }
    /**
     * @param {?} fn
     * @return {?}
     */
    filter$(fn) {
        return this.state$.pipe(map((/**
         * @param {?} state
         * @return {?}
         */
        (state) => state.filter(fn))));
    }
    /**
     * @param {?} state
     * @return {?}
     */
    setState(state) {
        return this.dispatch((/**
         * @return {?}
         */
        () => state));
    }
    /**
     * @param {?} item
     * @return {?}
     */
    insert(item) {
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        (items) => {
            if (items.find(this.equalTo(item)) !== undefined) {
                throw Error(`Item with id: ${item.id} already exists.`);
            }
            else {
                return [...items, item];
            }
        }));
    }
    /**
     * @param {?} item
     * @return {?}
     */
    remove(item) {
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        (items) => items.filter(this.equalTo(item))));
    }
    /**
     * @param {...?} values
     * @return {?}
     */
    update(...values) {
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        (items) => updateArray(items, values, this.equalTo)));
    }
    /**
     * @return {?}
     */
    clear() {
        return this.setState([]);
    }
}
/**
 * @template T
 * @param {?} items
 * @param {?} values
 * @param {?} eq
 * @return {?}
 */
function updateArray(items, values, eq) {
    values.forEach((/**
     * @param {?} v
     * @return {?}
     */
    (v) => {
        if (items.find((/**
         * @param {?} i
         * @return {?}
         */
        (i) => eq(v)(i))) === undefined) {
            throw Error(`Item with id: ${v.id} not exists.`);
        }
    }));
    return items.map((/**
     * @param {?} x
     * @return {?}
     */
    (x) => {
        /** @type {?} */
        const found = values.find((/**
         * @param {?} v
         * @return {?}
         */
        (v) => eq(x)(v)));
        return found === undefined ? x : found;
    }));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} data
 * @return {?}
 */
function b64ToFloat32Array(data) {
    /** @type {?} */
    let p = 0;
    /** @type {?} */
    const result = new Float32Array(data.length / Float32Array.BYTES_PER_ELEMENT);
    /** @type {?} */
    const dView = new DataView(new ArrayBuffer(Float32Array.BYTES_PER_ELEMENT));
    for (let i = 0; i < data.length / Float32Array.BYTES_PER_ELEMENT; i++) {
        p = i * 4;
        for (let j = 0; j < Float32Array.BYTES_PER_ELEMENT; ++j) {
            dView.setUint8(j, data.charCodeAt(p + j));
        }
        result[i] = dView.getFloat32(0, true);
    }
    return result;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} file
 * @param {?} parser
 * @return {?}
 */
function readFile(file, parser) {
    return new Observable((/**
     * @param {?} observer
     * @return {?}
     */
    function (observer) {
        /** @type {?} */
        const reader = new FileReader();
        reader.onload = (/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            observer.next(e.target.result);
        });
        reader.onabort = (/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            observer.error(e);
        });
        reader.onerror = (/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            observer.error(e);
        });
        reader.onloadend = (/**
         * @return {?}
         */
        () => {
            observer.complete();
        });
        parser(reader, file);
    }));
}
class LocalImageLoaderService {
    constructor() { }
    /**
     * @param {?} file
     * @return {?}
     */
    loadHead(file) {
        return readFile(file, (/**
         * @param {?} reader
         * @param {?} f
         * @return {?}
         */
        (reader, f) => {
            reader.readAsText(f);
        })).pipe(map((/**
         * @param {?} t
         * @return {?}
         */
        (t) => JSON.parse(t))), map((/**
         * @param {?} r
         * @return {?}
         */
        (r) => {
            return { shape: r.shape, size: r.size };
        })), tap((/**
         * @param {?} x
         * @return {?}
         */
        (x) => console.log(x))));
    }
    /**
     * @param {?} file
     * @param {?} head
     * @param {?=} center
     * @return {?}
     */
    loadImage(file, head, center = new Vector3(0, 0, 0)) {
        return readFile(file, (/**
         * @param {?} reader
         * @param {?} f
         * @return {?}
         */
        (reader, f) => {
            reader.readAsBinaryString(f);
        })).pipe(map(b64ToFloat32Array), map((/**
         * @param {?} data
         * @return {?}
         */
        (data) => new GrayImage3(center, head.size, head.shape, data))));
    }
}
LocalImageLoaderService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
LocalImageLoaderService.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LocalImageLoaderComponent {
    /**
     * @param {?} loaderService
     */
    constructor(loaderService) {
        this.loaderService = loaderService;
        this.isHeadLoaded = false;
        this.isImageLoaded = false;
        this.imageLoad = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    loadLocalImage() {
        if (this.imageHead === undefined || this.imageFile === undefined) {
            throw Error('Head or imageFile is undefined');
        }
        this.loaderService
            .loadImage(this.imageFile, this.imageHead)
            .subscribe((/**
         * @param {?} image
         * @return {?}
         */
        (image) => this.imageLoad.emit(image)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @param {?} files
     * @return {?}
     */
    markImageLoaded(files) {
        this.imageFile = files[0];
        this.isImageLoaded = true;
    }
    /**
     * @param {?} head
     * @return {?}
     */
    markHeadLoaded(head) {
        this.loaderService.loadHead(head[0]).subscribe({
            next: (/**
             * @param {?} h
             * @return {?}
             */
            (h) => {
                this.imageHead = h;
                this.isHeadLoaded = true;
            }),
            error: (/**
             * @param {?} e
             * @return {?}
             */
            (e) => console.log(e)),
        });
    }
}
LocalImageLoaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-local-image-loader',
                template: "<div>\n  <div>Load image from local filesystem</div>\n  <label for=\"head\">Head File</label>\n  <input\n    type=\"file\"\n    id=\"head\"\n    #headFiles\n    (change)=\"markHeadLoaded(headFiles.files)\"\n  />\n  <div *ngIf=\"isHeadLoaded\">\n  </div>\n  <br />\n  <label for=\"file\">Image File</label>\n  <input\n    type=\"file\"\n    id=\"file\"\n    #imageFiles\n    (change)=\"markImageLoaded(imageFiles.files)\"\n  />\n  <br />\n  <button\n    [disabled]=\"!isHeadLoaded || !isImageLoaded\"\n    (click)=\"loadLocalImage()\"\n  >\n    Load\n  </button>\n</div>\n",
                providers: [LocalImageLoaderService],
                styles: [".triple{display:flex}.numberInput{width:20%}.divC{white-space:nowrap;display:inline}.window{display:inline;white-space:nowrap}.inputValue{width:350px}.labelLength{width:100px}"]
            }] }
];
/** @nocollapse */
LocalImageLoaderComponent.ctorParameters = () => [
    { type: LocalImageLoaderService }
];
LocalImageLoaderComponent.propDecorators = {
    imageLoad: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const WEB_SOCKET_URL = 'ws://127.0.0.1:8081/CT/image';
// const TEST_URL = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
/** @type {?} */
const TEST_URL = '666';
class HttpImageLoaderService {
    /**
     * @param {?} http
     */
    constructor(http) {
        this.http = http;
        this.isLoadDummyData = true;
        this.image3Input = dummyGrayImage3(new Vector3(5, 5, 5), new Vector3(20, 20, 20));
        if (this.isLoadDummyData) {
            console.warn('Http image loader is set to load dummy data');
        }
    }
    /**
     * @param {?=} url
     * @return {?}
     */
    getImageHttp(url) {
        if (!url) {
            url = TEST_URL;
        }
        if (this.isLoadDummyData) {
            return of(dummyGrayImage3(new Vector3(100, 100, 100), new Vector3(100, 100, 100)));
        }
        this.http.post(url, { a: 2, b: 3 }).subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log(a)));
        return this.http
            .get(url)
            .pipe(tap((/**
         * @param {?} s
         * @return {?}
         */
        s => console.log(s))))
            .pipe(map(jsonObjectToImage3))
            .pipe(map(reorder3));
    }
    /**
     * @return {?}
     */
    getImage2Websocket() {
        /** @type {?} */
        const result = new WebSocketSubject(WEB_SOCKET_URL);
        return result.pipe(map((/**
         * @param {?} r
         * @return {?}
         */
        r => jsonObjectToImage2WithWindow(r))));
    }
}
HttpImageLoaderService.decorators = [
    { type: Injectable, args: [{ providedIn: 'root' },] }
];
/** @nocollapse */
HttpImageLoaderService.ctorParameters = () => [
    { type: HttpClient }
];
/** @nocollapse */ HttpImageLoaderService.ngInjectableDef = defineInjectable({ factory: function HttpImageLoaderService_Factory() { return new HttpImageLoaderService(inject(HttpClient)); }, token: HttpImageLoaderService, providedIn: "root" });
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage3(data) {
    return new GrayImage3(new Vector3(...data.center), new Vector3(...data.size), new Vector3(...data.shape), b64ToFloat32Array(data.values));
}
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage2(data) {
    return new GrayImage2(new Vector2(...data['center']), new Vector2(...data['size']), new Vector2(...data['shape']), b64ToFloat32Array(data['values']));
}
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage2WithWindow(data) {
    return { image: jsonObjectToImage2(data), vmin: data.vmin, vmax: data.vmax };
}
/**
 * @param {?} source
 * @return {?}
 */
function reorder3(source) {
    /** @type {?} */
    const data = new Float32Array(source.data.length);
    for (let i = 0; i < source.meta.shape.x; i++) {
        for (let j = 0; j < source.meta.shape.y; j++) {
            for (let k = 0; k < source.meta.shape.z; k++) {
                /** @type {?} */
                const ind = i +
                    j * source.meta.shape.y +
                    k * source.meta.shape.x * source.meta.shape.y;
                data[i * source.meta.shape.y * source.meta.shape.z +
                    j * source.meta.shape.z +
                    k] = source.data[ind];
                // data[ind] = source.data[ind];
            }
        }
    }
    return new GrayImage3(source.meta.center, source.meta.size, source.meta.shape, data);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class HttpImageLoaderComponent {
    /**
     * @param {?} loaderService
     */
    constructor(loaderService) {
        this.loaderService = loaderService;
        this.inputId = v4();
        this.urlPlaceHolder = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
        this.HttpURL = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
        this.imageLoad = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @param {?} url
     * @return {?}
     */
    getDummyData(url) {
        this.loaderService.isLoadDummyData = true;
        this.loaderService
            .getImageHttp(url)
            .subscribe((/**
         * @param {?} img
         * @return {?}
         */
        (img) => this.imageLoad.emit(img)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @param {?} url
     * @return {?}
     */
    getHttpImage(url) {
        this.loaderService.isLoadDummyData = false;
        this.loaderService
            .getImageHttp(url)
            .subscribe((/**
         * @param {?} img
         * @return {?}
         */
        (img) => this.imageLoad.emit(img)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
}
HttpImageLoaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-http-image-loader',
                template: "<!-- <div><h2>Load image from http</h2></div> -->\n<div>\n  <label [for]=\"inputId\">Url</label>\n  <input #http type=\"text\" [id]=\"inputId\" [placeholder]=\"urlPlaceHolder\" />\n  <button (click)=\"getHttpImage(http.value)\">LoadHttp</button>\n  <button (click)=\"getDummyData(http.value)\">loadDummy</button>\n  <!-- <button (click)=\"getImage()\">LoadInput</button> -->\n</div>\n",
                providers: [HttpImageLoaderService],
                styles: [""]
            }] }
];
/** @nocollapse */
HttpImageLoaderComponent.ctorParameters = () => [
    { type: HttpImageLoaderService }
];
HttpImageLoaderComponent.propDecorators = {
    HttpURL: [{ type: Input }],
    imageLoad: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageStoreModule {
}
ImageStoreModule.decorators = [
    { type: NgModule, args: [{
                declarations: [LocalImageLoaderComponent, HttpImageLoaderComponent],
                imports: [CommonModule],
                providers: [],
                exports: [LocalImageLoaderComponent, HttpImageLoaderComponent],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @return {?}
 */
function initialImageTestState() {
    return {
        image: new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 1, 0), new Vector3(1, 1, 0), new Float32Array([1])),
        slicer: new Slicer('z', 0, 1),
        colormap: Colormaps.GRAY,
        filter: new GrayImage2WindowFilter(1.0, 0.5),
        minMax: new Vector2(0, 1),
        id: v4(),
        rotation: new Vector3(0, 0, 0),
    };
}
/**
 * @return {?}
 */
function initialImageTest2State() {
    return {
        image: new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 2, 3), new Vector3(1, 2, 3), new Float32Array([1, 2, 3, 4, 5, 6])),
        slicer: new Slicer('x', 0, 0, 1),
        colormap: Colormaps.HOT,
        filter: new GrayImage2WindowFilter(6, 3),
        minMax: new Vector2(0, 0.1),
        id: v4(),
        rotation: new Vector3(0, 0, 0),
    };
}
class ImageStoreService {
    constructor() {
        this.imageStateStore = new StoreByArray();
        this.selectedIdsSubject = new BehaviorSubject([]);
        this.selected$ = combineLatest(this.imageStateStore.state$, this.selectedIdsSubject).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => {
            const [images, ids] = x;
            return ids
                .map((/**
             * @param {?} id
             * @return {?}
             */
            id => images.find((/**
             * @param {?} img
             * @return {?}
             */
            img => img.id === id))))
                .filter((/**
             * @param {?} img
             * @return {?}
             */
            img => img !== undefined));
        })));
        this.imageStateStore
            .insert(initialImageTest2State())
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        err => console.log(err)));
        this.imageStateStore
            .insert(initialImageTestState())
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        err => console.log(err)));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    image$(id) {
        return this.imageStateStore.state$.pipe(map((/**
         * @param {?} imgs
         * @return {?}
         */
        imgs => imgs.find((/**
         * @param {?} img
         * @return {?}
         */
        img => img.id === id)))), filter((/**
         * @param {?} x
         * @return {?}
         */
        (x) => x !== undefined)), distinctUntilChanged());
    }
    /**
     * @param {?} id
     * @return {?}
     */
    currentImage(id) {
        return this.imageStateStore.currentState().find((/**
         * @param {?} s
         * @return {?}
         */
        s => s.id === id));
    }
    /**
     * @param {?} image
     * @return {?}
     */
    addImage(image) {
        return new Observable((/**
         * @param {?} obs
         * @return {?}
         */
        obs => {
            /** @type {?} */
            const id = v4();
            /** @type {?} */
            const toAdd = {
                image: image,
                slicer: new Slicer('z', 0, 0, image.meta.shape.z),
                colormap: Colormaps.GRAY,
                filter: new GrayImage2WindowFilter(1.0, 0.5),
                minMax: new Vector2(0, 1),
                id,
                rotation: new Vector3(0, 0, 0),
            };
            this.imageStateStore
                .insert(toAdd)
                .subscribe(noop, (/**
             * @param {?} err
             * @return {?}
             */
            err => console.log(err)), (/**
             * @return {?}
             */
            () => obs.next(id)));
        }));
    }
    /**
     * @param {?} image
     * @return {?}
     */
    select(image) {
        if (this.selectedIdsSubject.value.includes(image.id)) {
            return;
        }
        if (this.imageStateStore.currentState().find((/**
         * @param {?} img
         * @return {?}
         */
        img => img.id === image.id)) ===
            undefined) {
            return;
        }
        this.selectedIdsSubject.next([...this.selectedIdsSubject.value, image.id]);
    }
    /**
     * @return {?}
     */
    clearAllSelect() {
        this.selectedIdsSubject.next([]);
    }
    /**
     * @param {?} state
     * @param {?} image
     * @return {?}
     */
    updateImage(state, image) {
        this.imageStateStore
            .update(Object.assign({}, state, { image }))
            .subscribe(noop, console.error);
    }
    /**
     * @param {?} image
     * @param {?} colormap
     * @return {?}
     */
    updateColormap(image, colormap) {
        this.imageStateStore
            .update(Object.assign({}, image, { colormap }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} colormap
     * @return {?}
     */
    updateAllSelectedColormap(colormap) {
        this.mapToAllSelected((/**
         * @param {?} image
         * @return {?}
         */
        image => this.updateColormap(image, colormap)));
    }
    /**
     * @param {?} image
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    updateWidthLevelFilter(image, width, level) {
        this.imageStateStore
            .update(Object.assign({}, image, { filter: new GrayImage2WindowFilter(width, level) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    addWidthByStep(image, add) {
        /** @type {?} */
        const widthStep = 0.05;
        this.imageStateStore
            .update(Object.assign({}, image, { filter: image.filter.addWidth(add * widthStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
    }
    /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    addLevelByStep(image, add) {
        /** @type {?} */
        const levelStep = 0.05;
        this.imageStateStore
            .update(Object.assign({}, image, { filter: image.filter.addLevel(add * levelStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} image
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    addWidthLevelFilterByStep(image, addWidth, addLevel) {
        /** @type {?} */
        const widthStep = 0.05;
        /** @type {?} */
        const levelStep = 0.05;
        this.imageStateStore
            .update(Object.assign({}, image, { filter: image.filter.addWidthLevel(addWidth * widthStep, addLevel * levelStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} image
     * @param {?} direction
     * @return {?}
     */
    updateDirection(image, direction) {
        this.imageStateStore
            .update(Object.assign({}, image, { slicer: image.slicer.updateDirection(direction, image.image) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} image
     * @param {?} index
     * @return {?}
     */
    updateIndex(image, index) {
        this.imageStateStore
            .update(Object.assign({}, image, { slicer: image.slicer.updateIndex(index) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    addIndex(image, offset) {
        this.imageStateStore
            .update(Object.assign({}, image, { slicer: image.slicer.addIndex(offset) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
    }
    /**
     * @param {?} min
     * @param {?} max
     * @return {?}
     */
    updateMinMax(min, max) {
        // this.imageStateStore
        //   .update(
        //     ...this.imagesSelected.map((img) => {
        //       return {
        //         ...img,
        //         minMax: updateColormapMinMax(img.minMax, min, max),
        //       };
        //     })
        //   )
        //   .subscribe(noop, (e) => console.log(e));
        console.warn('Min max will be deprecated');
    }
    /**
     * @param {?} image
     * @param {?} EulerianAngle
     * @return {?}
     */
    updateRotation(image, EulerianAngle) {
        this.imageStateStore
            .update(Object.assign({}, image, { rotation: EulerianAngle }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
    }
    /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    addRotation(image, offset) {
        this.imageStateStore
            .update(Object.assign({}, image, { rotation: new Vector3(image.rotation.x + offset.x, image.rotation.y + offset.y, image.rotation.z + offset.z) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
    }
    /**
     * @param {?} op
     * @return {?}
     */
    mapToAllSelected(op) {
        this.selectedIdsSubject.value.forEach((/**
         * @param {?} id
         * @return {?}
         */
        id => {
            /** @type {?} */
            const images = this.imageStateStore.currentState();
            /** @type {?} */
            const image = images.find((/**
             * @param {?} x
             * @return {?}
             */
            x => x.id === id));
            if (image === undefined) {
                return;
            }
            else {
                return op(image);
            }
        }));
    }
    /**
     * @template T
     * @param {?} id
     * @param {?} op
     * @return {?}
     */
    mapById(id, op) {
        /** @type {?} */
        const current = this.imageStateStore
            .currentState()
            .find((/**
         * @param {?} image
         * @return {?}
         */
        image => image.id === id));
        if (current === undefined) {
            return;
        }
        return op(current);
    }
}
ImageStoreService.decorators = [
    { type: Injectable, args: [{
                providedIn: ImageStoreModule,
            },] }
];
/** @nocollapse */
ImageStoreService.ctorParameters = () => [];
/** @nocollapse */ ImageStoreService.ngInjectableDef = defineInjectable({ factory: function ImageStoreService_Factory() { return new ImageStoreService(); }, token: ImageStoreService, providedIn: ImageStoreModule });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MultiCanvasService {
    /**
     * @param {?} imageStoreService
     */
    constructor(imageStoreService) {
        this.imageStoreService = imageStoreService;
        this.selectedSubject = new BehaviorSubject([]);
        this.selected$ = this.selectedSubject.asObservable();
        this.imageCanvasBindsSubject = new BehaviorSubject([]);
        this.imageCanvas$ = this.imageCanvasBindsSubject.asObservable();
        this.componentCanvasSubject = new BehaviorSubject([]);
        this.componentCanvas$ = this.componentCanvasSubject.asObservable();
        this.withCrossLineCanvasSubject = new BehaviorSubject([]);
        this.withCrossLineCanvas$ = this.withCrossLineCanvasSubject.asObservable();
        this.selectedImageIds$ = combineLatest(this.imageCanvas$, this.selected$).pipe(map((/**
         * @param {?} __0
         * @return {?}
         */
        ([binds, selected]) => {
            return selected
                .map((/**
             * @param {?} cid
             * @return {?}
             */
            cid => this.imageIdOf(binds, cid)))
                .filter((/**
             * @param {?} x
             * @return {?}
             */
            (x) => x !== undefined));
        })), distinctUntilChanged());
        this.selectedImages$ = this.selectedImageIds$.pipe(startWith((/** @type {?} */ ([]))), map((/**
         * @param {?} ids
         * @return {?}
         */
        ids => ids.map((/**
         * @param {?} id
         * @return {?}
         */
        id => this.imageStoreService.currentImage(id))))), distinctUntilChanged());
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    isSelected$(canvas) {
        return this.selected$.pipe(map((/**
         * @param {?} ss
         * @return {?}
         */
        ss => ss.includes(canvas))));
    }
    /**
     * @param {?} c
     * @return {?}
     */
    isWithCanvas$(c) {
        return this.withCrossLineCanvas$.pipe(map((/**
         * @param {?} cs
         * @return {?}
         */
        cs => cs.includes(c))));
    }
    /**
     * @param {?} component
     * @return {?}
     */
    addCanvasTo(component) {
        /** @type {?} */
        const canvas = v4();
        this.componentCanvasSubject.next([
            ...this.componentCanvasSubject.value,
            { component, canvas },
        ]);
        return canvas;
    }
    /**
     * @param {?} component
     * @return {?}
     */
    canvasOf(component) {
        return this.componentCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        bs => bs.filter((/**
         * @param {?} b
         * @return {?}
         */
        b => b.component === component)))), map((/**
         * @param {?} bs
         * @return {?}
         */
        bs => bs.map((/**
         * @param {?} b
         * @return {?}
         */
        b => b.canvas)))), distinctUntilChanged());
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    imageOf$(canvas) {
        return this.imageCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        bs => bs.find((/**
         * @param {?} b
         * @return {?}
         */
        b => b.canvas === canvas)))), filter((/**
         * @param {?} b
         * @return {?}
         */
        (b) => b !== undefined)), switchMap((/**
         * @param {?} b
         * @return {?}
         */
        b => this.imageStoreService.image$(b.image))));
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    viewOf$(canvas) {
        return this.imageCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        bs => bs.find((/**
         * @param {?} b
         * @return {?}
         */
        b => b.canvas === canvas)))), filter((/**
         * @param {?} b
         * @return {?}
         */
        (b) => b !== undefined)), switchMap((/**
         * @param {?} b
         * @return {?}
         */
        b => this.imageStoreService.image$(b.image))), map((/**
         * @param {?} img
         * @return {?}
         */
        img => img.slicer.direction)));
    }
    /**
     * @param {?} canvasId
     * @return {?}
     */
    select(canvasId) {
        this.selectedSubject.next([canvasId]);
    }
    /**
     * @private
     * @param {?} binds
     * @param {?} canvasId
     * @return {?}
     */
    imageIdOf(binds, canvasId) {
        /** @type {?} */
        const bind = binds.find((/**
         * @param {?} b
         * @return {?}
         */
        b => b.canvas === canvasId));
        if (bind === undefined) {
            return undefined;
        }
        return bind.image;
    }
    // addCrossLine() {
    //   this.mapSelectedCanvas((c) => this.addCrossLineToSelected(c));
    // }
    // private addCrossLineToSelected(selectedCanvasId: string) {
    //   const previous = this.withCrossLineCanvasSubject.value;
    //   if (previous.includes(selectedCanvasId)) {
    //     return;
    //   }
    //   this.withCrossLineCanvasSubject.next([...previous, selectedCanvasId]);
    // }
    /**
     * @template T
     * @param {?} canvas
     * @param {?} op
     * @return {?}
     */
    mapOnCanvas(canvas, op) {
        /** @type {?} */
        const imageId = this.imageIdOf(this.imageCanvasBindsSubject.value, canvas);
        if (imageId === undefined) {
            return;
        }
        /** @type {?} */
        const current = this.imageStoreService.currentImage(imageId);
        if (current === undefined) {
            return;
        }
        return op(current);
    }
    /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    loadToCanvas(canvas, image) {
        if (this.imageIdOf(this.imageCanvasBindsSubject.value, canvas) !== undefined) {
            console.warn(`Canvas ${canvas} is already occupied, ignore new loads`);
            return;
        }
        this.imageStoreService
            .addImage(image)
            .subscribe((/**
         * @param {?} id
         * @return {?}
         */
        id => this.imageCanvasBindsSubject.next([
            ...this.imageCanvasBindsSubject.value,
            { canvas, image: id },
        ])), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
    }
    /**
     * @template T
     * @param {?} op
     * @return {?}
     */
    mapSelectedCanvas(op) {
        this.selectedSubject.value.forEach((/**
         * @param {?} c
         * @return {?}
         */
        c => op(c)));
    }
}
MultiCanvasService.decorators = [
    { type: Injectable, args: [
            // {providedIn: NgThreeModule}
            { providedIn: 'root' },] }
];
/** @nocollapse */
MultiCanvasService.ctorParameters = () => [
    { type: ImageStoreService }
];
/** @nocollapse */ MultiCanvasService.ngInjectableDef = defineInjectable({ factory: function MultiCanvasService_Factory() { return new MultiCanvasService(inject(ImageStoreService)); }, token: MultiCanvasService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ZStoreService {
    constructor() {
        this.zToolEntityDrag$ = new Observable();
        this.zToolEntityDragSubject = new BehaviorSubject(10);
        this.whichDraging = { ring: false, line: false, crossline: false };
        this.zToolEntityDrag$ = this.zToolEntityDragSubject.asObservable();
    }
    /**
     * @return {?}
     */
    zIncrease() {
        this.zToolEntityDragSubject.next(100);
    }
    /**
     * @return {?}
     */
    zDecrease() {
        this.zToolEntityDragSubject.next(-100);
    }
}
ZStoreService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
/** @nocollapse */
ZStoreService.ctorParameters = () => [];
/** @nocollapse */ ZStoreService.ngInjectableDef = defineInjectable({ factory: function ZStoreService_Factory() { return new ZStoreService(); }, token: ZStoreService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ToolEntityComponent {
    /**
     * @param {?} zStoreService
     * @param {?} entityStoreService
     * @param {?} multiCanvasService
     */
    constructor(zStoreService, entityStoreService, multiCanvasService) {
        this.zStoreService = zStoreService;
        this.entityStoreService = entityStoreService;
        this.multiCanvasService = multiCanvasService;
        this.toolEntitySubject = new BehaviorSubject(new RingModel(new Vector3(0, 0, 0), 29.9, 30));
        this.toolModel$ = this.toolEntitySubject.asObservable();
        this.drag = new EventEmitter();
        this.scroll = new EventEmitter();
        // TODO: a public attribution: center should be added in type EntityModel
        this.plane$ = new Observable();
        this.z$ = new Observable();
        this.imageSubject = new BehaviorSubject(new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200))));
        this.image$ = this.imageSubject.asObservable();
        this.z$ = this.zStoreService.zToolEntityDrag$;
        // this.plane$ = this.toolModel$.pipe(
        //   map(m => {
        //     return new Plane2Model(
        //       new BoundingBox2FromCenterSize(
        //         new Vector2(0, 0),
        //         new Vector2(200, 200),
        //       ),
        //     );
        //   }),
        // );
        this.plane$ = this.image$.pipe(map((/**
         * @return {?}
         */
        () => {
            return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200)));
        })));
        // this.ringModel$.pipe(map(ring => new RingModel(new Vector3(0, 0, 0), 29.9, 30))).subscribe(a => console.log(a));
        // this.toolModel$
        //   .pipe(
        //     map(toolModel => {
        //       switch (toolModel.type) {
        //         case 'ring':
        //           this.ringModel$.pipe(map(ring => toolModel));
        //           break;
        //         case 'line':
        //           this.lineModel$.pipe(map(line => toolModel));
        //           break;
        //       }
        //     }),
        //   )
        //   .subscribe(noop, console.error);
    }
    /**
     * @return {?}
     */
    get model() {
        return this.toolEntitySubject.value;
    }
    /**
     * @param {?} m
     * @return {?}
     */
    set model(m) {
        this.toolEntitySubject.next(m);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onWheelEvent(e) {
        this.scroll.emit(e);
    }
    /**
     * @param {?} d
     * @return {?}
     */
    onDragEvent(d) {
        this.drag.emit(d);
        console.log('drag success');
    }
    /**
     * @param {?} d
     * @return {?}
     */
    dragRing(d) {
        this.multiCanvasService.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            // const circleRadius = Math.sqrt(
            //   Math.pow(d.current.x - d.origin.x, 2) +
            //     Math.pow(d.current.y - d.origin.y, 2),
            // );
            this.entityStoreService.updateRingEntity({
                canvasId: c,
                model: new RingModel(new Vector3(d.origin.x, d.origin.y, 0), 
                // circleRadius,
                // circleRadius + 0.001,
                Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
                    Math.pow(d.current.y - d.origin.y, 2)), Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
                    Math.pow(d.current.y - d.origin.y, 2)) + 0.001),
            });
        }));
    }
    /**
     * @return {?}
     */
    dragLine() { }
    /**
     * @param {?} d
     * @return {?}
     */
    dragCrossline(d) {
        this.multiCanvasService.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.entityStoreService.crosslineOnCanvas(c, (/**
             * @param {?} crossline
             * @return {?}
             */
            crossline => {
                /** @type {?} */
                let position;
                switch (crossline.view) {
                    case 'x':
                        position = new Vector3(crossline.position.x, d.current.x, d.current.y);
                        break;
                    case 'y':
                        position = new Vector3(d.current.x, crossline.position.y, d.current.y);
                        break;
                    case 'z':
                        position = new Vector3(d.current.x, d.current.y, crossline.position.z);
                        break;
                    default:
                }
                this.entityStoreService.updateCrosslines({
                    model: Object.assign({}, crossline, { position: position })
                });
                // this.entityStoreService.updateCrosslineEntity({
                //   canvasId: c,
                //   model: {
                //     ...crossline,
                //     position: position,
                //   },
                // });
            }));
        }));
    }
}
ToolEntityComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-tool-entity',
                template: "<ng-container [ngSwitch]=\"model.type\">\n  <!-- <div>\n      <ng3-ring id='ring' *ngSwitchCase=\"'ring'\" [model]=\"toolModel$ | async\"></ng3-ring>\n      <p>oooooooooooooooo</p>\n  </div> -->\n  <ng3-ring\n    id=\"ring\"\n    *ngSwitchCase=\"'ring'\"\n    [model]=\"toolModel$ | async\"\n  ></ng3-ring>\n  <!-- <ng3-plane *ngSwitchCase=\"'ring'\" [model]=\"plane$ | async\" [z]=\"z$ | async\">\n    <ng3-mouse-entity (drag)=\"dragRing($event)\"></ng3-mouse-entity>\n  </ng3-plane> -->\n  <ng3-line *ngSwitchCase=\"'line'\" [model]=\"toolModel$ | async\"></ng3-line>\n  <ng3-cross-line\n    *ngSwitchCase=\"'crossline'\"\n    [model]=\"toolModel$ | async\"\n    (drag)=\"dragCrossline($event)\"\n  ></ng3-cross-line>\n  <ng3-fov\n    *ngSwitchCase=\"'fov'\"\n    [model]=\"toolModel$ | async\"\n    [isActive]=\"true\"\n  ></ng3-fov>\n</ng-container>\n\n<!-- <ng3-ring [model]=\"model\"></ng3-ring> -->\n",
                styles: ["p{position:absolute;line-height:.5em;color:red;font-size:10px;z-index:100}div{position:relative;z-index:10}#ring{position:absolute}"]
            }] }
];
/** @nocollapse */
ToolEntityComponent.ctorParameters = () => [
    { type: ZStoreService },
    { type: EntityStoreService },
    { type: MultiCanvasService }
];
ToolEntityComponent.propDecorators = {
    model: [{ type: Input }],
    drag: [{ type: Output }],
    scroll: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CircleComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @return {?}
     */
    createTexture() {
        /** @type {?} */
        const x = 50;
        /** @type {?} */
        const y = 50;
        /** @type {?} */
        const textureData = new Uint8Array(3 * x * y);
        /** @type {?} */
        const texture = new DataTexture(textureData, x, y, RGBFormat);
        for (let i = 1; i < x; i++) {
            for (let j = 1; j < y; j++) {
                /** @type {?} */
                const indTex = i + j * x;
                /** @type {?} */
                const stride = indTex * 3;
                // textureData[stride] = Math.random() * 256;
                // textureData[stride + 1] = Math.random() * 256;
                // textureData[stride + 2] = Math.random() * 256;
                textureData[stride] = 30;
                textureData[stride + 1] = 20;
                textureData[stride + 2] = 20;
            }
        }
        texture.needsUpdate = true;
        return texture;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const result = new Mesh(new CircleGeometry(model.radius, model.segments), new MeshBasicMaterial({ color: 0xff0000, wireframe: true }));
        result.name = 'circle';
        result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        entity.position.copy(model.center);
        entity.geometry = new CircleGeometry(model.radius, model.segments);
        // (entity.geometry as CircleGeometry).parameters.radius = model.radius;
        // (entity.geometry as CircleGeometry).verticesNeedUpdate = true;
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new CircleModel(new Vector3(0, 0, 0), 30);
    }
}
CircleComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-circle',
                template: "<p>\n  circle works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
CircleComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MouseCanvasService {
    /**
     * @param {?} canvas
     * @param {?} sceneService
     */
    constructor(canvas, sceneService) {
        this.canvas = canvas;
        this.sceneService = sceneService;
        this.ray = new Raycaster();
        this.stop = new Subject();
        this.hover$ = this.createHover$();
        this.position$ = this.fromEventCurrentPosition('mousemove');
        this.down$ = this.fromEventCurrentPosition('mousedown');
        this.downWithButton$ = fromEvent(this.canvas.domElement, 'mousedown').pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            return {
                position: this.sceneService.clientPosition2ScenePosition(new Vector2(e.clientX, e.clientY)),
                original: e,
            };
        })));
        this.up$ = this.fromEventCurrentPosition('mouseup');
        this.leave$ = this.fromEventCurrentPosition('mouseleave');
        this.wheel$ = fromEvent(this.canvas.domElement, 'mousewheel').pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            e.preventDefault();
            return {
                position: this.sceneService.clientPosition2ScenePosition(new Vector2(e.clientX, e.clientY)),
                delta: e.deltaY,
                event: e,
            };
        }), takeUntil(this.stop)));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.stop.next();
        this.stop.complete();
    }
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    fromEventCurrentPosition(name) {
        return fromEvent(this.canvas.domElement, name).pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        (e) => {
            return new Vector2(e.clientX, e.clientY);
        })), map((/**
         * @param {?} p
         * @return {?}
         */
        (p) => this.sceneService.clientPosition2ScenePosition(p))), takeUntil(this.stop));
    }
    /**
     * @private
     * @return {?}
     */
    createHover$() {
        return merge(fromEvent(this.canvas.domElement, 'mouseenter').pipe(mapTo(true)), fromEvent(this.canvas.domElement, 'mouseleave').pipe(mapTo(false))).pipe(takeUntil(this.stop));
    }
    /**
     * @param {?} origin
     * @param {?} direction
     * @param {?=} object
     * @return {?}
     */
    intersectObject(origin, direction, object) {
        this.ray.set(origin, direction);
        return this.ray.intersectObjects(object !== undefined ? [object] : this.sceneService.scene.children);
    }
}
MouseCanvasService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
MouseCanvasService.ctorParameters = () => [
    { type: CanvasService },
    { type: SceneService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} value
 * @param {?} range
 * @return {?}
 */
function fitrange(value, range) {
    return Math.max(range.min, Math.min(range.max, value));
}
/** @type {?} */
const EPS = 1e-6;
/**
 * @template O, P, E
 * @param {?} camera
 * @param {?} orthographic
 * @param {?} perspective
 * @param {?} elseType
 * @return {?}
 */
function switchByCameraType(camera, orthographic, perspective, elseType) {
    if (camera instanceof OrthographicCamera) {
        return orthographic(camera);
    }
    if (camera instanceof PerspectiveCamera) {
        return perspective(camera);
    }
    return elseType(camera);
}
/** @type {?} */
const MOUSE_BUTTONS = {
    LEFT: MOUSE.LEFT,
    MIDDLE: MOUSE.MIDDLE,
    RIGHT: MOUSE.RIGHT,
};
class OrbitControlsComponent {
    // OnInit() {
    //   console.log('orbit init');
    //   console.log('camera', this.rendererService.camera);
    // }
    /**
     * @param {?} canvasService
     * @param {?} rendererService
     * @param {?} mouse
     */
    constructor(canvasService, rendererService, mouse) {
        this.canvasService = canvasService;
        this.rendererService = rendererService;
        this.mouse = mouse;
        this.enabled = true;
        this.enableDamping = false;
        this.dampingFactor = 0.25;
        this.enableZoom = true;
        this.zoomSpeed = 1.0;
        this.enableRotate = true;
        this.rotateSpeed = 1.0;
        this.enablePan = true;
        this.panSpeed = 1.0;
        this.screenSpacePanning = false; // if true, pan in screen-space
        // if true, pan in screen-space
        this.keyPanSpeed = 7.0; // pixels moved per arrow key push
        // pixels moved per arrow key push
        // Set to true to automatically rotate around the target
        // If auto-rotate is enabled, you must call controls.update() in your animation loop
        this.autoRotate = false;
        this.autoRotateSpeed = 2.0; // 30 seconds per round when fps is 60
        // 30 seconds per round when fps is 60
        // Set to false to disable use of the keys
        this.enableKeys = true;
        // The four arrow keys
        this.change = new EventEmitter();
        // Mouse buttons
        this.zoomRange = { min: 0, max: Infinity };
        this.domElement = this.canvasService.domElement;
        // for reset
        this.rotate = new RotateController(this, this.rotateSpeed, this.autoRotateSpeed);
        this.dolly = new DollyController(this);
        this.pan = new PanController(this, this.panSpeed);
        this.target = new Vector3();
        this.state = 'none';
        this.scale = 1;
        this.zoomChanged = false;
        this.position = new Vector3();
        this.zoom = 1.0;
        this.target0 = this.target.clone();
        this.position0 = this.position.clone();
        // private zoom0 = this.camera.zoom;
        this.zoom0 = 1;
        this.stop = new Subject();
        this.mouse.downWithButton$
            .pipe(
        // tap(e => console.log(e)),
        takeUntil(this.stop))
            .subscribe((
        // this.mouse.downWithButton$.subscribe(
        /**
         * @param {?} e
         * @return {?}
         */
        e => {
            console.log(this.camera.position);
            e.original.preventDefault();
            switch (e.original.button) {
                case MOUSE_BUTTONS.LEFT:
                    if (this.enableRotate === false) {
                        return;
                    }
                    this.rotate.activate();
                    this.rotate.onMouseDown(e.position);
                    this.state = 'busy';
                    break;
                case MOUSE.RIGHT:
                    this.pan.activate();
                    this.pan.onMouseDown(e.position);
                    this.state = 'busy';
                case MOUSE.MIDDLE:
                    this.dolly.activate();
                    this.dolly.onMouseDown(e.position);
                    this.state = 'busy';
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
        this.mouse.position$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} p
         * @return {?}
         */
        p => {
            this.rotate.onMouseMove(p);
            this.pan.onMouseMove(p);
            this.dolly.onMouseMove(p);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
        this.mouse.up$.pipe(takeUntil(this.stop)).subscribe((/**
         * @return {?}
         */
        () => {
            this.rotate.deactivate();
            this.pan.deactivate();
            this.dolly.deactivate();
            this.state = 'none';
        }), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.error(e)));
        this.mouse.wheel$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} w
         * @return {?}
         */
        w => {
            this.dolly.activate();
            this.dolly.onMOuseWheel();
            this.state = 'dolly';
            // this.pan.activate(),
            // this.pan.onMouseMove(w.position);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        e => console.log(e)));
    }
    // _camera: PerspectiveCamera | OrthographicCamera = new PerspectiveCamera(
    //   50,
    //   0.75,
    //   1,
    //   1000,
    // );
    // @Input()
    // get camera(): PerspectiveCamera | OrthographicCamera {
    //   return this._camera;
    // }
    // set camera(c: PerspectiveCamera | OrthographicCamera) {
    //   // if (isCameraOfType<'Orthographic'>(c, 'Orthographic')) {
    //   //   this._camera= c as OrthographicCamera;
    //   // }
    //   this._camera = c;
    // }
    /**
     * @return {?}
     */
    get camera() {
        /** @type {?} */
        const result = this.rendererService.camera;
        if (result === undefined) {
            throw Error('Camera is not exist');
        }
        return result;
    }
    /**
     * @return {?}
     */
    saveState() {
        this.target0.copy(this.target);
        this.position0.copy(this.camera.position);
        this.zoom0 = this.zoom;
        // isCameraOfType<'Orthographic'>(this.camera, 'Orthographic');
    }
    /**
     * @return {?}
     */
    reset() {
        this.target.copy(this.target0);
        this.camera.position.copy(this.position0);
        this.camera.zoom = this.zoom0;
        this.camera.updateProjectionMatrix();
        this.update();
    }
    /**
     * @return {?}
     */
    update() {
        /** @type {?} */
        const offset = new Vector3();
        /** @type {?} */
        const quat = new Quaternion().setFromUnitVectors(this.camera.up, new Vector3(0, 1, 0));
        /** @type {?} */
        const quatInverse = quat.clone().inverse();
        /** @type {?} */
        const lastPosition = new Vector3();
        /** @type {?} */
        const lastQuaternion = new Quaternion();
        /** @type {?} */
        const position = this.camera.position;
        // console.log(this.camera.position);
        offset.copy(position).sub(this.target);
        // rotate offset to "y-axis-is-up" space
        offset.applyQuaternion(quat);
        this.rotate.update(offset, this.target);
        this.pan.update(offset, this.target);
        // rotate offset back to "camera-up-vector-is-up" space
        offset.applyQuaternion(quatInverse);
        position.copy(this.target).add(offset);
        this.camera.lookAt(this.target);
        this.scale = 1;
        this.rendererService.setCamera(this.camera);
        this.rendererService.render();
        // update condition is:
        // min(camera displacement, camera rotation in radians)^2 > EPS
        // using small-angle approximation cos(x/2) = 1 - x^2 / 8
        if (this.zoomChanged ||
            lastPosition.distanceToSquared(this.camera.position) > EPS ||
            8 * (1 - lastQuaternion.dot(this.camera.quaternion)) > EPS) {
            this.change.emit();
            lastPosition.copy(this.camera.position);
            lastQuaternion.copy(this.camera.quaternion);
            this.zoomChanged = false;
            return true;
        }
        return false;
    }
    /**
     * @private
     * @return {?}
     */
    get autoRotationAngle() {
        return ((2 * Math.PI) / 60 / 60) * this.autoRotateSpeed;
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        // Called once, before the instance is destroyed.
        // Add 'implements OnDestroy' to the class.
    }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        // Called after ngAfterContentInit when the component's view has been initialized. Applies to components only.
        // Add 'implements AfterViewInit' to the class.
        // console.log(this.camera);
    }
}
OrbitControlsComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-orbit-controls',
                template: "",
                styles: [""]
            }] }
];
/** @nocollapse */
OrbitControlsComponent.ctorParameters = () => [
    { type: CanvasService },
    { type: RendererService },
    { type: MouseCanvasService }
];
OrbitControlsComponent.propDecorators = {
    enabled: [{ type: Input }],
    enableDamping: [{ type: Input }],
    dampingFactor: [{ type: Input }],
    enableZoom: [{ type: Input }],
    zoomSpeed: [{ type: Input }],
    enableRotate: [{ type: Input }],
    rotateSpeed: [{ type: Input }],
    enablePan: [{ type: Input }],
    panSpeed: [{ type: Input }],
    screenSpacePanning: [{ type: Input }],
    keyPanSpeed: [{ type: Input }],
    autoRotate: [{ type: Input }],
    autoRotateSpeed: [{ type: Input }],
    enableKeys: [{ type: Input }],
    change: [{ type: Output }]
};
class MouseController {
    /**
     * @param {?} controller
     */
    constructor(controller) {
        this.controller = controller;
        this._activated = false;
        this.start = new Vector2();
        this.end = new Vector2();
        this.delta = new Vector2();
    }
    /**
     * @return {?}
     */
    get activated() {
        return this._activated;
    }
    /**
     * @return {?}
     */
    activate() {
        this._activated = true;
    }
    /**
     * @return {?}
     */
    deactivate() {
        this._activated = false;
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseDown(position) {
        if (this.activated) {
            this.start.set(position.x, position.y);
        }
    }
    /**
     * @return {?}
     */
    onMouseUp() {
        this.deactivate();
    }
}
class RotateController extends MouseController {
    /**
     * @param {?} controller
     * @param {?} speed
     * @param {?} autoRotateSpeed
     */
    constructor(controller, speed, autoRotateSpeed) {
        super(controller);
        this.speed = speed;
        this.autoRotateSpeed = autoRotateSpeed;
        this.polarAngleRange = { min: 0, max: Math.PI };
        this.azimuthAngleRange = { min: -Infinity, max: Infinity };
        this.distanceRange = { min: 0, max: Infinity };
        this.spherical = new Spherical();
        this.sphericalDelta = new Spherical();
    }
    /**
     * @return {?}
     */
    get polarAngle() {
        return this.spherical.phi;
    }
    /**
     * @return {?}
     */
    get azimuthalAngle() {
        return this.spherical.theta;
    }
    /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    update(offset, target) {
        // angle from z-axis around y-axis
        this.spherical.setFromVector3(offset);
        if (this.autoRotate && this.controller.state === 'none') {
            this.autoRotate();
        }
        this.spherical.theta += this.sphericalDelta.theta;
        this.spherical.phi += this.sphericalDelta.phi;
        // restrict theta to be between desired limits
        this.spherical.theta = fitrange(this.spherical.theta, this.azimuthAngleRange);
        // restrict phi to be between desired limits
        this.spherical.phi = fitrange(this.spherical.phi, this.polarAngleRange);
        this.spherical.makeSafe();
        this.spherical.radius *= this.controller.scale;
        // restrict radius to be between desired limits
        this.spherical.radius = fitrange(this.spherical.radius, this.distanceRange);
        offset.setFromSpherical(this.spherical);
        if (this.controller.enableDamping) {
            this.sphericalDelta.theta *= 1 - this.controller.dampingFactor;
            this.sphericalDelta.phi *= 1 - this.controller.dampingFactor;
        }
        else {
            this.sphericalDelta.set(0, 0, 0);
        }
    }
    /**
     * @return {?}
     */
    autoRotate() {
        this.rotateLeft(this.autoRotateSpeed);
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start).multiplyScalar(this.speed);
        /** @type {?} */
        const element = this.controller.domElement;
        this.rotateLeft((2 * Math.PI * this.delta.x) / element.clientHeight); // yes, height
        this.rotateUp((2 * Math.PI * this.delta.y) / element.clientHeight);
        this.start.copy(this.end);
        this.controller.update();
    }
    /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    rotateLeft(angle) {
        this.sphericalDelta.theta -= angle;
    }
    /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    rotateUp(angle) {
        this.sphericalDelta.phi -= angle;
    }
}
class PanController extends MouseController {
    /**
     * @param {?} controller
     * @param {?} speed
     */
    constructor(controller, speed) {
        super(controller);
        this.speed = speed;
        this.offset = new Vector3();
    }
    /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    update(offset, target) {
        target.add(this.offset);
        if (this.controller.enableDamping === true) {
            this.offset.multiplyScalar(1 - this.controller.dampingFactor);
        }
        else {
            this.offset.set(0, 0, 0);
        }
    }
    /**
     * @return {?}
     */
    onMouseWheel() { }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start).multiplyScalar(this.speed);
        this.pan(this.delta.x, this.delta.y);
        this.start.copy(this.end);
        this.controller.update();
    }
    /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    panLeft(distance, objectMatrix) {
        /** @type {?} */
        const v = new Vector3();
        v.setFromMatrixColumn(objectMatrix, 0); // get X column of objectMatrix
        v.multiplyScalar(-distance);
        this.offset.add(v);
    }
    /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    panUp(distance, objectMatrix) {
        /** @type {?} */
        const v = new Vector3();
        if (this.controller.screenSpacePanning === true) {
            v.setFromMatrixColumn(objectMatrix, 1);
        }
        else {
            v.setFromMatrixColumn(objectMatrix, 0);
            v.crossVectors(this.controller.camera.up, v);
        }
        v.multiplyScalar(distance);
        this.offset.add(v);
    }
    /**
     * @private
     * @param {?} deltaX
     * @param {?} deltaY
     * @return {?}
     */
    pan(deltaX, deltaY) {
        /** @type {?} */
        const offset = new Vector3();
        /** @type {?} */
        const element = this.controller.domElement;
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        camera => {
            this.panLeft((deltaX * (camera.right - camera.left)) /
                camera.zoom /
                element.clientWidth, camera.matrix);
            this.panUp((deltaY * (camera.top - camera.bottom)) /
                camera.zoom /
                element.clientHeight, camera.matrix);
        }), (/**
         * @param {?} camera
         * @return {?}
         */
        camera => {
            /** @type {?} */
            const position = camera.position;
            offset.copy(position).sub(this.controller.target);
            /** @type {?} */
            let targetDistance = offset.length();
            // half of the fov is center to top of screen
            targetDistance *= Math.tan(((camera.fov / 2) * Math.PI) / 180.0);
            // we use only clientHeight here so aspect ratio does not distort speed
            this.panLeft((2 * deltaX * targetDistance) / element.clientHeight, camera.matrix);
            this.panUp((2 * deltaY * targetDistance) / element.clientHeight, camera.matrix);
        }), (/**
         * @return {?}
         */
        () => {
            console.warn('WARNING: OrbitControls.js encountered an unknown camera type - pan disabled.');
            this.controller.enablePan = false;
        }));
    }
}
class DollyController extends MouseController {
    /**
     * @param {?} controller
     */
    constructor(controller) {
        super(controller);
        this.range = { min: 0, max: Infinity };
        this.changed = false;
    }
    /**
     * @return {?}
     */
    get zoomChanged() {
        return this.changed;
    }
    /**
     * @private
     * @return {?}
     */
    get zoomScale() {
        return Math.pow(0.95, this.controller.zoomSpeed);
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        if (this.delta.y > 0) {
            this.dollyIn(this.zoomScale);
        }
        else if (this.delta.y < 0) {
            this.dollyOut(this.zoomScale);
        }
        this.start.copy(this.end);
        this.controller.update();
    }
    /**
     * @return {?}
     */
    onMOuseWheel() {
        if (!this.activated) {
            return;
        }
        // this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        if (this.delta.x > 0) {
            this.dollyIn(this.zoomScale);
        }
        else if (this.delta.x < 0) {
            this.dollyOut(this.zoomScale);
        }
        // this.start.copy(this.end);
        this.controller.update();
    }
    /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    dollyIn(dollyScale) {
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        camera => {
            camera.zoom = fitrange(camera.zoom * dollyScale, this.range);
            camera.updateProjectionMatrix();
            this.changed = true;
        }), (/**
         * @return {?}
         */
        () => {
            this.controller.scale /= dollyScale;
        }), (/**
         * @return {?}
         */
        () => {
            console.warn('WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.');
            this.controller.enableZoom = false;
        }));
        // if (this.controller.camera instanceof PerspectiveCamera) {
        //   this.controller.scale /= dollyScale;
        // } else if (this.controller.camera instanceof OrthographicCamera) {
        //   this.controller.camera.zoom = fitrange(
        //     this.controller.camera.zoom * dollyScale,
        //     this.range,
        //   );
        //   this.controller.camera.updateProjectionMatrix();
        //   this.changed = true;
        // } else {
        //   console.warn(
        //     'WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.',
        //   );
        //   this.controller.enableZoom = false;
        // }
    }
    /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    dollyOut(dollyScale) {
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        camera => {
            camera.zoom = fitrange(camera.zoom / dollyScale, this.range);
            camera.updateProjectionMatrix();
            this.changed = true;
        }), (/**
         * @return {?}
         */
        () => {
            this.controller.scale *= dollyScale;
        }), (/**
         * @return {?}
         */
        () => {
            console.warn('WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.');
            this.controller.enableZoom = false;
        }));
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class PerspectiveCameraComponent {
    /**
     * @param {?} scene
     * @param {?} renderer
     */
    constructor(scene, renderer) {
        this.scene = scene;
        this.renderer = renderer;
        this.camera = new PerspectiveCamera(45, this.size.left / this.size.bottom, 0.01, 1e10);
        this.changed = new EventEmitter();
        this.z = 100;
        this.camera.position.z = this.z;
        this.camera.lookAt(this.scene.scene.position);
        this.scene.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        (b) => this.updateCameraFov(b)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @return {?}
     */
    get size() {
        return this.scene.size;
    }
    /**
     * @param {?} b
     * @return {?}
     */
    set size(b) {
        this.scene.resize(b);
    }
    /**
     * @private
     * @param {?} b
     * @return {?}
     */
    updateCameraFov(b) {
        this.camera.fov = 50;
        this.camera.aspect = b.left / b.bottom;
        this.camera.near = 1;
        this.camera.far = 1;
        this.changed.emit();
        this.renderer.render();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        // console.log('camera init');
    }
}
PerspectiveCameraComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-perspective-camera',
                template: "<p>\n  perspective-camera works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
PerspectiveCameraComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];
PerspectiveCameraComponent.propDecorators = {
    changed: [{ type: Output }],
    size: [{ type: Input }],
    z: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class OrthographicCameraComponent {
    /**
     * @param {?} scene
     * @param {?} renderer
     */
    constructor(scene, renderer) {
        this.scene = scene;
        this.renderer = renderer;
        this.camera = new OrthographicCamera(this.size.left, this.size.right, this.size.top, this.size.bottom);
        this.changed = new EventEmitter();
        this.z = 100;
        console.log(this.x);
        this.camera.position.z = this.z;
        this.scene.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        (b) => this.updateCameraSize(b)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @return {?}
     */
    get size() {
        return this.scene.size;
    }
    /**
     * @param {?} b
     * @return {?}
     */
    set size(b) {
        this.scene.resize(b);
    }
    /**
     * @private
     * @param {?} b
     * @return {?}
     */
    updateCameraSize(b) {
        this.camera.bottom = b.bottom;
        this.camera.top = b.top;
        this.camera.left = b.left;
        this.camera.right = b.right;
        this.camera.zoom = 1;
        this.camera.updateProjectionMatrix();
        this.changed.emit();
        this.renderer.render();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
OrthographicCameraComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-orthographic-camera',
                template: ``
            }] }
];
/** @nocollapse */
OrthographicCameraComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];
OrthographicCameraComponent.propDecorators = {
    changed: [{ type: Output }],
    size: [{ type: Input }],
    z: [{ type: Input }],
    x: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CanvasComponent {
    /**
     * @param {?} elRef
     * @param {?} scene
     * @param {?} canvasService
     * @param {?} renderer
     * @param {?} mouse
     */
    constructor(elRef, scene, canvasService, renderer, mouse) {
        this.elRef = elRef;
        this.scene = scene;
        this.canvasService = canvasService;
        this.renderer = renderer;
        this.mouse = mouse;
        this.debug = false;
        this.diagnosis = false;
        this.elRef.nativeElement.appendChild(this.renderer.domElement);
        // console.log(this.camera);
    }
    /**
     * @return {?}
     */
    get size() {
        return this.canvasService.size.size;
    }
    /**
     * @param {?} v
     * @return {?}
     */
    set size(v) {
        this.canvasService.size = new BoundingBox2FromCenterSize(new Vector2(0, 0), v);
    }
    /**
     * @return {?}
     */
    get camera() {
        if (this.perspectiveCamera !== undefined) {
            return this.perspectiveCamera.camera;
        }
        if (this.orthographicCamera !== undefined) {
            return this.orthographicCamera.camera;
        }
        return undefined;
    }
    /**
     * @return {?}
     */
    get controls() {
        if (this.orbitControls !== undefined) {
            return this.orbitControls.camera;
        }
        return undefined;
    }
    /**
     * @return {?}
     */
    render() {
        this.renderer.render();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.debug) {
            /** @type {?} */
            const axes = new AxesHelper(1);
            this.scene.add(axes);
            this.render();
        }
    }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        if (this.camera === undefined) {
            throw Error('Camera is undefined');
        }
        // this.orbitControls.
        // this.camera.scale.set(1, 1, 0.5) ;
        // console.log(this.controls);
        this.renderer.setCamera(this.camera);
        // console.log(this.camera);
        // console.log(this.renderer.camera);
        this.render();
    }
    /**
     * @return {?}
     */
    logScene() {
        console.log(this.scene);
        console.log(this.camera);
        console.log(this.renderer.domElement);
        console.log(this.renderer.domElement.getBoundingClientRect());
    }
}
CanvasComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-canvas',
                template: "<!--<div class=\"canvas\">-->\n  <!-- <canvas #canvas></canvas> -->\n  <!-- <div [hidden]=\"!debug\"></div>\n  <div class=\"patient\"><ng-content select=\".patient\"></ng-content></div>\n  <div class=\"hospital\"><ng-content select=\".hospital\"></ng-content></div>\n  <div class=\"physics\"><ng-content select=\".physics\"></ng-content></div>\n  <div class=\"scale\"><ng-content select=\".scale\"></ng-content></div>\n  <div class=\"zoom\"><ng-content select=\".zoom\"></ng-content></div> -->\n  <!-- <ng-content id=\"patient\" select=\".patient\"></ng-content>\n  <ng-content id=\"hospital\" select=\".hospital\"></ng-content>\n  <ng-content id=\"physics\" select=\".physics\"></ng-content>\n  <ng-content id\"scale\" select=\".scale\"></ng-content>\n  <ng-content id=\"zoom\" select=\".zoom\"></ng-content> -->\n  <div *ngIf=\"debug\">\n    <button (click)=\"render()\">forceRender</button>\n    <button (click)=\"logScene()\">Log Scene</button>\n  </div>\n<!--</div>-->\n",
                providers: [SceneService, CanvasService, RendererService, MouseCanvasService],
                styles: [".wrap{position:relative;top:0;left:0;width:300px;height:300px;z-index:0}#ct,#patient{position:absolute;top:5%;left:5%;z-index:1}#hospital{position:absolute;top:5%;left:80%;width:15%;z-index:1}#scale{position:absolute;top:40%;left:25%;height:20%;z-index:1}#physics{position:absolute;top:75%;left:5%;width:15%;height:20%;z-index:1}#zoom{position:absolute;top:75%;left:80%;width:15%;height:20%}"]
            }] }
];
/** @nocollapse */
CanvasComponent.ctorParameters = () => [
    { type: ElementRef },
    { type: SceneService },
    { type: CanvasService },
    { type: RendererService },
    { type: MouseCanvasService }
];
CanvasComponent.propDecorators = {
    size: [{ type: Input }],
    htmlCanvas: [{ type: ViewChild, args: ['canvas',] }],
    orthographicCamera: [{ type: ContentChild, args: [OrthographicCameraComponent,] }],
    perspectiveCamera: [{ type: ContentChild, args: [PerspectiveCameraComponent,] }],
    orbitControls: [{ type: ContentChild, args: [OrbitControlsComponent,] }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class LineComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const geomotery = new Geometry();
        geomotery.vertices.push(model.start);
        geomotery.vertices.push(model.end);
        if (model.style === 'Dashed') {
            /** @type {?} */
            const material = new LineDashedMaterial({
                color: model.color,
                linewidth: 2,
                scale: 1,
                dashSize: 0.5,
                gapSize: 0.25,
            });
            /** @type {?} */
            const line = new Line(geomotery, material);
            line.computeLineDistances();
            return line;
        }
        else {
            /** @type {?} */
            const material = new LineBasicMaterial({ color: model.color });
            return new Line(geomotery, material);
        }
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new LineModel(new Vector3(0, 0, 0), new Vector3(100, 100, 100));
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        /**
         * @param {?} g
         * @return {?}
         */
        function update(g) {
            g.vertices[0].copy(model.start);
            g.vertices[1].copy(model.end);
            g.verticesNeedUpdate = true;
        }
        update((/** @type {?} */ (entity.geometry)));
        // console.log(model);
        return entity;
    }
}
LineComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-line',
                template: "<ng-content></ng-content>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
LineComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CubeComponent extends EntityComponent {
    // gui: GUI = new GUI();
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
        this.rotationSpeed = 0.02;
        this.bouncingSpeed = 0.03;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const result = new Mesh(new CubeGeometry(1, 1, 1), new MeshBasicMaterial({
            color: 0xff0000,
            transparent: true,
            opacity: 0.5,
            wireframe: true,
        }));
        result.name = 'Cube';
        result.position.copy(model.center);
        result.scale.copy(model.size);
        result.rotation.x = Math.PI / 4;
        result.rotation.y = Math.PI / 4;
        result.rotation.z = Math.PI / 4;
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        // this.gui.add(this.rotationSpeed, 'rotationSpeed', 0, 0.5);
        entity.position.copy(model.center);
        entity.scale.copy(model.size);
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new CubeModel(new Vector3(100, 100, 100), new Vector3(0, 0, 0), new Vector3(0, 0, 0));
    }
}
CubeComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-cube',
                template: "<ng-content></ng-content>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
CubeComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} component
 * @return {?}
 */
function provideParent(component) {
    return { provide: EntityComponent, useExisting: forwardRef((/**
         * @return {?}
         */
        () => component)) };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class PlaneComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
        // @Input() z = -100;
        this.zSubject = new BehaviorSubject(-100);
    }
    /**
     * @return {?}
     */
    get z() {
        return this.zSubject.value;
    }
    /**
     * @param {?} n
     * @return {?}
     */
    set z(n) {
        this.zSubject.next(n);
    }
    /**
     * @param {?} data
     * @return {?}
     */
    createTexture(data) {
        /** @type {?} */
        const textureData = new Uint8Array(3 * data.shape.x * data.shape.y);
        /** @type {?} */
        const texture = new DataTexture(textureData, data.shape.x, data.shape.y, RGBFormat);
        for (let i = 0; i < data.shape.x; i++) {
            for (let j = 0; j < data.shape.y; j++) {
                /** @type {?} */
                const indImg = i * data.shape.y + j;
                /** @type {?} */
                const indTex = i + j * data.shape.x;
                /** @type {?} */
                const stride = indTex * 3;
                textureData[stride] = data.r[indImg];
                textureData[stride + 1] = data.g[indImg];
                textureData[stride + 2] = data.b[indImg];
            }
        }
        texture.needsUpdate = true;
        return texture;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        // console.log('Create Entity based on model', model);
        /** @type {?} */
        const map = model.textureData === undefined
            ? undefined
            : this.createTexture(model.textureData);
        /** @type {?} */
        const color = map !== undefined
            ? undefined
            : model.color !== undefined
                ? model.color
                : new Color(0.5, 0.5, 0.5);
        /** @type {?} */
        const base = {
            side: DoubleSide,
            wireframe: model.wireFrame === undefined ? false : model.wireFrame,
            opacity: model.opacity === undefined ? 1.0 : model.opacity,
            transparent: model.transparent === undefined ? false : model.transparent,
        };
        /** @type {?} */
        const rotation = model.rotation === undefined ? new Vector3(0, 0, 0) : model.rotation;
        /** @type {?} */
        const result = new Mesh(new PlaneGeometry(1, 1, 1, 1), new MeshBasicMaterial(map !== undefined ? Object.assign({}, base, { map }) : Object.assign({}, base, { color })));
        result.position.set(model.box.center.x, model.box.center.y, this.z);
        result.scale.set(model.box.size.x, model.box.size.y, 1.0);
        result.rotation.set(rotation.x, rotation.y, rotation.z);
        result.renderOrder = this.z;
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        if (model.textureData !== undefined) {
            this.changeTexture((/** @type {?} */ (entity)), model.textureData);
        }
        ((/** @type {?} */ (entity.material))).setValues({
            wireframe: model.wireFrame,
            transparent: model.transparent,
            opacity: model.opacity,
        });
        ((/** @type {?} */ (entity.material))).needsUpdate = true;
        entity.position.set(model.box.center.x, model.box.center.y, this.z);
        entity.scale.set(model.box.size.x, model.box.size.y, 1.0);
        entity.rotation.set(model.rotation.x, model.rotation.y, model.rotation.z);
        entity.renderOrder = this.z;
        return entity;
    }
    /**
     * @private
     * @param {?} plane
     * @param {?} data
     * @return {?}
     */
    changeTexture(plane, data) {
        ((/** @type {?} */ (plane.material))).setValues({
            map: this.createTexture(data),
        });
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(100, 100)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        });
    }
}
PlaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-plane',
                template: "<ng-content></ng-content>\n",
                providers: [provideParent(PlaneComponent)],
                styles: ['./plane.component.css']
            }] }
];
/** @nocollapse */
PlaneComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];
PlaneComponent.propDecorators = {
    z: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MouseEntityService {
    /**
     * @param {?} mouseCanvas
     * @param {?} entity2
     */
    constructor(mouseCanvas, entity2) {
        this.mouseCanvas = mouseCanvas;
        this.entity2 = entity2;
        this.stop = new Subject();
        this.cameraDirection = new Vector3();
        this.down$ = this.createDown$();
        this.click$ = this.createClick$();
        this.drag$ = this.createDrag$();
        this.hover$ = this.mouseCanvas.position$.pipe(map((/**
         * @param {?} p
         * @return {?}
         */
        p => this.isOnThisEntity(p))), distinctUntilChanged(), takeUntil(this.stop));
        this.wheel$ = this.createWheel$();
    }
    /**
     * @private
     * @return {?}
     */
    createClick$() {
        return this.down$.pipe(switchMap((/**
         * @return {?}
         */
        () => {
            return merge(this.mouseCanvas.up$, this.mouseCanvas.leave$).pipe(map((/**
             * @param {?} u
             * @return {?}
             */
            u => {
                if (this.isOnThisEntity(u)) {
                    return true;
                }
                else {
                    return false;
                }
            })));
        })), filter((/**
         * @param {?} x
         * @return {?}
         */
        x => !!x)), map(noop));
    }
    /**
     * @private
     * @return {?}
     */
    createDown$() {
        return this.mouseCanvas.down$.pipe(filter((/**
         * @param {?} p
         * @return {?}
         */
        p => this.isOnThisEntity(p))), takeUntil(this.stop));
    }
    /**
     * @private
     * @return {?}
     */
    createWheel$() {
        return this.mouseCanvas.wheel$.pipe(filter((/**
         * @param {?} e
         * @return {?}
         */
        e => this.isOnThisEntity(e.position))), takeUntil(this.stop));
    }
    /**
     * @private
     * @param {?} p
     * @return {?}
     */
    isOnThisEntity(p) {
        // if (this.entityService.entity === undefined) {
        //   return false;
        // }
        if (this.entity2.entity === undefined) {
            return false;
        }
        /** @type {?} */
        let direction;
        if (this.camera === undefined) {
            direction = new Vector3(0, 0, -1);
        }
        else {
            this.camera.getWorldDirection(this.cameraDirection);
            direction = this.cameraDirection;
        }
        /** @type {?} */
        const intersects = this.mouseCanvas.intersectObject(new Vector3(p.x, p.y, 100), direction);
        if (intersects.length === 0) {
            return false;
        }
        /** @type {?} */
        const firstIntersect = intersects[0];
        // if (firstIntersect.object.uuid !== this.entityService.entity.uuid) {
        //   return false;
        // }
        if (firstIntersect.object.uuid !== this.entity2.entity.uuid) {
            return false;
        }
        return true;
    }
    /**
     * @private
     * @return {?}
     */
    createDrag$() {
        /** @type {?} */
        const cancel = merge(this.mouseCanvas.up$, this.mouseCanvas.leave$);
        return this.down$.pipe(switchMap((/**
         * @param {?} origin
         * @return {?}
         */
        origin => {
            /** @type {?} */
            const center = 
            // this.entityService.entity === undefined
            //   ? new Vector2(0, 0)
            //   : new Vector2(
            //       this.entityService.entity.position.x,
            //       this.entityService.entity.position.y,
            //     );
            this.entity2.entity === undefined
                ? new Vector2(0, 0)
                : new Vector2(this.entity2.entity.position.x, this.entity2.entity.position.y);
            /** @type {?} */
            const offset = new Vector2(origin.x - center.x, origin.y - center.y);
            return this.mouseCanvas.position$.pipe(map((/**
             * @param {?} current
             * @return {?}
             */
            current => {
                return {
                    origin,
                    current,
                    relativeCenter: new Vector2(current.x - offset.x, current.y - offset.y),
                };
            })), takeUntil(cancel));
        })), takeUntil(this.stop));
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.stop.next();
        this.stop.complete();
    }
    /**
     * @param {?} camera
     * @return {?}
     */
    setCamera(camera) {
        this.camera = camera;
    }
}
MouseEntityService.decorators = [
    { type: Injectable }
];
/** @nocollapse */
MouseEntityService.ctorParameters = () => [
    { type: MouseCanvasService },
    { type: EntityComponent, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MouseEntityComponent {
    /**
     * @param {?} mouse
     * @param {?} entity2
     */
    constructor(mouse, entity2) {
        this.mouse = mouse;
        this.entity2 = entity2;
        this.click = new EventEmitter();
        this.drag = new EventEmitter();
        this.hover = new EventEmitter();
        this.wheel = new EventEmitter();
        this.mouse.click$.subscribe((/**
         * @return {?}
         */
        () => {
            // console.log(this.entity2.entity );
            // if (this.entity.entity !== undefined) {
            //   this.click.emit(this.entity.entity);
            // }
            if (this.entity2.entity !== undefined) {
                this.click.emit(this.entity2.entity);
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
        this.mouse.drag$.subscribe((/**
         * @param {?} d
         * @return {?}
         */
        (d) => {
            this.drag.emit(d);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
        this.mouse.hover$.pipe().subscribe((/**
         * @param {?} h
         * @return {?}
         */
        (h) => {
            this.hover.emit(h);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
        this.mouse.wheel$.subscribe((/**
         * @param {?} e
         * @return {?}
         */
        (e) => this.wheel.emit(e)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
}
MouseEntityComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-mouse-entity',
                template: "",
                providers: [MouseEntityService],
                styles: [""]
            }] }
];
/** @nocollapse */
MouseEntityComponent.ctorParameters = () => [
    { type: MouseEntityService },
    { type: EntityComponent, decorators: [{ type: Optional }] }
];
MouseEntityComponent.propDecorators = {
    click: [{ type: Output }],
    drag: [{ type: Output }],
    hover: [{ type: Output }],
    wheel: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ControlsComponent {
    constructor() { }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
ControlsComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-controls',
                template: "<ng-content></ng-content>\n",
                providers: [MouseEntityService],
                styles: [""]
            }] }
];
/** @nocollapse */
ControlsComponent.ctorParameters = () => [];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ResizePlaneComponent {
    constructor() {
        this.edgeDirections = [
            'left',
            'right',
            'top',
            'bottom',
        ];
        this.cornerDirections = [
            { x: 'left', y: 'top' },
            { x: 'right', y: 'top' },
            { x: 'left', y: 'bottom' },
            { x: 'right', y: 'bottom' },
        ];
        this.modelSubject = new BehaviorSubject(DEFAULT_MAIN_MODEL);
        this.model$ = this.modelSubject.asObservable();
        this.models$ = this.model$.pipe(map((/**
         * @param {?} m
         * @return {?}
         */
        m => {
            return {
                main: m,
                bars: this.createBars(m),
                corners: this.createCorners(m),
            };
        })));
        this.initialied = false;
        this.z = 1;
        this.mainTexture = DEFAULT_MAIN_TEXTURE;
        this.barTexture = DEFAULT_BAR_TEXTURE;
        this.resizeEdge = new EventEmitter();
        this.resizeCorner = new EventEmitter();
    }
    /**
     * @return {?}
     */
    get model() {
        return this.modelSubject.value;
    }
    /**
     * @param {?} m
     * @return {?}
     */
    set model(m) {
        this.modelSubject.next(m);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @private
     * @param {?} model
     * @return {?}
     */
    createBars(model) {
        /** @type {?} */
        const result = {};
        this.edgeDirections.forEach((/**
         * @param {?} d
         * @return {?}
         */
        d => {
            result[d] = barModel(model, d, this.barTexture);
        }));
        return result;
    }
    /**
     * @private
     * @param {?} model
     * @return {?}
     */
    createCorners(model) {
        return this.cornerDirections.map((/**
         * @param {?} direction
         * @return {?}
         */
        direction => {
            return {
                direction,
                model: cornerModel(model, direction, DEFAULT_CORNER_TEXTURE),
            };
        }));
    }
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    onDragBar(e, direction) {
        this.resizeEdge.emit({
            type: 'edge',
            direction,
            to: direction === 'left' || direction === 'right'
                ? e.relativeCenter.x
                : e.relativeCenter.y,
        });
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onResizeEdge(e) {
        this.resizeEdge.emit(e);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onResizeCorner(e) {
        this.resizeCorner.emit(e);
    }
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    onDragCorner(e, direction) {
        this.resizeCorner.emit({
            type: 'corner',
            direction,
            to: e.relativeCenter,
        });
    }
    /**
     * @param {?} direction
     * @param {?} models
     * @return {?}
     */
    modelOf(direction, models) {
        /** @type {?} */
        const result = models.find((/**
         * @param {?} m
         * @return {?}
         */
        m => m.direction === direction));
        if (result === undefined) {
            throw Error(`Can not find corner model of direction: ${direction.x} ${direction.y}`);
        }
        return result.model;
    }
}
ResizePlaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-resize-plane',
                template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-resize-plane-edge\n    *ngFor=\"let d of edgeDirections\"\n    [model]=\"models.bars[d]\"\n    [direction]=\"d\"\n    [z]=\"z + 1\"\n    (resize)=\"onResizeEdge($event)\"\n  >\n  </ng3-resize-plane-edge>\n  <ng3-resize-plane-corner\n    *ngFor=\"let d of cornerDirections\"\n    [model]=\"modelOf(d, models.corners)\"\n    [direction]=\"d\"\n    [z]=\"z + 2\"\n    (resize)=\"onResizeCorner($event)\"\n  >\n  </ng3-resize-plane-corner>\n</ng-container>\n",
                changeDetection: ChangeDetectionStrategy.OnPush,
                styles: [""]
            }] }
];
/** @nocollapse */
ResizePlaneComponent.ctorParameters = () => [];
ResizePlaneComponent.propDecorators = {
    model: [{ type: Input }],
    z: [{ type: Input }],
    mainTexture: [{ type: Input }],
    barTexture: [{ type: Input }],
    resizeEdge: [{ type: Output }],
    resizeCorner: [{ type: Output }]
};
/**
 * @param {?} direction
 * @param {?} xOrY
 * @param {?} main
 * @return {?}
 */
function offset(direction, xOrY, main) {
    switch (direction) {
        case 'left':
            return xOrY === 'x' ? -main.box.size.x / 2 : 0;
        case 'right':
            return xOrY === 'x' ? main.box.size.x / 2 : 0;
        case 'top':
            return xOrY === 'y' ? -main.box.size.y / 2 : 0;
        case 'bottom':
            return xOrY === 'y' ? main.box.size.y / 2 : 0;
    }
}
/**
 * @param {?} direction
 * @param {?} m
 * @param {?} position
 * @return {?}
 */
function size(direction, m, position) {
    /** @type {?} */
    const ratio = 0.2;
    if (position === 'edge') {
        switch (direction) {
            case 'left':
            case 'right':
                return new Vector2(m.box.size.x * ratio, m.box.size.y);
            case 'top':
            case 'bottom':
                return new Vector2(m.box.size.x, m.box.size.y * ratio);
        }
    }
    return new Vector2(m.box.size.x * ratio, m.box.size.y * ratio);
}
/**
 * @param {?} m
 * @param {?} direction
 * @param {?} texture
 * @return {?}
 */
function barModel(m, direction, texture) {
    /** @type {?} */
    const o = (/**
     * @param {?} xOrY
     * @return {?}
     */
    (xOrY) => offset(direction, xOrY, m));
    return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(m.box.center.x + o('x'), m.box.center.y + o('y')), size(direction, m, 'edge')), 10, texture, new Vector3(0, 0, 0), true, 1);
}
/**
 * @param {?} m
 * @param {?} direction
 * @param {?} texture
 * @return {?}
 */
function cornerModel(m, direction, texture) {
    return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(m.box.center.x + offset(direction.x, 'x', m), m.box.center.y + offset(direction.y, 'y', m)), size(direction.x, m, 'corner')), 10, texture, new Vector3(0, 0, 0), true, 0.8);
}
/** @type {?} */
const DEFAULT_MAIN_MODEL = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
});
/** @type {?} */
const DEFAULT_MAIN_TEXTURE = {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
const DEFAULT_BAR_TEXTURE = {
    r: new Uint8Array([128]),
    g: new Uint8Array([128]),
    b: new Uint8Array([128]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
const DEFAULT_CORNER_TEXTURE = {
    r: new Uint8Array([64]),
    g: new Uint8Array([64]),
    b: new Uint8Array([64]),
    shape: new Vector2(1, 1),
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MovePlaneComponent {
    /**
     * @param {?} canvas
     */
    constructor(canvas) {
        this.canvas = canvas;
        this.model = DEFAULT_MAIN_MODEL$1;
        this.drag = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @param {?} e
     * @return {?}
     */
    onDrag(e) {
        this.drag.emit(e);
    }
    /**
     * @param {?} isHover
     * @return {?}
     */
    setStyle(isHover) {
        this.canvas.domElement.style.cursor = isHover ? 'move' : 'auto';
    }
}
MovePlaneComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-move-plane',
                template: "<ng3-plane #main [model]=\"model\">\n  <ng-content></ng-content>\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n\n<!-- app.html -->\n<!-- <move-plane>\n  <ng3-mouse-entity (drag)=\"\"></ng3-mouse-entity>\n<move-plane>\n\n\n    <move-plane>\n      <ng3-plane>\n          <ng3-mouse-entity (drag)=\"\"></ng3-mouse-entity>\n      </ng3-plane>\n\n    <move-plane> -->\n<!-- app.html -->\n<!-- <ng3-plane (drag)=\"\"></ng3-plane> -->\n",
                styles: [""]
            }] }
];
/** @nocollapse */
MovePlaneComponent.ctorParameters = () => [
    { type: CanvasService }
];
MovePlaneComponent.propDecorators = {
    model: [{ type: Input }],
    drag: [{ type: Output }]
};
/** @type {?} */
const DEFAULT_MAIN_TEXTURE$1 = {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
const DEFAULT_MAIN_MODEL$1 = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, DEFAULT_MAIN_TEXTURE$1);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ResizePlaneEdgeComponent {
    /**
     * @param {?} canvas
     */
    constructor(canvas) {
        this.canvas = canvas;
        this.direction = 'top';
        this.z = 1;
        this.resize = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.model === undefined) {
            throw Error('Model is not provided');
        }
    }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
    /**
     * @param {?} isHover
     * @return {?}
     */
    setStyle(isHover) {
        this.canvas.domElement.style.cursor = isHover ? this.cursorStyle() : 'auto';
    }
    /**
     * @private
     * @return {?}
     */
    cursorStyle() {
        switch (this.direction) {
            case 'top':
            case 'bottom':
                return 'ns-resize';
            case 'left':
            case 'right':
                return 'ew-resize';
        }
    }
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    onDrag(e, direction) {
        this.resize.emit({
            type: 'edge',
            direction: this.direction,
            to: this.direction === 'left' || this.direction === 'right'
                ? e.relativeCenter.x
                : e.relativeCenter.y,
        });
    }
}
ResizePlaneEdgeComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-resize-plane-edge',
                template: "<ng3-plane [model]=\"model\" [z]=\"z\">\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event, direction)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ResizePlaneEdgeComponent.ctorParameters = () => [
    { type: CanvasService }
];
ResizePlaneEdgeComponent.propDecorators = {
    model: [{ type: Input }],
    direction: [{ type: Input }],
    z: [{ type: Input }],
    resize: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ResizePlaneCornerComponent {
    /**
     * @param {?} canvas
     */
    constructor(canvas) {
        this.canvas = canvas;
        this.direction = { x: 'right', y: 'top' };
        this.z = 1;
        this.resize = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        if (this.model === undefined) {
            throw Error('Model is not provided');
        }
    }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
    /**
     * @param {?} isHover
     * @return {?}
     */
    setStyle(isHover) {
        this.canvas.domElement.style.cursor = isHover ? this.cursorStyle() : 'auto';
    }
    /**
     * @private
     * @return {?}
     */
    cursorStyle() {
        if (this.direction.x === 'left' && this.direction.y === 'top') {
            return 'nwse-resize';
        }
        if (this.direction.x === 'right' && this.direction.y === 'top') {
            return 'nesw-resize';
        }
        if (this.direction.x === 'left' && this.direction.y === 'bottom') {
            return 'nesw-resize';
        }
        if (this.direction.x === 'right' && this.direction.y === 'bottom') {
            return 'nwse-resize';
        }
        throw Error('Invalid corner direction');
    }
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    onDrag(e, direction) {
        this.resize.emit({
            type: 'corner',
            direction: this.direction,
            to: e.relativeCenter,
        });
    }
}
ResizePlaneCornerComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-resize-plane-corner',
                template: "<ng3-plane [model]=\"model\" [z]=\"z\" *ngIf=\"model\">\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event, direction)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ResizePlaneCornerComponent.ctorParameters = () => [
    { type: CanvasService }
];
ResizePlaneCornerComponent.propDecorators = {
    model: [{ type: Input }],
    direction: [{ type: Input }],
    z: [{ type: Input }],
    resize: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
const TEST_MODELS = [
    {
        id: 'testLine',
        model: new LineModel(new Vector3(0, 0, 0), new Vector3(40, 0, 0)),
    },
    {
        id: 'testPlane',
        model: new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }),
    },
    {
        id: 'testImage',
        model: new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }),
    },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class EntitiesService {
    /**
     * @param {?} canvas
     */
    constructor(canvas) {
        this.nextImage$ = new Subject();
        this.models = new StoreByArray();
        TEST_MODELS.forEach((/**
         * @param {?} x
         * @return {?}
         */
        (x) => this.models.insert(Object.assign({ id: x.id }, x.model)).subscribe()));
    }
    /**
     * @return {?}
     */
    currentModels() {
        return this.models.currentState();
    }
    /**
     * @template K
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    getModel$(type, id) {
        return this.models.get$({ id }).pipe(filter((/**
         * @param {?} x
         * @return {?}
         */
        (x) => x.type === type)), map((/**
         * @param {?} x
         * @return {?}
         */
        (x) => (/** @type {?} */ (x)))));
    }
    /**
     * @param {?} model
     * @param {?=} id
     * @return {?}
     */
    addModel(model, id) {
        console.log('add model', model);
        /** @type {?} */
        let result;
        if (id === undefined) {
            result = v4();
        }
        else {
            result = id;
        }
        return new Observable((/**
         * @param {?} obs
         * @return {?}
         */
        (obs) => {
            this.models
                .insert(Object.assign({ id: result }, model))
                .subscribe(noop, obs.error, (/**
             * @return {?}
             */
            () => obs.next(result)));
        })).pipe(first(), share());
    }
    /**
     * @param {?} item
     * @return {?}
     */
    update(item) {
        return this.models.update(item);
    }
    /**
     * @return {?}
     */
    testLine() {
        /**
         * @param {?} x
         * @return {?}
         */
        function createLine(x) {
            return new LineModel(new Vector3(-10, x, 0), new Vector3(10, x, 0));
        }
        return this.addModel(createLine(0)).pipe(switchMap((/**
         * @param {?} id
         * @return {?}
         */
        (id) => interval(100).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        (x) => Math.sin(x / 20) * 30)), map((/**
         * @param {?} x
         * @return {?}
         */
        (x) => {
            return Object.assign({ id }, createLine(x));
        }), switchMap((/**
         * @param {?} item
         * @return {?}
         */
        (item) => this.update(item))))))));
    }
    /**
     * @return {?}
     */
    testSequenceImage() {
        return sequenceDummyGrayImage2(new Vector2(10, 20), new Vector2(10, 20), new Vector2(0, 0), this.nextImage$);
    }
    /**
     * @return {?}
     */
    testWebSocketLine() { }
}
/** @nocollapse */
EntitiesService.ctorParameters = () => [
    { type: CanvasComponent, decorators: [{ type: Optional }] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class SphereComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const result = new Mesh(new SphereGeometry(model.radius, model.widthSegments, model.heightSegments), new MeshBasicMaterial({ color: 0xff0000 }));
        result.name = 'Sphere';
        result.position.copy(model.center);
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        entity.position.copy(model.center);
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new SphereModel(new Vector3(0, 0, 0), 20, 32, 32, 0, 2 * Math.PI, 0, 0);
    }
}
SphereComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-sphere',
                template: "<p>\n  sphere works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
SphereComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class RingComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const result = new Mesh(new RingGeometry(model.innerRadius, model.outerRadius, model.thetaSegments, model.phiSegments), new MeshNormalMaterial({ side: DoubleSide, wireframe: true }));
        result.name = 'ring';
        result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        entity.position.copy(model.center);
        entity.geometry = new RingGeometry(model.innerRadius, model.outerRadius, model.thetaSegments, model.phiSegments);
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new RingModel(new Vector3(0, 0, 0), 29.9, 30);
    }
}
RingComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-ring',
                template: "<ng-content></ng-content>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
RingComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ObjLoaderComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const loader = new OBJLoader();
        /** @type {?} */
        let result = new Group();
        loader.load('../../../../../resource/ceberus/Cebrus.obj', (/**
         * @param {?} loadMesh
         * @return {?}
         */
        loadMesh => {
            loadMesh.position.copy(model.center);
            result = loadMesh;
        }));
        // const result = new Mesh();
        // result.name = '';
        // result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        entity.position.copy(model.center);
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new OBJModel(new Vector3(0, 0, 0));
    }
}
ObjLoaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-obj-loader',
                template: "<p>\n  obj-loader works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ObjLoaderComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// https://github.com/mrdoob/three.js/blob/master/examples/js/loaders/OBJLoader.js
class VRMLLoader {
    /**
     * @param {?=} manager
     */
    constructor(manager) {
        // for IndexedFaceSet support
        this.isRecordingPoints = false;
        this.isRecordingFaces = false;
        this.points = [];
        this.indexes = [];
        // for Background support
        this.isRecordingAngles = false;
        this.isRecordingColors = false;
        this.angles = [];
        this.colors = [];
        this.crossOrigin = 'anonymous';
        this.defines = {};
        this.index = [];
        this.float_pattern = /(\b|\-|\+)([\d\.e]+)/;
        this.float2_pattern = /([\d\.\+\-e]+)\s+([\d\.\+\-e]+)/g;
        this.float3_pattern = /([\d\.\+\-e]+)\s+([\d\.\+\-e]+)\s+([\d\.\+\-e]+)/g;
        this.textureLoader = new TextureLoader(this.manager);
        this.manager = DefaultLoadingManager;
        // console.log('manager: ', this.manager);
    }
    /**
     * @param {?} url
     * @param {?} onLoad
     * @param {?=} onProgress
     * @param {?=} onError
     * @return {?}
     */
    load(url, onLoad, onProgress, onError) {
        /** @type {?} */
        let path = this.path === undefined ? LoaderUtils.extractUrlBase(url) : this.path;
        /** @type {?} */
        let loader = new FileLoader(this.manager);
        loader.setPath(this.path);
        loader.load(url, (/**
         * @param {?} text
         * @return {?}
         */
        text => {
            // console.log('data: ', text);
            // console.log('the scene', this.parse(text, path));
            onLoad(this.parse(text, path));
        }), onProgress, onError);
    }
    /**
     * @param {?} value
     * @return {?}
     */
    setPath(value) {
        this.path = value;
        // let geometry = Object.create(BufferGeometry.prototype)
    }
    /**
     * @param {?} data
     * @param {?} path
     * @return {?}
     */
    parse(data, path) {
        console.log('run parse');
        // console.log('data: ', data);
        this.textureLoader
            .setPath(this.resourcePath || path)
            .setCrossOrigin(this.crossOrigin);
        // console.log('texture: ', this.textureLoader);
        this.scene = new Scene();
        this.lines = data.split('\n');
        // console.log('lines: ', this.lines);
        for (let i = this.lines.length - 1; i > -1; i--) {
            /** @type {?} */
            let line = this.lines[i];
            line = line.replace(/(#.*)/, '');
            if (/{.*[{\[]/.test(line)) {
                /** @type {?} */
                let parts = line
                    .split('{')
                    .join('{\n')
                    .split('\n');
                // parts.unshift(1);
                // parts.unshift(i);
                /** @type {?} */
                let part = [1, i, ...parts];
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            else if (/\].*}/.test(line)) {
                // split lines with ]..}
                /** @type {?} */
                let parts = line
                    .split(']')
                    .join(']\n')
                    .split('\n');
                // parts.unshift( 1 );
                // parts.unshift( i );
                /** @type {?} */
                let part = [1, i, ...parts];
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            if (/}.*}/.test(line)) {
                // split lines with }..}
                /** @type {?} */
                let parts = line
                    .split('}')
                    .join('}\n')
                    .split('\n');
                /** @type {?} */
                let part = [1, i, ...parts];
                // parts.unshift(1);
                // parts.unshift(i);
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            if (/^\b[^\s]+\b$/.test(line.trim())) {
                this.lines[i + 1] = line + ' ' + this.lines[i + 1].trim();
                this.lines.splice(i, 1);
            }
            else if (line.indexOf('coord') > -1 &&
                line.indexOf('[') < 0 &&
                line.indexOf('{') < 0) {
                this.lines[i] += 'Coordinate {}';
            }
        }
        // console.log('lines: ', this.lines);
        /** @type {?} */
        let header = this.lines.shift();
        // console.log('header: ', header);
        if (/V1.0/.exec(header)) {
            console.warn('THREE.VRMLLoader: V1.0 not supported yet.');
        }
        else if (/V2.0/.exec(header)) {
            this.parseV2(this.lines, this.scene);
        }
        return this.scene;
        // return new Group();
    }
    /**
     * @param {?} value
     * @return {?}
     */
    setResuorcePath(value) {
        this.resourcePath = value;
    }
    /**
     * @param {?} value
     * @return {?}
     */
    setCrossOrigin(value) {
        this.crossOrigin = value;
    }
    /**
     * @param {?} materials
     * @return {?}
     */
    setMaterials(materials) { }
    /**
     * @return {?}
     */
    _createParserState() { }
    /**
     * Vertically paints the faces interpolating between the
     * specified colors at the specified angels. This is used for the Background
     * node, but could be applied to other nodes with multiple faces as well.
     *
     * When used with the Background node, default is directionIsDown is true if
     * interpolating the skyColor down from the Zenith. When interpolationg up from
     * the Nadir i.e. interpolating the groundColor, the directionIsDown is false.
     *
     * The first angle is never specified, it is the Zenith (0 rad). Angles are specified
     * in radians. The geometry is thought a sphere, but could be anything. The color interpolation
     * is linear along the Y axis in any case.
     *
     * You must specify one more color than you have angles at the beginning of the colors array.
     * This is the color of the Zenith (the top of the shape).
     *
     * @private
     * @param {?} lines
     * @param {?} scene
     * @return {?}
     */
    parseV2(lines, scene) {
        console.log('run parseV2');
        this.parseNode(this.getTree(lines), scene);
        // console.log('defines', this.defines['deur']);
    }
    /**
     * @private
     * @param {?} geometry
     * @param {?} radius
     * @param {?} angles
     * @param {?} colors
     * @param {?} topDown
     * @return {?}
     */
    paintFaces(geometry, radius, angles, colors, topDown) {
        /** @type {?} */
        let direction = topDown === true ? 1 : -1;
        /** @type {?} */
        let coord = [];
        /** @type {?} */
        let A = new Vector2();
        /** @type {?} */
        let B = new Vector2();
        /** @type {?} */
        let applyColor = false;
        for (let k = 0; k < angles.length; k++) {
            /** @type {?} */
            let vec = {
                x: direction * (Math.cos(angles[k]) * radius),
                y: direction * (Math.sin(angles[k]) * radius),
            };
            coord.push(vec);
        }
        /** @type {?} */
        let index = geometry.index;
        /** @type {?} */
        let positionAttribute = geometry.attributes.position;
        /** @type {?} */
        let colorAttribute = new BufferAttribute(new Float32Array(geometry.attributes.position.count * 3), 3);
        /** @type {?} */
        let position = new Vector3();
        /** @type {?} */
        let color = new Color();
        for (let i = 0; i < index.count; i++) {
            /** @type {?} */
            let vertexIndex = index.getX(i);
            position.fromBufferAttribute((/** @type {?} */ (positionAttribute)), vertexIndex);
            for (let j = 0; j < colors.length; j++) {
                if (j === 0) {
                    A.x = 0;
                    A.y = topDown === true ? radius : -1 * radius;
                }
                else {
                    A.x = coord[j - 1].x;
                    A.y = coord[j - 1].y;
                }
                B = coord[j];
                if (B !== undefined) {
                    applyColor =
                        topDown === true
                            ? position.y <= A.y && position.y > B.y
                            : position.y >= A.y && position.y < B.y;
                    if (applyColor === true) {
                        /** @type {?} */
                        let aColor = colors[j];
                        /** @type {?} */
                        let bColor = colors[j + 1];
                        /** @type {?} */
                        let t = Math.abs(position.y - A.y) / (A.y - B.y);
                        color.copy(aColor).lerp(bColor, t);
                        colorAttribute.setXYZ(vertexIndex, color.r, color.g, color.b);
                    }
                    else {
                        /** @type {?} */
                        let colorIndex = topDown === true ? colors.length - 1 : 0;
                        /** @type {?} */
                        let c = colors[colorIndex];
                        colorAttribute.setXYZ(vertexIndex, c.r, c.g, c.b);
                    }
                }
            }
        }
        geometry.addAttribute('color', colorAttribute);
    }
    /**
     * @private
     * @param {?} node
     * @param {?} line
     * @return {?}
     */
    parseProperty(node, line) {
        // console.log('reg');
        /** @type {?} */
        let parts = [];
        /** @type {?} */
        let part;
        /** @type {?} */
        let property = {};
        /** @type {?} */
        let fieldName;
        // /**
        //  * Expression for matching relevant information, such as a name or value, but not the separators
        //  * @type {RegExp}
        //  */
        /** @type {?} */
        let regex = /[^\s,\[\]]+/g;
        /** @type {?} */
        let point;
        while (null !== (part = regex.exec(line))) {
            parts.push(part[0]);
        }
        fieldName = parts[0];
        switch (fieldName) {
            case 'skyAngle':
            case 'groundAngle':
                this.recordingFieldname = fieldName;
                this.isRecordingAngles = true;
                this.angles = [];
                break;
            case 'color':
            case 'skyColor':
            case 'groundColor':
                this.recordingFieldname = fieldName;
                this.isRecordingColors = true;
                this.colors = [];
                break;
            case 'point':
            case 'vector':
                this.recordingFieldname = fieldName;
                this.isRecordingPoints = true;
                this.points = [];
                break;
            case 'colorIndex':
            case 'coordIndex':
            case 'normalIndex':
            case 'texCoordIndex':
                this.recordingFieldname = fieldName;
                this.isRecordingFaces = true;
                this.indexes = [];
                break;
        }
        if (this.isRecordingFaces) {
            if (parts.length > 0) {
                for (let ind = 0; ind > parts.length; ind++) {
                    if (!/(-?\d+)/.test(parts[ind])) {
                        continue;
                    }
                    if (parts[ind] === '-1') {
                        if (this.index.length > 0) {
                            this.indexes.push(this.index);
                        }
                        this.index = [];
                    }
                    else {
                        this.index.push(parseInt(parts[ind]));
                    }
                }
            }
            if (/]/.exec(line)) {
                if (this.index.length > 0) {
                    this.indexes.push(this.index);
                }
                this.index = [];
                this.isRecordingFaces = false;
                node[this.recordingFieldname] = this.indexes;
            }
        }
        else if (this.isRecordingPoints) {
            if (node.nodeType === 'Coordinate') {
                while (null !== (parts = this.float3_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    this.points.push(point);
                }
            }
            if (node.nodeType === 'Normal') {
                while (null !== (parts = this.float3_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    this.points.push(point);
                }
            }
            if (node.nodeType === 'TextureCoordinate') {
                while (null !== (parts = this.float2_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                    };
                    this.points.push(point);
                }
            }
            if (/]/.exec(line)) {
                this.isRecordingPoints = false;
                node.points = this.points;
            }
        }
        else if (this.isRecordingAngles) {
            if (parts.length > 0) {
                for (let ind = 0; ind < parts.length; ind++) {
                    if (!this.float_pattern.test(parts[ind])) {
                        continue;
                    }
                    this.angles.push(parseFloat(parts[ind]));
                }
            }
            if (/]/.exec(line)) {
                this.isRecordingAngles = false;
                node[this.recordingFieldname] = this.angles;
            }
        }
        else if (this.isRecordingColors) {
            while (null !== (parts = this.float3_pattern.exec(line))) {
                /** @type {?} */
                let color = {
                    r: parseFloat(parts[1]),
                    g: parseFloat(parts[2]),
                    b: parseFloat(parts[3]),
                };
                this.colors.push(color);
            }
            if (/]/.exec(line)) {
                this.isRecordingColors = false;
                node[this.recordingFieldname] = this.colors;
            }
        }
        else if (parts[parts.length - 1] !== 'NULL' && fieldName !== 'children') {
            switch (fieldName) {
                case 'duffuseColor':
                case 'emissiveColor':
                case 'specularColor':
                case 'color':
                    if (parts.length !== 4) {
                        console.warn('Three.VRMLLoader: Invalid color format detected for %s', fieldName);
                        break;
                    }
                    property = {
                        r: parseFloat(parts[1]),
                        g: parseFloat(parts[2]),
                        b: parseFloat(parts[3]),
                    };
                    break;
                case 'location':
                case 'direction':
                case 'translation':
                case 'scale':
                case 'size':
                    if (parts.length !== 4) {
                        console.warn('THREE.VRMLLoader: Invalid vector format detected for %s', fieldName);
                        break;
                    }
                    property = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    break;
                case 'intensity':
                case 'cutOffAngle':
                case 'radius':
                case 'topRadius':
                case 'height':
                case 'transparency':
                case 'shininess':
                case 'ambientIntensity':
                case 'creaseAngle':
                    if (parts.length !== 2) {
                        console.warn('THREE.VRMLLoader: Invalid single float value specification detected for %s.', fieldName);
                        break;
                    }
                    property = parseFloat(parts[1]);
                    break;
                case 'rotation':
                    if (parts.length !== 5) {
                        console.warn('THREE.VEMLLoader: Invalid quaternion format detected for %s.', fieldName);
                        break;
                    }
                    property = parseFloat(parts[1]);
                    break;
                case 'rotation':
                    if (parts.length !== 5) {
                        console.warn('THREE.VRMLLoader: Invalid quaternion format detected for %s.', fieldName);
                        break;
                    }
                    property = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                        w: parseFloat(parts[4]),
                    };
                    break;
                case 'on':
                case 'ccw':
                case 'solid':
                case 'colorPerVertex':
                case 'convex':
                    if (parts.length !== 2) {
                        console.warn('THREE.VRMLLoader: Invalid format detected for %s.', fieldName);
                        break;
                    }
                    property = parts[1] === 'TRUE' ? true : false;
                    break;
            }
            node[fieldName] = property;
        }
        return property;
    }
    /**
     * @private
     * @param {?} lines
     * @return {?}
     */
    getTree(lines) {
        console.log('run getTree');
        // console.log('lines: ', lines);
        /** @type {?} */
        let tree = { string: 'Scene', children: [] };
        /** @type {?} */
        let current = tree;
        /** @type {?} */
        let matches;
        /** @type {?} */
        let specification;
        for (let i = 0; i < lines.length; i++) {
            // console.log('tree: ', tree);
            /** @type {?} */
            let comment = '';
            /** @type {?} */
            let line = lines[i];
            if (null !== /^\s+?$/g.exec(line)) {
                // console.log('reg1');
                continue;
            }
            line = line.trim();
            if (line === '') {
                // console.log('current line: ', lines[i]);
                // console.log('reg2: ', i);
                continue;
            }
            if (/#/.exec(line)) {
                // console.log('reg3');
                /** @type {?} */
                let parts = line.split('#');
                // console.log('parts: ', parts );
                line = parts[0];
                comment = parts[1];
            }
            if ((matches = /([^\s]*){1}(?:\s+)?{/.exec(line))) {
                // console.log('reg4');
                /** @type {?} */
                let block = {
                    nodeType: matches[1],
                    string: line,
                    parent: current,
                    children: [],
                    comment: comment,
                };
                current.children.push(block);
                // console.log('children: ', current);
                // console.log('tree1: ', tree);
                current = block;
                // console.log('block: ', block);
                // console.log('current: ',current);
                // let current1 = block; // #TODO: can not get the current.parent in ts
                if (/}/.exec(line)) {
                    // console.log('reg');
                    specification = /{(.*)}/.exec(line)[1];
                    block.children.push(specification);
                    this.parseProperty(current, specification);
                    current = ((/** @type {?} */ (current))).parent;
                }
                // tree.children.push(block);
            }
            else if (/}/.exec(line)) {
                // console.log('reg5');
                // #TODO: can not get the current.parent in ts
                // current = current.parent;
                current = ((/** @type {?} */ (current))).parent;
            }
            else if (line !== '') {
                console.log('reg6');
                this.parseProperty(current, line);
                current.children.push(line);
            }
        }
        console.log('tree: ', tree);
        return tree;
    }
    /**
     * @param {?} data
     * @param {?} parent
     * @return {?}
     */
    parseNode(data, parent) {
        console.log('run parseNode');
        // console.log('tree: ', data);
        // console.log(data.coordIndex);
        // let object: AmbientLight | PointLight | SpotLight | Object3D;
        /** @type {?} */
        let object;
        if (typeof data === 'string') {
            if (/USE/.exec(data)) {
                /** @type {?} */
                let defineKey = /USE\s+?([^\s]+)/.exec(data)[1];
                if (undefined === this.defines[defineKey]) {
                    console.warn('THREE.VRMLLoader: %s is not defined', defineKey);
                }
                else {
                    if (/appearance/.exec(data) && defineKey) {
                        parent.material = this.defines[defineKey].clone();
                    }
                    else if (/geometry/.exec(data) && defineKey) {
                        parent.geometry = this.defines[defineKey].clone();
                        if (this.defines[defineKey].solid !== undefined &&
                            this.defines[defineKey].solid === false) {
                            parent.geometry.solid = false;
                            parent.material.side = DoubleSide;
                        }
                    }
                    else if (defineKey) {
                        object = this.defines[defineKey].clone();
                        parent.add(object);
                    }
                }
            }
            return;
        }
        object = parent;
        if (data.string.indexOf('AmbientLight') > -1 &&
            data.nodeType === 'PointLight') {
            data.nodeType = 'AmbientLight';
        }
        /** @type {?} */
        let l_visible = data.on !== undefined ? data.on : true;
        /** @type {?} */
        let l_intensity = data.intensity !== undefined ? data.intensity : 1;
        /** @type {?} */
        let l_color = new Color();
        if (data.color) {
            l_color.copy(data.color);
        }
        if (data.nodeType === 'AmbientLight') {
            object = new AmbientLight(l_color, l_intensity);
            object.visible = l_visible;
            parent.add(object);
        }
        else if (data.nodeType === 'PointLight') {
            /** @type {?} */
            let l_distance = 0;
            if (data.radius !== undefined && data.radius < 1000) {
                l_distance = data.radius;
            }
            object = new PointLight(l_color, l_intensity, l_distance);
            object.visible = l_visible;
            parent.add(object);
        }
        else if (data.nodeType === 'SpotLight') {
            /** @type {?} */
            let l_intensity = 1;
            /** @type {?} */
            let l_distance = 0;
            /** @type {?} */
            let l_angle = Math.PI / 3;
            /** @type {?} */
            let l_penumbra = 0;
            /** @type {?} */
            let l_visible = true;
            if (data.radius !== undefined && data.radius < 1000) {
                l_distance = data.radius;
            }
            if (data.cutOffAngle !== undefined) {
                l_angle = data.cutOffAngle;
            }
            object = new SpotLight(l_color, l_intensity, l_distance, l_angle, l_penumbra);
            object.visible = l_visible;
            parent.add(object);
        }
        else if (data.nodeType === 'Transform' || data.nodeType === 'Group') {
            object = new Object3D();
            if (/DEF/.exec(data.string)) {
                object.name = /DEF\s+([^\s]+)/.exec(data.string)[1];
                this.defines[object.name] = object;
            }
            if (data.translation !== undefined) {
                /** @type {?} */
                let t = data.translation;
                object.position.set(t.x, t.y, t.z);
            }
            if (data.rotation !== undefined) {
                /** @type {?} */
                let r = data.rotation;
                object.quaternion.setFromAxisAngle(new Vector3(r.x, r.y, r.z), r.w);
            }
            if (data.scale !== undefined) {
                /** @type {?} */
                let s = data.scale;
                object.scale.set(s.x, s.y, s.z);
            }
            parent.add(object);
        }
        else if (data.nodeType === 'Shape') {
            object = new Mesh();
            if (/DEF/.exec(data.string)) {
                object.name = /DEF\s+([^\s]+)/.exec(data.string)[1];
                this.defines[object.name] = object;
            }
            parent.add(object);
        }
        else if (data.nodeType === 'Background') {
            /** @type {?} */
            let segments = 20;
            /** @type {?} */
            let radius = 2e4;
            /** @type {?} */
            let skyGeometry = new SphereBufferGeometry(radius, segments, segments);
            /** @type {?} */
            let skyMaterial = new MeshBasicMaterial({ fog: false, side: BackSide });
            if (data.skyColor.length > 1) {
                this.paintFaces(skyGeometry, radius, data.skyAngle, data.skyColor, true);
                skyMaterial.vertexColors = VertexColors;
            }
            else {
                /** @type {?} */
                let color = data.skyColor[0];
                // r b g in origin three.js
                skyMaterial.color.setRGB(color.r, color.g, color.b);
            }
            this.scene.add(new Mesh(skyGeometry, skyMaterial));
            if (data.groundColor !== undefined) {
                radius = 1.2e4;
                /** @type {?} */
                let groundGeometry = new SphereBufferGeometry(radius, segments, segments, 0, 2 * Math.PI, 0.5 * Math.PI, 1.5 * Math.PI);
                /** @type {?} */
                let groundMaterial = new MeshBasicMaterial({
                    fog: false,
                    side: BackSide,
                    vertexColors: VertexColors,
                });
                this.paintFaces(groundGeometry, radius, data.groundAngle, data.groundColor, false);
                this.scene.add(new Mesh(groundGeometry, groundMaterial));
            }
        }
        else if (/geometry/.exec(data.string)) {
            // console.log(data.nodeType);
            // console.log('geometry');
            if (data.nodeType === 'Box') {
                // console.log('Box');
                /** @type {?} */
                let s = data.size;
                parent.geometry = new BoxBufferGeometry(s.x, s.y, s.z);
            }
            else if (data.nodeType === 'Cylinder') {
                console.log('Cylinder');
                parent.geometry = new CylinderBufferGeometry(data.radius, data.radius, data.heigjt);
            }
            else if (data.nodeType === 'Cone') {
                console.log('Cone');
                parent.geometry = new CylinderBufferGeometry(data.topRadius, data.bottomRadius, data.height);
            }
            else if (data.nodeType === 'Sphere') {
                // console.log('Sphere');
                parent.geometry === new SphereBufferGeometry(data.radius);
                // } else if (data.nodeType === 'IndexedFaceSet') {
            }
            else if (data.nodeType === 'IndexedFaceSet1') {
                // console.log('data coordIndex', data.coordIndex);
                // console.log('IndexFaceSet');
                /** @type {?} */
                let geometry = new BufferGeometry();
                // console.log('geometry',geometry);
                /** @type {?} */
                let positions = [];
                /** @type {?} */
                let colors = [];
                /** @type {?} */
                let normals = [];
                /** @type {?} */
                let uvs = [];
                /** @type {?} */
                let position;
                /** @type {?} */
                let color;
                /** @type {?} */
                let normal;
                /** @type {?} */
                let uv;
                /** @type {?} */
                let i;
                /** @type {?} */
                let il;
                /** @type {?} */
                let j;
                /** @type {?} */
                let jl;
                for (i = 0, il = data.children.length; i < il; i++) {
                    /** @type {?} */
                    let child = data.children[i];
                    // uvs
                    if (child.nodeType === 'TextureCoordinate') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                uv = child.points[j];
                                uvs.push(uv.x, uv.y);
                            }
                        }
                    }
                    // normals
                    if (child.nodeType === 'Normal') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                normal = child.points[j];
                                normals.push(normal.x, normal.y, normal.z);
                            }
                        }
                    }
                    // colors
                    if (child.nodeType === 'Color') {
                        if (child.color) {
                            for (j = 0, jl = child.color.length; j < jl; j++) {
                                color = child.color[j];
                                colors.push(color.r, color.g, color.b);
                            }
                        }
                    }
                    // positions
                    if (child.nodeType === 'Coordinate') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                position = child.points[j];
                                positions.push(position.x, position.y, position.z);
                            }
                        }
                        if (child.string.indexOf('DEF') > -1) {
                            /** @type {?} */
                            let name = /DEF\s+([^\s]+)/.exec(child.string)[1];
                            this.defines[name] = positions.slice(0);
                        }
                        if (child.string.indexOf('USE') > -1) {
                            /** @type {?} */
                            let defineKey = /USE\s+([^\s]+)/.exec(child.string)[1];
                            positions = this.defines[defineKey];
                        }
                    }
                }
                if (data.coordIndex) {
                    // if (false) {
                    // console.log('data coorIndex:',data.coordIndex);
                    /** @type {?} */
                    let positionIndexes = data.coordIndex
                        ? this.triangulateIndexArray(data.coordIndex, data.ccw)
                        : [];
                    /** @type {?} */
                    let normalIndexes = data.normalIndex
                        ? this.triangulateIndexArray(data.normalIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    let colorIndexes = data.colorIndex
                        ? this.triangulateIndexArray(data.texCoordIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    let uvIndexes = data.texCoordIndex
                        ? this.triangulateIndexArray(data.texCoordIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    let newIndexes = [];
                    /** @type {?} */
                    let newPositions = [];
                    /** @type {?} */
                    let newNormals = [];
                    /** @type {?} */
                    let newColors = [];
                    /** @type {?} */
                    let newUvs = [];
                    /** @type {?} */
                    let pointMap = Object.create(null);
                    for (i = 0; i < positionIndexes.length; i++) {
                        /** @type {?} */
                        let pointAttributes = [];
                        /** @type {?} */
                        let positionIndex = positionIndexes[i];
                        /** @type {?} */
                        let normalIndex = normalIndexes[i];
                        /** @type {?} */
                        let colorIndex = colorIndexes[i];
                        /** @type {?} */
                        let uvIndex = uvIndexes[i];
                        /** @type {?} */
                        let base = 10;
                        pointAttributes.push(positionIndex.toString(base));
                        if (normalIndex !== undefined) {
                            pointAttributes.push(normalIndex.toString(base));
                        }
                        if (colorIndex !== undefined) {
                            pointAttributes.push(colorIndex.toString(base));
                        }
                        if (uvIndex !== undefined) {
                            pointAttributes.push(uvIndex.toString(base));
                        }
                        /** @type {?} */
                        let pointId = pointAttributes.join('.');
                        /** @type {?} */
                        let newIndex = pointMap[pointId];
                        if (newIndex === undefined) {
                            newIndex = newPositions.length / 3;
                            pointMap[pointId] = newIndex;
                            newPositions.push(positions[positionIndex * 3], positions[positionIndex * 3 + 1], positions[positionIndex * 3 + 2]);
                            if (normalIndex !== undefined && normals.length > 0) {
                                newNormals.push(normals[normalIndex * 3], normals[normalIndex * 3 + 1], normals[normalIndex * 3 + 2]);
                            }
                            if (colorIndex !== undefined && colors.length > 0) {
                                newColors.push(colors[colorIndex * 3], colors[colorIndex * 3 + 1], colors[colorIndex * 3 + 2]);
                            }
                            if (uvIndex !== undefined && uvs.length > 0) {
                                newUvs.push(uvs[uvIndex * 2], uvs[uvIndex * 2 + 1]);
                            }
                        }
                        newIndexes.push(newIndex);
                    }
                    positions = newPositions;
                    normals = newNormals;
                    colors = newColors;
                    uvs = newUvs;
                    geometry.setIndex(newIndexes);
                }
                else {
                    // do not add dummy mesh to the scene
                    parent.parent.remove(parent);
                }
                if (false === data.solid) {
                    parent.material.side = DoubleSide;
                }
                // #TODO: Class BufferGeometry in ts does not have the attribute of solid
                // geometry.solid = data.solid;
                geometry.addAttribute('position', new Float32BufferAttribute(position, 3));
                if (colors.length > 0) {
                    geometry.addAttribute('color', new Float32BufferAttribute(colors, 3));
                    parent.material.VertexColors = VertexColors;
                }
                if (uvs.length > 0) {
                    geometry.addAttribute('uv', new Float32BufferAttribute(uvs, 2));
                }
                if (normals.length > 0) {
                    geometry.addAttribute('normal', new Float32BufferAttribute(normal, 3));
                }
                else {
                    geometry = geometry.toNonIndexed();
                    geometry.computeVertexNormals();
                }
                geometry.computeBoundingSphere();
                if (/DEF/.exec(data.string)) {
                    geometry.name = /DEF ([^\s]+)/.exec(data.string)[1];
                    this.defines[geometry.name] = geometry;
                }
                parent.geometry = geometry;
            }
            return;
        }
        else if (/appearance/.exec(data.string)) {
            for (let i = 0; i < data.children.length; i++) {
                /** @type {?} */
                let child = data.children[i];
                if (child.nodeType === 'Material') {
                    /** @type {?} */
                    let material = new MeshPhongMaterial();
                    if (child.diffuseColor !== undefined) {
                        /** @type {?} */
                        let d = child.diffuseColor;
                        material.color.setRGB(d.r, d.g, d.b);
                    }
                    if (child.emissiveColor !== undefined) {
                        /** @type {?} */
                        let e = child.emissiveColor;
                        material.emissive.setRGB(e.r, e.g, e.b);
                    }
                    if (child.specularColor !== undefined) {
                        /** @type {?} */
                        let s = child.specularColor;
                        material.specular.setRGB(s.r, s.g, s.b);
                    }
                    if (child.transparency !== undefined) {
                        /** @type {?} */
                        let t = child.transparency;
                        material.opacity = Math.abs(1 - t);
                        material.transparent = true;
                    }
                    if (/DEF/.exec(data.string)) {
                        material.name = /DEF ([^\s]+)/.exec(data.string)[1];
                        this.defines[material.name] = material;
                    }
                    parent.material = material;
                }
                if (child.nodeType === 'ImageTexture') {
                    /** @type {?} */
                    let textureName = /"([^"]+)"/.exec(child.children[0]);
                    if (textureName) {
                        parent.material.name = textureName[1];
                        parent.material.map = this.textureLoader.load(textureName[1]);
                    }
                }
            }
            return;
        }
        for (let i = 0, l = data.children.length; i < l; i++) {
            // console.log('i: ', i);
            // console.log('p');
            this.parseNode(data.children[i], object);
        }
    }
    /**
     * @private
     * @param {?} indexArray
     * @param {?} ccw
     * @param {?=} colorPerVertex
     * @return {?}
     */
    triangulateIndexArray(indexArray, ccw, colorPerVertex = true) {
        // #TODO: colorPerVertex has no default value in js?
        if (ccw === undefined) {
            ccw = true;
        }
        /** @type {?} */
        let triangulatedIndexArray = [];
        /** @type {?} */
        let skip = 0;
        for (let i = 0; i < indexArray.length; i++) {
            if (colorPerVertex === false) {
                /** @type {?} */
                let colorIndices = indexArray[i];
                for (let j = 0; j < colorIndices.length; j++) {
                    /** @type {?} */
                    let index = colorIndices[j];
                    triangulatedIndexArray.push(index, index, index);
                }
            }
            else {
                /** @type {?} */
                let indexedFace = indexArray[i];
                skip = 0;
                while (indexedFace.length >= 3 && skip < indexedFace.length - 2) {
                    /** @type {?} */
                    let i1 = indexedFace[0];
                    /** @type {?} */
                    let i2 = indexedFace[skip + (ccw ? 1 : 2)];
                    /** @type {?} */
                    let i3 = indexedFace[skip + (ccw ? 2 : 1)];
                    triangulatedIndexArray.push(i1, i2, i3);
                    skip++;
                }
            }
        }
        return triangulatedIndexArray;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class VrmlLoaderComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const loader = new VRMLLoader();
        /** @type {?} */
        let result = new Scene();
        loader.load('/home/vince/source/imageW/ImageW/projects/image-w/resource/MedicalShow2.vrml', (/**
         * @param {?} scene
         * @return {?}
         */
        scene => {
            scene.position.copy(model.center);
            result = scene;
        }));
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        entity.position.copy(model.center);
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new VRMLModel(new Vector3(0, 0, 0));
    }
}
VrmlLoaderComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-vrml-loader',
                template: "<p>\n  vrml-loader works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
VrmlLoaderComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShapeComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        // const result = new Points(new ShapeGeometry(model.shapes),
        //   new PointsMaterial({size: 1.0})
        // );
        /** @type {?} */
        const geo = new Geometry();
        for (let i = 0; i < model.shapes.length; i++) {
            /** @type {?} */
            const pos = this.sceneService.clientPosition2ScenePosition(model.shapes[i]);
            // pos = this.sceneService.clientSize2SceneSize(pos);
            geo.vertices.push(new Vector3(pos.x, pos.y, 0));
        }
        geo.vertices.push(new Vector3(this.sceneService.clientPosition2ScenePosition(model.shapes[0]).x, this.sceneService.clientPosition2ScenePosition(model.shapes[0]).y, 0));
        /** @type {?} */
        const result = new Line(geo, new LineBasicMaterial({ color: 0xffff00, linewidth: 1 }));
        result.name = 'user-defined';
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        // const shape = new Shape();
        // shape.absarc(0, 0, 20, 0, 0.5 * Math.PI, true);
        /** @type {?} */
        const geo = new Geometry();
        for (let i = 0; i < model.shapes.length; i++) {
            /** @type {?} */
            const pos = this.sceneService.clientPosition2ScenePosition(model.shapes[i]);
            // pos = this.sceneService.clientSize2SceneSize(pos);
            geo.vertices.push(new Vector3(pos.x, pos.y, 0));
        }
        geo.vertices.push(new Vector3(this.sceneService.clientPosition2ScenePosition(model.shapes[0]).x, this.sceneService.clientPosition2ScenePosition(model.shapes[0]).y, 0));
        entity.geometry = geo;
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        /** @type {?} */
        const shapeTemp = [];
        shapeTemp.push(new Vector2(-5, 5));
        shapeTemp.push(new Vector2(-5, -5));
        shapeTemp.push(new Vector2(5, -5));
        shapeTemp.push(new Vector2(5, 5));
        shapeTemp.push(new Vector2(-5, 5));
        return new UserDefinedModel(shapeTemp);
    }
}
ShapeComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-shape',
                template: "<p>\n  shape works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ShapeComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ProfileComponent extends EntityComponent {
    /**
     * @param {?} sceneService
     * @param {?} renderer
     */
    constructor(sceneService, renderer) {
        super(sceneService, renderer);
        this._increment = 10;
        this.start = 0;
    }
    /**
     * @param {?} inc
     * @return {?}
     */
    set increment(inc) {
        this._increment = inc;
    }
    /**
     * @return {?}
     */
    get increment() {
        return this._increment;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    createEntity(model) {
        /** @type {?} */
        const geo = new Geometry();
        for (let i = 0; i < model.points.length; i++) {
            geo.vertices.push(new Vector3(this.start + i * this._increment, model.points[i], 0));
        }
        /** @type {?} */
        const result = new Line(geo, new LineBasicMaterial({ color: 'red' }));
        result.name = 'profile1d';
        return result;
    }
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    updateEntity(model, entity) {
        /** @type {?} */
        const geo = new Geometry();
        for (let i = 0; i < model.points.length; i++) {
            geo.vertices.push(new Vector3(this.start + i * this._increment, model.points[i], 0));
        }
        entity.geometry = geo;
        return entity;
    }
    /**
     * @return {?}
     */
    defaultModel() {
        return new ProfileModel([0, 5, 10, 15, 20, 15, 10, 5, 0]);
    }
}
ProfileComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-profile',
                template: "",
                styles: [""]
            }] }
];
/** @nocollapse */
ProfileComponent.ctorParameters = () => [
    { type: SceneService },
    { type: RendererService }
];
ProfileComponent.propDecorators = {
    increment: [{ type: Input }],
    start: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} ctx
 * @param {?} start
 * @param {?} end
 * @param {?=} theta
 * @param {?=} headlen
 * @param {?=} width
 * @param {?=} color
 * @return {?}
 */
function drawArrow(ctx, start, end, theta = 30, headlen = 10, width = 1, color = 'red') {
    /** @type {?} */
    const angle = (Math.atan2(start.y - end.y, start.x - end.x) * 180) / Math.PI;
    /** @type {?} */
    const angle1 = ((angle + theta) * Math.PI) / 180;
    /** @type {?} */
    const angle2 = ((angle - theta) * Math.PI) / 180;
    /** @type {?} */
    const topX = headlen * Math.cos(angle1);
    /** @type {?} */
    const topY = headlen * Math.sin(angle1);
    /** @type {?} */
    const botX = headlen * Math.cos(angle2);
    /** @type {?} */
    const botY = headlen * Math.sin(angle2);
    ctx.save();
    ctx.beginPath();
    /** @type {?} */
    let arrowX;
    /** @type {?} */
    let arrowY;
    ctx.moveTo(start.x, start.y);
    ctx.lineTo(end.x, end.y);
    arrowX = end.x + topX;
    arrowY = end.y + topY;
    ctx.moveTo(arrowX, arrowY);
    ctx.lineTo(end.x, end.y);
    arrowX = end.x + botX;
    arrowY = end.y + botY;
    ctx.lineTo(arrowX, arrowY);
    ctx.strokeStyle = color;
    ctx.lineWidth = width;
    ctx.stroke();
    ctx.restore();
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class InfoComponent {
    /**
     * @param {?} renderer
     * @param {?} el
     */
    constructor(renderer, el) {
        this.renderer = renderer;
        this.el = el;
        // model = new RingModel(new Vector3(0, 0, 0), 29.9, 30);
        this.canvas_width = 300;
        this.canvas_height = 300;
        this.infoSubject = new BehaviorSubject(['hello']);
        this.positionSubject = new BehaviorSubject(new Vector2(this.canvas_width / 2, this.canvas_height / 2));
        this.distance = 10;
        this.info$ = this.infoSubject.asObservable();
        this.position$ = this.positionSubject.asObservable();
        this.arrow_enable = true;
        this.cans = (/** @type {?} */ (this.renderer.createElement('canvas')));
        this.cans.height = this.canvas_height;
        this.cans.width = this.canvas_width;
        this.ctx = this.cans.getContext('2d');
        this.ctx.fillStyle = 'red';
        this.ctx.fillText('txt', 100, 100);
        this.renderer.appendChild(this.el.nativeElement, this.cans);
        /** @type {?} */
        const drawer = combineLatest(this.info$, this.position$)
            .pipe(map((/**
         * @param {?} d
         * @return {?}
         */
        d => {
            // console.log('position', d[1]);
            /** @type {?} */
            const p = this.getDirection(d[1]);
            if (this.arrow_enable) {
                /** @type {?} */
                const start = new Vector2(((d[1].x + 40) / 80) * 300, ((d[1].y + 30) / 60) * 300);
                /** @type {?} */
                const end = new Vector2(p.x - 5, p.y - 5);
                // console.log('p',p);
                this.ctx.clearRect(0, 0, this.canvas_width, this.canvas_height);
                drawArrow(this.ctx, start, end);
            }
            /** @type {?} */
            let k = 0;
            while (k < d[0].length) {
                this.ctx.fillText(d[0][k], 
                // this.info_position.x,
                p.x, 
                // this.info_position.y + k * this.distance,
                p.y + k * this.distance);
                k++;
            }
        })))
            .subscribe((/**
         * @return {?}
         */
        () => this.renderer.appendChild(this.el.nativeElement, this.cans)), console.error);
        // this.getDirection(this.position);
        // this.info$
        //   .pipe(
        //     map(i => {
        //       this.ctx.clearRect(0, 0, this.canvas_width, this.canvas_height);
        //       let k = 0;
        //       while (k < i.length) {
        //         this.ctx.fillText(
        //           i[k],
        //           this.info_position.x,
        //           this.info_position.y + k * this.distance,
        //         );
        //         k++;
        //       }
        //     }),
        //   )
        //   .subscribe(
        //     () => this.renderer.appendChild(this.el.nativeElement, this.cans),
        //     console.error,
        //   );
    }
    /**
     * @return {?}
     */
    get info() {
        return this.infoSubject.value;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    set info(i) {
        this.infoSubject.next(i);
    }
    /**
     * @return {?}
     */
    get position() {
        return this.positionSubject.value;
    }
    /**
     * @param {?} p
     * @return {?}
     */
    set position(p) {
        this.positionSubject.next(p);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngAfterViewInit() {
        //   this.getDirection(this.position);
        //   const cans = this.renderer.createElement('canvas') as HTMLCanvasElement;
        //   cans.height = this.canvas_height;
        //   cans.width = this.canvas_width;
        //   const ctx = cans.getContext('2d');
        //   ctx.lineWidth = 0.5;
        //   ctx.fillStyle = 'tomato';
        //   ctx.font = '10px Microsoft JhengHei';
        //   let i = 0;
        //   while (i < this.info.length) {
        //     ctx.fillText(
        //       this.info[i],
        //       this.info_position.x,
        //       this.info_position.y + i * this.distance,
        //     );
        //     i++;
        //   }
        //   // this.renderer.appendChild(this.el.nativeElement, cans);
        //   // ctx.clearRect(0,0,300,300);
        //   // this.renderer.appendChild(this.el.nativeElement, this.cans);
    }
    /**
     * @param {?} position
     * @return {?}
     */
    getDirection(position) {
        /** @type {?} */
        const w = this.canvas_width;
        /** @type {?} */
        const h = this.canvas_height;
        /** @type {?} */
        const x = ((position.x + 40) / 80) * 300;
        // scence position to client position
        /** @type {?} */
        const y = ((position.y + 30) / 60) * 300;
        // console.log('p', position, x, y);
        /** @type {?} */
        let result;
        if (
        // bottom-right
        (y <= h / 6 && x <= w / 6) || // (1,1)
            (y >= h / 6 && y <= h / 2 && x >= h / 6 && x <= h / 2) // (2,2)
        ) {
            this.info_position = new Vector2(x + w / 6, y + h / 6);
            this.arrow_position = new Vector2(x + w / 6, y + h / 6);
            result = new Vector2(x + w / 6, y + h / 6);
        }
        else if (
        // bottom-left
        (y <= h / 6 && x >= (w / 6) * 5) || // (1,4)
            (y >= h / 6 && y <= h / 2 && x > w / 2 && x <= (w / 6) * 5) // (2,3)
        ) {
            this.info_position = new Vector2(x - w / 6, y + h / 6);
            this.arrow_position = new Vector2(x - w / 6, y + h / 6);
            result = new Vector2(x - w / 6, y + h / 6);
        }
        else if (
        // top-right
        (y >= (h / 6) * 5 && x <= w / 6) || // (4,1)
            (y > h / 2 && y <= (h / 6) * 5 && x >= h / 6 && x <= h / 2) // (3,2)
        ) {
            this.info_position = new Vector2(x + w / 6, y - h / 6);
            this.arrow_position = new Vector2(x + w / 6, y - h / 6);
            result = new Vector2(x + w / 6, y - h / 6);
        }
        else if (
        // top-left
        (y >= (h / 6) * 5 && x >= (w / 6) * 5) || // (4,4)
            (y >= h / 2 && y < (h / 6) * 5 && x >= w / 2 && x < (w / 6) * 5) // (3,4)
        ) {
            this.info_position = new Vector2(x - w / 6, y - h / 6);
            this.arrow_position = new Vector2(x - w / 6, y - h / 6);
            result = new Vector2(x - w / 6, y - h / 6);
        }
        else if (
        // right
        y > h / 6 &&
            y < (h / 6) * 5 &&
            x <= w / 6 // (2,1) && (3,1)
        ) {
            this.info_position = new Vector2(x + w / 6, y);
            this.arrow_position = new Vector2(x + w / 6, y);
            result = new Vector2(x + w / 6, y);
        }
        else if (
        // left
        y > h / 6 &&
            y < (h / 6) * 5 &&
            x >= (w / 6) * 5 // (2,4) && (3,4)
        ) {
            this.info_position = new Vector2(x - w / 6, y);
            this.arrow_position = new Vector2(x - w / 6, y);
            result = new Vector2(x - w / 6, y);
        }
        else if (
        // top
        y >= (h / 6) * 5 &&
            x > w / 6 &&
            x < (w / 6) * 5 // (4,2) && (4,3)
        ) {
            this.info_position = new Vector2(x, y - h / 6);
            this.arrow_position = new Vector2(x, y - h / 6);
            result = new Vector2(x, y - h / 6);
        }
        else if (
        // bottom
        y <= h / 6 &&
            x > w / 6 &&
            x < (w / 6) * 5 // (1,2) && (1,3)
        ) {
            this.info_position = new Vector2(x, y + h / 6);
            this.arrow_position = new Vector2(x, y + h / 6);
            result = new Vector2(x, y + h / 6);
        }
        return result;
    }
}
InfoComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-info',
                template: "<!-- <div> -->\n  <!-- <p>000000000000000000000000000000</p> -->\n  <!-- <ng3-ring id = \"border\" [model]='model'></ng3-ring> -->\n  <!-- <canvas id = \"border\"></canvas> -->\n<!-- </div> -->\n",
                styles: ["canvas{position:absolute;width:100;height:100;z-index:15;pointer-events:none}"]
            }] }
];
/** @nocollapse */
InfoComponent.ctorParameters = () => [
    { type: Renderer2 },
    { type: ElementRef }
];
InfoComponent.propDecorators = {
    info: [{ type: Input }],
    position: [{ type: Input }],
    arrow_enable: [{ type: Input }],
    info_style: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class EventDistributeComponent {
    /**
     * @param {?} canvasService
     * @param {?} mouse
     */
    constructor(canvasService, mouse) {
        this.canvasService = canvasService;
        this.mouse = mouse;
        this.stop = new Subject();
        this.fovs = new EventEmitter();
        this.domElement = this.canvasService.domElement;
        // readonly eventHandler = this.distribution.eventHandler;
        // readonly fovHandler = this.distribution.fovHandler;
        this.eventHandler = {
            ring: { enable: false, tag: 'drag' },
            line: { enable: false, tag: 'drag' },
            crossline: { enable: false, tag: 'drag' },
            fov: { enable: true, tag: 'stop drag' },
        };
        this.fovHandler = {
            fov1: { enable: false, tag: 'drag' },
            fov2: { enable: false, tag: 'drag' },
            fov3: { enable: false, tag: 'drag' },
        };
        this.crossline = new CrosslineController(this.eventHandler.crossline.enable, this.multiCanvas, this.entityStore);
        this.ring = new RingContrller(this.eventHandler.ring.enable, this.multiCanvas, this.entityStore);
        this.mouse.downWithButton$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        e => {
            e.original.preventDefault();
            if (this.eventHandler.crossline.enable) {
                this.crossline.activate();
                this.crossline.onMouseDown(e.position);
            }
            if (this.eventHandler.ring.enable) {
                this.ring.activate();
                this.ring.onMouseDown(e.position);
            }
            if (this.eventHandler.fov.enable) {
                this.fov.activate();
                this.fov.onMouseDown(e.position, this.fovHandler);
            }
        }), console.error);
        this.mouse.position$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        e => {
            this.crossline.onMouseMove(e);
            this.ring.onMouseMove(e);
            this.fov.onMouseMove(e);
            /** @type {?} */
            let fovsV = {
                fov1: this.fov.fovs[0],
                fov2: this.fov.fovs[1],
                fov3: this.fov.fovs[2],
            };
            this.fovs.emit(fovsV);
        }), console.error);
        this.mouse.up$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        e => {
            this.crossline.deactivate();
            this.ring.deactivate();
            this.fov.deactivate();
        }), console.error);
        // this.mouse.wheel$
        //   .pipe(takeUntil(this.stop))
        //   .subscribe(e => console.log('wheel', e), console.error);
        // this.mouse.leave$
        //   .pipe(takeUntil(this.stop))
        //   .subscribe(e => console.log('leave', e), console.error);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngAfterContentInit() {
        this.fov = new FovController(this.eventHandler.fov.enable, this.multiCanvas, this.entityStore);
        this.crossline = new CrosslineController(this.eventHandler.crossline.enable, this.multiCanvas, this.entityStore);
        this.ring = new RingContrller(this.eventHandler.ring.enable, this.multiCanvas, this.entityStore);
    }
}
EventDistributeComponent.decorators = [
    { type: Component, args: [{
                selector: 'ng3-event-distribute',
                template: "<p>\n  event-distribute works!\n</p>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
EventDistributeComponent.ctorParameters = () => [
    { type: CanvasService },
    { type: MouseCanvasService }
];
EventDistributeComponent.propDecorators = {
    fovs: [{ type: Output }],
    eventHandler: [{ type: Input }],
    fovHandler: [{ type: Input }],
    entityStore: [{ type: Input }],
    multiCanvas: [{ type: Input }]
};
class MouseController$1 {
    /**
     * @param {?} eventEnbable
     */
    constructor(eventEnbable) {
        this.eventEnbable = eventEnbable;
        this._activated = false;
        this.origin = new Vector2();
        this.start = new Vector2();
        this.end = new Vector2();
        this.delta = new Vector2();
        this.delta2 = new Vector2();
    }
    /**
     * @return {?}
     */
    get activated() {
        if (this.eventEnbable) ;
        return this._activated;
    }
    /**
     * @return {?}
     */
    activate() {
        this._activated = true;
    }
    /**
     * @return {?}
     */
    deactivate() {
        this._activated = false;
    }
    // onMouseDown(position: Vector2) {
    //   if (this.activated) {
    //     this.start.set(position.x, position.y);
    //     this.origin.set(position.x, position.y);
    //   }
    // }
    /**
     * @return {?}
     */
    onMouseUp() {
        this.deactivate();
    }
}
class FovController extends MouseController$1 {
    /**
     * @param {?} eventEnable
     * @param {?} multiCanvas
     * @param {?} entityStore
     */
    constructor(eventEnable, multiCanvas, entityStore) {
        super(eventEnable);
        this.multiCanvas = multiCanvas;
        this.entityStore = entityStore;
        this.onBox = 'inside';
        this.fovs = [
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
        ];
    }
    /**
     * @return {?}
     */
    onMouseWheel() { }
    /**
     * @param {?} position
     * @param {?} fovHandler
     * @return {?}
     */
    onMouseDown(position, fovHandler) {
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
        this.fovHandler = fovHandler;
        /** @type {?} */
        let i = 0;
        if (fovHandler.fov3.enable) {
            i = 2;
        }
        if (fovHandler.fov2.enable) {
            i = 1;
        }
        if (fovHandler.fov1.enable) {
            i = 0;
        }
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.entityStore.fovsOnCanvas(c, (/**
             * @param {?} fovs
             * @return {?}
             */
            fovs => {
                if (fovs[i] === undefined) {
                    return;
                }
                this.boxController = new Boundingbox2Controller(((/** @type {?} */ (fovs[i].model))).box, 0.1);
                this.onBox = this.boxController.onWhichAreabox(position);
            }));
        }));
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        this.delta2.subVectors(this.end, this.origin);
        // this.boxController = new Boundingbox2Controller(
        //   new BoundingBox2FromCenterSize(this.origin, new Vector2(20, 20)),
        //   0.1,
        // );
        // this.dragFov(this.start);
        if (this.fovHandler.fov1.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 0);
        }
        if (this.fovHandler.fov2.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 1);
        }
        if (this.fovHandler.fov3.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 2);
        }
        // this.fovEvent(this.origin, this.delta, this.delta2, 0);
        this.start.copy(this.end);
    }
    /**
     * @param {?} current
     * @return {?}
     */
    dragFov(current) {
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.entityStore.fovOnCanvas(c, (/**
             * @param {?} fov
             * @return {?}
             */
            fov => {
                // console.log(current, fov.box.size);
                this.entityStore.updateFov({
                    id: fov.id,
                    model: Object.assign({}, ((/** @type {?} */ (fov.model))), { box: new BoundingBox2FromCenterSize(current, ((/** @type {?} */ (fov.model))).box.size) }),
                });
            }));
        }));
    }
    /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @param {?} i
     * @return {?}
     */
    fovEvent(origin, delta, current, i) {
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.entityStore.fovsOnCanvas(c, (/**
             * @param {?} fovs
             * @return {?}
             */
            fovs => {
                if (fovs[i] === undefined) {
                    return;
                }
                // this.entityStore.fovOnCanvas(c, fovS => {
                // console.log(current, fov.box.size);
                // this.boxController = new Boundingbox2Controller(fov.box, 0.1);
                // console.log('fovs', fovs[i]);
                /** @type {?} */
                let fov = (/** @type {?} */ (fovs[i].model));
                this.fovs[i] = (/** @type {?} */ (fov.box));
                // let current = new Vector2();
                // let scale = new Vector2(10, 10);
                // console.log(delta2);
                // delta2.sub(scale);
                // console.log(delta2);
                // current.addVectors(fov.box.center, delta2);
                // console.log(current);
                switch (this.onBox) {
                    case 'inside': // drag
                        this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: Object.assign({}, fov, { box: new BoundingBox2FromCenterSize(current, fov.box.size) }),
                        });
                        break;
                    case 'left': // resize
                        this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: Object.assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left + delta.x, fov.box.right, fov.box.top, fov.box.bottom) }),
                        });
                        break;
                    case 'right':
                        this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: Object.assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right + delta.x, fov.box.top, fov.box.bottom) }),
                        });
                        break;
                    case 'top':
                        this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: Object.assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right, fov.box.top + delta.y, fov.box.bottom) }),
                        });
                        break;
                    case 'bottom':
                        this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: Object.assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right, fov.box.top, fov.box.bottom + delta.y) }),
                        });
                        break;
                    case 'none':
                        break;
                }
            }));
        }));
    }
}
class CrosslineController extends MouseController$1 {
    /**
     * @param {?} eventEnable
     * @param {?} multiCanvas
     * @param {?} entityStore
     */
    constructor(eventEnable, multiCanvas, entityStore) {
        super(eventEnable);
        this.multiCanvas = multiCanvas;
        this.entityStore = entityStore;
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseDown(position) {
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
    }
    /**
     * @return {?}
     */
    onMouseWheel() { }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        // console.log(this.start);
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        // console.log(this.multiCanvas.componentCanvasSubject.value);
        // console.log(this.multiCanvas.selectedSubject.value);
        // this.multiCanvas.mapSelectedCanvas(c => console.log(c));
        this.dragCrossline(this.start);
        this.start.copy(this.end);
    }
    /**
     * @param {?} current
     * @return {?}
     */
    dragCrossline(current) {
        // console.log(this.multiCanvas);
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            if (c !== undefined) {
                this.entityStore.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                crossline => {
                    if (crossline === undefined) {
                        return;
                    }
                    /** @type {?} */
                    let position;
                    switch (crossline.view) {
                        case 'x':
                            position = new Vector3(crossline.position.x, current.x, current.y);
                            break;
                        case 'y':
                            position = new Vector3(current.x, crossline.position.y, current.y);
                            break;
                        case 'z':
                            position = new Vector3(current.x, current.y, crossline.position.z);
                            break;
                        default:
                    }
                    this.entityStore.updateCrosslines({
                        model: Object.assign({}, crossline, { position: position }),
                    });
                    // this.entityStoreService.updateCrosslineEntity({
                    //   canvasId: c,
                    //   model: {
                    //     ...crossline,
                    //     position: position,
                    //   },
                    // });
                }));
            }
        }));
    }
}
class RingContrller extends MouseController$1 {
    /**
     * @param {?} eventEnable
     * @param {?} multiCanvas
     * @param {?} entityStore
     */
    constructor(eventEnable, multiCanvas, entityStore) {
        super(eventEnable);
        this.multiCanvas = multiCanvas;
        this.entityStore = entityStore;
        this.onBox = 'inside';
    }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseDown(position) {
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.entityStore.ringOnCanvas(c, (/**
             * @param {?} ring
             * @return {?}
             */
            ring => {
                if (ring === undefined) {
                    return;
                }
                this.boxController = new Boundingbox2Controller(new BoundingBox2FromCenterSize(new Vector2(ring.center.x, ring.center.y), new Vector2(ring.outerRadius * 2, ring.outerRadius * 2)), 0.1);
                this.onBox = this.boxController.onWhichAreabox(position);
            }));
        }));
    }
    /**
     * @return {?}
     */
    onMouseWheel() { }
    /**
     * @param {?} position
     * @return {?}
     */
    onMouseMove(position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.origin);
        // this.ResizeRing(this.origin, this.delta);
        this.dragRing(this.origin, this.delta, this.end);
        this.start.copy(this.end);
    }
    /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @return {?}
     */
    dragRing(origin, delta, current) {
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStore.ringOnCanvas(c, (/**
         * @param {?} ring
         * @return {?}
         */
        ring => {
            switch (this.onBox) {
                case 'inside':
                    this.entityStore.updateRingEntity({
                        canvasId: c,
                        model: Object.assign({}, ring, { center: new Vector3(current.x, current.y, 0) }),
                    });
                    break;
                case 'left':
                case 'right':
                case 'top':
                case 'bottom':
                case 'none':
                    /** @type {?} */
                    const d = new Vector2();
                    d.subVectors(new Vector2(ring.center.x, ring.center.y), current);
                    /** @type {?} */
                    const circleRadius = Math.sqrt(Math.pow(d.x, 2) + Math.pow(d.y, 2));
                    this.entityStore.updateRingEntity({
                        canvasId: c,
                        model: new RingModel(new Vector3(ring.center.x, ring.center.y, 0), circleRadius, circleRadius + 0.001),
                    });
                    break;
            }
        }))));
    }
    /**
     * @param {?} origin
     * @param {?} delta
     * @return {?}
     */
    ResizeRing(origin, delta) {
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            /** @type {?} */
            const circleRadius = Math.sqrt(Math.pow(delta.x, 2) + Math.pow(delta.y, 2));
            this.entityStore.updateRingEntity({
                canvasId: c,
                model: new RingModel(new Vector3(origin.x, origin.y, 0), circleRadius, circleRadius + 0.001),
            });
        }));
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import { LocalImageLoaderComponent } from './loader/local-image-loader/local-image-loader.component';
// import { ColormapComponent } from './utils/colormap/colormap.component';
// import { DirectionComponent } from './utils/direction/direction.component';
// import { WindowComponent } from './utils/window/window.component';
class NgThreeModule {
}
NgThreeModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    CanvasComponent,
                    LineComponent,
                    CubeComponent,
                    PlaneComponent,
                    OrthographicCameraComponent,
                    MouseEntityComponent,
                    ControlsComponent,
                    ResizePlaneComponent,
                    MovePlaneComponent,
                    ResizePlaneEdgeComponent,
                    ResizePlaneCornerComponent,
                    OrbitControlsComponent,
                    PerspectiveCameraComponent,
                    SphereComponent,
                    CircleComponent,
                    RingComponent,
                    ObjLoaderComponent,
                    ProfileComponent,
                    VrmlLoaderComponent,
                    ShapeComponent,
                    ToolEntityComponent,
                    CrossLineComponent,
                    InfoComponent,
                    EventDistributeComponent,
                    FovComponent,
                    VolumeRenderingComponent
                ],
                providers: [EntitiesService, EntityStoreService],
                imports: [CommonModule],
                exports: [
                    CanvasComponent,
                    CubeComponent,
                    LineComponent,
                    PlaneComponent,
                    OrthographicCameraComponent,
                    MouseEntityComponent,
                    ResizePlaneComponent,
                    MovePlaneComponent,
                    OrbitControlsComponent,
                    PerspectiveCameraComponent,
                    SphereComponent,
                    CircleComponent,
                    RingComponent,
                    ObjLoaderComponent,
                    VrmlLoaderComponent,
                    ShapeComponent,
                    ProfileComponent,
                    ToolEntityComponent,
                    CrossLineComponent,
                    InfoComponent,
                    EventDistributeComponent,
                    FovComponent,
                    VolumeRenderingComponent
                ],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T, R
 * @param {?} source
 * @param {?} fetcher
 * @return {?}
 */
function fetchCommonValue(source, fetcher) {
    if (source.length === 0) {
        return undefined;
    }
    if (source.length === 1) {
        return fetcher(source[0]);
    }
    if (fetcher(source[0]) !== fetcher(source[1])) {
        return undefined;
    }
    else {
        return fetchCommonValue(source.slice(1, source.length), fetcher);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class WindowComponent {
    constructor() {
        this.width = 1.0;
        this.widthChange = new EventEmitter();
        this.level = 0.5;
        this.levelChange = new EventEmitter();
        this.widthlevelChange = new EventEmitter();
    }
    /**
     * @param {?} images
     * @return {?}
     */
    set related(images) {
        this.setInputToDefault(images);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
    /**
     * @param {?} width
     * @return {?}
     */
    updateWidth(width) {
        this.width = width;
        if (this.width !== undefined) {
            this.widthChange.emit(this.width);
        }
    }
    /**
     * @param {?} level
     * @return {?}
     */
    updateLevel(level) {
        this.level = level;
        if (this.level !== undefined) {
            this.levelChange.emit(this.level);
        }
    }
    /**
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    updateWidthLevel(width, level) {
        // updateWidthLevel(widthlevel: Vector2) {
        // this.width = widthlevel.x;
        // this.level = widthlevel.y;
        this.width = width;
        this.level = level;
        if (this.width && this.level !== undefined) {
            this.widthlevelChange.emit({ width: this.width, level: this.level });
        }
    }
    /**
     * @param {?} source
     * @return {?}
     */
    parse(source) {
        return parseFloat(source);
    }
    /**
     * @private
     * @param {?} images
     * @return {?}
     */
    setInputToDefault(images) {
        if (images.length === 0) {
            return;
        }
        this.updateWidth(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.filter.width)));
        this.updateLevel(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.filter.level)));
        this.updateWidthLevel(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.filter)).width, fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.filter)).level);
    }
}
WindowComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-window',
                template: "<!--<div (click)=\"changeValue()\">-->\n<div class=\"window\">\n  <div>\n    <label for=\"width\" class=\"labelLength\">Width:</label>\n    <input\n      type=\"number\"\n      id=\"width\"\n      class=\"inputValue\"\n      step=\"0.05\"\n      #widthInput\n      (change)=\"updateWidthLevel(parse(levelInput.value),parse(widthInput.value))\"\n      [value]=\"width\"\n    />\n  </div>\n  <div>\n    <label for=\"level\" class=\"labelLength\">Level:</label>\n    <input\n      type=\"number\"\n      id=\"level\"\n      class=\"inputValue\"\n      [step]=\"0.05\"\n      #levelInput\n      (change)=\"updateWidthLevel(parse(widthInput.value),parse(levelInput.value))\"\n      [value]=\"level\"\n    />\n  </div>\n</div>\n\n",
                styles: [".window{display:flex}.inputValue{width:80px}.labelLength{width:50px}"]
            }] }
];
/** @nocollapse */
WindowComponent.ctorParameters = () => [];
WindowComponent.propDecorators = {
    width: [{ type: Input }],
    widthChange: [{ type: Output }],
    level: [{ type: Input }],
    levelChange: [{ type: Output }],
    widthlevelChange: [{ type: Output }],
    related: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class DirectionComponent {
    constructor() {
        this.maxFrame = '100';
        this.choseFrame = '1';
        this.choseFrame$ = new Subject();
        this.direction = 'z';
        this.directionChange = new EventEmitter();
        this.sliceIndex = 1;
        this.sliceIndexChange = new EventEmitter();
    }
    /**
     * @param {?} images
     * @return {?}
     */
    set related(images) {
        this.setInputToDefault(images);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @return {?}
     */
    ngOnDestroy() { }
    /**
     * @private
     * @param {?} images
     * @return {?}
     */
    setInputToDefault(images) {
        if (images.length === 0) {
            return;
        }
        this.changeDirection(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.slicer.direction)));
        this.changeSliceIndex(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.slicer.index)));
        this.setDefaultFrame(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.slicer.max)), fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        (s) => s.slicer.index)));
    }
    /**
     * @param {?} d
     * @return {?}
     */
    changeDirection(d) {
        if (d === this.direction) {
            return;
        }
        this.direction = d;
        if (d !== undefined) {
            this.directionChange.emit(d);
        }
    }
    /**
     * @param {?} source
     * @return {?}
     */
    parse(source) {
        return parseInt(source, 10);
    }
    /**
     * @param {?} slice
     * @return {?}
     */
    changeSliceIndex(slice) {
        if (slice === this.sliceIndex) {
            return;
        }
        this.sliceIndex = slice;
        if (slice !== undefined) {
            this.sliceIndexChange.emit(slice);
        }
    }
    /**
     * @param {?} max
     * @param {?} chose
     * @return {?}
     */
    setDefaultFrame(max, chose) {
        this.maxFrame = max.toString();
        this.choseFrame = chose.toString();
    }
}
DirectionComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-direction',
                template: "<div class=\"divC\">\n  <label>Slice direction</label>\n  <select\n    #directionSelect\n    (change)=\"changeDirection(directionSelect.value)\"\n    [value]=\"direction\"\n  >\n    <option value=\"x\">Transverse</option>\n    <option value=\"y\">Coronal</option>\n    <option value=\"z\">Sagittal</option>\n  </select>\n</div>\n\n<div class=\"slidecontainer\">\n  <label for=\"myRange\">Frame: {{sliceIndex}}</label>\n  <input\n    type=\"range\"\n    class=\"slider\"\n    id=\"myRange\"\n    min=\"0\"\n    [max]=\"maxFrame\"\n    step=\"1\"\n    #input\n    [value]=\"choseFrame\"\n    (change)=\"\n      changeSliceIndex(parse(input.value))\n    \"\n  />\n</div>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
DirectionComponent.ctorParameters = () => [];
DirectionComponent.propDecorators = {
    direction: [{ type: Input }],
    directionChange: [{ type: Output }],
    sliceIndex: [{ type: Input }],
    sliceIndexChange: [{ type: Output }],
    related: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ColormapComponent {
    constructor() {
        this.colormapSubject = new BehaviorSubject(Colormaps.GRAY);
        this.colormap$ = this.colormapSubject.asObservable();
        this.colormapName$ = this.colormap$.pipe(map((/**
         * @param {?} c
         * @return {?}
         */
        (c) => (c === undefined ? undefined : c.name))));
        this.colormapChange = new EventEmitter();
        this.colormap$
            .pipe(filter((/**
         * @param {?} c
         * @return {?}
         */
        (c) => c !== undefined)))
            .subscribe((/**
         * @param {?} c
         * @return {?}
         */
        (c) => this.colormapChange.emit(c)), (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @param {?} c
     * @return {?}
     */
    set colormap(c) {
        this.colormapSubject.next(c);
    }
    /**
     * @return {?}
     */
    get colormap() {
        return this.colormapSubject.value;
    }
    /**
     * @param {?} images
     * @return {?}
     */
    set related(images) {
        this.setInputToDefault(images);
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.colormapSubject.complete();
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
    /**
     * @param {?} name
     * @return {?}
     */
    onChangeSelect(name) {
        switch (name) {
            case 'gray':
                this.colormap = Colormaps.GRAY;
                break;
            case 'hot':
                this.colormap = Colormaps.HOT;
                break;
            default:
                this.colormap = undefined;
        }
    }
    /**
     * @param {?} images
     * @return {?}
     */
    setInputToDefault(images) {
        if (images.length === 0) {
            return;
        }
        this.colormap = fetchCommonValue(images, (/**
         * @param {?} image
         * @return {?}
         */
        (image) => image.colormap));
    }
}
ColormapComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-colormap',
                template: "<div class=\"divC\">\n  <label>colormap</label>\n  <select\n    #colormapSelect\n    [value]=\"colormapName$ | async\"\n    (change)=\"onChangeSelect(colormapSelect.value)\"\n  >\n    <option value=\"gray\">Gray</option>\n    <option value=\"hot\">Hot</option>\n  </select>\n</div>\n",
                styles: [".divC{white-space:nowrap;display:inline}.window{display:inline;white-space:nowrap}.inputValue{width:80px}.labelLength{width:50px}"]
            }] }
];
/** @nocollapse */
ColormapComponent.ctorParameters = () => [];
ColormapComponent.propDecorators = {
    colormap: [{ type: Input }],
    colormapChange: [{ type: Output }],
    related: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Image2dComponent {
    constructor() {
        this.imageSubject = new BehaviorSubject({
            image: new RGBImage2(new Vector2(0, 0), new Vector2(10, 10), new Vector2(1, 1), new Uint8Array([255]), new Uint8Array([255]), new Uint8Array([255])),
            rotation: new Vector3(0, 0, 0),
        });
        this.image$ = this.imageSubject.asObservable();
        this.z = 0;
        // @Output() scroll = new EventEmitter<number>();
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.model$ = this.image$.pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        (image) => {
            return new Plane2Model(new BoundingBox2FromCenterSize(image.image.meta.center, image.image.meta.size), 10, {
                r: new Uint8Array(image.image.r),
                g: new Uint8Array(image.image.g),
                b: new Uint8Array(image.image.b),
                shape: new Vector2(image.image.meta.shape.x, image.image.meta.shape.y),
            }, image.rotation);
        })));
        this.model$.subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        (e) => console.error(e)));
    }
    /**
     * @return {?}
     */
    get image() {
        return this.imageSubject.value;
    }
    /**
     * @param {?} s
     * @return {?}
     */
    set image(s) {
        if (s === undefined || s === null) {
            throw Error('Can not set Display2DProperty with null');
        }
        this.imageSubject.next(s);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onWheelEvent(e) {
        this.scroll.emit(e);
    }
    /**
     * @param {?} d
     * @return {?}
     */
    onDragEvent(d) {
        this.drag.emit(d);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
Image2dComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-image2d',
                template: "<ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n  <ng3-mouse-entity\n    (wheel)=\"onWheelEvent($event)\"\n    (drag)=\"onDragEvent($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
Image2dComponent.ctorParameters = () => [];
Image2dComponent.propDecorators = {
    image: [{ type: Input }],
    z: [{ type: Input }],
    scroll: [{ type: Output }],
    drag: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageState {
    /**
     * @param {?} id
     * @param {?=} image
     * @param {?=} colormap
     * @param {?=} slicer
     * @param {?=} filter
     * @param {?=} minMax
     * @param {?=} rotation
     */
    constructor(id, image = new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 1, 0), new Vector3(1, 1, 0), new Float32Array([1])), colormap = Colormaps.GRAY, slicer = new Slicer(), filter = new GrayImage2WindowFilter(1, 0), minMax = new Vector2(0, 1.0), rotation = new Vector3(0, 0, 0)) {
        this.id = id;
        this.image = image;
        this.colormap = colormap;
        this.slicer = slicer;
        this.filter = filter;
        this.minMax = minMax;
        this.rotation = rotation;
    }
}
class EntityState {
    /**
     * @param {?} canvasId
     * @param {?} id
     * @param {?} model
     * @param {?=} color
     */
    constructor(canvasId, id, model, color = new Color(60, 179, 113)) {
        this.canvasId = canvasId;
        this.id = id;
        this.model = model;
        this.color = color;
    }
}
class CanvasState {
    /**
     * @param {?} id
     */
    constructor(id) {
        this.id = id;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Image3dComponent {
    /**
     * @param {?} sceneService
     */
    constructor(sceneService) {
        this.sceneService = sceneService;
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.resize = 'canvas';
        this.pos = new Vector3(0, 0, 0);
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.stateSubject = new BehaviorSubject(initialImageTest2State());
        this.state$ = this.stateSubject.asObservable();
        this.z = 0;
        this.image$ = combineLatest(this.state$, this.box$).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        (x) => this.getDisplay2DProperty(x[0], x[1]))));
    }
    /**
     * @return {?}
     */
    get box() {
        return this.boxSubject.value;
    }
    /**
     * @param {?} b
     * @return {?}
     */
    set box(b) {
        this.boxSubject.next(b);
    }
    /**
     * @return {?}
     */
    get image() {
        return this.stateSubject.value;
    }
    /**
     * @param {?} s
     * @return {?}
     */
    set image(s) {
        this.stateSubject.next(s);
    }
    /**
     * @param {?} e
     * @return {?}
     */
    onScroll(e) {
        this.scroll.emit(e);
    }
    /**
     * @param {?} d
     * @return {?}
     */
    onDrag(d) {
        this.drag.emit(d);
    }
    /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    getDisplay2DProperty(state, box) {
        /** @type {?} */
        const imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        const image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        const imageBox = this.imageBox(image2, box);
        /** @type {?} */
        const result = {
            image: new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b),
            rotation: state.rotation,
        };
        return result;
    }
    /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    getImage(state, box) {
        // state.slicer = this.updateSlicer(state, box, cross);
        // this.getImageInfo(state, box, cross);
        /** @type {?} */
        const imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        const image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        const imageBox = this.imageBox(image2, box);
        return new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b);
    }
    /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    imageBox(image, box) {
        switch (this.resize) {
            case 'image':
                return new BoundingBox2FromCenterSize(image.meta.center, image.meta.size);
            case 'fix':
                return box;
            case 'canvas':
                /** @type {?} */
                const sceneSize = this.sceneService.size;
                /** @type {?} */
                const ratio = Math.min(sceneSize.size.x / image.meta.size.x, sceneSize.size.y / image.meta.size.y);
                return new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(image.meta.size.x * ratio, image.meta.size.y * ratio));
        }
    }
}
Image3dComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-image3d',
                template: "<app-image2d\n  [image]=\"image$ | async\"\n  [z]=\"z\"\n  (scroll)=\"onScroll($event)\"\n  (drag)=\"onDrag($event)\"\n></app-image2d>\n",
                styles: ["#topo{position:absolute;top:10px;left:10px;width:600px;height:800px}#topoplaceholder{width:620px;height:820px}#slice{position:absolute;top:10px;left:10px;width:600px;height:600px}.image-viewers-container{flex-wrap:wrap;display:flex}.container{display:-ms-grid;display:grid;-ms-grid-columns:(20%)[5];grid-template-columns:repeat(5,20%);width:100%;height:100%}.header-container{grid-area:head;display:flex;height:50}.utilities-container{background-color:#eee;-ms-grid-column:1;grid-column-start:1;-ms-grid-column-span:1;grid-column-end:2}.viewers-container{grid-column:2/-1;background-color:azure}"]
            }] }
];
/** @nocollapse */
Image3dComponent.ctorParameters = () => [
    { type: SceneService }
];
Image3dComponent.propDecorators = {
    box: [{ type: Input }],
    resize: [{ type: Input }],
    pos: [{ type: Input }],
    scroll: [{ type: Output }],
    drag: [{ type: Output }],
    image: [{ type: Input }],
    z: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class GroupedcrosslineService {
    constructor() {
        this.crosslineSubject = new BehaviorSubject([
            {
                id: 'testLine',
                position: new Vector3(10, 10, 10),
                view: 'x',
                crosslineLength: 2,
            },
        ]);
        this.crosslineMain$ = this.crosslineSubject.asObservable();
        this.tempV3 = new Vector3(0, 0, 0);
    }
    /**
     * @param {?=} z
     * @return {?}
     */
    addCrossLine(z = 0) {
        /** @type {?} */
        const crosslineName = v4();
        this.crosslineSubject.next([
            ...this.crosslineSubject.value,
            {
                id: crosslineName,
                position: new Vector3(10, 10, z),
                view: 'x',
                crosslineLength: 2,
            },
        ]);
        return crosslineName;
    }
    /**
     * @param {?} id
     * @param {?} point2
     * @param {?} view
     * @param {?=} crosslineLength
     * @return {?}
     */
    updatePosition(id, point2, view, crosslineLength = 2) {
        this.crosslineMain$
            .pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        b => {
            this.tempV3 = this.updateViewPos(point2, b[this.lastIndex(b, id)].position, view);
        })))
            .subscribe();
        this.crosslineSubject.next([
            ...this.crosslineSubject.value,
            { id: id, position: this.tempV3, view: view, crosslineLength },
        ]);
    }
    /**
     * @param {?} id
     * @param {?} view
     * @return {?}
     */
    position$(id, view) {
        return this.crosslineMain$.pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        b => this.getPos(b[this.lastIndex(b, id)].position, view))));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    position3$(id) {
        return this.crosslineMain$.pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        b => b[this.lastIndex(b, id)].position)));
    }
    /**
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    getPos(pos3, view) {
        switch (view) {
            case 'x':
                return new Vector2(pos3.y, pos3.x);
            case 'y':
                return new Vector2(pos3.x, pos3.z);
            case 'z':
                return new Vector2(pos3.x, pos3.y);
        }
    }
    /**
     * @param {?} b
     * @param {?} id
     * @return {?}
     */
    lastIndex(b, id) {
        /** @type {?} */
        let indexLast = 0;
        for (let i = 0; i < b.length; i++) {
            if (b[i].id === id) {
                indexLast = i;
            }
        }
        return indexLast;
    }
    /**
     * @param {?} pos2
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    updateViewPos(pos2, pos3, view) {
        /** @type {?} */
        let pos3Temp = pos3;
        switch (view) {
            case 'x':
                pos3Temp = new Vector3(pos3.x, pos2.x, pos2.y);
                break;
            case 'y':
                pos3Temp = new Vector3(pos2.x, pos3.y, pos2.y);
                break;
            case 'z':
                pos3Temp = new Vector3(pos2.x, pos2.y, pos3.z);
                break;
            default:
                pos3Temp = new Vector3(pos3.x, pos2.x, pos2.y);
        }
        return pos3Temp;
    }
}
GroupedcrosslineService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
/** @nocollapse */
GroupedcrosslineService.ctorParameters = () => [];
/** @nocollapse */ GroupedcrosslineService.ngInjectableDef = defineInjectable({ factory: function GroupedcrosslineService_Factory() { return new GroupedcrosslineService(); }, token: GroupedcrosslineService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImagecrosslineComponent {
    /**
     * @param {?} sceneService
     * @param {?} groupCrossLineService
     */
    constructor(sceneService, groupCrossLineService) {
        this.sceneService = sceneService;
        this.groupCrossLineService = groupCrossLineService;
        this.view = 'x';
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.resize = 'canvas';
        this.stateSubject = new BehaviorSubject(initialImageTest2State());
        this.state$ = this.stateSubject.asObservable();
        this.image$ = combineLatest(this.state$, this.box$, this.groupCrossLineService.crosslineMain$).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        (x) => this.getImage(x[0], x[1], x[2]))));
    }
    /**
     * @return {?}
     */
    get box() {
        return this.boxSubject.value;
    }
    /**
     * @param {?} b
     * @return {?}
     */
    set box(b) {
        this.boxSubject.next(b);
    }
    /**
     * @return {?}
     */
    get image() {
        return this.stateSubject.value;
    }
    /**
     * @param {?} s
     * @return {?}
     */
    set image(s) {
        this.stateSubject.next(s);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
    }
    /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    getImage(state, box, cross) {
        state = this.stateUpdate(state, box, cross);
        /** @type {?} */
        const imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        const image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        const imageBox = this.imageBox(image2, box);
        return new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b);
    }
    /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    stateUpdate(state, box, cross) {
        switch (this.resize) {
            case 'image':
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, state.image.meta.size.x, cross[cross.length - 1].position));
                break;
            case 'fix':
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, box.size.x, cross[cross.length - 1].position));
                break;
            case 'canvas':
                /** @type {?} */
                const sceneSize = this.sceneService.size;
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, sceneSize.size.x, cross[cross.length - 1].position));
                break;
        }
        return state;
    }
    /**
     * @param {?} size
     * @param {?} width
     * @param {?} pos
     * @return {?}
     */
    indexUpdate(size, width, pos) {
        /** @type {?} */
        let indexTemp = 0;
        switch (this.view) {
            case 'x':
                indexTemp = Math.floor((pos.z + width / 2) / width * size.z);
                indexTemp = Math.max(Math.min(0, indexTemp), size.z);
                break;
            case 'y':
                indexTemp = Math.floor((pos.x + width / 2) / width * size.x);
                indexTemp = Math.max(Math.min(0, indexTemp), size.x);
                break;
            case 'z':
                indexTemp = Math.floor((pos.y + width / 2) / width * size.y);
                indexTemp = Math.max(Math.min(0, indexTemp), size.y);
                break;
        }
        return indexTemp;
    }
    /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    imageBox(image, box) {
        switch (this.resize) {
            case 'image':
                return new BoundingBox2FromCenterSize(image.meta.center, image.meta.size);
            case 'fix':
                return box;
            case 'canvas':
                /** @type {?} */
                const sceneSize = this.sceneService.size;
                /** @type {?} */
                const ratio = Math.min(sceneSize.size.x / image.meta.size.x, sceneSize.size.y / image.meta.size.y);
                return new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(image.meta.size.x * ratio, image.meta.size.y * ratio));
        }
    }
}
ImagecrosslineComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-imagecrossline',
                template: "<app-image2d\n  [image]=\"image$ | async\"\n></app-image2d>\n",
                styles: [""]
            }] }
];
/** @nocollapse */
ImagecrosslineComponent.ctorParameters = () => [
    { type: SceneService },
    { type: GroupedcrosslineService }
];
ImagecrosslineComponent.propDecorators = {
    view: [{ type: Input }],
    box: [{ type: Input }],
    resize: [{ type: Input }],
    image: [{ type: Input }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageSliceShowModule {
}
ImageSliceShowModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    ColormapComponent,
                    DirectionComponent,
                    WindowComponent,
                    Image3dComponent,
                    Image2dComponent,
                    ImagecrosslineComponent,
                    Image2dGrayComponent
                ],
                imports: [CommonModule, NgThreeModule],
                exports: [
                    ColormapComponent,
                    DirectionComponent,
                    WindowComponent,
                    Image3dComponent,
                    Image2dComponent,
                    NgThreeModule,
                    ImagecrosslineComponent,
                    Image2dGrayComponent
                ],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class GetStackService {
    constructor() {
        this.stack = new ModelsStack();
        this.rows = 190;
        this.columes = 256;
        this.stack._numberOfFrames = 151;
        this.stack.modality = 'unknown';
        for (let i = 1; i <= this.stack._numberOfFrames; i++) {
            /** @type {?} */
            let frame = new ModelsFrame();
            frame.sopInstanceUID = i;
            frame.index = i;
            frame.instanceNumber = i;
            frame.rows = this.rows;
            frame.columns = this.columes;
            frame.pixelSpacing = [1.0, 1.0, 1.0];
            frame.imagePosition = [127.0, 118.0, -57.0];
            // frame.imagePosition = [0, 0, 0];
            frame.pixelData = this.getData(i);
            frame.imageOrientation = [-1.0, -0, 0, -0, -1.0, 0];
            frame.rescaleSlope = 1;
            frame.rescaleIntercept = 0;
            frame.minMax = this.getMinMax(frame.pixelData);
            this.stack.frame.push(frame);
        }
    }
    /**
     * @param {?} k
     * @return {?}
     */
    getData(k) {
        /** @type {?} */
        let data = new Uint8Array(this.rows * this.columes);
        for (let i = 1; i <= data.length; i++) {
            data[i] = k;
        }
        return data;
    }
    /**
     * @param {?} data
     * @return {?}
     */
    getMinMax(data) {
        /** @type {?} */
        let min;
        /** @type {?} */
        let max = 0;
        /** @type {?} */
        let sortData = data.sort();
        min = sortData[0];
        max = sortData[sortData.length - 1];
        return [min, max];
    }
}
GetStackService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
/** @nocollapse */
GetStackService.ctorParameters = () => [];
/** @nocollapse */ GetStackService.ngInjectableDef = defineInjectable({ factory: function GetStackService_Factory() { return new GetStackService(); }, token: GetStackService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class EventDistributeService {
    constructor() {
        // TODO: make a visiable and avaliable entity-list
        this.eventHandler = {
            ring: { enable: false, tag: 'drag' },
            line: { enable: false, tag: 'drag' },
            crossline: { enable: false, tag: 'drag' },
            fov: { enable: true, tag: 'stop drag' },
        };
        this.fovHandler = {
            fov1: { enable: false, tag: 'drag' },
            fov2: { enable: false, tag: 'drag' },
            fov3: { enable: false, tag: 'drag' },
        };
    }
    /**
     * @return {?}
     */
    doDrag() { }
    /**
     * @return {?}
     */
    noDrag() { }
    /**
     * @return {?}
     */
    ifDrag() {
        if (this.eventHandler.ring.enable ||
            this.eventHandler.line.enable ||
            this.eventHandler.crossline.enable ||
            this.eventHandler.fov.enable) {
            this.doDrag();
        }
        else {
            this.noDrag();
        }
    }
    /**
     * @param {?} handleProperty
     * @return {?}
     */
    drag(handleProperty) {
        if (handleProperty.enable) {
            handleProperty.enable = false;
            this.ifDrag();
            handleProperty.tag = 'drag';
        }
        else {
            handleProperty.enable = true;
            this.ifDrag();
            handleProperty.tag = 'stop drag';
        }
    }
    /**
     * @return {?}
     */
    dragRing() {
        this.drag(this.eventHandler.ring);
    }
    /**
     * @return {?}
     */
    dragLine() {
        this.drag(this.eventHandler.line);
    }
    /**
     * @return {?}
     */
    dragCrossline() {
        this.drag(this.eventHandler.crossline);
    }
    /**
     * @return {?}
     */
    dragFov() {
        this.drag(this.eventHandler.fov);
    }
    /**
     * @return {?}
     */
    dragFov1() {
        this.drag(this.fovHandler.fov1);
    }
    /**
     * @return {?}
     */
    dragFov2() {
        this.drag(this.fovHandler.fov2);
    }
    /**
     * @return {?}
     */
    dragFov3() {
        this.drag(this.fovHandler.fov3);
    }
}
EventDistributeService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
/** @nocollapse */
EventDistributeService.ctorParameters = () => [];
/** @nocollapse */ EventDistributeService.ngInjectableDef = defineInjectable({ factory: function EventDistributeService_Factory() { return new EventDistributeService(); }, token: EventDistributeService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class Patient {
    /**
     * @param {?} name
     * @param {?} imageId
     * @param {?} birthday
     * @param {?} sex
     * @param {?} age
     * @param {?} description
     * @param {?} ima
     * @param {?} position
     */
    constructor(name, imageId, birthday, sex, age, description, ima, position) {
        this.name = name;
        this.imageId = imageId;
        this.birthday = birthday;
        this.sex = sex;
        this.age = age;
        this.description = description;
        this.ima = ima;
        this.position = position;
        this.type = 'patient';
    }
}
class Hospital {
    /**
     * @param {?} name
     * @param {?} device
     * @param {?} model
     * @param {?} patientPosition
     */
    constructor(name, device, model, patientPosition) {
        this.name = name;
        this.device = device;
        this.model = model;
        this.patientPosition = patientPosition;
        this.type = 'hospital';
    }
}
class Scale {
    /**
     * @param {?} scale
     * @param {?} direction
     */
    constructor(scale, direction) {
        this.scale = scale;
        this.direction = direction;
        this.type = 'scale';
    }
}
class Physics {
    /**
     * @param {?} voltage
     * @param {?} current
     * @param {?} angle
     * @param {?} depth
     */
    constructor(voltage, current, angle, depth) {
        this.voltage = voltage;
        this.current = current;
        this.angle = angle;
        this.depth = depth;
        this.type = 'physics';
    }
}
class Zoom {
    /**
     * @param {?} window
     * @param {?} level
     * @param {?} zoom
     */
    constructor(window, level, zoom) {
        this.window = window;
        this.level = level;
        this.zoom = zoom;
        this.type = 'zoom';
    }
}
class Ring {
    /**
     * @param {?} center
     * @param {?} Radius
     */
    constructor(center, Radius) {
        this.center = center;
        this.Radius = Radius;
        this.type = 'ring';
        this.area = Math.PI * Radius * Radius;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class CornerInfoService {
    constructor() {
        this.info = new BehaviorSubject(new Ring(new Vector3(0, 0, 0), 20));
        this.info$ = this.info.asObservable();
    }
    /**
     * @return {?}
     */
    top_left_info() {
        return ['AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3];
    }
    /**
     * @return {?}
     */
    top_right_info() {
        return ['x HSP', 'PET-CT', 'Pi-16', 'HFS'];
    }
    /**
     * @return {?}
     */
    bottom_left_info() {
        return [100, 10, 30, 200];
    }
    /**
     * @return {?}
     */
    bottom_right_info() {
        return ['W 350', 'C 50', 'Zoom: 1.00'];
    }
    /**
     * @param {?} update
     * @return {?}
     */
    updateInfo(update) {
        this.info.next(update);
    }
    /**
     * @param {?} id
     * @return {?}
     */
    getPatient(id) {
        return of(new Patient('AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3));
    }
    /**
     * @return {?}
     */
    currentPatient() {
        return of(new Patient('AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3));
    }
    /**
     * @return {?}
     */
    currentHospital() {
        return of(new Hospital('x HSP', 'PET-CT', 'Pi-16', 'HFS'));
    }
    /**
     * @return {?}
     */
    currentScale() {
        return of(new Scale(10, 'R'));
    }
    /**
     * @return {?}
     */
    currentPhysics() {
        return of(new Physics(100, 10, 30, 200));
    }
    /**
     * @return {?}
     */
    currentZoom() {
        return of(new Zoom('W 350', 'C 50', 'Zoom: 1.00'));
    }
    /**
     * @return {?}
     */
    ROI_info() {
        // return of({ area: 'area:100', value: 'value:100' });
        return of(['area:100', 'value:100']);
    }
}
CornerInfoService.decorators = [
    { type: Injectable, args: [{
                providedIn: 'root',
            },] }
];
/** @nocollapse */
CornerInfoService.ctorParameters = () => [];
/** @nocollapse */ CornerInfoService.ngInjectableDef = defineInjectable({ factory: function CornerInfoService_Factory() { return new CornerInfoService(); }, token: CornerInfoService, providedIn: "root" });

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MultiSliceCanvasComponent {
    /**
     * @param {?} service
     * @param {?} imageStoreService
     * @param {?} infoService
     * @param {?} crosslineService
     * @param {?} entityStoreService
     * @param {?} loadService
     * @param {?} distributionService
     * @param {?} getStack
     */
    constructor(service, imageStoreService, infoService, crosslineService, entityStoreService, loadService, distributionService, getStack) {
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.infoService = infoService;
        this.crosslineService = crosslineService;
        this.entityStoreService = entityStoreService;
        this.loadService = loadService;
        this.distributionService = distributionService;
        this.getStack = getStack;
        this.image3Subject = new BehaviorSubject(dummyGrayImage3(new Vector3(100, 100, 100), new Vector3(100, 100, 100)));
        this.image3$ = this.image3Subject.asObservable();
        this.fovs = new EventEmitter();
        this.image2 = dummyGrayImage(new Vector2(10, 10), new Vector2(10, 20));
        this.tomoSize = new Vector2(500, 752);
        this.normalSize = new Vector2(500, 375);
        this.threeDSize = new Vector2(500, 375);
        this.tomoCameraSize = new Vector2(80, 60);
        this.normalCameraSize = new Vector2(80, 60);
        this.threeDCameraSize = new Vector2(400, 400);
        this.tomoCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.tomoCameraSize);
        this.normalCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.normalCameraSize);
        this.threeDCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.threeDCameraSize);
        this.id = v4();
        this.canvasSelected = 'testCanvas';
        this.viewSelected = 'x';
        this.circleSubject = new BehaviorSubject(new CircleModel(new Vector3(0, 0, 0), 10));
        this.ringSubject = new BehaviorSubject(new RingModel(new Vector3(0, 0, 0), 5, 5.001));
        this.circleMain = this.circleSubject.asObservable();
        this.ringMain = this.ringSubject.asObservable();
        this.planeSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)));
        this.planeMain = this.planeSubject.asObservable();
        this.ringModelTemp = new RingModel(new Vector3(0, 0, 0), 3, 3.0001);
        this.shapePos = [];
        this.shapeSubject = new BehaviorSubject(undefined);
        this.shapeMain = this.shapeSubject.asObservable();
        this.canvas$ = this.service.canvasOf(this.id);
        this.profile = [];
        this.profileSubject = new BehaviorSubject(undefined);
        this.profileMain = this.profileSubject.asObservable();
        this.profileTest = new ProfileModel([0, 50, 100, 50, 0]);
        this.imageInfo = {
            pos: new Vector3(0, 0, 0),
            index: new Vector3(1, 1, 1),
            intensity: 0.0,
        };
        this.cube = new CubeModel(new Vector3(50, 50, 50), new Vector3(0, 0, 0), new Vector3(0, 0, 0));
        this.sphere = new SphereModel(new Vector3(10, 10, 10), 30);
        this.plane = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }, new Vector3(0, 0, 0), true, 0.5, true);
        this.obj = new OBJModel(new Vector3(0, 0, 0));
        this.vrml = new VRMLModel(new Vector3(0, 0, 0));
        this.circle = new CircleModel(new Vector3(0, 0, 10), 10);
        this.ring = new RingModel(new Vector3(10, 0, 0), 30, 30);
        this.volume = new VolumeModel('red', 'bandpass', 0, 0.25, new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), new Float32Array(190 * 256 * 151)));
        this.imageCanvasSubject = new BehaviorSubject([]);
        this.imageCanvas$ = this.imageCanvasSubject.asObservable();
        this.lineSubject = new BehaviorSubject({
            id: 'testLine',
            position: new Vector3(10, 10, 10),
            view: 'x',
            crosslineLength: 2,
        });
        this.lineMain$ = this.lineSubject.asObservable();
        this.outPost = new Vector3(10, 10, 10);
        this.imgBoundingBox = new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(60, 60));
        this.cameraSize = new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(80, 60));
        this.info = new Observable();
        this.info2 = ['hhhhh', 'sssss'];
        this.position2 = new Vector2(100, 100);
        this.a = 10;
        this.crossline = new CrossLineModel(new Vector3(this.a, 10, 0), 'x');
        this.s = 10;
        this.selecteImages = new EventEmitter();
        this.eventHandler = this.distributionService.eventHandler;
        this.fovHandler = this.distributionService.fovHandler;
        console.log(this.s);
        // this.addCanvas();
        // this.addCanvas();
        // this.addCanvas();
        /** @type {?} */
        let i = 0;
        while (i < 5) {
            this.addCanvas();
            i++;
        }
        /** @type {?} */
        const fov1center = new Vector2(0, -20);
        /** @type {?} */
        const fov2center = new Vector2(0, 0);
        /** @type {?} */
        const fov3center = new Vector2(0, 20);
        this.canvas$.subscribe((/**
         * @param {?} e
         * @return {?}
         */
        e => {
            this.canvasTo = e[0];
            this.canvasVolume = [e[1], e[2], e[3]];
            this.canvas3D = e[4];
            this.entityStoreService.addFov(this.canvasTo, fov1center);
            this.entityStoreService.addFov(this.canvasTo, fov2center);
            this.entityStoreService.addFov(this.canvasTo, fov3center);
        }));
        this.image3$
            .pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        image => {
            this.updateToCanvas(this.canvasVolume[0], image);
            this.updateToCanvas(this.canvasVolume[1], image);
            this.updateToCanvas(this.canvasVolume[2], image);
        })))
            .subscribe(noop, console.error);
        // this.resize();
        // this.image2$ = this.imageStoreService.grayIamge2$;
        // console.log(this.ring.center);
        // console.log(this.obj instanceof OBJModel);
    }
    /**
     * @return {?}
     */
    get image3() {
        return this.image3Subject.value;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    set image3(i) {
        this.image3Subject.next(i);
        this.loadService.image3Input = i;
    }
    /**
     * @return {?}
     */
    get tomo() {
        return this.image2;
    }
    /**
     * @param {?} t
     * @return {?}
     */
    set tomo(t) {
        this.image2 = t;
    }
    /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    updateToCanvas(canvas, image) {
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} state
         * @return {?}
         */
        state => {
            this.imageStoreService.updateImage(state, image);
        }));
    }
    /**
     * @return {?}
     */
    resize() {
        /** @type {?} */
        const divTomo = document.getElementById('canvasTo');
        /** @type {?} */
        const divNormal = document.getElementById('canvas3D');
        console.log(divTomo.onresize);
        // this.tomoSize = new Vector2(
        //   divTomo.offsetWidth - 5,
        //   divTomo.offsetHeight - 5,
        // );
        // this.normalSize = new Vector2(
        //   divNormal.offsetWidth - 5,
        //   divNormal.offsetHeight - 5,
        // );
    }
    /**
     * @param {?} canvas
     * @param {?} index
     * @return {?}
     */
    select(canvas, index) {
        this.canvasSelected = canvas;
        this.viewOf$(canvas)
            .pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        b => (this.viewSelected = b))))
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        err => console.error(err)));
        this.service.select(canvas);
    }
    /**
     * @return {?}
     */
    addCanvas() {
        this.service.addCanvasTo(this.id);
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    imageOf$(canvas) {
        return this.service.imageOf$(canvas);
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    viewOf$(canvas) {
        return this.service.viewOf$(canvas);
    }
    /**
     * @param {?} canvas
     * @param {?} e
     * @return {?}
     */
    scrollImageOfCanvas(canvas, e) {
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addIndex(image, e.delta / Math.abs(e.delta))));
        e.event.preventDefault();
    }
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    dragWidthOfImage(canvas, d) {
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addWidthByStep(image, d.current.x - d.origin.x === 0
            ? 0
            : Math.abs(d.current.x - d.origin.x) / (d.current.x - d.origin.x))));
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    entitiesOfCanvas(canvas) {
        return this.entityStoreService.entitiesOfCanvas(canvas);
    }
    /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    dragRing(d, canvasId) {
        this.position2 = d.origin;
        /** @type {?} */
        const circleRadius = Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
            Math.pow(d.current.y - d.origin.y, 2));
        this.entityStoreService.updateRingEntity({
            canvasId: canvasId,
            model: new RingModel(new Vector3(d.origin.x, d.origin.y, 0), circleRadius, circleRadius + 0.001),
        });
    }
    /**
     * @param {?} d
     * @return {?}
     */
    getPointPos(d) {
        this.shapePos.push(new Vector2(((/** @type {?} */ (d))).clientX, ((/** @type {?} */ (d))).clientY));
        // this.shapeSubject.next([...this.shapeSubject.value, new Vector2((d as MouseEvent).clientX, (d as MouseEvent).clientY)]);
    }
    /**
     * @return {?}
     */
    getPointPos2() {
        if (this.shapePos.length > 2) {
            this.shapePos.pop();
            this.shapePos.pop();
            this.shapeSubject.next(new UserDefinedModel(this.shapePos));
        }
        this.shapePos = [];
        this.profileSubject.next(new ProfileModel([
            Math.random() * 20,
            Math.random() * 30,
            Math.random() * 50,
        ]));
    }
    /**
     * @param {?} d
     * @return {?}
     */
    dragPlane(d) {
        this.planeSubject.next(new BoundingBox2FromCenterSize(new Vector2((d.current.x + d.origin.x) / 2, (d.current.y + d.origin.y) / 2), new Vector2(Math.abs(d.current.x - d.origin.x), Math.abs(d.current.y - d.origin.y))));
    }
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    dragLine(canvas, d) {
        /** @type {?} */
        let temp = new Vector3(0, 0, 0);
        this.crosslineService.updatePosition('testLine', new Vector2(d.current.x, d.current.y), this.viewSelected);
        this.crosslineService.position3$('testLine').subscribe((/**
         * @param {?} b
         * @return {?}
         */
        b => (temp = b)));
        this.lineSubject.next({
            id: 'testLine',
            position: temp,
            view: this.viewSelected,
            crosslineLength: 2,
        });
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.crosslineService.crosslineMain$
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        x => this.getImageInfo(image, this.imgBoundingBox, x))))
            .subscribe(noop)));
    }
    /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    dragCrossline(d, canvasId) {
        this.entityStoreService.updateCrosslineEntity({
            canvasId: canvasId,
            model: new CrossLineModel(new Vector3(d.current.x, d.current.y, 0), 'z'),
        });
        // this.a = this.a + 2;
        // this.crossline = new CrossLineModel(new Vector3(this.a, 10, 0), 'x');
    }
    /**
     * @param {?} image
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    getImageInfo(image, box, cross) {
        /** @type {?} */
        const indexT = new Vector3(Math.ceil((Math.ceil(cross[cross.length - 1].position.x + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.x), Math.ceil((Math.ceil(cross[cross.length - 1].position.y + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.y), Math.ceil((Math.ceil(cross[cross.length - 1].position.z + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.z));
        switch (image.slicer.direction) {
            case 'x':
                this.imageStoreService.updateIndex(image, indexT.x);
                break;
            case 'y':
                this.imageStoreService.updateIndex(image, indexT.y);
                break;
            case 'z':
                this.imageStoreService.updateIndex(image, indexT.z);
                break;
        }
        this.imageInfo = {
            pos: cross[cross.length - 1].position,
            index: indexT,
            intensity: image.image.pixel3(indexT.x, indexT.y, indexT.z),
        };
    }
    // addCrossLine() {
    //   this.crosslineAdd = !this.crosslineAdd;
    //   let posTemp = new Vector3(0, 0, 0);
    //   this.multicrosslineService.loadCrosslineToCanvas(this.canvasSelected, 10);
    //   this.crosslineService.updatePosition(
    //     'testLine',
    //     new Vector2(0, 0),
    //     this.viewSelected,
    //   );
    //   this.crosslineService.position3$('testLine').subscribe(b => (posTemp = b));
    //   this.lineSubject.next({
    //     id: 'testLine',
    //     position: posTemp,
    //     view: this.viewSelected,
    //     crosslineLength: 2,
    //   });
    //   this.service.addCrossLine();
    // }
    /**
     * @param {?} e
     * @return {?}
     */
    setOutPos(e) {
        this.outPost = e;
    }
    /**
     * @param {?} d
     * @return {?}
     */
    setImageInfo(d) {
        this.imageInfo = d;
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    isSelected$(canvas) {
        return this.service.isSelected$(canvas);
    }
    /**
     * @param {?} c
     * @return {?}
     */
    isWithCanvas(c) {
        return this.service.isWithCanvas$(c);
    }
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    dragLevelOfImage(canvas, d) {
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addLevelByStep(image, d.current.y - d.origin.y === 0
            ? 0
            : Math.abs(d.current.y - d.origin.y) / (d.current.y - d.origin.y))));
    }
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    dragWidthLevelOfImage(canvas, d) {
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addWidthLevelFilterByStep(image, d.current.x - d.origin.x === 0
            ? 0
            : Math.abs(d.current.x - d.origin.x) / (d.current.x - d.origin.x), d.current.y - d.origin.y === 0
            ? 0
            : Math.abs(d.current.y - d.origin.y) / (d.current.y - d.origin.y))));
    }
    /**
     * @param {?} value
     * @return {?}
     */
    displayFovs(value) {
        // console.log(value);
        this.fovs.emit(value);
    }
    /**
     * @return {?}
     */
    ngOnInit() {
        this.top_left_info = this.infoService.top_left_info();
        this.top_right_info = this.infoService.top_right_info();
        this.bottom_left_info = this.infoService.bottom_left_info();
        this.bottom_right_info = this.infoService.bottom_right_info();
    }
    /**
     * @return {?}
     */
    ngAfterContentInit() {
        // this.resize();
    }
    /**
     * @return {?}
     */
    ngOnDestroy() {
        this.ringSubject.complete();
        this.circleSubject.complete();
    }
}
MultiSliceCanvasComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-multi-slice-canvas',
                template: "<!-- <div class=\"image-show\" gdGap=\"1px\" gdColumns=\"auto auto auto\" fxFlexFill>\n  <div class=\"box\" gdRow=\"auto / span 2\"><canvas></canvas></div>\n  <div class=\"box\" *ngFor=\"let x of [0, 1, 2, 3]\"><canvas></canvas></div>\n</div> -->\n\n\n<div gdGap=\"2px\" gdColumns=\"auto auto auto\" fxFlexFill>\n  <div id=\"canvasTo\" class=\"box\" gdRow=\"auto / span 2\" >\n        <ng3-canvas (click)=\"select(canvasTo, 0)\" [size]=\"tomoSize\">\n          <ng3-event-distribute (fovs)=\"displayFovs($event)\" [eventHandler]=\"eventHandler\" [fovHandler]=\"fovHandler\" [entityStore]=\"entityStoreService\" [multiCanvas]=\"service\"></ng3-event-distribute>\n          <ng3-orthographic-camera [size]=\"tomoCamera\"></ng3-orthographic-camera>\n          <ng-container *ngFor=\"let t of entitiesOfCanvas(canvasTo) | async\">\n              <ng3-tool-entity [model]=\"t.model\"></ng3-tool-entity>\n          </ng-container>\n          <app-image3d\n        *ngIf=\"imageOf$(canvasTo) | async as image\"\n        [image]=\"image\"\n        [box]=\"imgBoundingBox\"\n        resize=\"canvas\"\n        [z]=\"-80\"\n        (scroll)=\"scrollImageOfCanvas(canvasTo, $event)\"\n        (drag)=\"dragWidthOfImage(canvasTo, $event); dragPlane($event)\"\n      ></app-image3d>\n          <app-image2d-gray [image]=\"image2\"></app-image2d-gray>\n        </ng3-canvas>\n      </div>\n  <div id=\"wrap\" gdGap=\"2px\" class=\"box\" *ngFor=\"let c of canvasVolume; let indexV = index\">\n    <ng3-canvas (click)=\"select(c, indexV + 1)\" [size]=\"normalSize\">\n      <ng3-event-distribute (fovs)=\"displayFovs($event)\" [eventHandler]=\"eventHandler\" [fovHandler]=\"fovHandler\" [entityStore]=\"entityStoreService\" [multiCanvas]=\"service\"></ng3-event-distribute>\n      <ng3-orthographic-camera [size]=\"normalCamera\"></ng3-orthographic-camera>\n      <app-image3d\n        *ngIf=\"imageOf$(c) | async as image\"\n        [image]=\"image\"\n        [box]=\"imgBoundingBox\"\n        resize=\"canvas\"\n        [z]=\"-80\"\n        (scroll)=\"scrollImageOfCanvas(c, $event)\"\n        (drag)=\"dragWidthOfImage(c, $event); dragPlane($event)\"\n      ></app-image3d>\n      <ng-container *ngFor=\"let t of entitiesOfCanvas(c) | async\">\n        <ng3-tool-entity [model]=\"t.model\"></ng3-tool-entity>\n      </ng-container>\n    </ng3-canvas>\n    <corner-info [info]=\"top_left_info\" [position]=\"'top-left'\"></corner-info>\n    <corner-info [info]=\"top_right_info\" [position]=\"'top-right'\"></corner-info>\n    <corner-info\n      [info]=\"bottom_left_info\"\n      [position]=\"'bottom-left'\"\n    ></corner-info>\n    <corner-info\n      [info]=\"bottom_right_info\"\n      [position]=\"'bottom-right'\"\n    ></corner-info>\n    <app-info [info]=\"info2\" [position]=\"position2\"></app-info>\n  </div>\n  <div id=\"canvas3D\" class = \"box\">\n    <ng3-canvas (click)=\"select(canvas3D, 4)\" [size]=\"threeDSize\">\n      <ng3-orthographic-camera [size]=\"threeDCamera\"></ng3-orthographic-camera>\n      <ng3-orbit-controls [enabled]=\"true\"></ng3-orbit-controls>\n      <!-- <ng3-cube [model]=\"cube\"></ng3-cube> -->\n      <ng3-volume-rendering [model]=\"volume\"></ng3-volume-rendering>\n    </ng3-canvas>\n  </div>\n</div>\n",
                styles: ["#wrap{position:relative;width:500px;height:375px}.box1{width:270px;height:540px}.box2{width:270px;height:270px}#father{display:flex;flex-wrap:wrap}#grand{display:flex}:host{box-sizing:border-box;width:100%;height:100%;padding:2px}"]
            }] }
];
/** @nocollapse */
MultiSliceCanvasComponent.ctorParameters = () => [
    { type: MultiCanvasService },
    { type: ImageStoreService },
    { type: CornerInfoService },
    { type: GroupedcrosslineService },
    { type: EntityStoreService },
    { type: HttpImageLoaderService },
    { type: EventDistributeService },
    { type: GetStackService }
];
MultiSliceCanvasComponent.propDecorators = {
    fovs: [{ type: Output }],
    image3: [{ type: Input }],
    tomo: [{ type: Input }],
    tomoSize: [{ type: Input }],
    normalSize: [{ type: Input }],
    threeDSize: [{ type: Input }],
    tomoCameraSize: [{ type: Input }],
    normalCameraSize: [{ type: Input }],
    threeDCameraSize: [{ type: Input }],
    selecteImages: [{ type: Output }]
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MultiCanvasControllerComponent {
    /**
     * @param {?} service
     * @param {?} imageStoreService
     * @param {?} entityStoreService
     * @param {?} renderer
     * @param {?} eventDistribution
     * @param {?} loadService
     */
    constructor(service, imageStoreService, entityStoreService, renderer, eventDistribution, loadService) {
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.entityStoreService = entityStoreService;
        this.renderer = renderer;
        this.eventDistribution = eventDistribution;
        this.loadService = loadService;
        this.selectedImages$ = this.service.selectedImages$;
        // dragTag = {
        //   ring: 'drag ring',
        //   line: 'drag line',
        //   crossline: 'drag crossline',
        //   fov: 'drag fov',
        // };
        this.whichDraging = this.eventDistribution.eventHandler;
        this.fovHnadler = this.eventDistribution.fovHandler;
        this.camera = new PerspectiveCamera();
    }
    /**
     * @return {?}
     */
    loadInput() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.loadToCanvas(c, this.loadService.image3Input)));
    }
    /**
     * @return {?}
     */
    updateCamera() {
        console.log('show the renderer', this.renderer);
        // console.log('show the camera', this.renderer.camera);
        // this.renderer.setCamera(this.camera);
        // this.renderer.render();
    }
    /**
     * @return {?}
     */
    updateCamera2() {
        this.renderer.camera.scale.set(1, 1, 1.1);
        this.renderer.render();
    }
    /**
     * @return {?}
     */
    updateCamera3() {
        this.camera.scale.set(0.5, 0.5, 1);
    }
    /**
     * @param {?} d
     * @return {?}
     */
    changeDirection(d) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            image => this.imageStoreService.updateDirection(image, d))),
                this.entityStoreService.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                crossline => {
                    this.entityStoreService.updateCrosslineEntity({
                        canvasId: c,
                        model: Object.assign({}, crossline, { view: d }),
                    });
                }));
        }));
    }
    /**
     * @return {?}
     */
    dragRing() {
        this.eventDistribution.dragRing();
    }
    /**
     * @return {?}
     */
    dragLine() {
        this.eventDistribution.dragLine();
    }
    /**
     * @return {?}
     */
    dragCrossline() {
        this.eventDistribution.dragCrossline();
    }
    /**
     * @return {?}
     */
    dragFov() {
        this.eventDistribution.dragFov();
    }
    /**
     * @return {?}
     */
    dragFov1() {
        this.eventDistribution.dragFov1();
    }
    /**
     * @return {?}
     */
    dragFov2() {
        this.eventDistribution.dragFov2();
    }
    /**
     * @return {?}
     */
    dragFov3() {
        this.eventDistribution.dragFov3();
    }
    /**
     * @return {?}
     */
    addToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addRing(c)));
    }
    /**
     * @return {?}
     */
    copyToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.copyEntity(c)));
    }
    /**
     * @return {?}
     */
    cutToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.cutEntity(c)));
    }
    /**
     * @return {?}
     */
    pasteToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.pasteEntity(c)));
    }
    /**
     * @return {?}
     */
    removeToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.removeEntityWithCanvasId(c)));
    }
    /**
     * @return {?}
     */
    addLine() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addLine(c)));
    }
    /**
     * @return {?}
     */
    addCrossLine() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addCrossLine(c)));
    }
    /**
     * @return {?}
     */
    addFov() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addFov(c)));
    }
    /**
     * @param {?} index
     * @return {?}
     */
    changeIndex(index) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateIndex(image, index)))));
    }
    /**
     * @param {?} cm
     * @return {?}
     */
    changeColormap(cm) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateColormap(image, cm)))));
    }
    /**
     * @param {?} widthlevel
     * @return {?}
     */
    changeWidthLevel(widthlevel) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateWidthLevelFilter(image, widthlevel.width, widthlevel.level)))));
    }
    /**
     * @param {?} image
     * @return {?}
     */
    imageLoad(image) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.loadToCanvas(c, image)));
    }
    /**
     * @return {?}
     */
    rotate_plane() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addRotation(image, new Vector3(0, 0, Math.PI / 2))))));
    }
    /**
     * @return {?}
     */
    showEntitiesofCanva() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService
            .entitiesOfCanvas(c)
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log(a)))));
    }
    /**
     * @return {?}
     */
    showEntities() {
        this.entityStoreService
            .showEntities()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('all', a)));
        this.entityStoreService
            .showClipBoard()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('clip board', a)));
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService
            .entitiesOfCanvas(c)
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('entitiesOfCanvas', a)))));
    }
    /**
     * @return {?}
     */
    showCanvas() {
        console.log(this.service.componentCanvasSubject.value);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
MultiCanvasControllerComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-multi-canvas-controller',
                template: "<!-- <app-local-image-loader\n  (imageLoad)=\"imageLoad($event)\"\n></app-local-image-loader> -->\n<app-http-image-loader (imageLoad)=\"imageLoad($event)\"></app-http-image-loader>\n\n<app-window\n  (widthlevelChange)=\"changeWidthLevel($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-window>\n<app-direction\n  (directionChange)=\"changeDirection($event)\"\n  (sliceIndexChange)=\"changeIndex($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-direction>\n<app-colormap\n  (colormapChange)=\"changeColormap($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-colormap>\n<br />\n<button (click)=\"rotate_plane()\">rotate</button>\n<br />\n<button (click)=\"addToolRing()\">addToolRing</button>\n<button (click)=\"addLine()\">addLine</button>\n<button (click)=\"addCrossLine()\">addCrossLine</button>\n<button (click)=\"addFov()\">addFov</button>\n<br />\n<button (click)=\"dragRing()\">{{ whichDraging.ring.tag }} ring</button>\n<button (click)=\"dragLine()\">{{ whichDraging.line.tag }} line</button>\n<button (click)=\"dragCrossline()\">{{ whichDraging.crossline.tag }} crossline</button>\n<button (click)=\"dragFov()\">{{whichDraging.fov.tag}} fov</button>\n<br />\n<button (click)=\"dragFov1()\">{{ fovHnadler.fov1.tag }} fov1</button>\n<button (click)=\"dragFov2()\">{{ fovHnadler.fov2.tag }} fov2</button>\n<button (click)=\"dragFov3()\">{{ fovHnadler.fov3.tag }} fov3</button>\n\n<button (click)=\"copyToolRing()\">copyToolRing</button>\n<button (click)=\"cutToolRing()\">cutToolRing</button>\n<button (click)=\"pasteToolRing()\">pasteToolRing</button>\n<button (click)=\"removeToolRing()\">removeToolRing</button>\n<br />\n<button (click)=\"showEntities()\">showEntities</button>\n<button (click)=\"showCanvas()\">showCanvas</button>\n<!-- <button (click)=\"updateCamera()\">update camera</button>\n<button (click)=\"updateCamera2()\">update camera2</button>\n<button (click)=\"updateCamera3()\">update camera3</button> -->\n<button (click)=\"loadInput()\" >loadInput</button>\n",
                providers: [RendererService, SceneService, CanvasService],
                styles: [""]
            }] }
];
/** @nocollapse */
MultiCanvasControllerComponent.ctorParameters = () => [
    { type: MultiCanvasService },
    { type: ImageStoreService },
    { type: EntityStoreService },
    { type: RendererService },
    { type: EventDistributeService },
    { type: HttpImageLoaderService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ToolboxComponent {
    /**
     * @param {?} service
     * @param {?} imageStoreService
     * @param {?} entityStoreService
     * @param {?} renderer
     * @param {?} eventDistribution
     * @param {?} loadService
     */
    constructor(service, imageStoreService, entityStoreService, renderer, eventDistribution, loadService) {
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.entityStoreService = entityStoreService;
        this.renderer = renderer;
        this.eventDistribution = eventDistribution;
        this.loadService = loadService;
        this.selectedImages$ = this.service.selectedImages$;
        this.whichDraging = this.eventDistribution.eventHandler;
        this.fovHnadler = this.eventDistribution.fovHandler;
        this.camera = new PerspectiveCamera();
    }
    /**
     * @return {?}
     */
    loadInput() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.loadToCanvas(c, this.loadService.image3Input)));
    }
    /**
     * @return {?}
     */
    loadTomo() {
        // this.imageStoreService.grayImage2Subject.next(dummyGrayImage(
        //   new Vector2(60, 60),
        //   new Vector2(60, 60),
        // ));
    }
    /**
     * @param {?} d
     * @return {?}
     */
    changeDirection(d) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => {
            this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            image => this.imageStoreService.updateDirection(image, d))),
                this.entityStoreService.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                crossline => {
                    this.entityStoreService.updateCrosslineEntity({
                        canvasId: c,
                        model: Object.assign({}, crossline, { view: d }),
                    });
                }));
        }));
    }
    /**
     * @return {?}
     */
    dragRing() {
        this.eventDistribution.dragRing();
    }
    /**
     * @return {?}
     */
    dragLine() {
        this.eventDistribution.dragLine();
    }
    /**
     * @return {?}
     */
    dragCrossline() {
        this.eventDistribution.dragCrossline();
    }
    /**
     * @return {?}
     */
    dragFov1() {
        this.eventDistribution.dragFov1();
    }
    /**
     * @return {?}
     */
    dragFov2() {
        this.eventDistribution.dragFov2();
    }
    /**
     * @return {?}
     */
    dragFov3() {
        this.eventDistribution.dragFov3();
    }
    /**
     * @return {?}
     */
    addToolRing() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addRing(c)));
    }
    /**
     * @return {?}
     */
    copyTool() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.copyEntity(c)));
    }
    /**
     * @return {?}
     */
    cutTool() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.cutEntity(c)));
    }
    /**
     * @return {?}
     */
    pasteTool() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.pasteEntity(c)));
    }
    /**
     * @return {?}
     */
    removeTool() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.removeEntityWithCanvasId(c)));
    }
    /**
     * @return {?}
     */
    addCrossLine() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addCrossLine(c)));
    }
    /**
     * @return {?}
     */
    addFov() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService.addFov(c)));
    }
    /**
     * @param {?} index
     * @return {?}
     */
    changeIndex(index) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateIndex(image, index)))));
    }
    /**
     * @param {?} cm
     * @return {?}
     */
    changeColormap(cm) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateColormap(image, cm)))));
    }
    /**
     * @param {?} widthlevel
     * @return {?}
     */
    changeWidthLevel(widthlevel) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.updateWidthLevelFilter(image, widthlevel.width, widthlevel.level)))));
    }
    /**
     * @param {?} image
     * @return {?}
     */
    imageLoad(image) {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.loadToCanvas(c, image)));
    }
    /**
     * @return {?}
     */
    rotate_plane() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.service.mapOnCanvas(c, (/**
         * @param {?} image
         * @return {?}
         */
        image => this.imageStoreService.addRotation(image, new Vector3(0, 0, Math.PI / 2))))));
    }
    /**
     * @return {?}
     */
    showEntitiesofCanva() {
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService
            .entitiesOfCanvas(c)
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log(a)))));
    }
    /**
     * @return {?}
     */
    showEntities() {
        this.entityStoreService
            .showEntities()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('all', a)));
        this.entityStoreService
            .showClipBoard()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('clip board', a)));
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        c => this.entityStoreService
            .entitiesOfCanvas(c)
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        a => console.log('entitiesOfCanvas', a)))));
    }
    /**
     * @return {?}
     */
    showCanvas() {
        console.log(this.service.componentCanvasSubject.value);
    }
    /**
     * @return {?}
     */
    ngOnInit() { }
}
ToolboxComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-toolbox',
                template: "<app-http-image-loader (imageLoad)=\"imageLoad($event)\"></app-http-image-loader>\n<button (click)=\"loadInput()\" >loadInput</button>\n<!-- <app-window\n  (widthlevelChange)=\"changeWidthLevel($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-window> -->\n<app-direction\n  (directionChange)=\"changeDirection($event)\"\n  (sliceIndexChange)=\"changeIndex($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-direction>\n<app-colormap\n  (colormapChange)=\"changeColormap($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-colormap>\n\n<button (click)=\"addToolRing()\">addToolRing</button>\n<button (click)=\"addCrossLine()\">addCrossLine</button>\n<button (click)=\"addFov()\">addFov</button>\n<button (click)=\"dragRing()\">{{ whichDraging.ring.tag }} ring</button>\n<button (click)=\"dragCrossline()\">{{ whichDraging.crossline.tag }} crossline</button>\n<button (click)=\"dragFov1()\">{{ fovHnadler.fov1.tag }} fov1</button>\n<button (click)=\"dragFov2()\">{{ fovHnadler.fov2.tag }} fov2</button>\n<button (click)=\"dragFov3()\">{{ fovHnadler.fov3.tag }} fov3</button>\n<button (click)=\"copyTool()\">copyTool</button>\n<button (click)=\"cutTool()\">cutTool</button>\n<button (click)=\"pasteTool()\">pasteTool</button>\n<button (click)=\"removeTool()\">removeTool</button>\n",
                providers: [RendererService, SceneService, CanvasService],
                styles: [""]
            }] }
];
/** @nocollapse */
ToolboxComponent.ctorParameters = () => [
    { type: MultiCanvasService },
    { type: ImageStoreService },
    { type: EntityStoreService },
    { type: RendererService },
    { type: EventDistributeService },
    { type: HttpImageLoaderService }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class MultiCanvasModule {
}
MultiCanvasModule.decorators = [
    { type: NgModule, args: [{
                declarations: [
                    MultiSliceCanvasComponent,
                    MultiCanvasControllerComponent,
                    ToolboxComponent
                ],
                imports: [CommonModule, ImageSliceShowModule, ImageStoreModule, CornerInfoModule, FlexLayoutModule],
                providers: [MultiCanvasService],
                exports: [
                    MultiSliceCanvasComponent,
                    MultiCanvasControllerComponent,
                    ToolboxComponent
                ],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ImageWModule {
}
ImageWModule.decorators = [
    { type: NgModule, args: [{
                declarations: [ImageWComponent],
                imports: [
                    CommonModule,
                    HttpClientModule,
                    NgThreeModule,
                    ImageSliceShowModule,
                    ImageStoreModule,
                    MultiCanvasModule,
                    CornerInfoModule,
                    EntityStoreModule,
                ],
                exports: [
                    ImageWComponent,
                    ImageStoreModule,
                    MultiCanvasModule,
                    ImageSliceShowModule,
                    NgThreeModule,
                    CornerInfoModule,
                    EntityStoreModule
                ],
            },] }
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} direction
 * @param {?} value
 * @param {?} b
 * @return {?}
 */
function updateBoxByDirection(direction, value, b) {
    switch (direction) {
        case 'left':
            return new BoundingBox2FromLRTB(value, b.right, b.top, b.bottom);
        case 'right':
            return new BoundingBox2FromLRTB(b.left, value, b.top, b.bottom);
        case 'top':
            return new BoundingBox2FromLRTB(b.left, b.right, value, b.bottom);
        case 'bottom':
            return new BoundingBox2FromLRTB(b.left, b.right, b.top, value);
    }
}
/**
 * @param {?} e
 * @param {?} model
 * @return {?}
 */
function resizePlane2ModelByEdge(e, model) {
    return new Plane2Model(updateBoxByDirection(e.direction, e.to, model.box), 10, model.textureData);
}
/**
 * @param {?} e
 * @param {?} model
 * @return {?}
 */
function resizePlane2ModelByCorner(e, model) {
    /** @type {?} */
    const xUpdated = updateBoxByDirection(e.direction.x, e.to.x, model.box);
    /** @type {?} */
    const box = updateBoxByDirection(e.direction.y, e.to.y, xUpdated);
    return new Plane2Model(box, 10, model.textureData);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
class ShadersUniform$1 {
    /**
     * @return {?}
     */
    static uniforms() {
        return {
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uWidth: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uOpacity: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uTextureFilled: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersFragment$1 {
    /**
     * @param {?} uniforms
     */
    constructor(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    functions() {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        let content = '';
        for (let property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    uniforms() {
        /** @type {?} */
        let content = '';
        for (let property in this._uniforms) {
            /** @type {?} */
            let uniform = this._uniforms[property];
            content += `uniform ${uniform.typeGLSL} ${property}`;
            if (uniform && uniform.length) {
                content += `[${uniform.length}]`;
            }
            content += ';\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    main() {
        // need to pre-call main to fill up the functions list
        this._main = `

float luma (vec3 rgb) {
  return (rgb.r + rgb.g + rgb.b)/3.0;
}

const float T = 0.04;
const float M = 1.0;
const float L = 0.002;

void main(void) {

  vec2 texCoord = vec2(((vProjectedCoords.x / vProjectedCoords.w) + 1.0 ) / 2.0,
                ((vProjectedCoords.y / vProjectedCoords.w) + 1.0 ) / 2.0 );

  float borderWidth = uWidth; // in px
  float step_u = borderWidth * 1.0 / uCanvasWidth;
  float step_v = borderWidth * 1.0 / uCanvasHeight;
  vec4 centerPixel = texture2D(uTextureFilled, texCoord);

  vec4 rightPixel  = texture2D(uTextureFilled, texCoord + vec2(step_u, 0.0));
  vec4 bottomPixel = texture2D(uTextureFilled, texCoord + vec2(0.0, step_v));

  // now manually compute the derivatives
  float _dFdX = length(rightPixel - centerPixel) / step_u;
  float _dFdY = length(bottomPixel - centerPixel) / step_v;

  // gl_FragColor.r = _dFdX;
  // gl_FragColor.g = _dFdY;
  gl_FragColor.r = max(max(centerPixel.r, rightPixel.r), bottomPixel.r);
  gl_FragColor.g = max(max(centerPixel.g, rightPixel.g), bottomPixel.g);
  gl_FragColor.b = max(max(centerPixel.b, rightPixel.b), bottomPixel.b);
  float maxDerivative = max(_dFdX, _dFdY);
  float clampedDerivative = clamp(maxDerivative, 0., 1.);
  gl_FragColor.a = uOpacity * clampedDerivative;

  return;
  // float h = 1./uCanvasHeight;
  // float w = 1./uCanvasWidth;
  // vec4 n[9];
  // n[0] = texture2D(uTextureFilled, vProjectedTextCoords + vec2( -w, -h));
  // n[1] = texture2D(uTextureFilled, vProjectedTextCoords + vec2(0.0, -h));
  // n[2] = texture2D(uTextureFilled, vProjectedTextCoords + vec2(  w, -h));
  // n[3] = texture2D(uTextureFilled, vProjectedTextCoords + vec2( -w, 0.0));
  // n[4] = texture2D(uTextureFilled, vProjectedTextCoords);
  // n[5] = texture2D(uTextureFilled, texCoord + vec2(  w, 0.0));
  // n[6] = texture2D(uTextureFilled, texCoord + vec2( -w, h));
  // n[7] = texture2D(uTextureFilled, texCoord + vec2(0.0, h));
  // n[8] = texture2D(uTextureFilled, texCoord + vec2(  w, h));
  // vec4 sobel_horizEdge = n[2] + (2.0*n[5]) + n[8] - (n[0] + (2.0*n[3]) + n[6]);
  // vec4 sobel_vertEdge  = n[0] + (2.0*n[1]) + n[2] - (n[6] + (2.0*n[7]) + n[8]);
  // vec3 sobel = sqrt((sobel_horizEdge.rgb * sobel_horizEdge.rgb) + (sobel_vertEdge.rgb * sobel_vertEdge.rgb));
  // gl_FragColor = vec4( sobel, max(max(sobel.r, sobel.g), sobel.b) );

  // return;
}
   `;
    }
    /**
     * @return {?}
     */
    compute() {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return `
// uniforms
${this.uniforms()}

// varying (should fetch it from vertex directly)
varying vec4      vProjectedCoords;

// tailored functions
${this.functions()}

// main loop
${this._main}
      `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersVertex$1 {
    /**
     * @return {?}
     */
    compute() {
        return `
varying vec4 vProjectedCoords;

//
// main
//
void main() {

  vec4 vPos = modelMatrix * vec4(position, 1.0 );
  mat4 vProjectionViewMatrix = projectionMatrix * viewMatrix;
  vProjectedCoords =  projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );

}
        `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
class ShadersUniform$2 {
    /**
     * Shaders data uniforms
     * @return {?}
     */
    static uniforms() {
        return {
            uTextureSize: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureContainer: {
                type: 'tv',
                value: [],
                typeGLSL: 'sampler2D',
                length: 7,
            },
            uDataDimensions: {
                type: 'iv',
                value: [0, 0, 0],
                typeGLSL: 'ivec3',
            },
            uWorldToData: {
                type: 'm4',
                value: new Matrix4$1(),
                typeGLSL: 'mat4',
            },
            uWindowCenterWidth: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uLowerUpperThreshold: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uRescaleSlopeIntercept: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uNumberOfChannels: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uBitsAllocated: {
                type: 'i',
                value: 8,
                typeGLSL: 'int',
            },
            uInvert: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uLut: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUT: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uLutSegmentation: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUTSegmentation: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uPixelType: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uPackedPerPixel: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uInterpolation: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uBorderColor: {
                type: 'v3',
                value: [1.0, 0.0, 0.5],
                typeGLSL: 'vec3',
            },
            uBorderWidth: {
                type: 'f',
                value: 2,
                typeGLSL: 'float',
            },
            uBorderMargin: {
                type: 'f',
                value: 2,
                typeGLSL: 'float',
            },
            uBorderDashLength: {
                type: 'f',
                value: 10,
                typeGLSL: 'float',
            },
            uOpacity: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uSpacing: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uThickness: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uThicknessMethod: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersFragment$2 {
    /**
     * @param {?} uniforms
     */
    constructor(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    functions() {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        let content = '';
        for (let property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    uniforms() {
        /** @type {?} */
        let content = '';
        for (let property in this._uniforms) {
            /** @type {?} */
            let uniform = this._uniforms[property];
            content += `uniform ${uniform.typeGLSL} ${property}`;
            if (uniform && uniform.length) {
                content += `[${uniform.length}]`;
            }
            content += ';\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    main() {
        // need to pre-call main to fill up the functions list
        this._main = `
void main(void) {

  // draw border if slice is cropped
  // float uBorderDashLength = 10.;

  if( uCanvasWidth > 0. &&
      ((gl_FragCoord.x > uBorderMargin && (gl_FragCoord.x - uBorderMargin) < uBorderWidth) ||
       (gl_FragCoord.x < (uCanvasWidth - uBorderMargin) && (gl_FragCoord.x + uBorderMargin) > (uCanvasWidth - uBorderWidth) ))){
    float valueY = mod(gl_FragCoord.y, 2. * uBorderDashLength);
    if( valueY < uBorderDashLength && gl_FragCoord.y > uBorderMargin && gl_FragCoord.y < (uCanvasHeight - uBorderMargin) ){
      gl_FragColor = vec4(uBorderColor, 1.);
      return;
    }
  }

  if( uCanvasHeight > 0. &&
      ((gl_FragCoord.y > uBorderMargin && (gl_FragCoord.y - uBorderMargin) < uBorderWidth) ||
       (gl_FragCoord.y < (uCanvasHeight - uBorderMargin) && (gl_FragCoord.y + uBorderMargin) > (uCanvasHeight - uBorderWidth) ))){
    float valueX = mod(gl_FragCoord.x, 2. * uBorderDashLength);
    if( valueX < uBorderDashLength && gl_FragCoord.x > uBorderMargin && gl_FragCoord.x < (uCanvasWidth - uBorderMargin) ){
      gl_FragColor = vec4(uBorderColor, 1.);
      return;
    }
  }

  // get texture coordinates of current pixel
  vec4 dataValue = vec4(0.);
  vec3 gradient = vec3(1.); // gradient calculations will be skipped if it is equal to vec3(1.)
  float steps = floor(uThickness / uSpacing + 0.5);

  if (steps > 1.) {
    vec3 origin = vPos - uThickness * 0.5 * vNormal;
    vec4 dataValueAcc = vec4(0.);
    for (float step = 0.; step < 128.; step++) {
      if (step >= steps) {
        break;
      }

      vec4 dataCoordinates = uWorldToData * vec4(origin + step * uSpacing * vNormal, 1.);
      vec3 currentVoxel = dataCoordinates.xyz;
      ${shadersInterpolation(this, 'currentVoxel', 'dataValueAcc', 'gradient')};

      if (step == 0.) {
        dataValue.r = dataValueAcc.r;
        continue;
      }

      if (uThicknessMethod == 0) {
        dataValue.r = max(dataValueAcc.r, dataValue.r);
      }
      if (uThicknessMethod == 1) {
        dataValue.r += dataValueAcc.r;
      }
      if (uThicknessMethod == 2) {
        dataValue.r = min(dataValueAcc.r, dataValue.r);
      }
    }

    if (uThicknessMethod == 1) {
      dataValue.r /= steps;
    }
  } else {
    vec4 dataCoordinates = uWorldToData * vec4(vPos, 1.);
    vec3 currentVoxel = dataCoordinates.xyz;
    ${shadersInterpolation(this, 'currentVoxel', 'dataValue', 'gradient')}
  }

  if(uNumberOfChannels == 1){
    // rescale/slope
    float realIntensity = dataValue.r * uRescaleSlopeIntercept[0] + uRescaleSlopeIntercept[1];

    // threshold
    if (realIntensity < uLowerUpperThreshold[0] || realIntensity > uLowerUpperThreshold[1]) {
      discard;
    }

    // normalize
    float windowMin = uWindowCenterWidth[0] - uWindowCenterWidth[1] * 0.5;
    float normalizedIntensity =
      ( realIntensity - windowMin ) / uWindowCenterWidth[1];
    dataValue.r = dataValue.g = dataValue.b = normalizedIntensity;
    dataValue.a = 1.;

    // apply LUT
    if(uLut == 1){
      // should opacity be grabbed there?
      dataValue = texture2D( uTextureLUT, vec2( normalizedIntensity , 1.0) );
    }

    // apply segmentation
    if(uLutSegmentation == 1){
      // should opacity be grabbed there?
      //
      float textureWidth = 256.;
      float textureHeight = 128.;
      float min = 0.;
      // start at 0!
      int adjustedIntensity = int(floor(realIntensity + 0.5));

      // Get row and column in the texture
      int colIndex = int(mod(float(adjustedIntensity), textureWidth));
      int rowIndex = int(floor(float(adjustedIntensity)/textureWidth));

      float texWidth = 1./textureWidth;
      float texHeight = 1./textureHeight;

      // Map row and column to uv
      vec2 uv = vec2(0,0);
      uv.x = 0.5 * texWidth + (texWidth * float(colIndex));
      uv.y = 1. - (0.5 * texHeight + float(rowIndex) * texHeight);

      dataValue = texture2D( uTextureLUTSegmentation, uv );
    }
  }

  if(uInvert == 1){
    dataValue.xyz = vec3(1.) - dataValue.xyz;
  }

  dataValue.a = dataValue.a*uOpacity;

  gl_FragColor = dataValue;
}
   `;
    }
    /**
     * @return {?}
     */
    compute() {
        return `
// uniforms
${this.uniforms()}

// varying (should fetch it from vertex directly)
varying vec3 vPos;
varying vec3 vNormal;

// tailored functions
${this.functions()}

// main loop
${this._main}
      `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersVertex$2 {
    /**
     * @return {?}
     */
    compute() {
        return `
varying vec3 vPos;
varying vec3 vNormal;

void main() {
  vNormal = normal;
  vPos = (modelMatrix * vec4(position, 1.0 )).xyz;
  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );

}
        `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
class ShadersUniform$3 {
    /**
     * @return {?}
     */
    static uniforms() {
        return {
            uTextureBackTest0: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uTextureBackTest1: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uOpacity0: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uOpacity1: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uType0: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uType1: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uTrackMouse: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uMouse: {
                type: 'v2',
                value: new Vector2(),
                typeGLSL: 'vec2',
            },
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersFragment$3 {
    /**
     * @param {?} uniforms
     */
    constructor(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    functions() {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        let content = '';
        for (let property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    uniforms() {
        /** @type {?} */
        let content = '';
        for (let property in this._uniforms) {
            /** @type {?} */
            let uniform = this._uniforms[property];
            content += `uniform ${uniform.typeGLSL} ${property}`;
            if (uniform && uniform.length) {
                content += `[${uniform.length}]`;
            }
            content += ';\n';
        }
        return content;
    }
    /**
     * @return {?}
     */
    main() {
        // need to pre-call main to fill up the functions list
        this._main = `
void main(void) {

  vec2 texc = vec2(((vProjectedCoords.x / vProjectedCoords.w) + 1.0 ) / 2.0,
                ((vProjectedCoords.y / vProjectedCoords.w) + 1.0 ) / 2.0 );

  // just silence warning for
  // vec4 dummy = vPos;

  //The back position is the world space position stored in the texture.
  vec4 baseColor0 = texture2D(uTextureBackTest0, texc);
  vec4 baseColor1 = texture2D(uTextureBackTest1, texc);

  if( uTrackMouse == 1 ){

      if( vProjectedCoords.x < uMouse.x ){

        gl_FragColor = baseColor0;

      }
      else{

        gl_FragColor = mix( baseColor0, baseColor1, uOpacity1 );

      }

  }
  else{

    if( uType1 == 0 ){

      //merge an image into
      gl_FragColor = mix( baseColor0, baseColor1, uOpacity1 );

    }
    else{

      float opacity = baseColor1.a;
      gl_FragColor = mix( baseColor0, baseColor1, opacity * uOpacity1 );

    }

  }

  return;
}
   `;
    }
    /**
     * @return {?}
     */
    compute() {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return `
// uniforms
${this.uniforms()}

// varying (should fetch it from vertex directly)
// varying vec4      vPos;
varying vec4      vProjectedCoords;

// tailored functions
${this.functions()}

// main loop
${this._main}
      `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
class ShadersVertex$3 {
    /**
     * @return {?}
     */
    compute() {
        return `
// varying vec4 vPos;
varying vec4 vProjectedCoords;

//
// main
//
void main() {

  vec4 vPos = modelMatrix * vec4(position, 1.0 );
  vProjectedCoords =  projectionMatrix * modelViewMatrix * vec4( position, 1.0 );
  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );

}
        `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @ module shaders/localizer/uniforms
 */
class shaders_localizer_uniform {
    /**
     * Shaders data uniforms
     * @return {?}
     */
    static uniforms() {
        return {
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uSlice: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlane1: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor1: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uPlane2: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor2: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uPlane3: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor3: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
        };
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Localizer fragment shader
 */
class shaders_localizer_fragment {
    /**
     * @param {?} uniforms
     */
    constructor(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     *
     * @return {?}
     */
    functions() {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        let content = '';
        for (let property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    }
    /**
     *
     * @return {?}
     */
    uniforms() {
        /** @type {?} */
        let content = '';
        for (let property in this._uniforms) {
            /** @type {?} */
            let uniform = this._uniforms[property];
            content += `uniform ${uniform.typeGLSL} ${property}`;
            if (uniform && uniform.length) {
                content += `[${uniform.length}]`;
            }
            content += ';\n';
        }
        return content;
    }
    /**
     *
     * @return {?}
     */
    main() {
        // need to pre-call main to fill up the functions list
        this._main = `
void intersectionProjection(
  in vec4 plane,
  in vec4 slice,
  out vec3 intersectionProjection){

      vec3 intersectionDirection = normalize(cross(plane.xyz, slice.xyz));
      vec3 intersectionPoint =
        cross(intersectionDirection,slice.xyz) * plane.w +
        cross(plane.xyz, intersectionDirection) * slice.w;

      intersectionProjection =
        intersectionPoint.xyz +
        (dot(vPos.xyz - intersectionPoint, intersectionDirection)
          * intersectionDirection);

}

void main(void) {
      vec4 c1 = vec4(0., 0., 0., 0.);
      vec4 c2 = vec4(0., 0., 0., 0.);
      vec4 c3 = vec4(0., 0., 0., 0.);

      // localizer #1
      // must be normalized!
      if(length(uPlane1.xyz) > 0.5) {
        vec3 projection1 = vec3(1.);
        intersectionProjection(
          uPlane1,
          uSlice,
          projection1
        );

        vec4 projInter1 = (vProjectionViewMatrix * vec4(projection1, 1.));
        vec3 ndc1 = projInter1.xyz / projInter1.w;
        vec2 screenSpace1 = (ndc1.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);

        float d1 = distance(gl_FragCoord.xy, screenSpace1.xy);
        c1 = vec4(uPlaneColor1, 1. - smoothstep(.5, .7, d1));
      }

      // localizer #2
      if(length(uPlane2.xyz) > 0.5) {
        vec3 projection2 = vec3(1.);
        intersectionProjection(
          uPlane2,
          uSlice,
          projection2
        );

        vec4 projInter2 = (vProjectionViewMatrix * vec4(projection2, 1.));
        vec3 ndc2 = projInter2.xyz / projInter2.w;
        vec2 screenSpace2 = (ndc2.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);

        float d2 = distance(gl_FragCoord.xy, screenSpace2.xy);
        c2 = vec4(uPlaneColor2, 1. - smoothstep(.5, .7, d2));
      }

      // localizer #3
      if(length(uPlane3.xyz) > 0.5) {
        vec3 projection3 = vec3(1.);
        intersectionProjection(
          uPlane3,
          uSlice,
          projection3
        );

        vec4 projInter3 = (vProjectionViewMatrix * vec4(projection3, 1.));
        vec3 ndc3 = projInter3.xyz / projInter3.w;
        vec2 screenSpace3 = (ndc3.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);

        float d3 = distance(gl_FragCoord.xy, screenSpace3.xy);
        c3 = vec4(uPlaneColor3, 1. - smoothstep(.5, .7, d3));
      }

      // float uBorderDashLength = 10.0;
      // float uBorderWidth = 2.0;
      // float valueX = mod(gl_FragCoord.x, 2. * uBorderDashLength);
      // float valueY = mod(gl_FragCoord.y, 2. * uBorderDashLength);
      // if( valueX < uBorderDashLength || valueY < uBorderDashLength ){
        vec3 colorMix = c1.xyz*c1.w + c2.xyz*c2.w + c3.xyz*c3.w;
        gl_FragColor = vec4(colorMix, max(max(c1.w, c2.w),c3.w)*0.5);
        return;
      // }

      // gl_FragColor = vec4(0., 0., 0., 0.);
      // return;
}
   `;
    }
    /**
     *
     * @return {?}
     */
    compute() {
        return `
// uniforms
${this.uniforms()}

// varying (should fetch it from vertex directly)
varying vec4 vPos;
varying mat4 vProjectionViewMatrix;

// tailored functions
${this.functions()}

// main loop
${this._main}
      `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 *
 */
class shaders_localizer_vertex {
    /**
     *
     * @return {?}
     */
    compute() {
        return `
varying vec4 vPos;
varying mat4 vProjectionViewMatrix;

//
// main
//
void main() {

  vPos = modelMatrix * vec4(position, 1.0 );
  vProjectionViewMatrix = projectionMatrix * viewMatrix;
  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );

}
        `;
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { BoundingBox2FromBox2, BoundingBox2FromCenterSize, BoundingBox2FromLRTB, Boundingbox2Controller, COLORS, CanvasState, CircleModel, Colormaps, ShadersFragment$1 as ContourFragmentShader, ShadersUniform$1 as ContourUniformShader, ShadersVertex$1 as ContourVertexShader, CrossLineModel, CubeModel, ShadersFragment$2 as DataFragmentShader, ShadersUniform$2 as DataUniformShader, ShadersVertex$2 as DataVertexShader, Direction, EntityComponent, EntityState, FovModel, GrayImage2, GrayImage2PixelwiseFilter, GrayImage2ScaleOffsetFilter, GrayImage2WindowFilter, GrayImage3, HelperLut, HelpersVolumeRendering, Hospital, ImageState, ImageWComponent, ImageWModule, ImageWService, InfoPlanceModel, ShadersFragment$3 as LayerFragmentShader, ShadersUniform$3 as LayerUniformShader, ShadersVertex$3 as LayerVertexShader, LineModel, shaders_localizer_fragment as LocalizerFragmentShader, shaders_localizer_uniform as LocalizerUniformShader, shaders_localizer_vertex as LocalizerVertexShader, OBJModel, Patient, Physics, Plane2Model, ProfileModel, RGBImage2, Range2, Ring, RingModel, Scale, Slicer, SphereModel, StoreByArray, TEST_MODELS, UserDefinedModel, ShadersFragment as VRFragmentShader, VRMLLoader, VRMLModel, ShadersUniform as VRUniformShader, ShadersVertex as VRVertexShader, VolumeModel, Zoom, applyColormap, applyColormapObservable, applyFilters, applySlicer, b64ToFloat32Array, drawArrow, dummyGrayImage, dummyGrayImage3, dummyRGBImage, eqId, fetchCommonValue, imageMinMax, imageShapeOfDirection, intersectBoundingBox2, moveBoundingBox2By, moveBoundingBox2To, provideParent, resizePlane2ModelByCorner, resizePlane2ModelByEdge, sequenceDummyGrayImage2, store, updateBoxByDirection, NgThreeModule as ɵa, CanvasComponent as ɵb, ToolEntityComponent as ɵba, ZStoreService as ɵbb, EntityStoreService as ɵbc, MultiCanvasService as ɵbd, ImageStoreService as ɵbe, ImageStoreModule as ɵbf, LocalImageLoaderComponent as ɵbg, LocalImageLoaderService as ɵbh, HttpImageLoaderComponent as ɵbi, HttpImageLoaderService as ɵbj, CrossLineComponent as ɵbl, InfoComponent as ɵbm, EventDistributeComponent as ɵbn, FovComponent as ɵbo, VolumeRenderingComponent as ɵbp, EntitiesService as ɵbq, ImageSliceShowModule as ɵbr, ColormapComponent as ɵbs, DirectionComponent as ɵbt, WindowComponent as ɵbu, Image3dComponent as ɵbv, Image2dComponent as ɵbw, ImagecrosslineComponent as ɵbx, GroupedcrosslineService as ɵby, Image2dGrayComponent as ɵbz, SceneService as ɵc, MultiCanvasModule as ɵca, MultiSliceCanvasComponent as ɵcb, CornerInfoService as ɵcc, EventDistributeService as ɵcd, GetStackService as ɵce, MultiCanvasControllerComponent as ɵcf, ToolboxComponent as ɵcg, CornerInfoModule as ɵch, CornerInfoComponent as ɵci, EntityStoreModule as ɵcj, CanvasService as ɵd, RendererService as ɵe, MouseCanvasService as ɵf, OrthographicCameraComponent as ɵg, PerspectiveCameraComponent as ɵh, OrbitControlsComponent as ɵi, LineComponent as ɵj, CubeComponent as ɵk, PlaneComponent as ɵl, MouseEntityComponent as ɵm, MouseEntityService as ɵn, ControlsComponent as ɵo, ResizePlaneComponent as ɵp, MovePlaneComponent as ɵq, ResizePlaneEdgeComponent as ɵr, ResizePlaneCornerComponent as ɵs, SphereComponent as ɵt, CircleComponent as ɵu, RingComponent as ɵv, ObjLoaderComponent as ɵw, ProfileComponent as ɵx, VrmlLoaderComponent as ɵy, ShapeComponent as ɵz };
//# sourceMappingURL=image-w.js.map
