import { defineInjectable, Injectable, Component, NgModule, Input, Output, EventEmitter, Renderer2, Inject, ElementRef, inject, ViewChild, ContentChild, forwardRef, Optional, ChangeDetectionStrategy } from '@angular/core';
import { CommonModule, DOCUMENT } from '@angular/common';
import { BehaviorSubject, noop, interval, Subject, Observable, combineLatest, of, fromEvent, merge } from 'rxjs';
import { Vector3, Color, Vector2, Box2, Scene, WebGLRenderer, Texture, Mesh, DoubleSide, BoxGeometry, Matrix4 as Matrix4$1, ShaderMaterial, DataTexture, UnsignedByteType, UVMapping, ClampToEdgeWrapping, NearestFilter, Object3D, Box3, Raycaster, Triangle, RGBAFormat, RGBFormat, CircleGeometry, MeshBasicMaterial, MOUSE, Quaternion, Spherical, OrthographicCamera, PerspectiveCamera, AxesHelper, Geometry, LineDashedMaterial, Line, LineBasicMaterial, CubeGeometry, PlaneGeometry, SphereGeometry, RingGeometry, MeshNormalMaterial, OBJLoader, Group, LoaderUtils, FileLoader, BufferAttribute, AmbientLight, PointLight, SpotLight, SphereBufferGeometry, BackSide, VertexColors, BoxBufferGeometry, CylinderBufferGeometry, BufferGeometry, Float32BufferAttribute, MeshPhongMaterial, TextureLoader, DefaultLoadingManager } from 'three';
import { map, mapTo, filter, scan, startWith, distinctUntilChanged, tap, switchMap, takeUntil, first, share } from 'rxjs/operators';
import { __extends, __read, __spread, __assign } from 'tslib';
import { Matrix4 } from 'three/src/math/Matrix4';
import { v4 } from 'uuid';
import { ArrayCollectionOf, ItemStore, Database } from 'pistore';
import { HttpClient, HttpClientModule } from '@angular/common/http';
import { WebSocketSubject } from 'rxjs/webSocket';
import { FlexLayoutModule } from '@angular/flex-layout';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageWService = /** @class */ (function () {
    function ImageWService() {
    }
    ImageWService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    /** @nocollapse */
    ImageWService.ctorParameters = function () { return []; };
    /** @nocollapse */ ImageWService.ngInjectableDef = defineInjectable({ factory: function ImageWService_Factory() { return new ImageWService(); }, token: ImageWService, providedIn: "root" });
    return ImageWService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageWComponent = /** @class */ (function () {
    function ImageWComponent() {
    }
    /**
     * @return {?}
     */
    ImageWComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    ImageWComponent.decorators = [
        { type: Component, args: [{
                    selector: 'lib-image-w',
                    template: "\n    <p>\n      image-w works!\n    </p>\n  "
                }] }
    ];
    /** @nocollapse */
    ImageWComponent.ctorParameters = function () { return []; };
    return ImageWComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var EntityStoreModule = /** @class */ (function () {
    function EntityStoreModule() {
    }
    EntityStoreModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [],
                    imports: [
                        CommonModule
                    ],
                    exports: []
                },] }
    ];
    return EntityStoreModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CornerInfoComponent = /** @class */ (function () {
    function CornerInfoComponent() {
        this.canvas_width = 300;
        this.canvas_height = 300;
        this.infoSubject = new BehaviorSubject(['hello', 'ok']);
        this.positionSubject = new BehaviorSubject('bottom-left');
        this.info$ = this.infoSubject.asObservable();
        this.position$ = this.positionSubject.asObservable();
    }
    Object.defineProperty(CornerInfoComponent.prototype, "info", {
        get: /**
         * @return {?}
         */
        function () {
            return this.infoSubject.value;
        },
        set: /**
         * @param {?} i
         * @return {?}
         */
        function (i) {
            this.infoSubject.next(i);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CornerInfoComponent.prototype, "position", {
        get: /**
         * @return {?}
         */
        function () {
            return this.positionSubject.value;
        },
        set: /**
         * @param {?} p
         * @return {?}
         */
        function (p) {
            this.positionSubject.next(p);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    CornerInfoComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    CornerInfoComponent.decorators = [
        { type: Component, args: [{
                    selector: 'corner-info',
                    template: "<div [ngClass]=\"[position,'point-event']\"  *ngIf=\"(info$ | async) as infos\" >\n    <p *ngFor=\"let i of infos\" >{{i}}</p>\n</div>\n\n\n<!-- [ngClass]=\"{position: true}\" -->\n",
                    styles: ["p{line-height:.5em;color:red;font-size:10px;z-index:10}.top-left{position:absolute;top:5%;left:5%}.top-right{position:absolute;top:5%;left:80%}.bottom-left{position:absolute;top:75%;left:5%;z-index:1}.bottom-right{position:absolute;top:75%;left:80%;z-index:1}.point-event{pointer-events:none}"]
                }] }
    ];
    /** @nocollapse */
    CornerInfoComponent.ctorParameters = function () { return []; };
    CornerInfoComponent.propDecorators = {
        info: [{ type: Input }],
        position: [{ type: Input }]
    };
    return CornerInfoComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CornerInfoModule = /** @class */ (function () {
    function CornerInfoModule() {
    }
    CornerInfoModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        CornerInfoComponent,
                    ],
                    imports: [CommonModule],
                    exports: [
                        CornerInfoComponent,
                    ],
                },] }
    ];
    return CornerInfoModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var GrayImage3 = /** @class */ (function () {
    function GrayImage3(center, size, shape, data) {
        this.meta = { center: center, size: size, shape: shape };
        this.data = data;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    GrayImage3.prototype.pixel = /**
     * @param {?} i
     * @return {?}
     */
    function (i) {
        return this.data[i];
    };
    /**
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    GrayImage3.prototype.pixel3 = /**
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    function (x, y, z) {
        /** @type {?} */
        var result = this.data[x * this.meta.shape.y * this.meta.shape.z + y * this.meta.shape.z + z];
        return result;
    };
    return GrayImage3;
}());
// export class VolumeImage implements Image<number,Vector3>{
// }
var  
// export class VolumeImage implements Image<number,Vector3>{
// }
GrayImage2 = /** @class */ (function () {
    function GrayImage2(center, size, shape, data) {
        this.meta = { center: center, size: size, shape: shape };
        this.data = data;
    }
    /**
     * @param {?} i
     * @return {?}
     */
    GrayImage2.prototype.pixel = /**
     * @param {?} i
     * @return {?}
     */
    function (i) {
        return this.data[i];
    };
    /**
     * @return {?}
     */
    GrayImage2.prototype.min = /**
     * @return {?}
     */
    function () {
        return reduceArrayLike(this.data, Math.min, NaN);
    };
    /**
     * @return {?}
     */
    GrayImage2.prototype.max = /**
     * @return {?}
     */
    function () {
        return reduceArrayLike(this.data, Math.max, NaN);
    };
    return GrayImage2;
}());
/**
 * @template T
 * @param {?} arr
 * @param {?} func
 * @param {?} defaultResult
 * @return {?}
 */
function reduceArrayLike(arr, func, defaultResult) {
    if (arr.length === 0) {
        return defaultResult;
    }
    /** @type {?} */
    var result = arr[0];
    for (var i = 1; i < arr.length; i++) {
        result = func(result, arr[i]);
    }
    return result;
}
var RGBImage2 = /** @class */ (function () {
    function RGBImage2(center, size, shape, r, g, b) {
        this.r = r;
        this.g = g;
        this.b = b;
        this.meta = { center: center, size: size, shape: shape };
        this.r = r;
        this.g = g;
        this.b = b;
    }
    /**
     * @param {?} index
     * @return {?}
     */
    RGBImage2.prototype.pixel = /**
     * @param {?} index
     * @return {?}
     */
    function (index) {
        return { r: this.r[index], g: this.g[index], b: this.b[index] };
    };
    return RGBImage2;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Plane2Model = /** @class */ (function () {
    function Plane2Model(box, z, textureData, rotation, transparent, opacity, wireFrame, color) {
        if (z === void 0) { z = 10; }
        if (rotation === void 0) { rotation = new Vector3(0, 0, 0); }
        if (transparent === void 0) { transparent = false; }
        if (opacity === void 0) { opacity = 1; }
        if (wireFrame === void 0) { wireFrame = false; }
        this.box = box;
        this.z = z;
        this.textureData = textureData;
        this.rotation = rotation;
        this.transparent = transparent;
        this.opacity = opacity;
        this.wireFrame = wireFrame;
        this.color = color;
        this.type = 'plane2';
    }
    return Plane2Model;
}());
var InfoPlanceModel = /** @class */ (function () {
    function InfoPlanceModel(box, z, texture, transparent, opacity, wireFrame) {
        if (z === void 0) { z = 15; }
        if (transparent === void 0) { transparent = false; }
        if (opacity === void 0) { opacity = 1; }
        if (wireFrame === void 0) { wireFrame = false; }
        this.box = box;
        this.z = z;
        this.texture = texture;
        this.transparent = transparent;
        this.opacity = opacity;
        this.wireFrame = wireFrame;
        this.type = 'infoplane';
    }
    return InfoPlanceModel;
}());
var CubeModel = /** @class */ (function () {
    function CubeModel(size, center, rotate) {
        this.size = size;
        this.center = center;
        this.rotate = rotate;
        this.type = 'cube';
    }
    return CubeModel;
}());
var SphereModel = /** @class */ (function () {
    function SphereModel(center, radius, widthSegments, heightSegments, phiStart, phiLength, thetaStart, thetaLength) {
        if (widthSegments === void 0) { widthSegments = 32; }
        if (heightSegments === void 0) { heightSegments = 32; }
        if (phiStart === void 0) { phiStart = 0; }
        if (phiLength === void 0) { phiLength = 2 * Math.PI; }
        if (thetaStart === void 0) { thetaStart = 0; }
        if (thetaLength === void 0) { thetaLength = 0; }
        this.center = center;
        this.radius = radius;
        this.widthSegments = widthSegments;
        this.heightSegments = heightSegments;
        this.phiStart = phiStart;
        this.phiLength = phiLength;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'sphere';
    }
    return SphereModel;
}());
var CircleModel = /** @class */ (function () {
    function CircleModel(center, radius, segments, thetaStart, thetaLength) {
        if (segments === void 0) { segments = 32; }
        if (thetaStart === void 0) { thetaStart = 0; }
        if (thetaLength === void 0) { thetaLength = 2 * Math.PI; }
        this.center = center;
        this.radius = radius;
        this.segments = segments;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'circle';
    }
    return CircleModel;
}());
var RingModel = /** @class */ (function () {
    function RingModel(center, innerRadius, outerRadius, thetaSegments, phiSegments, thetaStart, thetaLength) {
        if (innerRadius === void 0) { innerRadius = 10; }
        if (outerRadius === void 0) { outerRadius = 50; }
        if (thetaSegments === void 0) { thetaSegments = 32; }
        if (phiSegments === void 0) { phiSegments = 32; }
        if (thetaStart === void 0) { thetaStart = 0; }
        if (thetaLength === void 0) { thetaLength = 2 * Math.PI; }
        this.center = center;
        this.innerRadius = innerRadius;
        this.outerRadius = outerRadius;
        this.thetaSegments = thetaSegments;
        this.phiSegments = phiSegments;
        this.thetaStart = thetaStart;
        this.thetaLength = thetaLength;
        this.type = 'ring';
    }
    return RingModel;
}());
var UserDefinedModel = /** @class */ (function () {
    function UserDefinedModel(shapes) {
        this.shapes = shapes;
        this.type = 'user-defined';
    }
    return UserDefinedModel;
}());
var ProfileModel = /** @class */ (function () {
    function ProfileModel(points) {
        this.points = points;
        this.type = 'profile1d';
    }
    return ProfileModel;
}());
var LineModel = /** @class */ (function () {
    function LineModel(start, end, style, color) {
        if (style === void 0) { style = 'Solid'; }
        if (color === void 0) { color = new Color(0, 0.2, 1); }
        this.start = start;
        this.end = end;
        this.style = style;
        this.color = color;
        this.type = 'line';
    }
    return LineModel;
}());
var OBJModel = /** @class */ (function () {
    function OBJModel(center) {
        this.center = center;
        this.type = 'obj';
    }
    return OBJModel;
}());
var VRMLModel = /** @class */ (function () {
    function VRMLModel(center) {
        this.center = center;
        this.type = 'vrml';
    }
    return VRMLModel;
}());
var CrossLineModel = /** @class */ (function () {
    function CrossLineModel(position, view, lineWidth) {
        if (lineWidth === void 0) { lineWidth = 1.5; }
        this.position = position;
        this.view = view;
        this.lineWidth = lineWidth;
        this.type = 'crossline';
    }
    return CrossLineModel;
}());
var FovModel = /** @class */ (function () {
    function FovModel(box) {
        this.box = box;
        this.type = 'fov';
    }
    return FovModel;
}());
var VolumeModel = /** @class */ (function () {
    function VolumeModel(color, // default,spectrum,hot_and_cold,gold,red,green,blue,walking_dead,random,muscle_bone
    opacity, // linear,lowpass,highpass,bandpass,flat,random,linear_full
    algorithm, // 0,1
    alphaCorrection, // 0-1
    volume) {
        if (color === void 0) { color = 'red'; }
        if (opacity === void 0) { opacity = 'bandpass'; }
        if (algorithm === void 0) { algorithm = 0; }
        if (alphaCorrection === void 0) { alphaCorrection = 0.25; }
        if (volume === void 0) { volume = new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), initArray(new Float32Array(190 * 256 * 151), 10)); }
        this.color = color;
        this.opacity = opacity;
        this.algorithm = algorithm;
        this.alphaCorrection = alphaCorrection;
        this.volume = volume;
        this.type = 'volume';
    }
    return VolumeModel;
}());
/**
 * @param {?} image
 * @param {?} value
 * @return {?}
 */
function initArray(image, value) {
    /** @type {?} */
    var newArray = image.map((/**
     * @param {?} item
     * @param {?} index
     * @param {?} array
     * @return {?}
     */
    function (item, index, array) { return value; }));
    return newArray;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Range2 = /** @class */ (function () {
    function Range2(min, max) {
        this.min = min;
        this.max = max;
    }
    return Range2;
}());
/** @enum {number} */
var Direction = {
    Up: 1,
    Down: 2,
    Left: 3,
    Right: 4,
};
Direction[Direction.Up] = 'Up';
Direction[Direction.Down] = 'Down';
Direction[Direction.Left] = 'Left';
Direction[Direction.Right] = 'Right';
/**
 * @param {?} p
 * @param {?} b
 * @return {?}
 */
function intersectBoundingBox2(p, b) {
    return b.box.containsPoint(p);
}
var BoundingBox2FromBox2 = /** @class */ (function () {
    function BoundingBox2FromBox2(box) {
        this.box = box;
    }
    Object.defineProperty(BoundingBox2FromBox2.prototype, "center", {
        get: /**
         * @return {?}
         */
        function () {
            return new Vector2((this.box.min.x + this.box.max.x) / 2, (this.box.min.y + this.box.max.y) / 2);
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            /** @type {?} */
            var offset = new Vector2(v.x - this.center.x, v.y - this.center.y);
            this.box.min.add(offset);
            this.box.max.add(offset);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromBox2.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return new Vector2(this.box.max.x - this.box.min.x, this.box.max.y - this.box.min.y);
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.update(new BoundingBox2FromCenterSize(this.center, v));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromBox2.prototype, "left", {
        get: /**
         * @return {?}
         */
        function () {
            return this.box.min.x;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.box.min.x = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromBox2.prototype, "right", {
        get: /**
         * @return {?}
         */
        function () {
            return this.box.max.x;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.box.max.x = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromBox2.prototype, "top", {
        get: /**
         * @return {?}
         */
        function () {
            return this.box.min.y;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.box.min.x = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromBox2.prototype, "bottom", {
        get: /**
         * @return {?}
         */
        function () {
            return this.box.max.y;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.box.max.x = v;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} bb
     * @return {?}
     */
    BoundingBox2FromBox2.prototype.update = /**
     * @param {?} bb
     * @return {?}
     */
    function (bb) {
        this.box = bb.box.clone();
    };
    return BoundingBox2FromBox2;
}());
var BoundingBox2FromCenterSize = /** @class */ (function () {
    function BoundingBox2FromCenterSize(center, size) {
        this.center = center.clone();
        this.size = size.clone();
    }
    Object.defineProperty(BoundingBox2FromCenterSize.prototype, "box", {
        get: /**
         * @return {?}
         */
        function () {
            return new Box2(new Vector2(this.left, this.top), new Vector2(this.right, this.bottom));
        },
        set: /**
         * @param {?} box2
         * @return {?}
         */
        function (box2) {
            this.copy(new BoundingBox2FromBox2(box2));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromCenterSize.prototype, "left", {
        get: /**
         * @return {?}
         */
        function () {
            return this.center.x - this.size.x / 2;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            /** @type {?} */
            var result = new BoundingBox2FromLRTB(v, this.right, this.top, this.bottom);
            this.copy(result);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromCenterSize.prototype, "right", {
        get: /**
         * @return {?}
         */
        function () {
            return this.center.x + this.size.x / 2;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.copy(new BoundingBox2FromLRTB(this.left, v, this.top, this.bottom));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromCenterSize.prototype, "top", {
        get: /**
         * @return {?}
         */
        function () {
            return this.center.y - this.size.y / 2;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.copy(new BoundingBox2FromLRTB(this.left, this.right, v, this.bottom));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromCenterSize.prototype, "bottom", {
        get: /**
         * @return {?}
         */
        function () {
            return this.center.y + this.size.y / 2;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.copy(new BoundingBox2FromLRTB(this.left, this.right, this.top, v));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} v
     * @return {?}
     */
    BoundingBox2FromCenterSize.prototype.updateRight = /**
     * @param {?} v
     * @return {?}
     */
    function (v) {
        return new BoundingBox2FromLRTB(this.left, v, this.top, this.bottom);
    };
    /**
     * @param {?} v
     * @return {?}
     */
    BoundingBox2FromCenterSize.prototype.updateLeft = /**
     * @param {?} v
     * @return {?}
     */
    function (v) {
        return new BoundingBox2FromLRTB(v, this.right, this.top, this.bottom);
    };
    /**
     * @param {?} v
     * @return {?}
     */
    BoundingBox2FromCenterSize.prototype.updateBottom = /**
     * @param {?} v
     * @return {?}
     */
    function (v) {
        return new BoundingBox2FromLRTB(this.left, this.right, this.top, v);
    };
    /**
     * @param {?} v
     * @return {?}
     */
    BoundingBox2FromCenterSize.prototype.updateTop = /**
     * @param {?} v
     * @return {?}
     */
    function (v) {
        return new BoundingBox2FromLRTB(this.left, this.right, v, this.bottom);
    };
    /**
     * @param {?} bb
     * @return {?}
     */
    BoundingBox2FromCenterSize.prototype.copy = /**
     * @param {?} bb
     * @return {?}
     */
    function (bb) {
        this.center = bb.center.clone();
        this.size = bb.size.clone();
    };
    return BoundingBox2FromCenterSize;
}());
var BoundingBox2FromLRTB = /** @class */ (function () {
    function BoundingBox2FromLRTB(left, right, top, bottom) {
        this.left = left;
        this.right = right;
        this.top = top;
        this.bottom = bottom;
    }
    Object.defineProperty(BoundingBox2FromLRTB.prototype, "box", {
        get: /**
         * @return {?}
         */
        function () {
            return new Box2(new Vector2(this.left, this.top), new Vector2(this.right, this.bottom));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromLRTB.prototype, "center", {
        get: /**
         * @return {?}
         */
        function () {
            return new Vector2((this.left + this.right) / 2, (this.top + this.bottom) / 2);
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.copy(new BoundingBox2FromCenterSize(v, this.size));
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(BoundingBox2FromLRTB.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return new Vector2(this.right - this.left, this.bottom - this.top);
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.copy(new BoundingBox2FromCenterSize(this.center, v));
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} bb
     * @return {?}
     */
    BoundingBox2FromLRTB.prototype.copy = /**
     * @param {?} bb
     * @return {?}
     */
    function (bb) {
        this.left = bb.left;
        this.right = bb.right;
        this.top = bb.top;
        this.bottom = bb.bottom;
    };
    return BoundingBox2FromLRTB;
}());
var Boundingbox2Controller = /** @class */ (function () {
    function Boundingbox2Controller(box, scale) {
        this.box = box;
        this.scale = scale;
    }
    /**
     * @return {?}
     */
    Boundingbox2Controller.prototype.leftController = /**
     * @return {?}
     */
    function () {
        return new BoundingBox2FromLRTB(this.box.left - this.box.size.x * this.scale, this.box.left, this.box.top, this.box.bottom);
    };
    /**
     * @return {?}
     */
    Boundingbox2Controller.prototype.rightController = /**
     * @return {?}
     */
    function () {
        return new BoundingBox2FromLRTB(this.box.right, this.box.right + this.box.size.x * this.scale, this.box.top, this.box.bottom);
    };
    /**
     * @return {?}
     */
    Boundingbox2Controller.prototype.bottomController = /**
     * @return {?}
     */
    function () {
        return new BoundingBox2FromLRTB(this.box.left, this.box.right, this.box.bottom, this.box.bottom + this.box.size.y * this.scale);
    };
    /**
     * @return {?}
     */
    Boundingbox2Controller.prototype.topController = /**
     * @return {?}
     */
    function () {
        return new BoundingBox2FromLRTB(this.box.left, this.box.right, this.box.top - this.box.size.y * this.scale, this.box.top);
    };
    /**
     * @return {?}
     */
    Boundingbox2Controller.prototype.anyController = /**
     * @return {?}
     */
    function () {
        return new BoundingBox2FromLRTB(this.box.left * this.scale, this.box.left, this.box.top, this.box.bottom);
    };
    /**
     * @param {?} position
     * @return {?}
     */
    Boundingbox2Controller.prototype.onWhichAreabox = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (intersectBoundingBox2(position, this.leftController())) {
            return 'left';
        }
        if (intersectBoundingBox2(position, this.rightController())) {
            return 'right';
        }
        if (intersectBoundingBox2(position, this.topController())) {
            return 'top';
        }
        if (intersectBoundingBox2(position, this.bottomController())) {
            return 'bottom';
        }
        if (intersectBoundingBox2(position, this.box)) {
            return 'inside';
        }
        return 'none';
    };
    return Boundingbox2Controller;
}());
/**
 * @param {?} box
 * @param {?} offset
 * @return {?}
 */
function moveBoundingBox2By(box, offset) {
    return new BoundingBox2FromCenterSize(new Vector2(box.center.x + offset.x, box.center.y + offset.y), box.size);
}
/**
 * @param {?} box
 * @param {?} target
 * @return {?}
 */
function moveBoundingBox2To(box, target) {
    return new BoundingBox2FromCenterSize(target, box.size);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyRGBImage(size, shape) {
    /** @type {?} */
    var nbPixels = shape.x * shape.y;
    /** @type {?} */
    var r = new Uint8Array(nbPixels);
    /** @type {?} */
    var g = new Uint8Array(nbPixels);
    /** @type {?} */
    var b = new Uint8Array(nbPixels);
    for (var i = 0; i < shape.x; i++) {
        for (var j = 0; j < shape.y; j++) {
            /** @type {?} */
            var y = Math.sin((i / shape.x) * Math.PI * 2 + Math.PI / 4);
            /** @type {?} */
            var x = Math.cos((j / shape.y) * Math.PI * 2);
            /** @type {?} */
            var v = (x * y + 1) / 2;
            r[i * shape.y + j] = v * 255;
            g[i * shape.y + j] = v * 255;
            b[i * shape.y + j] = v * 255;
        }
    }
    return new RGBImage2(new Vector2(0, 0), size, shape, r, g, b);
}
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyGrayImage(size, shape) {
    /** @type {?} */
    var nbPixels = shape.x * shape.y;
    /** @type {?} */
    var data = new Float32Array(nbPixels);
    for (var i = 0; i < shape.x; i++) {
        for (var j = 0; j < shape.y; j++) {
            /** @type {?} */
            var y = Math.sin((i / shape.x) * Math.PI * 2 + Math.PI / 4);
            /** @type {?} */
            var x = Math.cos((j / shape.y) * Math.PI * 2);
            /** @type {?} */
            var v = (x * y + 1) / 2;
            data[i * shape.y + j] = v * 255;
            // console.log(v);
        }
    }
    return new GrayImage2(new Vector2(0, 0), size, shape, data);
}
/**
 * @param {?} size
 * @param {?} shape
 * @return {?}
 */
function dummyGrayImage3(size, shape) {
    /** @type {?} */
    var nbPixels = shape.x * shape.y * shape.z;
    /** @type {?} */
    var data = new Float32Array(nbPixels);
    for (var i = 0; i < shape.x; i++) {
        for (var j = 0; j < shape.y; j++) {
            for (var k = 0; k < shape.z; k++) {
                /** @type {?} */
                var y = Math.sin((i / shape.x) * Math.PI * 2 + (Math.PI * k) / shape.z);
                /** @type {?} */
                var x = Math.cos((j / shape.y) * Math.PI * 2);
                /** @type {?} */
                var v = (x * y + 1) / 2;
                data[i * shape.y * shape.z + j * shape.z + k] = v;
            }
        }
    }
    return new GrayImage3(new Vector3(0, 0, 0), size, shape, data);
}
/**
 * @param {?} size
 * @param {?} shape
 * @param {?} center
 * @param {?} next$
 * @return {?}
 */
function sequenceDummyGrayImage2(size, shape, center, next$) {
    return next$.pipe(map((/**
     * @return {?}
     */
    function () {
        return new GrayImage2(center, size, shape, new Float32Array(shape.x * shape.y).fill(Math.random()));
    })));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Image2dGrayComponent = /** @class */ (function () {
    function Image2dGrayComponent() {
        this.imageSubject = new BehaviorSubject(
        // new GrayImage2(
        //   new Vector2(0, 0),
        //   new Vector2(78, 58),
        //   new Vector2(1, 1),
        //   new Float32Array([255]),
        // ),
        dummyGrayImage(new Vector2(60, 60), new Vector2(60, 120)));
        this.image$ = this.imageSubject.asObservable();
        this.z = 0;
        // @Output() scroll = new EventEmitter<number>();
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.model$ = this.image$.pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return new Plane2Model(new BoundingBox2FromCenterSize(image.meta.center, image.meta.size), 10, {
                r: new Uint8Array(image.data),
                g: new Uint8Array(image.data),
                b: new Uint8Array(image.data),
                shape: new Vector2(image.meta.shape.x, image.meta.shape.y),
            });
        })));
        this.model$.subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    Object.defineProperty(Image2dGrayComponent.prototype, "image", {
        get: /**
         * @return {?}
         */
        function () {
            return this.imageSubject.value;
        },
        set: /**
         * @param {?} s
         * @return {?}
         */
        function (s) {
            if (s === undefined || s === null) {
                throw Error('Can not set Display2DProperty with null');
            }
            this.imageSubject.next(s);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} e
     * @return {?}
     */
    Image2dGrayComponent.prototype.onWheelEvent = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.scroll.emit(e);
    };
    /**
     * @param {?} d
     * @return {?}
     */
    Image2dGrayComponent.prototype.onDragEvent = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.drag.emit(d);
    };
    /**
     * @return {?}
     */
    Image2dGrayComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    Image2dGrayComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-image2d-gray',
                    template: "<ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n    <ng3-mouse-entity\n      (wheel)=\"onWheelEvent($event)\"\n      (drag)=\"onDragEvent($event)\"\n    ></ng3-mouse-entity>\n  </ng3-plane>",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    Image2dGrayComponent.ctorParameters = function () { return []; };
    Image2dGrayComponent.propDecorators = {
        image: [{ type: Input }],
        z: [{ type: Input }],
        scroll: [{ type: Output }],
        drag: [{ type: Output }]
    };
    return Image2dGrayComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// TODO: better implementation of position change detection
var CanvasService = /** @class */ (function () {
    function CanvasService(render, _dom) {
        var _this = this;
        this.render = render;
        this._dom = _dom;
        this.sizeSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(300, 300)));
        this.size$ = this.sizeSubject.asObservable();
        // readonly domElement = document.createElement('canvas');
        this.domElement = this.render.createElement('canvas');
        // const domElement = this.render.createElement('canvas');
        // let a  = this.render;
        // console.log('a', a);
        // const a = (this.domElement as HTMLCanvasElement).getContext('2d');
        // console.log('a', a);
        // a.fillText('my text',40,40);
        this.domElement.addEventListener('resize', (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
        this.subscription = interval(100).subscribe((/**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var rect = _this.domElement.getBoundingClientRect();
            /** @type {?} */
            var box = new BoundingBox2FromLRTB(rect.left, rect.right, rect.top, rect.bottom);
            if (box.left !== _this.size.left ||
                box.right !== _this.size.right ||
                box.top !== _this.size.top ||
                box.bottom !== _this.size.bottom) {
                _this.size = box;
            }
        }));
    }
    Object.defineProperty(CanvasService.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return this.sizeSubject.value;
        },
        set: /**
         * @param {?} box
         * @return {?}
         */
        function (box) {
            this.sizeSubject.next(box);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    CanvasService.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.subscription.unsubscribe();
    };
    CanvasService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    CanvasService.ctorParameters = function () { return [
        { type: Renderer2 },
        { type: undefined, decorators: [{ type: Inject, args: [DOCUMENT,] }] }
    ]; };
    return CanvasService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var SceneService = /** @class */ (function () {
    function SceneService(canvas) {
        this.canvas = canvas;
        this.scene = new Scene();
        this.renders = new Subject();
        this.render$ = this.renders.asObservable();
        this.sizes = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)));
        this.size$ = this.sizes.asObservable();
    }
    Object.defineProperty(SceneService.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return this.sizes.value;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} entity
     * @return {?}
     */
    SceneService.prototype.add = /**
     * @param {?} entity
     * @return {?}
     */
    function (entity) {
        this.scene.add(entity);
    };
    /**
     * @param {?} entity
     * @return {?}
     */
    SceneService.prototype.remove = /**
     * @param {?} entity
     * @return {?}
     */
    function (entity) {
        this.scene.remove(entity);
    };
    /**
     * @param {?} box
     * @return {?}
     */
    SceneService.prototype.resize = /**
     * @param {?} box
     * @return {?}
     */
    function (box) {
        this.sizes.next(box);
    };
    /**
     * @return {?}
     */
    SceneService.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.renders.complete();
        this.sizes.complete();
    };
    /**
     * @param {?} client
     * @return {?}
     */
    SceneService.prototype.clientSize2SceneSize = /**
     * @param {?} client
     * @return {?}
     */
    function (client) {
        return new Vector2((client.x / this.canvas.size.size.x) * this.size.size.x, (client.y / this.canvas.size.size.y) * this.size.size.y);
    };
    /**
     * @param {?} client
     * @return {?}
     */
    SceneService.prototype.clientPosition2ScenePosition = /**
     * @param {?} client
     * @return {?}
     */
    function (client) {
        return relativeCoordinate(this.canvas.size, this.size, new Vector2(client.x, client.y));
    };
    /**
     * @param {?} scene
     * @return {?}
     */
    SceneService.prototype.scenePosition2ClientPotision = /**
     * @param {?} scene
     * @return {?}
     */
    function (scene) {
        return relativeCoordinate(this.size, this.canvas.size, new Vector2(scene.x, scene.y));
    };
    SceneService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    SceneService.ctorParameters = function () { return [
        { type: CanvasService }
    ]; };
    return SceneService;
}());
/**
 * @param {?} source
 * @param {?} target
 * @param {?} coordinate
 * @return {?}
 */
function relativeCoordinate(source, target, coordinate) {
    return new Vector2(linearTrans(coordinate.x, source.box.min.x, source.box.max.x, target.box.min.x, target.box.max.x), linearTrans(coordinate.y, source.box.min.y, source.box.max.y, target.box.min.y, target.box.max.y));
}
// Transform x in frame s0, s1 to target frame t0, t1
// e.g. linearTrans(3, 6, 0, 1, 2) => 1.5
/**
 * @param {?} x
 * @param {?} s0
 * @param {?} s1
 * @param {?} t0
 * @param {?} t1
 * @return {?}
 */
function linearTrans(x, s0, s1, t0, t1) {
    return ((x - s0) / (s1 - s0)) * (t1 - t0) + t0;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// TODO: move domElement related to CanvasService
var RendererService = /** @class */ (function () {
    function RendererService(sceneService, canvas) {
        // console.log(this.lut);
        var _this = this;
        this.sceneService = sceneService;
        this.canvas = canvas;
        // public lut = new HelperLut(this.canvas.domElement);
        this.verbose = 0;
        this.renderer = new WebGLRenderer({
            canvas: this.canvas.domElement,
            antialias: true,
        });
        this.subject = new Subject();
        this.render$ = this.subject.asObservable();
        this.isPushbasedRender = true;
        this.canvas.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            /** @type {?} */
            var currentSize = _this.renderer.getSize();
            if (b.size.x !== currentSize.width || b.size.y !== currentSize.height) {
                _this.renderer.setSize(b.size.x, b.size.y);
                _this.render();
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        if (this.isPushbasedRender) {
            this.render$.subscribe((/**
             * @return {?}
             */
            function () {
                _this.doRender();
            }), (/**
             * @param {?} e
             * @return {?}
             */
            function (e) { return console.error(e); }));
        }
        else {
            this.animation();
        }
    }
    /**
     * @private
     * @return {?}
     */
    RendererService.prototype.doRender = /**
     * @private
     * @return {?}
     */
    function () {
        if (this.camera === undefined) {
            if (this.verbose > 0) {
                console.warn('Failed to render:\ncamera: ', this.camera, '\ncanvas', this.canvas, '\nrenderer:', this.renderer, '\n');
            }
            return;
        }
        this.renderer.render(this.sceneService.scene, this.camera);
    };
    /**
     * @param {?} camera
     * @return {?}
     */
    RendererService.prototype.setCamera = /**
     * @param {?} camera
     * @return {?}
     */
    function (camera) {
        this.camera = camera;
    };
    /**
     * @private
     * @return {?}
     */
    RendererService.prototype.animation = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        requestAnimationFrame((/**
         * @return {?}
         */
        function () { return _this.animation(); }));
        this.doRender();
    };
    /**
     * @return {?}
     */
    RendererService.prototype.render = /**
     * @return {?}
     */
    function () {
        this.subject.next();
    };
    Object.defineProperty(RendererService.prototype, "domElement", {
        get: /**
         * @return {?}
         */
        function () {
            return this.renderer.domElement;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    RendererService.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.subject.complete();
    };
    RendererService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    RendererService.ctorParameters = function () { return [
        { type: SceneService },
        { type: CanvasService }
    ]; };
    return RendererService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
var /**
 * \@ module shaders/data
 */
ShadersUniform = /** @class */ (function () {
    function ShadersUniform() {
    }
    /**
     * @return {?}
     */
    ShadersUniform.uniforms = /**
     * @return {?}
     */
    function () {
        return {
            uTextureSize: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureContainer: {
                type: 'tv',
                value: [],
                typeGLSL: 'sampler2D',
                length: 7,
            },
            uDataDimensions: {
                type: 'iv',
                value: [0, 0, 0],
                typeGLSL: 'ivec3',
            },
            uWorldToData: {
                type: 'm4',
                value: new Matrix4(),
                typeGLSL: 'mat4',
            },
            uWindowCenterWidth: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uRescaleSlopeIntercept: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uNumberOfChannels: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uBitsAllocated: {
                type: 'i',
                value: 8,
                typeGLSL: 'int',
            },
            uInvert: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uLut: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUT: {
                type: 't',
                // value: [],
                value: new Texture(),
                typeGLSL: 'sampler2D',
            },
            uPixelType: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uPackedPerPixel: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uInterpolation: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uWorldBBox: {
                type: 'fv1',
                value: [0.0, 0.0, 0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'float',
                length: 6,
            },
            uSteps: {
                type: 'i',
                value: 256,
                typeGLSL: 'int',
            },
            uAlphaCorrection: {
                type: 'f',
                value: 0.5,
                typeGLSL: 'float',
            },
            uFrequence: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uAmplitude: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uShading: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uAmbient: {
                type: 'f',
                value: 0.1,
                typeGLSL: 'float',
            },
            uAmbientColor: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uSampleColorToAmbient: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uSpecular: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uSpecularColor: {
                type: 'v3',
                value: [1.0, 1.0, 1.0],
                typeGLSL: 'vec3',
            },
            uDiffuse: {
                type: 'f',
                value: 0.3,
                typeGLSL: 'float',
            },
            uDiffuseColor: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uSampleColorToDiffuse: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uShininess: {
                type: 'f',
                value: 5,
                typeGLSL: 'float',
            },
            uLightPosition: {
                type: 'v3',
                value: [0.0, 0.0, 0.0],
                typeGLSL: 'vec3',
            },
            uLightPositionInCamera: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uIntensity: {
                type: 'v3',
                value: [0.8, 0.8, 0.8],
                typeGLSL: 'vec3',
            },
            uAlgorithm: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
        };
    };
    return ShadersUniform;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersVertex = /** @class */ (function () {
    function ShadersVertex() {
    }
    /**
     * @return {?}
     */
    ShadersVertex.prototype.compute = /**
     * @return {?}
     */
    function () {
        return "\nvarying vec4 vPos;\n\n//\n// main\n//\nvoid main() {\n  vPos = modelMatrix * vec4(position, 1.0 );\n  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );\n\n}\n        ";
    };
    return ShadersVertex;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersBase = /** @class */ (function () {
    function ShadersBase() {
        this._name = 'shadersBase';
        this._base = {
            // TODO: define the types of this interface
            _functions: {},
            _uniforms: {},
        };
        this._definition = '';
        // this._name = 'shadersBase';
        // this._base = {
        //   _functions: {},
        //   _uniforms: {},
        // };
        // this._definition = '';
    }
    Object.defineProperty(ShadersBase.prototype, "name", {
        get: /**
         * @return {?}
         */
        function () {
            return this._name;
        },
        set: /**
         * @param {?} name
         * @return {?}
         */
        function (name) {
            this._name = name;
        },
        enumerable: true,
        configurable: true
    });
    return ShadersBase;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Set of methods to unpack values from [r][b][g][a] -> float
 */
var /**
 * Set of methods to unpack values from [r][b][g][a] -> float
 */
Unpack = /** @class */ (function (_super) {
    __extends(Unpack, _super);
    function Unpack() {
        var _this = _super.call(this) || this;
        /**
         * Constructor
         */
        // default properties names
        _this._packedData = 'packedData';
        _this._offset = 'offset';
        _this._unpackedData = 'unpackedData';
        _this.name = 'unpack';
        // default properties names
        // this._packedData = 'packedData';
        // this._offset = 'offset';
        // this._unpackedData = 'unpackedData';
        _this._base._uniforms = {
            uNumberOfChannels: {
                value: 1,
            },
            uBitsAllocated: {
                value: 16,
            },
            uPixelType: {
                value: 0,
            },
        };
        return _this;
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} packedData
     * @param {?=} offset
     * @param {?=} unpackedData
     * @return {?}
     */
    Unpack.prototype.api = /**
     * @param {?=} baseFragment
     * @param {?=} packedData
     * @param {?=} offset
     * @param {?=} unpackedData
     * @return {?}
     */
    function (baseFragment, packedData, offset, unpackedData) {
        if (baseFragment === void 0) { baseFragment = this._base; }
        if (packedData === void 0) { packedData = this._packedData; }
        if (offset === void 0) { offset = this._offset; }
        if (unpackedData === void 0) { unpackedData = this._unpackedData; }
        this._base = baseFragment;
        return this.compute(packedData, offset, unpackedData);
    };
    /**
     * @param {?} packedData
     * @param {?} offset
     * @param {?} unpackedData
     * @return {?}
     */
    Unpack.prototype.compute = /**
     * @param {?} packedData
     * @param {?} offset
     * @param {?} unpackedData
     * @return {?}
     */
    function (packedData, offset, unpackedData) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return this._name + "(" + packedData + ", " + offset + ", " + unpackedData + ");";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.computeDefinition = /**
     * @return {?}
     */
    function () {
        // fun stuff
        /** @type {?} */
        var content = '';
        if (this._base._uniforms.uNumberOfChannels.value === 1) {
            switch (this._base._uniforms.uBitsAllocated.value) {
                case 1:
                case 8:
                    content = this.upack8();
                    break;
                case 16:
                    content = this.upack16();
                    break;
                case 32:
                    content = this.upack32();
                    break;
                default:
                    content = this.upackIdentity();
                    break;
            }
        }
        else {
            content = this.upackIdentity();
        }
        this._definition = "\nvoid " + this._name + "(in vec4 packedData, in int offset, out vec4 unpackedData){\n\n" + content + "\n\n}\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.upack8 = /**
     * @return {?}
     */
    function () {
        this._base._functions['uInt8'] = this.uInt8();
        return "\nfloat floatedOffset = float(offset);\nfloat floatedOffsetSquared = floatedOffset * floatedOffset;\nuInt8(\n  step( floatedOffsetSquared , 0.0 ) * packedData.r +\n  step( floatedOffsetSquared - 2. * floatedOffset + 1., 0.0 ) * packedData.g +\n  step( floatedOffsetSquared - 2. * 2. *  floatedOffset + 4., 0.0 ) * packedData.b +\n  step( floatedOffsetSquared - 2. * 3. *  floatedOffset + 9., 0.0 ) * packedData.a\n  ,\n  unpackedData.x);\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.upack16 = /**
     * @return {?}
     */
    function () {
        this._base._functions['uInt16'] = this.uInt16();
        return "\nfloat floatedOffset = float(offset);\nuInt16(\n  packedData.r * (1. - floatedOffset) + packedData.b * floatedOffset,\n  packedData.g * (1. - floatedOffset) + packedData.a * floatedOffset,\n  unpackedData.x);\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.upack32 = /**
     * @return {?}
     */
    function () {
        if (this._base._uniforms.uPixelType.value === 0) {
            this._base._functions['uInt32'] = this.uInt32();
            return "\nuInt32(\n  packedData.r,\n  packedData.g,\n  packedData.b,\n  packedData.a,\n  unpackedData.x);\n      ";
        }
        else {
            this._base._functions['uFloat32'] = this.uFloat32();
            return "\nuFloat32(\n  packedData.r,\n  packedData.g,\n  packedData.b,\n  packedData.a,\n  unpackedData.x);\n      ";
        }
    };
    /**
     * @return {?}
     */
    Unpack.prototype.upackIdentity = /**
     * @return {?}
     */
    function () {
        return "\nunpackedData = packedData;\n      ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.uInt8 = /**
     * @return {?}
     */
    function () {
        return "\nvoid uInt8(in float r, out float value){\n  value = r * 255.;\n}\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.uInt16 = /**
     * @return {?}
     */
    function () {
        return "\nvoid uInt16(in float r, in float a, out float value){\n  value = r * 255. + a * 255. * 256.;\n}\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.uInt32 = /**
     * @return {?}
     */
    function () {
        return "\nvoid uInt32(in float r, in float g, in float b, in float a, out float value){\n  value = r * 255. + g * 255. * 256. + b * 255. * 256. * 256. + a * 255. * 256. * 256. * 256.;\n  // value = r * 255. + g * 65025. + b * 16581375. + a * 4228250625.;\n}\n    ";
    };
    /**
     * @return {?}
     */
    Unpack.prototype.uFloat32 = /**
     * @return {?}
     */
    function () {
        return "\nvoid uFloat32(in float r, in float g, in float b, in float a, out float value){\n\n  // create arrays containing bits for rgba values\n  // value between 0 and 255\n  value = r * 255.;\n  int bytemeR[8];\n  bytemeR[0] = int(floor(value / 128.));\n  value -= float(bytemeR[0] * 128);\n  bytemeR[1] = int(floor(value / 64.));\n  value -= float(bytemeR[1] * 64);\n  bytemeR[2] = int(floor(value / 32.));\n  value -= float(bytemeR[2] * 32);\n  bytemeR[3] = int(floor(value / 16.));\n  value -= float(bytemeR[3] * 16);\n  bytemeR[4] = int(floor(value / 8.));\n  value -= float(bytemeR[4] * 8);\n  bytemeR[5] = int(floor(value / 4.));\n  value -= float(bytemeR[5] * 4);\n  bytemeR[6] = int(floor(value / 2.));\n  value -= float(bytemeR[6] * 2);\n  bytemeR[7] = int(floor(value));\n\n  value = g * 255.;\n  int bytemeG[8];\n  bytemeG[0] = int(floor(value / 128.));\n  value -= float(bytemeG[0] * 128);\n  bytemeG[1] = int(floor(value / 64.));\n  value -= float(bytemeG[1] * 64);\n  bytemeG[2] = int(floor(value / 32.));\n  value -= float(bytemeG[2] * 32);\n  bytemeG[3] = int(floor(value / 16.));\n  value -= float(bytemeG[3] * 16);\n  bytemeG[4] = int(floor(value / 8.));\n  value -= float(bytemeG[4] * 8);\n  bytemeG[5] = int(floor(value / 4.));\n  value -= float(bytemeG[5] * 4);\n  bytemeG[6] = int(floor(value / 2.));\n  value -= float(bytemeG[6] * 2);\n  bytemeG[7] = int(floor(value));\n\n  value = b * 255.;\n  int bytemeB[8];\n  bytemeB[0] = int(floor(value / 128.));\n  value -= float(bytemeB[0] * 128);\n  bytemeB[1] = int(floor(value / 64.));\n  value -= float(bytemeB[1] * 64);\n  bytemeB[2] = int(floor(value / 32.));\n  value -= float(bytemeB[2] * 32);\n  bytemeB[3] = int(floor(value / 16.));\n  value -= float(bytemeB[3] * 16);\n  bytemeB[4] = int(floor(value / 8.));\n  value -= float(bytemeB[4] * 8);\n  bytemeB[5] = int(floor(value / 4.));\n  value -= float(bytemeB[5] * 4);\n  bytemeB[6] = int(floor(value / 2.));\n  value -= float(bytemeB[6] * 2);\n  bytemeB[7] = int(floor(value));\n\n  value = a * 255.;\n  int bytemeA[8];\n  bytemeA[0] = int(floor(value / 128.));\n  value -= float(bytemeA[0] * 128);\n  bytemeA[1] = int(floor(value / 64.));\n  value -= float(bytemeA[1] * 64);\n  bytemeA[2] = int(floor(value / 32.));\n  value -= float(bytemeA[2] * 32);\n  bytemeA[3] = int(floor(value / 16.));\n  value -= float(bytemeA[3] * 16);\n  bytemeA[4] = int(floor(value / 8.));\n  value -= float(bytemeA[4] * 8);\n  bytemeA[5] = int(floor(value / 4.));\n  value -= float(bytemeA[5] * 4);\n  bytemeA[6] = int(floor(value / 2.));\n  value -= float(bytemeA[6] * 2);\n  bytemeA[7] = int(floor(value));\n\n  // compute float32 value from bit arrays\n\n  // sign\n  int issigned = 1 - 2 * bytemeR[0];\n  //   issigned = int(pow(-1., float(bytemeR[0])));\n\n  // exponent\n  int exponent = 0;\n\n  exponent += bytemeR[1] * int(pow(2., 7.));\n  exponent += bytemeR[2] * int(pow(2., 6.));\n  exponent += bytemeR[3] * int(pow(2., 5.));\n  exponent += bytemeR[4] * int(pow(2., 4.));\n  exponent += bytemeR[5] * int(pow(2., 3.));\n  exponent += bytemeR[6] * int(pow(2., 2.));\n  exponent += bytemeR[7] * int(pow(2., 1.));\n\n  exponent += bytemeG[0];\n\n\n  // fraction\n  float fraction = 0.;\n\n  fraction = float(bytemeG[1]) * pow(2., -1.);\n  fraction += float(bytemeG[2]) * pow(2., -2.);\n  fraction += float(bytemeG[3]) * pow(2., -3.);\n  fraction += float(bytemeG[4]) * pow(2., -4.);\n  fraction += float(bytemeG[5]) * pow(2., -5.);\n  fraction += float(bytemeG[6]) * pow(2., -6.);\n  fraction += float(bytemeG[7]) * pow(2., -7.);\n\n  fraction += float(bytemeB[0]) * pow(2., -8.);\n  fraction += float(bytemeB[1]) * pow(2., -9.);\n  fraction += float(bytemeB[2]) * pow(2., -10.);\n  fraction += float(bytemeB[3]) * pow(2., -11.);\n  fraction += float(bytemeB[4]) * pow(2., -12.);\n  fraction += float(bytemeB[5]) * pow(2., -13.);\n  fraction += float(bytemeB[6]) * pow(2., -14.);\n  fraction += float(bytemeB[7]) * pow(2., -15.);\n\n  fraction += float(bytemeA[0]) * pow(2., -16.);\n  fraction += float(bytemeA[1]) * pow(2., -17.);\n  fraction += float(bytemeA[2]) * pow(2., -18.);\n  fraction += float(bytemeA[3]) * pow(2., -19.);\n  fraction += float(bytemeA[4]) * pow(2., -20.);\n  fraction += float(bytemeA[5]) * pow(2., -21.);\n  fraction += float(bytemeA[6]) * pow(2., -22.);\n  fraction += float(bytemeA[7]) * pow(2., -23.);\n\n  value = float(issigned) * pow( 2., float(exponent - 127)) * (1. + fraction);\n}\n    ";
    };
    return Unpack;
}(ShadersBase));
var Unpack$1 = new Unpack();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Texture3d = /** @class */ (function (_super) {
    __extends(Texture3d, _super);
    function Texture3d() {
        var _this = _super.call(this) || this;
        // default properties names
        _this._dataCoordinates = 'dataCoordinates';
        _this._dataValue = 'dataValue';
        _this._offset = 'offset';
        _this.name = 'texture3d';
        return _this;
        // default properties names
        // this._dataCoordinates = 'dataCoordinates';
        // this._dataValue = 'dataValue';
        // this._offset = 'offset';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} dataCoordinates
     * @param {?=} dataValue
     * @param {?=} offset
     * @return {?}
     */
    Texture3d.prototype.api = /**
     * @param {?=} baseFragment
     * @param {?=} dataCoordinates
     * @param {?=} dataValue
     * @param {?=} offset
     * @return {?}
     */
    function (baseFragment, dataCoordinates, dataValue, offset) {
        if (baseFragment === void 0) { baseFragment = this._base; }
        if (dataCoordinates === void 0) { dataCoordinates = this._dataCoordinates; }
        if (dataValue === void 0) { dataValue = this._dataValue; }
        if (offset === void 0) { offset = this._offset; }
        this._base = baseFragment;
        return this.compute(dataCoordinates, dataValue, offset);
    };
    /**
     * @param {?} dataCoordinates
     * @param {?} dataValue
     * @param {?} offset
     * @return {?}
     */
    Texture3d.prototype.compute = /**
     * @param {?} dataCoordinates
     * @param {?} dataValue
     * @param {?} offset
     * @return {?}
     */
    function (dataCoordinates, dataValue, offset) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return this._name + "(" + dataCoordinates + ", " + dataValue + ", " + offset + ");";
    };
    /**
     * @return {?}
     */
    Texture3d.prototype.computeDefinition = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = "\n      step( abs( textureIndexF - 0.0 ), 0.0 ) * texture2D(uTextureContainer[0], uv) +\n      step( abs( textureIndexF - 1.0 ), 0.0 ) * texture2D(uTextureContainer[1], uv) +\n      step( abs( textureIndexF - 2.0 ), 0.0 ) * texture2D(uTextureContainer[2], uv) +\n      step( abs( textureIndexF - 3.0 ), 0.0 ) * texture2D(uTextureContainer[3], uv) +\n      step( abs( textureIndexF - 4.0 ), 0.0 ) * texture2D(uTextureContainer[4], uv) +\n      step( abs( textureIndexF - 5.0 ), 0.0 ) * texture2D(uTextureContainer[5], uv) +\n      step( abs( textureIndexF - 6.0 ), 0.0 ) * texture2D(uTextureContainer[6], uv)";
        if (this._base._uniforms.uTextureContainer.length === 14) {
            content += " +\n      step( abs( textureIndexF - 7.0 ), 0.0 ) * texture2D(uTextureContainer[7], uv) +\n      step( abs( textureIndexF - 8.0 ), 0.0 ) * texture2D(uTextureContainer[8], uv) +\n      step( abs( textureIndexF - 9.0 ), 0.0 ) * texture2D(uTextureContainer[9], uv) +\n      step( abs( textureIndexF - 10.0 ), 0.0 ) * texture2D(uTextureContainer[10], uv) +\n      step( abs( textureIndexF - 11.0 ), 0.0 ) * texture2D(uTextureContainer[11], uv) +\n      step( abs( textureIndexF - 12.0 ), 0.0 ) * texture2D(uTextureContainer[12], uv) +\n      step( abs( textureIndexF - 13.0 ), 0.0 ) * texture2D(uTextureContainer[13], uv)";
        }
        this._definition = "\nvoid " + this._name + "(in ivec3 dataCoordinates, out vec4 dataValue, out int offset){\n  float textureSizeF = float(uTextureSize);\n  int voxelsPerTexture = uTextureSize*uTextureSize;\n\n  int index = dataCoordinates.x\n            + dataCoordinates.y * uDataDimensions.x\n            + dataCoordinates.z * uDataDimensions.y * uDataDimensions.x;\n\n  // dividing an integer by an integer will give you an integer result, rounded down\n  // can not get float numbers to work :(\n  int packedIndex = index/uPackedPerPixel;\n  offset = index - uPackedPerPixel*packedIndex;\n\n  // Map data index to right sampler2D texture\n  int textureIndex = packedIndex/voxelsPerTexture;\n  int inTextureIndex = packedIndex - voxelsPerTexture*textureIndex;\n\n  // Get row and column in the texture\n  int rowIndex = inTextureIndex/uTextureSize;\n  float rowIndexF = float(rowIndex);\n  float colIndex = float(inTextureIndex - uTextureSize * rowIndex);\n\n  // Map row and column to uv\n  vec2 uv = vec2(0,0);\n  uv.x = (0.5 + colIndex) / textureSizeF;\n  uv.y = 1. - (0.5 + rowIndexF) / textureSizeF;\n\n  float textureIndexF = float(textureIndex);\n  dataValue = vec4(0.) + " + content + ";\n}\n    ";
    };
    return Texture3d;
}(ShadersBase));
var Texture3d$1 = new Texture3d();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var InterpolationIdentity = /** @class */ (function (_super) {
    __extends(InterpolationIdentity, _super);
    function InterpolationIdentity() {
        var _this = _super.call(this) || this;
        // default properties names
        _this._currentVoxel = 'currentVoxel';
        _this._dataValue = 'dataValue';
        _this.name = 'interpolationIdentity';
        return _this;
        // default properties names
        // this._currentVoxel = 'currentVoxel';
        // this._dataValue = 'dataValue';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @return {?}
     */
    InterpolationIdentity.prototype.api = /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @return {?}
     */
    function (baseFragment, currentVoxel, dataValue) {
        if (baseFragment === void 0) { baseFragment = this._base; }
        if (currentVoxel === void 0) { currentVoxel = this._currentVoxel; }
        if (dataValue === void 0) { dataValue = this._dataValue; }
        this._base = baseFragment;
        return this.compute(currentVoxel, dataValue);
    };
    /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @return {?}
     */
    InterpolationIdentity.prototype.compute = /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @return {?}
     */
    function (currentVoxel, dataValue) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return this._name + "(" + currentVoxel + ", " + dataValue + ");";
    };
    /**
     * @return {?}
     */
    InterpolationIdentity.prototype.computeDefinition = /**
     * @return {?}
     */
    function () {
        this._definition = "\nvoid " + this._name + "(in vec3 currentVoxel, out vec4 dataValue){\n  // lower bound\n  vec3 rcurrentVoxel = vec3(floor(currentVoxel.x + 0.5 ), floor(currentVoxel.y + 0.5 ), floor(currentVoxel.z + 0.5 ));\n  ivec3 voxel = ivec3(int(rcurrentVoxel.x), int(rcurrentVoxel.y), int(rcurrentVoxel.z));\n\n  vec4 tmp = vec4(0., 0., 0., 0.);\n  int offset = 0;\n\n  " + Texture3d$1.api(this._base, 'voxel', 'tmp', 'offset') + "\n  " + Unpack$1.api(this._base, 'tmp', 'offset', 'dataValue') + "\n}\n    ";
    };
    return InterpolationIdentity;
}(ShadersBase));
var InterpolationIdentity$1 = new InterpolationIdentity();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var InterpolationTrilinear = /** @class */ (function (_super) {
    __extends(InterpolationTrilinear, _super);
    function InterpolationTrilinear() {
        var _this = _super.call(this) || this;
        // default properties names
        _this._currentVoxel = 'currentVoxel';
        _this._dataValue = 'dataValue';
        _this._gradient = 'gradient';
        _this.name = 'interpolationTrilinear';
        return _this;
        // default properties names
        // this._currentVoxel = 'currentVoxel';
        // this._dataValue = 'dataValue';
        // this._gradient = 'gradient';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @param {?=} gradient
     * @return {?}
     */
    InterpolationTrilinear.prototype.api = /**
     * @param {?=} baseFragment
     * @param {?=} currentVoxel
     * @param {?=} dataValue
     * @param {?=} gradient
     * @return {?}
     */
    function (baseFragment, currentVoxel, dataValue, gradient) {
        if (baseFragment === void 0) { baseFragment = this._base; }
        if (currentVoxel === void 0) { currentVoxel = this._currentVoxel; }
        if (dataValue === void 0) { dataValue = this._dataValue; }
        if (gradient === void 0) { gradient = this._gradient; }
        this._base = baseFragment;
        return this.compute(currentVoxel, dataValue, gradient);
    };
    /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @param {?} gradient
     * @return {?}
     */
    InterpolationTrilinear.prototype.compute = /**
     * @param {?} currentVoxel
     * @param {?} dataValue
     * @param {?} gradient
     * @return {?}
     */
    function (currentVoxel, dataValue, gradient) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return this._name + "(" + currentVoxel + ", " + dataValue + ", " + gradient + ");";
    };
    /**
     * @return {?}
     */
    InterpolationTrilinear.prototype.computeDefinition = /**
     * @return {?}
     */
    function () {
        this._definition = "\nvoid trilinearInterpolation(\n  in vec3 normalizedPosition,\n  out vec4 interpolatedValue,\n  in vec4 v000, in vec4 v100,\n  in vec4 v001, in vec4 v101,\n  in vec4 v010, in vec4 v110,\n  in vec4 v011, in vec4 v111) {\n  // https://en.wikipedia.org/wiki/Trilinear_interpolation\n  vec4 c00 = v000 * ( 1.0 - normalizedPosition.x ) + v100 * normalizedPosition.x;\n  vec4 c01 = v001 * ( 1.0 - normalizedPosition.x ) + v101 * normalizedPosition.x;\n  vec4 c10 = v010 * ( 1.0 - normalizedPosition.x ) + v110 * normalizedPosition.x;\n  vec4 c11 = v011 * ( 1.0 - normalizedPosition.x ) + v111 * normalizedPosition.x;\n\n  // c0 and c1\n  vec4 c0 = c00 * ( 1.0 - normalizedPosition.y) + c10 * normalizedPosition.y;\n  vec4 c1 = c01 * ( 1.0 - normalizedPosition.y) + c11 * normalizedPosition.y;\n\n  // c\n  vec4 c = c0 * ( 1.0 - normalizedPosition.z) + c1 * normalizedPosition.z;\n  interpolatedValue = c;\n}\n\nvoid " + this._name + "(in vec3 currentVoxel, out vec4 dataValue, out vec3 gradient){\n\n  vec3 lower_bound = floor(currentVoxel);\n  lower_bound = max(vec3(0.), lower_bound);\n\n  vec3 higher_bound = lower_bound + vec3(1.);\n\n  vec3 normalizedPosition = (currentVoxel - lower_bound);\n  normalizedPosition =  max(vec3(0.), normalizedPosition);\n\n  vec4 interpolatedValue = vec4(0.);\n\n  //\n  // fetch values required for interpolation\n  //\n  vec4 v000 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c000 = vec3(lower_bound.x, lower_bound.y, lower_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c000', 'v000') + "\n\n  //\n  vec4 v100 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c100 = vec3(higher_bound.x, lower_bound.y, lower_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c100', 'v100') + "\n\n  //\n  vec4 v001 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c001 = vec3(lower_bound.x, lower_bound.y, higher_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c001', 'v001') + "\n\n  //\n  vec4 v101 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c101 = vec3(higher_bound.x, lower_bound.y, higher_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c101', 'v101') + "\n\n  //\n  vec4 v010 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c010 = vec3(lower_bound.x, higher_bound.y, lower_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c010', 'v010') + "\n\n  vec4 v110 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c110 = vec3(higher_bound.x, higher_bound.y, lower_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c110', 'v110') + "\n\n  //\n  vec4 v011 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c011 = vec3(lower_bound.x, higher_bound.y, higher_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c011', 'v011') + "\n\n  vec4 v111 = vec4(0.0, 0.0, 0.0, 0.0);\n  vec3 c111 = vec3(higher_bound.x, higher_bound.y, higher_bound.z);\n  " + InterpolationIdentity$1.api(this._base, 'c111', 'v111') + "\n\n  // compute interpolation at position\n  trilinearInterpolation(normalizedPosition, interpolatedValue ,v000, v100, v001, v101, v010,v110, v011,v111);\n  dataValue = interpolatedValue;\n\n  // That breaks shading in volume rendering\n  // if (gradient.x == 1.) { // skip gradient calculation for slice helper\n  //  return;\n  // }\n\n  // compute gradient\n  float gradientStep = 0.005;\n\n  // x axis\n  vec3 g100 = vec3(1., 0., 0.);\n  vec3 ng100 = normalizedPosition + g100 * gradientStep;\n  ng100.x = min(1., ng100.x);\n\n  vec4 vg100 = vec4(0.);\n  trilinearInterpolation(ng100, vg100 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  vec3 go100 = -g100;\n  vec3 ngo100 = normalizedPosition + go100 * gradientStep;\n  ngo100.x = max(0., ngo100.x);\n\n  vec4 vgo100 = vec4(0.);\n  trilinearInterpolation(ngo100, vgo100 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  gradient.x = (g100.x * vg100.x + go100.x * vgo100.x);\n\n  // y axis\n  vec3 g010 = vec3(0., 1., 0.);\n  vec3 ng010 = normalizedPosition + g010 * gradientStep;\n  ng010.y = min(1., ng010.y);\n\n  vec4 vg010 = vec4(0.);\n  trilinearInterpolation(ng010, vg010 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  vec3 go010 = -g010;\n  vec3 ngo010 = normalizedPosition + go010 * gradientStep;\n  ngo010.y = max(0., ngo010.y);\n\n  vec4 vgo010 = vec4(0.);\n  trilinearInterpolation(ngo010, vgo010 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  gradient.y = (g010.y * vg010.x + go010.y * vgo010.x);\n\n  // z axis\n  vec3 g001 = vec3(0., 0., 1.);\n  vec3 ng001 = normalizedPosition + g001 * gradientStep;\n  ng001.z = min(1., ng001.z);\n\n  vec4 vg001 = vec4(0.);\n  trilinearInterpolation(ng001, vg001 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  vec3 go001 = -g001;\n  vec3 ngo001 = normalizedPosition + go001 * gradientStep;\n  ngo001.z = max(0., ngo001.z);\n\n  vec4 vgo001 = vec4(0.);\n  trilinearInterpolation(ngo001, vgo001 ,v000, v100, v001, v101, v010,v110, v011,v111);\n\n  gradient.z = (g001.z * vg001.x + go001.z * vgo001.x);\n\n  // normalize gradient\n  // +0.0001  instead of if?\n  float gradientMagnitude = length(gradient);\n  if (gradientMagnitude > 0.0) {\n    gradient = -(1. / gradientMagnitude) * gradient;\n  }\n}\n    ";
    };
    return InterpolationTrilinear;
}(ShadersBase));
var InterpolationTrilinear$1 = new InterpolationTrilinear();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} baseFragment
 * @param {?} currentVoxel
 * @param {?} dataValue
 * @param {?} gradient
 * @return {?}
 */
function shadersInterpolation(baseFragment, currentVoxel, dataValue, gradient) {
    switch (baseFragment._uniforms.uInterpolation.value) {
        case 0:
            // no interpolation
            return InterpolationIdentity$1.api(baseFragment, currentVoxel, dataValue);
        case 1:
            // trilinear interpolation
            return InterpolationTrilinear$1.api(baseFragment, currentVoxel, dataValue, gradient);
        default:
            return InterpolationIdentity$1.api(baseFragment, currentVoxel, dataValue);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var IntersectBox = /** @class */ (function (_super) {
    __extends(IntersectBox, _super);
    function IntersectBox() {
        var _this = _super.call(this) || this;
        // default properties names
        _this._rayOrigin = 'rayOrigin';
        _this._rayDirection = 'rayDirection';
        _this._aabbMin = 'aabbMin';
        _this._aabbMax = 'aabbMax';
        _this._tNear = 'tNear';
        _this._tFar = 'tFar';
        _this._intersect = 'intersect';
        _this.name = 'intersectBox';
        return _this;
        // // default properties names
        // this._rayOrigin = 'rayOrigin';
        // this._rayDirection = 'rayDirection';
        // this._aabbMin = 'aabbMin';
        // this._aabbMax = 'aabbMax';
        // this._tNear = 'tNear';
        // this._tFar = 'tFar';
        // this._intersect = 'intersect';
    }
    /**
     * @param {?=} baseFragment
     * @param {?=} rayOrigin
     * @param {?=} rayDirection
     * @param {?=} aabbMin
     * @param {?=} aabbMax
     * @param {?=} tNear
     * @param {?=} tFar
     * @param {?=} intersect
     * @return {?}
     */
    IntersectBox.prototype.api = /**
     * @param {?=} baseFragment
     * @param {?=} rayOrigin
     * @param {?=} rayDirection
     * @param {?=} aabbMin
     * @param {?=} aabbMax
     * @param {?=} tNear
     * @param {?=} tFar
     * @param {?=} intersect
     * @return {?}
     */
    function (baseFragment, rayOrigin, rayDirection, aabbMin, aabbMax, tNear, tFar, intersect) {
        if (baseFragment === void 0) { baseFragment = this._base; }
        if (rayOrigin === void 0) { rayOrigin = this._rayOrigin; }
        if (rayDirection === void 0) { rayDirection = this._rayDirection; }
        if (aabbMin === void 0) { aabbMin = this._aabbMin; }
        if (aabbMax === void 0) { aabbMax = this._aabbMax; }
        if (tNear === void 0) { tNear = this._tNear; }
        if (tFar === void 0) { tFar = this._tFar; }
        if (intersect === void 0) { intersect = this._intersect; }
        this._base = baseFragment;
        return this.compute(rayOrigin, rayDirection, aabbMin, aabbMax, tNear, tFar, intersect);
    };
    /**
     * @param {?} rayOrigin
     * @param {?} rayDirection
     * @param {?} aabbMin
     * @param {?} aabbMax
     * @param {?} tNear
     * @param {?} tFar
     * @param {?} intersect
     * @return {?}
     */
    IntersectBox.prototype.compute = /**
     * @param {?} rayOrigin
     * @param {?} rayDirection
     * @param {?} aabbMin
     * @param {?} aabbMax
     * @param {?} tNear
     * @param {?} tFar
     * @param {?} intersect
     * @return {?}
     */
    function (rayOrigin, rayDirection, aabbMin, aabbMax, tNear, tFar, intersect) {
        this.computeDefinition();
        this._base._functions[this._name] = this._definition;
        return this._name + "(" + rayOrigin + ", " + rayDirection + ", " + aabbMin + ", " + aabbMax + ", " + tNear + ", " + tFar + ", " + intersect + ");";
    };
    /**
     * @return {?}
     */
    IntersectBox.prototype.computeDefinition = /**
     * @return {?}
     */
    function () {
        this._definition = "\nvoid " + this._name + "(vec3 rayOrigin, vec3 rayDirection, vec3 boxMin, vec3 boxMax, out float tNear, out float tFar, out bool intersect){\n  // compute intersection of ray with all six bbox planes\n  vec3 invRay = vec3(1.) / rayDirection;\n  vec3 tBot = invRay * (boxMin - rayOrigin);\n  vec3 tTop = invRay * (boxMax - rayOrigin);\n  // re-order intersections to find smallest and largest on each axis\n  vec3 tMin = min(tTop, tBot);\n  vec3 tMax = max(tTop, tBot);\n  // find the largest tMin and the smallest tMax\n  float largest_tMin = max(max(tMin.x, tMin.y), max(tMin.x, tMin.z));\n  float smallest_tMax = min(min(tMax.x, tMax.y), min(tMax.x, tMax.z));\n  tNear = largest_tMin;\n  tFar = smallest_tMax;\n  intersect = smallest_tMax > largest_tMin;\n}\n\n    ";
    };
    return IntersectBox;
}(ShadersBase));
var shadersIntersectBox = new IntersectBox();

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersFragment = /** @class */ (function () {
    function ShadersFragment(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    ShadersFragment.prototype.functions = /**
     * @return {?}
     */
    function () {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        var content = '';
        for (var property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.uniforms = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = '';
        for (var property in this._uniforms) {
            /** @type {?} */
            var uniform = this._uniforms[property];
            content += "uniform " + uniform.typeGLSL + " " + property;
            if (uniform && uniform.length) {
                content += "[" + uniform.length + "]";
            }
            content += ';\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.main = /**
     * @return {?}
     */
    function () {
        // need to pre-call main to fill up the functions list
        this._main = "\nvoid getIntensity(in vec3 dataCoordinates, out float intensity, out vec3 gradient){\n\n  vec4 dataValue = vec4(0., 0., 0., 0.);\n  " + shadersInterpolation(this, 'dataCoordinates', 'dataValue', 'gradient') + "\n\n  intensity = dataValue.r;\n\n  // rescale/slope\n  intensity = intensity*uRescaleSlopeIntercept[0] + uRescaleSlopeIntercept[1];\n  // window level\n  float windowMin = uWindowCenterWidth[0] - uWindowCenterWidth[1] * 0.5;\n  intensity = ( intensity - windowMin ) / uWindowCenterWidth[1];\n}\n\nmat4 inverse(mat4 m) {\n  float\n    a00 = m[0][0], a01 = m[0][1], a02 = m[0][2], a03 = m[0][3],\n    a10 = m[1][0], a11 = m[1][1], a12 = m[1][2], a13 = m[1][3],\n    a20 = m[2][0], a21 = m[2][1], a22 = m[2][2], a23 = m[2][3],\n    a30 = m[3][0], a31 = m[3][1], a32 = m[3][2], a33 = m[3][3],\n\n    b00 = a00 * a11 - a01 * a10,\n    b01 = a00 * a12 - a02 * a10,\n    b02 = a00 * a13 - a03 * a10,\n    b03 = a01 * a12 - a02 * a11,\n    b04 = a01 * a13 - a03 * a11,\n    b05 = a02 * a13 - a03 * a12,\n    b06 = a20 * a31 - a21 * a30,\n    b07 = a20 * a32 - a22 * a30,\n    b08 = a20 * a33 - a23 * a30,\n    b09 = a21 * a32 - a22 * a31,\n    b10 = a21 * a33 - a23 * a31,\n    b11 = a22 * a33 - a23 * a32,\n\n    det = b00 * b11 - b01 * b10 + b02 * b09 + b03 * b08 - b04 * b07 + b05 * b06;\n\n  return mat4(\n    a11 * b11 - a12 * b10 + a13 * b09,\n    a02 * b10 - a01 * b11 - a03 * b09,\n    a31 * b05 - a32 * b04 + a33 * b03,\n    a22 * b04 - a21 * b05 - a23 * b03,\n    a12 * b08 - a10 * b11 - a13 * b07,\n    a00 * b11 - a02 * b08 + a03 * b07,\n    a32 * b02 - a30 * b05 - a33 * b01,\n    a20 * b05 - a22 * b02 + a23 * b01,\n    a10 * b10 - a11 * b08 + a13 * b06,\n    a01 * b08 - a00 * b10 - a03 * b06,\n    a30 * b04 - a31 * b02 + a33 * b00,\n    a21 * b02 - a20 * b04 - a23 * b00,\n    a11 * b07 - a10 * b09 - a12 * b06,\n    a00 * b09 - a01 * b07 + a02 * b06,\n    a31 * b01 - a30 * b03 - a32 * b00,\n    a20 * b03 - a21 * b01 + a22 * b00) / det;\n}\n\n/**\n * Adapted from original sources\n *\n * Original code:\n * http://jamie-wong.com/2016/07/15/ray-marching-signed-distance-functions/\n * https://www.shadertoy.com/view/lt33z7\n *\n * The vec3 returned is the RGB color of the light's contribution.\n *\n * k_a: Ambient color\n * k_d: Diffuse color\n * k_s: Specular color\n * alpha: Shininess coefficient\n * p: position of point being lit\n * eye: the position of the camera\n * lightPos: the position of the light\n * lightIntensity: color/intensity of the light\n *\n * See https://en.wikipedia.org/wiki/Phong_reflection_model#Description\n */\nvec3 phongShading(vec3 k_a, vec3 k_d, vec3 k_s, float shininess, vec3 p, vec3 eye,\n  vec3 lightPos, vec3 lightIntensity, vec3 normal) {\n  vec3 N = normal;\n  vec3 L = lightPos - p;\n  if (length(L) > 0.) {\n    L = L / length(L);\n  }\n  vec3 V = eye - p;\n  if (length(V) > 0.) {\n    V = V / length(V);\n  }\n  vec3 R = reflect(-L, N);\n  if (length(R) > 0.) {\n    R = R / length(R);\n  }\n\n  // https://en.wikipedia.org/wiki/Blinn%E2%80%93Phong_shading_model\n  vec3 h = L + V;\n  vec3 H = h;\n  if (length(h) > 0.) {\n    H = H / length(h);\n  }\n\n  float dotLN = dot(L, N);\n  float dotRV = dot(R, V);\n\n  if (dotLN < 0.) {\n    // Light not visible from this point on the surface\n    return k_a;\n  }\n\n  if (dotRV < 0.) {\n    // Light reflection in opposite direction as viewer, apply only diffuse\n    // component\n    return k_a + lightIntensity * (k_d * dotLN);\n  }\n\n  float specAngle = max(dot(H, normal), 0.0);\n  float specular = pow(dotRV, shininess); //pow(specAngle, shininess); //\n  return k_a + lightIntensity * (k_d * dotLN  + k_s * specular);\n}\n\nfloat PI = 3.14159265358979323846264 * 00000.1; // PI\n\n// expects values in the range of [0,1]x[0,1], returns values in the [0,1] range.\n// do not collapse into a single function per: http://byteblacksmith.com/improvements-to-the-canonical-one-liner-glsl-rand-for-opengl-es-2-0/\nhighp float rand( const in vec2 uv) {\n  const highp float a = 12.9898;\n  const highp float b = 78.233;\n  const highp float c = 43758.5453;\n  highp float dt = dot(uv.xy, vec2(a, b)), sn = mod(dt, PI);\n  return fract(sin(sn) * c);\n}\n\nvoid main(void) {\n  const int maxSteps = 1024;\n\n  // the ray\n  vec3 rayOrigin = cameraPosition;\n  vec3 rayDirection = normalize(vPos.xyz - rayOrigin);\n\n  vec3 lightOrigin = uLightPositionInCamera == 1 ? cameraPosition : uLightPosition;\n\n  // vec3 lightOrigin = cameraPosition;\n  // the Axe-Aligned B-Box\n  vec3 AABBMin = vec3(uWorldBBox[0], uWorldBBox[2], uWorldBBox[4]);\n  vec3 AABBMax = vec3(uWorldBBox[1], uWorldBBox[3], uWorldBBox[5]);\n\n  // Intersection ray/bbox\n  float tNear, tFar;\n  bool intersect = false;\n  " + shadersIntersectBox.api(this, 'rayOrigin', 'rayDirection', 'AABBMin', 'AABBMax', 'tNear', 'tFar', 'intersect') + "\n  if (tNear < 0.0) tNear = 0.0;\n\n  // x / y should be within o-1\n  // should\n  float offset = rand(gl_FragCoord.xy);\n\n  // init the ray marching\n  float tStep = (tFar - tNear) / float(uSteps);\n  float tCurrent = tNear + offset * tStep;\n  vec4 accumulatedColor = vec4(0.0);\n  float accumulatedAlpha = 0.0;\n\n  // MIP volume rendering\n  float maxIntensity = 0.0;\n\n  mat4 dataToWorld = inverse(uWorldToData);\n\n  // rayOrigin -= rayDirection * 0.1; // gold_noise(vPos.xz, vPos.y) / 100.;\n\n  for(int rayStep = 0; rayStep < maxSteps; rayStep++){\n    vec3 currentPosition = rayOrigin + rayDirection * tCurrent;\n    // some non-linear FUN\n    // some occlusion issue to be fixed\n    vec3 transformedPosition = currentPosition; //transformPoint(currentPosition, uAmplitude, uFrequence);\n    // world to data coordinates\n    // rounding trick\n    // first center of first voxel in data space is CENTERED on (0,0,0)\n    vec4 dataCoordinatesRaw = uWorldToData * vec4(transformedPosition, 1.0);\n    vec3 currentVoxel = vec3(dataCoordinatesRaw.x, dataCoordinatesRaw.y, dataCoordinatesRaw.z);\n    float intensity = 0.0;\n    vec3 gradient = vec3(0., 0., 0.);\n    getIntensity(currentVoxel, intensity, gradient);\n    // map gradient to world space and normalize before using\n    // we avoid to call \"normalize\" as it may be undefined if vector length == 0.\n    gradient = (vec3(dataToWorld * vec4(gradient, 0.)));\n    if (length(gradient) > 0.0) {\n      gradient = normalize(gradient);\n    }\n\n    vec4 colorSample;\n    float alphaSample;\n    if(uLut == 1){\n      vec4 colorFromLUT = texture2D( uTextureLUT, vec2( intensity, 1.0) );\n      // 256 colors\n      colorSample = colorFromLUT;\n      alphaSample = colorFromLUT.a;\n    }\n    else{\n      alphaSample = intensity;\n      colorSample.r = colorSample.g = colorSample.b = intensity;\n    }\n\n    // ray marching algorithm\n    // shading on\n    // interpolation on\n    if (uAlgorithm == 0 && uShading == 1 && uInterpolation != 0) {\n      //  && alphaSample > .3\n      vec3 ambientComponent = uSampleColorToAmbient == 1 ? colorSample.xyz : uAmbientColor;\n      ambientComponent *= uAmbient;\n      vec3 diffuseComponent = uSampleColorToDiffuse == 1 ? colorSample.xyz : uDiffuseColor;\n      diffuseComponent *= uDiffuse;\n      vec3 specularComponent = uSpecular * uSpecularColor;\n      float shininess = uShininess;\n      vec3 vIntensity = uIntensity;\n\n      colorSample.xyz += phongShading(\n        ambientComponent,\n        diffuseComponent,\n        specularComponent,\n        shininess,\n        currentPosition.xyz,\n        rayOrigin.xyz,\n        lightOrigin.xyz,\n        vIntensity,\n        gradient);\n    }\n\n    alphaSample = 1.0 - pow((1.0- alphaSample),tStep*uAlphaCorrection);\n    alphaSample *= (1.0 - accumulatedAlpha);\n\n    accumulatedColor += alphaSample * colorSample;\n    accumulatedAlpha += alphaSample;\n\n    tCurrent += tStep;\n\n    if (tCurrent > tFar || (uAlgorithm == 0 && accumulatedAlpha >= 1.0)) break;\n\n    if (uAlgorithm == 1 && (intensity >= maxIntensity)) {\n      maxIntensity = intensity;\n      accumulatedColor = colorSample;\n      accumulatedAlpha = 1.;\n    }\n  }\n\n  gl_FragColor = vec4(accumulatedColor.xyz, accumulatedAlpha);\n  // gl_FragColor = gl_Color;\n}\n   ";
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.compute = /**
     * @return {?}
     */
    function () {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return "\n// uniforms\n" + this.uniforms() + "\n\n// varying (should fetch it from vertex directly)\nvarying vec4      vPos;\n\n// tailored functions\n" + this.functions() + "\n\n// main loop\n" + this._main + "\n      ";
    };
    return ShadersFragment;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module helpers/volumerendering
 */
var  /**
 * \@ module helpers/volumerendering
 */
HelpersVolumeRendering = /** @class */ (function (_super) {
    __extends(HelpersVolumeRendering, _super);
    function HelpersVolumeRendering(stack) {
        var _this = 
        //
        _super.call(this) || this;
        _this._textures = [];
        _this._shadersFragment = ShadersFragment;
        _this._shadersVertex = ShadersVertex;
        _this._uniforms = ShadersUniform.uniforms();
        _this._material = null;
        _this._geometry = null;
        _this._mesh = null;
        _this._algorithm = 0; // ray marching
        // ray marching
        _this._alphaCorrection = 0.5; // default
        // default
        _this._interpolation = 1; // default to trilinear interpolation
        // default to trilinear interpolation
        _this._shading = 1; // shading is on by default
        // shading is on by default
        _this._shininess = 10.0;
        _this._steps = 256; // default
        // default
        _this._offset = 0;
        _this._windowCenter = 0.0;
        _this._windowWidth = 1.0;
        _this._stack = stack;
        _this._textures = [];
        _this._shadersFragment = ShadersFragment;
        _this._shadersVertex = ShadersVertex;
        _this._uniforms = ShadersUniform.uniforms();
        _this._material = null;
        _this._geometry = null;
        _this._mesh = null;
        _this._algorithm = 0; // ray marching
        _this._alphaCorrection = 0.5; // default
        _this._interpolation = 1; // default to trilinear interpolation
        _this._shading = 1; // shading is on by default
        _this._shininess = 10.0;
        _this._steps = 256; // default
        _this._offset = 0;
        _this._windowCenter = 0.0;
        _this._windowWidth = 1.0;
        _this._create();
        return _this;
    }
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._create = /**
     * @return {?}
     */
    function () {
        this._prepareStack();
        this._prepareTexture();
        this._prepareMaterial();
        this._prepareGeometry();
        this._mesh = new Mesh(this._geometry, this._material);
        this.add(this._mesh);
    };
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._prepareStack = /**
     * @return {?}
     */
    function () {
        if (!this._stack.prepared) {
            this._stack.prepare();
        }
        if (!this._stack.packed) {
            this._stack.pack();
        }
        // compensate for the offset to only pass > 0 values to shaders
        // models > models.stack.js : _packTo8Bits
        this._offset = Math.min(0, this._stack._minMax[0]);
        this._windowCenter = this._stack.windowCenter;
        this._windowWidth = this._stack.windowWidth * 0.8; // multiply for better default visualization
    };
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._prepareMaterial = /**
     * @return {?}
     */
    function () {
        // uniforms
        this._uniforms = ShadersUniform.uniforms();
        this._uniforms.uWorldBBox.value = this._stack.worldBoundingBox();
        this._uniforms.uTextureSize.value = this._stack.textureSize;
        this._uniforms.uTextureContainer.value = this._textures;
        // console.log(this._textures);
        if (this._stack.textureUnits > 8) {
            this._uniforms.uTextureContainer.length = 14;
        }
        this._uniforms.uWorldToData.value = this._stack.lps2IJK;
        this._uniforms.uNumberOfChannels.value = this._stack.numberOfChannels;
        this._uniforms.uPixelType.value = this._stack.pixelType;
        this._uniforms.uBitsAllocated.value = this._stack.bitsAllocated;
        this._uniforms.uPackedPerPixel.value = this._stack.packedPerPixel;
        this._uniforms.uWindowCenterWidth.value = [
            this._windowCenter - this._offset,
            this._windowWidth,
        ];
        this._uniforms.uRescaleSlopeIntercept.value = [
            this._stack.rescaleSlope,
            this._stack.rescaleIntercept,
        ];
        this._uniforms.uDataDimensions.value = [
            this._stack.dimensionsIJK.x,
            this._stack.dimensionsIJK.y,
            this._stack.dimensionsIJK.z,
        ];
        this._uniforms.uAlphaCorrection.value = this._alphaCorrection;
        this._uniforms.uInterpolation.value = this._interpolation;
        this._uniforms.uShading.value = this._shading;
        this._uniforms.uShininess.value = this._shininess;
        this._uniforms.uSteps.value = this._steps;
        this._uniforms.uAlgorithm.value = this._algorithm;
        this._createMaterial({
            side: DoubleSide,
            transparent: true,
        });
    };
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._prepareGeometry = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var worldBBox = this._stack.worldBoundingBox();
        /** @type {?} */
        var centerLPS = this._stack.worldCenter();
        this._geometry = new BoxGeometry(worldBBox[1] - worldBBox[0], worldBBox[3] - worldBBox[2], worldBBox[5] - worldBBox[4]);
        this._geometry.applyMatrix(new Matrix4$1().makeTranslation(centerLPS.x, centerLPS.y, centerLPS.z));
    };
    Object.defineProperty(HelpersVolumeRendering.prototype, "uniforms", {
        get: /**
         * @return {?}
         */
        function () {
            return this._uniforms;
        },
        set: /**
         * @param {?} uniforms
         * @return {?}
         */
        function (uniforms) {
            this._uniforms = uniforms;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "mesh", {
        get: /**
         * @return {?}
         */
        function () {
            return this._mesh;
        },
        set: /**
         * @param {?} mesh
         * @return {?}
         */
        function (mesh) {
            this._mesh = mesh;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "stack", {
        get: /**
         * @return {?}
         */
        function () {
            return this._stack;
        },
        set: /**
         * @param {?} stack
         * @return {?}
         */
        function (stack) {
            this._stack = stack;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "windowCenter", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowCenter;
        },
        set: /**
         * @param {?} windowCenter
         * @return {?}
         */
        function (windowCenter) {
            this._windowCenter = windowCenter;
            this._uniforms.uWindowCenterWidth.value[0] =
                this._windowCenter - this._offset;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "windowWidth", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowWidth;
        },
        set: /**
         * @param {?} windowWidth
         * @return {?}
         */
        function (windowWidth) {
            this._windowWidth = Math.max(1, windowWidth);
            this._uniforms.uWindowCenterWidth.value[1] = this._windowWidth;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "steps", {
        get: /**
         * @return {?}
         */
        function () {
            return this._steps;
        },
        set: /**
         * @param {?} steps
         * @return {?}
         */
        function (steps) {
            this._steps = steps;
            this._uniforms.uSteps.value = this._steps;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "alphaCorrection", {
        get: /**
         * @return {?}
         */
        function () {
            return this._alphaCorrection;
        },
        set: /**
         * @param {?} alphaCorrection
         * @return {?}
         */
        function (alphaCorrection) {
            this._alphaCorrection = alphaCorrection;
            this._uniforms.uAlphaCorrection.value = this._alphaCorrection;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "interpolation", {
        get: /**
         * @return {?}
         */
        function () {
            return this._interpolation;
        },
        set: /**
         * @param {?} interpolation
         * @return {?}
         */
        function (interpolation) {
            this._interpolation = interpolation;
            this._uniforms.uInterpolation.value = this._interpolation;
            this._updateMaterial();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "shading", {
        get: /**
         * @return {?}
         */
        function () {
            return this._shading;
        },
        set: /**
         * @param {?} shading
         * @return {?}
         */
        function (shading) {
            this._shading = shading;
            this._uniforms.uShading.value = this._shading;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "shininess", {
        get: /**
         * @return {?}
         */
        function () {
            return this._shininess;
        },
        set: /**
         * @param {?} shininess
         * @return {?}
         */
        function (shininess) {
            this._shininess = shininess;
            this._uniforms.uShininess.value = this._shininess;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelpersVolumeRendering.prototype, "algorithm", {
        get: /**
         * @return {?}
         */
        function () {
            return this._algorithm;
        },
        set: /**
         * @param {?} algorithm
         * @return {?}
         */
        function (algorithm) {
            this._algorithm = algorithm;
            this._uniforms.uAlgorithm.value = this._algorithm;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype.dispose = /**
     * @return {?}
     */
    function () {
        // Release memory
        for (var j = 0; j < this._textures.length; j++) {
            this._textures[j].dispose();
            this._textures[j] = null;
        }
        this._textures = null;
        this._shadersFragment = null;
        this._shadersVertex = null;
        this._uniforms.uTextureContainer = null;
        this._uniforms.uTextureLUT = null;
        this._uniforms = null;
        // material, geometry and mesh
        this.remove(this._mesh);
        this._mesh.geometry.dispose();
        this._mesh.geometry = null;
        this._mesh.material.dispose();
        this._mesh.material = null;
        this._mesh = null;
        this._geometry.dispose();
        this._geometry = null;
        this._material.vertexShader = null;
        this._material.fragmentShader = null;
        this._material.uniforms = null;
        this._material.dispose();
        this._material = null;
        this._stack = null;
    };
    /**
     * @param {?} extraOptions
     * @return {?}
     */
    HelpersVolumeRendering.prototype._createMaterial = /**
     * @param {?} extraOptions
     * @return {?}
     */
    function (extraOptions) {
        // generate shaders on-demand!
        /** @type {?} */
        var fs = new ShadersFragment(this._uniforms);
        /** @type {?} */
        var vs = new ShadersVertex();
        // material
        // console.log(fs.compute());
        // console.log(vs.compute());
        /** @type {?} */
        var globalOptions = {
            uniforms: this._uniforms,
            vertexShader: vs.compute(),
            fragmentShader: fs.compute(),
        };
        /** @type {?} */
        var options = Object.assign(extraOptions, globalOptions);
        this._material = new ShaderMaterial(options);
        this._material.needsUpdate = true;
    };
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._updateMaterial = /**
     * @return {?}
     */
    function () {
        // generate shaders on-demand!
        /** @type {?} */
        var fs = new ShadersFragment(this._uniforms);
        /** @type {?} */
        var vs = new ShadersVertex();
        this._material.vertexShader = vs.compute();
        this._material.fragmentShader = fs.compute();
        this._material.needsUpdate = true;
    };
    /**
     * @return {?}
     */
    HelpersVolumeRendering.prototype._prepareTexture = /**
     * @return {?}
     */
    function () {
        this._textures = [];
        for (var m = 0; m < this._stack.rawData.length; m++) {
            /** @type {?} */
            var tex = new DataTexture(this._stack.rawData[m], this._stack.textureSize, this._stack.textureSize, this._stack.textureType, UnsignedByteType, UVMapping, ClampToEdgeWrapping, ClampToEdgeWrapping, NearestFilter, NearestFilter);
            tex.needsUpdate = true;
            tex.flipY = true;
            this._textures.push(tex);
        }
    };
    return HelpersVolumeRendering;
}(Object3D));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @abstract
 * @template T
 */
var EntityComponent = /** @class */ (function () {
    function EntityComponent(sceneService, rendererService) {
        this.sceneService = sceneService;
        this.rendererService = rendererService;
        this.changeSubject = new Subject();
        this.changed$ = this.changeSubject.pipe(mapTo(this.entity));
        // protected entity = this.entityService.entity;
        this._model = this.defaultModel();
        this.changed = new EventEmitter();
    }
    Object.defineProperty(EntityComponent.prototype, "model", {
        get: /**
         * @return {?}
         */
        function () {
            return this._model;
        },
        set: /**
         * @param {?} m
         * @return {?}
         */
        function (m) {
            if (m === undefined) {
                return;
            }
            // if (this.entityService.entity === undefined) {
            //   this.entity2 = this.createEntity(this.model);
            //   this.entityService.create(this.createEntity(this.model));
            //   this.entityService.update((e) => this.updateEntity(m, e));
            // } else {
            //   this.entityService.update((e) => this.updateEntity(m, e));
            // }
            if (this.entity === undefined) {
                this.entity = this.createEntity(this.model);
                this.sceneService.add(this.entity);
                // console.log(this.sceneService.scene);
                this.rendererService.render();
                if (this.entity === undefined) {
                    throw Error('Can not update undefined entity');
                }
                this.updateEntity(m, this.entity);
                this.rendererService.render();
            }
            else {
                if (this.entity === undefined) {
                    throw Error('Can not update undefined entity');
                }
                this.updateEntity(m, this.entity);
                this.rendererService.render();
            }
            this.changed.emit(this.model);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(EntityComponent.prototype, "mesh", {
        get: /**
         * @return {?}
         */
        function () {
            return this.entity;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    EntityComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        if (this.entity !== undefined) {
            this.sceneService.remove(this.entity);
            this.rendererService.render();
        }
        this.changeSubject.complete();
    };
    /**
     * @return {?}
     */
    EntityComponent.prototype.canvasReady = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    EntityComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    EntityComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () { };
    EntityComponent.propDecorators = {
        changed: [{ type: Output }],
        model: [{ type: Input }]
    };
    return EntityComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Validate basic structures.
 *
 * @ example
 * //Returns true
 * VJS.Core.Validators.matrix4(new THREE.Matrix4());
 *
 * //Returns false
 * VJS.Core.Validators.matrix4(new THREE.Vector3());
 *
 * @ module core/validators
 */
var Validators = /** @class */ (function () {
    function Validators() {
    }
    /**
     * Validates a matrix as a THREEJS.Matrix4
     * link
     * @ param {Object} objectToTest - The object to be tested.
     * @ return {boolean} True if valid Matrix4, false if NOT.
     */
    /**
     * Validates a matrix as a THREEJS.Matrix4
     * link
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Matrix4, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    Validators.matrix4 = /**
     * Validates a matrix as a THREEJS.Matrix4
     * link
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Matrix4, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    function (objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('elements') &&
            objectToTest.elements.length === 16 &&
            typeof objectToTest.identity === 'function' &&
            typeof objectToTest.copy === 'function' &&
            typeof objectToTest.determinant === 'function')) {
            return false;
        }
        return true;
    };
    /**
     * Validates a vector as a THREEJS.Vector3
     * @ param {Object} objectToTest - The object to be tested.
     * @ return {boolean} True if valid Vector3, false if NOT.
     */
    /**
     * Validates a vector as a THREEJS.Vector3
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Vector3, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    Validators.vector3 = /**
     * Validates a vector as a THREEJS.Vector3
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid Vector3, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    function (objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('x') &&
            objectToTest.hasOwnProperty('y') &&
            objectToTest.hasOwnProperty('z') &&
            !objectToTest.hasOwnProperty('w'))) {
            return false;
        }
        return true;
    };
    /**
     * Validates a box.
     *
     * @ example
     * // a box is defined as
     * let box = {
     *   center: THREE.Vector3,
     *   halfDimensions: THREE.Vector3
     * }
     *
     * @ param {Object} objectToTest - The object to be tested.
     * @ return {boolean} True if valid box, false if NOT.
     */
    /**
     * Validates a box.
     *
     * \@ example
     * // a box is defined as
     * let box = {
     *   center: THREE.Vector3,
     *   halfDimensions: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid box, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    Validators.box = /**
     * Validates a box.
     *
     * \@ example
     * // a box is defined as
     * let box = {
     *   center: THREE.Vector3,
     *   halfDimensions: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid box, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    function (objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('center') &&
            this.vector3(objectToTest.center) &&
            objectToTest.hasOwnProperty('halfDimensions') &&
            this.vector3(objectToTest.halfDimensions) &&
            objectToTest.halfDimensions.x >= 0 &&
            objectToTest.halfDimensions.y >= 0 &&
            objectToTest.halfDimensions.z >= 0)) {
            return false;
        }
        return true;
    };
    /**
     * Validates a ray.
     *
     * @ example
     * // a ray is defined as
     * let ray = {
     *   postion: THREE.Vector3,
     *   direction: THREE.Vector3
     * }
     *
     * @ param {Object} objectToTest - The object to be tested.
     * @ return {boolean} True if valid ray, false if NOT.
     */
    /**
     * Validates a ray.
     *
     * \@ example
     * // a ray is defined as
     * let ray = {
     *   postion: THREE.Vector3,
     *   direction: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid ray, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    Validators.ray = /**
     * Validates a ray.
     *
     * \@ example
     * // a ray is defined as
     * let ray = {
     *   postion: THREE.Vector3,
     *   direction: THREE.Vector3
     * }
     *
     * \@ param {Object} objectToTest - The object to be tested.
     * \@ return {boolean} True if valid ray, false if NOT.
     * @param {?} objectToTest
     * @return {?}
     */
    function (objectToTest) {
        if (!(objectToTest !== null &&
            typeof objectToTest !== 'undefined' &&
            objectToTest.hasOwnProperty('position') &&
            this.vector3(objectToTest.position) &&
            objectToTest.hasOwnProperty('direction') &&
            this.vector3(objectToTest.direction))) {
            return false;
        }
        return true;
    };
    return Validators;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * General purpose functions.
 *
 * \@ module core/utils
 */
var /**
 * General purpose functions.
 *
 * \@ module core/utils
 */
CoreUtils = /** @class */ (function () {
    function CoreUtils() {
    }
    /**
     * Generate a bouding box object.
     * @ param {Vector3} center - Center of the box.
     * @ param {Vector3} halfDimensions - Half Dimensions of the box.
     * @ return {Object} The bounding box object. {Object.min} is a {Vector3}
     * containing the min bounds. {Object.max} is a {Vector3} containing the
     * max bounds.
     * @ return {boolean} False input NOT valid.
     * @ example
     * // Returns
     * //{ min: { x : 0, y : 0,  z : 0 },
     * //  max: { x : 2, y : 4,  z : 6 }
     * //}
     * VJS.Core.Utils.bbox(
     *   new Vector3(1, 2, 3), new Vector3(1, 2, 3));
     *
     * //Returns false
     * VJS.Core.Utils.bbox(new Vector3(), new Matrix4());
     *
     */
    /**
     * Generate a bouding box object.
     * \@ param {Vector3} center - Center of the box.
     * \@ param {Vector3} halfDimensions - Half Dimensions of the box.
     * \@ return {Object} The bounding box object. {Object.min} is a {Vector3}
     * containing the min bounds. {Object.max} is a {Vector3} containing the
     * max bounds.
     * \@ return {boolean} False input NOT valid.
     * \@ example
     * // Returns
     * //{ min: { x : 0, y : 0,  z : 0 },
     * //  max: { x : 2, y : 4,  z : 6 }
     * //}
     * VJS.Core.Utils.bbox(
     *   new Vector3(1, 2, 3), new Vector3(1, 2, 3));
     *
     * //Returns false
     * VJS.Core.Utils.bbox(new Vector3(), new Matrix4());
     *
     * @param {?} center
     * @param {?} halfDimensions
     * @return {?}
     */
    CoreUtils.bbox = /**
     * Generate a bouding box object.
     * \@ param {Vector3} center - Center of the box.
     * \@ param {Vector3} halfDimensions - Half Dimensions of the box.
     * \@ return {Object} The bounding box object. {Object.min} is a {Vector3}
     * containing the min bounds. {Object.max} is a {Vector3} containing the
     * max bounds.
     * \@ return {boolean} False input NOT valid.
     * \@ example
     * // Returns
     * //{ min: { x : 0, y : 0,  z : 0 },
     * //  max: { x : 2, y : 4,  z : 6 }
     * //}
     * VJS.Core.Utils.bbox(
     *   new Vector3(1, 2, 3), new Vector3(1, 2, 3));
     *
     * //Returns false
     * VJS.Core.Utils.bbox(new Vector3(), new Matrix4());
     *
     * @param {?} center
     * @param {?} halfDimensions
     * @return {?}
     */
    function (center, halfDimensions) {
        // make sure we have valid inputs
        if (!(Validators.vector3(center) && Validators.vector3(halfDimensions))) {
            console.log('Invalid center or plane halfDimensions.');
            return false;
        }
        // make sure half dimensions are >= 0
        if (!(halfDimensions.x >= 0 && halfDimensions.y >= 0 && halfDimensions.z >= 0)) {
            window.console.log('halfDimensions must be >= 0.');
            window.console.log(halfDimensions);
            return false;
        }
        // min/max bound
        /** @type {?} */
        var min = center.clone().sub(halfDimensions);
        /** @type {?} */
        var max = center.clone().add(halfDimensions);
        return {
            min: min,
            max: max,
        };
    };
    /**
     * Find min/max values in an array
     * @ param {Array} data
     * @ return {Array}
     */
    /**
     * Find min/max values in an array
     * \@ param {Array} data
     * \@ return {Array}
     * @param {?=} data
     * @return {?}
     */
    CoreUtils.minMax = /**
     * Find min/max values in an array
     * \@ param {Array} data
     * \@ return {Array}
     * @param {?=} data
     * @return {?}
     */
    function (data) {
        if (data === void 0) { data = []; }
        /** @type {?} */
        var minMax = [65535, -32768];
        /** @type {?} */
        var numPixels = data.length;
        for (var index = 0; index < numPixels; index++) {
            /** @type {?} */
            var spv = data[index];
            minMax[0] = Math.min(minMax[0], spv);
            minMax[1] = Math.max(minMax[1], spv);
        }
        return minMax;
    };
    /**
     * Check HTMLElement
     * @ param {HTMLElement} obj
     * @ return {boolean}
     */
    /**
     * Check HTMLElement
     * \@ param {HTMLElement} obj
     * \@ return {boolean}
     * @param {?} obj
     * @return {?}
     */
    CoreUtils.isElement = /**
     * Check HTMLElement
     * \@ param {HTMLElement} obj
     * \@ return {boolean}
     * @param {?} obj
     * @return {?}
     */
    function (obj) {
        try {
            // Using W3 DOM2 (works for FF, Opera and Chrom)
            return obj instanceof HTMLElement;
        }
        catch (e) {
            // Browsers not supporting W3 DOM2 don't have HTMLElement and
            // an exception is thrown and we end up here. Testing some
            // properties that all elements have. (works on IE7)
            return (typeof obj === 'object' &&
                obj.nodeType === 1 &&
                typeof obj.style === 'object' &&
                typeof obj.ownerDocument === 'object');
        }
    };
    /**
     * Check string
     * @ param {String} str
     * @ return {Boolean}
     */
    /**
     * Check string
     * \@ param {String} str
     * \@ return {Boolean}
     * @param {?} str
     * @return {?}
     */
    CoreUtils.isString = /**
     * Check string
     * \@ param {String} str
     * \@ return {Boolean}
     * @param {?} str
     * @return {?}
     */
    function (str) {
        return typeof str === 'string' || str instanceof String;
    };
    /**
     * Parse url and find out the extension of the exam file.
     *
     * @ param {*} url - The url to be parsed.
     * The query string can contain some "special" parameters that can be used to ease the parsing process
     * when the url doesn't match the exam file name on the filesystem:
     * - filename: the name of the exam file
     * - contentType: the mime type of the exam file. Currently only "application/dicom" is recognized, nifti files don't have a standard mime type.
     * For  example:
     * http://<hostname>/getExam?id=100&filename=myexam%2Enii%2Egz
     * http://<hostname>/getExam?id=100&contentType=application%2Fdicom
     *
     * @ return {Object}
     */
    /**
     * Parse url and find out the extension of the exam file.
     *
     * \@ param {*} url - The url to be parsed.
     * The query string can contain some "special" parameters that can be used to ease the parsing process
     * when the url doesn't match the exam file name on the filesystem:
     * - filename: the name of the exam file
     * - contentType: the mime type of the exam file. Currently only "application/dicom" is recognized, nifti files don't have a standard mime type.
     * For  example:
     * http://<hostname>/getExam?id=100&filename=myexam%2Enii%2Egz
     * http://<hostname>/getExam?id=100&contentType=application%2Fdicom
     *
     * \@ return {Object}
     * @param {?} url
     * @return {?}
     */
    CoreUtils.parseUrl = /**
     * Parse url and find out the extension of the exam file.
     *
     * \@ param {*} url - The url to be parsed.
     * The query string can contain some "special" parameters that can be used to ease the parsing process
     * when the url doesn't match the exam file name on the filesystem:
     * - filename: the name of the exam file
     * - contentType: the mime type of the exam file. Currently only "application/dicom" is recognized, nifti files don't have a standard mime type.
     * For  example:
     * http://<hostname>/getExam?id=100&filename=myexam%2Enii%2Egz
     * http://<hostname>/getExam?id=100&contentType=application%2Fdicom
     *
     * \@ return {Object}
     * @param {?} url
     * @return {?}
     */
    function (url) {
        /** @type {?} */
        var parsedUrl = new URL(url, 'http://fix.me');
        /** @type {?} */
        var data = {
            filename: parsedUrl.searchParams.get('filename'),
            extension: '',
            pathname: parsedUrl.pathname,
            query: parsedUrl.search,
        };
        // get file name
        if (!data.filename) {
            data.filename = data.pathname.split('/').pop();
        }
        // find extension
        /** @type {?} */
        var splittedName = data.filename.split('.');
        data.extension = splittedName.length > 1 ? splittedName.pop() : 'dicom';
        /** @type {?} */
        var skipExt = [
            'asp',
            'aspx',
            'go',
            'gs',
            'hs',
            'jsp',
            'js',
            'php',
            'pl',
            'py',
            'rb',
            'htm',
            'html',
        ];
        if (
        // !isNaN(data.extension) ||
        skipExt.indexOf(data.extension) !== -1 ||
            (data.query && data.query.includes('contentType=application%2Fdicom'))) {
            data.extension = 'dicom';
        }
        return data;
    };
    /**
     * Compute IJK to LPS tranform.
     *  http://nipy.org/nibabel/dicom/dicom_orientation.html
     *
     * @ param {*} xCos
     * @ param {*} yCos
     * @ param {*} zCos
     * @ param {*} spacing
     * @ param {*} origin
     * @ param {*} registrationMatrix
     *
     * @ return {*}
     */
    /**
     * Compute IJK to LPS tranform.
     *  http://nipy.org/nibabel/dicom/dicom_orientation.html
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} spacing
     * \@ param {*} origin
     * \@ param {*} registrationMatrix
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} spacing
     * @param {?} origin
     * @param {?=} registrationMatrix
     * @return {?}
     */
    CoreUtils.ijk2LPS = /**
     * Compute IJK to LPS tranform.
     *  http://nipy.org/nibabel/dicom/dicom_orientation.html
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} spacing
     * \@ param {*} origin
     * \@ param {*} registrationMatrix
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} spacing
     * @param {?} origin
     * @param {?=} registrationMatrix
     * @return {?}
     */
    function (xCos, yCos, zCos, spacing, origin, registrationMatrix) {
        if (registrationMatrix === void 0) { registrationMatrix = new Matrix4$1(); }
        /** @type {?} */
        var ijk2LPS = new Matrix4$1();
        ijk2LPS.set(xCos.x * spacing.y, yCos.x * spacing.x, zCos.x * spacing.z, origin.x, xCos.y * spacing.y, yCos.y * spacing.x, zCos.y * spacing.z, origin.y, xCos.z * spacing.y, yCos.z * spacing.x, zCos.z * spacing.z, origin.z, 0, 0, 0, 1);
        ijk2LPS.premultiply(registrationMatrix);
        return ijk2LPS;
    };
    /**
     * Compute AABB to LPS transform.
     * AABB: Axe Aligned Bounding Box.
     *
     * @ param {*} xCos
     * @ param {*} yCos
     * @ param {*} zCos
     * @ param {*} origin
     *
     * @ return {*}
     */
    /**
     * Compute AABB to LPS transform.
     * AABB: Axe Aligned Bounding Box.
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} origin
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} origin
     * @return {?}
     */
    CoreUtils.aabb2LPS = /**
     * Compute AABB to LPS transform.
     * AABB: Axe Aligned Bounding Box.
     *
     * \@ param {*} xCos
     * \@ param {*} yCos
     * \@ param {*} zCos
     * \@ param {*} origin
     *
     * \@ return {*}
     * @param {?} xCos
     * @param {?} yCos
     * @param {?} zCos
     * @param {?} origin
     * @return {?}
     */
    function (xCos, yCos, zCos, origin) {
        /** @type {?} */
        var aabb2LPS = new Matrix4$1();
        aabb2LPS.set(xCos.x, yCos.x, zCos.x, origin.x, xCos.y, yCos.y, zCos.y, origin.y, xCos.z, yCos.z, zCos.z, origin.z, 0, 0, 0, 1);
        return aabb2LPS;
    };
    /**
     * Transform coordinates from world coordinate to data
     *
     * @ param {*} lps2IJK
     * @ param {*} worldCoordinates
     *
     * @ return {*}
     */
    /**
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} lps2IJK
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} lps2IJK
     * @param {?} worldCoordinates
     * @return {?}
     */
    CoreUtils.worldToData = /**
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} lps2IJK
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} lps2IJK
     * @param {?} worldCoordinates
     * @return {?}
     */
    function (lps2IJK, worldCoordinates) {
        /** @type {?} */
        var dataCoordinate = new Vector3().copy(worldCoordinates).applyMatrix4(lps2IJK);
        // same rounding in the shaders
        dataCoordinate.addScalar(0.5).floor();
        return dataCoordinate;
    };
    /**
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    CoreUtils.value = /**
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    function (stack, coordinate) {
        window.console.warn('value is deprecated, please use getPixelData instead');
        this.getPixelData(stack, coordinate);
    };
    /**
     * Get voxel value
     *
     * @ param {ModelsStack} stack
     * @ param {Vector3} coordinate
     * @ return {*}
     */
    /**
     * Get voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    CoreUtils.getPixelData = /**
     * Get voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    function (stack, coordinate) {
        if (coordinate.z >= 0 && coordinate.z < stack._frame.length) {
            return stack._frame[coordinate.z].getPixelData(coordinate.x, coordinate.y);
        }
        else {
            return null;
        }
    };
    /**
     * Set voxel value
     *
     * @ param {ModelsStack} stack
     * @ param {Vector3} coordinate
     * @ param {Number} value
     * @ return {*}
     */
    /**
     * Set voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ param {Number} value
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @param {?} value
     * @return {?}
     */
    CoreUtils.setPixelData = /**
     * Set voxel value
     *
     * \@ param {ModelsStack} stack
     * \@ param {Vector3} coordinate
     * \@ param {Number} value
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @param {?} value
     * @return {?}
     */
    function (stack, coordinate, value) {
        if (coordinate.z >= 0 && coordinate.z < stack._frame.length) {
            stack._frame[coordinate.z].setPixelData(coordinate.x, coordinate.y, value);
        }
        else {
            return null;
        }
    };
    /**
     * Apply slope/intercept to a value
     *
     * @ param {*} value
     * @ param {*} slope
     * @ param {*} intercept
     *
     * @ return {*}
     */
    /**
     * Apply slope/intercept to a value
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    CoreUtils.rescaleSlopeIntercept = /**
     * Apply slope/intercept to a value
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    function (value, slope, intercept) {
        return value * slope + intercept;
    };
    /**
     *
     * Convenience function to extract center of mass from list of points.
     *
     * @ param {Array<Vector3>} points - Set of points from which we want to extract the center of mass.
     *
     * @ returns {Vector3} Center of mass from given points.
     */
    /**
     *
     * Convenience function to extract center of mass from list of points.
     *
     * \@ param {Array<Vector3>} points - Set of points from which we want to extract the center of mass.
     *
     * \@ returns {Vector3} Center of mass from given points.
     * @param {?} points
     * @return {?}
     */
    CoreUtils.centerOfMass = /**
     *
     * Convenience function to extract center of mass from list of points.
     *
     * \@ param {Array<Vector3>} points - Set of points from which we want to extract the center of mass.
     *
     * \@ returns {Vector3} Center of mass from given points.
     * @param {?} points
     * @return {?}
     */
    function (points) {
        /** @type {?} */
        var centerOfMass = new Vector3(0, 0, 0);
        for (var i = 0; i < points.length; i++) {
            centerOfMass.x += points[i].x;
            centerOfMass.y += points[i].y;
            centerOfMass.z += points[i].z;
        }
        centerOfMass.divideScalar(points.length);
        return centerOfMass;
    };
    /**
     *
     * Order 3D planar points around a refence point.
     *
     * @ private
     *
     * @ param {Array<Vector3>} points - Set of planar 3D points to be ordered.
     * @ param {Vector3} direction - Direction of the plane in which points and reference are sitting.
     *
     * @ returns {Array<Object>} Set of object representing the ordered points.
     */
    // static orderIntersections(points: Array<Vector3>, direction: Vector3) {
    //   let reference = this.centerOfMass(points);
    //   // direction from first point to reference
    //   let referenceDirection = new Vector3(
    //     points[0].x - reference.x,
    //     points[0].y - reference.y,
    //     points[0].z - reference.z
    //   ).normalize();
    //   let base = new Vector3(0, 0, 0).crossVectors(referenceDirection, direction).normalize();
    //   let orderedpoints = [];
    //   // other lines // if inter, return location + angle
    //   for (let j = 0; j < points.length; j++) {
    //     let point = new Vector3(points[j].x, points[j].y, points[j].z);
    //     point.direction = new Vector3(
    //       points[j].x - reference.x,
    //       points[j].y - reference.y,
    //       points[j].z - reference.z
    //     ).normalize();
    //     let x = referenceDirection.dot(point.direction);
    //     let y = base.dot(point.direction);
    //     point.xy = { x, y };
    //     let theta = Math.atan2(y, x) * (180 / Math.PI);
    //     point.angle = theta;
    //     orderedpoints.push(point);
    //   }
    //   orderedpoints.sort(function(a, b) {
    //     return a.angle - b.angle;
    //   });
    //   let noDups = [orderedpoints[0]];
    //   let epsilon = 0.0001;
    //   for (let i = 1; i < orderedpoints.length; i++) {
    //     if (Math.abs(orderedpoints[i - 1].angle - orderedpoints[i].angle) > epsilon) {
    //       noDups.push(orderedpoints[i]);
    //     }
    //   }
    //   return noDups;
    // }
    /**
     * Get min, max, mean and sd of voxel values behind the mesh
     *
     * @ param {THREE.Mesh}  mesh    Region of Interest
     * @ param {*}           camera  Tested on CamerasOrthographic
     * @ param {ModelsStack} stack
     *
     * @ return {Object|null}
     */
    /**
       *
       * Order 3D planar points around a refence point.
       *
       * @ private
       *
       * @ param {Array<Vector3>} points - Set of planar 3D points to be ordered.
       * @ param {Vector3} direction - Direction of the plane in which points and reference are sitting.
       *
       * @ returns {Array<Object>} Set of object representing the ordered points.
       */
    // static orderIntersections(points: Array<Vector3>, direction: Vector3) {
    //   let reference = this.centerOfMass(points);
    //   // direction from first point to reference
    //   let referenceDirection = new Vector3(
    //     points[0].x - reference.x,
    //     points[0].y - reference.y,
    //     points[0].z - reference.z
    //   ).normalize();
    //   let base = new Vector3(0, 0, 0).crossVectors(referenceDirection, direction).normalize();
    //   let orderedpoints = [];
    //   // other lines // if inter, return location + angle
    //   for (let j = 0; j < points.length; j++) {
    //     let point = new Vector3(points[j].x, points[j].y, points[j].z);
    //     point.direction = new Vector3(
    //       points[j].x - reference.x,
    //       points[j].y - reference.y,
    //       points[j].z - reference.z
    //     ).normalize();
    //     let x = referenceDirection.dot(point.direction);
    //     let y = base.dot(point.direction);
    //     point.xy = { x, y };
    //     let theta = Math.atan2(y, x) * (180 / Math.PI);
    //     point.angle = theta;
    //     orderedpoints.push(point);
    //   }
    //   orderedpoints.sort(function(a, b) {
    //     return a.angle - b.angle;
    //   });
    //   let noDups = [orderedpoints[0]];
    //   let epsilon = 0.0001;
    //   for (let i = 1; i < orderedpoints.length; i++) {
    //     if (Math.abs(orderedpoints[i - 1].angle - orderedpoints[i].angle) > epsilon) {
    //       noDups.push(orderedpoints[i]);
    //     }
    //   }
    //   return noDups;
    // }
    /**
     * Get min, max, mean and sd of voxel values behind the mesh
     *
     * \@ param {THREE.Mesh}  mesh    Region of Interest
     * \@ param {*}           camera  Tested on CamerasOrthographic
     * \@ param {ModelsStack} stack
     *
     * \@ return {Object|null}
     * @param {?} mesh
     * @param {?} camera
     * @param {?} stack
     * @return {?}
     */
    CoreUtils.getRoI = /**
       *
       * Order 3D planar points around a refence point.
       *
       * @ private
       *
       * @ param {Array<Vector3>} points - Set of planar 3D points to be ordered.
       * @ param {Vector3} direction - Direction of the plane in which points and reference are sitting.
       *
       * @ returns {Array<Object>} Set of object representing the ordered points.
       */
    // static orderIntersections(points: Array<Vector3>, direction: Vector3) {
    //   let reference = this.centerOfMass(points);
    //   // direction from first point to reference
    //   let referenceDirection = new Vector3(
    //     points[0].x - reference.x,
    //     points[0].y - reference.y,
    //     points[0].z - reference.z
    //   ).normalize();
    //   let base = new Vector3(0, 0, 0).crossVectors(referenceDirection, direction).normalize();
    //   let orderedpoints = [];
    //   // other lines // if inter, return location + angle
    //   for (let j = 0; j < points.length; j++) {
    //     let point = new Vector3(points[j].x, points[j].y, points[j].z);
    //     point.direction = new Vector3(
    //       points[j].x - reference.x,
    //       points[j].y - reference.y,
    //       points[j].z - reference.z
    //     ).normalize();
    //     let x = referenceDirection.dot(point.direction);
    //     let y = base.dot(point.direction);
    //     point.xy = { x, y };
    //     let theta = Math.atan2(y, x) * (180 / Math.PI);
    //     point.angle = theta;
    //     orderedpoints.push(point);
    //   }
    //   orderedpoints.sort(function(a, b) {
    //     return a.angle - b.angle;
    //   });
    //   let noDups = [orderedpoints[0]];
    //   let epsilon = 0.0001;
    //   for (let i = 1; i < orderedpoints.length; i++) {
    //     if (Math.abs(orderedpoints[i - 1].angle - orderedpoints[i].angle) > epsilon) {
    //       noDups.push(orderedpoints[i]);
    //     }
    //   }
    //   return noDups;
    // }
    /**
     * Get min, max, mean and sd of voxel values behind the mesh
     *
     * \@ param {THREE.Mesh}  mesh    Region of Interest
     * \@ param {*}           camera  Tested on CamerasOrthographic
     * \@ param {ModelsStack} stack
     *
     * \@ return {Object|null}
     * @param {?} mesh
     * @param {?} camera
     * @param {?} stack
     * @return {?}
     */
    function (mesh, camera, stack) {
        var _a, _b;
        mesh.geometry.computeBoundingBox();
        /** @type {?} */
        var bbox = new Box3().setFromObject(mesh);
        /** @type {?} */
        var min = bbox.min.clone().project(camera);
        /** @type {?} */
        var max = bbox.max.clone().project(camera);
        /** @type {?} */
        var offsetWidth = camera.controls.domElement.offsetWidth;
        /** @type {?} */
        var offsetHeight = camera.controls.domElement.offsetHeight;
        /** @type {?} */
        var rayCaster = new Raycaster();
        /** @type {?} */
        var values = [];
        min.x = Math.round(((min.x + 1) * offsetWidth) / 2);
        min.y = Math.round(((-min.y + 1) * offsetHeight) / 2);
        max.x = Math.round(((max.x + 1) * offsetWidth) / 2);
        max.y = Math.round(((-max.y + 1) * offsetHeight) / 2);
        _a = __read([Math.min(min.x, max.x), Math.max(min.x, max.x)], 2), min.x = _a[0], max.x = _a[1];
        _b = __read([Math.min(min.y, max.y), Math.max(min.y, max.y)], 2), min.y = _b[0], max.y = _b[1];
        /** @type {?} */
        var intersect = [];
        /** @type {?} */
        var value = null;
        for (var x = min.x; x <= max.x; x++) {
            for (var y = min.y; y <= max.y; y++) {
                rayCaster.setFromCamera({
                    x: (x / offsetWidth) * 2 - 1,
                    y: -(y / offsetHeight) * 2 + 1,
                }, camera);
                intersect = rayCaster.intersectObject(mesh);
                if (intersect.length === 0) {
                    continue;
                }
                value = CoreUtils.getPixelData(stack, CoreUtils.worldToData(stack.lps2IJK, intersect[0].point));
                // the image isn't RGB and coordinates are inside it
                if (value !== null && stack.numberOfChannels === 1) {
                    values.push(CoreUtils.rescaleSlopeIntercept(value, stack.rescaleSlope, stack.rescaleIntercept));
                }
            }
        }
        if (values.length === 0) {
            return null;
        }
        /** @type {?} */
        var avg = values.reduce((/**
         * @param {?} sum
         * @param {?} val
         * @return {?}
         */
        function (sum, val) { return sum + val; })) / values.length;
        return {
            min: values.reduce((/**
             * @param {?} prev
             * @param {?} val
             * @return {?}
             */
            function (prev, val) { return (prev < val ? prev : val); })),
            max: values.reduce((/**
             * @param {?} prev
             * @param {?} val
             * @return {?}
             */
            function (prev, val) { return (prev > val ? prev : val); })),
            mean: avg,
            sd: Math.sqrt(values.reduce((/**
             * @param {?} sum
             * @param {?} val
             * @return {?}
             */
            function (sum, val) { return sum + Math.pow(val - avg, 2); }), 0) / values.length),
        };
    };
    /**
     * Calculate shape area (sum of triangle polygons area).
     * May be inaccurate or completely wrong for some shapes.
     *
     * @ param {THREE.Geometry} geometry
     *
     * @ returns {Number}
     */
    /**
     * Calculate shape area (sum of triangle polygons area).
     * May be inaccurate or completely wrong for some shapes.
     *
     * \@ param {THREE.Geometry} geometry
     *
     * \@ returns {Number}
     * @param {?} geometry
     * @return {?}
     */
    CoreUtils.getGeometryArea = /**
     * Calculate shape area (sum of triangle polygons area).
     * May be inaccurate or completely wrong for some shapes.
     *
     * \@ param {THREE.Geometry} geometry
     *
     * \@ returns {Number}
     * @param {?} geometry
     * @return {?}
     */
    function (geometry) {
        if (geometry.faces.length < 1) {
            return 0.0;
        }
        /** @type {?} */
        var area = 0.0;
        /** @type {?} */
        var vertices = geometry.vertices;
        geometry.faces.forEach((/**
         * @param {?} elem
         * @return {?}
         */
        function (elem) {
            area += new Triangle(vertices[elem.a], vertices[elem.b], vertices[elem.c]).getArea();
        }));
        return area;
    };
    /**
     * @param {?} numberAsString
     * @return {?}
     */
    CoreUtils.stringToNumber = /**
     * @param {?} numberAsString
     * @return {?}
     */
    function (numberAsString) {
        /** @type {?} */
        var number = Number(numberAsString);
        // returns true is number is NaN
        if (number !== number) {
            /** @type {?} */
            var dots = (numberAsString.match(/\./g) || []).length;
            /** @type {?} */
            var commas = (numberAsString.match(/\,/g) || []).length;
            if (commas === 1 && dots < 2) {
                // convert 1,45 to 1.45
                // convert 1,456.78 to 1456.78
                /** @type {?} */
                var replaceBy = dots === 0 ? '.' : '';
                /** @type {?} */
                var stringWithoutComma = numberAsString.replace(/,/g, replaceBy);
                number = Number(stringWithoutComma);
            }
            // if that didn't help
            // weird stuff happenning
            // should throw an error instead of setting value to 1.0
            if (number !== number) {
                console.error("String could not be converted to number (" + numberAsString + "). Setting value to \"1.0\".");
                number = 1.0;
            }
        }
        return number;
    };
    return CoreUtils;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module helpers/lut
 */
// const helpersLut = (three = window.THREE) => {
//   if (three === undefined || three.Object3D === undefined) {
//     return null;
//   }
//   const Constructor = three.Object3D;
//   return class extends Constructor {
var  /**
 * \@ module helpers/lut
 */
// const helpersLut = (three = window.THREE) => {
//   if (three === undefined || three.Object3D === undefined) {
//     return null;
//   }
//   const Constructor = three.Object3D;
//   return class extends Constructor {
HelperLut = /** @class */ (function (_super) {
    __extends(HelperLut, _super);
    function HelperLut(domTarget, lut, lutO, color, opacity, discrete) {
        var _a, _b;
        if (lut === void 0) { lut = 'default'; }
        if (lutO === void 0) { lutO = 'linear'; }
        if (color === void 0) { color = [[0, 0, 0, 0], [1, 1, 1, 1]]; }
        if (opacity === void 0) { opacity = [[0, 0], [1, 1]]; }
        if (discrete === void 0) { discrete = false; }
        var _this = 
        // min/max (0-1 or real intensities)
        // show/hide
        // horizontal/vertical
        _super.call(this) || this;
        if (CoreUtils.isString(domTarget)) {
            _this._dom = document.getElementById(domTarget);
        }
        else {
            _this._dom = domTarget;
        }
        _this._discrete = discrete;
        _this._color = color;
        _this._lut = lut;
        _this._luts = (_a = {}, _a[lut] = color, _a);
        _this._opacity = opacity;
        _this._lutO = lutO;
        _this._lutsO = (_b = {}, _b[lutO] = opacity, _b);
        _this.initCanvas();
        _this.paintCanvas();
        return _this;
    }
    /**
     * @return {?}
     */
    HelperLut.prototype.initCanvas = /**
     * @return {?}
     */
    function () {
        // container
        this._canvasContainer = this.initCanvasContainer(this._dom);
        // background
        this._canvasBg = this.createCanvas();
        this._canvasContainer.appendChild(this._canvasBg);
        // foreground
        this._canvas = this.createCanvas();
        this._canvasContainer.appendChild(this._canvas);
    };
    /**
     * @param {?} dom
     * @return {?}
     */
    HelperLut.prototype.initCanvasContainer = /**
     * @param {?} dom
     * @return {?}
     */
    function (dom) {
        /** @type {?} */
        var canvasContainer = dom;
        canvasContainer.style.border = '1px solid #F9F9F9';
        return canvasContainer;
    };
    /**
     * @return {?}
     */
    HelperLut.prototype.createCanvas = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var canvas = document.createElement('canvas');
        canvas.height = 1;
        canvas.width = 256;
        canvas.style.width = '256px';
        canvas.style.height = '16px';
        return canvas;
    };
    /**
     * @return {?}
     */
    HelperLut.prototype.paintCanvas = /**
     * @return {?}
     */
    function () {
        // setup context
        /** @type {?} */
        var ctx = this._canvas.getContext('2d');
        ctx.clearRect(0, 0, this._canvas.width, this._canvas.height);
        ctx.globalCompositeOperation = 'source-over';
        // apply color
        if (!this._discrete) {
            /** @type {?} */
            var color = ctx.createLinearGradient(0, 0, this._canvas.width, 0);
            for (var i = 0; i < this._color.length; i++) {
                color.addColorStop(this._color[i][0], "rgba( " + Math.round(this._color[i][1] * 255) + ", " + Math.round(this._color[i][2] * 255) + ", " + Math.round(this._color[i][3] * 255) + ", 1)");
            }
            ctx.fillStyle = color;
            ctx.fillRect(0, 0, this._canvas.width, this._canvas.height);
            // setup context
            ctx.globalCompositeOperation = 'destination-in';
            // apply opacity
            /** @type {?} */
            var opacity = ctx.createLinearGradient(0, 0, this._canvas.width, 0);
            for (var i = 0; i < this._opacity.length; i++) {
                opacity.addColorStop(this._opacity[i][0], 'rgba(255, 255, 255, ' + this._opacity[i][1] + ')');
            }
            ctx.fillStyle = opacity;
            ctx.fillRect(0, 0, this._canvas.width, this._canvas.height);
        }
        else {
            ctx.lineWidth = 2 * this._canvas.height;
            for (var i = 0; i < this._color.length; i++) {
                /** @type {?} */
                var currentPos = this._color[i][0];
                /** @type {?} */
                var nextPos = 1;
                if (i < this._color.length - 1) {
                    nextPos = this._color[i + 1][0];
                }
                /** @type {?} */
                var previousPos = 0;
                if (i > 0) {
                    previousPos = this._color[i - 1][0];
                }
                /** @type {?} */
                var from = previousPos + (currentPos - previousPos) / 2;
                /** @type {?} */
                var to = currentPos + (nextPos - currentPos) / 2;
                /** @type {?} */
                var color = this._color[i];
                /** @type {?} */
                var opacity = this._opacity[i] ? this._opacity[i][1] : 1;
                ctx.beginPath();
                ctx.strokeStyle = "rgba( " + Math.round(color[1] * 255) + ", " + Math.round(color[2] * 255) + ", " + Math.round(color[3] * 255) + ", " + opacity + ")";
                ctx.moveTo(from * this._canvas.width, 0);
                ctx.lineTo(to * this._canvas.width, 0);
                ctx.stroke();
                ctx.closePath();
            }
        }
    };
    Object.defineProperty(HelperLut.prototype, "texture", {
        get: /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var texture = new Texture(this._canvas);
            texture.mapping = UVMapping;
            texture.wrapS = texture.wrapT = ClampToEdgeWrapping;
            texture.magFilter = texture.minFilter = NearestFilter;
            texture.premultiplyAlpha = true;
            texture.needsUpdate = true;
            return texture;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelperLut.prototype, "lut", {
        get: /**
         * @return {?}
         */
        function () {
            return this._lut;
        },
        set: /**
         * @param {?} targetLUT
         * @return {?}
         */
        function (targetLUT) {
            this._color = this._luts[targetLUT];
            this._lut = targetLUT;
            this.paintCanvas();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelperLut.prototype, "luts", {
        get: /**
         * @return {?}
         */
        function () {
            return this._luts;
        },
        set: /**
         * @param {?} newLuts
         * @return {?}
         */
        function (newLuts) {
            this._luts = newLuts;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelperLut.prototype, "lutO", {
        get: /**
         * @return {?}
         */
        function () {
            return this._lutO;
        },
        set: /**
         * @param {?} targetLUTO
         * @return {?}
         */
        function (targetLUTO) {
            this._opacity = this._lutsO[targetLUTO];
            this._lutO = targetLUTO;
            this.paintCanvas();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelperLut.prototype, "lutsO", {
        get: /**
         * @return {?}
         */
        function () {
            return this._lutsO;
        },
        set: /**
         * @param {?} newLutsO
         * @return {?}
         */
        function (newLutsO) {
            this._lutsO = newLutsO;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(HelperLut.prototype, "discrete", {
        get: /**
         * @return {?}
         */
        function () {
            return this._discrete;
        },
        set: /**
         * @param {?} discrete
         * @return {?}
         */
        function (discrete) {
            this._discrete = discrete;
            this.paintCanvas();
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?=} type
     * @return {?}
     */
    HelperLut.prototype.lutsAvailable = /**
     * @param {?=} type
     * @return {?}
     */
    function (type) {
        if (type === void 0) { type = 'color'; }
        /** @type {?} */
        var available = [];
        /** @type {?} */
        var luts = this._luts;
        if (type !== 'color') {
            luts = this._lutsO;
        }
        for (var i in luts) {
            available.push(i);
        }
        return available;
    };
    // add luts to class' lut (so a user can add its own as well)
    // add luts to class' lut (so a user can add its own as well)
    /**
     * @return {?}
     */
    HelperLut.presetLuts = 
    // add luts to class' lut (so a user can add its own as well)
    /**
     * @return {?}
     */
    function () {
        return {
            default: [[0, 0, 0, 0], [1, 1, 1, 1]],
            spectrum: [
                [0, 0, 0, 0],
                [0.1, 0, 0, 1],
                [0.33, 0, 1, 1],
                [0.5, 0, 1, 0],
                [0.66, 1, 1, 0],
                [0.9, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            hot_and_cold: [
                [0, 0, 0, 1],
                [0.15, 0, 1, 1],
                [0.3, 0, 1, 0],
                [0.45, 0, 0, 0],
                [0.5, 0, 0, 0],
                [0.55, 0, 0, 0],
                [0.7, 1, 1, 0],
                [0.85, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            gold: [
                [0, 0, 0, 0],
                [0.13, 0.19, 0.03, 0],
                [0.25, 0.39, 0.12, 0],
                [0.38, 0.59, 0.26, 0],
                [0.5, 0.8, 0.46, 0.08],
                [0.63, 0.99, 0.71, 0.21],
                [0.75, 0.99, 0.88, 0.34],
                [0.88, 0.99, 0.99, 0.48],
                [1, 0.9, 0.95, 0.61],
            ],
            red: [[0, 0.75, 0, 0], [0.5, 1, 0.5, 0], [0.95, 1, 1, 0], [1, 1, 1, 1]],
            green: [[0, 0, 0.75, 0], [0.5, 0.5, 1, 0], [0.95, 1, 1, 0], [1, 1, 1, 1]],
            blue: [[0, 0, 0, 1], [0.5, 0, 0.5, 1], [0.95, 0, 1, 1], [1, 1, 1, 1]],
            walking_dead: [[0, 0.1, 1, 1], [1, 1, 1, 1]],
            random: [
                [0, 0, 0, 0],
                [0.27, 0.18, 0.18, 0.18],
                [0.41, 1, 1, 1],
                [0.7, 1, 0, 0],
                [1, 1, 1, 1],
            ],
            muscle_bone: [
                [0, 0, 0, 0],
                [0.00392156862745098, 0.00784313725490196, 0, 0],
                [0.00784313725490196, 0.0196078431372549, 0, 0],
                [0.011764705882352941, 0.03137254901960784, 0, 0],
                [0.01568627450980392, 0.0392156862745098, 0, 0.00392156862745098],
                [
                    0.0196078431372549,
                    0.050980392156862744,
                    0.00392156862745098,
                    0.00392156862745098,
                ],
                [
                    0.023529411764705882,
                    0.06274509803921569,
                    0.00392156862745098,
                    0.00392156862745098,
                ],
                [
                    0.027450980392156862,
                    0.07058823529411765,
                    0.00392156862745098,
                    0.00784313725490196,
                ],
                [
                    0.03137254901960784,
                    0.08235294117647059,
                    0.00392156862745098,
                    0.00784313725490196,
                ],
                [
                    0.03529411764705882,
                    0.09411764705882353,
                    0.00784313725490196,
                    0.00784313725490196,
                ],
                [
                    0.0392156862745098,
                    0.10196078431372549,
                    0.00784313725490196,
                    0.00784313725490196,
                ],
                [
                    0.043137254901960784,
                    0.11372549019607843,
                    0.00784313725490196,
                    0.011764705882352941,
                ],
                [
                    0.047058823529411764,
                    0.12549019607843137,
                    0.00784313725490196,
                    0.011764705882352941,
                ],
                [
                    0.050980392156862744,
                    0.13333333333333333,
                    0.011764705882352941,
                    0.011764705882352941,
                ],
                [
                    0.054901960784313725,
                    0.1450980392156863,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.058823529411764705,
                    0.1568627450980392,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.06274509803921569,
                    0.16470588235294117,
                    0.011764705882352941,
                    0.01568627450980392,
                ],
                [
                    0.06666666666666667,
                    0.17647058823529413,
                    0.011764705882352941,
                    0.0196078431372549,
                ],
                [
                    0.07058823529411765,
                    0.18823529411764706,
                    0.01568627450980392,
                    0.0196078431372549,
                ],
                [0.07450980392156863, 0.2, 0.01568627450980392, 0.0196078431372549],
                [
                    0.0784313725490196,
                    0.20784313725490197,
                    0.01568627450980392,
                    0.0196078431372549,
                ],
                [
                    0.08235294117647059,
                    0.2196078431372549,
                    0.01568627450980392,
                    0.023529411764705882,
                ],
                [
                    0.08627450980392157,
                    0.23137254901960785,
                    0.0196078431372549,
                    0.023529411764705882,
                ],
                [
                    0.09019607843137255,
                    0.23921568627450981,
                    0.0196078431372549,
                    0.023529411764705882,
                ],
                [
                    0.09411764705882353,
                    0.25098039215686274,
                    0.0196078431372549,
                    0.027450980392156862,
                ],
                [
                    0.09803921568627451,
                    0.2627450980392157,
                    0.0196078431372549,
                    0.027450980392156862,
                ],
                [
                    0.10196078431372549,
                    0.27058823529411763,
                    0.023529411764705882,
                    0.027450980392156862,
                ],
                [
                    0.10588235294117647,
                    0.2823529411764706,
                    0.023529411764705882,
                    0.027450980392156862,
                ],
                [
                    0.10980392156862745,
                    0.29411764705882354,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.11372549019607843,
                    0.30196078431372547,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.11764705882352941,
                    0.3137254901960784,
                    0.023529411764705882,
                    0.03137254901960784,
                ],
                [
                    0.12156862745098039,
                    0.3254901960784314,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.12549019607843137,
                    0.3333333333333333,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.12941176470588237,
                    0.34509803921568627,
                    0.027450980392156862,
                    0.03529411764705882,
                ],
                [
                    0.13333333333333333,
                    0.3568627450980392,
                    0.027450980392156862,
                    0.0392156862745098,
                ],
                [
                    0.13725490196078433,
                    0.36470588235294116,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [
                    0.1411764705882353,
                    0.3764705882352941,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [
                    0.1450980392156863,
                    0.38823529411764707,
                    0.03137254901960784,
                    0.0392156862745098,
                ],
                [0.14901960784313725, 0.4, 0.03137254901960784, 0.043137254901960784],
                [
                    0.15294117647058825,
                    0.40784313725490196,
                    0.03529411764705882,
                    0.043137254901960784,
                ],
                [
                    0.1568627450980392,
                    0.4196078431372549,
                    0.03529411764705882,
                    0.043137254901960784,
                ],
                [
                    0.1607843137254902,
                    0.43137254901960786,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.16470588235294117,
                    0.4392156862745098,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.16862745098039217,
                    0.45098039215686275,
                    0.03529411764705882,
                    0.047058823529411764,
                ],
                [
                    0.17254901960784313,
                    0.4627450980392157,
                    0.0392156862745098,
                    0.047058823529411764,
                ],
                [
                    0.17647058823529413,
                    0.47058823529411764,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.1803921568627451,
                    0.4823529411764706,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.1843137254901961,
                    0.49411764705882355,
                    0.0392156862745098,
                    0.050980392156862744,
                ],
                [
                    0.18823529411764706,
                    0.5019607843137255,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [
                    0.19215686274509805,
                    0.5137254901960784,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [
                    0.19607843137254902,
                    0.5254901960784314,
                    0.043137254901960784,
                    0.054901960784313725,
                ],
                [0.2, 0.5333333333333333, 0.043137254901960784, 0.058823529411764705],
                [
                    0.20392156862745098,
                    0.5450980392156862,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.20784313725490197,
                    0.5568627450980392,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.21176470588235294,
                    0.5647058823529412,
                    0.047058823529411764,
                    0.058823529411764705,
                ],
                [
                    0.21568627450980393,
                    0.5764705882352941,
                    0.047058823529411764,
                    0.06274509803921569,
                ],
                [
                    0.2196078431372549,
                    0.5882352941176471,
                    0.047058823529411764,
                    0.06274509803921569,
                ],
                [0.2235294117647059, 0.6, 0.050980392156862744, 0.06274509803921569],
                [
                    0.22745098039215686,
                    0.6078431372549019,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23137254901960785,
                    0.6196078431372549,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23529411764705882,
                    0.6313725490196078,
                    0.050980392156862744,
                    0.06666666666666667,
                ],
                [
                    0.23921568627450981,
                    0.6392156862745098,
                    0.054901960784313725,
                    0.06666666666666667,
                ],
                [
                    0.24313725490196078,
                    0.6509803921568628,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.24705882352941178,
                    0.6627450980392157,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.25098039215686274,
                    0.6705882352941176,
                    0.054901960784313725,
                    0.07058823529411765,
                ],
                [
                    0.2549019607843137,
                    0.6823529411764706,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.25882352941176473,
                    0.6941176470588235,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.2627450980392157,
                    0.7019607843137254,
                    0.058823529411764705,
                    0.07450980392156863,
                ],
                [
                    0.26666666666666666,
                    0.7137254901960784,
                    0.058823529411764705,
                    0.0784313725490196,
                ],
                [
                    0.27058823529411763,
                    0.7254901960784313,
                    0.058823529411764705,
                    0.0784313725490196,
                ],
                [
                    0.27450980392156865,
                    0.7333333333333333,
                    0.06274509803921569,
                    0.0784313725490196,
                ],
                [
                    0.2784313725490196,
                    0.7450980392156863,
                    0.06274509803921569,
                    0.0784313725490196,
                ],
                [
                    0.2823529411764706,
                    0.7568627450980392,
                    0.06274509803921569,
                    0.08235294117647059,
                ],
                [
                    0.28627450980392155,
                    0.7647058823529411,
                    0.06274509803921569,
                    0.08235294117647059,
                ],
                [
                    0.2901960784313726,
                    0.7764705882352941,
                    0.06666666666666667,
                    0.08235294117647059,
                ],
                [
                    0.29411764705882354,
                    0.788235294117647,
                    0.06666666666666667,
                    0.08627450980392157,
                ],
                [0.2980392156862745, 0.8, 0.06666666666666667, 0.08627450980392157],
                [
                    0.30196078431372547,
                    0.807843137254902,
                    0.06666666666666667,
                    0.08627450980392157,
                ],
                [
                    0.3058823529411765,
                    0.8196078431372549,
                    0.07058823529411765,
                    0.08627450980392157,
                ],
                [
                    0.30980392156862746,
                    0.8313725490196079,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3137254901960784,
                    0.8392156862745098,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3176470588235294,
                    0.8509803921568627,
                    0.07058823529411765,
                    0.09019607843137255,
                ],
                [
                    0.3215686274509804,
                    0.8627450980392157,
                    0.07058823529411765,
                    0.09411764705882353,
                ],
                [
                    0.3254901960784314,
                    0.8705882352941177,
                    0.07450980392156863,
                    0.09411764705882353,
                ],
                [
                    0.32941176470588235,
                    0.8823529411764706,
                    0.07450980392156863,
                    0.09411764705882353,
                ],
                [
                    0.3333333333333333,
                    0.8941176470588236,
                    0.07450980392156863,
                    0.09803921568627451,
                ],
                [
                    0.33725490196078434,
                    0.9019607843137255,
                    0.07450980392156863,
                    0.09803921568627451,
                ],
                [
                    0.3411764705882353,
                    0.9137254901960784,
                    0.0784313725490196,
                    0.09803921568627451,
                ],
                [
                    0.34509803921568627,
                    0.9254901960784314,
                    0.0784313725490196,
                    0.09803921568627451,
                ],
                [
                    0.34901960784313724,
                    0.9333333333333333,
                    0.0784313725490196,
                    0.10196078431372549,
                ],
                [
                    0.35294117647058826,
                    0.9450980392156862,
                    0.0784313725490196,
                    0.10196078431372549,
                ],
                [
                    0.3568627450980392,
                    0.9568627450980393,
                    0.08235294117647059,
                    0.10196078431372549,
                ],
                [
                    0.3607843137254902,
                    0.9647058823529412,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [
                    0.36470588235294116,
                    0.9764705882352941,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [
                    0.3686274509803922,
                    0.9882352941176471,
                    0.08235294117647059,
                    0.10588235294117647,
                ],
                [0.37254901960784315, 1, 0.08235294117647059, 0.10588235294117647],
                [0.3764705882352941, 1, 0.09411764705882353, 0.10588235294117647],
                [0.3803921568627451, 1, 0.10588235294117647, 0.10588235294117647],
                [0.3843137254901961, 1, 0.11764705882352941, 0.10196078431372549],
                [0.38823529411764707, 1, 0.12941176470588237, 0.10196078431372549],
                [0.39215686274509803, 1, 0.1411764705882353, 0.10196078431372549],
                [0.396078431372549, 1, 0.15294117647058825, 0.09803921568627451],
                [0.4, 1, 0.16470588235294117, 0.09803921568627451],
                [0.403921568627451, 1, 0.17647058823529413, 0.09803921568627451],
                [0.40784313725490196, 1, 0.18823529411764706, 0.09411764705882353],
                [0.4117647058823529, 1, 0.2, 0.09411764705882353],
                [0.41568627450980394, 1, 0.21176470588235294, 0.09411764705882353],
                [0.4196078431372549, 1, 0.2235294117647059, 0.09019607843137255],
                [0.4235294117647059, 1, 0.23529411764705882, 0.09019607843137255],
                [0.42745098039215684, 1, 0.24705882352941178, 0.08627450980392157],
                [0.43137254901960786, 1, 0.25882352941176473, 0.08627450980392157],
                [0.43529411764705883, 1, 0.27058823529411763, 0.08627450980392157],
                [0.4392156862745098, 1, 0.2823529411764706, 0.08235294117647059],
                [0.44313725490196076, 1, 0.29411764705882354, 0.08235294117647059],
                [0.4470588235294118, 1, 0.3058823529411765, 0.08235294117647059],
                [0.45098039215686275, 1, 0.3176470588235294, 0.0784313725490196],
                [0.4549019607843137, 1, 0.32941176470588235, 0.0784313725490196],
                [0.4588235294117647, 1, 0.3411764705882353, 0.0784313725490196],
                [0.4627450980392157, 1, 0.35294117647058826, 0.07450980392156863],
                [0.4666666666666667, 1, 0.36470588235294116, 0.07450980392156863],
                [0.47058823529411764, 1, 0.3764705882352941, 0.07450980392156863],
                [0.4745098039215686, 1, 0.38823529411764707, 0.07058823529411765],
                [0.47843137254901963, 1, 0.4, 0.07058823529411765],
                [0.4823529411764706, 1, 0.4117647058823529, 0.07058823529411765],
                [0.48627450980392156, 1, 0.4235294117647059, 0.06666666666666667],
                [0.49019607843137253, 1, 0.43529411764705883, 0.06666666666666667],
                [0.49411764705882355, 1, 0.4470588235294118, 0.06274509803921569],
                [0.4980392156862745, 1, 0.4588235294117647, 0.06274509803921569],
                [0.5019607843137255, 1, 0.47058823529411764, 0.06274509803921569],
                [0.5058823529411764, 1, 0.4823529411764706, 0.058823529411764705],
                [0.5098039215686274, 1, 0.49411764705882355, 0.058823529411764705],
                [0.5137254901960784, 1, 0.5058823529411764, 0.058823529411764705],
                [0.5176470588235295, 1, 0.5137254901960784, 0.054901960784313725],
                [0.5215686274509804, 1, 0.5254901960784314, 0.054901960784313725],
                [0.5254901960784314, 1, 0.5372549019607843, 0.054901960784313725],
                [0.5294117647058824, 1, 0.5490196078431373, 0.050980392156862744],
                [0.5333333333333333, 1, 0.5607843137254902, 0.050980392156862744],
                [0.5372549019607843, 1, 0.5725490196078431, 0.050980392156862744],
                [0.5411764705882353, 1, 0.5843137254901961, 0.047058823529411764],
                [0.5450980392156862, 1, 0.596078431372549, 0.047058823529411764],
                [0.5490196078431373, 1, 0.6078431372549019, 0.043137254901960784],
                [0.5529411764705883, 1, 0.6196078431372549, 0.043137254901960784],
                [0.5568627450980392, 1, 0.6313725490196078, 0.043137254901960784],
                [0.5607843137254902, 1, 0.6431372549019608, 0.0392156862745098],
                [0.5647058823529412, 1, 0.6549019607843137, 0.0392156862745098],
                [0.5686274509803921, 1, 0.6666666666666666, 0.0392156862745098],
                [0.5725490196078431, 1, 0.6784313725490196, 0.03529411764705882],
                [0.5764705882352941, 1, 0.6901960784313725, 0.03529411764705882],
                [0.5803921568627451, 1, 0.6941176470588235, 0.0392156862745098],
                [0.5843137254901961, 1, 0.7019607843137254, 0.0392156862745098],
                [0.5882352941176471, 1, 0.7058823529411765, 0.043137254901960784],
                [0.592156862745098, 1, 0.7098039215686275, 0.043137254901960784],
                [0.596078431372549, 1, 0.7137254901960784, 0.047058823529411764],
                [0.6, 1, 0.7176470588235294, 0.047058823529411764],
                [0.6039215686274509, 1, 0.7254901960784313, 0.050980392156862744],
                [0.6078431372549019, 1, 0.7294117647058823, 0.050980392156862744],
                [0.611764705882353, 1, 0.7333333333333333, 0.054901960784313725],
                [0.615686274509804, 1, 0.7372549019607844, 0.058823529411764705],
                [0.6196078431372549, 1, 0.7411764705882353, 0.058823529411764705],
                [0.6235294117647059, 1, 0.7490196078431373, 0.06274509803921569],
                [0.6274509803921569, 1, 0.7529411764705882, 0.06274509803921569],
                [0.6313725490196078, 1, 0.7568627450980392, 0.06666666666666667],
                [0.6352941176470588, 1, 0.7607843137254902, 0.06666666666666667],
                [0.6392156862745098, 1, 0.7647058823529411, 0.07058823529411765],
                [0.6431372549019608, 1, 0.7725490196078432, 0.07058823529411765],
                [0.6470588235294118, 1, 0.7764705882352941, 0.07450980392156863],
                [0.6509803921568628, 1, 0.7803921568627451, 0.07450980392156863],
                [0.6549019607843137, 1, 0.7843137254901961, 0.0784313725490196],
                [0.6588235294117647, 1, 0.788235294117647, 0.08235294117647059],
                [0.6627450980392157, 1, 0.796078431372549, 0.08235294117647059],
                [0.6666666666666666, 1, 0.8, 0.08627450980392157],
                [0.6705882352941176, 1, 0.803921568627451, 0.08627450980392157],
                [0.6745098039215687, 1, 0.807843137254902, 0.09019607843137255],
                [0.6784313725490196, 1, 0.8117647058823529, 0.09019607843137255],
                [0.6823529411764706, 1, 0.8196078431372549, 0.09411764705882353],
                [0.6862745098039216, 1, 0.8235294117647058, 0.09411764705882353],
                [0.6901960784313725, 1, 0.8274509803921568, 0.09803921568627451],
                [0.6941176470588235, 1, 0.8313725490196079, 0.10196078431372549],
                [0.6980392156862745, 1, 0.8352941176470589, 0.10196078431372549],
                [0.7019607843137254, 1, 0.8431372549019608, 0.10588235294117647],
                [0.7058823529411765, 1, 0.8470588235294118, 0.10588235294117647],
                [0.7098039215686275, 1, 0.8509803921568627, 0.10980392156862745],
                [0.7137254901960784, 1, 0.8549019607843137, 0.10980392156862745],
                [0.7176470588235294, 1, 0.8627450980392157, 0.11372549019607843],
                [0.7215686274509804, 1, 0.8666666666666667, 0.11372549019607843],
                [0.7254901960784313, 1, 0.8705882352941177, 0.11764705882352941],
                [0.7294117647058823, 1, 0.8745098039215686, 0.12156862745098039],
                [0.7333333333333333, 1, 0.8784313725490196, 0.12156862745098039],
                [0.7372549019607844, 1, 0.8862745098039215, 0.12549019607843137],
                [0.7411764705882353, 1, 0.8901960784313725, 0.12549019607843137],
                [0.7450980392156863, 1, 0.8941176470588236, 0.12941176470588237],
                [0.7490196078431373, 1, 0.8980392156862745, 0.12941176470588237],
                [0.7529411764705882, 1, 0.9019607843137255, 0.13333333333333333],
                [0.7568627450980392, 1, 0.9098039215686274, 0.13333333333333333],
                [0.7607843137254902, 1, 0.9137254901960784, 0.13725490196078433],
                [0.7647058823529411, 1, 0.9176470588235294, 0.1411764705882353],
                [0.7686274509803922, 1, 0.9215686274509803, 0.1411764705882353],
                [0.7725490196078432, 1, 0.9254901960784314, 0.1450980392156863],
                [0.7764705882352941, 1, 0.9333333333333333, 0.1450980392156863],
                [0.7803921568627451, 1, 0.9372549019607843, 0.14901960784313725],
                [0.7843137254901961, 1, 0.9411764705882353, 0.14901960784313725],
                [0.788235294117647, 1, 0.9450980392156862, 0.15294117647058825],
                [0.792156862745098, 1, 0.9450980392156862, 0.16862745098039217],
                [0.796078431372549, 1, 0.9490196078431372, 0.1843137254901961],
                [0.8, 1, 0.9490196078431372, 0.2],
                [0.803921568627451, 1, 0.9490196078431372, 0.21568627450980393],
                [0.807843137254902, 1, 0.9490196078431372, 0.22745098039215686],
                [0.8117647058823529, 1, 0.9529411764705882, 0.24313725490196078],
                [0.8156862745098039, 1, 0.9529411764705882, 0.25882352941176473],
                [0.8196078431372549, 1, 0.9529411764705882, 0.27450980392156865],
                [0.8235294117647058, 1, 0.9529411764705882, 0.2901960784313726],
                [0.8274509803921568, 1, 0.9568627450980393, 0.3058823529411765],
                [0.8313725490196079, 1, 0.9568627450980393, 0.3215686274509804],
                [0.8352941176470589, 1, 0.9568627450980393, 0.33725490196078434],
                [0.8392156862745098, 1, 0.9568627450980393, 0.35294117647058826],
                [0.8431372549019608, 1, 0.9607843137254902, 0.3686274509803922],
                [0.8470588235294118, 1, 0.9607843137254902, 0.3843137254901961],
                [0.8509803921568627, 1, 0.9607843137254902, 0.4],
                [0.8549019607843137, 1, 0.9607843137254902, 0.4117647058823529],
                [0.8588235294117647, 1, 0.9647058823529412, 0.42745098039215684],
                [0.8627450980392157, 1, 0.9647058823529412, 0.44313725490196076],
                [0.8666666666666667, 1, 0.9647058823529412, 0.4588235294117647],
                [0.8705882352941177, 1, 0.9647058823529412, 0.4745098039215686],
                [0.8745098039215686, 1, 0.9686274509803922, 0.49019607843137253],
                [0.8784313725490196, 1, 0.9686274509803922, 0.5058823529411764],
                [0.8823529411764706, 1, 0.9686274509803922, 0.5215686274509804],
                [0.8862745098039215, 1, 0.9686274509803922, 0.5372549019607843],
                [0.8901960784313725, 1, 0.9725490196078431, 0.5529411764705883],
                [0.8941176470588236, 1, 0.9725490196078431, 0.5686274509803921],
                [0.8980392156862745, 1, 0.9725490196078431, 0.5843137254901961],
                [0.9019607843137255, 1, 0.9725490196078431, 0.6],
                [0.9058823529411765, 1, 0.9725490196078431, 0.611764705882353],
                [0.9098039215686274, 1, 0.9764705882352941, 0.6274509803921569],
                [0.9137254901960784, 1, 0.9764705882352941, 0.6431372549019608],
                [0.9176470588235294, 1, 0.9764705882352941, 0.6588235294117647],
                [0.9215686274509803, 1, 0.9764705882352941, 0.6745098039215687],
                [0.9254901960784314, 1, 0.9803921568627451, 0.6901960784313725],
                [0.9294117647058824, 1, 0.9803921568627451, 0.7058823529411765],
                [0.9333333333333333, 1, 0.9803921568627451, 0.7215686274509804],
                [0.9372549019607843, 1, 0.9803921568627451, 0.7372549019607844],
                [0.9411764705882353, 1, 0.984313725490196, 0.7529411764705882],
                [0.9450980392156862, 1, 0.984313725490196, 0.7686274509803922],
                [0.9490196078431372, 1, 0.984313725490196, 0.7843137254901961],
                [0.9529411764705882, 1, 0.984313725490196, 0.8],
                [0.9568627450980393, 1, 0.9882352941176471, 0.8117647058823529],
                [0.9607843137254902, 1, 0.9882352941176471, 0.8274509803921568],
                [0.9647058823529412, 1, 0.9882352941176471, 0.8431372549019608],
                [0.9686274509803922, 1, 0.9882352941176471, 0.8588235294117647],
                [0.9725490196078431, 1, 0.9921568627450981, 0.8745098039215686],
                [0.9764705882352941, 1, 0.9921568627450981, 0.8901960784313725],
                [0.9803921568627451, 1, 0.9921568627450981, 0.9058823529411765],
                [0.984313725490196, 1, 0.9921568627450981, 0.9215686274509803],
                [0.9882352941176471, 1, 0.996078431372549, 0.9372549019607843],
                [0.9921568627450981, 1, 0.996078431372549, 0.9529411764705882],
                [0.996078431372549, 1, 0.996078431372549, 0.9686274509803922],
                [1, 1, 0.996078431372549, 0.984313725490196],
            ],
        };
    };
    /**
     * @return {?}
     */
    HelperLut.presetLutsO = /**
     * @return {?}
     */
    function () {
        return {
            linear: [[0, 0], [1, 1]],
            lowpass: [[0, 0.8], [0.2, 0.6], [0.3, 0.1], [1, 0]],
            bandpass: [[0, 0], [0.4, 0.8], [0.6, 0.8], [1, 0]],
            highpass: [[0, 0], [0.7, 0.1], [0.8, 0.6], [1, 0.8]],
            flat: [[0, 0.7], [1, 1]],
            random: [[0, 0], [0.38, 0], [0.55, 1], [0.72, 1], [1, 0.05]],
            linear_full: [
                [0, 0],
                [0.00392156862745098, 0.00392156862745098],
                [0.00784313725490196, 0.00784313725490196],
                [0.011764705882352941, 0.011764705882352941],
                [0.01568627450980392, 0.01568627450980392],
                [0.0196078431372549, 0.0196078431372549],
                [0.023529411764705882, 0.023529411764705882],
                [0.027450980392156862, 0.027450980392156862],
                [0.03137254901960784, 0.03137254901960784],
                [0.03529411764705882, 0.03529411764705882],
                [0.0392156862745098, 0.0392156862745098],
                [0.043137254901960784, 0.043137254901960784],
                [0.047058823529411764, 0.047058823529411764],
                [0.050980392156862744, 0.050980392156862744],
                [0.054901960784313725, 0.054901960784313725],
                [0.058823529411764705, 0.058823529411764705],
                [0.06274509803921569, 0.06274509803921569],
                [0.06666666666666667, 0.06666666666666667],
                [0.07058823529411765, 0.07058823529411765],
                [0.07450980392156863, 0.07450980392156863],
                [0.0784313725490196, 0.0784313725490196],
                [0.08235294117647059, 0.08235294117647059],
                [0.08627450980392157, 0.08627450980392157],
                [0.09019607843137255, 0.09019607843137255],
                [0.09411764705882353, 0.09411764705882353],
                [0.09803921568627451, 0.09803921568627451],
                [0.10196078431372549, 0.10196078431372549],
                [0.10588235294117647, 0.10588235294117647],
                [0.10980392156862745, 0.10980392156862745],
                [0.11372549019607843, 0.11372549019607843],
                [0.11764705882352941, 0.11764705882352941],
                [0.12156862745098039, 0.12156862745098039],
                [0.12549019607843137, 0.12549019607843137],
                [0.12941176470588237, 0.12941176470588237],
                [0.13333333333333333, 0.13333333333333333],
                [0.13725490196078433, 0.13725490196078433],
                [0.1411764705882353, 0.1411764705882353],
                [0.1450980392156863, 0.1450980392156863],
                [0.14901960784313725, 0.14901960784313725],
                [0.15294117647058825, 0.15294117647058825],
                [0.1568627450980392, 0.1568627450980392],
                [0.1607843137254902, 0.1607843137254902],
                [0.16470588235294117, 0.16470588235294117],
                [0.16862745098039217, 0.16862745098039217],
                [0.17254901960784313, 0.17254901960784313],
                [0.17647058823529413, 0.17647058823529413],
                [0.1803921568627451, 0.1803921568627451],
                [0.1843137254901961, 0.1843137254901961],
                [0.18823529411764706, 0.18823529411764706],
                [0.19215686274509805, 0.19215686274509805],
                [0.19607843137254902, 0.19607843137254902],
                [0.2, 0.2],
                [0.20392156862745098, 0.20392156862745098],
                [0.20784313725490197, 0.20784313725490197],
                [0.21176470588235294, 0.21176470588235294],
                [0.21568627450980393, 0.21568627450980393],
                [0.2196078431372549, 0.2196078431372549],
                [0.2235294117647059, 0.2235294117647059],
                [0.22745098039215686, 0.22745098039215686],
                [0.23137254901960785, 0.23137254901960785],
                [0.23529411764705882, 0.23529411764705882],
                [0.23921568627450981, 0.23921568627450981],
                [0.24313725490196078, 0.24313725490196078],
                [0.24705882352941178, 0.24705882352941178],
                [0.25098039215686274, 0.25098039215686274],
                [0.2549019607843137, 0.2549019607843137],
                [0.25882352941176473, 0.25882352941176473],
                [0.2627450980392157, 0.2627450980392157],
                [0.26666666666666666, 0.26666666666666666],
                [0.27058823529411763, 0.27058823529411763],
                [0.27450980392156865, 0.27450980392156865],
                [0.2784313725490196, 0.2784313725490196],
                [0.2823529411764706, 0.2823529411764706],
                [0.28627450980392155, 0.28627450980392155],
                [0.2901960784313726, 0.2901960784313726],
                [0.29411764705882354, 0.29411764705882354],
                [0.2980392156862745, 0.2980392156862745],
                [0.30196078431372547, 0.30196078431372547],
                [0.3058823529411765, 0.3058823529411765],
                [0.30980392156862746, 0.30980392156862746],
                [0.3137254901960784, 0.3137254901960784],
                [0.3176470588235294, 0.3176470588235294],
                [0.3215686274509804, 0.3215686274509804],
                [0.3254901960784314, 0.3254901960784314],
                [0.32941176470588235, 0.32941176470588235],
                [0.3333333333333333, 0.3333333333333333],
                [0.33725490196078434, 0.33725490196078434],
                [0.3411764705882353, 0.3411764705882353],
                [0.34509803921568627, 0.34509803921568627],
                [0.34901960784313724, 0.34901960784313724],
                [0.35294117647058826, 0.35294117647058826],
                [0.3568627450980392, 0.3568627450980392],
                [0.3607843137254902, 0.3607843137254902],
                [0.36470588235294116, 0.36470588235294116],
                [0.3686274509803922, 0.3686274509803922],
                [0.37254901960784315, 0.37254901960784315],
                [0.3764705882352941, 0.3764705882352941],
                [0.3803921568627451, 0.3803921568627451],
                [0.3843137254901961, 0.3843137254901961],
                [0.38823529411764707, 0.38823529411764707],
                [0.39215686274509803, 0.39215686274509803],
                [0.396078431372549, 0.396078431372549],
                [0.4, 0.4],
                [0.403921568627451, 0.403921568627451],
                [0.40784313725490196, 0.40784313725490196],
                [0.4117647058823529, 0.4117647058823529],
                [0.41568627450980394, 0.41568627450980394],
                [0.4196078431372549, 0.4196078431372549],
                [0.4235294117647059, 0.4235294117647059],
                [0.42745098039215684, 0.42745098039215684],
                [0.43137254901960786, 0.43137254901960786],
                [0.43529411764705883, 0.43529411764705883],
                [0.4392156862745098, 0.4392156862745098],
                [0.44313725490196076, 0.44313725490196076],
                [0.4470588235294118, 0.4470588235294118],
                [0.45098039215686275, 0.45098039215686275],
                [0.4549019607843137, 0.4549019607843137],
                [0.4588235294117647, 0.4588235294117647],
                [0.4627450980392157, 0.4627450980392157],
                [0.4666666666666667, 0.4666666666666667],
                [0.47058823529411764, 0.47058823529411764],
                [0.4745098039215686, 0.4745098039215686],
                [0.47843137254901963, 0.47843137254901963],
                [0.4823529411764706, 0.4823529411764706],
                [0.48627450980392156, 0.48627450980392156],
                [0.49019607843137253, 0.49019607843137253],
                [0.49411764705882355, 0.49411764705882355],
                [0.4980392156862745, 0.4980392156862745],
                [0.5019607843137255, 0.5019607843137255],
                [0.5058823529411764, 0.5058823529411764],
                [0.5098039215686274, 0.5098039215686274],
                [0.5137254901960784, 0.5137254901960784],
                [0.5176470588235295, 0.5176470588235295],
                [0.5215686274509804, 0.5215686274509804],
                [0.5254901960784314, 0.5254901960784314],
                [0.5294117647058824, 0.5294117647058824],
                [0.5333333333333333, 0.5333333333333333],
                [0.5372549019607843, 0.5372549019607843],
                [0.5411764705882353, 0.5411764705882353],
                [0.5450980392156862, 0.5450980392156862],
                [0.5490196078431373, 0.5490196078431373],
                [0.5529411764705883, 0.5529411764705883],
                [0.5568627450980392, 0.5568627450980392],
                [0.5607843137254902, 0.5607843137254902],
                [0.5647058823529412, 0.5647058823529412],
                [0.5686274509803921, 0.5686274509803921],
                [0.5725490196078431, 0.5725490196078431],
                [0.5764705882352941, 0.5764705882352941],
                [0.5803921568627451, 0.5803921568627451],
                [0.5843137254901961, 0.5843137254901961],
                [0.5882352941176471, 0.5882352941176471],
                [0.592156862745098, 0.592156862745098],
                [0.596078431372549, 0.596078431372549],
                [0.6, 0.6],
                [0.6039215686274509, 0.6039215686274509],
                [0.6078431372549019, 0.6078431372549019],
                [0.611764705882353, 0.611764705882353],
                [0.615686274509804, 0.615686274509804],
                [0.6196078431372549, 0.6196078431372549],
                [0.6235294117647059, 0.6235294117647059],
                [0.6274509803921569, 0.6274509803921569],
                [0.6313725490196078, 0.6313725490196078],
                [0.6352941176470588, 0.6352941176470588],
                [0.6392156862745098, 0.6392156862745098],
                [0.6431372549019608, 0.6431372549019608],
                [0.6470588235294118, 0.6470588235294118],
                [0.6509803921568628, 0.6509803921568628],
                [0.6549019607843137, 0.6549019607843137],
                [0.6588235294117647, 0.6588235294117647],
                [0.6627450980392157, 0.6627450980392157],
                [0.6666666666666666, 0.6666666666666666],
                [0.6705882352941176, 0.6705882352941176],
                [0.6745098039215687, 0.6745098039215687],
                [0.6784313725490196, 0.6784313725490196],
                [0.6823529411764706, 0.6823529411764706],
                [0.6862745098039216, 0.6862745098039216],
                [0.6901960784313725, 0.6901960784313725],
                [0.6941176470588235, 0.6941176470588235],
                [0.6980392156862745, 0.6980392156862745],
                [0.7019607843137254, 0.7019607843137254],
                [0.7058823529411765, 0.7058823529411765],
                [0.7098039215686275, 0.7098039215686275],
                [0.7137254901960784, 0.7137254901960784],
                [0.7176470588235294, 0.7176470588235294],
                [0.7215686274509804, 0.7215686274509804],
                [0.7254901960784313, 0.7254901960784313],
                [0.7294117647058823, 0.7294117647058823],
                [0.7333333333333333, 0.7333333333333333],
                [0.7372549019607844, 0.7372549019607844],
                [0.7411764705882353, 0.7411764705882353],
                [0.7450980392156863, 0.7450980392156863],
                [0.7490196078431373, 0.7490196078431373],
                [0.7529411764705882, 0.7529411764705882],
                [0.7568627450980392, 0.7568627450980392],
                [0.7607843137254902, 0.7607843137254902],
                [0.7647058823529411, 0.7647058823529411],
                [0.7686274509803922, 0.7686274509803922],
                [0.7725490196078432, 0.7725490196078432],
                [0.7764705882352941, 0.7764705882352941],
                [0.7803921568627451, 0.7803921568627451],
                [0.7843137254901961, 0.7843137254901961],
                [0.788235294117647, 0.788235294117647],
                [0.792156862745098, 0.792156862745098],
                [0.796078431372549, 0.796078431372549],
                [0.8, 0.8],
                [0.803921568627451, 0.803921568627451],
                [0.807843137254902, 0.807843137254902],
                [0.8117647058823529, 0.8117647058823529],
                [0.8156862745098039, 0.8156862745098039],
                [0.8196078431372549, 0.8196078431372549],
                [0.8235294117647058, 0.8235294117647058],
                [0.8274509803921568, 0.8274509803921568],
                [0.8313725490196079, 0.8313725490196079],
                [0.8352941176470589, 0.8352941176470589],
                [0.8392156862745098, 0.8392156862745098],
                [0.8431372549019608, 0.8431372549019608],
                [0.8470588235294118, 0.8470588235294118],
                [0.8509803921568627, 0.8509803921568627],
                [0.8549019607843137, 0.8549019607843137],
                [0.8588235294117647, 0.8588235294117647],
                [0.8627450980392157, 0.8627450980392157],
                [0.8666666666666667, 0.8666666666666667],
                [0.8705882352941177, 0.8705882352941177],
                [0.8745098039215686, 0.8745098039215686],
                [0.8784313725490196, 0.8784313725490196],
                [0.8823529411764706, 0.8823529411764706],
                [0.8862745098039215, 0.8862745098039215],
                [0.8901960784313725, 0.8901960784313725],
                [0.8941176470588236, 0.8941176470588236],
                [0.8980392156862745, 0.8980392156862745],
                [0.9019607843137255, 0.9019607843137255],
                [0.9058823529411765, 0.9058823529411765],
                [0.9098039215686274, 0.9098039215686274],
                [0.9137254901960784, 0.9137254901960784],
                [0.9176470588235294, 0.9176470588235294],
                [0.9215686274509803, 0.9215686274509803],
                [0.9254901960784314, 0.9254901960784314],
                [0.9294117647058824, 0.9294117647058824],
                [0.9333333333333333, 0.9333333333333333],
                [0.9372549019607843, 0.9372549019607843],
                [0.9411764705882353, 0.9411764705882353],
                [0.9450980392156862, 0.9450980392156862],
                [0.9490196078431372, 0.9490196078431372],
                [0.9529411764705882, 0.9529411764705882],
                [0.9568627450980393, 0.9568627450980393],
                [0.9607843137254902, 0.9607843137254902],
                [0.9647058823529412, 0.9647058823529412],
                [0.9686274509803922, 0.9686274509803922],
                [0.9725490196078431, 0.9725490196078431],
                [0.9764705882352941, 0.9764705882352941],
                [0.9803921568627451, 0.9803921568627451],
                [0.984313725490196, 0.984313725490196],
                [0.9882352941176471, 0.9882352941176471],
                [0.9921568627450981, 0.9921568627450981],
                [0.996078431372549, 0.996078431372549],
                [1, 1],
            ],
        };
    };
    return HelperLut;
}(Object3D));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @enum {string} */
var COLORS = {
    blue: '#00B0FF',
    yellow: '#FFEB3B',
    red: '#F50057',
    green: '#76FF03',
    white: '#FFF',
    lightRed: '#F77',
};
/**
 * Colors utility functions
 */
var /**
 * Colors utility functions
 */
Colors = /** @class */ (function () {
    function Colors() {
    }
    /**
     * Convert LAB to XYZ
     * http://www.easyrgb.com/index.php?X=MATH&H=08#text8
     *
     * @ param {*} l
     * @ param {*} a
     * @ param {*} b
     *
     * @ return {*}
     */
    /**
     * Convert LAB to XYZ
     * http://www.easyrgb.com/index.php?X=MATH&H=08#text8
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?} l
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    Colors.cielab2XYZ = /**
     * Convert LAB to XYZ
     * http://www.easyrgb.com/index.php?X=MATH&H=08#text8
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?} l
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    function (l, a, b) {
        // https://www.mathworks.com/help/images/ref/whitepoint.html
        // d65: 0.9504, 1, 1.0888
        /** @type {?} */
        var refX = 95.047;
        /** @type {?} */
        var refY = 100.0;
        /** @type {?} */
        var refZ = 108.883;
        /** @type {?} */
        var y = (l + 16) / 116;
        /** @type {?} */
        var x = a / 500 + y;
        /** @type {?} */
        var z = y - b / 200;
        if (Math.pow(y, 3) > 0.008856) {
            y = Math.pow(y, 3);
        }
        else {
            y = (y - 16 / 116) / 7.787;
        }
        if (Math.pow(x, 3) > 0.008856) {
            x = Math.pow(x, 3);
        }
        else {
            x = (x - 16 / 116) / 7.787;
        }
        if (Math.pow(z, 3) > 0.008856) {
            z = Math.pow(z, 3);
        }
        else {
            z = (z - 16 / 116) / 7.787;
        }
        return [refX * x, refY * y, refZ * z];
    };
    /**
     * Convert XYZ to RGB space
     *
     * @ param {*} x
     * @ param {*} y
     * @ param {*} z
     *
     * @ return {*}
     */
    /**
     * Convert XYZ to RGB space
     *
     * \@ param {*} x
     * \@ param {*} y
     * \@ param {*} z
     *
     * \@ return {*}
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    Colors.xyz2RGB = /**
     * Convert XYZ to RGB space
     *
     * \@ param {*} x
     * \@ param {*} y
     * \@ param {*} z
     *
     * \@ return {*}
     * @param {?} x
     * @param {?} y
     * @param {?} z
     * @return {?}
     */
    function (x, y, z) {
        x /= 100;
        y /= 100;
        z /= 100;
        /** @type {?} */
        var r = x * 3.2406 + y * -1.5372 + z * -0.4986;
        /** @type {?} */
        var g = x * -0.9689 + y * 1.8758 + z * 0.0415;
        /** @type {?} */
        var b = x * 0.0557 + y * -0.204 + z * 1.057;
        if (r > 0.0031308) {
            r = 1.055 * Math.pow(r, 1 / 2.4) - 0.055;
        }
        else {
            r = 12.92 * r;
        }
        if (g > 0.0031308) {
            g = 1.055 * Math.pow(g, 1 / 2.4) - 0.055;
        }
        else {
            g = 12.92 * g;
        }
        if (b > 0.0031308) {
            b = 1.055 * Math.pow(b, 1 / 2.4) - 0.055;
        }
        else {
            b = 12.92 * b;
        }
        r = r * 255;
        g = g * 255;
        b = b * 255;
        return [r, g, b];
    };
    /**
     * Convert LAB to RGB
     *
     * @ param {*} l
     * @ param {*} a
     * @ param {*} b
     *
     * @ return {*}
     */
    /**
     * Convert LAB to RGB
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?=} l
     * @param {?=} a
     * @param {?=} b
     * @return {?}
     */
    Colors.cielab2RGB = /**
     * Convert LAB to RGB
     *
     * \@ param {*} l
     * \@ param {*} a
     * \@ param {*} b
     *
     * \@ return {*}
     * @param {?=} l
     * @param {?=} a
     * @param {?=} b
     * @return {?}
     */
    function (l, a, b) {
        if (l === void 0) { l = 50; }
        if (a === void 0) { a = 0; }
        if (b === void 0) { b = 0; }
        if (!(l >= 0 && l <= 100)) {
            return null;
        }
        var _a = __read(this.cielab2XYZ(l, a, b), 3), x = _a[0], y = _a[1], z = _a[2];
        return this.xyz2RGB(x, y, z);
    };
    return Colors;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Base object.
 *
 * @ module models/base
 */
var ModelsBase = /** @class */ (function () {
    function ModelsBase() {
        this._id = -1;
    }
    /**
     * Merge 2 arrays of models.
     * Merge the target array into the reference array.
     *
     * @ param {Array.<Models>} referenceArray - Array to be merge against
     * @ param {Array.<Models>} targetArray - Array to be merged against reference.
     *
     * @ return {boolean} True if merge was sucessful. False if something went wrong.
     */
    /**
     * Merge 2 arrays of models.
     * Merge the target array into the reference array.
     *
     * \@ param {Array.<Models>} referenceArray - Array to be merge against
     * \@ param {Array.<Models>} targetArray - Array to be merged against reference.
     *
     * \@ return {boolean} True if merge was sucessful. False if something went wrong.
     * @param {?} referenceArray
     * @param {?} targetArray
     * @return {?}
     */
    ModelsBase.prototype.mergeModels = /**
     * Merge 2 arrays of models.
     * Merge the target array into the reference array.
     *
     * \@ param {Array.<Models>} referenceArray - Array to be merge against
     * \@ param {Array.<Models>} targetArray - Array to be merged against reference.
     *
     * \@ return {boolean} True if merge was sucessful. False if something went wrong.
     * @param {?} referenceArray
     * @param {?} targetArray
     * @return {?}
     */
    function (referenceArray, targetArray) {
        if (!(this._validateModelArray(referenceArray) && this._validateModelArray(targetArray))) {
            window.console.log('invalid inputs provided.');
            return false;
        }
        for (var i = 0, targetLength = targetArray.length; i < targetLength; i++) {
            // test targetArray against existing targetArray
            for (var j = 0, refLength = referenceArray.length; j < refLength; j++) {
                if (referenceArray[j].merge(targetArray[i])) {
                    // merged successfully
                    break;
                }
                else if (j === referenceArray.length - 1) {
                    // last merge was not successful
                    // this is a new targetArray
                    referenceArray.push(targetArray[i]);
                }
            }
        }
        return true;
    };
    /**
     * Merge model against current model.
     */
    /**
     * Merge model against current model.
     * @param {?} model
     * @return {?}
     */
    ModelsBase.prototype.merge = /**
     * Merge model against current model.
     * @param {?} model
     * @return {?}
     */
    function (model) {
        // make sure model is valid
        if (!this.validate(model)) {
            return false;
        }
        // they can be merged if they match
        if (this._id === model._id) {
            return true;
        }
        return false;
    };
    /**
     * Validate a model.
     *
     * @ return {boolean} True if model is valid. False if not.
     */
    /**
     * Validate a model.
     *
     * \@ return {boolean} True if model is valid. False if not.
     * @param {?} model
     * @return {?}
     */
    ModelsBase.prototype.validate = /**
     * Validate a model.
     *
     * \@ return {boolean} True if model is valid. False if not.
     * @param {?} model
     * @return {?}
     */
    function (model) {
        if (!(model && model !== null && typeof model.merge === 'function')) {
            return false;
        }
        return true;
    };
    /**
     * Validate array of models.
     *
     * @ param {Array.<Models>} modelArray - Array containing models.
     *
     * @ return {boolean} True if array is valid. False if not.
     */
    /**
     * Validate array of models.
     *
     * \@ param {Array.<Models>} modelArray - Array containing models.
     *
     * \@ return {boolean} True if array is valid. False if not.
     * @param {?} modelArray
     * @return {?}
     */
    ModelsBase.prototype._validateModelArray = /**
     * Validate array of models.
     *
     * \@ param {Array.<Models>} modelArray - Array containing models.
     *
     * \@ return {boolean} True if array is valid. False if not.
     * @param {?} modelArray
     * @return {?}
     */
    function (modelArray) {
        if (!(modelArray !== null && Array === modelArray.constructor)) {
            window.console.log('invalid model array provided.');
            return false;
        }
        for (var i = 0; i < modelArray.length; i++) {
            if (!(modelArray[i] &&
                modelArray[i] !== null &&
                typeof modelArray[i].validate === 'function' &&
                modelArray[i].validate(modelArray[i]))) {
                return false;
            }
        }
        return true;
    };
    return ModelsBase;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// const binaryString = require('math-float32-to-binary-string');
/**
 * Stack object.
 *
 * \@ module models/stack
 */
var 
// const binaryString = require('math-float32-to-binary-string');
/**
 * Stack object.
 *
 * \@ module models/stack
 */
ModelsStack = /** @class */ (function (_super) {
    __extends(ModelsStack, _super);
    function ModelsStack() {
        var _this = _super.call(this) || this;
        /**
         * Models Stack constructor
         */
        _this._uid = null;
        _this._stackID = -1;
        _this._frame = [];
        _this._numberOfFrames = 0;
        _this._rows = 0;
        _this._columns = 0;
        _this._numberOfChannels = 1;
        _this._bitsAllocated = 8;
        _this._pixelType = 0;
        _this._pixelRepresentation = 0;
        _this._textureSize = 4096;
        _this._textureUnits = 7;
        _this._textureType = 1023;
        _this._rawData = [];
        _this._windowCenter = 0;
        _this._windowWidth = 0;
        _this._rescaleSlope = 1;
        _this._rescaleIntercept = 0;
        _this._minMax = [Number.POSITIVE_INFINITY, Number.NEGATIVE_INFINITY];
        // TRANSFORMATION MATRICES
        _this._regMatrix = new Matrix4$1();
        _this._ijk2LPS = null;
        _this._lps2IJK = null;
        _this._aabb2LPS = null;
        _this._lps2AABB = null;
        //
        // IJK dimensions
        _this._dimensionsIJK = null;
        _this._halfDimensionsIJK = null;
        _this._spacing = new Vector3(1, 1, 1);
        _this._spacingBetweenSlices = 0;
        _this._sliceThickness = 0;
        _this._origin = null;
        _this._rightHanded = true;
        _this._xCosine = new Vector3(1, 0, 0);
        _this._yCosine = new Vector3(0, 1, 0);
        _this._zCosine = new Vector3(0, 0, 1);
        // convenience vars
        _this._prepared = false;
        _this._packed = false;
        _this._packedPerPixel = 1;
        //
        _this._modality = 'Modality not set';
        // SEGMENTATION STUFF
        _this._segmentationType = null;
        _this._segmentationSegments = [];
        _this._segmentationDefaultColor = [63, 174, 128];
        _this._frameSegment = [];
        _this._segmentationLUT = [];
        _this._segmentationLUTO = [];
        // photometricInterpretation Monochrome1 VS Monochrome2
        _this._invert = false;
        _this._uid = null;
        _this._stackID = -1;
        _this._frame = [];
        _this._numberOfFrames = 0;
        _this._rows = 0;
        _this._columns = 0;
        _this._numberOfChannels = 1;
        _this._bitsAllocated = 8;
        _this._pixelType = 0;
        _this._pixelRepresentation = 0;
        _this._textureSize = 4096;
        _this._textureUnits = 7;
        _this._rawData = [];
        _this._windowCenter = 0;
        _this._windowWidth = 0;
        _this._rescaleSlope = 1;
        _this._rescaleIntercept = 0;
        _this._minMax = [Number.POSITIVE_INFINITY, Number.NEGATIVE_INFINITY];
        // TRANSFORMATION MATRICES
        _this._regMatrix = new Matrix4$1();
        _this._ijk2LPS = null;
        _this._lps2IJK = null;
        _this._aabb2LPS = null;
        _this._lps2AABB = null;
        //
        // IJK dimensions
        _this._dimensionsIJK = null;
        _this._halfDimensionsIJK = null;
        _this._spacing = new Vector3(1, 1, 1);
        _this._spacingBetweenSlices = 0;
        _this._sliceThickness = 0;
        _this._origin = null;
        _this._rightHanded = true;
        _this._xCosine = new Vector3(1, 0, 0);
        _this._yCosine = new Vector3(0, 1, 0);
        _this._zCosine = new Vector3(0, 0, 1);
        // convenience vars
        _this._prepared = false;
        _this._packed = false;
        _this._packedPerPixel = 1;
        //
        _this._modality = 'Modality not set';
        // SEGMENTATION STUFF
        _this._segmentationType = null;
        _this._segmentationSegments = [];
        _this._segmentationDefaultColor = [63, 174, 128];
        _this._frameSegment = [];
        _this._segmentationLUT = [];
        _this._segmentationLUTO = [];
        // photometricInterpretation Monochrome1 VS Monochrome2
        _this._invert = false;
        return _this;
    }
    /**
     * Prepare segmentation stack.
     * A segmentation stack can hold x frames that are at the same location
     * but segmentation specific information:
     * - Frame X contains voxels for segmentation A.
     * - Frame Y contains voxels for segmenttation B.
     * - Frame X and Y are at the same location.
     *
     * We currently merge overlaping frames into 1.
     */
    /**
     * Prepare segmentation stack.
     * A segmentation stack can hold x frames that are at the same location
     * but segmentation specific information:
     * - Frame X contains voxels for segmentation A.
     * - Frame Y contains voxels for segmenttation B.
     * - Frame X and Y are at the same location.
     *
     * We currently merge overlaping frames into 1.
     * @return {?}
     */
    ModelsStack.prototype.prepareSegmentation = /**
     * Prepare segmentation stack.
     * A segmentation stack can hold x frames that are at the same location
     * but segmentation specific information:
     * - Frame X contains voxels for segmentation A.
     * - Frame Y contains voxels for segmenttation B.
     * - Frame X and Y are at the same location.
     *
     * We currently merge overlaping frames into 1.
     * @return {?}
     */
    function () {
        // store frame and do special pre-processing
        this._frameSegment = this._frame;
        /** @type {?} */
        var mergedFrames = [];
        // order frames
        this.computeCosines();
        this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
        this._frame.sort(this._sortDistanceArraySort);
        // merge frames
        /** @type {?} */
        var prevIndex = -1;
        for (var i = 0; i < this._frame.length; i++) {
            if (!mergedFrames[prevIndex] || mergedFrames[prevIndex]._dist != this._frame[i]._dist) {
                mergedFrames.push(this._frame[i]);
                prevIndex++;
                // Scale frame
                // by default each frame contains binary data about a segmentation.
                // we scale it by the referenceSegmentNumber in order to have a
                // segmentation specific voxel value rather than 0 or 1.
                // That allows us to merge frames later on.
                // If we merge frames without scaling, then we can not differenciate
                // voxels from segmentation A or B as the value is 0 or 1 in both cases.
                for (var k = 0; k < mergedFrames[prevIndex]._rows * mergedFrames[prevIndex]._columns; k++) {
                    mergedFrames[prevIndex]._pixelData[k] *= this._frame[i]._referencedSegmentNumber;
                }
            }
            else {
                // frame already exsits at this location.
                // merge data from this segmentation into existing frame
                for (var k = 0; k < mergedFrames[prevIndex]._rows * mergedFrames[prevIndex]._columns; k++) {
                    mergedFrames[prevIndex]._pixelData[k] +=
                        this._frame[i].pixelData[k] * this._frame[i]._referencedSegmentNumber;
                }
            }
            mergedFrames[prevIndex].minMax = CoreUtils.minMax(mergedFrames[prevIndex]._pixelData);
        }
        // get information about segments
        /** @type {?} */
        var dict = {};
        /** @type {?} */
        var max = 0;
        for (var i = 0; i < this._segmentationSegments.length; i++) {
            max = Math.max(max, parseInt(this._segmentationSegments[i].segmentNumber, 10));
            /** @type {?} */
            var color = this._segmentationSegments[i].recommendedDisplayCIELab;
            if (color === null) {
                dict[this._segmentationSegments[i].segmentNumber] = this._segmentationDefaultColor;
            }
            else {
                dict[this._segmentationSegments[i].segmentNumber] = Colors.cielab2RGB.apply(Colors, __spread(color));
            }
        }
        // generate LUTs
        for (var i = 0; i <= max; i++) {
            /** @type {?} */
            var index = i / max;
            /** @type {?} */
            var opacity = i ? 1 : 0;
            /** @type {?} */
            var rgb = [0, 0, 0];
            if (dict.hasOwnProperty(i.toString())) {
                rgb = dict[i.toString()];
            }
            rgb[0] /= 255;
            rgb[1] /= 255;
            rgb[2] /= 255;
            this._segmentationLUT.push(__spread([index], rgb));
            this._segmentationLUTO.push([index, opacity]);
        }
        this._frame = mergedFrames;
    };
    /**
     * Compute cosines
     * Order frames
     * computeSpacing
     * sanityCheck
     * init some vars
     * compute min/max
     * compute transformation matrices
     *
     * @ return {*}
     */
    /**
     * Compute cosines
     * Order frames
     * computeSpacing
     * sanityCheck
     * init some vars
     * compute min/max
     * compute transformation matrices
     *
     * \@ return {*}
     * @return {?}
     */
    ModelsStack.prototype.prepare = /**
     * Compute cosines
     * Order frames
     * computeSpacing
     * sanityCheck
     * init some vars
     * compute min/max
     * compute transformation matrices
     *
     * \@ return {*}
     * @return {?}
     */
    function () {
        // if segmentation, merge some frames...
        if (this._modality === 'SEG') {
            this.prepareSegmentation();
        }
        this.computeNumberOfFrames();
        // pass parameters from frame to stack
        this._rows = this._frame[0].rows;
        this._columns = this._frame[0].columns;
        this._dimensionsIJK = new Vector3(this._columns, this._rows, this._numberOfFrames);
        this._halfDimensionsIJK = new Vector3(this._dimensionsIJK.x / 2, this._dimensionsIJK.y / 2, this._dimensionsIJK.z / 2);
        this._spacingBetweenSlices = this._frame[0].spacingBetweenSlices;
        this._sliceThickness = this._frame[0].sliceThickness;
        // compute direction cosines
        this.computeCosines();
        // order the frames
        if (this._numberOfFrames > 1) {
            this.orderFrames();
        }
        // compute/guess spacing
        this.computeSpacing();
        // set extra vars if nulls
        // do it now because before we would think image position/orientation
        // are defined and we would use it to compute spacing.
        if (!this._frame[0].imagePosition) {
            this._frame[0].imagePosition = [0, 0, 0];
        }
        if (!this._frame[0].imageOrientation) {
            this._frame[0].imageOrientation = [1, 0, 0, 0, 1, 0];
        }
        this._origin = this._arrayToVector3(this._frame[0].imagePosition, 0);
        // compute transforms
        this.computeIJK2LPS();
        this.computeLPS2AABB();
        // this.packEchos();
        /** @type {?} */
        var middleFrameIndex = Math.floor(this._frame.length / 2);
        /** @type {?} */
        var middleFrame = this._frame[middleFrameIndex];
        this._rescaleSlope = middleFrame.rescaleSlope || 1;
        this._rescaleIntercept = middleFrame.rescaleIntercept || 0;
        // rescale/slope min max
        this.computeMinMaxIntensities();
        this._minMax[0] = CoreUtils.rescaleSlopeIntercept(this._minMax[0], this._rescaleSlope, this._rescaleIntercept);
        this._minMax[1] = CoreUtils.rescaleSlopeIntercept(this._minMax[1], this._rescaleSlope, this._rescaleIntercept);
        this._windowWidth = middleFrame.windowWidth || this._minMax[1] - this._minMax[0];
        this._windowCenter = middleFrame.windowCenter || this._minMax[0] + this._windowWidth / 2;
        this._bitsAllocated = middleFrame.bitsAllocated;
        this._prepared = true;
    };
    /**
     * @return {?}
     */
    ModelsStack.prototype.packEchos = /**
     * @return {?}
     */
    function () {
        // 4 echo times...
        /** @type {?} */
        var echos = 4;
        /** @type {?} */
        var packedEcho = [];
        for (var i = 0; i < this._frame.length; i += echos) {
            /** @type {?} */
            var frame = this._frame[i];
            for (var k = 0; k < this._rows * this._columns; k++) {
                for (var j = 1; j < echos; j++) {
                    frame.pixelData[k] += this._frame[i + j].pixelData[k];
                }
                frame.pixelData[k] /= echos;
            }
            packedEcho.push(frame);
        }
        this._frame = packedEcho;
        this._numberOfFrames = this._frame.length;
        this._dimensionsIJK = new Vector3(this._columns, this._rows, this._numberOfFrames);
        this._halfDimensionsIJK = new Vector3(this._dimensionsIJK.x / 2, this._dimensionsIJK.y / 2, this._dimensionsIJK.z / 2);
    };
    /**
     * @return {?}
     */
    ModelsStack.prototype.computeNumberOfFrames = /**
     * @return {?}
     */
    function () {
        // we need at least 1 frame
        if (this._frame && this._frame.length > 0) {
            this._numberOfFrames = this._frame.length;
        }
        else {
            window.console.warn("_frame doesn't contain anything....");
            window.console.warn(this._frame);
            return false;
        }
    };
    // frame.cosines - returns array [x, y, z]
    // frame.cosines - returns array [x, y, z]
    /**
     * @return {?}
     */
    ModelsStack.prototype.computeCosines = 
    // frame.cosines - returns array [x, y, z]
    /**
     * @return {?}
     */
    function () {
        if (this._frame && this._frame[0]) {
            /** @type {?} */
            var cosines = this._frame[0].cosines();
            this._xCosine = cosines[0];
            this._yCosine = cosines[1];
            this._zCosine = cosines[2];
        }
    };
    /**
     * @return {?}
     */
    ModelsStack.prototype.orderFrames = /**
     * @return {?}
     */
    function () {
        // order the frames based on theirs dimension indices
        // first index is the most important.
        // 1,1,1,1 will be first
        // 1,1,2,1 will be next
        // 1,1,2,3 will be next
        // 1,1,3,1 will be next
        if (this._frame[0].dimensionIndexValues) {
            this._frame.sort(this._orderFrameOnDimensionIndicesArraySort);
            // else order with image position and orientation
        }
        else if (this._frame[0].imagePosition &&
            this._frame[0].imageOrientation &&
            this._frame[1] &&
            this._frame[1].imagePosition &&
            this._frame[1].imageOrientation &&
            this._frame[0].imagePosition.join() !== this._frame[1].imagePosition.join()) {
            // compute and sort by dist in this series
            this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
            this._frame.sort(this._sortDistanceArraySort);
        }
        else if (this._frame[0].instanceNumber !== null &&
            this._frame[1] &&
            this._frame[1].instanceNumber !== null &&
            this._frame[0].instanceNumber !== this._frame[1].instanceNumber) {
            this._frame.sort(this._sortInstanceNumberArraySort);
        }
        else if (this._frame[0].sopInstanceUID &&
            this._frame[1] &&
            this._frame[1].sopInstanceUID &&
            this._frame[0].sopInstanceUID !== this._frame[1].sopInstanceUID) {
            this._frame.sort(this._sortSopInstanceUIDArraySort);
        }
        else if (!this._frame[0].imagePosition) ;
        else {
            window.console.warn('do not know how to order the frames...');
        }
    };
    /**
     * @return {?}
     */
    ModelsStack.prototype.computeSpacing = /**
     * @return {?}
     */
    function () {
        this.xySpacing();
        this.zSpacing();
    };
    /**
     * Compute stack z spacing
     */
    /**
     * Compute stack z spacing
     * @return {?}
     */
    ModelsStack.prototype.zSpacing = /**
     * Compute stack z spacing
     * @return {?}
     */
    function () {
        if (this._numberOfFrames > 1) {
            if (this._frame[0].pixelSpacing && this._frame[0].pixelSpacing[2]) {
                this._spacing.z = this._frame[0].pixelSpacing[2];
            }
            else {
                // compute and sort by dist in this series
                this._frame.map(this._computeDistanceArrayMap.bind(null, this._zCosine));
                // if distances are different, re-sort array
                if (this._frame[1].dist !== this._frame[0].dist) {
                    this._frame.sort(this._sortDistanceArraySort);
                    this._spacing.z = this._frame[1].dist - this._frame[0].dist;
                }
                else if (this._spacingBetweenSlices) {
                    this._spacing.z = this._spacingBetweenSlices;
                }
                else if (this._frame[0].sliceThickness) {
                    this._spacing.z = this._frame[0].sliceThickness;
                }
            }
        }
        // Spacing
        // can not be 0 if not matrix can not be inverted.
        if (this._spacing.z === 0) {
            this._spacing.z = 1;
        }
    };
    /**
     *  FRAME CAN DO IT
     */
    /**
     *  FRAME CAN DO IT
     * @return {?}
     */
    ModelsStack.prototype.xySpacing = /**
     *  FRAME CAN DO IT
     * @return {?}
     */
    function () {
        if (this._frame && this._frame[0]) {
            /** @type {?} */
            var spacingXY = this._frame[0].spacingXY();
            this._spacing.x = spacingXY[0];
            this._spacing.y = spacingXY[1];
        }
    };
    /**
     * Find min and max intensities among all frames.
     */
    /**
     * Find min and max intensities among all frames.
     * @return {?}
     */
    ModelsStack.prototype.computeMinMaxIntensities = /**
     * Find min and max intensities among all frames.
     * @return {?}
     */
    function () {
        // what about colors!!!!?
        // we ignore values if NaNs
        // https://github.com/FNNDSC/ami/issues/185
        for (var i = 0; i < this._frame.length; i++) {
            // get min/max
            /** @type {?} */
            var min = this._frame[i].minMax[0];
            if (!Number.isNaN(min)) {
                this._minMax[0] = Math.min(this._minMax[0], min);
            }
            /** @type {?} */
            var max = this._frame[i].minMax[1];
            if (!Number.isNaN(max)) {
                this._minMax[1] = Math.max(this._minMax[1], max);
            }
        }
    };
    /**
     * Compute IJK to LPS and invert transforms
     */
    /**
     * Compute IJK to LPS and invert transforms
     * @return {?}
     */
    ModelsStack.prototype.computeIJK2LPS = /**
     * Compute IJK to LPS and invert transforms
     * @return {?}
     */
    function () {
        // ijk to lps
        this._ijk2LPS = CoreUtils.ijk2LPS(this._xCosine, this._yCosine, this._zCosine, this._spacing, this._origin, this._regMatrix);
        // lps 2 ijk
        this._lps2IJK = new Matrix4$1();
        this._lps2IJK.getInverse(this._ijk2LPS);
    };
    /**
     * Compute LPS to AABB and invert transforms
     */
    /**
     * Compute LPS to AABB and invert transforms
     * @return {?}
     */
    ModelsStack.prototype.computeLPS2AABB = /**
     * Compute LPS to AABB and invert transforms
     * @return {?}
     */
    function () {
        this._aabb2LPS = CoreUtils.aabb2LPS(this._xCosine, this._yCosine, this._zCosine, this._origin);
        this._lps2AABB = new Matrix4$1();
        this._lps2AABB.getInverse(this._aabb2LPS);
    };
    /**
     * Merge stacks
     *
     * @ param {*} stack
     *
     * @ return {*}
     */
    /**
     * Merge stacks
     *
     * \@ param {*} stack
     *
     * \@ return {*}
     * @param {?} stack
     * @return {?}
     */
    ModelsStack.prototype.merge = /**
     * Merge stacks
     *
     * \@ param {*} stack
     *
     * \@ return {*}
     * @param {?} stack
     * @return {?}
     */
    function (stack) {
        // also make sure x/y/z cosines are a match!
        if (this._stackID === stack.stackID &&
            this._numberOfFrames === 1 &&
            stack._numberOfFrames === 1 &&
            this._frame[0].columns === stack.frame[0].columns &&
            this._frame[0].rows === stack.frame[0].rows &&
            this._xCosine.equals(stack.xCosine) &&
            this._yCosine.equals(stack.yCosine) &&
            this._zCosine.equals(stack.zCosine)) {
            return this.mergeModels(this._frame, stack.frame);
        }
        else {
            return false;
        }
    };
    /**
     * Pack current stack pixel data into 8 bits array buffers
     */
    /**
     * Pack current stack pixel data into 8 bits array buffers
     * @return {?}
     */
    ModelsStack.prototype.pack = /**
     * Pack current stack pixel data into 8 bits array buffers
     * @return {?}
     */
    function () {
        // Get total number of voxels
        /** @type {?} */
        var nbVoxels = this._dimensionsIJK.x * this._dimensionsIJK.y * this._dimensionsIJK.z;
        // Packing style
        if ((this._bitsAllocated === 8 && this._numberOfChannels === 1) || this._bitsAllocated === 1) {
            this._packedPerPixel = 4;
        }
        if (this._bitsAllocated === 16 && this._numberOfChannels === 1) {
            this._packedPerPixel = 2;
        }
        // Loop through all the textures we need
        /** @type {?} */
        var textureDimension = this._textureSize * this._textureSize;
        /** @type {?} */
        var requiredTextures = Math.ceil(nbVoxels / (textureDimension * this._packedPerPixel));
        /** @type {?} */
        var voxelIndexStart = 0;
        /** @type {?} */
        var voxelIndexStop = this._packedPerPixel * textureDimension;
        if (voxelIndexStop > nbVoxels) {
            voxelIndexStop = nbVoxels;
        }
        if (this._textureUnits < requiredTextures) {
            console.warn('Insufficient number of supported textures. Some frames will not be packed.');
            requiredTextures = this._textureUnits;
        }
        for (var ii = 0; ii < requiredTextures; ii++) {
            /** @type {?} */
            var packed = this._packTo8Bits(this._numberOfChannels, this._frame, this._textureSize, voxelIndexStart, voxelIndexStop);
            this._textureType = packed.textureType;
            this._rawData.push(packed.data);
            voxelIndexStart += this._packedPerPixel * textureDimension;
            voxelIndexStop += this._packedPerPixel * textureDimension;
            if (voxelIndexStop > nbVoxels) {
                voxelIndexStop = nbVoxels;
            }
        }
        this._packed = true;
    };
    /**
     * Pack frame data to 32 bits texture
     * @ param {*} channels
     * @ param {*} frame
     * @ param {*} textureSize
     * @ param {*} startVoxel
     * @ param {*} stopVoxel
     */
    /**
     * Pack frame data to 32 bits texture
     * \@ param {*} channels
     * \@ param {*} frame
     * \@ param {*} textureSize
     * \@ param {*} startVoxel
     * \@ param {*} stopVoxel
     * @param {?} channels
     * @param {?} frame
     * @param {?} textureSize
     * @param {?} startVoxel
     * @param {?} stopVoxel
     * @return {?}
     */
    ModelsStack.prototype._packTo8Bits = /**
     * Pack frame data to 32 bits texture
     * \@ param {*} channels
     * \@ param {*} frame
     * \@ param {*} textureSize
     * \@ param {*} startVoxel
     * \@ param {*} stopVoxel
     * @param {?} channels
     * @param {?} frame
     * @param {?} textureSize
     * @param {?} startVoxel
     * @param {?} stopVoxel
     * @return {?}
     */
    function (channels, frame, textureSize, startVoxel, stopVoxel) {
        /** @type {?} */
        var packed = {
            textureType: null,
            data: null,
        };
        /** @type {?} */
        var bitsAllocated = frame[0].bitsAllocated;
        /** @type {?} */
        var pixelType = frame[0].pixelType;
        // transform signed to unsigned for convenience
        /** @type {?} */
        var offset = 0;
        if (this._minMax[0] < 0) {
            offset -= this._minMax[0];
        }
        /** @type {?} */
        var packIndex = 0;
        /** @type {?} */
        var frameIndex = 0;
        /** @type {?} */
        var inFrameIndex = 0;
        // frame should return it!
        /** @type {?} */
        var frameDimension = frame[0].rows * frame[0].columns;
        if ((bitsAllocated === 8 && channels === 1) || bitsAllocated === 1) {
            /** @type {?} */
            var data = new Uint8Array(textureSize * textureSize * 4);
            /** @type {?} */
            var coordinate = 0;
            /** @type {?} */
            var channelOffset = 0;
            for (var i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                var raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * coordinate + channelOffset] = raw;
                }
                packIndex++;
                coordinate = Math.floor(packIndex / 4);
                channelOffset = packIndex % 4;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 16 && channels === 1) {
            /** @type {?} */
            var data = new Uint8Array(textureSize * textureSize * 4);
            /** @type {?} */
            var coordinate = 0;
            /** @type {?} */
            var channelOffset = 0;
            for (var i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                var raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * coordinate + 2 * channelOffset] = raw & 0x00ff;
                    data[4 * coordinate + 2 * channelOffset + 1] = (raw >>> 8) & 0x00ff;
                }
                packIndex++;
                coordinate = Math.floor(packIndex / 2);
                channelOffset = packIndex % 2;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 32 && channels === 1 && pixelType === 0) {
            /** @type {?} */
            var data = new Uint8Array(textureSize * textureSize * 4);
            for (var i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                var raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    data[4 * packIndex] = raw & 0x000000ff;
                    data[4 * packIndex + 1] = (raw >>> 8) & 0x000000ff;
                    data[4 * packIndex + 2] = (raw >>> 16) & 0x000000ff;
                    data[4 * packIndex + 3] = (raw >>> 24) & 0x000000ff;
                }
                packIndex++;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 32 && channels === 1 && pixelType === 1) {
            /** @type {?} */
            var data = new Uint8Array(textureSize * textureSize * 4);
            for (var i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                /** @type {?} */
                var raw = frame[frameIndex].pixelData[inFrameIndex] + offset;
                if (!Number.isNaN(raw)) {
                    // let bitString = binaryString(raw);
                    /** @type {?} */
                    var bitString = '01111111110000000000000000000000';
                    /** @type {?} */
                    var bitStringArray = bitString.match(/.{1,8}/g);
                    data[4 * packIndex] = parseInt(bitStringArray[0], 2);
                    data[4 * packIndex + 1] = parseInt(bitStringArray[1], 2);
                    data[4 * packIndex + 2] = parseInt(bitStringArray[2], 2);
                    data[4 * packIndex + 3] = parseInt(bitStringArray[3], 2);
                }
                packIndex++;
            }
            packed.textureType = RGBAFormat;
            packed.data = data;
        }
        else if (bitsAllocated === 8 && channels === 3) {
            /** @type {?} */
            var data = new Uint8Array(textureSize * textureSize * 3);
            for (var i = startVoxel; i < stopVoxel; i++) {
                frameIndex = ~~(i / frameDimension);
                inFrameIndex = i % frameDimension;
                data[3 * packIndex] = frame[frameIndex].pixelData[3 * inFrameIndex];
                data[3 * packIndex + 1] = frame[frameIndex].pixelData[3 * inFrameIndex + 1];
                data[3 * packIndex + 2] = frame[frameIndex].pixelData[3 * inFrameIndex + 2];
                packIndex++;
            }
            packed.textureType = RGBFormat;
            packed.data = data;
        }
        return packed;
    };
    /**
     * Get the stack world center
     *
     *@ return {*}
     */
    /**
     * Get the stack world center
     *
     * \@ return {*}
     * @return {?}
     */
    ModelsStack.prototype.worldCenter = /**
     * Get the stack world center
     *
     * \@ return {*}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var center = this._halfDimensionsIJK
            .clone()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS);
        return center;
    };
    /**
     * Get the stack world bounding box
     * @ return {*}
     */
    /**
     * Get the stack world bounding box
     * \@ return {*}
     * @return {?}
     */
    ModelsStack.prototype.worldBoundingBox = /**
     * Get the stack world bounding box
     * \@ return {*}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var bbox = [
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
            Number.POSITIVE_INFINITY,
            Number.NEGATIVE_INFINITY,
        ];
        /** @type {?} */
        var dims = this._dimensionsIJK;
        for (var i = 0; i <= dims.x; i += dims.x) {
            for (var j = 0; j <= dims.y; j += dims.y) {
                for (var k = 0; k <= dims.z; k += dims.z) {
                    /** @type {?} */
                    var world = new Vector3(i, j, k).applyMatrix4(this._ijk2LPS);
                    bbox = [
                        Math.min(bbox[0], world.x),
                        Math.max(bbox[1], world.x),
                        Math.min(bbox[2], world.y),
                        Math.max(bbox[3], world.y),
                        Math.min(bbox[4], world.z),
                        Math.max(bbox[5], world.z),
                    ];
                }
            }
        }
        return bbox;
    };
    /**
     * Get AABB size in LPS space.
     *
     * @ return {*}
     */
    /**
     * Get AABB size in LPS space.
     *
     * \@ return {*}
     * @return {?}
     */
    ModelsStack.prototype.AABBox = /**
     * Get AABB size in LPS space.
     *
     * \@ return {*}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var world0 = new Vector3()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS)
            .applyMatrix4(this._lps2AABB);
        /** @type {?} */
        var world7 = this._dimensionsIJK
            .clone()
            .addScalar(-0.5)
            .applyMatrix4(this._ijk2LPS)
            .applyMatrix4(this._lps2AABB);
        /** @type {?} */
        var minBBox = new Vector3(Math.abs(world0.x - world7.x), Math.abs(world0.y - world7.y), Math.abs(world0.z - world7.z));
        return minBBox;
    };
    /**
     * Get AABB center in LPS space
     */
    /**
     * Get AABB center in LPS space
     * @return {?}
     */
    ModelsStack.prototype.centerAABBox = /**
     * Get AABB center in LPS space
     * @return {?}
     */
    function () {
        /** @type {?} */
        var centerBBox = this.worldCenter();
        centerBBox.applyMatrix4(this._lps2AABB);
        return centerBBox;
    };
    /**
     * @param {?} index
     * @param {?} dimensions
     * @return {?}
     */
    ModelsStack.indexInDimensions = /**
     * @param {?} index
     * @param {?} dimensions
     * @return {?}
     */
    function (index, dimensions) {
        if (index.x >= 0 &&
            index.y >= 0 &&
            index.z >= 0 &&
            index.x < dimensions.x &&
            index.y < dimensions.y &&
            index.z < dimensions.z) {
            return true;
        }
        return false;
    };
    /**
     * @param {?} array
     * @param {?} index
     * @return {?}
     */
    ModelsStack.prototype._arrayToVector3 = /**
     * @param {?} array
     * @param {?} index
     * @return {?}
     */
    function (array, index) {
        return new Vector3(array[index], array[index + 1], array[index + 2]);
    };
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    ModelsStack.prototype._orderFrameOnDimensionIndicesArraySort = /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    function (a, b) {
        if ('dimensionIndexValues' in a &&
            Object.prototype.toString.call(a.dimensionIndexValues) === '[object Array]' &&
            'dimensionIndexValues' in b &&
            Object.prototype.toString.call(b.dimensionIndexValues) === '[object Array]') {
            for (var i = 0; i < a.dimensionIndexValues.length; i++) {
                if (parseInt(a.dimensionIndexValues[i], 10) > parseInt(b.dimensionIndexValues[i], 10)) {
                    return 1;
                }
                if (parseInt(a.dimensionIndexValues[i], 10) < parseInt(b.dimensionIndexValues[i], 10)) {
                    return -1;
                }
            }
        }
        else {
            window.console.warn("One of the frames doesn't have a dimensionIndexValues array.");
            window.console.warn(a);
            window.console.warn(b);
        }
        return 0;
    };
    /**
     * @param {?} normal
     * @param {?} frame
     * @return {?}
     */
    ModelsStack.prototype._computeDistanceArrayMap = /**
     * @param {?} normal
     * @param {?} frame
     * @return {?}
     */
    function (normal, frame) {
        if (frame.imagePosition) {
            frame.dist =
                frame.imagePosition[0] * normal.x +
                    frame.imagePosition[1] * normal.y +
                    frame.imagePosition[2] * normal.z;
        }
        return frame;
    };
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    ModelsStack.prototype._sortDistanceArraySort = /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    function (a, b) {
        return a.dist - b.dist;
    };
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    ModelsStack.prototype._sortInstanceNumberArraySort = /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    function (a, b) {
        return a.instanceNumber - b.instanceNumber;
    };
    /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    ModelsStack.prototype._sortSopInstanceUIDArraySort = /**
     * @param {?} a
     * @param {?} b
     * @return {?}
     */
    function (a, b) {
        return a.sopInstanceUID - b.sopInstanceUID;
    };
    Object.defineProperty(ModelsStack.prototype, "numberOfChannels", {
        get: /**
         * @return {?}
         */
        function () {
            return this._numberOfChannels;
        },
        set: /**
         * @param {?} numberOfChannels
         * @return {?}
         */
        function (numberOfChannels) {
            this._numberOfChannels = numberOfChannels;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "frame", {
        get: /**
         * @return {?}
         */
        function () {
            return this._frame;
        },
        set: /**
         * @param {?} frame
         * @return {?}
         */
        function (frame) {
            this._frame = frame;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "prepared", {
        get: /**
         * @return {?}
         */
        function () {
            return this._prepared;
        },
        set: /**
         * @param {?} prepared
         * @return {?}
         */
        function (prepared) {
            this._prepared = prepared;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "packed", {
        get: /**
         * @return {?}
         */
        function () {
            return this._packed;
        },
        set: /**
         * @param {?} packed
         * @return {?}
         */
        function (packed) {
            this._packed = packed;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "packedPerPixel", {
        get: /**
         * @return {?}
         */
        function () {
            return this._packedPerPixel;
        },
        set: /**
         * @param {?} packedPerPixel
         * @return {?}
         */
        function (packedPerPixel) {
            this._packedPerPixel = packedPerPixel;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "dimensionsIJK", {
        get: /**
         * @return {?}
         */
        function () {
            return this._dimensionsIJK;
        },
        set: /**
         * @param {?} dimensionsIJK
         * @return {?}
         */
        function (dimensionsIJK) {
            this._dimensionsIJK = dimensionsIJK;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "halfDimensionsIJK", {
        get: /**
         * @return {?}
         */
        function () {
            return this._halfDimensionsIJK;
        },
        set: /**
         * @param {?} halfDimensionsIJK
         * @return {?}
         */
        function (halfDimensionsIJK) {
            this._halfDimensionsIJK = halfDimensionsIJK;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "regMatrix", {
        get: /**
         * @return {?}
         */
        function () {
            return this._regMatrix;
        },
        set: /**
         * @param {?} regMatrix
         * @return {?}
         */
        function (regMatrix) {
            this._regMatrix = regMatrix;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "ijk2LPS", {
        get: /**
         * @return {?}
         */
        function () {
            return this._ijk2LPS;
        },
        set: /**
         * @param {?} ijk2LPS
         * @return {?}
         */
        function (ijk2LPS) {
            this._ijk2LPS = ijk2LPS;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "lps2IJK", {
        get: /**
         * @return {?}
         */
        function () {
            return this._lps2IJK;
        },
        set: /**
         * @param {?} lps2IJK
         * @return {?}
         */
        function (lps2IJK) {
            this._lps2IJK = lps2IJK;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "lps2AABB", {
        get: /**
         * @return {?}
         */
        function () {
            return this._lps2AABB;
        },
        set: /**
         * @param {?} lps2AABB
         * @return {?}
         */
        function (lps2AABB) {
            this._lps2AABB = lps2AABB;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "textureSize", {
        get: /**
         * @return {?}
         */
        function () {
            return this._textureSize;
        },
        set: /**
         * @param {?} textureSize
         * @return {?}
         */
        function (textureSize) {
            this._textureSize = textureSize;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "textureUnits", {
        get: /**
         * @return {?}
         */
        function () {
            return this._textureUnits;
        },
        set: /**
         * @param {?} textureUnits
         * @return {?}
         */
        function (textureUnits) {
            this._textureUnits = textureUnits;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "textureType", {
        get: /**
         * @return {?}
         */
        function () {
            return this._textureType;
        },
        set: /**
         * @param {?} textureType
         * @return {?}
         */
        function (textureType) {
            this._textureType = textureType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "bitsAllocated", {
        get: /**
         * @return {?}
         */
        function () {
            return this._bitsAllocated;
        },
        set: /**
         * @param {?} bitsAllocated
         * @return {?}
         */
        function (bitsAllocated) {
            this._bitsAllocated = bitsAllocated;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "rawData", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rawData;
        },
        set: /**
         * @param {?} rawData
         * @return {?}
         */
        function (rawData) {
            this._rawData = rawData;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "windowWidth", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowWidth;
        },
        set: /**
         * @param {?} windowWidth
         * @return {?}
         */
        function (windowWidth) {
            this._windowWidth = windowWidth;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "windowCenter", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowCenter;
        },
        set: /**
         * @param {?} windowCenter
         * @return {?}
         */
        function (windowCenter) {
            this._windowCenter = windowCenter;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "rescaleSlope", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rescaleSlope;
        },
        set: /**
         * @param {?} rescaleSlope
         * @return {?}
         */
        function (rescaleSlope) {
            this._rescaleSlope = rescaleSlope;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "rescaleIntercept", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rescaleIntercept;
        },
        set: /**
         * @param {?} rescaleIntercept
         * @return {?}
         */
        function (rescaleIntercept) {
            this._rescaleIntercept = rescaleIntercept;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "xCosine", {
        get: /**
         * @return {?}
         */
        function () {
            return this._xCosine;
        },
        set: /**
         * @param {?} xCosine
         * @return {?}
         */
        function (xCosine) {
            this._xCosine = xCosine;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "yCosine", {
        get: /**
         * @return {?}
         */
        function () {
            return this._yCosine;
        },
        set: /**
         * @param {?} yCosine
         * @return {?}
         */
        function (yCosine) {
            this._yCosine = yCosine;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "zCosine", {
        get: /**
         * @return {?}
         */
        function () {
            return this._zCosine;
        },
        set: /**
         * @param {?} zCosine
         * @return {?}
         */
        function (zCosine) {
            this._zCosine = zCosine;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "minMax", {
        get: /**
         * @return {?}
         */
        function () {
            return this._minMax;
        },
        set: /**
         * @param {?} minMax
         * @return {?}
         */
        function (minMax) {
            this._minMax = minMax;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "stackID", {
        get: /**
         * @return {?}
         */
        function () {
            return this._stackID;
        },
        set: /**
         * @param {?} stackID
         * @return {?}
         */
        function (stackID) {
            this._stackID = stackID;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "pixelType", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelType;
        },
        set: /**
         * @param {?} pixelType
         * @return {?}
         */
        function (pixelType) {
            this._pixelType = pixelType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "pixelRepresentation", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelRepresentation;
        },
        set: /**
         * @param {?} pixelRepresentation
         * @return {?}
         */
        function (pixelRepresentation) {
            this._pixelRepresentation = pixelRepresentation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "invert", {
        get: /**
         * @return {?}
         */
        function () {
            return this._invert;
        },
        set: /**
         * @param {?} invert
         * @return {?}
         */
        function (invert) {
            this._invert = invert;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "modality", {
        get: /**
         * @return {?}
         */
        function () {
            return this._modality;
        },
        set: /**
         * @param {?} modality
         * @return {?}
         */
        function (modality) {
            this._modality = modality;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "rightHanded", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rightHanded;
        },
        set: /**
         * @param {?} rightHanded
         * @return {?}
         */
        function (rightHanded) {
            this._rightHanded = rightHanded;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "spacingBetweenSlices", {
        get: /**
         * @return {?}
         */
        function () {
            return this._spacingBetweenSlices;
        },
        set: /**
         * @param {?} spacingBetweenSlices
         * @return {?}
         */
        function (spacingBetweenSlices) {
            this._spacingBetweenSlices = spacingBetweenSlices;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "segmentationSegments", {
        get: /**
         * @return {?}
         */
        function () {
            return this._segmentationSegments;
        },
        set: /**
         * @param {?} segmentationSegments
         * @return {?}
         */
        function (segmentationSegments) {
            this._segmentationSegments = segmentationSegments;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "segmentationType", {
        get: /**
         * @return {?}
         */
        function () {
            return this._segmentationType;
        },
        set: /**
         * @param {?} segmentationType
         * @return {?}
         */
        function (segmentationType) {
            this._segmentationType = segmentationType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "segmentationLUT", {
        get: /**
         * @return {?}
         */
        function () {
            return this._segmentationLUT;
        },
        set: /**
         * @param {?} segmentationLUT
         * @return {?}
         */
        function (segmentationLUT) {
            this._segmentationLUT = segmentationLUT;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsStack.prototype, "segmentationLUTO", {
        get: /**
         * @return {?}
         */
        function () {
            return this._segmentationLUTO;
        },
        set: /**
         * @param {?} segmentationLUTO
         * @return {?}
         */
        function (segmentationLUTO) {
            this._segmentationLUTO = segmentationLUTO;
        },
        enumerable: true,
        configurable: true
    });
    // DEPRECATED FUNCTION
    /**
     * @ deprecated for core.utils.value
     *
     * Get voxel value.
     *
     * @ param {*} stack
     * @ param {*} coordinate
     *
     * @ return {*}
     */
    // DEPRECATED FUNCTION
    /**
     * \@ deprecated for core.utils.value
     *
     * Get voxel value.
     *
     * \@ param {*} stack
     * \@ param {*} coordinate
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    ModelsStack.value = 
    // DEPRECATED FUNCTION
    /**
     * \@ deprecated for core.utils.value
     *
     * Get voxel value.
     *
     * \@ param {*} stack
     * \@ param {*} coordinate
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} coordinate
     * @return {?}
     */
    function (stack, coordinate) {
        window.console.warn("models.stack.value is deprecated.\n       Please use core.utils.value instead.");
        return CoreUtils.value(stack, coordinate);
    };
    /**
     * @ deprecated for core.utils.rescaleSlopeIntercept
     *
     * Apply slope/intercept to a value.
     *
     * @ param {*} value
     * @ param {*} slope
     * @ param {*} intercept
     *
     * @ return {*}
     */
    /**
     * \@ deprecated for core.utils.rescaleSlopeIntercept
     *
     * Apply slope/intercept to a value.
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    ModelsStack.valueRescaleSlopeIntercept = /**
     * \@ deprecated for core.utils.rescaleSlopeIntercept
     *
     * Apply slope/intercept to a value.
     *
     * \@ param {*} value
     * \@ param {*} slope
     * \@ param {*} intercept
     *
     * \@ return {*}
     * @param {?} value
     * @param {?} slope
     * @param {?} intercept
     * @return {?}
     */
    function (value, slope, intercept) {
        window.console.warn("models.stack.valueRescaleSlopeIntercept is deprecated.\n       Please use core.utils.rescaleSlopeIntercept instead.");
        return CoreUtils.rescaleSlopeIntercept(value, slope, intercept);
    };
    /**
     * @deprecated for core.utils.worldToData
     *
     * Transform coordinates from world coordinate to data
     *
     * @ param {*} stack
     * @ param {*} worldCoordinates
     *
     * @ return {*}
     */
    /**
     * @deprecated for core.utils.worldToData
     *
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} stack
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} worldCoordinates
     * @return {?}
     */
    ModelsStack.worldToData = /**
     * @deprecated for core.utils.worldToData
     *
     * Transform coordinates from world coordinate to data
     *
     * \@ param {*} stack
     * \@ param {*} worldCoordinates
     *
     * \@ return {*}
     * @param {?} stack
     * @param {?} worldCoordinates
     * @return {?}
     */
    function (stack, worldCoordinates) {
        window.console.warn("models.stack.worldToData is deprecated.\n       Please use core.utils.worldToData instead.");
        return CoreUtils.worldToData(stack._lps2IJK, worldCoordinates);
    };
    return ModelsStack;
}(ModelsBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Frame object.
 *
 * \@ module models/frame
 */
var /**
 * Frame object.
 *
 * \@ module models/frame
 */
ModelsFrame = /** @class */ (function (_super) {
    __extends(ModelsFrame, _super);
    function ModelsFrame() {
        var _this = _super.call(this) || this;
        /**
         * Constructor
         */
        _this._sopInstanceUID = null;
        _this._url = null;
        _this._stackID = -1;
        _this._invert = false;
        _this._frameTime = null;
        _this._ultrasoundRegions = [];
        _this._rows = 0;
        _this._columns = 0;
        _this._dimensionIndexValues = [];
        _this._imagePosition = null;
        _this._imageOrientation = null;
        _this._rightHanded = true;
        _this._sliceThickness = 1;
        _this._spacingBetweenSlices = null;
        _this._pixelPaddingValue = null;
        _this._pixelRepresentation = 0;
        _this._pixelType = 0;
        _this._pixelSpacing = null;
        _this._pixelAspectRatio = null;
        _this._pixelData = null;
        _this._instanceNumber = null;
        _this._windowCenter = null;
        _this._windowWidth = null;
        _this._rescaleSlope = null;
        _this._rescaleIntercept = null;
        _this._bitsAllocated = 8;
        _this._numberOfChannels = 1;
        _this._minMax = null;
        _this._dist = null;
        _this._index = -1;
        _this._referencedSegmentNumber = -1;
        _this._sopInstanceUID = null;
        _this._url = null;
        _this._stackID = -1;
        _this._invert = false;
        _this._frameTime = null;
        _this._ultrasoundRegions = [];
        _this._rows = 0;
        _this._columns = 0;
        _this._dimensionIndexValues = [];
        _this._imagePosition = null;
        _this._imageOrientation = null;
        _this._rightHanded = true;
        _this._sliceThickness = 1;
        _this._spacingBetweenSlices = null;
        _this._pixelPaddingValue = null;
        _this._pixelRepresentation = 0;
        _this._pixelType = 0;
        _this._pixelSpacing = null;
        _this._pixelAspectRatio = null;
        _this._pixelData = null;
        _this._instanceNumber = null;
        _this._windowCenter = null;
        _this._windowWidth = null;
        _this._rescaleSlope = null;
        _this._rescaleIntercept = null;
        _this._bitsAllocated = 8;
        _this._numberOfChannels = 1;
        _this._minMax = null;
        _this._dist = null;
        _this._index = -1;
        _this._referencedSegmentNumber = -1;
        return _this;
    }
    /**
     * Validate the frame.
     *
     * @ param {*} model
     *
     * @ return {*}
     */
    /**
     * Validate the frame.
     *
     * \@ param {*} model
     *
     * \@ return {*}
     * @param {?} model
     * @return {?}
     */
    ModelsFrame.prototype.validate = /**
     * Validate the frame.
     *
     * \@ param {*} model
     *
     * \@ return {*}
     * @param {?} model
     * @return {?}
     */
    function (model) {
        if (!(_super.prototype.validate.call(this, model) &&
            typeof model.cosines === 'function' &&
            typeof model.spacingXY === 'function' &&
            model.hasOwnProperty('_sopInstanceUID') &&
            model.hasOwnProperty('_dimensionIndexValues') &&
            model.hasOwnProperty('_imageOrientation') &&
            model.hasOwnProperty('_imagePosition'))) {
            return false;
        }
        return true;
    };
    /**
     * Merge current frame with provided frame.
     *
     * Frames can be merged (i.e. are identical) if following are equals:
     *  - dimensionIndexValues
     *  - imageOrientation
     *  - imagePosition
     *  - instanceNumber
     *  - sopInstanceUID
     *
     * @ param {*} frame
     *
     * @ return {boolean} True if frames could be merge. False if not.
     */
    /**
     * Merge current frame with provided frame.
     *
     * Frames can be merged (i.e. are identical) if following are equals:
     *  - dimensionIndexValues
     *  - imageOrientation
     *  - imagePosition
     *  - instanceNumber
     *  - sopInstanceUID
     *
     * \@ param {*} frame
     *
     * \@ return {boolean} True if frames could be merge. False if not.
     * @param {?} frame
     * @return {?}
     */
    ModelsFrame.prototype.merge = /**
     * Merge current frame with provided frame.
     *
     * Frames can be merged (i.e. are identical) if following are equals:
     *  - dimensionIndexValues
     *  - imageOrientation
     *  - imagePosition
     *  - instanceNumber
     *  - sopInstanceUID
     *
     * \@ param {*} frame
     *
     * \@ return {boolean} True if frames could be merge. False if not.
     * @param {?} frame
     * @return {?}
     */
    function (frame) {
        if (!this.validate(frame)) {
            return false;
        }
        if (this._compareArrays(this._dimensionIndexValues, frame.dimensionIndexValues) &&
            this._compareArrays(this._imageOrientation, frame.imageOrientation) &&
            this._compareArrays(this._imagePosition, frame.imagePosition) &&
            this._instanceNumber === frame.instanceNumber &&
            this._sopInstanceUID === frame.sopInstanceUID) {
            return true;
        }
        else {
            return false;
        }
    };
    /**
     * Generate X, y and Z cosines from image orientation
     * Returns default orientation if _imageOrientation was invalid.
     *
     * @ returns {array} Array[3] containing cosinesX, Y and Z.
     */
    /**
     * Generate X, y and Z cosines from image orientation
     * Returns default orientation if _imageOrientation was invalid.
     *
     * \@ returns {array} Array[3] containing cosinesX, Y and Z.
     * @return {?}
     */
    ModelsFrame.prototype.cosines = /**
     * Generate X, y and Z cosines from image orientation
     * Returns default orientation if _imageOrientation was invalid.
     *
     * \@ returns {array} Array[3] containing cosinesX, Y and Z.
     * @return {?}
     */
    function () {
        /** @type {?} */
        var cosines = [new Vector3(1, 0, 0), new Vector3(0, 1, 0), new Vector3(0, 0, 1)];
        if (this._imageOrientation && this._imageOrientation.length === 6) {
            /** @type {?} */
            var xCos = new Vector3(this._imageOrientation[0], this._imageOrientation[1], this._imageOrientation[2]);
            /** @type {?} */
            var yCos = new Vector3(this._imageOrientation[3], this._imageOrientation[4], this._imageOrientation[5]);
            if (xCos.length() > 0 && yCos.length() > 0) {
                cosines[0] = xCos;
                cosines[1] = yCos;
                cosines[2] = new Vector3(0, 0, 0).crossVectors(cosines[0], cosines[1]).normalize();
            }
        }
        else {
            window.console.log('No valid image orientation for frame');
            window.console.log(this);
            window.console.log('Returning default orientation.');
        }
        if (!this._rightHanded) {
            cosines[2].negate();
        }
        return cosines;
    };
    /**
     * Get x/y spacing of a frame.
     *
     * @ return {*}
     */
    /**
     * Get x/y spacing of a frame.
     *
     * \@ return {*}
     * @return {?}
     */
    ModelsFrame.prototype.spacingXY = /**
     * Get x/y spacing of a frame.
     *
     * \@ return {*}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var spacingXY = [1.0, 1.0];
        if (this.pixelSpacing) {
            spacingXY[0] = this.pixelSpacing[0];
            spacingXY[1] = this.pixelSpacing[1];
        }
        else if (this.pixelAspectRatio) {
            spacingXY[0] = 1.0;
            spacingXY[1] = (1.0 * this.pixelAspectRatio[1]) / this.pixelAspectRatio[0];
        }
        return spacingXY;
    };
    /**
     * Get data value
     *
     * @ param {*} column
     * @ param {*} row
     * @ return {*}
     */
    /**
     * Get data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @return {?}
     */
    ModelsFrame.prototype.getPixelData = /**
     * Get data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @return {?}
     */
    function (column, row) {
        if (column >= 0 && column < this._columns && row >= 0 && row < this._rows) {
            return this.pixelData[column + this._columns * row];
        }
        else {
            return null;
        }
    };
    /**
     * Set data value
     *
     * @ param {*} column
     * @ param {*} row
     * @ param {*} value
     * @ return {*}
     */
    /**
     * Set data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ param {*} value
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @param {?} value
     * @return {?}
     */
    ModelsFrame.prototype.setPixelData = /**
     * Set data value
     *
     * \@ param {*} column
     * \@ param {*} row
     * \@ param {*} value
     * \@ return {*}
     * @param {?} column
     * @param {?} row
     * @param {?} value
     * @return {?}
     */
    function (column, row, value) {
        this.pixelData[column + this._columns * row] = value;
    };
    /**
     * Get frame preview as data:URL
     *
     * @ return {String}
     */
    /**
     * Get frame preview as data:URL
     *
     * \@ return {String}
     * @return {?}
     */
    ModelsFrame.prototype.getImageDataUrl = /**
     * Get frame preview as data:URL
     *
     * \@ return {String}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var canvas = document.createElement('canvas');
        canvas.width = this._columns;
        canvas.height = this._rows;
        /** @type {?} */
        var context = canvas.getContext('2d');
        /** @type {?} */
        var imageData = context.createImageData(canvas.width, canvas.height);
        imageData.data.set(this._frameToCanvas());
        context.putImageData(imageData, 0, 0);
        return canvas.toDataURL();
    };
    /**
     * Convert frame.pixelData to canvas.context.imageData.data
     *
     * @ return {Uint8Array}
     */
    /**
     * Convert frame.pixelData to canvas.context.imageData.data
     *
     * \@ return {Uint8Array}
     * @return {?}
     */
    ModelsFrame.prototype._frameToCanvas = /**
     * Convert frame.pixelData to canvas.context.imageData.data
     *
     * \@ return {Uint8Array}
     * @return {?}
     */
    function () {
        /** @type {?} */
        var dimension = this._columns * this._rows;
        /** @type {?} */
        var params = {
            invert: this._invert,
            min: this._minMax[0],
            padding: this._pixelPaddingValue,
            max: this._minMax[1],
            range: this._minMax[1] - this._minMax[0]
        };
        /** @type {?} */
        var data = new Uint8Array(dimension * 4);
        if (params.padding !== null) {
            // recalculation of min ignoring pixelPaddingValue
            params.min = this._minMax[1];
            for (var index = 0, numPixels = this._pixelData.length; index < numPixels; index++) {
                if (this._pixelData[index] !== params.padding) {
                    params.min = Math.min(params.min, this._pixelData[index]);
                }
            }
        }
        if (this._windowWidth && this._windowCenter !== null) {
            // applying windowCenter and windowWidth
            /** @type {?} */
            var intercept = this._rescaleIntercept || 0;
            /** @type {?} */
            var slope = this._rescaleSlope || 1;
            params.min = Math.max((this._windowCenter - this._windowWidth / 2 - intercept) / slope, params.min);
            params.max = Math.min((this._windowCenter + this._windowWidth / 2 - intercept) / slope, this._minMax[1]);
        }
        else {
            params.max = this._minMax[1];
        }
        params.range = params.max - params.min || 255; // if max is 0 convert it to: 255 - black, 1 - white
        if (this._numberOfChannels === 1) {
            for (var i = 0; i < dimension; i++) {
                /** @type {?} */
                var normalized = this._pixelTo8Bit(this._pixelData[i], params);
                data[4 * i] = normalized;
                data[4 * i + 1] = normalized;
                data[4 * i + 2] = normalized;
                data[4 * i + 3] = 255; // alpha channel (fully opaque)
            }
        }
        else if (this._numberOfChannels === 3) {
            for (var i = 0; i < dimension; i++) {
                data[4 * i] = this._pixelTo8Bit(this._pixelData[3 * i], params);
                data[4 * i + 1] = this._pixelTo8Bit(this._pixelData[3 * i + 1], params);
                data[4 * i + 2] = this._pixelTo8Bit(this._pixelData[3 * i + 2], params);
                data[4 * i + 3] = 255; // alpha channel (fully opaque)
            }
        }
        return data;
    };
    /**
     * Convert pixel value to 8 bit (canvas.context.imageData.data: maximum 8 bit per each of RGBA value)
     *
     * @ param {Number} value  Pixel value
     * @ param {Object} params {invert, min, mix, padding, range}
     *
     * @ return {Number}
     */
    /**
     * Convert pixel value to 8 bit (canvas.context.imageData.data: maximum 8 bit per each of RGBA value)
     *
     * \@ param {Number} value  Pixel value
     * \@ param {Object} params {invert, min, mix, padding, range}
     *
     * \@ return {Number}
     * @param {?} value
     * @param {?} params
     * @return {?}
     */
    ModelsFrame.prototype._pixelTo8Bit = /**
     * Convert pixel value to 8 bit (canvas.context.imageData.data: maximum 8 bit per each of RGBA value)
     *
     * \@ param {Number} value  Pixel value
     * \@ param {Object} params {invert, min, mix, padding, range}
     *
     * \@ return {Number}
     * @param {?} value
     * @param {?} params
     * @return {?}
     */
    function (value, params) {
        // values equal to pixelPaddingValue are outside of the image and should be ignored
        /** @type {?} */
        var packedValue = value <= params.min || value === params.padding ? 0 : 255;
        if (value > params.min && value < params.max) {
            packedValue = Math.round(((value - params.min) * 255) / params.range);
        }
        return Number.isNaN(packedValue) ? 0 : params.invert ? 255 - packedValue : packedValue;
    };
    /**
     * Compare 2 arrays.
     *
     * 2 null arrays return true.
     * Do no perform strict type checking.
     *
     * @ param {*} reference
     * @ param {*} target
     *
     * @ return {boolean} True if arrays are identicals. False if not.
     */
    /**
     * Compare 2 arrays.
     *
     * 2 null arrays return true.
     * Do no perform strict type checking.
     *
     * \@ param {*} reference
     * \@ param {*} target
     *
     * \@ return {boolean} True if arrays are identicals. False if not.
     * @param {?} reference
     * @param {?} target
     * @return {?}
     */
    ModelsFrame.prototype._compareArrays = /**
     * Compare 2 arrays.
     *
     * 2 null arrays return true.
     * Do no perform strict type checking.
     *
     * \@ param {*} reference
     * \@ param {*} target
     *
     * \@ return {boolean} True if arrays are identicals. False if not.
     * @param {?} reference
     * @param {?} target
     * @return {?}
     */
    function (reference, target) {
        // could both be null
        if (reference === target) {
            return true;
        }
        // if not null....
        if (reference && target && reference.join() === target.join()) {
            return true;
        }
        return false;
    };
    Object.defineProperty(ModelsFrame.prototype, "frameTime", {
        get: /**
         * @return {?}
         */
        function () {
            return this._frameTime;
        },
        set: /**
         * @param {?} frameTime
         * @return {?}
         */
        function (frameTime) {
            this._frameTime = frameTime;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "ultrasoundRegions", {
        get: /**
         * @return {?}
         */
        function () {
            return this._ultrasoundRegions;
        },
        set: /**
         * @param {?} ultrasoundRegions
         * @return {?}
         */
        function (ultrasoundRegions) {
            this._ultrasoundRegions = ultrasoundRegions;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "rows", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rows;
        },
        set: /**
         * @param {?} rows
         * @return {?}
         */
        function (rows) {
            this._rows = rows;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "columns", {
        get: /**
         * @return {?}
         */
        function () {
            return this._columns;
        },
        set: /**
         * @param {?} columns
         * @return {?}
         */
        function (columns) {
            this._columns = columns;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "spacingBetweenSlices", {
        get: /**
         * @return {?}
         */
        function () {
            return this._spacingBetweenSlices;
        },
        set: /**
         * @param {?} spacingBetweenSlices
         * @return {?}
         */
        function (spacingBetweenSlices) {
            this._spacingBetweenSlices = spacingBetweenSlices;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "sliceThickness", {
        get: /**
         * @return {?}
         */
        function () {
            return this._sliceThickness;
        },
        set: /**
         * @param {?} sliceThickness
         * @return {?}
         */
        function (sliceThickness) {
            this._sliceThickness = sliceThickness;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "imagePosition", {
        get: /**
         * @return {?}
         */
        function () {
            return this._imagePosition;
        },
        set: /**
         * @param {?} imagePosition
         * @return {?}
         */
        function (imagePosition) {
            this._imagePosition = imagePosition;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "imageOrientation", {
        get: /**
         * @return {?}
         */
        function () {
            return this._imageOrientation;
        },
        set: /**
         * @param {?} imageOrientation
         * @return {?}
         */
        function (imageOrientation) {
            this._imageOrientation = imageOrientation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "windowWidth", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowWidth;
        },
        set: /**
         * @param {?} windowWidth
         * @return {?}
         */
        function (windowWidth) {
            this._windowWidth = windowWidth;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "windowCenter", {
        get: /**
         * @return {?}
         */
        function () {
            return this._windowCenter;
        },
        set: /**
         * @param {?} windowCenter
         * @return {?}
         */
        function (windowCenter) {
            this._windowCenter = windowCenter;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "rescaleSlope", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rescaleSlope;
        },
        set: /**
         * @param {?} rescaleSlope
         * @return {?}
         */
        function (rescaleSlope) {
            this._rescaleSlope = rescaleSlope;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "rescaleIntercept", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rescaleIntercept;
        },
        set: /**
         * @param {?} rescaleIntercept
         * @return {?}
         */
        function (rescaleIntercept) {
            this._rescaleIntercept = rescaleIntercept;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "bitsAllocated", {
        get: /**
         * @return {?}
         */
        function () {
            return this._bitsAllocated;
        },
        set: /**
         * @param {?} bitsAllocated
         * @return {?}
         */
        function (bitsAllocated) {
            this._bitsAllocated = bitsAllocated;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "dist", {
        get: /**
         * @return {?}
         */
        function () {
            return this._dist;
        },
        set: /**
         * @param {?} dist
         * @return {?}
         */
        function (dist) {
            this._dist = dist;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelSpacing", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelSpacing;
        },
        set: /**
         * @param {?} pixelSpacing
         * @return {?}
         */
        function (pixelSpacing) {
            this._pixelSpacing = pixelSpacing;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelAspectRatio", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelAspectRatio;
        },
        set: /**
         * @param {?} pixelAspectRatio
         * @return {?}
         */
        function (pixelAspectRatio) {
            this._pixelAspectRatio = pixelAspectRatio;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "minMax", {
        get: /**
         * @return {?}
         */
        function () {
            return this._minMax;
        },
        set: /**
         * @param {?} minMax
         * @return {?}
         */
        function (minMax) {
            this._minMax = minMax;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "dimensionIndexValues", {
        get: /**
         * @return {?}
         */
        function () {
            return this._dimensionIndexValues;
        },
        set: /**
         * @param {?} dimensionIndexValues
         * @return {?}
         */
        function (dimensionIndexValues) {
            this._dimensionIndexValues = dimensionIndexValues;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "instanceNumber", {
        get: /**
         * @return {?}
         */
        function () {
            return this._instanceNumber;
        },
        set: /**
         * @param {?} instanceNumber
         * @return {?}
         */
        function (instanceNumber) {
            this._instanceNumber = instanceNumber;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelData", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelData;
        },
        set: /**
         * @param {?} pixelData
         * @return {?}
         */
        function (pixelData) {
            this._pixelData = pixelData;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "sopInstanceUID", {
        get: /**
         * @return {?}
         */
        function () {
            return this._sopInstanceUID;
        },
        set: /**
         * @param {?} sopInstanceUID
         * @return {?}
         */
        function (sopInstanceUID) {
            this._sopInstanceUID = sopInstanceUID;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelPaddingValue", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelPaddingValue;
        },
        set: /**
         * @param {?} pixelPaddingValue
         * @return {?}
         */
        function (pixelPaddingValue) {
            this._pixelPaddingValue = pixelPaddingValue;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelRepresentation", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelRepresentation;
        },
        set: /**
         * @param {?} pixelRepresentation
         * @return {?}
         */
        function (pixelRepresentation) {
            this._pixelRepresentation = pixelRepresentation;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "pixelType", {
        get: /**
         * @return {?}
         */
        function () {
            return this._pixelType;
        },
        set: /**
         * @param {?} pixelType
         * @return {?}
         */
        function (pixelType) {
            this._pixelType = pixelType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "url", {
        get: /**
         * @return {?}
         */
        function () {
            return this._url;
        },
        set: /**
         * @param {?} url
         * @return {?}
         */
        function (url) {
            this._url = url;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "referencedSegmentNumber", {
        get: /**
         * @return {?}
         */
        function () {
            return this._referencedSegmentNumber;
        },
        set: /**
         * @param {?} referencedSegmentNumber
         * @return {?}
         */
        function (referencedSegmentNumber) {
            this._referencedSegmentNumber = referencedSegmentNumber;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "rightHanded", {
        get: /**
         * @return {?}
         */
        function () {
            return this._rightHanded;
        },
        set: /**
         * @param {?} rightHanded
         * @return {?}
         */
        function (rightHanded) {
            this._rightHanded = rightHanded;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "index", {
        get: /**
         * @return {?}
         */
        function () {
            return this._index;
        },
        set: /**
         * @param {?} index
         * @return {?}
         */
        function (index) {
            this._index = index;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "invert", {
        get: /**
         * @return {?}
         */
        function () {
            return this._invert;
        },
        set: /**
         * @param {?} invert
         * @return {?}
         */
        function (invert) {
            this._invert = invert;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsFrame.prototype, "numberOfChannels", {
        get: /**
         * @return {?}
         */
        function () {
            return this._numberOfChannels;
        },
        set: /**
         * @param {?} numberOfChannels
         * @return {?}
         */
        function (numberOfChannels) {
            this._numberOfChannels = numberOfChannels;
        },
        enumerable: true,
        configurable: true
    });
    return ModelsFrame;
}(ModelsBase));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var VolumeRenderingComponent = /** @class */ (function (_super) {
    __extends(VolumeRenderingComponent, _super);
    function VolumeRenderingComponent(sceneService, renderer, ef) {
        var _this = _super.call(this, sceneService, renderer) || this;
        _this.ef = ef.nativeElement;
        _this.lut = new HelperLut(_this.ef);
        _this.lut.luts = HelperLut.presetLuts();
        _this.lut.lutsO = HelperLut.presetLutsO();
        renderer.renderer.setClearColor(0xeeeeee);
        return _this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    VolumeRenderingComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var stack = this.getStack(model.volume);
        /** @type {?} */
        var helper = new HelpersVolumeRendering(stack);
        this.lut.lut = model.color; // color
        this.lut.lutO = model.opacity; // opacity
        helper.uniforms.uTextureLUT.value.dispose();
        helper.uniforms.uTextureLUT.value = this.lut.texture;
        helper.uniforms.uLut.value = 1;
        helper.algorithm = model.algorithm; // algorithm
        helper.alphaCorrection = model.alphaCorrection; // alphaCorrection
        // helper.uniforms.uInterpolation.value = 1;
        return helper;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    VolumeRenderingComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        /** @type {?} */
        var stack = this.getStack(model.volume);
        /** @type {?} */
        var helper = new HelpersVolumeRendering(stack);
        this.lut.lut = model.color; // color
        this.lut.lutO = model.opacity; // opacity
        helper.uniforms.uTextureLUT.value.dispose();
        helper.uniforms.uTextureLUT.value = this.lut.texture;
        helper.uniforms.uLut.value = 1;
        helper.algorithm = model.algorithm; // algorithm
        helper.alphaCorrection = model.alphaCorrection; // alphaCorrection
        // helper.uniforms.uInterpolation.value = 1;
        return helper;
    };
    /**
     * @param {?} volume
     * @return {?}
     */
    VolumeRenderingComponent.prototype.getStack = /**
     * @param {?} volume
     * @return {?}
     */
    function (volume) {
        /** @type {?} */
        var stack = new ModelsStack();
        /** @type {?} */
        var rows = volume.meta.shape.x;
        /** @type {?} */
        var cols = volume.meta.shape.y;
        /** @type {?} */
        var frames = volume.meta.shape.z;
        stack._numberOfFrames = frames;
        stack.modality = 'unknown';
        for (var i = 1; i <= stack._numberOfFrames; i++) {
            /** @type {?} */
            var frame = new ModelsFrame();
            frame.sopInstanceUID = i;
            frame.index = i;
            frame.instanceNumber = i;
            frame.rows = rows;
            frame.columns = cols;
            frame.pixelSpacing = [1.0, 1.0, 1.0];
            frame.imagePosition = [127.0, 118.0, -57.0];
            // frame.imagePosition = [volume.meta.center.x, volume.meta.center.y, volume.meta.center.z];
            // frame.pixelData = this.getData(i, rows, cols);
            frame.pixelData = this.getFrame(i, volume);
            frame.imageOrientation = [-1, -0, 0, -0, -1, 0];
            frame.rescaleSlope = 1;
            frame.rescaleIntercept = 0;
            frame.minMax = this.getMinMax(frame.pixelData);
            if (frame.imageOrientation === null) {
                frame.imageOrientation = [1, 0, 0, 0, 1, 0];
            }
            stack.frame.push(frame);
            // console.log(frame.pixelData);
        }
        return stack;
    };
    /**
     * @param {?} k
     * @param {?} volume
     * @return {?}
     */
    VolumeRenderingComponent.prototype.getFrame = /**
     * @param {?} k
     * @param {?} volume
     * @return {?}
     */
    function (k, volume) {
        /** @type {?} */
        var data = new Uint8Array(volume.meta.shape.x * volume.meta.shape.y);
        for (var i = 1; i <= data.length; i++) {
            data[i] = volume.pixel(i + k * volume.meta.shape.x * volume.meta.shape.y);
        }
        // for (let i = 1; i <= volume.meta.shape.x; i++) {
        //   for (let j = 1; j <= volume.meta.shape.y; j++) {
        //     data[i][j] = volume.pixel3(i, j, k);
        //   }
        // }
        return data;
    };
    /**
     * @param {?} k
     * @param {?} rows
     * @param {?} columes
     * @return {?}
     */
    VolumeRenderingComponent.prototype.getData = /**
     * @param {?} k
     * @param {?} rows
     * @param {?} columes
     * @return {?}
     */
    function (k, rows, columes) {
        /** @type {?} */
        var data = new Uint8Array(rows * columes);
        for (var i = 1; i <= data.length; i++) {
            data[i] = 0;
        }
        return data;
    };
    /**
     * @param {?} data
     * @return {?}
     */
    VolumeRenderingComponent.prototype.getMinMax = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        /** @type {?} */
        var min;
        /** @type {?} */
        var max = 0;
        /** @type {?} */
        var sortData = data.sort();
        min = sortData[0];
        max = sortData[sortData.length - 1];
        return [min, max];
    };
    /**
     * @return {?}
     */
    VolumeRenderingComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new VolumeModel('red', 'bandpass', 0, 0.25, new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), new Float32Array(190 * 256 * 151)));
    };
    VolumeRenderingComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-volume-rendering',
                    template: "<p>\n  volume-rendering works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    VolumeRenderingComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService },
        { type: ElementRef }
    ]; };
    return VolumeRenderingComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @return {?}
 */
function initialRingEntityState() {
    return {
        canvasId: v4(),
        id: v4(),
        model: new RingModel(new Vector3(0, 0, 0), 29.9, 30),
        color: new Color(60, 179, 113),
    };
}
var EntityStoreService = /** @class */ (function () {
    function EntityStoreService() {
        this.toSearch = (/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x; });
        this.updateEqualCanvasRing = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return x.canvasId === y.canvasId && y.model.type === 'ring'; });
        this.updateEqualCanvasLine = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return x.canvasId === y.canvasId && y.model.type === 'line'; });
        this.updateEqualCanvasCrossLine = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return x.canvasId === y.canvasId && y.model.type === 'crossline'; });
        this.updateEqualFov = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) {
            return x.id === y.id && y.model.type === 'fov';
        });
        this.fromUpdateModelId = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return (__assign({}, y, { model: x.model })); });
        this.fromUpdateModel = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return (__assign({}, y, { model: x.model })); });
        this.updateEqualCrosslines = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return true; });
        this.fromUpdateCrosslines = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return (__assign({}, y, { model: __assign({}, ((/** @type {?} */ (y.model))), { position: ((/** @type {?} */ (x.model))).position }) })); });
        this.removeEqual = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) {
            return x.canvasId === y.canvasId;
        });
        this.updateEqualAll = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return true; });
        this.fromUpdateId = (/**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) { return (__assign({}, y, { canvasId: x.canvasId, id: v4() })); });
        this.whichDraging$ = new Observable();
        this.entityArrayCollectionOf = new ArrayCollectionOf(new Array(initialRingEntityState()));
        this.entityStateStore = new ItemStore(this.entityArrayCollectionOf, true);
        this.entityRingDatabase = new Database(this.entityStateStore, this.updateEqualCanvasRing, this.removeEqual, this.toSearch, this.fromUpdateModel);
        this.entityCrossLineDatabase = new Database(this.entityStateStore, this.updateEqualCanvasCrossLine, this.removeEqual, this.toSearch, this.fromUpdateModel);
        this.entityCrossLinesDatabase = new Database(this.entityStateStore, this.updateEqualCrosslines, this.removeEqual, this.toSearch, this.fromUpdateCrosslines);
        this.fovDatabese = new Database(this.entityStateStore, this.updateEqualFov, this.removeEqual, this.toSearch, this.fromUpdateModelId);
        this.imageDatabase = new Database(this.entityStateStore);
        this.selectedEntityStateStore = new ItemStore(new ArrayCollectionOf(new Array(initialRingEntityState())), true);
        this.selectedEntityDatabase = new Database(this.selectedEntityStateStore);
        this.clipBoardStore = new ItemStore(new ArrayCollectionOf(new Array(initialRingEntityState())), true);
        this.clipBoardDatabase = new Database(this.clipBoardStore, this.updateEqualAll, this.removeEqual, this.toSearch, this.fromUpdateId);
        this.clearSelected();
        this.clearClipBoard();
        this.clear();
    }
    /**
     * @template T, K
     * @param {?} x
     * @param {?} y
     * @return {?}
     */
    EntityStoreService.prototype.updateFunction = /**
     * @template T, K
     * @param {?} x
     * @param {?} y
     * @return {?}
     */
    function (x, y) {
        return false;
    };
    /**
     * @param {?} toAdd
     * @return {?}
     */
    EntityStoreService.prototype.addEntity = /**
     * @param {?} toAdd
     * @return {?}
     */
    function (toAdd) {
        this.entityRingDatabase.insert(toAdd).subscribe(noop, console.error);
    };
    /**
     * @param {?} selected
     * @return {?}
     */
    EntityStoreService.prototype.selectEntity = /**
     * @param {?} selected
     * @return {?}
     */
    function (selected) {
        this.selectedEntityDatabase.insert(selected).subscribe(noop, console.error);
    };
    /**
     * @param {?} selected
     * @return {?}
     */
    EntityStoreService.prototype.selectEntities = /**
     * @param {?} selected
     * @return {?}
     */
    function (selected) {
        this.selectedEntityDatabase
            .insertMany(selected)
            .subscribe(noop, console.error);
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.clearSelected = /**
     * @return {?}
     */
    function () {
        this.selectedEntityStateStore
            .filter((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return false; }))
            .subscribe(noop, console.error);
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.clearClipBoard = /**
     * @return {?}
     */
    function () {
        this.clipBoardStore.filter((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return false; })).subscribe(noop, console.error);
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.clear = /**
     * @return {?}
     */
    function () {
        this.entityStateStore.filter((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return false; })).subscribe(noop, console.error);
    };
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    EntityStoreService.prototype.updateRingEntity = /**
     * @param {?} toUpdate
     * @return {?}
     */
    function (toUpdate) {
        this.entityRingDatabase.update(toUpdate).subscribe(noop, console.error);
    };
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    EntityStoreService.prototype.updateCrosslineEntity = /**
     * @param {?} toUpdate
     * @return {?}
     */
    function (toUpdate) {
        this.entityCrossLineDatabase
            .update(toUpdate)
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    EntityStoreService.prototype.updateCrosslines = /**
     * @param {?} toUpdate
     * @return {?}
     */
    function (toUpdate) {
        this.entityCrossLinesDatabase
            .updateMany(toUpdate)
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    EntityStoreService.prototype.updateRings = /**
     * @param {?} toUpdate
     * @return {?}
     */
    function (toUpdate) {
        var _a;
        (_a = this.entityRingDatabase).updateMany.apply(_a, __spread(toUpdate)).subscribe(noop, console.error);
    };
    /**
     * @param {?} toUpdate
     * @return {?}
     */
    EntityStoreService.prototype.updateFov = /**
     * @param {?} toUpdate
     * @return {?}
     */
    function (toUpdate) {
        this.fovDatabese.update(toUpdate).subscribe(noop, console.error);
    };
    /**
     * @param {?} toRemove
     * @return {?}
     */
    EntityStoreService.prototype.removeEntity = /**
     * @param {?} toRemove
     * @return {?}
     */
    function (toRemove) {
        this.entityRingDatabase.remove(toRemove).subscribe(noop, console.error);
    };
    /**
     * @param {?} toRemove
     * @return {?}
     */
    EntityStoreService.prototype.removeEntities = /**
     * @param {?} toRemove
     * @return {?}
     */
    function (toRemove) {
        var _a;
        (_a = this.entityRingDatabase).removeMany.apply(_a, __spread(toRemove)).subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.removeEntityWithCanvasId = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.entityRingDatabase.remove({ canvasId: canvasId }).subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.addRing = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new RingModel(new Vector3(0, 0, 0), 3, 3.0001),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.addLine = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new LineModel(new Vector3(0, 0, 0), new Vector3(10, 0, 0)),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.addCrossLine = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.entityRingDatabase
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new CrossLineModel(new Vector3(0, 0, 0), 'z'),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @param {?=} center
     * @param {?=} size
     * @return {?}
     */
    EntityStoreService.prototype.addFov = /**
     * @param {?} canvasId
     * @param {?=} center
     * @param {?=} size
     * @return {?}
     */
    function (canvasId, center, size) {
        if (center === void 0) { center = new Vector2(0, 0); }
        if (size === void 0) { size = new Vector2(30, 10); }
        this.fovDatabese
            .insert({
            canvasId: canvasId,
            id: v4(),
            model: new FovModel(new BoundingBox2FromCenterSize(center, size)),
            color: new Color(60, 179, 113),
        })
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.cutEntity = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.clearClipBoard();
        this.copyEntity(canvasId);
        this.removeEntityWithCanvasId(canvasId);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.copyEntity = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        var _this = this;
        this.clearClipBoard();
        this.entitiesOfCanvas(canvasId)
            .pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            var _a;
            return (_a = _this.clipBoardDatabase).insertMany.apply(_a, __spread(e)).subscribe(noop, console.error);
        })))
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.pasteEntity = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        var _this = this;
        this.clipBoardDatabase.update({ canvasId: canvasId }).subscribe(noop, console.error);
        this.clipBoardDatabase
            .searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return true; }))
            .pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            var _a;
            return (_a = _this.entityRingDatabase).insertMany.apply(_a, __spread(e)).subscribe((/**
             * @param {?} a
             * @return {?}
             */
            function (a) { return console.log(a); }), console.error);
        })))
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.entitiesOfCanvas = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.canvasId === canvasId; }));
    };
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    EntityStoreService.prototype.crosslineOnCanvas = /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    function (canvasId, op) {
        /** @type {?} */
        var current;
        this.getCrossline(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            if (x === undefined) {
                return;
            }
            current = (/** @type {?} */ (x.model));
        })))
            .subscribe(noop, console.error);
        return op(current);
    };
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    EntityStoreService.prototype.ringOnCanvas = /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    function (canvasId, op) {
        /** @type {?} */
        var current;
        this.getRing(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return (current = (/** @type {?} */ (x.model))); })))
            .subscribe(noop, console.error);
        return op(current);
    };
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    EntityStoreService.prototype.fovOnCanvas = /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    function (canvasId, op) {
        /** @type {?} */
        var current;
        this.getFov(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return (current = x); })))
            .subscribe(noop, console.error);
        return op(current);
    };
    /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    EntityStoreService.prototype.fovsOnCanvas = /**
     * @template T
     * @param {?} canvasId
     * @param {?} op
     * @return {?}
     */
    function (canvasId, op) {
        /** @type {?} */
        var current;
        this.getFovs(canvasId)
            .pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return (current = x); })))
            .subscribe(noop, console.error);
        return op(current);
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.showEntities = /**
     * @return {?}
     */
    function () {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return true; }));
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.showClipBoard = /**
     * @return {?}
     */
    function () {
        return this.clipBoardDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return true; }));
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.getRings = /**
     * @return {?}
     */
    function () {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.model.type === 'ring'; }));
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.getRing = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        return this.entityRingDatabase.search((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.canvasId === canvasId && x.model.type === 'ring'; }));
    };
    /**
     * @return {?}
     */
    EntityStoreService.prototype.getCircles = /**
     * @return {?}
     */
    function () {
        return this.entityRingDatabase.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.model.type === 'circle'; }));
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.getFov = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        return this.fovDatabese.search((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.canvasId === canvasId && x.model.type === 'fov'; }));
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.getFovs = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        return this.fovDatabese.searchMany((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.canvasId === canvasId && x.model.type === 'fov'; }));
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    EntityStoreService.prototype.getCrossline = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        return this.entityCrossLineDatabase.search((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.canvasId === canvasId && x.model.type === 'crossline'; }));
    };
    // getCrosslines() {
    //   return this.entityCrossLinesDatabase.searchMany(
    //     x => x.model.type === 'crossline',
    //   );
    // }
    // getCrosslines() {
    //   return this.entityCrossLinesDatabase.searchMany(
    //     x => x.model.type === 'crossline',
    //   );
    // }
    /**
     * @return {?}
     */
    EntityStoreService.prototype.getROI = 
    // getCrosslines() {
    //   return this.entityCrossLinesDatabase.searchMany(
    //     x => x.model.type === 'crossline',
    //   );
    // }
    /**
     * @return {?}
     */
    function () { };
    EntityStoreService.decorators = [
        { type: Injectable, args: [{
                    // providedIn: EntityStoreModule,
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    EntityStoreService.ctorParameters = function () { return []; };
    /** @nocollapse */ EntityStoreService.ngInjectableDef = defineInjectable({ factory: function EntityStoreService_Factory() { return new EntityStoreService(); }, token: EntityStoreService, providedIn: "root" });
    return EntityStoreService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var FovComponent = /** @class */ (function () {
    function FovComponent() {
        var _this = this;
        this.lineTest = new LineModel(new Vector3(0, 0, 0), new Vector3(10, 10, 0));
        this.models = {
            Right: this.lineTest,
            Left: this.lineTest,
            Top: this.lineTest,
            Bottom: this.lineTest,
            Up: this.lineTest,
            Down: this.lineTest,
        };
        this.leftTop = new Vector3(0, 0, 0);
        this.leftBottom = new Vector3(0, 10, 0);
        this.rightTop = new Vector3(10, 0, 0);
        this.rightBottom = new Vector3(10, 10, 0);
        this.right = 10;
        this.top = 20;
        this.bottom = 10;
        this.currentColor = new Color(0.5, 0.5, 0.5);
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.fovSubject = new BehaviorSubject(new FovModel(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(60, 60))));
        this.fov$ = this.fovSubject.asObservable();
        this.z = 20;
        this.isActive = true;
        this.upAndDownShow = false;
        this.models$ = this.fov$.pipe(filter((/**
         * @param {?} m
         * @return {?}
         */
        function (m) { return m !== undefined; })), map((/**
         * @param {?} m
         * @return {?}
         */
        function (m) { return _this.addLines(m.box, true); })));
    }
    Object.defineProperty(FovComponent.prototype, "model", {
        // @Input()
        // get box(): BoundingBox2 {
        //   return this.boxSubject.value;
        // }
        // set box(b: BoundingBox2) {
        //   this.boxSubject.next(b);
        // }
        get: 
        // @Input()
        // get box(): BoundingBox2 {
        //   return this.boxSubject.value;
        // }
        // set box(b: BoundingBox2) {
        //   this.boxSubject.next(b);
        // }
        /**
         * @return {?}
         */
        function () {
            return this.fovSubject.value;
        },
        set: /**
         * @param {?} m
         * @return {?}
         */
        function (m) {
            this.fovSubject.next(m);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} m
     * @param {?=} active
     * @return {?}
     */
    FovComponent.prototype.addLines = /**
     * @param {?} m
     * @param {?=} active
     * @return {?}
     */
    function (m, active) {
        if (active === void 0) { active = false; }
        if (m !== undefined) {
            this.setCurrentColor(active);
            this.setCurrentPos(m);
            this.models.Top = new LineModel(this.leftTop, this.rightTop, 'Dashed', this.currentColor);
            this.models.Bottom = new LineModel(this.leftBottom, this.rightBottom, 'Dashed', this.currentColor);
            this.models.Left = new LineModel(this.leftTop, this.leftBottom, 'Dashed', this.currentColor);
            this.models.Right = new LineModel(this.rightTop, this.rightBottom, 'Dashed', this.currentColor);
            this.models.Up = new LineModel(new Vector3(-1000, this.leftTop.y - 0.2, this.z), new Vector3(1000, this.leftTop.y - 0.2, this.z), 'Dashed', new Color(1.0, 1.0, 0));
            this.models.Down = new LineModel(new Vector3(-1000, this.leftBottom.y + 0.15, this.z), new Vector3(1000, this.leftBottom.y + 0.15, this.z), 'Dashed', new Color(1.0, 1.0, 0));
        }
        return this.models;
    };
    /**
     * @param {?=} active
     * @return {?}
     */
    FovComponent.prototype.setCurrentColor = /**
     * @param {?=} active
     * @return {?}
     */
    function (active) {
        if (active === void 0) { active = false; }
        if (active === true) {
            this.currentColor = new Color(1.0, 0.0, 0);
        }
        else {
            this.currentColor = new Color(0.5, 0.5, 0.5);
        }
    };
    /**
     * @param {?} m
     * @return {?}
     */
    FovComponent.prototype.setCurrentPos = /**
     * @param {?} m
     * @return {?}
     */
    function (m) {
        if (m !== undefined) {
            /** @type {?} */
            var left = m.center.x - m.size.x / 2;
            /** @type {?} */
            var right = m.center.x + m.size.x / 2;
            /** @type {?} */
            var top_1 = m.center.y - m.size.y / 2;
            /** @type {?} */
            var bottom = m.center.y + m.size.y / 2;
            this.leftTop = new Vector3(left, top_1, this.z);
            this.leftBottom = new Vector3(left, bottom, this.z);
            this.rightTop = new Vector3(right, top_1, this.z);
            this.rightBottom = new Vector3(right, bottom, this.z);
        }
    };
    /**
     * @return {?}
     */
    FovComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    FovComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-fov',
                    template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-line [model]=\"models.Bottom\"></ng3-line>\n  <ng3-line [model]=\"models.Left\"></ng3-line>\n  <ng3-line [model]=\"models.Right\"></ng3-line>\n  <ng3-line [model]=\"models.Top\"></ng3-line>\n  <ng3-line *ngIf=\"upAndDownShow\" [model]=\"models.Up\"></ng3-line>\n  <ng3-line *ngIf=\"upAndDownShow\" [model]=\"models.Down\"></ng3-line>\n</ng-container>\n\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    FovComponent.ctorParameters = function () { return []; };
    FovComponent.propDecorators = {
        model: [{ type: Input }],
        z: [{ type: Input }],
        isActive: [{ type: Input }],
        upAndDownShow: [{ type: Input }]
    };
    return FovComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CrossLineComponent = /** @class */ (function () {
    function CrossLineComponent() {
        var _this = this;
        this.model$ = new Observable();
        this.posX = 0.0;
        this.posY = 0.0;
        this.imageSubject = new BehaviorSubject(new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200)), 10, undefined, new Vector3(0, 0, 0), true, 0.0, true));
        this.image$ = this.imageSubject.asObservable();
        this.lineTest = new LineModel(new Vector3(0, 0, 0), new Vector3(10, 10, 0));
        this.models = {
            vertical: this.lineTest,
            horizontal: this.lineTest,
        };
        // private lineSubject = new BehaviorSubject<LineInputModel>({
        //   id: 'testLine',
        //   position: new Vector3(0, 2, 30),
        //   view: 'x',
        //   crosslineLength: 1.5,
        // });
        this.crosslineSubject = new BehaviorSubject(new CrossLineModel(new Vector3(0, 2, 30), 'z', 1.5));
        // line$ = this.lineSubject.asObservable();
        this.crossline$ = this.crosslineSubject.asObservable();
        this.drag = new EventEmitter();
        // @Output() modelChanged: EventEmitter<Vector3> = new EventEmitter<Vector3>();
        this.z = 0;
        // this.models_bak$ = this.line$.pipe(
        //   filter(m => m !== undefined),
        //   map(m => this.addCrossLines(m)),
        // );
        this.models$ = this.crossline$.pipe(filter((/**
         * @param {?} m
         * @return {?}
         */
        function (m) { return m !== undefined; })), 
        // tap(m => console.log(m)),
        map((/**
         * @param {?} m
         * @return {?}
         */
        function (m) { return _this.plotCrossLine(m); })));
    }
    Object.defineProperty(CrossLineComponent.prototype, "model", {
        // @Input() viewInput: View = 'x';
        // @Input()
        // get model_bak(): LineInputModel {
        //   return this.lineSubject.value;
        // }
        // set model_bak(b: LineInputModel) {
        //   this.lineSubject.next(b);
        // }
        get: 
        // @Input() viewInput: View = 'x';
        // @Input()
        // get model_bak(): LineInputModel {
        //   return this.lineSubject.value;
        // }
        // set model_bak(b: LineInputModel) {
        //   this.lineSubject.next(b);
        // }
        /**
         * @return {?}
         */
        function () {
            return this.crosslineSubject.value;
        },
        set: /**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            this.crosslineSubject.next(b);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} m
     * @return {?}
     */
    CrossLineComponent.prototype.plotCrossLine = /**
     * @param {?} m
     * @return {?}
     */
    function (m) {
        var _this = this;
        this.updatePos(m);
        this.model$ = this.image$.pipe(map((/**
         * @return {?}
         */
        function () {
            return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(_this.posX, _this.posY), new Vector2(m.lineWidth * 5, m.lineWidth * 5)));
        })));
        // this.models$.pipe(map(m => ))
        this.models.vertical = new LineModel(new Vector3(this.posX + 80, this.posY, this.z), new Vector3(this.posX - 80, this.posY, this.z), 'Solid');
        this.models.horizontal = new LineModel(new Vector3(this.posX, this.posY - 80, this.z), new Vector3(this.posX, this.posY + 80, this.z), 'Solid');
        // this.modelChanged.emit(m.position);
        return this.models;
    };
    // addCrossLines(m: LineInputModel) {
    //   this.updatePos_bak(m);
    //   this.model$ = this.image$.pipe(
    //     map(() => {
    //       return new Plane2Model(
    //         new BoundingBox2FromCenterSize(
    //           new Vector2(this.posX, this.posY),
    //           new Vector2(m.crosslineLength * 10, m.crosslineLength * 10),
    //         ),
    //         undefined,
    //         new Vector3(0, 0, 0),
    //         true,
    //         0.0,
    //         false,
    //       );
    //     }),
    //   );
    //   // this.models.Vertical = m;
    //   // if (m !== undefined) {
    //   //   if (m.start.x === m.end.x) {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x - Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2,
    //   //       m.start.z), new Vector3(m.start.x + Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2, m.end.z), m.style);
    //   //   } else {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y - Math.abs(m.start.x - m.end.x) / 2,
    //   //       m.start.z), new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y + Math.abs(m.start.x - m.end.x) / 2, m.end.z), m.style);
    //   //   }
    //   // }
    //   this.models.vertical = new LineModel(
    //     new Vector3(this.posX + 80, this.posY, this.z),
    //     new Vector3(this.posX - 80, this.posY, this.z),
    //     'Dashed',
    //   );
    //   this.models.horizontal = new LineModel(
    //     new Vector3(this.posX, this.posY - 80, this.z),
    //     new Vector3(this.posX, this.posY + 80, this.z),
    //     'Dashed',
    //   );
    //   this.modelChanged.emit(m.position);
    //   return this.models;
    // }
    // addCrossLines(m: LineInputModel) {
    //   this.updatePos_bak(m);
    //   this.model$ = this.image$.pipe(
    //     map(() => {
    //       return new Plane2Model(
    //         new BoundingBox2FromCenterSize(
    //           new Vector2(this.posX, this.posY),
    //           new Vector2(m.crosslineLength * 10, m.crosslineLength * 10),
    //         ),
    //         undefined,
    //         new Vector3(0, 0, 0),
    //         true,
    //         0.0,
    //         false,
    //       );
    //     }),
    //   );
    //   // this.models.Vertical = m;
    //   // if (m !== undefined) {
    //   //   if (m.start.x === m.end.x) {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x - Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2,
    //   //       m.start.z), new Vector3(m.start.x + Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2, m.end.z), m.style);
    //   //   } else {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y - Math.abs(m.start.x - m.end.x) / 2,
    //   //       m.start.z), new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y + Math.abs(m.start.x - m.end.x) / 2, m.end.z), m.style);
    //   //   }
    //   // }
    //   this.models.vertical = new LineModel(
    //     new Vector3(this.posX + 80, this.posY, this.z),
    //     new Vector3(this.posX - 80, this.posY, this.z),
    //     'Dashed',
    //   );
    //   this.models.horizontal = new LineModel(
    //     new Vector3(this.posX, this.posY - 80, this.z),
    //     new Vector3(this.posX, this.posY + 80, this.z),
    //     'Dashed',
    //   );
    //   this.modelChanged.emit(m.position);
    //   return this.models;
    // }
    /**
     * @param {?} d
     * @return {?}
     */
    CrossLineComponent.prototype.onDragEvent = 
    // addCrossLines(m: LineInputModel) {
    //   this.updatePos_bak(m);
    //   this.model$ = this.image$.pipe(
    //     map(() => {
    //       return new Plane2Model(
    //         new BoundingBox2FromCenterSize(
    //           new Vector2(this.posX, this.posY),
    //           new Vector2(m.crosslineLength * 10, m.crosslineLength * 10),
    //         ),
    //         undefined,
    //         new Vector3(0, 0, 0),
    //         true,
    //         0.0,
    //         false,
    //       );
    //     }),
    //   );
    //   // this.models.Vertical = m;
    //   // if (m !== undefined) {
    //   //   if (m.start.x === m.end.x) {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x - Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2,
    //   //       m.start.z), new Vector3(m.start.x + Math.abs(m.start.y - m.end.y) / 2, m.start.y / 2 + m.end.y / 2, m.end.z), m.style);
    //   //   } else {
    //   //     this.models.Horizontal = new LineModel(new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y - Math.abs(m.start.x - m.end.x) / 2,
    //   //       m.start.z), new Vector3(m.start.x / 2 + m.end.x / 2, m.start.y + Math.abs(m.start.x - m.end.x) / 2, m.end.z), m.style);
    //   //   }
    //   // }
    //   this.models.vertical = new LineModel(
    //     new Vector3(this.posX + 80, this.posY, this.z),
    //     new Vector3(this.posX - 80, this.posY, this.z),
    //     'Dashed',
    //   );
    //   this.models.horizontal = new LineModel(
    //     new Vector3(this.posX, this.posY - 80, this.z),
    //     new Vector3(this.posX, this.posY + 80, this.z),
    //     'Dashed',
    //   );
    //   this.modelChanged.emit(m.position);
    //   return this.models;
    // }
    /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.drag.emit(d);
    };
    /**
     * @return {?}
     */
    CrossLineComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.imageSubject.complete();
        // this.lineSubject.complete();
        this.crosslineSubject.complete();
    };
    /**
     * @param {?} m
     * @return {?}
     */
    CrossLineComponent.prototype.updatePos = /**
     * @param {?} m
     * @return {?}
     */
    function (m) {
        switch (m.view) {
            case 'x':
                this.posX = m.position.y;
                this.posY = m.position.z;
                break;
            case 'y':
                this.posX = m.position.x;
                this.posY = m.position.z;
                break;
            case 'z':
                this.posX = m.position.x;
                this.posY = m.position.y;
                break;
            default:
                this.posX = m.position.y;
                this.posY = m.position.z;
        }
    };
    CrossLineComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-cross-line',
                    template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-line [model]=\"models.vertical\"></ng3-line>\n  <ng3-line [model]=\"models.horizontal\"></ng3-line>\n</ng-container>\n<!-- <ng3-line [model]=\"models\"></ng3-line>\n  <ng3-line [model]=\"models.v\"></ng3-line> -->\n<!-- <ng-template #test> <ng3-line [model]=\"models.Vertical\"></ng3-line>\n        <ng3-line [model]=\"models.Horizontal\"></ng3-line> -->\n<!-- <p>{{models|json}}</p> </ng-template> -->\n\n<!-- <ng3-line [model]=\"(models$ | async)\"></ng3-line> -->\n<!-- <ng-container *ngIf=\"(model$ | async) as model\">\n  <ng3-plane [model]=\"model\" ></ng3-plane>\n</ng-container> -->\n\n<!-- <ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n  <ng3-mouse-entity (drag)=\"onDragEvent($event)\"></ng3-mouse-entity>\n</ng3-plane> -->\n<!-- <ng3-line [model]=\"lineTest\"></ng3-line> -->\n",
                    providers: [EntityStoreService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    CrossLineComponent.ctorParameters = function () { return []; };
    CrossLineComponent.propDecorators = {
        drag: [{ type: Output }],
        z: [{ type: Input }],
        model: [{ type: Input }]
    };
    return CrossLineComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} image3
 * @param {?} slicer
 * @return {?}
 */
function applySlicer(image3, slicer) {
    return combineLatest(slicer, image3).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    function (x) {
        /** @type {?} */
        var sli = x[0];
        /** @type {?} */
        var img = x[1];
        return sli.slice(img);
    })));
}
var Slicer = /** @class */ (function () {
    function Slicer(direction, index, min, max) {
        if (direction === void 0) { direction = 'x'; }
        if (index === void 0) { index = 0; }
        if (min === void 0) { min = 0; }
        if (max === void 0) { max = 1000; }
        this.direction = direction;
        this.index = index;
        this.min = min;
        this.max = max;
        this.min = Math.floor(this.min);
        this.max = Math.floor(this.max);
        this.index = Math.max(Math.min(Math.floor(this.index), this.max), this.min);
    }
    /**
     * @param {?} max
     * @return {?}
     */
    Slicer.prototype.updateBoundmax = /**
     * @param {?} max
     * @return {?}
     */
    function (max) {
        return new Slicer(this.direction, this.index, this.min, max);
    };
    /**
     * @param {?} min
     * @return {?}
     */
    Slicer.prototype.updateBoundmin = /**
     * @param {?} min
     * @return {?}
     */
    function (min) {
        return new Slicer(this.direction, this.index, min, this.max);
    };
    /**
     * @param {?} index
     * @return {?}
     */
    Slicer.prototype.updateIndex = /**
     * @param {?} index
     * @return {?}
     */
    function (index) {
        if (index >= this.min && index < this.max) {
            return new Slicer(this.direction, index, this.min, this.max);
        }
        else {
            return this;
        }
    };
    /**
     * @param {?} a
     * @return {?}
     */
    Slicer.prototype.addIndex = /**
     * @param {?} a
     * @return {?}
     */
    function (a) {
        return this.updateIndex(this.index + a);
    };
    /**
     * @param {?} direction
     * @param {?=} image
     * @return {?}
     */
    Slicer.prototype.updateDirection = /**
     * @param {?} direction
     * @param {?=} image
     * @return {?}
     */
    function (direction, image) {
        return new Slicer(direction, this.index, this.min, image === undefined ? this.max : imageShapeOfDirection(image, direction));
    };
    /**
     * @param {?} img
     * @return {?}
     */
    Slicer.prototype.shapeOfDirection = /**
     * @param {?} img
     * @return {?}
     */
    function (img) {
        return imageShapeOfDirection(img, this.direction);
    };
    /**
     * @param {?} img
     * @return {?}
     */
    Slicer.prototype.slice = /**
     * @param {?} img
     * @return {?}
     */
    function (img) {
        var _this = this;
        /** @type {?} */
        var meta = img.meta;
        switch (this.direction) {
            case 'x':
                return new GrayImage2(new Vector2(meta.center.y, meta.center.z), new Vector2(meta.size.y, meta.size.z), new Vector2(meta.shape.y, meta.shape.z), loopSet(meta.shape.y, meta.shape.z, (/**
                 * @param {?} y
                 * @param {?} z
                 * @return {?}
                 */
                function (y, z) {
                    return img.pixel3(_this.index, y, z);
                })));
            case 'y':
                return new GrayImage2(new Vector2(meta.center.x, meta.center.z), new Vector2(meta.size.x, meta.size.z), new Vector2(meta.shape.x, meta.shape.z), loopSet(meta.shape.x, meta.shape.z, (/**
                 * @param {?} x
                 * @param {?} z
                 * @return {?}
                 */
                function (x, z) {
                    return img.pixel3(x, _this.index, z);
                })));
            case 'z':
                return new GrayImage2(new Vector2(meta.center.x, meta.center.y), new Vector2(meta.size.x, meta.size.y), new Vector2(meta.shape.x, meta.shape.y), loopSet(meta.shape.x, meta.shape.y, (/**
                 * @param {?} x
                 * @param {?} y
                 * @return {?}
                 */
                function (x, y) {
                    return img.pixel3(x, y, _this.index);
                })));
        }
    };
    return Slicer;
}());
/**
 * @param {?} img
 * @param {?} direction
 * @return {?}
 */
function imageShapeOfDirection(img, direction) {
    switch (direction) {
        case 'x':
            return img.meta.shape.x;
        case 'y':
            return img.meta.shape.y;
        case 'z':
            return img.meta.shape.z;
    }
}
/**
 * @param {?} sizeX
 * @param {?} sizeY
 * @param {?} getter
 * @return {?}
 */
function loopSet(sizeX, sizeY, getter) {
    /** @type {?} */
    var result = new Float32Array(sizeX * sizeY);
    for (var x = 0; x < sizeX; x++) {
        for (var y = 0; y < sizeY; y++) {
            result[x * sizeY + y] = getter(x, y);
        }
    }
    return result;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} image
 * @param {?} colormap
 * @return {?}
 */
function applyColormapObservable(image, colormap) {
    return combineLatest(image, colormap).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    function (x) { return applyColormap(x[0], x[1]); })));
}
/**
 * @param {?} image
 * @param {?} min
 * @param {?} max
 * @return {?}
 */
function imageMinMax(image, min, max) {
    /** @type {?} */
    var nbPixels = image.meta.shape.x * image.meta.shape.y;
    for (var i = 0; i < nbPixels; i++) {
        image.data[i] = Math.max(Math.min(image.data[i], max), min);
    }
    return image;
}
/**
 * @param {?} image
 * @param {?} colormap
 * @return {?}
 */
function applyColormap(image, colormap) {
    /** @type {?} */
    var nbPixels = image.meta.shape.x * image.meta.shape.y;
    /** @type {?} */
    var r = new Uint8Array(nbPixels);
    /** @type {?} */
    var g = new Uint8Array(nbPixels);
    /** @type {?} */
    var b = new Uint8Array(nbPixels);
    for (var i = 0; i < nbPixels; i++) {
        r[i] = colormap.r(image.data[i]);
        g[i] = colormap.g(image.data[i]);
        b[i] = colormap.b(image.data[i]);
    }
    return new RGBImage2(image.meta.center, image.meta.size, image.meta.shape, r, g, b);
}
var Colormaps;
(function (Colormaps) {
    /**
     * @param {?} x
     * @return {?}
     */
    function truncate(x) {
        return Math.max(Math.min(x, 1), 0);
    }
    Colormaps.GRAY = {
        name: 'gray',
        r: (/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return truncate(x) * 255; }),
        g: (/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return truncate(x) * 255; }),
        b: (/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return truncate(x) * 255; }),
    };
    /** @type {?} */
    var greenThreshold = 0.3671875;
    /** @type {?} */
    var blueThreshold = 0.7460938;
    Colormaps.HOT = {
        name: 'hot',
        r: /**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            /** @type {?} */
            var c = truncate(x);
            if (c < greenThreshold) {
                return (c / greenThreshold) * 255;
            }
            return 255;
        },
        g: /**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            /** @type {?} */
            var c = truncate(x);
            if (c < blueThreshold) {
                if (c > greenThreshold) {
                    return ((c - greenThreshold) / (blueThreshold - greenThreshold)) * 255;
                }
                return 0;
            }
            return 255;
        },
        b: /**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            /** @type {?} */
            var c = truncate(x);
            if (c < blueThreshold) {
                return 0;
            }
            return ((c - blueThreshold) / (1.0 - blueThreshold)) * 255;
        },
    };
})(Colormaps || (Colormaps = {}));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var GrayImage2PixelwiseFilter = /** @class */ (function () {
    function GrayImage2PixelwiseFilter(f) {
        this.f = f;
    }
    /**
     * @param {?} img
     * @return {?}
     */
    GrayImage2PixelwiseFilter.prototype.filter = /**
     * @param {?} img
     * @return {?}
     */
    function (img) {
        var _this = this;
        /** @type {?} */
        var vmax = img.max();
        /** @type {?} */
        var vmin = img.min();
        /** @type {?} */
        var result = new GrayImage2(img.meta.center, img.meta.size, img.meta.shape, img.data.map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return (x - vmin) / (vmax - vmin); })).map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return _this.f(x); })));
        return result;
    };
    return GrayImage2PixelwiseFilter;
}());
var GrayImage2ScaleOffsetFilter = /** @class */ (function (_super) {
    __extends(GrayImage2ScaleOffsetFilter, _super);
    function GrayImage2ScaleOffsetFilter(scale, offset) {
        return _super.call(this, (/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x * scale + offset; })) || this;
    }
    return GrayImage2ScaleOffsetFilter;
}(GrayImage2PixelwiseFilter));
var GrayImage2WindowFilter = /** @class */ (function (_super) {
    __extends(GrayImage2WindowFilter, _super);
    function GrayImage2WindowFilter(width, level) {
        var _this = _super.call(this, (
        // (x) => Math.min(Math.max(x, level - width / 2), level + width / 2) / width
        // (x) => Math.min(Math.max(x, level - width / 2), level + width / 2) / width
        /**
         * @param {?} x
         * @return {?}
         */
        function (x) { return Math.min(Math.max(x, level - width / 2), level + width / 2); })) || this;
        _this.width = width;
        _this.level = level;
        return _this;
    }
    /**
     * @param {?} l
     * @return {?}
     */
    GrayImage2WindowFilter.prototype.updateLevel = /**
     * @param {?} l
     * @return {?}
     */
    function (l) {
        return new GrayImage2WindowFilter(this.width, l);
    };
    /**
     * @param {?} w
     * @return {?}
     */
    GrayImage2WindowFilter.prototype.updataWidth = /**
     * @param {?} w
     * @return {?}
     */
    function (w) {
        return new GrayImage2WindowFilter(w, this.level);
    };
    /**
     * @param {?} a
     * @return {?}
     */
    GrayImage2WindowFilter.prototype.addWidth = /**
     * @param {?} a
     * @return {?}
     */
    function (a) {
        return new GrayImage2WindowFilter(this.width + a, this.level);
    };
    /**
     * @param {?} a
     * @return {?}
     */
    GrayImage2WindowFilter.prototype.addLevel = /**
     * @param {?} a
     * @return {?}
     */
    function (a) {
        return new GrayImage2WindowFilter(this.width, this.level + a);
    };
    /**
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    GrayImage2WindowFilter.prototype.addWidthLevel = /**
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    function (addWidth, addLevel) {
        return this.addWidth(addWidth).addLevel(addLevel);
    };
    return GrayImage2WindowFilter;
}(GrayImage2PixelwiseFilter));
/**
 * @param {?} image2
 * @param {?} filter
 * @return {?}
 */
function applyFilters(image2, filter) {
    return combineLatest(filter, image2).pipe(map((/**
     * @param {?} x
     * @return {?}
     */
    function (x) {
        /** @type {?} */
        var fil = x[0];
        /** @type {?} */
        var img = x[1];
        fil.forEach((/**
         * @param {?} f
         * @return {?}
         */
        function (f) {
            img = f.filter(img);
        }));
        return img;
    })));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T
 * @param {?} init
 * @return {?}
 */
function store(init) {
    /** @type {?} */
    var action$ = new Subject();
    /** @type {?} */
    var subject = new BehaviorSubject(init);
    action$
        .pipe(scan((/**
     * @param {?} s
     * @param {?} a
     * @param {?} i
     * @return {?}
     */
    function (s, a, i) { return a(s, i); }), init), startWith(init), distinctUntilChanged())
        .subscribe(subject);
    /**
     * @return {?}
     */
    function complete() {
        action$.complete();
        subject.complete();
    }
    return {
        dispatch: (/**
         * @param {?} action
         * @return {?}
         */
        function (action) {
            return new Observable((/**
             * @param {?} obs
             * @return {?}
             */
            function (obs) {
                action$.next(action);
                obs.complete();
            }));
        }),
        state$: subject.asObservable(),
        currentState: (/**
         * @return {?}
         */
        function () { return subject.value; }),
        complete: complete,
    };
}
/** @type {?} */
var eqId = (/**
 * @param {?} a
 * @return {?}
 */
function (a) { return (/**
 * @param {?} b
 * @return {?}
 */
function (b) { return a.id === b.id; }); });
/**
 * @template E, T
 */
var  /**
 * @template E, T
 */
StoreByArray = /** @class */ (function () {
    function StoreByArray(equalTo) {
        if (equalTo === void 0) { equalTo = eqId; }
        this.equalTo = equalTo;
        this.s = store([]);
        this.state$ = this.s.state$;
    }
    /**
     * @param {?} action
     * @return {?}
     */
    StoreByArray.prototype.dispatch = /**
     * @param {?} action
     * @return {?}
     */
    function (action) {
        return this.s.dispatch(action);
    };
    /**
     * @return {?}
     */
    StoreByArray.prototype.currentState = /**
     * @return {?}
     */
    function () {
        return this.s.currentState();
    };
    /**
     * @return {?}
     */
    StoreByArray.prototype.complete = /**
     * @return {?}
     */
    function () {
        this.s.complete();
    };
    /**
     * @param {?} key
     * @return {?}
     */
    StoreByArray.prototype.get$ = /**
     * @param {?} key
     * @return {?}
     */
    function (key) {
        var _this = this;
        return this.state$.pipe(map((/**
         * @param {?} items
         * @return {?}
         */
        function (items) { return items.find(_this.equalTo(key)); })), filter((/**
         * @param {?} item
         * @return {?}
         */
        function (item) { return item !== undefined; })), distinctUntilChanged());
    };
    /**
     * @param {?} fn
     * @return {?}
     */
    StoreByArray.prototype.filter$ = /**
     * @param {?} fn
     * @return {?}
     */
    function (fn) {
        return this.state$.pipe(map((/**
         * @param {?} state
         * @return {?}
         */
        function (state) { return state.filter(fn); })));
    };
    /**
     * @param {?} state
     * @return {?}
     */
    StoreByArray.prototype.setState = /**
     * @param {?} state
     * @return {?}
     */
    function (state) {
        return this.dispatch((/**
         * @return {?}
         */
        function () { return state; }));
    };
    /**
     * @param {?} item
     * @return {?}
     */
    StoreByArray.prototype.insert = /**
     * @param {?} item
     * @return {?}
     */
    function (item) {
        var _this = this;
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        function (items) {
            if (items.find(_this.equalTo(item)) !== undefined) {
                throw Error("Item with id: " + item.id + " already exists.");
            }
            else {
                return __spread(items, [item]);
            }
        }));
    };
    /**
     * @param {?} item
     * @return {?}
     */
    StoreByArray.prototype.remove = /**
     * @param {?} item
     * @return {?}
     */
    function (item) {
        var _this = this;
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        function (items) { return items.filter(_this.equalTo(item)); }));
    };
    /**
     * @param {...?} values
     * @return {?}
     */
    StoreByArray.prototype.update = /**
     * @param {...?} values
     * @return {?}
     */
    function () {
        var _this = this;
        var values = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            values[_i] = arguments[_i];
        }
        return this.dispatch((/**
         * @param {?} items
         * @return {?}
         */
        function (items) {
            return updateArray(items, values, _this.equalTo);
        }));
    };
    /**
     * @return {?}
     */
    StoreByArray.prototype.clear = /**
     * @return {?}
     */
    function () {
        return this.setState([]);
    };
    return StoreByArray;
}());
/**
 * @template T
 * @param {?} items
 * @param {?} values
 * @param {?} eq
 * @return {?}
 */
function updateArray(items, values, eq) {
    values.forEach((/**
     * @param {?} v
     * @return {?}
     */
    function (v) {
        if (items.find((/**
         * @param {?} i
         * @return {?}
         */
        function (i) { return eq(v)(i); })) === undefined) {
            throw Error("Item with id: " + v.id + " not exists.");
        }
    }));
    return items.map((/**
     * @param {?} x
     * @return {?}
     */
    function (x) {
        /** @type {?} */
        var found = values.find((/**
         * @param {?} v
         * @return {?}
         */
        function (v) { return eq(x)(v); }));
        return found === undefined ? x : found;
    }));
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} data
 * @return {?}
 */
function b64ToFloat32Array(data) {
    /** @type {?} */
    var p = 0;
    /** @type {?} */
    var result = new Float32Array(data.length / Float32Array.BYTES_PER_ELEMENT);
    /** @type {?} */
    var dView = new DataView(new ArrayBuffer(Float32Array.BYTES_PER_ELEMENT));
    for (var i = 0; i < data.length / Float32Array.BYTES_PER_ELEMENT; i++) {
        p = i * 4;
        for (var j = 0; j < Float32Array.BYTES_PER_ELEMENT; ++j) {
            dView.setUint8(j, data.charCodeAt(p + j));
        }
        result[i] = dView.getFloat32(0, true);
    }
    return result;
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} file
 * @param {?} parser
 * @return {?}
 */
function readFile(file, parser) {
    return new Observable((/**
     * @param {?} observer
     * @return {?}
     */
    function (observer) {
        /** @type {?} */
        var reader = new FileReader();
        reader.onload = (/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            observer.next(e.target.result);
        });
        reader.onabort = (/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            observer.error(e);
        });
        reader.onerror = (/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            observer.error(e);
        });
        reader.onloadend = (/**
         * @return {?}
         */
        function () {
            observer.complete();
        });
        parser(reader, file);
    }));
}
var LocalImageLoaderService = /** @class */ (function () {
    function LocalImageLoaderService() {
    }
    /**
     * @param {?} file
     * @return {?}
     */
    LocalImageLoaderService.prototype.loadHead = /**
     * @param {?} file
     * @return {?}
     */
    function (file) {
        return readFile(file, (/**
         * @param {?} reader
         * @param {?} f
         * @return {?}
         */
        function (reader, f) {
            reader.readAsText(f);
        })).pipe(map((/**
         * @param {?} t
         * @return {?}
         */
        function (t) { return JSON.parse(t); })), map((/**
         * @param {?} r
         * @return {?}
         */
        function (r) {
            return { shape: r.shape, size: r.size };
        })), tap((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return console.log(x); })));
    };
    /**
     * @param {?} file
     * @param {?} head
     * @param {?=} center
     * @return {?}
     */
    LocalImageLoaderService.prototype.loadImage = /**
     * @param {?} file
     * @param {?} head
     * @param {?=} center
     * @return {?}
     */
    function (file, head, center) {
        if (center === void 0) { center = new Vector3(0, 0, 0); }
        return readFile(file, (/**
         * @param {?} reader
         * @param {?} f
         * @return {?}
         */
        function (reader, f) {
            reader.readAsBinaryString(f);
        })).pipe(map(b64ToFloat32Array), map((/**
         * @param {?} data
         * @return {?}
         */
        function (data) { return new GrayImage3(center, head.size, head.shape, data); })));
    };
    LocalImageLoaderService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    LocalImageLoaderService.ctorParameters = function () { return []; };
    return LocalImageLoaderService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LocalImageLoaderComponent = /** @class */ (function () {
    function LocalImageLoaderComponent(loaderService) {
        this.loaderService = loaderService;
        this.isHeadLoaded = false;
        this.isImageLoaded = false;
        this.imageLoad = new EventEmitter();
    }
    /**
     * @return {?}
     */
    LocalImageLoaderComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    LocalImageLoaderComponent.prototype.loadLocalImage = /**
     * @return {?}
     */
    function () {
        var _this = this;
        if (this.imageHead === undefined || this.imageFile === undefined) {
            throw Error('Head or imageFile is undefined');
        }
        this.loaderService
            .loadImage(this.imageFile, this.imageHead)
            .subscribe((/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return _this.imageLoad.emit(image); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} files
     * @return {?}
     */
    LocalImageLoaderComponent.prototype.markImageLoaded = /**
     * @param {?} files
     * @return {?}
     */
    function (files) {
        this.imageFile = files[0];
        this.isImageLoaded = true;
    };
    /**
     * @param {?} head
     * @return {?}
     */
    LocalImageLoaderComponent.prototype.markHeadLoaded = /**
     * @param {?} head
     * @return {?}
     */
    function (head) {
        var _this = this;
        this.loaderService.loadHead(head[0]).subscribe({
            next: (/**
             * @param {?} h
             * @return {?}
             */
            function (h) {
                _this.imageHead = h;
                _this.isHeadLoaded = true;
            }),
            error: (/**
             * @param {?} e
             * @return {?}
             */
            function (e) { return console.log(e); }),
        });
    };
    LocalImageLoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-local-image-loader',
                    template: "<div>\n  <div>Load image from local filesystem</div>\n  <label for=\"head\">Head File</label>\n  <input\n    type=\"file\"\n    id=\"head\"\n    #headFiles\n    (change)=\"markHeadLoaded(headFiles.files)\"\n  />\n  <div *ngIf=\"isHeadLoaded\">\n  </div>\n  <br />\n  <label for=\"file\">Image File</label>\n  <input\n    type=\"file\"\n    id=\"file\"\n    #imageFiles\n    (change)=\"markImageLoaded(imageFiles.files)\"\n  />\n  <br />\n  <button\n    [disabled]=\"!isHeadLoaded || !isImageLoaded\"\n    (click)=\"loadLocalImage()\"\n  >\n    Load\n  </button>\n</div>\n",
                    providers: [LocalImageLoaderService],
                    styles: [".triple{display:flex}.numberInput{width:20%}.divC{white-space:nowrap;display:inline}.window{display:inline;white-space:nowrap}.inputValue{width:350px}.labelLength{width:100px}"]
                }] }
    ];
    /** @nocollapse */
    LocalImageLoaderComponent.ctorParameters = function () { return [
        { type: LocalImageLoaderService }
    ]; };
    LocalImageLoaderComponent.propDecorators = {
        imageLoad: [{ type: Output }]
    };
    return LocalImageLoaderComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var WEB_SOCKET_URL = 'ws://127.0.0.1:8081/CT/image';
// const TEST_URL = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
/** @type {?} */
var TEST_URL = '666';
var HttpImageLoaderService = /** @class */ (function () {
    function HttpImageLoaderService(http) {
        this.http = http;
        this.isLoadDummyData = true;
        this.image3Input = dummyGrayImage3(new Vector3(5, 5, 5), new Vector3(20, 20, 20));
        if (this.isLoadDummyData) {
            console.warn('Http image loader is set to load dummy data');
        }
    }
    /**
     * @param {?=} url
     * @return {?}
     */
    HttpImageLoaderService.prototype.getImageHttp = /**
     * @param {?=} url
     * @return {?}
     */
    function (url) {
        if (!url) {
            url = TEST_URL;
        }
        if (this.isLoadDummyData) {
            return of(dummyGrayImage3(new Vector3(100, 100, 100), new Vector3(100, 100, 100)));
        }
        this.http.post(url, { a: 2, b: 3 }).subscribe((/**
         * @param {?} a
         * @return {?}
         */
        function (a) { return console.log(a); }));
        return this.http
            .get(url)
            .pipe(tap((/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return console.log(s); })))
            .pipe(map(jsonObjectToImage3))
            .pipe(map(reorder3));
    };
    /**
     * @return {?}
     */
    HttpImageLoaderService.prototype.getImage2Websocket = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var result = new WebSocketSubject(WEB_SOCKET_URL);
        return result.pipe(map((/**
         * @param {?} r
         * @return {?}
         */
        function (r) { return jsonObjectToImage2WithWindow(r); })));
    };
    HttpImageLoaderService.decorators = [
        { type: Injectable, args: [{ providedIn: 'root' },] }
    ];
    /** @nocollapse */
    HttpImageLoaderService.ctorParameters = function () { return [
        { type: HttpClient }
    ]; };
    /** @nocollapse */ HttpImageLoaderService.ngInjectableDef = defineInjectable({ factory: function HttpImageLoaderService_Factory() { return new HttpImageLoaderService(inject(HttpClient)); }, token: HttpImageLoaderService, providedIn: "root" });
    return HttpImageLoaderService;
}());
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage3(data) {
    return new GrayImage3(new (Vector3.bind.apply(Vector3, __spread([void 0], data.center)))(), new (Vector3.bind.apply(Vector3, __spread([void 0], data.size)))(), new (Vector3.bind.apply(Vector3, __spread([void 0], data.shape)))(), b64ToFloat32Array(data.values));
}
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage2(data) {
    return new GrayImage2(new (Vector2.bind.apply(Vector2, __spread([void 0], data['center'])))(), new (Vector2.bind.apply(Vector2, __spread([void 0], data['size'])))(), new (Vector2.bind.apply(Vector2, __spread([void 0], data['shape'])))(), b64ToFloat32Array(data['values']));
}
/**
 * @param {?} data
 * @return {?}
 */
function jsonObjectToImage2WithWindow(data) {
    return { image: jsonObjectToImage2(data), vmin: data.vmin, vmax: data.vmax };
}
/**
 * @param {?} source
 * @return {?}
 */
function reorder3(source) {
    /** @type {?} */
    var data = new Float32Array(source.data.length);
    for (var i = 0; i < source.meta.shape.x; i++) {
        for (var j = 0; j < source.meta.shape.y; j++) {
            for (var k = 0; k < source.meta.shape.z; k++) {
                /** @type {?} */
                var ind = i +
                    j * source.meta.shape.y +
                    k * source.meta.shape.x * source.meta.shape.y;
                data[i * source.meta.shape.y * source.meta.shape.z +
                    j * source.meta.shape.z +
                    k] = source.data[ind];
                // data[ind] = source.data[ind];
            }
        }
    }
    return new GrayImage3(source.meta.center, source.meta.size, source.meta.shape, data);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var HttpImageLoaderComponent = /** @class */ (function () {
    function HttpImageLoaderComponent(loaderService) {
        this.loaderService = loaderService;
        this.inputId = v4();
        this.urlPlaceHolder = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
        this.HttpURL = 'http://192.168.1.33:5006/api/v1/CT/file?recon_id=25';
        this.imageLoad = new EventEmitter();
    }
    /**
     * @return {?}
     */
    HttpImageLoaderComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} url
     * @return {?}
     */
    HttpImageLoaderComponent.prototype.getDummyData = /**
     * @param {?} url
     * @return {?}
     */
    function (url) {
        var _this = this;
        this.loaderService.isLoadDummyData = true;
        this.loaderService
            .getImageHttp(url)
            .subscribe((/**
         * @param {?} img
         * @return {?}
         */
        function (img) { return _this.imageLoad.emit(img); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} url
     * @return {?}
     */
    HttpImageLoaderComponent.prototype.getHttpImage = /**
     * @param {?} url
     * @return {?}
     */
    function (url) {
        var _this = this;
        this.loaderService.isLoadDummyData = false;
        this.loaderService
            .getImageHttp(url)
            .subscribe((/**
         * @param {?} img
         * @return {?}
         */
        function (img) { return _this.imageLoad.emit(img); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    HttpImageLoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-http-image-loader',
                    template: "<!-- <div><h2>Load image from http</h2></div> -->\n<div>\n  <label [for]=\"inputId\">Url</label>\n  <input #http type=\"text\" [id]=\"inputId\" [placeholder]=\"urlPlaceHolder\" />\n  <button (click)=\"getHttpImage(http.value)\">LoadHttp</button>\n  <button (click)=\"getDummyData(http.value)\">loadDummy</button>\n  <!-- <button (click)=\"getImage()\">LoadInput</button> -->\n</div>\n",
                    providers: [HttpImageLoaderService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    HttpImageLoaderComponent.ctorParameters = function () { return [
        { type: HttpImageLoaderService }
    ]; };
    HttpImageLoaderComponent.propDecorators = {
        HttpURL: [{ type: Input }],
        imageLoad: [{ type: Output }]
    };
    return HttpImageLoaderComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageStoreModule = /** @class */ (function () {
    function ImageStoreModule() {
    }
    ImageStoreModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [LocalImageLoaderComponent, HttpImageLoaderComponent],
                    imports: [CommonModule],
                    providers: [],
                    exports: [LocalImageLoaderComponent, HttpImageLoaderComponent],
                },] }
    ];
    return ImageStoreModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @return {?}
 */
function initialImageTestState() {
    return {
        image: new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 1, 0), new Vector3(1, 1, 0), new Float32Array([1])),
        slicer: new Slicer('z', 0, 1),
        colormap: Colormaps.GRAY,
        filter: new GrayImage2WindowFilter(1.0, 0.5),
        minMax: new Vector2(0, 1),
        id: v4(),
        rotation: new Vector3(0, 0, 0),
    };
}
/**
 * @return {?}
 */
function initialImageTest2State() {
    return {
        image: new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 2, 3), new Vector3(1, 2, 3), new Float32Array([1, 2, 3, 4, 5, 6])),
        slicer: new Slicer('x', 0, 0, 1),
        colormap: Colormaps.HOT,
        filter: new GrayImage2WindowFilter(6, 3),
        minMax: new Vector2(0, 0.1),
        id: v4(),
        rotation: new Vector3(0, 0, 0),
    };
}
var ImageStoreService = /** @class */ (function () {
    function ImageStoreService() {
        this.imageStateStore = new StoreByArray();
        this.selectedIdsSubject = new BehaviorSubject([]);
        this.selected$ = combineLatest(this.imageStateStore.state$, this.selectedIdsSubject).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            var _a = __read(x, 2), images = _a[0], ids = _a[1];
            return ids
                .map((/**
             * @param {?} id
             * @return {?}
             */
            function (id) { return images.find((/**
             * @param {?} img
             * @return {?}
             */
            function (img) { return img.id === id; })); }))
                .filter((/**
             * @param {?} img
             * @return {?}
             */
            function (img) { return img !== undefined; }));
        })));
        this.imageStateStore
            .insert(initialImageTest2State())
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        function (err) { return console.log(err); }));
        this.imageStateStore
            .insert(initialImageTestState())
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        function (err) { return console.log(err); }));
    }
    /**
     * @param {?} id
     * @return {?}
     */
    ImageStoreService.prototype.image$ = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.imageStateStore.state$.pipe(map((/**
         * @param {?} imgs
         * @return {?}
         */
        function (imgs) { return imgs.find((/**
         * @param {?} img
         * @return {?}
         */
        function (img) { return img.id === id; })); })), filter((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x !== undefined; })), distinctUntilChanged());
    };
    /**
     * @param {?} id
     * @return {?}
     */
    ImageStoreService.prototype.currentImage = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return this.imageStateStore.currentState().find((/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.id === id; }));
    };
    /**
     * @param {?} image
     * @return {?}
     */
    ImageStoreService.prototype.addImage = /**
     * @param {?} image
     * @return {?}
     */
    function (image) {
        var _this = this;
        return new Observable((/**
         * @param {?} obs
         * @return {?}
         */
        function (obs) {
            /** @type {?} */
            var id = v4();
            /** @type {?} */
            var toAdd = {
                image: image,
                slicer: new Slicer('z', 0, 0, image.meta.shape.z),
                colormap: Colormaps.GRAY,
                filter: new GrayImage2WindowFilter(1.0, 0.5),
                minMax: new Vector2(0, 1),
                id: id,
                rotation: new Vector3(0, 0, 0),
            };
            _this.imageStateStore
                .insert(toAdd)
                .subscribe(noop, (/**
             * @param {?} err
             * @return {?}
             */
            function (err) { return console.log(err); }), (/**
             * @return {?}
             */
            function () { return obs.next(id); }));
        }));
    };
    /**
     * @param {?} image
     * @return {?}
     */
    ImageStoreService.prototype.select = /**
     * @param {?} image
     * @return {?}
     */
    function (image) {
        if (this.selectedIdsSubject.value.includes(image.id)) {
            return;
        }
        if (this.imageStateStore.currentState().find((/**
         * @param {?} img
         * @return {?}
         */
        function (img) { return img.id === image.id; })) ===
            undefined) {
            return;
        }
        this.selectedIdsSubject.next(__spread(this.selectedIdsSubject.value, [image.id]));
    };
    /**
     * @return {?}
     */
    ImageStoreService.prototype.clearAllSelect = /**
     * @return {?}
     */
    function () {
        this.selectedIdsSubject.next([]);
    };
    /**
     * @param {?} state
     * @param {?} image
     * @return {?}
     */
    ImageStoreService.prototype.updateImage = /**
     * @param {?} state
     * @param {?} image
     * @return {?}
     */
    function (state, image) {
        this.imageStateStore
            .update(__assign({}, state, { image: image }))
            .subscribe(noop, console.error);
    };
    /**
     * @param {?} image
     * @param {?} colormap
     * @return {?}
     */
    ImageStoreService.prototype.updateColormap = /**
     * @param {?} image
     * @param {?} colormap
     * @return {?}
     */
    function (image, colormap) {
        this.imageStateStore
            .update(__assign({}, image, { colormap: colormap }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} colormap
     * @return {?}
     */
    ImageStoreService.prototype.updateAllSelectedColormap = /**
     * @param {?} colormap
     * @return {?}
     */
    function (colormap) {
        var _this = this;
        this.mapToAllSelected((/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return _this.updateColormap(image, colormap); }));
    };
    /**
     * @param {?} image
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    ImageStoreService.prototype.updateWidthLevelFilter = /**
     * @param {?} image
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    function (image, width, level) {
        this.imageStateStore
            .update(__assign({}, image, { filter: new GrayImage2WindowFilter(width, level) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    ImageStoreService.prototype.addWidthByStep = /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    function (image, add) {
        /** @type {?} */
        var widthStep = 0.05;
        this.imageStateStore
            .update(__assign({}, image, { filter: image.filter.addWidth(add * widthStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    ImageStoreService.prototype.addLevelByStep = /**
     * @param {?} image
     * @param {?} add
     * @return {?}
     */
    function (image, add) {
        /** @type {?} */
        var levelStep = 0.05;
        this.imageStateStore
            .update(__assign({}, image, { filter: image.filter.addLevel(add * levelStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} image
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    ImageStoreService.prototype.addWidthLevelFilterByStep = /**
     * @param {?} image
     * @param {?} addWidth
     * @param {?} addLevel
     * @return {?}
     */
    function (image, addWidth, addLevel) {
        /** @type {?} */
        var widthStep = 0.05;
        /** @type {?} */
        var levelStep = 0.05;
        this.imageStateStore
            .update(__assign({}, image, { filter: image.filter.addWidthLevel(addWidth * widthStep, addLevel * levelStep) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} image
     * @param {?} direction
     * @return {?}
     */
    ImageStoreService.prototype.updateDirection = /**
     * @param {?} image
     * @param {?} direction
     * @return {?}
     */
    function (image, direction) {
        this.imageStateStore
            .update(__assign({}, image, { slicer: image.slicer.updateDirection(direction, image.image) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} image
     * @param {?} index
     * @return {?}
     */
    ImageStoreService.prototype.updateIndex = /**
     * @param {?} image
     * @param {?} index
     * @return {?}
     */
    function (image, index) {
        this.imageStateStore
            .update(__assign({}, image, { slicer: image.slicer.updateIndex(index) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    };
    /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    ImageStoreService.prototype.addIndex = /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    function (image, offset) {
        this.imageStateStore
            .update(__assign({}, image, { slicer: image.slicer.addIndex(offset) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} min
     * @param {?} max
     * @return {?}
     */
    ImageStoreService.prototype.updateMinMax = /**
     * @param {?} min
     * @param {?} max
     * @return {?}
     */
    function (min, max) {
        // this.imageStateStore
        //   .update(
        //     ...this.imagesSelected.map((img) => {
        //       return {
        //         ...img,
        //         minMax: updateColormapMinMax(img.minMax, min, max),
        //       };
        //     })
        //   )
        //   .subscribe(noop, (e) => console.log(e));
        console.warn('Min max will be deprecated');
    };
    /**
     * @param {?} image
     * @param {?} EulerianAngle
     * @return {?}
     */
    ImageStoreService.prototype.updateRotation = /**
     * @param {?} image
     * @param {?} EulerianAngle
     * @return {?}
     */
    function (image, EulerianAngle) {
        this.imageStateStore
            .update(__assign({}, image, { rotation: EulerianAngle }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    ImageStoreService.prototype.addRotation = /**
     * @param {?} image
     * @param {?} offset
     * @return {?}
     */
    function (image, offset) {
        this.imageStateStore
            .update(__assign({}, image, { rotation: new Vector3(image.rotation.x + offset.x, image.rotation.y + offset.y, image.rotation.z + offset.z) }))
            .subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @param {?} op
     * @return {?}
     */
    ImageStoreService.prototype.mapToAllSelected = /**
     * @param {?} op
     * @return {?}
     */
    function (op) {
        var _this = this;
        this.selectedIdsSubject.value.forEach((/**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            /** @type {?} */
            var images = _this.imageStateStore.currentState();
            /** @type {?} */
            var image = images.find((/**
             * @param {?} x
             * @return {?}
             */
            function (x) { return x.id === id; }));
            if (image === undefined) {
                return;
            }
            else {
                return op(image);
            }
        }));
    };
    /**
     * @template T
     * @param {?} id
     * @param {?} op
     * @return {?}
     */
    ImageStoreService.prototype.mapById = /**
     * @template T
     * @param {?} id
     * @param {?} op
     * @return {?}
     */
    function (id, op) {
        /** @type {?} */
        var current = this.imageStateStore
            .currentState()
            .find((/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return image.id === id; }));
        if (current === undefined) {
            return;
        }
        return op(current);
    };
    ImageStoreService.decorators = [
        { type: Injectable, args: [{
                    providedIn: ImageStoreModule,
                },] }
    ];
    /** @nocollapse */
    ImageStoreService.ctorParameters = function () { return []; };
    /** @nocollapse */ ImageStoreService.ngInjectableDef = defineInjectable({ factory: function ImageStoreService_Factory() { return new ImageStoreService(); }, token: ImageStoreService, providedIn: ImageStoreModule });
    return ImageStoreService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MultiCanvasService = /** @class */ (function () {
    function MultiCanvasService(imageStoreService) {
        var _this = this;
        this.imageStoreService = imageStoreService;
        this.selectedSubject = new BehaviorSubject([]);
        this.selected$ = this.selectedSubject.asObservable();
        this.imageCanvasBindsSubject = new BehaviorSubject([]);
        this.imageCanvas$ = this.imageCanvasBindsSubject.asObservable();
        this.componentCanvasSubject = new BehaviorSubject([]);
        this.componentCanvas$ = this.componentCanvasSubject.asObservable();
        this.withCrossLineCanvasSubject = new BehaviorSubject([]);
        this.withCrossLineCanvas$ = this.withCrossLineCanvasSubject.asObservable();
        this.selectedImageIds$ = combineLatest(this.imageCanvas$, this.selected$).pipe(map((/**
         * @param {?} __0
         * @return {?}
         */
        function (_a) {
            var _b = __read(_a, 2), binds = _b[0], selected = _b[1];
            return selected
                .map((/**
             * @param {?} cid
             * @return {?}
             */
            function (cid) { return _this.imageIdOf(binds, cid); }))
                .filter((/**
             * @param {?} x
             * @return {?}
             */
            function (x) { return x !== undefined; }));
        })), distinctUntilChanged());
        this.selectedImages$ = this.selectedImageIds$.pipe(startWith((/** @type {?} */ ([]))), map((/**
         * @param {?} ids
         * @return {?}
         */
        function (ids) { return ids.map((/**
         * @param {?} id
         * @return {?}
         */
        function (id) { return _this.imageStoreService.currentImage(id); })); })), distinctUntilChanged());
    }
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiCanvasService.prototype.isSelected$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        return this.selected$.pipe(map((/**
         * @param {?} ss
         * @return {?}
         */
        function (ss) { return ss.includes(canvas); })));
    };
    /**
     * @param {?} c
     * @return {?}
     */
    MultiCanvasService.prototype.isWithCanvas$ = /**
     * @param {?} c
     * @return {?}
     */
    function (c) {
        return this.withCrossLineCanvas$.pipe(map((/**
         * @param {?} cs
         * @return {?}
         */
        function (cs) { return cs.includes(c); })));
    };
    /**
     * @param {?} component
     * @return {?}
     */
    MultiCanvasService.prototype.addCanvasTo = /**
     * @param {?} component
     * @return {?}
     */
    function (component) {
        /** @type {?} */
        var canvas = v4();
        this.componentCanvasSubject.next(__spread(this.componentCanvasSubject.value, [
            { component: component, canvas: canvas },
        ]));
        return canvas;
    };
    /**
     * @param {?} component
     * @return {?}
     */
    MultiCanvasService.prototype.canvasOf = /**
     * @param {?} component
     * @return {?}
     */
    function (component) {
        return this.componentCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        function (bs) { return bs.filter((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b.component === component; })); })), map((/**
         * @param {?} bs
         * @return {?}
         */
        function (bs) { return bs.map((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b.canvas; })); })), distinctUntilChanged());
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiCanvasService.prototype.imageOf$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        var _this = this;
        return this.imageCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        function (bs) { return bs.find((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b.canvas === canvas; })); })), filter((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b !== undefined; })), switchMap((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return _this.imageStoreService.image$(b.image); })));
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiCanvasService.prototype.viewOf$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        var _this = this;
        return this.imageCanvas$.pipe(map((/**
         * @param {?} bs
         * @return {?}
         */
        function (bs) { return bs.find((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b.canvas === canvas; })); })), filter((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b !== undefined; })), switchMap((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return _this.imageStoreService.image$(b.image); })), map((/**
         * @param {?} img
         * @return {?}
         */
        function (img) { return img.slicer.direction; })));
    };
    /**
     * @param {?} canvasId
     * @return {?}
     */
    MultiCanvasService.prototype.select = /**
     * @param {?} canvasId
     * @return {?}
     */
    function (canvasId) {
        this.selectedSubject.next([canvasId]);
    };
    /**
     * @private
     * @param {?} binds
     * @param {?} canvasId
     * @return {?}
     */
    MultiCanvasService.prototype.imageIdOf = /**
     * @private
     * @param {?} binds
     * @param {?} canvasId
     * @return {?}
     */
    function (binds, canvasId) {
        /** @type {?} */
        var bind = binds.find((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b.canvas === canvasId; }));
        if (bind === undefined) {
            return undefined;
        }
        return bind.image;
    };
    // addCrossLine() {
    //   this.mapSelectedCanvas((c) => this.addCrossLineToSelected(c));
    // }
    // private addCrossLineToSelected(selectedCanvasId: string) {
    //   const previous = this.withCrossLineCanvasSubject.value;
    //   if (previous.includes(selectedCanvasId)) {
    //     return;
    //   }
    //   this.withCrossLineCanvasSubject.next([...previous, selectedCanvasId]);
    // }
    // addCrossLine() {
    //   this.mapSelectedCanvas((c) => this.addCrossLineToSelected(c));
    // }
    // private addCrossLineToSelected(selectedCanvasId: string) {
    //   const previous = this.withCrossLineCanvasSubject.value;
    //   if (previous.includes(selectedCanvasId)) {
    //     return;
    //   }
    //   this.withCrossLineCanvasSubject.next([...previous, selectedCanvasId]);
    // }
    /**
     * @template T
     * @param {?} canvas
     * @param {?} op
     * @return {?}
     */
    MultiCanvasService.prototype.mapOnCanvas = 
    // addCrossLine() {
    //   this.mapSelectedCanvas((c) => this.addCrossLineToSelected(c));
    // }
    // private addCrossLineToSelected(selectedCanvasId: string) {
    //   const previous = this.withCrossLineCanvasSubject.value;
    //   if (previous.includes(selectedCanvasId)) {
    //     return;
    //   }
    //   this.withCrossLineCanvasSubject.next([...previous, selectedCanvasId]);
    // }
    /**
     * @template T
     * @param {?} canvas
     * @param {?} op
     * @return {?}
     */
    function (canvas, op) {
        /** @type {?} */
        var imageId = this.imageIdOf(this.imageCanvasBindsSubject.value, canvas);
        if (imageId === undefined) {
            return;
        }
        /** @type {?} */
        var current = this.imageStoreService.currentImage(imageId);
        if (current === undefined) {
            return;
        }
        return op(current);
    };
    /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    MultiCanvasService.prototype.loadToCanvas = /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    function (canvas, image) {
        var _this = this;
        if (this.imageIdOf(this.imageCanvasBindsSubject.value, canvas) !== undefined) {
            console.warn("Canvas " + canvas + " is already occupied, ignore new loads");
            return;
        }
        this.imageStoreService
            .addImage(image)
            .subscribe((/**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return _this.imageCanvasBindsSubject.next(__spread(_this.imageCanvasBindsSubject.value, [
                { canvas: canvas, image: id },
            ]));
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    };
    /**
     * @template T
     * @param {?} op
     * @return {?}
     */
    MultiCanvasService.prototype.mapSelectedCanvas = /**
     * @template T
     * @param {?} op
     * @return {?}
     */
    function (op) {
        this.selectedSubject.value.forEach((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return op(c); }));
    };
    MultiCanvasService.decorators = [
        { type: Injectable, args: [
                // {providedIn: NgThreeModule}
                { providedIn: 'root' },] }
    ];
    /** @nocollapse */
    MultiCanvasService.ctorParameters = function () { return [
        { type: ImageStoreService }
    ]; };
    /** @nocollapse */ MultiCanvasService.ngInjectableDef = defineInjectable({ factory: function MultiCanvasService_Factory() { return new MultiCanvasService(inject(ImageStoreService)); }, token: MultiCanvasService, providedIn: "root" });
    return MultiCanvasService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ZStoreService = /** @class */ (function () {
    function ZStoreService() {
        this.zToolEntityDrag$ = new Observable();
        this.zToolEntityDragSubject = new BehaviorSubject(10);
        this.whichDraging = { ring: false, line: false, crossline: false };
        this.zToolEntityDrag$ = this.zToolEntityDragSubject.asObservable();
    }
    /**
     * @return {?}
     */
    ZStoreService.prototype.zIncrease = /**
     * @return {?}
     */
    function () {
        this.zToolEntityDragSubject.next(100);
    };
    /**
     * @return {?}
     */
    ZStoreService.prototype.zDecrease = /**
     * @return {?}
     */
    function () {
        this.zToolEntityDragSubject.next(-100);
    };
    ZStoreService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    ZStoreService.ctorParameters = function () { return []; };
    /** @nocollapse */ ZStoreService.ngInjectableDef = defineInjectable({ factory: function ZStoreService_Factory() { return new ZStoreService(); }, token: ZStoreService, providedIn: "root" });
    return ZStoreService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ToolEntityComponent = /** @class */ (function () {
    function ToolEntityComponent(zStoreService, entityStoreService, multiCanvasService) {
        this.zStoreService = zStoreService;
        this.entityStoreService = entityStoreService;
        this.multiCanvasService = multiCanvasService;
        this.toolEntitySubject = new BehaviorSubject(new RingModel(new Vector3(0, 0, 0), 29.9, 30));
        this.toolModel$ = this.toolEntitySubject.asObservable();
        this.drag = new EventEmitter();
        this.scroll = new EventEmitter();
        // TODO: a public attribution: center should be added in type EntityModel
        this.plane$ = new Observable();
        this.z$ = new Observable();
        this.imageSubject = new BehaviorSubject(new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200))));
        this.image$ = this.imageSubject.asObservable();
        this.z$ = this.zStoreService.zToolEntityDrag$;
        // this.plane$ = this.toolModel$.pipe(
        //   map(m => {
        //     return new Plane2Model(
        //       new BoundingBox2FromCenterSize(
        //         new Vector2(0, 0),
        //         new Vector2(200, 200),
        //       ),
        //     );
        //   }),
        // );
        this.plane$ = this.image$.pipe(map((/**
         * @return {?}
         */
        function () {
            return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(200, 200)));
        })));
        // this.ringModel$.pipe(map(ring => new RingModel(new Vector3(0, 0, 0), 29.9, 30))).subscribe(a => console.log(a));
        // this.toolModel$
        //   .pipe(
        //     map(toolModel => {
        //       switch (toolModel.type) {
        //         case 'ring':
        //           this.ringModel$.pipe(map(ring => toolModel));
        //           break;
        //         case 'line':
        //           this.lineModel$.pipe(map(line => toolModel));
        //           break;
        //       }
        //     }),
        //   )
        //   .subscribe(noop, console.error);
    }
    Object.defineProperty(ToolEntityComponent.prototype, "model", {
        get: /**
         * @return {?}
         */
        function () {
            return this.toolEntitySubject.value;
        },
        set: /**
         * @param {?} m
         * @return {?}
         */
        function (m) {
            this.toolEntitySubject.next(m);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} e
     * @return {?}
     */
    ToolEntityComponent.prototype.onWheelEvent = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.scroll.emit(e);
    };
    /**
     * @param {?} d
     * @return {?}
     */
    ToolEntityComponent.prototype.onDragEvent = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.drag.emit(d);
        console.log('drag success');
    };
    /**
     * @param {?} d
     * @return {?}
     */
    ToolEntityComponent.prototype.dragRing = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        var _this = this;
        this.multiCanvasService.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            // const circleRadius = Math.sqrt(
            //   Math.pow(d.current.x - d.origin.x, 2) +
            //     Math.pow(d.current.y - d.origin.y, 2),
            // );
            _this.entityStoreService.updateRingEntity({
                canvasId: c,
                model: new RingModel(new Vector3(d.origin.x, d.origin.y, 0), 
                // circleRadius,
                // circleRadius + 0.001,
                Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
                    Math.pow(d.current.y - d.origin.y, 2)), Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
                    Math.pow(d.current.y - d.origin.y, 2)) + 0.001),
            });
        }));
    };
    /**
     * @return {?}
     */
    ToolEntityComponent.prototype.dragLine = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} d
     * @return {?}
     */
    ToolEntityComponent.prototype.dragCrossline = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        var _this = this;
        this.multiCanvasService.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.entityStoreService.crosslineOnCanvas(c, (/**
             * @param {?} crossline
             * @return {?}
             */
            function (crossline) {
                /** @type {?} */
                var position;
                switch (crossline.view) {
                    case 'x':
                        position = new Vector3(crossline.position.x, d.current.x, d.current.y);
                        break;
                    case 'y':
                        position = new Vector3(d.current.x, crossline.position.y, d.current.y);
                        break;
                    case 'z':
                        position = new Vector3(d.current.x, d.current.y, crossline.position.z);
                        break;
                    default:
                }
                _this.entityStoreService.updateCrosslines({
                    model: __assign({}, crossline, { position: position })
                });
                // this.entityStoreService.updateCrosslineEntity({
                //   canvasId: c,
                //   model: {
                //     ...crossline,
                //     position: position,
                //   },
                // });
            }));
        }));
    };
    ToolEntityComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-tool-entity',
                    template: "<ng-container [ngSwitch]=\"model.type\">\n  <!-- <div>\n      <ng3-ring id='ring' *ngSwitchCase=\"'ring'\" [model]=\"toolModel$ | async\"></ng3-ring>\n      <p>oooooooooooooooo</p>\n  </div> -->\n  <ng3-ring\n    id=\"ring\"\n    *ngSwitchCase=\"'ring'\"\n    [model]=\"toolModel$ | async\"\n  ></ng3-ring>\n  <!-- <ng3-plane *ngSwitchCase=\"'ring'\" [model]=\"plane$ | async\" [z]=\"z$ | async\">\n    <ng3-mouse-entity (drag)=\"dragRing($event)\"></ng3-mouse-entity>\n  </ng3-plane> -->\n  <ng3-line *ngSwitchCase=\"'line'\" [model]=\"toolModel$ | async\"></ng3-line>\n  <ng3-cross-line\n    *ngSwitchCase=\"'crossline'\"\n    [model]=\"toolModel$ | async\"\n    (drag)=\"dragCrossline($event)\"\n  ></ng3-cross-line>\n  <ng3-fov\n    *ngSwitchCase=\"'fov'\"\n    [model]=\"toolModel$ | async\"\n    [isActive]=\"true\"\n  ></ng3-fov>\n</ng-container>\n\n<!-- <ng3-ring [model]=\"model\"></ng3-ring> -->\n",
                    styles: ["p{position:absolute;line-height:.5em;color:red;font-size:10px;z-index:100}div{position:relative;z-index:10}#ring{position:absolute}"]
                }] }
    ];
    /** @nocollapse */
    ToolEntityComponent.ctorParameters = function () { return [
        { type: ZStoreService },
        { type: EntityStoreService },
        { type: MultiCanvasService }
    ]; };
    ToolEntityComponent.propDecorators = {
        model: [{ type: Input }],
        drag: [{ type: Output }],
        scroll: [{ type: Output }]
    };
    return ToolEntityComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CircleComponent = /** @class */ (function (_super) {
    __extends(CircleComponent, _super);
    function CircleComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @return {?}
     */
    CircleComponent.prototype.createTexture = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var x = 50;
        /** @type {?} */
        var y = 50;
        /** @type {?} */
        var textureData = new Uint8Array(3 * x * y);
        /** @type {?} */
        var texture = new DataTexture(textureData, x, y, RGBFormat);
        for (var i = 1; i < x; i++) {
            for (var j = 1; j < y; j++) {
                /** @type {?} */
                var indTex = i + j * x;
                /** @type {?} */
                var stride = indTex * 3;
                // textureData[stride] = Math.random() * 256;
                // textureData[stride + 1] = Math.random() * 256;
                // textureData[stride + 2] = Math.random() * 256;
                textureData[stride] = 30;
                textureData[stride + 1] = 20;
                textureData[stride + 2] = 20;
            }
        }
        texture.needsUpdate = true;
        return texture;
    };
    /**
     * @param {?} model
     * @return {?}
     */
    CircleComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var result = new Mesh(new CircleGeometry(model.radius, model.segments), new MeshBasicMaterial({ color: 0xff0000, wireframe: true }));
        result.name = 'circle';
        result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    CircleComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        entity.position.copy(model.center);
        entity.geometry = new CircleGeometry(model.radius, model.segments);
        // (entity.geometry as CircleGeometry).parameters.radius = model.radius;
        // (entity.geometry as CircleGeometry).verticesNeedUpdate = true;
        return entity;
    };
    /**
     * @return {?}
     */
    CircleComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new CircleModel(new Vector3(0, 0, 0), 30);
    };
    CircleComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-circle',
                    template: "<p>\n  circle works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    CircleComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return CircleComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MouseCanvasService = /** @class */ (function () {
    function MouseCanvasService(canvas, sceneService) {
        var _this = this;
        this.canvas = canvas;
        this.sceneService = sceneService;
        this.ray = new Raycaster();
        this.stop = new Subject();
        this.hover$ = this.createHover$();
        this.position$ = this.fromEventCurrentPosition('mousemove');
        this.down$ = this.fromEventCurrentPosition('mousedown');
        this.downWithButton$ = fromEvent(this.canvas.domElement, 'mousedown').pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            return {
                position: _this.sceneService.clientPosition2ScenePosition(new Vector2(e.clientX, e.clientY)),
                original: e,
            };
        })));
        this.up$ = this.fromEventCurrentPosition('mouseup');
        this.leave$ = this.fromEventCurrentPosition('mouseleave');
        this.wheel$ = fromEvent(this.canvas.domElement, 'mousewheel').pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            e.preventDefault();
            return {
                position: _this.sceneService.clientPosition2ScenePosition(new Vector2(e.clientX, e.clientY)),
                delta: e.deltaY,
                event: e,
            };
        }), takeUntil(this.stop)));
    }
    /**
     * @return {?}
     */
    MouseCanvasService.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.stop.next();
        this.stop.complete();
    };
    /**
     * @private
     * @param {?} name
     * @return {?}
     */
    MouseCanvasService.prototype.fromEventCurrentPosition = /**
     * @private
     * @param {?} name
     * @return {?}
     */
    function (name) {
        var _this = this;
        return fromEvent(this.canvas.domElement, name).pipe(map((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            return new Vector2(e.clientX, e.clientY);
        })), map((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return _this.sceneService.clientPosition2ScenePosition(p); })), takeUntil(this.stop));
    };
    /**
     * @private
     * @return {?}
     */
    MouseCanvasService.prototype.createHover$ = /**
     * @private
     * @return {?}
     */
    function () {
        return merge(fromEvent(this.canvas.domElement, 'mouseenter').pipe(mapTo(true)), fromEvent(this.canvas.domElement, 'mouseleave').pipe(mapTo(false))).pipe(takeUntil(this.stop));
    };
    /**
     * @param {?} origin
     * @param {?} direction
     * @param {?=} object
     * @return {?}
     */
    MouseCanvasService.prototype.intersectObject = /**
     * @param {?} origin
     * @param {?} direction
     * @param {?=} object
     * @return {?}
     */
    function (origin, direction, object) {
        this.ray.set(origin, direction);
        return this.ray.intersectObjects(object !== undefined ? [object] : this.sceneService.scene.children);
    };
    MouseCanvasService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    MouseCanvasService.ctorParameters = function () { return [
        { type: CanvasService },
        { type: SceneService }
    ]; };
    return MouseCanvasService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} value
 * @param {?} range
 * @return {?}
 */
function fitrange(value, range) {
    return Math.max(range.min, Math.min(range.max, value));
}
/** @type {?} */
var EPS = 1e-6;
/**
 * @template O, P, E
 * @param {?} camera
 * @param {?} orthographic
 * @param {?} perspective
 * @param {?} elseType
 * @return {?}
 */
function switchByCameraType(camera, orthographic, perspective, elseType) {
    if (camera instanceof OrthographicCamera) {
        return orthographic(camera);
    }
    if (camera instanceof PerspectiveCamera) {
        return perspective(camera);
    }
    return elseType(camera);
}
/** @type {?} */
var MOUSE_BUTTONS = {
    LEFT: MOUSE.LEFT,
    MIDDLE: MOUSE.MIDDLE,
    RIGHT: MOUSE.RIGHT,
};
var OrbitControlsComponent = /** @class */ (function () {
    // OnInit() {
    //   console.log('orbit init');
    //   console.log('camera', this.rendererService.camera);
    // }
    function OrbitControlsComponent(canvasService, rendererService, mouse) {
        var _this = this;
        this.canvasService = canvasService;
        this.rendererService = rendererService;
        this.mouse = mouse;
        this.enabled = true;
        this.enableDamping = false;
        this.dampingFactor = 0.25;
        this.enableZoom = true;
        this.zoomSpeed = 1.0;
        this.enableRotate = true;
        this.rotateSpeed = 1.0;
        this.enablePan = true;
        this.panSpeed = 1.0;
        this.screenSpacePanning = false; // if true, pan in screen-space
        // if true, pan in screen-space
        this.keyPanSpeed = 7.0; // pixels moved per arrow key push
        // pixels moved per arrow key push
        // Set to true to automatically rotate around the target
        // If auto-rotate is enabled, you must call controls.update() in your animation loop
        this.autoRotate = false;
        this.autoRotateSpeed = 2.0; // 30 seconds per round when fps is 60
        // 30 seconds per round when fps is 60
        // Set to false to disable use of the keys
        this.enableKeys = true;
        // The four arrow keys
        this.change = new EventEmitter();
        // Mouse buttons
        this.zoomRange = { min: 0, max: Infinity };
        this.domElement = this.canvasService.domElement;
        // for reset
        this.rotate = new RotateController(this, this.rotateSpeed, this.autoRotateSpeed);
        this.dolly = new DollyController(this);
        this.pan = new PanController(this, this.panSpeed);
        this.target = new Vector3();
        this.state = 'none';
        this.scale = 1;
        this.zoomChanged = false;
        this.position = new Vector3();
        this.zoom = 1.0;
        this.target0 = this.target.clone();
        this.position0 = this.position.clone();
        // private zoom0 = this.camera.zoom;
        this.zoom0 = 1;
        this.stop = new Subject();
        this.mouse.downWithButton$
            .pipe(
        // tap(e => console.log(e)),
        takeUntil(this.stop))
            .subscribe((
        // this.mouse.downWithButton$.subscribe(
        // this.mouse.downWithButton$.subscribe(
        /**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            console.log(_this.camera.position);
            e.original.preventDefault();
            switch (e.original.button) {
                case MOUSE_BUTTONS.LEFT:
                    if (_this.enableRotate === false) {
                        return;
                    }
                    _this.rotate.activate();
                    _this.rotate.onMouseDown(e.position);
                    _this.state = 'busy';
                    break;
                case MOUSE.RIGHT:
                    _this.pan.activate();
                    _this.pan.onMouseDown(e.position);
                    _this.state = 'busy';
                case MOUSE.MIDDLE:
                    _this.dolly.activate();
                    _this.dolly.onMouseDown(e.position);
                    _this.state = 'busy';
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.position$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} p
         * @return {?}
         */
        function (p) {
            _this.rotate.onMouseMove(p);
            _this.pan.onMouseMove(p);
            _this.dolly.onMouseMove(p);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.up$.pipe(takeUntil(this.stop)).subscribe((/**
         * @return {?}
         */
        function () {
            _this.rotate.deactivate();
            _this.pan.deactivate();
            _this.dolly.deactivate();
            _this.state = 'none';
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.wheel$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} w
         * @return {?}
         */
        function (w) {
            _this.dolly.activate();
            _this.dolly.onMOuseWheel();
            _this.state = 'dolly';
            // this.pan.activate(),
            // this.pan.onMouseMove(w.position);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.log(e); }));
    }
    Object.defineProperty(OrbitControlsComponent.prototype, "camera", {
        // _camera: PerspectiveCamera | OrthographicCamera = new PerspectiveCamera(
        //   50,
        //   0.75,
        //   1,
        //   1000,
        // );
        // @Input()
        // get camera(): PerspectiveCamera | OrthographicCamera {
        //   return this._camera;
        // }
        // set camera(c: PerspectiveCamera | OrthographicCamera) {
        //   // if (isCameraOfType<'Orthographic'>(c, 'Orthographic')) {
        //   //   this._camera= c as OrthographicCamera;
        //   // }
        //   this._camera = c;
        // }
        get: 
        // _camera: PerspectiveCamera | OrthographicCamera = new PerspectiveCamera(
        //   50,
        //   0.75,
        //   1,
        //   1000,
        // );
        // @Input()
        // get camera(): PerspectiveCamera | OrthographicCamera {
        //   return this._camera;
        // }
        // set camera(c: PerspectiveCamera | OrthographicCamera) {
        //   // if (isCameraOfType<'Orthographic'>(c, 'Orthographic')) {
        //   //   this._camera= c as OrthographicCamera;
        //   // }
        //   this._camera = c;
        // }
        /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var result = this.rendererService.camera;
            if (result === undefined) {
                throw Error('Camera is not exist');
            }
            return result;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.saveState = /**
     * @return {?}
     */
    function () {
        this.target0.copy(this.target);
        this.position0.copy(this.camera.position);
        this.zoom0 = this.zoom;
        // isCameraOfType<'Orthographic'>(this.camera, 'Orthographic');
    };
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.reset = /**
     * @return {?}
     */
    function () {
        this.target.copy(this.target0);
        this.camera.position.copy(this.position0);
        this.camera.zoom = this.zoom0;
        this.camera.updateProjectionMatrix();
        this.update();
    };
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.update = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var offset = new Vector3();
        /** @type {?} */
        var quat = new Quaternion().setFromUnitVectors(this.camera.up, new Vector3(0, 1, 0));
        /** @type {?} */
        var quatInverse = quat.clone().inverse();
        /** @type {?} */
        var lastPosition = new Vector3();
        /** @type {?} */
        var lastQuaternion = new Quaternion();
        /** @type {?} */
        var position = this.camera.position;
        // console.log(this.camera.position);
        offset.copy(position).sub(this.target);
        // rotate offset to "y-axis-is-up" space
        offset.applyQuaternion(quat);
        this.rotate.update(offset, this.target);
        this.pan.update(offset, this.target);
        // rotate offset back to "camera-up-vector-is-up" space
        offset.applyQuaternion(quatInverse);
        position.copy(this.target).add(offset);
        this.camera.lookAt(this.target);
        this.scale = 1;
        this.rendererService.setCamera(this.camera);
        this.rendererService.render();
        // update condition is:
        // min(camera displacement, camera rotation in radians)^2 > EPS
        // using small-angle approximation cos(x/2) = 1 - x^2 / 8
        if (this.zoomChanged ||
            lastPosition.distanceToSquared(this.camera.position) > EPS ||
            8 * (1 - lastQuaternion.dot(this.camera.quaternion)) > EPS) {
            this.change.emit();
            lastPosition.copy(this.camera.position);
            lastQuaternion.copy(this.camera.quaternion);
            this.zoomChanged = false;
            return true;
        }
        return false;
    };
    Object.defineProperty(OrbitControlsComponent.prototype, "autoRotationAngle", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return ((2 * Math.PI) / 60 / 60) * this.autoRotateSpeed;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        // Called once, before the instance is destroyed.
        // Add 'implements OnDestroy' to the class.
    };
    /**
     * @return {?}
     */
    OrbitControlsComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        // Called after ngAfterContentInit when the component's view has been initialized. Applies to components only.
        // Add 'implements AfterViewInit' to the class.
        // console.log(this.camera);
    };
    OrbitControlsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-orbit-controls',
                    template: "",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    OrbitControlsComponent.ctorParameters = function () { return [
        { type: CanvasService },
        { type: RendererService },
        { type: MouseCanvasService }
    ]; };
    OrbitControlsComponent.propDecorators = {
        enabled: [{ type: Input }],
        enableDamping: [{ type: Input }],
        dampingFactor: [{ type: Input }],
        enableZoom: [{ type: Input }],
        zoomSpeed: [{ type: Input }],
        enableRotate: [{ type: Input }],
        rotateSpeed: [{ type: Input }],
        enablePan: [{ type: Input }],
        panSpeed: [{ type: Input }],
        screenSpacePanning: [{ type: Input }],
        keyPanSpeed: [{ type: Input }],
        autoRotate: [{ type: Input }],
        autoRotateSpeed: [{ type: Input }],
        enableKeys: [{ type: Input }],
        change: [{ type: Output }]
    };
    return OrbitControlsComponent;
}());
var MouseController = /** @class */ (function () {
    function MouseController(controller) {
        this.controller = controller;
        this._activated = false;
        this.start = new Vector2();
        this.end = new Vector2();
        this.delta = new Vector2();
    }
    Object.defineProperty(MouseController.prototype, "activated", {
        get: /**
         * @return {?}
         */
        function () {
            return this._activated;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    MouseController.prototype.activate = /**
     * @return {?}
     */
    function () {
        this._activated = true;
    };
    /**
     * @return {?}
     */
    MouseController.prototype.deactivate = /**
     * @return {?}
     */
    function () {
        this._activated = false;
    };
    /**
     * @param {?} position
     * @return {?}
     */
    MouseController.prototype.onMouseDown = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (this.activated) {
            this.start.set(position.x, position.y);
        }
    };
    /**
     * @return {?}
     */
    MouseController.prototype.onMouseUp = /**
     * @return {?}
     */
    function () {
        this.deactivate();
    };
    return MouseController;
}());
var RotateController = /** @class */ (function (_super) {
    __extends(RotateController, _super);
    function RotateController(controller, speed, autoRotateSpeed) {
        var _this = _super.call(this, controller) || this;
        _this.speed = speed;
        _this.autoRotateSpeed = autoRotateSpeed;
        _this.polarAngleRange = { min: 0, max: Math.PI };
        _this.azimuthAngleRange = { min: -Infinity, max: Infinity };
        _this.distanceRange = { min: 0, max: Infinity };
        _this.spherical = new Spherical();
        _this.sphericalDelta = new Spherical();
        return _this;
    }
    Object.defineProperty(RotateController.prototype, "polarAngle", {
        get: /**
         * @return {?}
         */
        function () {
            return this.spherical.phi;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(RotateController.prototype, "azimuthalAngle", {
        get: /**
         * @return {?}
         */
        function () {
            return this.spherical.theta;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    RotateController.prototype.update = /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    function (offset, target) {
        // angle from z-axis around y-axis
        this.spherical.setFromVector3(offset);
        if (this.autoRotate && this.controller.state === 'none') {
            this.autoRotate();
        }
        this.spherical.theta += this.sphericalDelta.theta;
        this.spherical.phi += this.sphericalDelta.phi;
        // restrict theta to be between desired limits
        this.spherical.theta = fitrange(this.spherical.theta, this.azimuthAngleRange);
        // restrict phi to be between desired limits
        this.spherical.phi = fitrange(this.spherical.phi, this.polarAngleRange);
        this.spherical.makeSafe();
        this.spherical.radius *= this.controller.scale;
        // restrict radius to be between desired limits
        this.spherical.radius = fitrange(this.spherical.radius, this.distanceRange);
        offset.setFromSpherical(this.spherical);
        if (this.controller.enableDamping) {
            this.sphericalDelta.theta *= 1 - this.controller.dampingFactor;
            this.sphericalDelta.phi *= 1 - this.controller.dampingFactor;
        }
        else {
            this.sphericalDelta.set(0, 0, 0);
        }
    };
    /**
     * @return {?}
     */
    RotateController.prototype.autoRotate = /**
     * @return {?}
     */
    function () {
        this.rotateLeft(this.autoRotateSpeed);
    };
    /**
     * @param {?} position
     * @return {?}
     */
    RotateController.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start).multiplyScalar(this.speed);
        /** @type {?} */
        var element = this.controller.domElement;
        this.rotateLeft((2 * Math.PI * this.delta.x) / element.clientHeight); // yes, height
        this.rotateUp((2 * Math.PI * this.delta.y) / element.clientHeight);
        this.start.copy(this.end);
        this.controller.update();
    };
    /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    RotateController.prototype.rotateLeft = /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    function (angle) {
        this.sphericalDelta.theta -= angle;
    };
    /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    RotateController.prototype.rotateUp = /**
     * @private
     * @param {?} angle
     * @return {?}
     */
    function (angle) {
        this.sphericalDelta.phi -= angle;
    };
    return RotateController;
}(MouseController));
var PanController = /** @class */ (function (_super) {
    __extends(PanController, _super);
    function PanController(controller, speed) {
        var _this = _super.call(this, controller) || this;
        _this.speed = speed;
        _this.offset = new Vector3();
        return _this;
    }
    /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    PanController.prototype.update = /**
     * @param {?} offset
     * @param {?} target
     * @return {?}
     */
    function (offset, target) {
        target.add(this.offset);
        if (this.controller.enableDamping === true) {
            this.offset.multiplyScalar(1 - this.controller.dampingFactor);
        }
        else {
            this.offset.set(0, 0, 0);
        }
    };
    /**
     * @return {?}
     */
    PanController.prototype.onMouseWheel = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} position
     * @return {?}
     */
    PanController.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start).multiplyScalar(this.speed);
        this.pan(this.delta.x, this.delta.y);
        this.start.copy(this.end);
        this.controller.update();
    };
    /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    PanController.prototype.panLeft = /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    function (distance, objectMatrix) {
        /** @type {?} */
        var v = new Vector3();
        v.setFromMatrixColumn(objectMatrix, 0); // get X column of objectMatrix
        v.multiplyScalar(-distance);
        this.offset.add(v);
    };
    /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    PanController.prototype.panUp = /**
     * @private
     * @param {?} distance
     * @param {?} objectMatrix
     * @return {?}
     */
    function (distance, objectMatrix) {
        /** @type {?} */
        var v = new Vector3();
        if (this.controller.screenSpacePanning === true) {
            v.setFromMatrixColumn(objectMatrix, 1);
        }
        else {
            v.setFromMatrixColumn(objectMatrix, 0);
            v.crossVectors(this.controller.camera.up, v);
        }
        v.multiplyScalar(distance);
        this.offset.add(v);
    };
    /**
     * @private
     * @param {?} deltaX
     * @param {?} deltaY
     * @return {?}
     */
    PanController.prototype.pan = /**
     * @private
     * @param {?} deltaX
     * @param {?} deltaY
     * @return {?}
     */
    function (deltaX, deltaY) {
        var _this = this;
        /** @type {?} */
        var offset = new Vector3();
        /** @type {?} */
        var element = this.controller.domElement;
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        function (camera) {
            _this.panLeft((deltaX * (camera.right - camera.left)) /
                camera.zoom /
                element.clientWidth, camera.matrix);
            _this.panUp((deltaY * (camera.top - camera.bottom)) /
                camera.zoom /
                element.clientHeight, camera.matrix);
        }), (/**
         * @param {?} camera
         * @return {?}
         */
        function (camera) {
            /** @type {?} */
            var position = camera.position;
            offset.copy(position).sub(_this.controller.target);
            /** @type {?} */
            var targetDistance = offset.length();
            // half of the fov is center to top of screen
            targetDistance *= Math.tan(((camera.fov / 2) * Math.PI) / 180.0);
            // we use only clientHeight here so aspect ratio does not distort speed
            _this.panLeft((2 * deltaX * targetDistance) / element.clientHeight, camera.matrix);
            _this.panUp((2 * deltaY * targetDistance) / element.clientHeight, camera.matrix);
        }), (/**
         * @return {?}
         */
        function () {
            console.warn('WARNING: OrbitControls.js encountered an unknown camera type - pan disabled.');
            _this.controller.enablePan = false;
        }));
    };
    return PanController;
}(MouseController));
var DollyController = /** @class */ (function (_super) {
    __extends(DollyController, _super);
    function DollyController(controller) {
        var _this = _super.call(this, controller) || this;
        _this.range = { min: 0, max: Infinity };
        _this.changed = false;
        return _this;
    }
    Object.defineProperty(DollyController.prototype, "zoomChanged", {
        get: /**
         * @return {?}
         */
        function () {
            return this.changed;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(DollyController.prototype, "zoomScale", {
        get: /**
         * @private
         * @return {?}
         */
        function () {
            return Math.pow(0.95, this.controller.zoomSpeed);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} position
     * @return {?}
     */
    DollyController.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        if (this.delta.y > 0) {
            this.dollyIn(this.zoomScale);
        }
        else if (this.delta.y < 0) {
            this.dollyOut(this.zoomScale);
        }
        this.start.copy(this.end);
        this.controller.update();
    };
    /**
     * @return {?}
     */
    DollyController.prototype.onMOuseWheel = /**
     * @return {?}
     */
    function () {
        if (!this.activated) {
            return;
        }
        // this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        if (this.delta.x > 0) {
            this.dollyIn(this.zoomScale);
        }
        else if (this.delta.x < 0) {
            this.dollyOut(this.zoomScale);
        }
        // this.start.copy(this.end);
        this.controller.update();
    };
    /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    DollyController.prototype.dollyIn = /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    function (dollyScale) {
        var _this = this;
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        function (camera) {
            camera.zoom = fitrange(camera.zoom * dollyScale, _this.range);
            camera.updateProjectionMatrix();
            _this.changed = true;
        }), (/**
         * @return {?}
         */
        function () {
            _this.controller.scale /= dollyScale;
        }), (/**
         * @return {?}
         */
        function () {
            console.warn('WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.');
            _this.controller.enableZoom = false;
        }));
        // if (this.controller.camera instanceof PerspectiveCamera) {
        //   this.controller.scale /= dollyScale;
        // } else if (this.controller.camera instanceof OrthographicCamera) {
        //   this.controller.camera.zoom = fitrange(
        //     this.controller.camera.zoom * dollyScale,
        //     this.range,
        //   );
        //   this.controller.camera.updateProjectionMatrix();
        //   this.changed = true;
        // } else {
        //   console.warn(
        //     'WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.',
        //   );
        //   this.controller.enableZoom = false;
        // }
    };
    /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    DollyController.prototype.dollyOut = /**
     * @private
     * @param {?} dollyScale
     * @return {?}
     */
    function (dollyScale) {
        var _this = this;
        switchByCameraType(this.controller.camera, (/**
         * @param {?} camera
         * @return {?}
         */
        function (camera) {
            camera.zoom = fitrange(camera.zoom / dollyScale, _this.range);
            camera.updateProjectionMatrix();
            _this.changed = true;
        }), (/**
         * @return {?}
         */
        function () {
            _this.controller.scale *= dollyScale;
        }), (/**
         * @return {?}
         */
        function () {
            console.warn('WARNING: OrbitControls encountered an unknown camera type - dolly/zoom disabled.');
            _this.controller.enableZoom = false;
        }));
    };
    return DollyController;
}(MouseController));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PerspectiveCameraComponent = /** @class */ (function () {
    function PerspectiveCameraComponent(scene, renderer) {
        var _this = this;
        this.scene = scene;
        this.renderer = renderer;
        this.camera = new PerspectiveCamera(45, this.size.left / this.size.bottom, 0.01, 1e10);
        this.changed = new EventEmitter();
        this.z = 100;
        this.camera.position.z = this.z;
        this.camera.lookAt(this.scene.scene.position);
        this.scene.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return _this.updateCameraFov(b); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    Object.defineProperty(PerspectiveCameraComponent.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return this.scene.size;
        },
        set: /**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            this.scene.resize(b);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @private
     * @param {?} b
     * @return {?}
     */
    PerspectiveCameraComponent.prototype.updateCameraFov = /**
     * @private
     * @param {?} b
     * @return {?}
     */
    function (b) {
        this.camera.fov = 50;
        this.camera.aspect = b.left / b.bottom;
        this.camera.near = 1;
        this.camera.far = 1;
        this.changed.emit();
        this.renderer.render();
    };
    /**
     * @return {?}
     */
    PerspectiveCameraComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        // console.log('camera init');
    };
    PerspectiveCameraComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-perspective-camera',
                    template: "<p>\n  perspective-camera works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    PerspectiveCameraComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    PerspectiveCameraComponent.propDecorators = {
        changed: [{ type: Output }],
        size: [{ type: Input }],
        z: [{ type: Input }]
    };
    return PerspectiveCameraComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var OrthographicCameraComponent = /** @class */ (function () {
    function OrthographicCameraComponent(scene, renderer) {
        var _this = this;
        this.scene = scene;
        this.renderer = renderer;
        this.camera = new OrthographicCamera(this.size.left, this.size.right, this.size.top, this.size.bottom);
        this.changed = new EventEmitter();
        this.z = 100;
        console.log(this.x);
        this.camera.position.z = this.z;
        this.scene.size$.subscribe((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return _this.updateCameraSize(b); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    Object.defineProperty(OrthographicCameraComponent.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return this.scene.size;
        },
        set: /**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            this.scene.resize(b);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @private
     * @param {?} b
     * @return {?}
     */
    OrthographicCameraComponent.prototype.updateCameraSize = /**
     * @private
     * @param {?} b
     * @return {?}
     */
    function (b) {
        this.camera.bottom = b.bottom;
        this.camera.top = b.top;
        this.camera.left = b.left;
        this.camera.right = b.right;
        this.camera.zoom = 1;
        this.camera.updateProjectionMatrix();
        this.changed.emit();
        this.renderer.render();
    };
    /**
     * @return {?}
     */
    OrthographicCameraComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    OrthographicCameraComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-orthographic-camera',
                    template: ""
                }] }
    ];
    /** @nocollapse */
    OrthographicCameraComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    OrthographicCameraComponent.propDecorators = {
        changed: [{ type: Output }],
        size: [{ type: Input }],
        z: [{ type: Input }],
        x: [{ type: Input }]
    };
    return OrthographicCameraComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CanvasComponent = /** @class */ (function () {
    function CanvasComponent(elRef, scene, canvasService, renderer, mouse) {
        this.elRef = elRef;
        this.scene = scene;
        this.canvasService = canvasService;
        this.renderer = renderer;
        this.mouse = mouse;
        this.debug = false;
        this.diagnosis = false;
        this.elRef.nativeElement.appendChild(this.renderer.domElement);
        // console.log(this.camera);
    }
    Object.defineProperty(CanvasComponent.prototype, "size", {
        get: /**
         * @return {?}
         */
        function () {
            return this.canvasService.size.size;
        },
        set: /**
         * @param {?} v
         * @return {?}
         */
        function (v) {
            this.canvasService.size = new BoundingBox2FromCenterSize(new Vector2(0, 0), v);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CanvasComponent.prototype, "camera", {
        get: /**
         * @return {?}
         */
        function () {
            if (this.perspectiveCamera !== undefined) {
                return this.perspectiveCamera.camera;
            }
            if (this.orthographicCamera !== undefined) {
                return this.orthographicCamera.camera;
            }
            return undefined;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(CanvasComponent.prototype, "controls", {
        get: /**
         * @return {?}
         */
        function () {
            if (this.orbitControls !== undefined) {
                return this.orbitControls.camera;
            }
            return undefined;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    CanvasComponent.prototype.render = /**
     * @return {?}
     */
    function () {
        this.renderer.render();
    };
    /**
     * @return {?}
     */
    CanvasComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        if (this.debug) {
            /** @type {?} */
            var axes = new AxesHelper(1);
            this.scene.add(axes);
            this.render();
        }
    };
    /**
     * @return {?}
     */
    CanvasComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    CanvasComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        if (this.camera === undefined) {
            throw Error('Camera is undefined');
        }
        // this.orbitControls.
        // this.camera.scale.set(1, 1, 0.5) ;
        // console.log(this.controls);
        this.renderer.setCamera(this.camera);
        // console.log(this.camera);
        // console.log(this.renderer.camera);
        this.render();
    };
    /**
     * @return {?}
     */
    CanvasComponent.prototype.logScene = /**
     * @return {?}
     */
    function () {
        console.log(this.scene);
        console.log(this.camera);
        console.log(this.renderer.domElement);
        console.log(this.renderer.domElement.getBoundingClientRect());
    };
    CanvasComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-canvas',
                    template: "<!--<div class=\"canvas\">-->\n  <!-- <canvas #canvas></canvas> -->\n  <!-- <div [hidden]=\"!debug\"></div>\n  <div class=\"patient\"><ng-content select=\".patient\"></ng-content></div>\n  <div class=\"hospital\"><ng-content select=\".hospital\"></ng-content></div>\n  <div class=\"physics\"><ng-content select=\".physics\"></ng-content></div>\n  <div class=\"scale\"><ng-content select=\".scale\"></ng-content></div>\n  <div class=\"zoom\"><ng-content select=\".zoom\"></ng-content></div> -->\n  <!-- <ng-content id=\"patient\" select=\".patient\"></ng-content>\n  <ng-content id=\"hospital\" select=\".hospital\"></ng-content>\n  <ng-content id=\"physics\" select=\".physics\"></ng-content>\n  <ng-content id\"scale\" select=\".scale\"></ng-content>\n  <ng-content id=\"zoom\" select=\".zoom\"></ng-content> -->\n  <div *ngIf=\"debug\">\n    <button (click)=\"render()\">forceRender</button>\n    <button (click)=\"logScene()\">Log Scene</button>\n  </div>\n<!--</div>-->\n",
                    providers: [SceneService, CanvasService, RendererService, MouseCanvasService],
                    styles: [".wrap{position:relative;top:0;left:0;width:300px;height:300px;z-index:0}#ct,#patient{position:absolute;top:5%;left:5%;z-index:1}#hospital{position:absolute;top:5%;left:80%;width:15%;z-index:1}#scale{position:absolute;top:40%;left:25%;height:20%;z-index:1}#physics{position:absolute;top:75%;left:5%;width:15%;height:20%;z-index:1}#zoom{position:absolute;top:75%;left:80%;width:15%;height:20%}"]
                }] }
    ];
    /** @nocollapse */
    CanvasComponent.ctorParameters = function () { return [
        { type: ElementRef },
        { type: SceneService },
        { type: CanvasService },
        { type: RendererService },
        { type: MouseCanvasService }
    ]; };
    CanvasComponent.propDecorators = {
        size: [{ type: Input }],
        htmlCanvas: [{ type: ViewChild, args: ['canvas',] }],
        orthographicCamera: [{ type: ContentChild, args: [OrthographicCameraComponent,] }],
        perspectiveCamera: [{ type: ContentChild, args: [PerspectiveCameraComponent,] }],
        orbitControls: [{ type: ContentChild, args: [OrbitControlsComponent,] }]
    };
    return CanvasComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var LineComponent = /** @class */ (function (_super) {
    __extends(LineComponent, _super);
    function LineComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    LineComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var geomotery = new Geometry();
        geomotery.vertices.push(model.start);
        geomotery.vertices.push(model.end);
        if (model.style === 'Dashed') {
            /** @type {?} */
            var material = new LineDashedMaterial({
                color: model.color,
                linewidth: 2,
                scale: 1,
                dashSize: 0.5,
                gapSize: 0.25,
            });
            /** @type {?} */
            var line = new Line(geomotery, material);
            line.computeLineDistances();
            return line;
        }
        else {
            /** @type {?} */
            var material = new LineBasicMaterial({ color: model.color });
            return new Line(geomotery, material);
        }
    };
    /**
     * @return {?}
     */
    LineComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new LineModel(new Vector3(0, 0, 0), new Vector3(100, 100, 100));
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    LineComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        /**
         * @param {?} g
         * @return {?}
         */
        function update(g) {
            g.vertices[0].copy(model.start);
            g.vertices[1].copy(model.end);
            g.verticesNeedUpdate = true;
        }
        update((/** @type {?} */ (entity.geometry)));
        // console.log(model);
        return entity;
    };
    LineComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-line',
                    template: "<ng-content></ng-content>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    LineComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return LineComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CubeComponent = /** @class */ (function (_super) {
    __extends(CubeComponent, _super);
    // gui: GUI = new GUI();
    function CubeComponent(sceneService, renderer) {
        var _this = _super.call(this, sceneService, renderer) || this;
        _this.rotationSpeed = 0.02;
        _this.bouncingSpeed = 0.03;
        return _this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    CubeComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var result = new Mesh(new CubeGeometry(1, 1, 1), new MeshBasicMaterial({
            color: 0xff0000,
            transparent: true,
            opacity: 0.5,
            wireframe: true,
        }));
        result.name = 'Cube';
        result.position.copy(model.center);
        result.scale.copy(model.size);
        result.rotation.x = Math.PI / 4;
        result.rotation.y = Math.PI / 4;
        result.rotation.z = Math.PI / 4;
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    CubeComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        // this.gui.add(this.rotationSpeed, 'rotationSpeed', 0, 0.5);
        entity.position.copy(model.center);
        entity.scale.copy(model.size);
        return entity;
    };
    /**
     * @return {?}
     */
    CubeComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new CubeModel(new Vector3(100, 100, 100), new Vector3(0, 0, 0), new Vector3(0, 0, 0));
    };
    CubeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-cube',
                    template: "<ng-content></ng-content>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    CubeComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return CubeComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} component
 * @return {?}
 */
function provideParent(component) {
    return { provide: EntityComponent, useExisting: forwardRef((/**
         * @return {?}
         */
        function () { return component; })) };
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var PlaneComponent = /** @class */ (function (_super) {
    __extends(PlaneComponent, _super);
    function PlaneComponent(sceneService, renderer) {
        var _this = _super.call(this, sceneService, renderer) || this;
        // @Input() z = -100;
        _this.zSubject = new BehaviorSubject(-100);
        return _this;
    }
    Object.defineProperty(PlaneComponent.prototype, "z", {
        get: /**
         * @return {?}
         */
        function () {
            return this.zSubject.value;
        },
        set: /**
         * @param {?} n
         * @return {?}
         */
        function (n) {
            this.zSubject.next(n);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} data
     * @return {?}
     */
    PlaneComponent.prototype.createTexture = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        /** @type {?} */
        var textureData = new Uint8Array(3 * data.shape.x * data.shape.y);
        /** @type {?} */
        var texture = new DataTexture(textureData, data.shape.x, data.shape.y, RGBFormat);
        for (var i = 0; i < data.shape.x; i++) {
            for (var j = 0; j < data.shape.y; j++) {
                /** @type {?} */
                var indImg = i * data.shape.y + j;
                /** @type {?} */
                var indTex = i + j * data.shape.x;
                /** @type {?} */
                var stride = indTex * 3;
                textureData[stride] = data.r[indImg];
                textureData[stride + 1] = data.g[indImg];
                textureData[stride + 2] = data.b[indImg];
            }
        }
        texture.needsUpdate = true;
        return texture;
    };
    /**
     * @param {?} model
     * @return {?}
     */
    PlaneComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        // console.log('Create Entity based on model', model);
        /** @type {?} */
        var map = model.textureData === undefined
            ? undefined
            : this.createTexture(model.textureData);
        /** @type {?} */
        var color = map !== undefined
            ? undefined
            : model.color !== undefined
                ? model.color
                : new Color(0.5, 0.5, 0.5);
        /** @type {?} */
        var base = {
            side: DoubleSide,
            wireframe: model.wireFrame === undefined ? false : model.wireFrame,
            opacity: model.opacity === undefined ? 1.0 : model.opacity,
            transparent: model.transparent === undefined ? false : model.transparent,
        };
        /** @type {?} */
        var rotation = model.rotation === undefined ? new Vector3(0, 0, 0) : model.rotation;
        /** @type {?} */
        var result = new Mesh(new PlaneGeometry(1, 1, 1, 1), new MeshBasicMaterial(map !== undefined ? __assign({}, base, { map: map }) : __assign({}, base, { color: color })));
        result.position.set(model.box.center.x, model.box.center.y, this.z);
        result.scale.set(model.box.size.x, model.box.size.y, 1.0);
        result.rotation.set(rotation.x, rotation.y, rotation.z);
        result.renderOrder = this.z;
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    PlaneComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        if (model.textureData !== undefined) {
            this.changeTexture((/** @type {?} */ (entity)), model.textureData);
        }
        ((/** @type {?} */ (entity.material))).setValues({
            wireframe: model.wireFrame,
            transparent: model.transparent,
            opacity: model.opacity,
        });
        ((/** @type {?} */ (entity.material))).needsUpdate = true;
        entity.position.set(model.box.center.x, model.box.center.y, this.z);
        entity.scale.set(model.box.size.x, model.box.size.y, 1.0);
        entity.rotation.set(model.rotation.x, model.rotation.y, model.rotation.z);
        entity.renderOrder = this.z;
        return entity;
    };
    /**
     * @private
     * @param {?} plane
     * @param {?} data
     * @return {?}
     */
    PlaneComponent.prototype.changeTexture = /**
     * @private
     * @param {?} plane
     * @param {?} data
     * @return {?}
     */
    function (plane, data) {
        ((/** @type {?} */ (plane.material))).setValues({
            map: this.createTexture(data),
        });
    };
    /**
     * @return {?}
     */
    PlaneComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(100, 100)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        });
    };
    PlaneComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-plane',
                    template: "<ng-content></ng-content>\n",
                    providers: [provideParent(PlaneComponent)],
                    styles: ['./plane.component.css']
                }] }
    ];
    /** @nocollapse */
    PlaneComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    PlaneComponent.propDecorators = {
        z: [{ type: Input }]
    };
    return PlaneComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MouseEntityService = /** @class */ (function () {
    function MouseEntityService(mouseCanvas, entity2) {
        var _this = this;
        this.mouseCanvas = mouseCanvas;
        this.entity2 = entity2;
        this.stop = new Subject();
        this.cameraDirection = new Vector3();
        this.down$ = this.createDown$();
        this.click$ = this.createClick$();
        this.drag$ = this.createDrag$();
        this.hover$ = this.mouseCanvas.position$.pipe(map((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return _this.isOnThisEntity(p); })), distinctUntilChanged(), takeUntil(this.stop));
        this.wheel$ = this.createWheel$();
    }
    /**
     * @private
     * @return {?}
     */
    MouseEntityService.prototype.createClick$ = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        return this.down$.pipe(switchMap((/**
         * @return {?}
         */
        function () {
            return merge(_this.mouseCanvas.up$, _this.mouseCanvas.leave$).pipe(map((/**
             * @param {?} u
             * @return {?}
             */
            function (u) {
                if (_this.isOnThisEntity(u)) {
                    return true;
                }
                else {
                    return false;
                }
            })));
        })), filter((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return !!x; })), map(noop));
    };
    /**
     * @private
     * @return {?}
     */
    MouseEntityService.prototype.createDown$ = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        return this.mouseCanvas.down$.pipe(filter((/**
         * @param {?} p
         * @return {?}
         */
        function (p) { return _this.isOnThisEntity(p); })), takeUntil(this.stop));
    };
    /**
     * @private
     * @return {?}
     */
    MouseEntityService.prototype.createWheel$ = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        return this.mouseCanvas.wheel$.pipe(filter((/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return _this.isOnThisEntity(e.position); })), takeUntil(this.stop));
    };
    /**
     * @private
     * @param {?} p
     * @return {?}
     */
    MouseEntityService.prototype.isOnThisEntity = /**
     * @private
     * @param {?} p
     * @return {?}
     */
    function (p) {
        // if (this.entityService.entity === undefined) {
        //   return false;
        // }
        if (this.entity2.entity === undefined) {
            return false;
        }
        /** @type {?} */
        var direction;
        if (this.camera === undefined) {
            direction = new Vector3(0, 0, -1);
        }
        else {
            this.camera.getWorldDirection(this.cameraDirection);
            direction = this.cameraDirection;
        }
        /** @type {?} */
        var intersects = this.mouseCanvas.intersectObject(new Vector3(p.x, p.y, 100), direction);
        if (intersects.length === 0) {
            return false;
        }
        /** @type {?} */
        var firstIntersect = intersects[0];
        // if (firstIntersect.object.uuid !== this.entityService.entity.uuid) {
        //   return false;
        // }
        if (firstIntersect.object.uuid !== this.entity2.entity.uuid) {
            return false;
        }
        return true;
    };
    /**
     * @private
     * @return {?}
     */
    MouseEntityService.prototype.createDrag$ = /**
     * @private
     * @return {?}
     */
    function () {
        var _this = this;
        /** @type {?} */
        var cancel = merge(this.mouseCanvas.up$, this.mouseCanvas.leave$);
        return this.down$.pipe(switchMap((/**
         * @param {?} origin
         * @return {?}
         */
        function (origin) {
            /** @type {?} */
            var center = 
            // this.entityService.entity === undefined
            //   ? new Vector2(0, 0)
            //   : new Vector2(
            //       this.entityService.entity.position.x,
            //       this.entityService.entity.position.y,
            //     );
            _this.entity2.entity === undefined
                ? new Vector2(0, 0)
                : new Vector2(_this.entity2.entity.position.x, _this.entity2.entity.position.y);
            /** @type {?} */
            var offset = new Vector2(origin.x - center.x, origin.y - center.y);
            return _this.mouseCanvas.position$.pipe(map((/**
             * @param {?} current
             * @return {?}
             */
            function (current) {
                return {
                    origin: origin,
                    current: current,
                    relativeCenter: new Vector2(current.x - offset.x, current.y - offset.y),
                };
            })), takeUntil(cancel));
        })), takeUntil(this.stop));
    };
    /**
     * @return {?}
     */
    MouseEntityService.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.stop.next();
        this.stop.complete();
    };
    /**
     * @param {?} camera
     * @return {?}
     */
    MouseEntityService.prototype.setCamera = /**
     * @param {?} camera
     * @return {?}
     */
    function (camera) {
        this.camera = camera;
    };
    MouseEntityService.decorators = [
        { type: Injectable }
    ];
    /** @nocollapse */
    MouseEntityService.ctorParameters = function () { return [
        { type: MouseCanvasService },
        { type: EntityComponent, decorators: [{ type: Optional }] }
    ]; };
    return MouseEntityService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MouseEntityComponent = /** @class */ (function () {
    function MouseEntityComponent(mouse, entity2) {
        var _this = this;
        this.mouse = mouse;
        this.entity2 = entity2;
        this.click = new EventEmitter();
        this.drag = new EventEmitter();
        this.hover = new EventEmitter();
        this.wheel = new EventEmitter();
        this.mouse.click$.subscribe((/**
         * @return {?}
         */
        function () {
            // console.log(this.entity2.entity );
            // if (this.entity.entity !== undefined) {
            //   this.click.emit(this.entity.entity);
            // }
            if (_this.entity2.entity !== undefined) {
                _this.click.emit(_this.entity2.entity);
            }
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.drag$.subscribe((/**
         * @param {?} d
         * @return {?}
         */
        function (d) {
            _this.drag.emit(d);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.hover$.pipe().subscribe((/**
         * @param {?} h
         * @return {?}
         */
        function (h) {
            _this.hover.emit(h);
        }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
        this.mouse.wheel$.subscribe((/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return _this.wheel.emit(e); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    /**
     * @return {?}
     */
    MouseEntityComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    MouseEntityComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    MouseEntityComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-mouse-entity',
                    template: "",
                    providers: [MouseEntityService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    MouseEntityComponent.ctorParameters = function () { return [
        { type: MouseEntityService },
        { type: EntityComponent, decorators: [{ type: Optional }] }
    ]; };
    MouseEntityComponent.propDecorators = {
        click: [{ type: Output }],
        drag: [{ type: Output }],
        hover: [{ type: Output }],
        wheel: [{ type: Output }]
    };
    return MouseEntityComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ControlsComponent = /** @class */ (function () {
    function ControlsComponent() {
    }
    /**
     * @return {?}
     */
    ControlsComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    ControlsComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-controls',
                    template: "<ng-content></ng-content>\n",
                    providers: [MouseEntityService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ControlsComponent.ctorParameters = function () { return []; };
    return ControlsComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ResizePlaneComponent = /** @class */ (function () {
    function ResizePlaneComponent() {
        var _this = this;
        this.edgeDirections = [
            'left',
            'right',
            'top',
            'bottom',
        ];
        this.cornerDirections = [
            { x: 'left', y: 'top' },
            { x: 'right', y: 'top' },
            { x: 'left', y: 'bottom' },
            { x: 'right', y: 'bottom' },
        ];
        this.modelSubject = new BehaviorSubject(DEFAULT_MAIN_MODEL);
        this.model$ = this.modelSubject.asObservable();
        this.models$ = this.model$.pipe(map((/**
         * @param {?} m
         * @return {?}
         */
        function (m) {
            return {
                main: m,
                bars: _this.createBars(m),
                corners: _this.createCorners(m),
            };
        })));
        this.initialied = false;
        this.z = 1;
        this.mainTexture = DEFAULT_MAIN_TEXTURE;
        this.barTexture = DEFAULT_BAR_TEXTURE;
        this.resizeEdge = new EventEmitter();
        this.resizeCorner = new EventEmitter();
    }
    Object.defineProperty(ResizePlaneComponent.prototype, "model", {
        get: /**
         * @return {?}
         */
        function () {
            return this.modelSubject.value;
        },
        set: /**
         * @param {?} m
         * @return {?}
         */
        function (m) {
            this.modelSubject.next(m);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    ResizePlaneComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @private
     * @param {?} model
     * @return {?}
     */
    ResizePlaneComponent.prototype.createBars = /**
     * @private
     * @param {?} model
     * @return {?}
     */
    function (model) {
        var _this = this;
        /** @type {?} */
        var result = {};
        this.edgeDirections.forEach((/**
         * @param {?} d
         * @return {?}
         */
        function (d) {
            result[d] = barModel(model, d, _this.barTexture);
        }));
        return result;
    };
    /**
     * @private
     * @param {?} model
     * @return {?}
     */
    ResizePlaneComponent.prototype.createCorners = /**
     * @private
     * @param {?} model
     * @return {?}
     */
    function (model) {
        return this.cornerDirections.map((/**
         * @param {?} direction
         * @return {?}
         */
        function (direction) {
            return {
                direction: direction,
                model: cornerModel(model, direction, DEFAULT_CORNER_TEXTURE),
            };
        }));
    };
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    ResizePlaneComponent.prototype.onDragBar = /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    function (e, direction) {
        this.resizeEdge.emit({
            type: 'edge',
            direction: direction,
            to: direction === 'left' || direction === 'right'
                ? e.relativeCenter.x
                : e.relativeCenter.y,
        });
    };
    /**
     * @param {?} e
     * @return {?}
     */
    ResizePlaneComponent.prototype.onResizeEdge = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.resizeEdge.emit(e);
    };
    /**
     * @param {?} e
     * @return {?}
     */
    ResizePlaneComponent.prototype.onResizeCorner = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.resizeCorner.emit(e);
    };
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    ResizePlaneComponent.prototype.onDragCorner = /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    function (e, direction) {
        this.resizeCorner.emit({
            type: 'corner',
            direction: direction,
            to: e.relativeCenter,
        });
    };
    /**
     * @param {?} direction
     * @param {?} models
     * @return {?}
     */
    ResizePlaneComponent.prototype.modelOf = /**
     * @param {?} direction
     * @param {?} models
     * @return {?}
     */
    function (direction, models) {
        /** @type {?} */
        var result = models.find((/**
         * @param {?} m
         * @return {?}
         */
        function (m) { return m.direction === direction; }));
        if (result === undefined) {
            throw Error("Can not find corner model of direction: " + direction.x + " " + direction.y);
        }
        return result.model;
    };
    ResizePlaneComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-resize-plane',
                    template: "<ng-container *ngIf=\"(models$ | async) as models\">\n  <ng3-resize-plane-edge\n    *ngFor=\"let d of edgeDirections\"\n    [model]=\"models.bars[d]\"\n    [direction]=\"d\"\n    [z]=\"z + 1\"\n    (resize)=\"onResizeEdge($event)\"\n  >\n  </ng3-resize-plane-edge>\n  <ng3-resize-plane-corner\n    *ngFor=\"let d of cornerDirections\"\n    [model]=\"modelOf(d, models.corners)\"\n    [direction]=\"d\"\n    [z]=\"z + 2\"\n    (resize)=\"onResizeCorner($event)\"\n  >\n  </ng3-resize-plane-corner>\n</ng-container>\n",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ResizePlaneComponent.ctorParameters = function () { return []; };
    ResizePlaneComponent.propDecorators = {
        model: [{ type: Input }],
        z: [{ type: Input }],
        mainTexture: [{ type: Input }],
        barTexture: [{ type: Input }],
        resizeEdge: [{ type: Output }],
        resizeCorner: [{ type: Output }]
    };
    return ResizePlaneComponent;
}());
/**
 * @param {?} direction
 * @param {?} xOrY
 * @param {?} main
 * @return {?}
 */
function offset(direction, xOrY, main) {
    switch (direction) {
        case 'left':
            return xOrY === 'x' ? -main.box.size.x / 2 : 0;
        case 'right':
            return xOrY === 'x' ? main.box.size.x / 2 : 0;
        case 'top':
            return xOrY === 'y' ? -main.box.size.y / 2 : 0;
        case 'bottom':
            return xOrY === 'y' ? main.box.size.y / 2 : 0;
    }
}
/**
 * @param {?} direction
 * @param {?} m
 * @param {?} position
 * @return {?}
 */
function size(direction, m, position) {
    /** @type {?} */
    var ratio = 0.2;
    if (position === 'edge') {
        switch (direction) {
            case 'left':
            case 'right':
                return new Vector2(m.box.size.x * ratio, m.box.size.y);
            case 'top':
            case 'bottom':
                return new Vector2(m.box.size.x, m.box.size.y * ratio);
        }
    }
    return new Vector2(m.box.size.x * ratio, m.box.size.y * ratio);
}
/**
 * @param {?} m
 * @param {?} direction
 * @param {?} texture
 * @return {?}
 */
function barModel(m, direction, texture) {
    /** @type {?} */
    var o = (/**
     * @param {?} xOrY
     * @return {?}
     */
    function (xOrY) { return offset(direction, xOrY, m); });
    return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(m.box.center.x + o('x'), m.box.center.y + o('y')), size(direction, m, 'edge')), 10, texture, new Vector3(0, 0, 0), true, 1);
}
/**
 * @param {?} m
 * @param {?} direction
 * @param {?} texture
 * @return {?}
 */
function cornerModel(m, direction, texture) {
    return new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(m.box.center.x + offset(direction.x, 'x', m), m.box.center.y + offset(direction.y, 'y', m)), size(direction.x, m, 'corner')), 10, texture, new Vector3(0, 0, 0), true, 0.8);
}
/** @type {?} */
var DEFAULT_MAIN_MODEL = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
});
/** @type {?} */
var DEFAULT_MAIN_TEXTURE = {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
var DEFAULT_BAR_TEXTURE = {
    r: new Uint8Array([128]),
    g: new Uint8Array([128]),
    b: new Uint8Array([128]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
var DEFAULT_CORNER_TEXTURE = {
    r: new Uint8Array([64]),
    g: new Uint8Array([64]),
    b: new Uint8Array([64]),
    shape: new Vector2(1, 1),
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MovePlaneComponent = /** @class */ (function () {
    function MovePlaneComponent(canvas) {
        this.canvas = canvas;
        this.model = DEFAULT_MAIN_MODEL$1;
        this.drag = new EventEmitter();
    }
    /**
     * @return {?}
     */
    MovePlaneComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} e
     * @return {?}
     */
    MovePlaneComponent.prototype.onDrag = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.drag.emit(e);
    };
    /**
     * @param {?} isHover
     * @return {?}
     */
    MovePlaneComponent.prototype.setStyle = /**
     * @param {?} isHover
     * @return {?}
     */
    function (isHover) {
        this.canvas.domElement.style.cursor = isHover ? 'move' : 'auto';
    };
    MovePlaneComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-move-plane',
                    template: "<ng3-plane #main [model]=\"model\">\n  <ng-content></ng-content>\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n\n<!-- app.html -->\n<!-- <move-plane>\n  <ng3-mouse-entity (drag)=\"\"></ng3-mouse-entity>\n<move-plane>\n\n\n    <move-plane>\n      <ng3-plane>\n          <ng3-mouse-entity (drag)=\"\"></ng3-mouse-entity>\n      </ng3-plane>\n\n    <move-plane> -->\n<!-- app.html -->\n<!-- <ng3-plane (drag)=\"\"></ng3-plane> -->\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    MovePlaneComponent.ctorParameters = function () { return [
        { type: CanvasService }
    ]; };
    MovePlaneComponent.propDecorators = {
        model: [{ type: Input }],
        drag: [{ type: Output }]
    };
    return MovePlaneComponent;
}());
/** @type {?} */
var DEFAULT_MAIN_TEXTURE$1 = {
    r: new Uint8Array([255]),
    g: new Uint8Array([255]),
    b: new Uint8Array([255]),
    shape: new Vector2(1, 1),
};
/** @type {?} */
var DEFAULT_MAIN_MODEL$1 = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, DEFAULT_MAIN_TEXTURE$1);

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ResizePlaneEdgeComponent = /** @class */ (function () {
    function ResizePlaneEdgeComponent(canvas) {
        this.canvas = canvas;
        this.direction = 'top';
        this.z = 1;
        this.resize = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ResizePlaneEdgeComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        if (this.model === undefined) {
            throw Error('Model is not provided');
        }
    };
    /**
     * @return {?}
     */
    ResizePlaneEdgeComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} isHover
     * @return {?}
     */
    ResizePlaneEdgeComponent.prototype.setStyle = /**
     * @param {?} isHover
     * @return {?}
     */
    function (isHover) {
        this.canvas.domElement.style.cursor = isHover ? this.cursorStyle() : 'auto';
    };
    /**
     * @private
     * @return {?}
     */
    ResizePlaneEdgeComponent.prototype.cursorStyle = /**
     * @private
     * @return {?}
     */
    function () {
        switch (this.direction) {
            case 'top':
            case 'bottom':
                return 'ns-resize';
            case 'left':
            case 'right':
                return 'ew-resize';
        }
    };
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    ResizePlaneEdgeComponent.prototype.onDrag = /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    function (e, direction) {
        this.resize.emit({
            type: 'edge',
            direction: this.direction,
            to: this.direction === 'left' || this.direction === 'right'
                ? e.relativeCenter.x
                : e.relativeCenter.y,
        });
    };
    ResizePlaneEdgeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-resize-plane-edge',
                    template: "<ng3-plane [model]=\"model\" [z]=\"z\">\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event, direction)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ResizePlaneEdgeComponent.ctorParameters = function () { return [
        { type: CanvasService }
    ]; };
    ResizePlaneEdgeComponent.propDecorators = {
        model: [{ type: Input }],
        direction: [{ type: Input }],
        z: [{ type: Input }],
        resize: [{ type: Output }]
    };
    return ResizePlaneEdgeComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ResizePlaneCornerComponent = /** @class */ (function () {
    function ResizePlaneCornerComponent(canvas) {
        this.canvas = canvas;
        this.direction = { x: 'right', y: 'top' };
        this.z = 1;
        this.resize = new EventEmitter();
    }
    /**
     * @return {?}
     */
    ResizePlaneCornerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        if (this.model === undefined) {
            throw Error('Model is not provided');
        }
    };
    /**
     * @return {?}
     */
    ResizePlaneCornerComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} isHover
     * @return {?}
     */
    ResizePlaneCornerComponent.prototype.setStyle = /**
     * @param {?} isHover
     * @return {?}
     */
    function (isHover) {
        this.canvas.domElement.style.cursor = isHover ? this.cursorStyle() : 'auto';
    };
    /**
     * @private
     * @return {?}
     */
    ResizePlaneCornerComponent.prototype.cursorStyle = /**
     * @private
     * @return {?}
     */
    function () {
        if (this.direction.x === 'left' && this.direction.y === 'top') {
            return 'nwse-resize';
        }
        if (this.direction.x === 'right' && this.direction.y === 'top') {
            return 'nesw-resize';
        }
        if (this.direction.x === 'left' && this.direction.y === 'bottom') {
            return 'nesw-resize';
        }
        if (this.direction.x === 'right' && this.direction.y === 'bottom') {
            return 'nwse-resize';
        }
        throw Error('Invalid corner direction');
    };
    /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    ResizePlaneCornerComponent.prototype.onDrag = /**
     * @param {?} e
     * @param {?} direction
     * @return {?}
     */
    function (e, direction) {
        this.resize.emit({
            type: 'corner',
            direction: this.direction,
            to: e.relativeCenter,
        });
    };
    ResizePlaneCornerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-resize-plane-corner',
                    template: "<ng3-plane [model]=\"model\" [z]=\"z\" *ngIf=\"model\">\n  <ng3-mouse-entity\n    (drag)=\"onDrag($event, direction)\"\n    (hover)=\"setStyle($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ResizePlaneCornerComponent.ctorParameters = function () { return [
        { type: CanvasService }
    ]; };
    ResizePlaneCornerComponent.propDecorators = {
        model: [{ type: Input }],
        direction: [{ type: Input }],
        z: [{ type: Input }],
        resize: [{ type: Output }]
    };
    return ResizePlaneCornerComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/** @type {?} */
var TEST_MODELS = [
    {
        id: 'testLine',
        model: new LineModel(new Vector3(0, 0, 0), new Vector3(40, 0, 0)),
    },
    {
        id: 'testPlane',
        model: new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }),
    },
    {
        id: 'testImage',
        model: new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }),
    },
];

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var EntitiesService = /** @class */ (function () {
    function EntitiesService(canvas) {
        var _this = this;
        this.nextImage$ = new Subject();
        this.models = new StoreByArray();
        TEST_MODELS.forEach((/**
         * @param {?} x
         * @return {?}
         */
        function (x) {
            return _this.models.insert(__assign({ id: x.id }, x.model)).subscribe();
        }));
    }
    /**
     * @return {?}
     */
    EntitiesService.prototype.currentModels = /**
     * @return {?}
     */
    function () {
        return this.models.currentState();
    };
    /**
     * @template K
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    EntitiesService.prototype.getModel$ = /**
     * @template K
     * @param {?} type
     * @param {?} id
     * @return {?}
     */
    function (type, id) {
        return this.models.get$({ id: id }).pipe(filter((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return x.type === type; })), map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return (/** @type {?} */ (x)); })));
    };
    /**
     * @param {?} model
     * @param {?=} id
     * @return {?}
     */
    EntitiesService.prototype.addModel = /**
     * @param {?} model
     * @param {?=} id
     * @return {?}
     */
    function (model, id) {
        var _this = this;
        console.log('add model', model);
        /** @type {?} */
        var result;
        if (id === undefined) {
            result = v4();
        }
        else {
            result = id;
        }
        return new Observable((/**
         * @param {?} obs
         * @return {?}
         */
        function (obs) {
            _this.models
                .insert(__assign({ id: result }, model))
                .subscribe(noop, obs.error, (/**
             * @return {?}
             */
            function () { return obs.next(result); }));
        })).pipe(first(), share());
    };
    /**
     * @param {?} item
     * @return {?}
     */
    EntitiesService.prototype.update = /**
     * @param {?} item
     * @return {?}
     */
    function (item) {
        return this.models.update(item);
    };
    /**
     * @return {?}
     */
    EntitiesService.prototype.testLine = /**
     * @return {?}
     */
    function () {
        var _this = this;
        /**
         * @param {?} x
         * @return {?}
         */
        function createLine(x) {
            return new LineModel(new Vector3(-10, x, 0), new Vector3(10, x, 0));
        }
        return this.addModel(createLine(0)).pipe(switchMap((/**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return interval(100).pipe(map((/**
             * @param {?} x
             * @return {?}
             */
            function (x) { return Math.sin(x / 20) * 30; })), map((/**
             * @param {?} x
             * @return {?}
             */
            function (x) {
                return __assign({ id: id }, createLine(x));
            }), switchMap((/**
             * @param {?} item
             * @return {?}
             */
            function (item) { return _this.update(item); }))));
        })));
    };
    /**
     * @return {?}
     */
    EntitiesService.prototype.testSequenceImage = /**
     * @return {?}
     */
    function () {
        return sequenceDummyGrayImage2(new Vector2(10, 20), new Vector2(10, 20), new Vector2(0, 0), this.nextImage$);
    };
    /**
     * @return {?}
     */
    EntitiesService.prototype.testWebSocketLine = /**
     * @return {?}
     */
    function () { };
    /** @nocollapse */
    EntitiesService.ctorParameters = function () { return [
        { type: CanvasComponent, decorators: [{ type: Optional }] }
    ]; };
    return EntitiesService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var SphereComponent = /** @class */ (function (_super) {
    __extends(SphereComponent, _super);
    function SphereComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    SphereComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var result = new Mesh(new SphereGeometry(model.radius, model.widthSegments, model.heightSegments), new MeshBasicMaterial({ color: 0xff0000 }));
        result.name = 'Sphere';
        result.position.copy(model.center);
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    SphereComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        entity.position.copy(model.center);
        return entity;
    };
    /**
     * @return {?}
     */
    SphereComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new SphereModel(new Vector3(0, 0, 0), 20, 32, 32, 0, 2 * Math.PI, 0, 0);
    };
    SphereComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-sphere',
                    template: "<p>\n  sphere works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    SphereComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return SphereComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var RingComponent = /** @class */ (function (_super) {
    __extends(RingComponent, _super);
    function RingComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    RingComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var result = new Mesh(new RingGeometry(model.innerRadius, model.outerRadius, model.thetaSegments, model.phiSegments), new MeshNormalMaterial({ side: DoubleSide, wireframe: true }));
        result.name = 'ring';
        result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    RingComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        entity.position.copy(model.center);
        entity.geometry = new RingGeometry(model.innerRadius, model.outerRadius, model.thetaSegments, model.phiSegments);
        return entity;
    };
    /**
     * @return {?}
     */
    RingComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new RingModel(new Vector3(0, 0, 0), 29.9, 30);
    };
    RingComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-ring',
                    template: "<ng-content></ng-content>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    RingComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return RingComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ObjLoaderComponent = /** @class */ (function (_super) {
    __extends(ObjLoaderComponent, _super);
    function ObjLoaderComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    ObjLoaderComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var loader = new OBJLoader();
        /** @type {?} */
        var result = new Group();
        loader.load('../../../../../resource/ceberus/Cebrus.obj', (/**
         * @param {?} loadMesh
         * @return {?}
         */
        function (loadMesh) {
            loadMesh.position.copy(model.center);
            result = loadMesh;
        }));
        // const result = new Mesh();
        // result.name = '';
        // result.position.copy(model.center);
        // result.rotation.x = - Math.PI / 2;
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    ObjLoaderComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        entity.position.copy(model.center);
        return entity;
    };
    /**
     * @return {?}
     */
    ObjLoaderComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new OBJModel(new Vector3(0, 0, 0));
    };
    ObjLoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-obj-loader',
                    template: "<p>\n  obj-loader works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ObjLoaderComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return ObjLoaderComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// https://github.com/mrdoob/three.js/blob/master/examples/js/loaders/OBJLoader.js
var  
// https://github.com/mrdoob/three.js/blob/master/examples/js/loaders/OBJLoader.js
VRMLLoader = /** @class */ (function () {
    function VRMLLoader(manager) {
        // for IndexedFaceSet support
        this.isRecordingPoints = false;
        this.isRecordingFaces = false;
        this.points = [];
        this.indexes = [];
        // for Background support
        this.isRecordingAngles = false;
        this.isRecordingColors = false;
        this.angles = [];
        this.colors = [];
        this.crossOrigin = 'anonymous';
        this.defines = {};
        this.index = [];
        this.float_pattern = /(\b|\-|\+)([\d\.e]+)/;
        this.float2_pattern = /([\d\.\+\-e]+)\s+([\d\.\+\-e]+)/g;
        this.float3_pattern = /([\d\.\+\-e]+)\s+([\d\.\+\-e]+)\s+([\d\.\+\-e]+)/g;
        this.textureLoader = new TextureLoader(this.manager);
        this.manager = DefaultLoadingManager;
        // console.log('manager: ', this.manager);
    }
    /**
     * @param {?} url
     * @param {?} onLoad
     * @param {?=} onProgress
     * @param {?=} onError
     * @return {?}
     */
    VRMLLoader.prototype.load = /**
     * @param {?} url
     * @param {?} onLoad
     * @param {?=} onProgress
     * @param {?=} onError
     * @return {?}
     */
    function (url, onLoad, onProgress, onError) {
        var _this = this;
        /** @type {?} */
        var path = this.path === undefined ? LoaderUtils.extractUrlBase(url) : this.path;
        /** @type {?} */
        var loader = new FileLoader(this.manager);
        loader.setPath(this.path);
        loader.load(url, (/**
         * @param {?} text
         * @return {?}
         */
        function (text) {
            // console.log('data: ', text);
            // console.log('the scene', this.parse(text, path));
            onLoad(_this.parse(text, path));
        }), onProgress, onError);
    };
    /**
     * @param {?} value
     * @return {?}
     */
    VRMLLoader.prototype.setPath = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        this.path = value;
        // let geometry = Object.create(BufferGeometry.prototype)
    };
    /**
     * @param {?} data
     * @param {?} path
     * @return {?}
     */
    VRMLLoader.prototype.parse = /**
     * @param {?} data
     * @param {?} path
     * @return {?}
     */
    function (data, path) {
        console.log('run parse');
        // console.log('data: ', data);
        this.textureLoader
            .setPath(this.resourcePath || path)
            .setCrossOrigin(this.crossOrigin);
        // console.log('texture: ', this.textureLoader);
        this.scene = new Scene();
        this.lines = data.split('\n');
        // console.log('lines: ', this.lines);
        for (var i = this.lines.length - 1; i > -1; i--) {
            /** @type {?} */
            var line = this.lines[i];
            line = line.replace(/(#.*)/, '');
            if (/{.*[{\[]/.test(line)) {
                /** @type {?} */
                var parts = line
                    .split('{')
                    .join('{\n')
                    .split('\n');
                // parts.unshift(1);
                // parts.unshift(i);
                /** @type {?} */
                var part = __spread([1, i], parts);
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            else if (/\].*}/.test(line)) {
                // split lines with ]..}
                /** @type {?} */
                var parts = line
                    .split(']')
                    .join(']\n')
                    .split('\n');
                // parts.unshift( 1 );
                // parts.unshift( i );
                /** @type {?} */
                var part = __spread([1, i], parts);
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            if (/}.*}/.test(line)) {
                // split lines with }..}
                /** @type {?} */
                var parts = line
                    .split('}')
                    .join('}\n')
                    .split('\n');
                /** @type {?} */
                var part = __spread([1, i], parts);
                // parts.unshift(1);
                // parts.unshift(i);
                console.log('parts: ', parts);
                this.lines.splice.apply(this.lines, part);
            }
            if (/^\b[^\s]+\b$/.test(line.trim())) {
                this.lines[i + 1] = line + ' ' + this.lines[i + 1].trim();
                this.lines.splice(i, 1);
            }
            else if (line.indexOf('coord') > -1 &&
                line.indexOf('[') < 0 &&
                line.indexOf('{') < 0) {
                this.lines[i] += 'Coordinate {}';
            }
        }
        // console.log('lines: ', this.lines);
        /** @type {?} */
        var header = this.lines.shift();
        // console.log('header: ', header);
        if (/V1.0/.exec(header)) {
            console.warn('THREE.VRMLLoader: V1.0 not supported yet.');
        }
        else if (/V2.0/.exec(header)) {
            this.parseV2(this.lines, this.scene);
        }
        return this.scene;
        // return new Group();
    };
    /**
     * @param {?} value
     * @return {?}
     */
    VRMLLoader.prototype.setResuorcePath = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        this.resourcePath = value;
    };
    /**
     * @param {?} value
     * @return {?}
     */
    VRMLLoader.prototype.setCrossOrigin = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        this.crossOrigin = value;
    };
    /**
     * @param {?} materials
     * @return {?}
     */
    VRMLLoader.prototype.setMaterials = /**
     * @param {?} materials
     * @return {?}
     */
    function (materials) { };
    /**
     * @return {?}
     */
    VRMLLoader.prototype._createParserState = /**
     * @return {?}
     */
    function () { };
    /**
     * Vertically paints the faces interpolating between the
     * specified colors at the specified angels. This is used for the Background
     * node, but could be applied to other nodes with multiple faces as well.
     *
     * When used with the Background node, default is directionIsDown is true if
     * interpolating the skyColor down from the Zenith. When interpolationg up from
     * the Nadir i.e. interpolating the groundColor, the directionIsDown is false.
     *
     * The first angle is never specified, it is the Zenith (0 rad). Angles are specified
     * in radians. The geometry is thought a sphere, but could be anything. The color interpolation
     * is linear along the Y axis in any case.
     *
     * You must specify one more color than you have angles at the beginning of the colors array.
     * This is the color of the Zenith (the top of the shape).
     *
     * @param geometry geometry
     * @param radius radius
     * @param angles angles
     * @param colors colors
     * @param boolean topDown Whether to work top down or bottom up.
     */
    /**
     * Vertically paints the faces interpolating between the
     * specified colors at the specified angels. This is used for the Background
     * node, but could be applied to other nodes with multiple faces as well.
     *
     * When used with the Background node, default is directionIsDown is true if
     * interpolating the skyColor down from the Zenith. When interpolationg up from
     * the Nadir i.e. interpolating the groundColor, the directionIsDown is false.
     *
     * The first angle is never specified, it is the Zenith (0 rad). Angles are specified
     * in radians. The geometry is thought a sphere, but could be anything. The color interpolation
     * is linear along the Y axis in any case.
     *
     * You must specify one more color than you have angles at the beginning of the colors array.
     * This is the color of the Zenith (the top of the shape).
     *
     * @private
     * @param {?} lines
     * @param {?} scene
     * @return {?}
     */
    VRMLLoader.prototype.parseV2 = /**
     * Vertically paints the faces interpolating between the
     * specified colors at the specified angels. This is used for the Background
     * node, but could be applied to other nodes with multiple faces as well.
     *
     * When used with the Background node, default is directionIsDown is true if
     * interpolating the skyColor down from the Zenith. When interpolationg up from
     * the Nadir i.e. interpolating the groundColor, the directionIsDown is false.
     *
     * The first angle is never specified, it is the Zenith (0 rad). Angles are specified
     * in radians. The geometry is thought a sphere, but could be anything. The color interpolation
     * is linear along the Y axis in any case.
     *
     * You must specify one more color than you have angles at the beginning of the colors array.
     * This is the color of the Zenith (the top of the shape).
     *
     * @private
     * @param {?} lines
     * @param {?} scene
     * @return {?}
     */
    function (lines, scene) {
        console.log('run parseV2');
        this.parseNode(this.getTree(lines), scene);
        // console.log('defines', this.defines['deur']);
    };
    /**
     * @private
     * @param {?} geometry
     * @param {?} radius
     * @param {?} angles
     * @param {?} colors
     * @param {?} topDown
     * @return {?}
     */
    VRMLLoader.prototype.paintFaces = /**
     * @private
     * @param {?} geometry
     * @param {?} radius
     * @param {?} angles
     * @param {?} colors
     * @param {?} topDown
     * @return {?}
     */
    function (geometry, radius, angles, colors, topDown) {
        /** @type {?} */
        var direction = topDown === true ? 1 : -1;
        /** @type {?} */
        var coord = [];
        /** @type {?} */
        var A = new Vector2();
        /** @type {?} */
        var B = new Vector2();
        /** @type {?} */
        var applyColor = false;
        for (var k = 0; k < angles.length; k++) {
            /** @type {?} */
            var vec = {
                x: direction * (Math.cos(angles[k]) * radius),
                y: direction * (Math.sin(angles[k]) * radius),
            };
            coord.push(vec);
        }
        /** @type {?} */
        var index = geometry.index;
        /** @type {?} */
        var positionAttribute = geometry.attributes.position;
        /** @type {?} */
        var colorAttribute = new BufferAttribute(new Float32Array(geometry.attributes.position.count * 3), 3);
        /** @type {?} */
        var position = new Vector3();
        /** @type {?} */
        var color = new Color();
        for (var i = 0; i < index.count; i++) {
            /** @type {?} */
            var vertexIndex = index.getX(i);
            position.fromBufferAttribute((/** @type {?} */ (positionAttribute)), vertexIndex);
            for (var j = 0; j < colors.length; j++) {
                if (j === 0) {
                    A.x = 0;
                    A.y = topDown === true ? radius : -1 * radius;
                }
                else {
                    A.x = coord[j - 1].x;
                    A.y = coord[j - 1].y;
                }
                B = coord[j];
                if (B !== undefined) {
                    applyColor =
                        topDown === true
                            ? position.y <= A.y && position.y > B.y
                            : position.y >= A.y && position.y < B.y;
                    if (applyColor === true) {
                        /** @type {?} */
                        var aColor = colors[j];
                        /** @type {?} */
                        var bColor = colors[j + 1];
                        /** @type {?} */
                        var t = Math.abs(position.y - A.y) / (A.y - B.y);
                        color.copy(aColor).lerp(bColor, t);
                        colorAttribute.setXYZ(vertexIndex, color.r, color.g, color.b);
                    }
                    else {
                        /** @type {?} */
                        var colorIndex = topDown === true ? colors.length - 1 : 0;
                        /** @type {?} */
                        var c = colors[colorIndex];
                        colorAttribute.setXYZ(vertexIndex, c.r, c.g, c.b);
                    }
                }
            }
        }
        geometry.addAttribute('color', colorAttribute);
    };
    /**
     * @private
     * @param {?} node
     * @param {?} line
     * @return {?}
     */
    VRMLLoader.prototype.parseProperty = /**
     * @private
     * @param {?} node
     * @param {?} line
     * @return {?}
     */
    function (node, line) {
        // console.log('reg');
        /** @type {?} */
        var parts = [];
        /** @type {?} */
        var part;
        /** @type {?} */
        var property = {};
        /** @type {?} */
        var fieldName;
        // /**
        //  * Expression for matching relevant information, such as a name or value, but not the separators
        //  * @type {RegExp}
        //  */
        /** @type {?} */
        var regex = /[^\s,\[\]]+/g;
        /** @type {?} */
        var point;
        while (null !== (part = regex.exec(line))) {
            parts.push(part[0]);
        }
        fieldName = parts[0];
        switch (fieldName) {
            case 'skyAngle':
            case 'groundAngle':
                this.recordingFieldname = fieldName;
                this.isRecordingAngles = true;
                this.angles = [];
                break;
            case 'color':
            case 'skyColor':
            case 'groundColor':
                this.recordingFieldname = fieldName;
                this.isRecordingColors = true;
                this.colors = [];
                break;
            case 'point':
            case 'vector':
                this.recordingFieldname = fieldName;
                this.isRecordingPoints = true;
                this.points = [];
                break;
            case 'colorIndex':
            case 'coordIndex':
            case 'normalIndex':
            case 'texCoordIndex':
                this.recordingFieldname = fieldName;
                this.isRecordingFaces = true;
                this.indexes = [];
                break;
        }
        if (this.isRecordingFaces) {
            if (parts.length > 0) {
                for (var ind = 0; ind > parts.length; ind++) {
                    if (!/(-?\d+)/.test(parts[ind])) {
                        continue;
                    }
                    if (parts[ind] === '-1') {
                        if (this.index.length > 0) {
                            this.indexes.push(this.index);
                        }
                        this.index = [];
                    }
                    else {
                        this.index.push(parseInt(parts[ind]));
                    }
                }
            }
            if (/]/.exec(line)) {
                if (this.index.length > 0) {
                    this.indexes.push(this.index);
                }
                this.index = [];
                this.isRecordingFaces = false;
                node[this.recordingFieldname] = this.indexes;
            }
        }
        else if (this.isRecordingPoints) {
            if (node.nodeType === 'Coordinate') {
                while (null !== (parts = this.float3_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    this.points.push(point);
                }
            }
            if (node.nodeType === 'Normal') {
                while (null !== (parts = this.float3_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    this.points.push(point);
                }
            }
            if (node.nodeType === 'TextureCoordinate') {
                while (null !== (parts = this.float2_pattern.exec(line))) {
                    point = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                    };
                    this.points.push(point);
                }
            }
            if (/]/.exec(line)) {
                this.isRecordingPoints = false;
                node.points = this.points;
            }
        }
        else if (this.isRecordingAngles) {
            if (parts.length > 0) {
                for (var ind = 0; ind < parts.length; ind++) {
                    if (!this.float_pattern.test(parts[ind])) {
                        continue;
                    }
                    this.angles.push(parseFloat(parts[ind]));
                }
            }
            if (/]/.exec(line)) {
                this.isRecordingAngles = false;
                node[this.recordingFieldname] = this.angles;
            }
        }
        else if (this.isRecordingColors) {
            while (null !== (parts = this.float3_pattern.exec(line))) {
                /** @type {?} */
                var color = {
                    r: parseFloat(parts[1]),
                    g: parseFloat(parts[2]),
                    b: parseFloat(parts[3]),
                };
                this.colors.push(color);
            }
            if (/]/.exec(line)) {
                this.isRecordingColors = false;
                node[this.recordingFieldname] = this.colors;
            }
        }
        else if (parts[parts.length - 1] !== 'NULL' && fieldName !== 'children') {
            switch (fieldName) {
                case 'duffuseColor':
                case 'emissiveColor':
                case 'specularColor':
                case 'color':
                    if (parts.length !== 4) {
                        console.warn('Three.VRMLLoader: Invalid color format detected for %s', fieldName);
                        break;
                    }
                    property = {
                        r: parseFloat(parts[1]),
                        g: parseFloat(parts[2]),
                        b: parseFloat(parts[3]),
                    };
                    break;
                case 'location':
                case 'direction':
                case 'translation':
                case 'scale':
                case 'size':
                    if (parts.length !== 4) {
                        console.warn('THREE.VRMLLoader: Invalid vector format detected for %s', fieldName);
                        break;
                    }
                    property = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                    };
                    break;
                case 'intensity':
                case 'cutOffAngle':
                case 'radius':
                case 'topRadius':
                case 'height':
                case 'transparency':
                case 'shininess':
                case 'ambientIntensity':
                case 'creaseAngle':
                    if (parts.length !== 2) {
                        console.warn('THREE.VRMLLoader: Invalid single float value specification detected for %s.', fieldName);
                        break;
                    }
                    property = parseFloat(parts[1]);
                    break;
                case 'rotation':
                    if (parts.length !== 5) {
                        console.warn('THREE.VEMLLoader: Invalid quaternion format detected for %s.', fieldName);
                        break;
                    }
                    property = parseFloat(parts[1]);
                    break;
                case 'rotation':
                    if (parts.length !== 5) {
                        console.warn('THREE.VRMLLoader: Invalid quaternion format detected for %s.', fieldName);
                        break;
                    }
                    property = {
                        x: parseFloat(parts[1]),
                        y: parseFloat(parts[2]),
                        z: parseFloat(parts[3]),
                        w: parseFloat(parts[4]),
                    };
                    break;
                case 'on':
                case 'ccw':
                case 'solid':
                case 'colorPerVertex':
                case 'convex':
                    if (parts.length !== 2) {
                        console.warn('THREE.VRMLLoader: Invalid format detected for %s.', fieldName);
                        break;
                    }
                    property = parts[1] === 'TRUE' ? true : false;
                    break;
            }
            node[fieldName] = property;
        }
        return property;
    };
    /**
     * @private
     * @param {?} lines
     * @return {?}
     */
    VRMLLoader.prototype.getTree = /**
     * @private
     * @param {?} lines
     * @return {?}
     */
    function (lines) {
        console.log('run getTree');
        // console.log('lines: ', lines);
        /** @type {?} */
        var tree = { string: 'Scene', children: [] };
        /** @type {?} */
        var current = tree;
        /** @type {?} */
        var matches;
        /** @type {?} */
        var specification;
        for (var i = 0; i < lines.length; i++) {
            // console.log('tree: ', tree);
            /** @type {?} */
            var comment = '';
            /** @type {?} */
            var line = lines[i];
            if (null !== /^\s+?$/g.exec(line)) {
                // console.log('reg1');
                continue;
            }
            line = line.trim();
            if (line === '') {
                // console.log('current line: ', lines[i]);
                // console.log('reg2: ', i);
                continue;
            }
            if (/#/.exec(line)) {
                // console.log('reg3');
                /** @type {?} */
                var parts = line.split('#');
                // console.log('parts: ', parts );
                line = parts[0];
                comment = parts[1];
            }
            if ((matches = /([^\s]*){1}(?:\s+)?{/.exec(line))) {
                // console.log('reg4');
                /** @type {?} */
                var block = {
                    nodeType: matches[1],
                    string: line,
                    parent: current,
                    children: [],
                    comment: comment,
                };
                current.children.push(block);
                // console.log('children: ', current);
                // console.log('tree1: ', tree);
                current = block;
                // console.log('block: ', block);
                // console.log('current: ',current);
                // let current1 = block; // #TODO: can not get the current.parent in ts
                if (/}/.exec(line)) {
                    // console.log('reg');
                    specification = /{(.*)}/.exec(line)[1];
                    block.children.push(specification);
                    this.parseProperty(current, specification);
                    current = ((/** @type {?} */ (current))).parent;
                }
                // tree.children.push(block);
            }
            else if (/}/.exec(line)) {
                // console.log('reg5');
                // #TODO: can not get the current.parent in ts
                // current = current.parent;
                current = ((/** @type {?} */ (current))).parent;
            }
            else if (line !== '') {
                console.log('reg6');
                this.parseProperty(current, line);
                current.children.push(line);
            }
        }
        console.log('tree: ', tree);
        return tree;
    };
    /**
     * @param {?} data
     * @param {?} parent
     * @return {?}
     */
    VRMLLoader.prototype.parseNode = /**
     * @param {?} data
     * @param {?} parent
     * @return {?}
     */
    function (data, parent) {
        console.log('run parseNode');
        // console.log('tree: ', data);
        // console.log(data.coordIndex);
        // let object: AmbientLight | PointLight | SpotLight | Object3D;
        /** @type {?} */
        var object;
        if (typeof data === 'string') {
            if (/USE/.exec(data)) {
                /** @type {?} */
                var defineKey = /USE\s+?([^\s]+)/.exec(data)[1];
                if (undefined === this.defines[defineKey]) {
                    console.warn('THREE.VRMLLoader: %s is not defined', defineKey);
                }
                else {
                    if (/appearance/.exec(data) && defineKey) {
                        parent.material = this.defines[defineKey].clone();
                    }
                    else if (/geometry/.exec(data) && defineKey) {
                        parent.geometry = this.defines[defineKey].clone();
                        if (this.defines[defineKey].solid !== undefined &&
                            this.defines[defineKey].solid === false) {
                            parent.geometry.solid = false;
                            parent.material.side = DoubleSide;
                        }
                    }
                    else if (defineKey) {
                        object = this.defines[defineKey].clone();
                        parent.add(object);
                    }
                }
            }
            return;
        }
        object = parent;
        if (data.string.indexOf('AmbientLight') > -1 &&
            data.nodeType === 'PointLight') {
            data.nodeType = 'AmbientLight';
        }
        /** @type {?} */
        var l_visible = data.on !== undefined ? data.on : true;
        /** @type {?} */
        var l_intensity = data.intensity !== undefined ? data.intensity : 1;
        /** @type {?} */
        var l_color = new Color();
        if (data.color) {
            l_color.copy(data.color);
        }
        if (data.nodeType === 'AmbientLight') {
            object = new AmbientLight(l_color, l_intensity);
            object.visible = l_visible;
            parent.add(object);
        }
        else if (data.nodeType === 'PointLight') {
            /** @type {?} */
            var l_distance = 0;
            if (data.radius !== undefined && data.radius < 1000) {
                l_distance = data.radius;
            }
            object = new PointLight(l_color, l_intensity, l_distance);
            object.visible = l_visible;
            parent.add(object);
        }
        else if (data.nodeType === 'SpotLight') {
            /** @type {?} */
            var l_intensity_1 = 1;
            /** @type {?} */
            var l_distance = 0;
            /** @type {?} */
            var l_angle = Math.PI / 3;
            /** @type {?} */
            var l_penumbra = 0;
            /** @type {?} */
            var l_visible_1 = true;
            if (data.radius !== undefined && data.radius < 1000) {
                l_distance = data.radius;
            }
            if (data.cutOffAngle !== undefined) {
                l_angle = data.cutOffAngle;
            }
            object = new SpotLight(l_color, l_intensity_1, l_distance, l_angle, l_penumbra);
            object.visible = l_visible_1;
            parent.add(object);
        }
        else if (data.nodeType === 'Transform' || data.nodeType === 'Group') {
            object = new Object3D();
            if (/DEF/.exec(data.string)) {
                object.name = /DEF\s+([^\s]+)/.exec(data.string)[1];
                this.defines[object.name] = object;
            }
            if (data.translation !== undefined) {
                /** @type {?} */
                var t = data.translation;
                object.position.set(t.x, t.y, t.z);
            }
            if (data.rotation !== undefined) {
                /** @type {?} */
                var r = data.rotation;
                object.quaternion.setFromAxisAngle(new Vector3(r.x, r.y, r.z), r.w);
            }
            if (data.scale !== undefined) {
                /** @type {?} */
                var s = data.scale;
                object.scale.set(s.x, s.y, s.z);
            }
            parent.add(object);
        }
        else if (data.nodeType === 'Shape') {
            object = new Mesh();
            if (/DEF/.exec(data.string)) {
                object.name = /DEF\s+([^\s]+)/.exec(data.string)[1];
                this.defines[object.name] = object;
            }
            parent.add(object);
        }
        else if (data.nodeType === 'Background') {
            /** @type {?} */
            var segments = 20;
            /** @type {?} */
            var radius = 2e4;
            /** @type {?} */
            var skyGeometry = new SphereBufferGeometry(radius, segments, segments);
            /** @type {?} */
            var skyMaterial = new MeshBasicMaterial({ fog: false, side: BackSide });
            if (data.skyColor.length > 1) {
                this.paintFaces(skyGeometry, radius, data.skyAngle, data.skyColor, true);
                skyMaterial.vertexColors = VertexColors;
            }
            else {
                /** @type {?} */
                var color = data.skyColor[0];
                // r b g in origin three.js
                skyMaterial.color.setRGB(color.r, color.g, color.b);
            }
            this.scene.add(new Mesh(skyGeometry, skyMaterial));
            if (data.groundColor !== undefined) {
                radius = 1.2e4;
                /** @type {?} */
                var groundGeometry = new SphereBufferGeometry(radius, segments, segments, 0, 2 * Math.PI, 0.5 * Math.PI, 1.5 * Math.PI);
                /** @type {?} */
                var groundMaterial = new MeshBasicMaterial({
                    fog: false,
                    side: BackSide,
                    vertexColors: VertexColors,
                });
                this.paintFaces(groundGeometry, radius, data.groundAngle, data.groundColor, false);
                this.scene.add(new Mesh(groundGeometry, groundMaterial));
            }
        }
        else if (/geometry/.exec(data.string)) {
            // console.log(data.nodeType);
            // console.log('geometry');
            if (data.nodeType === 'Box') {
                // console.log('Box');
                /** @type {?} */
                var s = data.size;
                parent.geometry = new BoxBufferGeometry(s.x, s.y, s.z);
            }
            else if (data.nodeType === 'Cylinder') {
                console.log('Cylinder');
                parent.geometry = new CylinderBufferGeometry(data.radius, data.radius, data.heigjt);
            }
            else if (data.nodeType === 'Cone') {
                console.log('Cone');
                parent.geometry = new CylinderBufferGeometry(data.topRadius, data.bottomRadius, data.height);
            }
            else if (data.nodeType === 'Sphere') {
                // console.log('Sphere');
                parent.geometry === new SphereBufferGeometry(data.radius);
                // } else if (data.nodeType === 'IndexedFaceSet') {
            }
            else if (data.nodeType === 'IndexedFaceSet1') {
                // console.log('data coordIndex', data.coordIndex);
                // console.log('IndexFaceSet');
                /** @type {?} */
                var geometry = new BufferGeometry();
                // console.log('geometry',geometry);
                /** @type {?} */
                var positions = [];
                /** @type {?} */
                var colors = [];
                /** @type {?} */
                var normals = [];
                /** @type {?} */
                var uvs = [];
                /** @type {?} */
                var position = void 0;
                /** @type {?} */
                var color = void 0;
                /** @type {?} */
                var normal = void 0;
                /** @type {?} */
                var uv = void 0;
                /** @type {?} */
                var i = void 0;
                /** @type {?} */
                var il = void 0;
                /** @type {?} */
                var j = void 0;
                /** @type {?} */
                var jl = void 0;
                for (i = 0, il = data.children.length; i < il; i++) {
                    /** @type {?} */
                    var child = data.children[i];
                    // uvs
                    if (child.nodeType === 'TextureCoordinate') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                uv = child.points[j];
                                uvs.push(uv.x, uv.y);
                            }
                        }
                    }
                    // normals
                    if (child.nodeType === 'Normal') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                normal = child.points[j];
                                normals.push(normal.x, normal.y, normal.z);
                            }
                        }
                    }
                    // colors
                    if (child.nodeType === 'Color') {
                        if (child.color) {
                            for (j = 0, jl = child.color.length; j < jl; j++) {
                                color = child.color[j];
                                colors.push(color.r, color.g, color.b);
                            }
                        }
                    }
                    // positions
                    if (child.nodeType === 'Coordinate') {
                        if (child.points) {
                            for (j = 0, jl = child.points.length; j < jl; j++) {
                                position = child.points[j];
                                positions.push(position.x, position.y, position.z);
                            }
                        }
                        if (child.string.indexOf('DEF') > -1) {
                            /** @type {?} */
                            var name_1 = /DEF\s+([^\s]+)/.exec(child.string)[1];
                            this.defines[name_1] = positions.slice(0);
                        }
                        if (child.string.indexOf('USE') > -1) {
                            /** @type {?} */
                            var defineKey = /USE\s+([^\s]+)/.exec(child.string)[1];
                            positions = this.defines[defineKey];
                        }
                    }
                }
                if (data.coordIndex) {
                    // if (false) {
                    // console.log('data coorIndex:',data.coordIndex);
                    /** @type {?} */
                    var positionIndexes = data.coordIndex
                        ? this.triangulateIndexArray(data.coordIndex, data.ccw)
                        : [];
                    /** @type {?} */
                    var normalIndexes = data.normalIndex
                        ? this.triangulateIndexArray(data.normalIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    var colorIndexes = data.colorIndex
                        ? this.triangulateIndexArray(data.texCoordIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    var uvIndexes = data.texCoordIndex
                        ? this.triangulateIndexArray(data.texCoordIndex, data.ccw)
                        : positionIndexes;
                    /** @type {?} */
                    var newIndexes = [];
                    /** @type {?} */
                    var newPositions = [];
                    /** @type {?} */
                    var newNormals = [];
                    /** @type {?} */
                    var newColors = [];
                    /** @type {?} */
                    var newUvs = [];
                    /** @type {?} */
                    var pointMap = Object.create(null);
                    for (i = 0; i < positionIndexes.length; i++) {
                        /** @type {?} */
                        var pointAttributes = [];
                        /** @type {?} */
                        var positionIndex = positionIndexes[i];
                        /** @type {?} */
                        var normalIndex = normalIndexes[i];
                        /** @type {?} */
                        var colorIndex = colorIndexes[i];
                        /** @type {?} */
                        var uvIndex = uvIndexes[i];
                        /** @type {?} */
                        var base = 10;
                        pointAttributes.push(positionIndex.toString(base));
                        if (normalIndex !== undefined) {
                            pointAttributes.push(normalIndex.toString(base));
                        }
                        if (colorIndex !== undefined) {
                            pointAttributes.push(colorIndex.toString(base));
                        }
                        if (uvIndex !== undefined) {
                            pointAttributes.push(uvIndex.toString(base));
                        }
                        /** @type {?} */
                        var pointId = pointAttributes.join('.');
                        /** @type {?} */
                        var newIndex = pointMap[pointId];
                        if (newIndex === undefined) {
                            newIndex = newPositions.length / 3;
                            pointMap[pointId] = newIndex;
                            newPositions.push(positions[positionIndex * 3], positions[positionIndex * 3 + 1], positions[positionIndex * 3 + 2]);
                            if (normalIndex !== undefined && normals.length > 0) {
                                newNormals.push(normals[normalIndex * 3], normals[normalIndex * 3 + 1], normals[normalIndex * 3 + 2]);
                            }
                            if (colorIndex !== undefined && colors.length > 0) {
                                newColors.push(colors[colorIndex * 3], colors[colorIndex * 3 + 1], colors[colorIndex * 3 + 2]);
                            }
                            if (uvIndex !== undefined && uvs.length > 0) {
                                newUvs.push(uvs[uvIndex * 2], uvs[uvIndex * 2 + 1]);
                            }
                        }
                        newIndexes.push(newIndex);
                    }
                    positions = newPositions;
                    normals = newNormals;
                    colors = newColors;
                    uvs = newUvs;
                    geometry.setIndex(newIndexes);
                }
                else {
                    // do not add dummy mesh to the scene
                    parent.parent.remove(parent);
                }
                if (false === data.solid) {
                    parent.material.side = DoubleSide;
                }
                // #TODO: Class BufferGeometry in ts does not have the attribute of solid
                // geometry.solid = data.solid;
                geometry.addAttribute('position', new Float32BufferAttribute(position, 3));
                if (colors.length > 0) {
                    geometry.addAttribute('color', new Float32BufferAttribute(colors, 3));
                    parent.material.VertexColors = VertexColors;
                }
                if (uvs.length > 0) {
                    geometry.addAttribute('uv', new Float32BufferAttribute(uvs, 2));
                }
                if (normals.length > 0) {
                    geometry.addAttribute('normal', new Float32BufferAttribute(normal, 3));
                }
                else {
                    geometry = geometry.toNonIndexed();
                    geometry.computeVertexNormals();
                }
                geometry.computeBoundingSphere();
                if (/DEF/.exec(data.string)) {
                    geometry.name = /DEF ([^\s]+)/.exec(data.string)[1];
                    this.defines[geometry.name] = geometry;
                }
                parent.geometry = geometry;
            }
            return;
        }
        else if (/appearance/.exec(data.string)) {
            for (var i = 0; i < data.children.length; i++) {
                /** @type {?} */
                var child = data.children[i];
                if (child.nodeType === 'Material') {
                    /** @type {?} */
                    var material = new MeshPhongMaterial();
                    if (child.diffuseColor !== undefined) {
                        /** @type {?} */
                        var d = child.diffuseColor;
                        material.color.setRGB(d.r, d.g, d.b);
                    }
                    if (child.emissiveColor !== undefined) {
                        /** @type {?} */
                        var e = child.emissiveColor;
                        material.emissive.setRGB(e.r, e.g, e.b);
                    }
                    if (child.specularColor !== undefined) {
                        /** @type {?} */
                        var s = child.specularColor;
                        material.specular.setRGB(s.r, s.g, s.b);
                    }
                    if (child.transparency !== undefined) {
                        /** @type {?} */
                        var t = child.transparency;
                        material.opacity = Math.abs(1 - t);
                        material.transparent = true;
                    }
                    if (/DEF/.exec(data.string)) {
                        material.name = /DEF ([^\s]+)/.exec(data.string)[1];
                        this.defines[material.name] = material;
                    }
                    parent.material = material;
                }
                if (child.nodeType === 'ImageTexture') {
                    /** @type {?} */
                    var textureName = /"([^"]+)"/.exec(child.children[0]);
                    if (textureName) {
                        parent.material.name = textureName[1];
                        parent.material.map = this.textureLoader.load(textureName[1]);
                    }
                }
            }
            return;
        }
        for (var i = 0, l = data.children.length; i < l; i++) {
            // console.log('i: ', i);
            // console.log('p');
            this.parseNode(data.children[i], object);
        }
    };
    /**
     * @private
     * @param {?} indexArray
     * @param {?} ccw
     * @param {?=} colorPerVertex
     * @return {?}
     */
    VRMLLoader.prototype.triangulateIndexArray = /**
     * @private
     * @param {?} indexArray
     * @param {?} ccw
     * @param {?=} colorPerVertex
     * @return {?}
     */
    function (indexArray, ccw, colorPerVertex) {
        // #TODO: colorPerVertex has no default value in js?
        if (colorPerVertex === void 0) { colorPerVertex = true; }
        if (ccw === undefined) {
            ccw = true;
        }
        /** @type {?} */
        var triangulatedIndexArray = [];
        /** @type {?} */
        var skip = 0;
        for (var i = 0; i < indexArray.length; i++) {
            if (colorPerVertex === false) {
                /** @type {?} */
                var colorIndices = indexArray[i];
                for (var j = 0; j < colorIndices.length; j++) {
                    /** @type {?} */
                    var index = colorIndices[j];
                    triangulatedIndexArray.push(index, index, index);
                }
            }
            else {
                /** @type {?} */
                var indexedFace = indexArray[i];
                skip = 0;
                while (indexedFace.length >= 3 && skip < indexedFace.length - 2) {
                    /** @type {?} */
                    var i1 = indexedFace[0];
                    /** @type {?} */
                    var i2 = indexedFace[skip + (ccw ? 1 : 2)];
                    /** @type {?} */
                    var i3 = indexedFace[skip + (ccw ? 2 : 1)];
                    triangulatedIndexArray.push(i1, i2, i3);
                    skip++;
                }
            }
        }
        return triangulatedIndexArray;
    };
    return VRMLLoader;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var VrmlLoaderComponent = /** @class */ (function (_super) {
    __extends(VrmlLoaderComponent, _super);
    function VrmlLoaderComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    VrmlLoaderComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var loader = new VRMLLoader();
        /** @type {?} */
        var result = new Scene();
        loader.load('/home/vince/source/imageW/ImageW/projects/image-w/resource/MedicalShow2.vrml', (/**
         * @param {?} scene
         * @return {?}
         */
        function (scene) {
            scene.position.copy(model.center);
            result = scene;
        }));
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    VrmlLoaderComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        entity.position.copy(model.center);
        return entity;
    };
    /**
     * @return {?}
     */
    VrmlLoaderComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new VRMLModel(new Vector3(0, 0, 0));
    };
    VrmlLoaderComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-vrml-loader',
                    template: "<p>\n  vrml-loader works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    VrmlLoaderComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return VrmlLoaderComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShapeComponent = /** @class */ (function (_super) {
    __extends(ShapeComponent, _super);
    function ShapeComponent(sceneService, renderer) {
        return _super.call(this, sceneService, renderer) || this;
    }
    /**
     * @param {?} model
     * @return {?}
     */
    ShapeComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        // const result = new Points(new ShapeGeometry(model.shapes),
        //   new PointsMaterial({size: 1.0})
        // );
        /** @type {?} */
        var geo = new Geometry();
        for (var i = 0; i < model.shapes.length; i++) {
            /** @type {?} */
            var pos = this.sceneService.clientPosition2ScenePosition(model.shapes[i]);
            // pos = this.sceneService.clientSize2SceneSize(pos);
            geo.vertices.push(new Vector3(pos.x, pos.y, 0));
        }
        geo.vertices.push(new Vector3(this.sceneService.clientPosition2ScenePosition(model.shapes[0]).x, this.sceneService.clientPosition2ScenePosition(model.shapes[0]).y, 0));
        /** @type {?} */
        var result = new Line(geo, new LineBasicMaterial({ color: 0xffff00, linewidth: 1 }));
        result.name = 'user-defined';
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    ShapeComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        // const shape = new Shape();
        // shape.absarc(0, 0, 20, 0, 0.5 * Math.PI, true);
        /** @type {?} */
        var geo = new Geometry();
        for (var i = 0; i < model.shapes.length; i++) {
            /** @type {?} */
            var pos = this.sceneService.clientPosition2ScenePosition(model.shapes[i]);
            // pos = this.sceneService.clientSize2SceneSize(pos);
            geo.vertices.push(new Vector3(pos.x, pos.y, 0));
        }
        geo.vertices.push(new Vector3(this.sceneService.clientPosition2ScenePosition(model.shapes[0]).x, this.sceneService.clientPosition2ScenePosition(model.shapes[0]).y, 0));
        entity.geometry = geo;
        return entity;
    };
    /**
     * @return {?}
     */
    ShapeComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var shapeTemp = [];
        shapeTemp.push(new Vector2(-5, 5));
        shapeTemp.push(new Vector2(-5, -5));
        shapeTemp.push(new Vector2(5, -5));
        shapeTemp.push(new Vector2(5, 5));
        shapeTemp.push(new Vector2(-5, 5));
        return new UserDefinedModel(shapeTemp);
    };
    ShapeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-shape',
                    template: "<p>\n  shape works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ShapeComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    return ShapeComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ProfileComponent = /** @class */ (function (_super) {
    __extends(ProfileComponent, _super);
    function ProfileComponent(sceneService, renderer) {
        var _this = _super.call(this, sceneService, renderer) || this;
        _this._increment = 10;
        _this.start = 0;
        return _this;
    }
    Object.defineProperty(ProfileComponent.prototype, "increment", {
        get: /**
         * @return {?}
         */
        function () {
            return this._increment;
        },
        set: /**
         * @param {?} inc
         * @return {?}
         */
        function (inc) {
            this._increment = inc;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} model
     * @return {?}
     */
    ProfileComponent.prototype.createEntity = /**
     * @param {?} model
     * @return {?}
     */
    function (model) {
        /** @type {?} */
        var geo = new Geometry();
        for (var i = 0; i < model.points.length; i++) {
            geo.vertices.push(new Vector3(this.start + i * this._increment, model.points[i], 0));
        }
        /** @type {?} */
        var result = new Line(geo, new LineBasicMaterial({ color: 'red' }));
        result.name = 'profile1d';
        return result;
    };
    /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    ProfileComponent.prototype.updateEntity = /**
     * @param {?} model
     * @param {?} entity
     * @return {?}
     */
    function (model, entity) {
        /** @type {?} */
        var geo = new Geometry();
        for (var i = 0; i < model.points.length; i++) {
            geo.vertices.push(new Vector3(this.start + i * this._increment, model.points[i], 0));
        }
        entity.geometry = geo;
        return entity;
    };
    /**
     * @return {?}
     */
    ProfileComponent.prototype.defaultModel = /**
     * @return {?}
     */
    function () {
        return new ProfileModel([0, 5, 10, 15, 20, 15, 10, 5, 0]);
    };
    ProfileComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-profile',
                    template: "",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ProfileComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: RendererService }
    ]; };
    ProfileComponent.propDecorators = {
        increment: [{ type: Input }],
        start: [{ type: Input }]
    };
    return ProfileComponent;
}(EntityComponent));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} ctx
 * @param {?} start
 * @param {?} end
 * @param {?=} theta
 * @param {?=} headlen
 * @param {?=} width
 * @param {?=} color
 * @return {?}
 */
function drawArrow(ctx, start, end, theta, headlen, width, color) {
    if (theta === void 0) { theta = 30; }
    if (headlen === void 0) { headlen = 10; }
    if (width === void 0) { width = 1; }
    if (color === void 0) { color = 'red'; }
    /** @type {?} */
    var angle = (Math.atan2(start.y - end.y, start.x - end.x) * 180) / Math.PI;
    /** @type {?} */
    var angle1 = ((angle + theta) * Math.PI) / 180;
    /** @type {?} */
    var angle2 = ((angle - theta) * Math.PI) / 180;
    /** @type {?} */
    var topX = headlen * Math.cos(angle1);
    /** @type {?} */
    var topY = headlen * Math.sin(angle1);
    /** @type {?} */
    var botX = headlen * Math.cos(angle2);
    /** @type {?} */
    var botY = headlen * Math.sin(angle2);
    ctx.save();
    ctx.beginPath();
    /** @type {?} */
    var arrowX;
    /** @type {?} */
    var arrowY;
    ctx.moveTo(start.x, start.y);
    ctx.lineTo(end.x, end.y);
    arrowX = end.x + topX;
    arrowY = end.y + topY;
    ctx.moveTo(arrowX, arrowY);
    ctx.lineTo(end.x, end.y);
    arrowX = end.x + botX;
    arrowY = end.y + botY;
    ctx.lineTo(arrowX, arrowY);
    ctx.strokeStyle = color;
    ctx.lineWidth = width;
    ctx.stroke();
    ctx.restore();
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var InfoComponent = /** @class */ (function () {
    function InfoComponent(renderer, el) {
        var _this = this;
        this.renderer = renderer;
        this.el = el;
        // model = new RingModel(new Vector3(0, 0, 0), 29.9, 30);
        this.canvas_width = 300;
        this.canvas_height = 300;
        this.infoSubject = new BehaviorSubject(['hello']);
        this.positionSubject = new BehaviorSubject(new Vector2(this.canvas_width / 2, this.canvas_height / 2));
        this.distance = 10;
        this.info$ = this.infoSubject.asObservable();
        this.position$ = this.positionSubject.asObservable();
        this.arrow_enable = true;
        this.cans = (/** @type {?} */ (this.renderer.createElement('canvas')));
        this.cans.height = this.canvas_height;
        this.cans.width = this.canvas_width;
        this.ctx = this.cans.getContext('2d');
        this.ctx.fillStyle = 'red';
        this.ctx.fillText('txt', 100, 100);
        this.renderer.appendChild(this.el.nativeElement, this.cans);
        /** @type {?} */
        var drawer = combineLatest(this.info$, this.position$)
            .pipe(map((/**
         * @param {?} d
         * @return {?}
         */
        function (d) {
            // console.log('position', d[1]);
            /** @type {?} */
            var p = _this.getDirection(d[1]);
            if (_this.arrow_enable) {
                /** @type {?} */
                var start = new Vector2(((d[1].x + 40) / 80) * 300, ((d[1].y + 30) / 60) * 300);
                /** @type {?} */
                var end = new Vector2(p.x - 5, p.y - 5);
                // console.log('p',p);
                _this.ctx.clearRect(0, 0, _this.canvas_width, _this.canvas_height);
                drawArrow(_this.ctx, start, end);
            }
            /** @type {?} */
            var k = 0;
            while (k < d[0].length) {
                _this.ctx.fillText(d[0][k], 
                // this.info_position.x,
                p.x, 
                // this.info_position.y + k * this.distance,
                p.y + k * _this.distance);
                k++;
            }
        })))
            .subscribe((/**
         * @return {?}
         */
        function () { return _this.renderer.appendChild(_this.el.nativeElement, _this.cans); }), console.error);
        // this.getDirection(this.position);
        // this.info$
        //   .pipe(
        //     map(i => {
        //       this.ctx.clearRect(0, 0, this.canvas_width, this.canvas_height);
        //       let k = 0;
        //       while (k < i.length) {
        //         this.ctx.fillText(
        //           i[k],
        //           this.info_position.x,
        //           this.info_position.y + k * this.distance,
        //         );
        //         k++;
        //       }
        //     }),
        //   )
        //   .subscribe(
        //     () => this.renderer.appendChild(this.el.nativeElement, this.cans),
        //     console.error,
        //   );
    }
    Object.defineProperty(InfoComponent.prototype, "info", {
        get: /**
         * @return {?}
         */
        function () {
            return this.infoSubject.value;
        },
        set: /**
         * @param {?} i
         * @return {?}
         */
        function (i) {
            this.infoSubject.next(i);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(InfoComponent.prototype, "position", {
        get: /**
         * @return {?}
         */
        function () {
            return this.positionSubject.value;
        },
        set: /**
         * @param {?} p
         * @return {?}
         */
        function (p) {
            this.positionSubject.next(p);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    InfoComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    InfoComponent.prototype.ngAfterViewInit = /**
     * @return {?}
     */
    function () {
        //   this.getDirection(this.position);
        //   const cans = this.renderer.createElement('canvas') as HTMLCanvasElement;
        //   cans.height = this.canvas_height;
        //   cans.width = this.canvas_width;
        //   const ctx = cans.getContext('2d');
        //   ctx.lineWidth = 0.5;
        //   ctx.fillStyle = 'tomato';
        //   ctx.font = '10px Microsoft JhengHei';
        //   let i = 0;
        //   while (i < this.info.length) {
        //     ctx.fillText(
        //       this.info[i],
        //       this.info_position.x,
        //       this.info_position.y + i * this.distance,
        //     );
        //     i++;
        //   }
        //   // this.renderer.appendChild(this.el.nativeElement, cans);
        //   // ctx.clearRect(0,0,300,300);
        //   // this.renderer.appendChild(this.el.nativeElement, this.cans);
    };
    /**
     * @param {?} position
     * @return {?}
     */
    InfoComponent.prototype.getDirection = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        /** @type {?} */
        var w = this.canvas_width;
        /** @type {?} */
        var h = this.canvas_height;
        /** @type {?} */
        var x = ((position.x + 40) / 80) * 300;
        // scence position to client position
        /** @type {?} */
        var y = ((position.y + 30) / 60) * 300;
        // console.log('p', position, x, y);
        /** @type {?} */
        var result;
        if (
        // bottom-right
        (y <= h / 6 && x <= w / 6) || // (1,1)
            (y >= h / 6 && y <= h / 2 && x >= h / 6 && x <= h / 2) // (2,2)
        ) {
            this.info_position = new Vector2(x + w / 6, y + h / 6);
            this.arrow_position = new Vector2(x + w / 6, y + h / 6);
            result = new Vector2(x + w / 6, y + h / 6);
        }
        else if (
        // bottom-left
        (y <= h / 6 && x >= (w / 6) * 5) || // (1,4)
            (y >= h / 6 && y <= h / 2 && x > w / 2 && x <= (w / 6) * 5) // (2,3)
        ) {
            this.info_position = new Vector2(x - w / 6, y + h / 6);
            this.arrow_position = new Vector2(x - w / 6, y + h / 6);
            result = new Vector2(x - w / 6, y + h / 6);
        }
        else if (
        // top-right
        (y >= (h / 6) * 5 && x <= w / 6) || // (4,1)
            (y > h / 2 && y <= (h / 6) * 5 && x >= h / 6 && x <= h / 2) // (3,2)
        ) {
            this.info_position = new Vector2(x + w / 6, y - h / 6);
            this.arrow_position = new Vector2(x + w / 6, y - h / 6);
            result = new Vector2(x + w / 6, y - h / 6);
        }
        else if (
        // top-left
        (y >= (h / 6) * 5 && x >= (w / 6) * 5) || // (4,4)
            (y >= h / 2 && y < (h / 6) * 5 && x >= w / 2 && x < (w / 6) * 5) // (3,4)
        ) {
            this.info_position = new Vector2(x - w / 6, y - h / 6);
            this.arrow_position = new Vector2(x - w / 6, y - h / 6);
            result = new Vector2(x - w / 6, y - h / 6);
        }
        else if (
        // right
        y > h / 6 &&
            y < (h / 6) * 5 &&
            x <= w / 6 // (2,1) && (3,1)
        ) {
            this.info_position = new Vector2(x + w / 6, y);
            this.arrow_position = new Vector2(x + w / 6, y);
            result = new Vector2(x + w / 6, y);
        }
        else if (
        // left
        y > h / 6 &&
            y < (h / 6) * 5 &&
            x >= (w / 6) * 5 // (2,4) && (3,4)
        ) {
            this.info_position = new Vector2(x - w / 6, y);
            this.arrow_position = new Vector2(x - w / 6, y);
            result = new Vector2(x - w / 6, y);
        }
        else if (
        // top
        y >= (h / 6) * 5 &&
            x > w / 6 &&
            x < (w / 6) * 5 // (4,2) && (4,3)
        ) {
            this.info_position = new Vector2(x, y - h / 6);
            this.arrow_position = new Vector2(x, y - h / 6);
            result = new Vector2(x, y - h / 6);
        }
        else if (
        // bottom
        y <= h / 6 &&
            x > w / 6 &&
            x < (w / 6) * 5 // (1,2) && (1,3)
        ) {
            this.info_position = new Vector2(x, y + h / 6);
            this.arrow_position = new Vector2(x, y + h / 6);
            result = new Vector2(x, y + h / 6);
        }
        return result;
    };
    InfoComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-info',
                    template: "<!-- <div> -->\n  <!-- <p>000000000000000000000000000000</p> -->\n  <!-- <ng3-ring id = \"border\" [model]='model'></ng3-ring> -->\n  <!-- <canvas id = \"border\"></canvas> -->\n<!-- </div> -->\n",
                    styles: ["canvas{position:absolute;width:100;height:100;z-index:15;pointer-events:none}"]
                }] }
    ];
    /** @nocollapse */
    InfoComponent.ctorParameters = function () { return [
        { type: Renderer2 },
        { type: ElementRef }
    ]; };
    InfoComponent.propDecorators = {
        info: [{ type: Input }],
        position: [{ type: Input }],
        arrow_enable: [{ type: Input }],
        info_style: [{ type: Input }]
    };
    return InfoComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var EventDistributeComponent = /** @class */ (function () {
    function EventDistributeComponent(canvasService, mouse) {
        var _this = this;
        this.canvasService = canvasService;
        this.mouse = mouse;
        this.stop = new Subject();
        this.fovs = new EventEmitter();
        this.domElement = this.canvasService.domElement;
        // readonly eventHandler = this.distribution.eventHandler;
        // readonly fovHandler = this.distribution.fovHandler;
        this.eventHandler = {
            ring: { enable: false, tag: 'drag' },
            line: { enable: false, tag: 'drag' },
            crossline: { enable: false, tag: 'drag' },
            fov: { enable: true, tag: 'stop drag' },
        };
        this.fovHandler = {
            fov1: { enable: false, tag: 'drag' },
            fov2: { enable: false, tag: 'drag' },
            fov3: { enable: false, tag: 'drag' },
        };
        this.crossline = new CrosslineController(this.eventHandler.crossline.enable, this.multiCanvas, this.entityStore);
        this.ring = new RingContrller(this.eventHandler.ring.enable, this.multiCanvas, this.entityStore);
        this.mouse.downWithButton$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            e.original.preventDefault();
            if (_this.eventHandler.crossline.enable) {
                _this.crossline.activate();
                _this.crossline.onMouseDown(e.position);
            }
            if (_this.eventHandler.ring.enable) {
                _this.ring.activate();
                _this.ring.onMouseDown(e.position);
            }
            if (_this.eventHandler.fov.enable) {
                _this.fov.activate();
                _this.fov.onMouseDown(e.position, _this.fovHandler);
            }
        }), console.error);
        this.mouse.position$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            _this.crossline.onMouseMove(e);
            _this.ring.onMouseMove(e);
            _this.fov.onMouseMove(e);
            /** @type {?} */
            var fovsV = {
                fov1: _this.fov.fovs[0],
                fov2: _this.fov.fovs[1],
                fov3: _this.fov.fovs[2],
            };
            _this.fovs.emit(fovsV);
        }), console.error);
        this.mouse.up$.pipe(takeUntil(this.stop)).subscribe((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            _this.crossline.deactivate();
            _this.ring.deactivate();
            _this.fov.deactivate();
        }), console.error);
        // this.mouse.wheel$
        //   .pipe(takeUntil(this.stop))
        //   .subscribe(e => console.log('wheel', e), console.error);
        // this.mouse.leave$
        //   .pipe(takeUntil(this.stop))
        //   .subscribe(e => console.log('leave', e), console.error);
    }
    /**
     * @return {?}
     */
    EventDistributeComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    EventDistributeComponent.prototype.ngAfterContentInit = /**
     * @return {?}
     */
    function () {
        this.fov = new FovController(this.eventHandler.fov.enable, this.multiCanvas, this.entityStore);
        this.crossline = new CrosslineController(this.eventHandler.crossline.enable, this.multiCanvas, this.entityStore);
        this.ring = new RingContrller(this.eventHandler.ring.enable, this.multiCanvas, this.entityStore);
    };
    EventDistributeComponent.decorators = [
        { type: Component, args: [{
                    selector: 'ng3-event-distribute',
                    template: "<p>\n  event-distribute works!\n</p>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    EventDistributeComponent.ctorParameters = function () { return [
        { type: CanvasService },
        { type: MouseCanvasService }
    ]; };
    EventDistributeComponent.propDecorators = {
        fovs: [{ type: Output }],
        eventHandler: [{ type: Input }],
        fovHandler: [{ type: Input }],
        entityStore: [{ type: Input }],
        multiCanvas: [{ type: Input }]
    };
    return EventDistributeComponent;
}());
var MouseController$1 = /** @class */ (function () {
    function MouseController(eventEnbable) {
        this.eventEnbable = eventEnbable;
        this._activated = false;
        this.origin = new Vector2();
        this.start = new Vector2();
        this.end = new Vector2();
        this.delta = new Vector2();
        this.delta2 = new Vector2();
    }
    Object.defineProperty(MouseController.prototype, "activated", {
        get: /**
         * @return {?}
         */
        function () {
            if (this.eventEnbable) ;
            return this._activated;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    MouseController.prototype.activate = /**
     * @return {?}
     */
    function () {
        this._activated = true;
    };
    /**
     * @return {?}
     */
    MouseController.prototype.deactivate = /**
     * @return {?}
     */
    function () {
        this._activated = false;
    };
    // onMouseDown(position: Vector2) {
    //   if (this.activated) {
    //     this.start.set(position.x, position.y);
    //     this.origin.set(position.x, position.y);
    //   }
    // }
    // onMouseDown(position: Vector2) {
    //   if (this.activated) {
    //     this.start.set(position.x, position.y);
    //     this.origin.set(position.x, position.y);
    //   }
    // }
    /**
     * @return {?}
     */
    MouseController.prototype.onMouseUp = 
    // onMouseDown(position: Vector2) {
    //   if (this.activated) {
    //     this.start.set(position.x, position.y);
    //     this.origin.set(position.x, position.y);
    //   }
    // }
    /**
     * @return {?}
     */
    function () {
        this.deactivate();
    };
    return MouseController;
}());
var FovController = /** @class */ (function (_super) {
    __extends(FovController, _super);
    function FovController(eventEnable, multiCanvas, entityStore) {
        var _this = _super.call(this, eventEnable) || this;
        _this.multiCanvas = multiCanvas;
        _this.entityStore = entityStore;
        _this.onBox = 'inside';
        _this.fovs = [
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
            new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)),
        ];
        return _this;
    }
    /**
     * @return {?}
     */
    FovController.prototype.onMouseWheel = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} position
     * @param {?} fovHandler
     * @return {?}
     */
    FovController.prototype.onMouseDown = /**
     * @param {?} position
     * @param {?} fovHandler
     * @return {?}
     */
    function (position, fovHandler) {
        var _this = this;
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
        this.fovHandler = fovHandler;
        /** @type {?} */
        var i = 0;
        if (fovHandler.fov3.enable) {
            i = 2;
        }
        if (fovHandler.fov2.enable) {
            i = 1;
        }
        if (fovHandler.fov1.enable) {
            i = 0;
        }
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.entityStore.fovsOnCanvas(c, (/**
             * @param {?} fovs
             * @return {?}
             */
            function (fovs) {
                if (fovs[i] === undefined) {
                    return;
                }
                _this.boxController = new Boundingbox2Controller(((/** @type {?} */ (fovs[i].model))).box, 0.1);
                _this.onBox = _this.boxController.onWhichAreabox(position);
            }));
        }));
    };
    /**
     * @param {?} position
     * @return {?}
     */
    FovController.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        this.delta2.subVectors(this.end, this.origin);
        // this.boxController = new Boundingbox2Controller(
        //   new BoundingBox2FromCenterSize(this.origin, new Vector2(20, 20)),
        //   0.1,
        // );
        // this.dragFov(this.start);
        if (this.fovHandler.fov1.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 0);
        }
        if (this.fovHandler.fov2.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 1);
        }
        if (this.fovHandler.fov3.enable) {
            this.fovEvent(this.origin, this.delta, this.end, 2);
        }
        // this.fovEvent(this.origin, this.delta, this.delta2, 0);
        this.start.copy(this.end);
    };
    /**
     * @param {?} current
     * @return {?}
     */
    FovController.prototype.dragFov = /**
     * @param {?} current
     * @return {?}
     */
    function (current) {
        var _this = this;
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.entityStore.fovOnCanvas(c, (/**
             * @param {?} fov
             * @return {?}
             */
            function (fov) {
                // console.log(current, fov.box.size);
                _this.entityStore.updateFov({
                    id: fov.id,
                    model: __assign({}, ((/** @type {?} */ (fov.model))), { box: new BoundingBox2FromCenterSize(current, ((/** @type {?} */ (fov.model))).box.size) }),
                });
            }));
        }));
    };
    /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @param {?} i
     * @return {?}
     */
    FovController.prototype.fovEvent = /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @param {?} i
     * @return {?}
     */
    function (origin, delta, current, i) {
        var _this = this;
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.entityStore.fovsOnCanvas(c, (/**
             * @param {?} fovs
             * @return {?}
             */
            function (fovs) {
                if (fovs[i] === undefined) {
                    return;
                }
                // this.entityStore.fovOnCanvas(c, fovS => {
                // console.log(current, fov.box.size);
                // this.boxController = new Boundingbox2Controller(fov.box, 0.1);
                // console.log('fovs', fovs[i]);
                /** @type {?} */
                var fov = (/** @type {?} */ (fovs[i].model));
                _this.fovs[i] = (/** @type {?} */ (fov.box));
                // let current = new Vector2();
                // let scale = new Vector2(10, 10);
                // console.log(delta2);
                // delta2.sub(scale);
                // console.log(delta2);
                // current.addVectors(fov.box.center, delta2);
                // console.log(current);
                switch (_this.onBox) {
                    case 'inside': // drag
                        _this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: __assign({}, fov, { box: new BoundingBox2FromCenterSize(current, fov.box.size) }),
                        });
                        break;
                    case 'left': // resize
                        _this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: __assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left + delta.x, fov.box.right, fov.box.top, fov.box.bottom) }),
                        });
                        break;
                    case 'right':
                        _this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: __assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right + delta.x, fov.box.top, fov.box.bottom) }),
                        });
                        break;
                    case 'top':
                        _this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: __assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right, fov.box.top + delta.y, fov.box.bottom) }),
                        });
                        break;
                    case 'bottom':
                        _this.entityStore.updateFov({
                            id: fovs[i].id,
                            model: __assign({}, fov, { box: new BoundingBox2FromLRTB(fov.box.left, fov.box.right, fov.box.top, fov.box.bottom + delta.y) }),
                        });
                        break;
                    case 'none':
                        break;
                }
            }));
        }));
    };
    return FovController;
}(MouseController$1));
var CrosslineController = /** @class */ (function (_super) {
    __extends(CrosslineController, _super);
    function CrosslineController(eventEnable, multiCanvas, entityStore) {
        var _this = _super.call(this, eventEnable) || this;
        _this.multiCanvas = multiCanvas;
        _this.entityStore = entityStore;
        return _this;
    }
    /**
     * @param {?} position
     * @return {?}
     */
    CrosslineController.prototype.onMouseDown = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
    };
    /**
     * @return {?}
     */
    CrosslineController.prototype.onMouseWheel = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} position
     * @return {?}
     */
    CrosslineController.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        // console.log(this.start);
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.start);
        // console.log(this.multiCanvas.componentCanvasSubject.value);
        // console.log(this.multiCanvas.selectedSubject.value);
        // this.multiCanvas.mapSelectedCanvas(c => console.log(c));
        this.dragCrossline(this.start);
        this.start.copy(this.end);
    };
    /**
     * @param {?} current
     * @return {?}
     */
    CrosslineController.prototype.dragCrossline = /**
     * @param {?} current
     * @return {?}
     */
    function (current) {
        var _this = this;
        // console.log(this.multiCanvas);
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            if (c !== undefined) {
                _this.entityStore.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                function (crossline) {
                    if (crossline === undefined) {
                        return;
                    }
                    /** @type {?} */
                    var position;
                    switch (crossline.view) {
                        case 'x':
                            position = new Vector3(crossline.position.x, current.x, current.y);
                            break;
                        case 'y':
                            position = new Vector3(current.x, crossline.position.y, current.y);
                            break;
                        case 'z':
                            position = new Vector3(current.x, current.y, crossline.position.z);
                            break;
                        default:
                    }
                    _this.entityStore.updateCrosslines({
                        model: __assign({}, crossline, { position: position }),
                    });
                    // this.entityStoreService.updateCrosslineEntity({
                    //   canvasId: c,
                    //   model: {
                    //     ...crossline,
                    //     position: position,
                    //   },
                    // });
                }));
            }
        }));
    };
    return CrosslineController;
}(MouseController$1));
var RingContrller = /** @class */ (function (_super) {
    __extends(RingContrller, _super);
    function RingContrller(eventEnable, multiCanvas, entityStore) {
        var _this = _super.call(this, eventEnable) || this;
        _this.multiCanvas = multiCanvas;
        _this.entityStore = entityStore;
        _this.onBox = 'inside';
        return _this;
    }
    /**
     * @param {?} position
     * @return {?}
     */
    RingContrller.prototype.onMouseDown = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        var _this = this;
        if (this.activated) {
            this.start.set(position.x, position.y);
            this.origin.set(position.x, position.y);
        }
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.entityStore.ringOnCanvas(c, (/**
             * @param {?} ring
             * @return {?}
             */
            function (ring) {
                if (ring === undefined) {
                    return;
                }
                _this.boxController = new Boundingbox2Controller(new BoundingBox2FromCenterSize(new Vector2(ring.center.x, ring.center.y), new Vector2(ring.outerRadius * 2, ring.outerRadius * 2)), 0.1);
                _this.onBox = _this.boxController.onWhichAreabox(position);
            }));
        }));
    };
    /**
     * @return {?}
     */
    RingContrller.prototype.onMouseWheel = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} position
     * @return {?}
     */
    RingContrller.prototype.onMouseMove = /**
     * @param {?} position
     * @return {?}
     */
    function (position) {
        if (!this.activated) {
            return;
        }
        this.end.set(position.x, position.y);
        this.delta.subVectors(this.end, this.origin);
        // this.ResizeRing(this.origin, this.delta);
        this.dragRing(this.origin, this.delta, this.end);
        this.start.copy(this.end);
    };
    /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @return {?}
     */
    RingContrller.prototype.dragRing = /**
     * @param {?} origin
     * @param {?} delta
     * @param {?} current
     * @return {?}
     */
    function (origin, delta, current) {
        var _this = this;
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStore.ringOnCanvas(c, (/**
             * @param {?} ring
             * @return {?}
             */
            function (ring) {
                switch (_this.onBox) {
                    case 'inside':
                        _this.entityStore.updateRingEntity({
                            canvasId: c,
                            model: __assign({}, ring, { center: new Vector3(current.x, current.y, 0) }),
                        });
                        break;
                    case 'left':
                    case 'right':
                    case 'top':
                    case 'bottom':
                    case 'none':
                        /** @type {?} */
                        var d = new Vector2();
                        d.subVectors(new Vector2(ring.center.x, ring.center.y), current);
                        /** @type {?} */
                        var circleRadius = Math.sqrt(Math.pow(d.x, 2) + Math.pow(d.y, 2));
                        _this.entityStore.updateRingEntity({
                            canvasId: c,
                            model: new RingModel(new Vector3(ring.center.x, ring.center.y, 0), circleRadius, circleRadius + 0.001),
                        });
                        break;
                }
            }));
        }));
    };
    /**
     * @param {?} origin
     * @param {?} delta
     * @return {?}
     */
    RingContrller.prototype.ResizeRing = /**
     * @param {?} origin
     * @param {?} delta
     * @return {?}
     */
    function (origin, delta) {
        var _this = this;
        this.multiCanvas.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            /** @type {?} */
            var circleRadius = Math.sqrt(Math.pow(delta.x, 2) + Math.pow(delta.y, 2));
            _this.entityStore.updateRingEntity({
                canvasId: c,
                model: new RingModel(new Vector3(origin.x, origin.y, 0), circleRadius, circleRadius + 0.001),
            });
        }));
    };
    return RingContrller;
}(MouseController$1));

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
// import { LocalImageLoaderComponent } from './loader/local-image-loader/local-image-loader.component';
// import { ColormapComponent } from './utils/colormap/colormap.component';
// import { DirectionComponent } from './utils/direction/direction.component';
// import { WindowComponent } from './utils/window/window.component';
var NgThreeModule = /** @class */ (function () {
    function NgThreeModule() {
    }
    NgThreeModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        CanvasComponent,
                        LineComponent,
                        CubeComponent,
                        PlaneComponent,
                        OrthographicCameraComponent,
                        MouseEntityComponent,
                        ControlsComponent,
                        ResizePlaneComponent,
                        MovePlaneComponent,
                        ResizePlaneEdgeComponent,
                        ResizePlaneCornerComponent,
                        OrbitControlsComponent,
                        PerspectiveCameraComponent,
                        SphereComponent,
                        CircleComponent,
                        RingComponent,
                        ObjLoaderComponent,
                        ProfileComponent,
                        VrmlLoaderComponent,
                        ShapeComponent,
                        ToolEntityComponent,
                        CrossLineComponent,
                        InfoComponent,
                        EventDistributeComponent,
                        FovComponent,
                        VolumeRenderingComponent
                    ],
                    providers: [EntitiesService, EntityStoreService],
                    imports: [CommonModule],
                    exports: [
                        CanvasComponent,
                        CubeComponent,
                        LineComponent,
                        PlaneComponent,
                        OrthographicCameraComponent,
                        MouseEntityComponent,
                        ResizePlaneComponent,
                        MovePlaneComponent,
                        OrbitControlsComponent,
                        PerspectiveCameraComponent,
                        SphereComponent,
                        CircleComponent,
                        RingComponent,
                        ObjLoaderComponent,
                        VrmlLoaderComponent,
                        ShapeComponent,
                        ProfileComponent,
                        ToolEntityComponent,
                        CrossLineComponent,
                        InfoComponent,
                        EventDistributeComponent,
                        FovComponent,
                        VolumeRenderingComponent
                    ],
                },] }
    ];
    return NgThreeModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @template T, R
 * @param {?} source
 * @param {?} fetcher
 * @return {?}
 */
function fetchCommonValue(source, fetcher) {
    if (source.length === 0) {
        return undefined;
    }
    if (source.length === 1) {
        return fetcher(source[0]);
    }
    if (fetcher(source[0]) !== fetcher(source[1])) {
        return undefined;
    }
    else {
        return fetchCommonValue(source.slice(1, source.length), fetcher);
    }
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var WindowComponent = /** @class */ (function () {
    function WindowComponent() {
        this.width = 1.0;
        this.widthChange = new EventEmitter();
        this.level = 0.5;
        this.levelChange = new EventEmitter();
        this.widthlevelChange = new EventEmitter();
    }
    Object.defineProperty(WindowComponent.prototype, "related", {
        set: /**
         * @param {?} images
         * @return {?}
         */
        function (images) {
            this.setInputToDefault(images);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    WindowComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    WindowComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} width
     * @return {?}
     */
    WindowComponent.prototype.updateWidth = /**
     * @param {?} width
     * @return {?}
     */
    function (width) {
        this.width = width;
        if (this.width !== undefined) {
            this.widthChange.emit(this.width);
        }
    };
    /**
     * @param {?} level
     * @return {?}
     */
    WindowComponent.prototype.updateLevel = /**
     * @param {?} level
     * @return {?}
     */
    function (level) {
        this.level = level;
        if (this.level !== undefined) {
            this.levelChange.emit(this.level);
        }
    };
    /**
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    WindowComponent.prototype.updateWidthLevel = /**
     * @param {?} width
     * @param {?} level
     * @return {?}
     */
    function (width, level) {
        // updateWidthLevel(widthlevel: Vector2) {
        // this.width = widthlevel.x;
        // this.level = widthlevel.y;
        this.width = width;
        this.level = level;
        if (this.width && this.level !== undefined) {
            this.widthlevelChange.emit({ width: this.width, level: this.level });
        }
    };
    /**
     * @param {?} source
     * @return {?}
     */
    WindowComponent.prototype.parse = /**
     * @param {?} source
     * @return {?}
     */
    function (source) {
        return parseFloat(source);
    };
    /**
     * @private
     * @param {?} images
     * @return {?}
     */
    WindowComponent.prototype.setInputToDefault = /**
     * @private
     * @param {?} images
     * @return {?}
     */
    function (images) {
        if (images.length === 0) {
            return;
        }
        this.updateWidth(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.filter.width; })));
        this.updateLevel(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.filter.level; })));
        this.updateWidthLevel(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.filter; })).width, fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.filter; })).level);
    };
    WindowComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-window',
                    template: "<!--<div (click)=\"changeValue()\">-->\n<div class=\"window\">\n  <div>\n    <label for=\"width\" class=\"labelLength\">Width:</label>\n    <input\n      type=\"number\"\n      id=\"width\"\n      class=\"inputValue\"\n      step=\"0.05\"\n      #widthInput\n      (change)=\"updateWidthLevel(parse(levelInput.value),parse(widthInput.value))\"\n      [value]=\"width\"\n    />\n  </div>\n  <div>\n    <label for=\"level\" class=\"labelLength\">Level:</label>\n    <input\n      type=\"number\"\n      id=\"level\"\n      class=\"inputValue\"\n      [step]=\"0.05\"\n      #levelInput\n      (change)=\"updateWidthLevel(parse(widthInput.value),parse(levelInput.value))\"\n      [value]=\"level\"\n    />\n  </div>\n</div>\n\n",
                    styles: [".window{display:flex}.inputValue{width:80px}.labelLength{width:50px}"]
                }] }
    ];
    /** @nocollapse */
    WindowComponent.ctorParameters = function () { return []; };
    WindowComponent.propDecorators = {
        width: [{ type: Input }],
        widthChange: [{ type: Output }],
        level: [{ type: Input }],
        levelChange: [{ type: Output }],
        widthlevelChange: [{ type: Output }],
        related: [{ type: Input }]
    };
    return WindowComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var DirectionComponent = /** @class */ (function () {
    function DirectionComponent() {
        this.maxFrame = '100';
        this.choseFrame = '1';
        this.choseFrame$ = new Subject();
        this.direction = 'z';
        this.directionChange = new EventEmitter();
        this.sliceIndex = 1;
        this.sliceIndexChange = new EventEmitter();
    }
    Object.defineProperty(DirectionComponent.prototype, "related", {
        set: /**
         * @param {?} images
         * @return {?}
         */
        function (images) {
            this.setInputToDefault(images);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    DirectionComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    DirectionComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () { };
    /**
     * @private
     * @param {?} images
     * @return {?}
     */
    DirectionComponent.prototype.setInputToDefault = /**
     * @private
     * @param {?} images
     * @return {?}
     */
    function (images) {
        if (images.length === 0) {
            return;
        }
        this.changeDirection(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.slicer.direction; })));
        this.changeSliceIndex(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.slicer.index; })));
        this.setDefaultFrame(fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.slicer.max; })), fetchCommonValue(images, (/**
         * @param {?} s
         * @return {?}
         */
        function (s) { return s.slicer.index; })));
    };
    /**
     * @param {?} d
     * @return {?}
     */
    DirectionComponent.prototype.changeDirection = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        if (d === this.direction) {
            return;
        }
        this.direction = d;
        if (d !== undefined) {
            this.directionChange.emit(d);
        }
    };
    /**
     * @param {?} source
     * @return {?}
     */
    DirectionComponent.prototype.parse = /**
     * @param {?} source
     * @return {?}
     */
    function (source) {
        return parseInt(source, 10);
    };
    /**
     * @param {?} slice
     * @return {?}
     */
    DirectionComponent.prototype.changeSliceIndex = /**
     * @param {?} slice
     * @return {?}
     */
    function (slice) {
        if (slice === this.sliceIndex) {
            return;
        }
        this.sliceIndex = slice;
        if (slice !== undefined) {
            this.sliceIndexChange.emit(slice);
        }
    };
    /**
     * @param {?} max
     * @param {?} chose
     * @return {?}
     */
    DirectionComponent.prototype.setDefaultFrame = /**
     * @param {?} max
     * @param {?} chose
     * @return {?}
     */
    function (max, chose) {
        this.maxFrame = max.toString();
        this.choseFrame = chose.toString();
    };
    DirectionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-direction',
                    template: "<div class=\"divC\">\n  <label>Slice direction</label>\n  <select\n    #directionSelect\n    (change)=\"changeDirection(directionSelect.value)\"\n    [value]=\"direction\"\n  >\n    <option value=\"x\">Transverse</option>\n    <option value=\"y\">Coronal</option>\n    <option value=\"z\">Sagittal</option>\n  </select>\n</div>\n\n<div class=\"slidecontainer\">\n  <label for=\"myRange\">Frame: {{sliceIndex}}</label>\n  <input\n    type=\"range\"\n    class=\"slider\"\n    id=\"myRange\"\n    min=\"0\"\n    [max]=\"maxFrame\"\n    step=\"1\"\n    #input\n    [value]=\"choseFrame\"\n    (change)=\"\n      changeSliceIndex(parse(input.value))\n    \"\n  />\n</div>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    DirectionComponent.ctorParameters = function () { return []; };
    DirectionComponent.propDecorators = {
        direction: [{ type: Input }],
        directionChange: [{ type: Output }],
        sliceIndex: [{ type: Input }],
        sliceIndexChange: [{ type: Output }],
        related: [{ type: Input }]
    };
    return DirectionComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ColormapComponent = /** @class */ (function () {
    function ColormapComponent() {
        var _this = this;
        this.colormapSubject = new BehaviorSubject(Colormaps.GRAY);
        this.colormap$ = this.colormapSubject.asObservable();
        this.colormapName$ = this.colormap$.pipe(map((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return (c === undefined ? undefined : c.name); })));
        this.colormapChange = new EventEmitter();
        this.colormap$
            .pipe(filter((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return c !== undefined; })))
            .subscribe((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.colormapChange.emit(c); }), (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    Object.defineProperty(ColormapComponent.prototype, "colormap", {
        get: /**
         * @return {?}
         */
        function () {
            return this.colormapSubject.value;
        },
        set: /**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            this.colormapSubject.next(c);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ColormapComponent.prototype, "related", {
        set: /**
         * @param {?} images
         * @return {?}
         */
        function (images) {
            this.setInputToDefault(images);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    ColormapComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.colormapSubject.complete();
    };
    /**
     * @return {?}
     */
    ColormapComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    /**
     * @param {?} name
     * @return {?}
     */
    ColormapComponent.prototype.onChangeSelect = /**
     * @param {?} name
     * @return {?}
     */
    function (name) {
        switch (name) {
            case 'gray':
                this.colormap = Colormaps.GRAY;
                break;
            case 'hot':
                this.colormap = Colormaps.HOT;
                break;
            default:
                this.colormap = undefined;
        }
    };
    /**
     * @param {?} images
     * @return {?}
     */
    ColormapComponent.prototype.setInputToDefault = /**
     * @param {?} images
     * @return {?}
     */
    function (images) {
        if (images.length === 0) {
            return;
        }
        this.colormap = fetchCommonValue(images, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) { return image.colormap; }));
    };
    ColormapComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-colormap',
                    template: "<div class=\"divC\">\n  <label>colormap</label>\n  <select\n    #colormapSelect\n    [value]=\"colormapName$ | async\"\n    (change)=\"onChangeSelect(colormapSelect.value)\"\n  >\n    <option value=\"gray\">Gray</option>\n    <option value=\"hot\">Hot</option>\n  </select>\n</div>\n",
                    styles: [".divC{white-space:nowrap;display:inline}.window{display:inline;white-space:nowrap}.inputValue{width:80px}.labelLength{width:50px}"]
                }] }
    ];
    /** @nocollapse */
    ColormapComponent.ctorParameters = function () { return []; };
    ColormapComponent.propDecorators = {
        colormap: [{ type: Input }],
        colormapChange: [{ type: Output }],
        related: [{ type: Input }]
    };
    return ColormapComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Image2dComponent = /** @class */ (function () {
    function Image2dComponent() {
        this.imageSubject = new BehaviorSubject({
            image: new RGBImage2(new Vector2(0, 0), new Vector2(10, 10), new Vector2(1, 1), new Uint8Array([255]), new Uint8Array([255]), new Uint8Array([255])),
            rotation: new Vector3(0, 0, 0),
        });
        this.image$ = this.imageSubject.asObservable();
        this.z = 0;
        // @Output() scroll = new EventEmitter<number>();
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.model$ = this.image$.pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return new Plane2Model(new BoundingBox2FromCenterSize(image.image.meta.center, image.image.meta.size), 10, {
                r: new Uint8Array(image.image.r),
                g: new Uint8Array(image.image.g),
                b: new Uint8Array(image.image.b),
                shape: new Vector2(image.image.meta.shape.x, image.image.meta.shape.y),
            }, image.rotation);
        })));
        this.model$.subscribe(noop, (/**
         * @param {?} e
         * @return {?}
         */
        function (e) { return console.error(e); }));
    }
    Object.defineProperty(Image2dComponent.prototype, "image", {
        get: /**
         * @return {?}
         */
        function () {
            return this.imageSubject.value;
        },
        set: /**
         * @param {?} s
         * @return {?}
         */
        function (s) {
            if (s === undefined || s === null) {
                throw Error('Can not set Display2DProperty with null');
            }
            this.imageSubject.next(s);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} e
     * @return {?}
     */
    Image2dComponent.prototype.onWheelEvent = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.scroll.emit(e);
    };
    /**
     * @param {?} d
     * @return {?}
     */
    Image2dComponent.prototype.onDragEvent = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.drag.emit(d);
    };
    /**
     * @return {?}
     */
    Image2dComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    Image2dComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-image2d',
                    template: "<ng3-plane [model]=\"model$ | async\" [z]=\"z\">\n  <ng3-mouse-entity\n    (wheel)=\"onWheelEvent($event)\"\n    (drag)=\"onDragEvent($event)\"\n  ></ng3-mouse-entity>\n</ng3-plane>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    Image2dComponent.ctorParameters = function () { return []; };
    Image2dComponent.propDecorators = {
        image: [{ type: Input }],
        z: [{ type: Input }],
        scroll: [{ type: Output }],
        drag: [{ type: Output }]
    };
    return Image2dComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageState = /** @class */ (function () {
    function ImageState(id, image, colormap, slicer, filter, minMax, rotation) {
        if (image === void 0) { image = new GrayImage3(new Vector3(0, 0, 0), new Vector3(1, 1, 0), new Vector3(1, 1, 0), new Float32Array([1])); }
        if (colormap === void 0) { colormap = Colormaps.GRAY; }
        if (slicer === void 0) { slicer = new Slicer(); }
        if (filter === void 0) { filter = new GrayImage2WindowFilter(1, 0); }
        if (minMax === void 0) { minMax = new Vector2(0, 1.0); }
        if (rotation === void 0) { rotation = new Vector3(0, 0, 0); }
        this.id = id;
        this.image = image;
        this.colormap = colormap;
        this.slicer = slicer;
        this.filter = filter;
        this.minMax = minMax;
        this.rotation = rotation;
    }
    return ImageState;
}());
var EntityState = /** @class */ (function () {
    function EntityState(canvasId, id, model, color) {
        if (color === void 0) { color = new Color(60, 179, 113); }
        this.canvasId = canvasId;
        this.id = id;
        this.model = model;
        this.color = color;
    }
    return EntityState;
}());
var CanvasState = /** @class */ (function () {
    function CanvasState(id) {
        this.id = id;
    }
    return CanvasState;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Image3dComponent = /** @class */ (function () {
    function Image3dComponent(sceneService) {
        var _this = this;
        this.sceneService = sceneService;
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.resize = 'canvas';
        this.pos = new Vector3(0, 0, 0);
        this.scroll = new EventEmitter();
        this.drag = new EventEmitter();
        this.stateSubject = new BehaviorSubject(initialImageTest2State());
        this.state$ = this.stateSubject.asObservable();
        this.z = 0;
        this.image$ = combineLatest(this.state$, this.box$).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return _this.getDisplay2DProperty(x[0], x[1]); })));
    }
    Object.defineProperty(Image3dComponent.prototype, "box", {
        get: /**
         * @return {?}
         */
        function () {
            return this.boxSubject.value;
        },
        set: /**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            this.boxSubject.next(b);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(Image3dComponent.prototype, "image", {
        get: /**
         * @return {?}
         */
        function () {
            return this.stateSubject.value;
        },
        set: /**
         * @param {?} s
         * @return {?}
         */
        function (s) {
            this.stateSubject.next(s);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} e
     * @return {?}
     */
    Image3dComponent.prototype.onScroll = /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.scroll.emit(e);
    };
    /**
     * @param {?} d
     * @return {?}
     */
    Image3dComponent.prototype.onDrag = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.drag.emit(d);
    };
    /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    Image3dComponent.prototype.getDisplay2DProperty = /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    function (state, box) {
        /** @type {?} */
        var imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        var image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        var imageBox = this.imageBox(image2, box);
        /** @type {?} */
        var result = {
            image: new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b),
            rotation: state.rotation,
        };
        return result;
    };
    /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    Image3dComponent.prototype.getImage = /**
     * @param {?} state
     * @param {?} box
     * @return {?}
     */
    function (state, box) {
        // state.slicer = this.updateSlicer(state, box, cross);
        // this.getImageInfo(state, box, cross);
        /** @type {?} */
        var imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        var image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        var imageBox = this.imageBox(image2, box);
        return new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b);
    };
    /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    Image3dComponent.prototype.imageBox = /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    function (image, box) {
        switch (this.resize) {
            case 'image':
                return new BoundingBox2FromCenterSize(image.meta.center, image.meta.size);
            case 'fix':
                return box;
            case 'canvas':
                /** @type {?} */
                var sceneSize = this.sceneService.size;
                /** @type {?} */
                var ratio = Math.min(sceneSize.size.x / image.meta.size.x, sceneSize.size.y / image.meta.size.y);
                return new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(image.meta.size.x * ratio, image.meta.size.y * ratio));
        }
    };
    Image3dComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-image3d',
                    template: "<app-image2d\n  [image]=\"image$ | async\"\n  [z]=\"z\"\n  (scroll)=\"onScroll($event)\"\n  (drag)=\"onDrag($event)\"\n></app-image2d>\n",
                    styles: ["#topo{position:absolute;top:10px;left:10px;width:600px;height:800px}#topoplaceholder{width:620px;height:820px}#slice{position:absolute;top:10px;left:10px;width:600px;height:600px}.image-viewers-container{flex-wrap:wrap;display:flex}.container{display:-ms-grid;display:grid;-ms-grid-columns:(20%)[5];grid-template-columns:repeat(5,20%);width:100%;height:100%}.header-container{grid-area:head;display:flex;height:50}.utilities-container{background-color:#eee;-ms-grid-column:1;grid-column-start:1;-ms-grid-column-span:1;grid-column-end:2}.viewers-container{grid-column:2/-1;background-color:azure}"]
                }] }
    ];
    /** @nocollapse */
    Image3dComponent.ctorParameters = function () { return [
        { type: SceneService }
    ]; };
    Image3dComponent.propDecorators = {
        box: [{ type: Input }],
        resize: [{ type: Input }],
        pos: [{ type: Input }],
        scroll: [{ type: Output }],
        drag: [{ type: Output }],
        image: [{ type: Input }],
        z: [{ type: Input }]
    };
    return Image3dComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var GroupedcrosslineService = /** @class */ (function () {
    function GroupedcrosslineService() {
        this.crosslineSubject = new BehaviorSubject([
            {
                id: 'testLine',
                position: new Vector3(10, 10, 10),
                view: 'x',
                crosslineLength: 2,
            },
        ]);
        this.crosslineMain$ = this.crosslineSubject.asObservable();
        this.tempV3 = new Vector3(0, 0, 0);
    }
    /**
     * @param {?=} z
     * @return {?}
     */
    GroupedcrosslineService.prototype.addCrossLine = /**
     * @param {?=} z
     * @return {?}
     */
    function (z) {
        if (z === void 0) { z = 0; }
        /** @type {?} */
        var crosslineName = v4();
        this.crosslineSubject.next(__spread(this.crosslineSubject.value, [
            {
                id: crosslineName,
                position: new Vector3(10, 10, z),
                view: 'x',
                crosslineLength: 2,
            },
        ]));
        return crosslineName;
    };
    /**
     * @param {?} id
     * @param {?} point2
     * @param {?} view
     * @param {?=} crosslineLength
     * @return {?}
     */
    GroupedcrosslineService.prototype.updatePosition = /**
     * @param {?} id
     * @param {?} point2
     * @param {?} view
     * @param {?=} crosslineLength
     * @return {?}
     */
    function (id, point2, view, crosslineLength) {
        var _this = this;
        if (crosslineLength === void 0) { crosslineLength = 2; }
        this.crosslineMain$
            .pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            _this.tempV3 = _this.updateViewPos(point2, b[_this.lastIndex(b, id)].position, view);
        })))
            .subscribe();
        this.crosslineSubject.next(__spread(this.crosslineSubject.value, [
            { id: id, position: this.tempV3, view: view, crosslineLength: crosslineLength },
        ]));
    };
    /**
     * @param {?} id
     * @param {?} view
     * @return {?}
     */
    GroupedcrosslineService.prototype.position$ = /**
     * @param {?} id
     * @param {?} view
     * @return {?}
     */
    function (id, view) {
        var _this = this;
        return this.crosslineMain$.pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return _this.getPos(b[_this.lastIndex(b, id)].position, view); })));
    };
    /**
     * @param {?} id
     * @return {?}
     */
    GroupedcrosslineService.prototype.position3$ = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        var _this = this;
        return this.crosslineMain$.pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return b[_this.lastIndex(b, id)].position; })));
    };
    /**
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    GroupedcrosslineService.prototype.getPos = /**
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    function (pos3, view) {
        switch (view) {
            case 'x':
                return new Vector2(pos3.y, pos3.x);
            case 'y':
                return new Vector2(pos3.x, pos3.z);
            case 'z':
                return new Vector2(pos3.x, pos3.y);
        }
    };
    /**
     * @param {?} b
     * @param {?} id
     * @return {?}
     */
    GroupedcrosslineService.prototype.lastIndex = /**
     * @param {?} b
     * @param {?} id
     * @return {?}
     */
    function (b, id) {
        /** @type {?} */
        var indexLast = 0;
        for (var i = 0; i < b.length; i++) {
            if (b[i].id === id) {
                indexLast = i;
            }
        }
        return indexLast;
    };
    /**
     * @param {?} pos2
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    GroupedcrosslineService.prototype.updateViewPos = /**
     * @param {?} pos2
     * @param {?} pos3
     * @param {?} view
     * @return {?}
     */
    function (pos2, pos3, view) {
        /** @type {?} */
        var pos3Temp = pos3;
        switch (view) {
            case 'x':
                pos3Temp = new Vector3(pos3.x, pos2.x, pos2.y);
                break;
            case 'y':
                pos3Temp = new Vector3(pos2.x, pos3.y, pos2.y);
                break;
            case 'z':
                pos3Temp = new Vector3(pos2.x, pos2.y, pos3.z);
                break;
            default:
                pos3Temp = new Vector3(pos3.x, pos2.x, pos2.y);
        }
        return pos3Temp;
    };
    GroupedcrosslineService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    GroupedcrosslineService.ctorParameters = function () { return []; };
    /** @nocollapse */ GroupedcrosslineService.ngInjectableDef = defineInjectable({ factory: function GroupedcrosslineService_Factory() { return new GroupedcrosslineService(); }, token: GroupedcrosslineService, providedIn: "root" });
    return GroupedcrosslineService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImagecrosslineComponent = /** @class */ (function () {
    function ImagecrosslineComponent(sceneService, groupCrossLineService) {
        var _this = this;
        this.sceneService = sceneService;
        this.groupCrossLineService = groupCrossLineService;
        this.view = 'x';
        this.boxSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(1, 1)));
        this.box$ = this.boxSubject.asObservable();
        this.resize = 'canvas';
        this.stateSubject = new BehaviorSubject(initialImageTest2State());
        this.state$ = this.stateSubject.asObservable();
        this.image$ = combineLatest(this.state$, this.box$, this.groupCrossLineService.crosslineMain$).pipe(map((/**
         * @param {?} x
         * @return {?}
         */
        function (x) { return _this.getImage(x[0], x[1], x[2]); })));
    }
    Object.defineProperty(ImagecrosslineComponent.prototype, "box", {
        get: /**
         * @return {?}
         */
        function () {
            return this.boxSubject.value;
        },
        set: /**
         * @param {?} b
         * @return {?}
         */
        function (b) {
            this.boxSubject.next(b);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ImagecrosslineComponent.prototype, "image", {
        get: /**
         * @return {?}
         */
        function () {
            return this.stateSubject.value;
        },
        set: /**
         * @param {?} s
         * @return {?}
         */
        function (s) {
            this.stateSubject.next(s);
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @return {?}
     */
    ImagecrosslineComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
    };
    /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    ImagecrosslineComponent.prototype.getImage = /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    function (state, box, cross) {
        state = this.stateUpdate(state, box, cross);
        /** @type {?} */
        var imageSlice = state.filter.filter(state.slicer.slice(state.image));
        /** @type {?} */
        var image2 = applyColormap(imageSlice, state.colormap);
        /** @type {?} */
        var imageBox = this.imageBox(image2, box);
        return new RGBImage2(imageBox.center, imageBox.size, image2.meta.shape, image2.r, image2.g, image2.b);
    };
    /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    ImagecrosslineComponent.prototype.stateUpdate = /**
     * @param {?} state
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    function (state, box, cross) {
        switch (this.resize) {
            case 'image':
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, state.image.meta.size.x, cross[cross.length - 1].position));
                break;
            case 'fix':
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, box.size.x, cross[cross.length - 1].position));
                break;
            case 'canvas':
                /** @type {?} */
                var sceneSize = this.sceneService.size;
                state.slicer = new Slicer(this.view, this.indexUpdate(state.image.meta.size, sceneSize.size.x, cross[cross.length - 1].position));
                break;
        }
        return state;
    };
    /**
     * @param {?} size
     * @param {?} width
     * @param {?} pos
     * @return {?}
     */
    ImagecrosslineComponent.prototype.indexUpdate = /**
     * @param {?} size
     * @param {?} width
     * @param {?} pos
     * @return {?}
     */
    function (size, width, pos) {
        /** @type {?} */
        var indexTemp = 0;
        switch (this.view) {
            case 'x':
                indexTemp = Math.floor((pos.z + width / 2) / width * size.z);
                indexTemp = Math.max(Math.min(0, indexTemp), size.z);
                break;
            case 'y':
                indexTemp = Math.floor((pos.x + width / 2) / width * size.x);
                indexTemp = Math.max(Math.min(0, indexTemp), size.x);
                break;
            case 'z':
                indexTemp = Math.floor((pos.y + width / 2) / width * size.y);
                indexTemp = Math.max(Math.min(0, indexTemp), size.y);
                break;
        }
        return indexTemp;
    };
    /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    ImagecrosslineComponent.prototype.imageBox = /**
     * @private
     * @param {?} image
     * @param {?} box
     * @return {?}
     */
    function (image, box) {
        switch (this.resize) {
            case 'image':
                return new BoundingBox2FromCenterSize(image.meta.center, image.meta.size);
            case 'fix':
                return box;
            case 'canvas':
                /** @type {?} */
                var sceneSize = this.sceneService.size;
                /** @type {?} */
                var ratio = Math.min(sceneSize.size.x / image.meta.size.x, sceneSize.size.y / image.meta.size.y);
                return new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(image.meta.size.x * ratio, image.meta.size.y * ratio));
        }
    };
    ImagecrosslineComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-imagecrossline',
                    template: "<app-image2d\n  [image]=\"image$ | async\"\n></app-image2d>\n",
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ImagecrosslineComponent.ctorParameters = function () { return [
        { type: SceneService },
        { type: GroupedcrosslineService }
    ]; };
    ImagecrosslineComponent.propDecorators = {
        view: [{ type: Input }],
        box: [{ type: Input }],
        resize: [{ type: Input }],
        image: [{ type: Input }]
    };
    return ImagecrosslineComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageSliceShowModule = /** @class */ (function () {
    function ImageSliceShowModule() {
    }
    ImageSliceShowModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        ColormapComponent,
                        DirectionComponent,
                        WindowComponent,
                        Image3dComponent,
                        Image2dComponent,
                        ImagecrosslineComponent,
                        Image2dGrayComponent
                    ],
                    imports: [CommonModule, NgThreeModule],
                    exports: [
                        ColormapComponent,
                        DirectionComponent,
                        WindowComponent,
                        Image3dComponent,
                        Image2dComponent,
                        NgThreeModule,
                        ImagecrosslineComponent,
                        Image2dGrayComponent
                    ],
                },] }
    ];
    return ImageSliceShowModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var GetStackService = /** @class */ (function () {
    function GetStackService() {
        this.stack = new ModelsStack();
        this.rows = 190;
        this.columes = 256;
        this.stack._numberOfFrames = 151;
        this.stack.modality = 'unknown';
        for (var i = 1; i <= this.stack._numberOfFrames; i++) {
            /** @type {?} */
            var frame = new ModelsFrame();
            frame.sopInstanceUID = i;
            frame.index = i;
            frame.instanceNumber = i;
            frame.rows = this.rows;
            frame.columns = this.columes;
            frame.pixelSpacing = [1.0, 1.0, 1.0];
            frame.imagePosition = [127.0, 118.0, -57.0];
            // frame.imagePosition = [0, 0, 0];
            frame.pixelData = this.getData(i);
            frame.imageOrientation = [-1.0, -0, 0, -0, -1.0, 0];
            frame.rescaleSlope = 1;
            frame.rescaleIntercept = 0;
            frame.minMax = this.getMinMax(frame.pixelData);
            this.stack.frame.push(frame);
        }
    }
    /**
     * @param {?} k
     * @return {?}
     */
    GetStackService.prototype.getData = /**
     * @param {?} k
     * @return {?}
     */
    function (k) {
        /** @type {?} */
        var data = new Uint8Array(this.rows * this.columes);
        for (var i = 1; i <= data.length; i++) {
            data[i] = k;
        }
        return data;
    };
    /**
     * @param {?} data
     * @return {?}
     */
    GetStackService.prototype.getMinMax = /**
     * @param {?} data
     * @return {?}
     */
    function (data) {
        /** @type {?} */
        var min;
        /** @type {?} */
        var max = 0;
        /** @type {?} */
        var sortData = data.sort();
        min = sortData[0];
        max = sortData[sortData.length - 1];
        return [min, max];
    };
    GetStackService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    GetStackService.ctorParameters = function () { return []; };
    /** @nocollapse */ GetStackService.ngInjectableDef = defineInjectable({ factory: function GetStackService_Factory() { return new GetStackService(); }, token: GetStackService, providedIn: "root" });
    return GetStackService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var EventDistributeService = /** @class */ (function () {
    function EventDistributeService() {
        // TODO: make a visiable and avaliable entity-list
        this.eventHandler = {
            ring: { enable: false, tag: 'drag' },
            line: { enable: false, tag: 'drag' },
            crossline: { enable: false, tag: 'drag' },
            fov: { enable: true, tag: 'stop drag' },
        };
        this.fovHandler = {
            fov1: { enable: false, tag: 'drag' },
            fov2: { enable: false, tag: 'drag' },
            fov3: { enable: false, tag: 'drag' },
        };
    }
    /**
     * @return {?}
     */
    EventDistributeService.prototype.doDrag = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.noDrag = /**
     * @return {?}
     */
    function () { };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.ifDrag = /**
     * @return {?}
     */
    function () {
        if (this.eventHandler.ring.enable ||
            this.eventHandler.line.enable ||
            this.eventHandler.crossline.enable ||
            this.eventHandler.fov.enable) {
            this.doDrag();
        }
        else {
            this.noDrag();
        }
    };
    /**
     * @param {?} handleProperty
     * @return {?}
     */
    EventDistributeService.prototype.drag = /**
     * @param {?} handleProperty
     * @return {?}
     */
    function (handleProperty) {
        if (handleProperty.enable) {
            handleProperty.enable = false;
            this.ifDrag();
            handleProperty.tag = 'drag';
        }
        else {
            handleProperty.enable = true;
            this.ifDrag();
            handleProperty.tag = 'stop drag';
        }
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragRing = /**
     * @return {?}
     */
    function () {
        this.drag(this.eventHandler.ring);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragLine = /**
     * @return {?}
     */
    function () {
        this.drag(this.eventHandler.line);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragCrossline = /**
     * @return {?}
     */
    function () {
        this.drag(this.eventHandler.crossline);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragFov = /**
     * @return {?}
     */
    function () {
        this.drag(this.eventHandler.fov);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragFov1 = /**
     * @return {?}
     */
    function () {
        this.drag(this.fovHandler.fov1);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragFov2 = /**
     * @return {?}
     */
    function () {
        this.drag(this.fovHandler.fov2);
    };
    /**
     * @return {?}
     */
    EventDistributeService.prototype.dragFov3 = /**
     * @return {?}
     */
    function () {
        this.drag(this.fovHandler.fov3);
    };
    EventDistributeService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    EventDistributeService.ctorParameters = function () { return []; };
    /** @nocollapse */ EventDistributeService.ngInjectableDef = defineInjectable({ factory: function EventDistributeService_Factory() { return new EventDistributeService(); }, token: EventDistributeService, providedIn: "root" });
    return EventDistributeService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var Patient = /** @class */ (function () {
    function Patient(name, imageId, birthday, sex, age, description, ima, position) {
        this.name = name;
        this.imageId = imageId;
        this.birthday = birthday;
        this.sex = sex;
        this.age = age;
        this.description = description;
        this.ima = ima;
        this.position = position;
        this.type = 'patient';
    }
    return Patient;
}());
var Hospital = /** @class */ (function () {
    function Hospital(name, device, model, patientPosition) {
        this.name = name;
        this.device = device;
        this.model = model;
        this.patientPosition = patientPosition;
        this.type = 'hospital';
    }
    return Hospital;
}());
var Scale = /** @class */ (function () {
    function Scale(scale, direction) {
        this.scale = scale;
        this.direction = direction;
        this.type = 'scale';
    }
    return Scale;
}());
var Physics = /** @class */ (function () {
    function Physics(voltage, current, angle, depth) {
        this.voltage = voltage;
        this.current = current;
        this.angle = angle;
        this.depth = depth;
        this.type = 'physics';
    }
    return Physics;
}());
var Zoom = /** @class */ (function () {
    function Zoom(window, level, zoom) {
        this.window = window;
        this.level = level;
        this.zoom = zoom;
        this.type = 'zoom';
    }
    return Zoom;
}());
var Ring = /** @class */ (function () {
    function Ring(center, Radius) {
        this.center = center;
        this.Radius = Radius;
        this.type = 'ring';
        this.area = Math.PI * Radius * Radius;
    }
    return Ring;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var CornerInfoService = /** @class */ (function () {
    function CornerInfoService() {
        this.info = new BehaviorSubject(new Ring(new Vector3(0, 0, 0), 20));
        this.info$ = this.info.asObservable();
    }
    /**
     * @return {?}
     */
    CornerInfoService.prototype.top_left_info = /**
     * @return {?}
     */
    function () {
        return ['AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3];
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.top_right_info = /**
     * @return {?}
     */
    function () {
        return ['x HSP', 'PET-CT', 'Pi-16', 'HFS'];
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.bottom_left_info = /**
     * @return {?}
     */
    function () {
        return [100, 10, 30, 200];
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.bottom_right_info = /**
     * @return {?}
     */
    function () {
        return ['W 350', 'C 50', 'Zoom: 1.00'];
    };
    /**
     * @param {?} update
     * @return {?}
     */
    CornerInfoService.prototype.updateInfo = /**
     * @param {?} update
     * @return {?}
     */
    function (update) {
        this.info.next(update);
    };
    /**
     * @param {?} id
     * @return {?}
     */
    CornerInfoService.prototype.getPatient = /**
     * @param {?} id
     * @return {?}
     */
    function (id) {
        return of(new Patient('AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.currentPatient = /**
     * @return {?}
     */
    function () {
        return of(new Patient('AAA', 123, new Date(Date.now()), 'F', 40, 'CT', 30, -20.3));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.currentHospital = /**
     * @return {?}
     */
    function () {
        return of(new Hospital('x HSP', 'PET-CT', 'Pi-16', 'HFS'));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.currentScale = /**
     * @return {?}
     */
    function () {
        return of(new Scale(10, 'R'));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.currentPhysics = /**
     * @return {?}
     */
    function () {
        return of(new Physics(100, 10, 30, 200));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.currentZoom = /**
     * @return {?}
     */
    function () {
        return of(new Zoom('W 350', 'C 50', 'Zoom: 1.00'));
    };
    /**
     * @return {?}
     */
    CornerInfoService.prototype.ROI_info = /**
     * @return {?}
     */
    function () {
        // return of({ area: 'area:100', value: 'value:100' });
        return of(['area:100', 'value:100']);
    };
    CornerInfoService.decorators = [
        { type: Injectable, args: [{
                    providedIn: 'root',
                },] }
    ];
    /** @nocollapse */
    CornerInfoService.ctorParameters = function () { return []; };
    /** @nocollapse */ CornerInfoService.ngInjectableDef = defineInjectable({ factory: function CornerInfoService_Factory() { return new CornerInfoService(); }, token: CornerInfoService, providedIn: "root" });
    return CornerInfoService;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MultiSliceCanvasComponent = /** @class */ (function () {
    function MultiSliceCanvasComponent(service, imageStoreService, infoService, crosslineService, entityStoreService, loadService, distributionService, getStack) {
        var _this = this;
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.infoService = infoService;
        this.crosslineService = crosslineService;
        this.entityStoreService = entityStoreService;
        this.loadService = loadService;
        this.distributionService = distributionService;
        this.getStack = getStack;
        this.image3Subject = new BehaviorSubject(dummyGrayImage3(new Vector3(100, 100, 100), new Vector3(100, 100, 100)));
        this.image3$ = this.image3Subject.asObservable();
        this.fovs = new EventEmitter();
        this.image2 = dummyGrayImage(new Vector2(10, 10), new Vector2(10, 20));
        this.tomoSize = new Vector2(500, 752);
        this.normalSize = new Vector2(500, 375);
        this.threeDSize = new Vector2(500, 375);
        this.tomoCameraSize = new Vector2(80, 60);
        this.normalCameraSize = new Vector2(80, 60);
        this.threeDCameraSize = new Vector2(400, 400);
        this.tomoCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.tomoCameraSize);
        this.normalCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.normalCameraSize);
        this.threeDCamera = new BoundingBox2FromCenterSize(new Vector2(0, 0), this.threeDCameraSize);
        this.id = v4();
        this.canvasSelected = 'testCanvas';
        this.viewSelected = 'x';
        this.circleSubject = new BehaviorSubject(new CircleModel(new Vector3(0, 0, 0), 10));
        this.ringSubject = new BehaviorSubject(new RingModel(new Vector3(0, 0, 0), 5, 5.001));
        this.circleMain = this.circleSubject.asObservable();
        this.ringMain = this.ringSubject.asObservable();
        this.planeSubject = new BehaviorSubject(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(20, 20)));
        this.planeMain = this.planeSubject.asObservable();
        this.ringModelTemp = new RingModel(new Vector3(0, 0, 0), 3, 3.0001);
        this.shapePos = [];
        this.shapeSubject = new BehaviorSubject(undefined);
        this.shapeMain = this.shapeSubject.asObservable();
        this.canvas$ = this.service.canvasOf(this.id);
        this.profile = [];
        this.profileSubject = new BehaviorSubject(undefined);
        this.profileMain = this.profileSubject.asObservable();
        this.profileTest = new ProfileModel([0, 50, 100, 50, 0]);
        this.imageInfo = {
            pos: new Vector3(0, 0, 0),
            index: new Vector3(1, 1, 1),
            intensity: 0.0,
        };
        this.cube = new CubeModel(new Vector3(50, 50, 50), new Vector3(0, 0, 0), new Vector3(0, 0, 0));
        this.sphere = new SphereModel(new Vector3(10, 10, 10), 30);
        this.plane = new Plane2Model(new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(10, 10)), 10, {
            r: new Uint8Array([255]),
            g: new Uint8Array([255]),
            b: new Uint8Array([255]),
            shape: new Vector2(1, 1),
        }, new Vector3(0, 0, 0), true, 0.5, true);
        this.obj = new OBJModel(new Vector3(0, 0, 0));
        this.vrml = new VRMLModel(new Vector3(0, 0, 0));
        this.circle = new CircleModel(new Vector3(0, 0, 10), 10);
        this.ring = new RingModel(new Vector3(10, 0, 0), 30, 30);
        this.volume = new VolumeModel('red', 'bandpass', 0, 0.25, new GrayImage3(new Vector3(0, 0, 0), new Vector3(190, 256, 151), new Vector3(190, 256, 151), new Float32Array(190 * 256 * 151)));
        this.imageCanvasSubject = new BehaviorSubject([]);
        this.imageCanvas$ = this.imageCanvasSubject.asObservable();
        this.lineSubject = new BehaviorSubject({
            id: 'testLine',
            position: new Vector3(10, 10, 10),
            view: 'x',
            crosslineLength: 2,
        });
        this.lineMain$ = this.lineSubject.asObservable();
        this.outPost = new Vector3(10, 10, 10);
        this.imgBoundingBox = new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(60, 60));
        this.cameraSize = new BoundingBox2FromCenterSize(new Vector2(0, 0), new Vector2(80, 60));
        this.info = new Observable();
        this.info2 = ['hhhhh', 'sssss'];
        this.position2 = new Vector2(100, 100);
        this.a = 10;
        this.crossline = new CrossLineModel(new Vector3(this.a, 10, 0), 'x');
        this.s = 10;
        this.selecteImages = new EventEmitter();
        this.eventHandler = this.distributionService.eventHandler;
        this.fovHandler = this.distributionService.fovHandler;
        console.log(this.s);
        // this.addCanvas();
        // this.addCanvas();
        // this.addCanvas();
        /** @type {?} */
        var i = 0;
        while (i < 5) {
            this.addCanvas();
            i++;
        }
        /** @type {?} */
        var fov1center = new Vector2(0, -20);
        /** @type {?} */
        var fov2center = new Vector2(0, 0);
        /** @type {?} */
        var fov3center = new Vector2(0, 20);
        this.canvas$.subscribe((/**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            _this.canvasTo = e[0];
            _this.canvasVolume = [e[1], e[2], e[3]];
            _this.canvas3D = e[4];
            _this.entityStoreService.addFov(_this.canvasTo, fov1center);
            _this.entityStoreService.addFov(_this.canvasTo, fov2center);
            _this.entityStoreService.addFov(_this.canvasTo, fov3center);
        }));
        this.image3$
            .pipe(map((/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            _this.updateToCanvas(_this.canvasVolume[0], image);
            _this.updateToCanvas(_this.canvasVolume[1], image);
            _this.updateToCanvas(_this.canvasVolume[2], image);
        })))
            .subscribe(noop, console.error);
        // this.resize();
        // this.image2$ = this.imageStoreService.grayIamge2$;
        // console.log(this.ring.center);
        // console.log(this.obj instanceof OBJModel);
    }
    Object.defineProperty(MultiSliceCanvasComponent.prototype, "image3", {
        get: /**
         * @return {?}
         */
        function () {
            return this.image3Subject.value;
        },
        set: /**
         * @param {?} i
         * @return {?}
         */
        function (i) {
            this.image3Subject.next(i);
            this.loadService.image3Input = i;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(MultiSliceCanvasComponent.prototype, "tomo", {
        get: /**
         * @return {?}
         */
        function () {
            return this.image2;
        },
        set: /**
         * @param {?} t
         * @return {?}
         */
        function (t) {
            this.image2 = t;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.updateToCanvas = /**
     * @param {?} canvas
     * @param {?} image
     * @return {?}
     */
    function (canvas, image) {
        var _this = this;
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} state
         * @return {?}
         */
        function (state) {
            _this.imageStoreService.updateImage(state, image);
        }));
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.resize = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var divTomo = document.getElementById('canvasTo');
        /** @type {?} */
        var divNormal = document.getElementById('canvas3D');
        console.log(divTomo.onresize);
        // this.tomoSize = new Vector2(
        //   divTomo.offsetWidth - 5,
        //   divTomo.offsetHeight - 5,
        // );
        // this.normalSize = new Vector2(
        //   divNormal.offsetWidth - 5,
        //   divNormal.offsetHeight - 5,
        // );
    };
    /**
     * @param {?} canvas
     * @param {?} index
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.select = /**
     * @param {?} canvas
     * @param {?} index
     * @return {?}
     */
    function (canvas, index) {
        var _this = this;
        this.canvasSelected = canvas;
        this.viewOf$(canvas)
            .pipe(map((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return (_this.viewSelected = b); })))
            .subscribe(noop, (/**
         * @param {?} err
         * @return {?}
         */
        function (err) { return console.error(err); }));
        this.service.select(canvas);
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.addCanvas = /**
     * @return {?}
     */
    function () {
        this.service.addCanvasTo(this.id);
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.imageOf$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        return this.service.imageOf$(canvas);
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.viewOf$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        return this.service.viewOf$(canvas);
    };
    /**
     * @param {?} canvas
     * @param {?} e
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.scrollImageOfCanvas = /**
     * @param {?} canvas
     * @param {?} e
     * @return {?}
     */
    function (canvas, e) {
        var _this = this;
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return _this.imageStoreService.addIndex(image, e.delta / Math.abs(e.delta));
        }));
        e.event.preventDefault();
    };
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragWidthOfImage = /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    function (canvas, d) {
        var _this = this;
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return _this.imageStoreService.addWidthByStep(image, d.current.x - d.origin.x === 0
                ? 0
                : Math.abs(d.current.x - d.origin.x) / (d.current.x - d.origin.x));
        }));
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.entitiesOfCanvas = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        return this.entityStoreService.entitiesOfCanvas(canvas);
    };
    /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragRing = /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    function (d, canvasId) {
        this.position2 = d.origin;
        /** @type {?} */
        var circleRadius = Math.sqrt(Math.pow(d.current.x - d.origin.x, 2) +
            Math.pow(d.current.y - d.origin.y, 2));
        this.entityStoreService.updateRingEntity({
            canvasId: canvasId,
            model: new RingModel(new Vector3(d.origin.x, d.origin.y, 0), circleRadius, circleRadius + 0.001),
        });
    };
    /**
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.getPointPos = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.shapePos.push(new Vector2(((/** @type {?} */ (d))).clientX, ((/** @type {?} */ (d))).clientY));
        // this.shapeSubject.next([...this.shapeSubject.value, new Vector2((d as MouseEvent).clientX, (d as MouseEvent).clientY)]);
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.getPointPos2 = /**
     * @return {?}
     */
    function () {
        if (this.shapePos.length > 2) {
            this.shapePos.pop();
            this.shapePos.pop();
            this.shapeSubject.next(new UserDefinedModel(this.shapePos));
        }
        this.shapePos = [];
        this.profileSubject.next(new ProfileModel([
            Math.random() * 20,
            Math.random() * 30,
            Math.random() * 50,
        ]));
    };
    /**
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragPlane = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.planeSubject.next(new BoundingBox2FromCenterSize(new Vector2((d.current.x + d.origin.x) / 2, (d.current.y + d.origin.y) / 2), new Vector2(Math.abs(d.current.x - d.origin.x), Math.abs(d.current.y - d.origin.y))));
    };
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragLine = /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    function (canvas, d) {
        var _this = this;
        /** @type {?} */
        var temp = new Vector3(0, 0, 0);
        this.crosslineService.updatePosition('testLine', new Vector2(d.current.x, d.current.y), this.viewSelected);
        this.crosslineService.position3$('testLine').subscribe((/**
         * @param {?} b
         * @return {?}
         */
        function (b) { return (temp = b); }));
        this.lineSubject.next({
            id: 'testLine',
            position: temp,
            view: this.viewSelected,
            crosslineLength: 2,
        });
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return _this.crosslineService.crosslineMain$
                .pipe(map((/**
             * @param {?} x
             * @return {?}
             */
            function (x) { return _this.getImageInfo(image, _this.imgBoundingBox, x); })))
                .subscribe(noop);
        }));
    };
    /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragCrossline = /**
     * @param {?} d
     * @param {?} canvasId
     * @return {?}
     */
    function (d, canvasId) {
        this.entityStoreService.updateCrosslineEntity({
            canvasId: canvasId,
            model: new CrossLineModel(new Vector3(d.current.x, d.current.y, 0), 'z'),
        });
        // this.a = this.a + 2;
        // this.crossline = new CrossLineModel(new Vector3(this.a, 10, 0), 'x');
    };
    /**
     * @param {?} image
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.getImageInfo = /**
     * @param {?} image
     * @param {?} box
     * @param {?} cross
     * @return {?}
     */
    function (image, box, cross) {
        /** @type {?} */
        var indexT = new Vector3(Math.ceil((Math.ceil(cross[cross.length - 1].position.x + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.x), Math.ceil((Math.ceil(cross[cross.length - 1].position.y + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.y), Math.ceil((Math.ceil(cross[cross.length - 1].position.z + box.size.x / 2) /
            box.size.x) *
            image.image.meta.size.z));
        switch (image.slicer.direction) {
            case 'x':
                this.imageStoreService.updateIndex(image, indexT.x);
                break;
            case 'y':
                this.imageStoreService.updateIndex(image, indexT.y);
                break;
            case 'z':
                this.imageStoreService.updateIndex(image, indexT.z);
                break;
        }
        this.imageInfo = {
            pos: cross[cross.length - 1].position,
            index: indexT,
            intensity: image.image.pixel3(indexT.x, indexT.y, indexT.z),
        };
    };
    // addCrossLine() {
    //   this.crosslineAdd = !this.crosslineAdd;
    //   let posTemp = new Vector3(0, 0, 0);
    //   this.multicrosslineService.loadCrosslineToCanvas(this.canvasSelected, 10);
    //   this.crosslineService.updatePosition(
    //     'testLine',
    //     new Vector2(0, 0),
    //     this.viewSelected,
    //   );
    //   this.crosslineService.position3$('testLine').subscribe(b => (posTemp = b));
    //   this.lineSubject.next({
    //     id: 'testLine',
    //     position: posTemp,
    //     view: this.viewSelected,
    //     crosslineLength: 2,
    //   });
    //   this.service.addCrossLine();
    // }
    // addCrossLine() {
    //   this.crosslineAdd = !this.crosslineAdd;
    //   let posTemp = new Vector3(0, 0, 0);
    //   this.multicrosslineService.loadCrosslineToCanvas(this.canvasSelected, 10);
    //   this.crosslineService.updatePosition(
    //     'testLine',
    //     new Vector2(0, 0),
    //     this.viewSelected,
    //   );
    //   this.crosslineService.position3$('testLine').subscribe(b => (posTemp = b));
    //   this.lineSubject.next({
    //     id: 'testLine',
    //     position: posTemp,
    //     view: this.viewSelected,
    //     crosslineLength: 2,
    //   });
    //   this.service.addCrossLine();
    // }
    /**
     * @param {?} e
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.setOutPos = 
    // addCrossLine() {
    //   this.crosslineAdd = !this.crosslineAdd;
    //   let posTemp = new Vector3(0, 0, 0);
    //   this.multicrosslineService.loadCrosslineToCanvas(this.canvasSelected, 10);
    //   this.crosslineService.updatePosition(
    //     'testLine',
    //     new Vector2(0, 0),
    //     this.viewSelected,
    //   );
    //   this.crosslineService.position3$('testLine').subscribe(b => (posTemp = b));
    //   this.lineSubject.next({
    //     id: 'testLine',
    //     position: posTemp,
    //     view: this.viewSelected,
    //     crosslineLength: 2,
    //   });
    //   this.service.addCrossLine();
    // }
    /**
     * @param {?} e
     * @return {?}
     */
    function (e) {
        this.outPost = e;
    };
    /**
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.setImageInfo = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        this.imageInfo = d;
    };
    /**
     * @param {?} canvas
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.isSelected$ = /**
     * @param {?} canvas
     * @return {?}
     */
    function (canvas) {
        return this.service.isSelected$(canvas);
    };
    /**
     * @param {?} c
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.isWithCanvas = /**
     * @param {?} c
     * @return {?}
     */
    function (c) {
        return this.service.isWithCanvas$(c);
    };
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragLevelOfImage = /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    function (canvas, d) {
        var _this = this;
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return _this.imageStoreService.addLevelByStep(image, d.current.y - d.origin.y === 0
                ? 0
                : Math.abs(d.current.y - d.origin.y) / (d.current.y - d.origin.y));
        }));
    };
    /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.dragWidthLevelOfImage = /**
     * @param {?} canvas
     * @param {?} d
     * @return {?}
     */
    function (canvas, d) {
        var _this = this;
        this.service.mapOnCanvas(canvas, (/**
         * @param {?} image
         * @return {?}
         */
        function (image) {
            return _this.imageStoreService.addWidthLevelFilterByStep(image, d.current.x - d.origin.x === 0
                ? 0
                : Math.abs(d.current.x - d.origin.x) / (d.current.x - d.origin.x), d.current.y - d.origin.y === 0
                ? 0
                : Math.abs(d.current.y - d.origin.y) / (d.current.y - d.origin.y));
        }));
    };
    /**
     * @param {?} value
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.displayFovs = /**
     * @param {?} value
     * @return {?}
     */
    function (value) {
        // console.log(value);
        this.fovs.emit(value);
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () {
        this.top_left_info = this.infoService.top_left_info();
        this.top_right_info = this.infoService.top_right_info();
        this.bottom_left_info = this.infoService.bottom_left_info();
        this.bottom_right_info = this.infoService.bottom_right_info();
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.ngAfterContentInit = /**
     * @return {?}
     */
    function () {
        // this.resize();
    };
    /**
     * @return {?}
     */
    MultiSliceCanvasComponent.prototype.ngOnDestroy = /**
     * @return {?}
     */
    function () {
        this.ringSubject.complete();
        this.circleSubject.complete();
    };
    MultiSliceCanvasComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-multi-slice-canvas',
                    template: "<!-- <div class=\"image-show\" gdGap=\"1px\" gdColumns=\"auto auto auto\" fxFlexFill>\n  <div class=\"box\" gdRow=\"auto / span 2\"><canvas></canvas></div>\n  <div class=\"box\" *ngFor=\"let x of [0, 1, 2, 3]\"><canvas></canvas></div>\n</div> -->\n\n\n<div gdGap=\"2px\" gdColumns=\"auto auto auto\" fxFlexFill>\n  <div id=\"canvasTo\" class=\"box\" gdRow=\"auto / span 2\" >\n        <ng3-canvas (click)=\"select(canvasTo, 0)\" [size]=\"tomoSize\">\n          <ng3-event-distribute (fovs)=\"displayFovs($event)\" [eventHandler]=\"eventHandler\" [fovHandler]=\"fovHandler\" [entityStore]=\"entityStoreService\" [multiCanvas]=\"service\"></ng3-event-distribute>\n          <ng3-orthographic-camera [size]=\"tomoCamera\"></ng3-orthographic-camera>\n          <ng-container *ngFor=\"let t of entitiesOfCanvas(canvasTo) | async\">\n              <ng3-tool-entity [model]=\"t.model\"></ng3-tool-entity>\n          </ng-container>\n          <app-image3d\n        *ngIf=\"imageOf$(canvasTo) | async as image\"\n        [image]=\"image\"\n        [box]=\"imgBoundingBox\"\n        resize=\"canvas\"\n        [z]=\"-80\"\n        (scroll)=\"scrollImageOfCanvas(canvasTo, $event)\"\n        (drag)=\"dragWidthOfImage(canvasTo, $event); dragPlane($event)\"\n      ></app-image3d>\n          <app-image2d-gray [image]=\"image2\"></app-image2d-gray>\n        </ng3-canvas>\n      </div>\n  <div id=\"wrap\" gdGap=\"2px\" class=\"box\" *ngFor=\"let c of canvasVolume; let indexV = index\">\n    <ng3-canvas (click)=\"select(c, indexV + 1)\" [size]=\"normalSize\">\n      <ng3-event-distribute (fovs)=\"displayFovs($event)\" [eventHandler]=\"eventHandler\" [fovHandler]=\"fovHandler\" [entityStore]=\"entityStoreService\" [multiCanvas]=\"service\"></ng3-event-distribute>\n      <ng3-orthographic-camera [size]=\"normalCamera\"></ng3-orthographic-camera>\n      <app-image3d\n        *ngIf=\"imageOf$(c) | async as image\"\n        [image]=\"image\"\n        [box]=\"imgBoundingBox\"\n        resize=\"canvas\"\n        [z]=\"-80\"\n        (scroll)=\"scrollImageOfCanvas(c, $event)\"\n        (drag)=\"dragWidthOfImage(c, $event); dragPlane($event)\"\n      ></app-image3d>\n      <ng-container *ngFor=\"let t of entitiesOfCanvas(c) | async\">\n        <ng3-tool-entity [model]=\"t.model\"></ng3-tool-entity>\n      </ng-container>\n    </ng3-canvas>\n    <corner-info [info]=\"top_left_info\" [position]=\"'top-left'\"></corner-info>\n    <corner-info [info]=\"top_right_info\" [position]=\"'top-right'\"></corner-info>\n    <corner-info\n      [info]=\"bottom_left_info\"\n      [position]=\"'bottom-left'\"\n    ></corner-info>\n    <corner-info\n      [info]=\"bottom_right_info\"\n      [position]=\"'bottom-right'\"\n    ></corner-info>\n    <app-info [info]=\"info2\" [position]=\"position2\"></app-info>\n  </div>\n  <div id=\"canvas3D\" class = \"box\">\n    <ng3-canvas (click)=\"select(canvas3D, 4)\" [size]=\"threeDSize\">\n      <ng3-orthographic-camera [size]=\"threeDCamera\"></ng3-orthographic-camera>\n      <ng3-orbit-controls [enabled]=\"true\"></ng3-orbit-controls>\n      <!-- <ng3-cube [model]=\"cube\"></ng3-cube> -->\n      <ng3-volume-rendering [model]=\"volume\"></ng3-volume-rendering>\n    </ng3-canvas>\n  </div>\n</div>\n",
                    styles: ["#wrap{position:relative;width:500px;height:375px}.box1{width:270px;height:540px}.box2{width:270px;height:270px}#father{display:flex;flex-wrap:wrap}#grand{display:flex}:host{box-sizing:border-box;width:100%;height:100%;padding:2px}"]
                }] }
    ];
    /** @nocollapse */
    MultiSliceCanvasComponent.ctorParameters = function () { return [
        { type: MultiCanvasService },
        { type: ImageStoreService },
        { type: CornerInfoService },
        { type: GroupedcrosslineService },
        { type: EntityStoreService },
        { type: HttpImageLoaderService },
        { type: EventDistributeService },
        { type: GetStackService }
    ]; };
    MultiSliceCanvasComponent.propDecorators = {
        fovs: [{ type: Output }],
        image3: [{ type: Input }],
        tomo: [{ type: Input }],
        tomoSize: [{ type: Input }],
        normalSize: [{ type: Input }],
        threeDSize: [{ type: Input }],
        tomoCameraSize: [{ type: Input }],
        normalCameraSize: [{ type: Input }],
        threeDCameraSize: [{ type: Input }],
        selecteImages: [{ type: Output }]
    };
    return MultiSliceCanvasComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MultiCanvasControllerComponent = /** @class */ (function () {
    function MultiCanvasControllerComponent(service, imageStoreService, entityStoreService, renderer, eventDistribution, loadService) {
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.entityStoreService = entityStoreService;
        this.renderer = renderer;
        this.eventDistribution = eventDistribution;
        this.loadService = loadService;
        this.selectedImages$ = this.service.selectedImages$;
        // dragTag = {
        //   ring: 'drag ring',
        //   line: 'drag line',
        //   crossline: 'drag crossline',
        //   fov: 'drag fov',
        // };
        this.whichDraging = this.eventDistribution.eventHandler;
        this.fovHnadler = this.eventDistribution.fovHandler;
        this.camera = new PerspectiveCamera();
    }
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.loadInput = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.service.loadToCanvas(c, _this.loadService.image3Input); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.updateCamera = /**
     * @return {?}
     */
    function () {
        console.log('show the renderer', this.renderer);
        // console.log('show the camera', this.renderer.camera);
        // this.renderer.setCamera(this.camera);
        // this.renderer.render();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.updateCamera2 = /**
     * @return {?}
     */
    function () {
        this.renderer.camera.scale.set(1, 1, 1.1);
        this.renderer.render();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.updateCamera3 = /**
     * @return {?}
     */
    function () {
        this.camera.scale.set(0.5, 0.5, 1);
    };
    /**
     * @param {?} d
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.changeDirection = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateDirection(image, d);
            })),
                _this.entityStoreService.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                function (crossline) {
                    _this.entityStoreService.updateCrosslineEntity({
                        canvasId: c,
                        model: __assign({}, crossline, { view: d }),
                    });
                }));
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragRing = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragRing();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragLine = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragLine();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragCrossline = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragCrossline();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragFov = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragFov1 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov1();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragFov2 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov2();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.dragFov3 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov3();
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.addToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.addRing(c); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.copyToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.copyEntity(c); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.cutToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.cutEntity(c); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.pasteToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.pasteEntity(c); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.removeToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService.removeEntityWithCanvasId(c);
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.addLine = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.addLine(c); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.addCrossLine = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService.addCrossLine(c);
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.addFov = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.addFov(c); }));
    };
    /**
     * @param {?} index
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.changeIndex = /**
     * @param {?} index
     * @return {?}
     */
    function (index) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateIndex(image, index);
            }));
        }));
    };
    /**
     * @param {?} cm
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.changeColormap = /**
     * @param {?} cm
     * @return {?}
     */
    function (cm) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateColormap(image, cm);
            }));
        }));
    };
    /**
     * @param {?} widthlevel
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.changeWidthLevel = /**
     * @param {?} widthlevel
     * @return {?}
     */
    function (widthlevel) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateWidthLevelFilter(image, widthlevel.width, widthlevel.level);
            }));
        }));
    };
    /**
     * @param {?} image
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.imageLoad = /**
     * @param {?} image
     * @return {?}
     */
    function (image) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.service.loadToCanvas(c, image); }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.rotate_plane = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.addRotation(image, new Vector3(0, 0, Math.PI / 2));
            }));
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.showEntitiesofCanva = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService
                .entitiesOfCanvas(c)
                .subscribe((/**
             * @param {?} a
             * @return {?}
             */
            function (a) { return console.log(a); }));
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.showEntities = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.entityStoreService
            .showEntities()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        function (a) { return console.log('all', a); }));
        this.entityStoreService
            .showClipBoard()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        function (a) { return console.log('clip board', a); }));
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService
                .entitiesOfCanvas(c)
                .subscribe((/**
             * @param {?} a
             * @return {?}
             */
            function (a) { return console.log('entitiesOfCanvas', a); }));
        }));
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.showCanvas = /**
     * @return {?}
     */
    function () {
        console.log(this.service.componentCanvasSubject.value);
    };
    /**
     * @return {?}
     */
    MultiCanvasControllerComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    MultiCanvasControllerComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-multi-canvas-controller',
                    template: "<!-- <app-local-image-loader\n  (imageLoad)=\"imageLoad($event)\"\n></app-local-image-loader> -->\n<app-http-image-loader (imageLoad)=\"imageLoad($event)\"></app-http-image-loader>\n\n<app-window\n  (widthlevelChange)=\"changeWidthLevel($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-window>\n<app-direction\n  (directionChange)=\"changeDirection($event)\"\n  (sliceIndexChange)=\"changeIndex($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-direction>\n<app-colormap\n  (colormapChange)=\"changeColormap($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-colormap>\n<br />\n<button (click)=\"rotate_plane()\">rotate</button>\n<br />\n<button (click)=\"addToolRing()\">addToolRing</button>\n<button (click)=\"addLine()\">addLine</button>\n<button (click)=\"addCrossLine()\">addCrossLine</button>\n<button (click)=\"addFov()\">addFov</button>\n<br />\n<button (click)=\"dragRing()\">{{ whichDraging.ring.tag }} ring</button>\n<button (click)=\"dragLine()\">{{ whichDraging.line.tag }} line</button>\n<button (click)=\"dragCrossline()\">{{ whichDraging.crossline.tag }} crossline</button>\n<button (click)=\"dragFov()\">{{whichDraging.fov.tag}} fov</button>\n<br />\n<button (click)=\"dragFov1()\">{{ fovHnadler.fov1.tag }} fov1</button>\n<button (click)=\"dragFov2()\">{{ fovHnadler.fov2.tag }} fov2</button>\n<button (click)=\"dragFov3()\">{{ fovHnadler.fov3.tag }} fov3</button>\n\n<button (click)=\"copyToolRing()\">copyToolRing</button>\n<button (click)=\"cutToolRing()\">cutToolRing</button>\n<button (click)=\"pasteToolRing()\">pasteToolRing</button>\n<button (click)=\"removeToolRing()\">removeToolRing</button>\n<br />\n<button (click)=\"showEntities()\">showEntities</button>\n<button (click)=\"showCanvas()\">showCanvas</button>\n<!-- <button (click)=\"updateCamera()\">update camera</button>\n<button (click)=\"updateCamera2()\">update camera2</button>\n<button (click)=\"updateCamera3()\">update camera3</button> -->\n<button (click)=\"loadInput()\" >loadInput</button>\n",
                    providers: [RendererService, SceneService, CanvasService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    MultiCanvasControllerComponent.ctorParameters = function () { return [
        { type: MultiCanvasService },
        { type: ImageStoreService },
        { type: EntityStoreService },
        { type: RendererService },
        { type: EventDistributeService },
        { type: HttpImageLoaderService }
    ]; };
    return MultiCanvasControllerComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ToolboxComponent = /** @class */ (function () {
    function ToolboxComponent(service, imageStoreService, entityStoreService, renderer, eventDistribution, loadService) {
        this.service = service;
        this.imageStoreService = imageStoreService;
        this.entityStoreService = entityStoreService;
        this.renderer = renderer;
        this.eventDistribution = eventDistribution;
        this.loadService = loadService;
        this.selectedImages$ = this.service.selectedImages$;
        this.whichDraging = this.eventDistribution.eventHandler;
        this.fovHnadler = this.eventDistribution.fovHandler;
        this.camera = new PerspectiveCamera();
    }
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.loadInput = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.service.loadToCanvas(c, _this.loadService.image3Input); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.loadTomo = /**
     * @return {?}
     */
    function () {
        // this.imageStoreService.grayImage2Subject.next(dummyGrayImage(
        //   new Vector2(60, 60),
        //   new Vector2(60, 60),
        // ));
    };
    /**
     * @param {?} d
     * @return {?}
     */
    ToolboxComponent.prototype.changeDirection = /**
     * @param {?} d
     * @return {?}
     */
    function (d) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateDirection(image, d);
            })),
                _this.entityStoreService.crosslineOnCanvas(c, (/**
                 * @param {?} crossline
                 * @return {?}
                 */
                function (crossline) {
                    _this.entityStoreService.updateCrosslineEntity({
                        canvasId: c,
                        model: __assign({}, crossline, { view: d }),
                    });
                }));
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragRing = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragRing();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragLine = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragLine();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragCrossline = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragCrossline();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragFov1 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov1();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragFov2 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov2();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.dragFov3 = /**
     * @return {?}
     */
    function () {
        this.eventDistribution.dragFov3();
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.addToolRing = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.addRing(c); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.copyTool = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.copyEntity(c); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.cutTool = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.cutEntity(c); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.pasteTool = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.pasteEntity(c); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.removeTool = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService.removeEntityWithCanvasId(c);
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.addCrossLine = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService.addCrossLine(c);
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.addFov = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.entityStoreService.addFov(c); }));
    };
    /**
     * @param {?} index
     * @return {?}
     */
    ToolboxComponent.prototype.changeIndex = /**
     * @param {?} index
     * @return {?}
     */
    function (index) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateIndex(image, index);
            }));
        }));
    };
    /**
     * @param {?} cm
     * @return {?}
     */
    ToolboxComponent.prototype.changeColormap = /**
     * @param {?} cm
     * @return {?}
     */
    function (cm) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateColormap(image, cm);
            }));
        }));
    };
    /**
     * @param {?} widthlevel
     * @return {?}
     */
    ToolboxComponent.prototype.changeWidthLevel = /**
     * @param {?} widthlevel
     * @return {?}
     */
    function (widthlevel) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.updateWidthLevelFilter(image, widthlevel.width, widthlevel.level);
            }));
        }));
    };
    /**
     * @param {?} image
     * @return {?}
     */
    ToolboxComponent.prototype.imageLoad = /**
     * @param {?} image
     * @return {?}
     */
    function (image) {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) { return _this.service.loadToCanvas(c, image); }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.rotate_plane = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.service.mapOnCanvas(c, (/**
             * @param {?} image
             * @return {?}
             */
            function (image) {
                return _this.imageStoreService.addRotation(image, new Vector3(0, 0, Math.PI / 2));
            }));
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.showEntitiesofCanva = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService
                .entitiesOfCanvas(c)
                .subscribe((/**
             * @param {?} a
             * @return {?}
             */
            function (a) { return console.log(a); }));
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.showEntities = /**
     * @return {?}
     */
    function () {
        var _this = this;
        this.entityStoreService
            .showEntities()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        function (a) { return console.log('all', a); }));
        this.entityStoreService
            .showClipBoard()
            .subscribe((/**
         * @param {?} a
         * @return {?}
         */
        function (a) { return console.log('clip board', a); }));
        this.service.mapSelectedCanvas((/**
         * @param {?} c
         * @return {?}
         */
        function (c) {
            return _this.entityStoreService
                .entitiesOfCanvas(c)
                .subscribe((/**
             * @param {?} a
             * @return {?}
             */
            function (a) { return console.log('entitiesOfCanvas', a); }));
        }));
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.showCanvas = /**
     * @return {?}
     */
    function () {
        console.log(this.service.componentCanvasSubject.value);
    };
    /**
     * @return {?}
     */
    ToolboxComponent.prototype.ngOnInit = /**
     * @return {?}
     */
    function () { };
    ToolboxComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-toolbox',
                    template: "<app-http-image-loader (imageLoad)=\"imageLoad($event)\"></app-http-image-loader>\n<button (click)=\"loadInput()\" >loadInput</button>\n<!-- <app-window\n  (widthlevelChange)=\"changeWidthLevel($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-window> -->\n<app-direction\n  (directionChange)=\"changeDirection($event)\"\n  (sliceIndexChange)=\"changeIndex($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-direction>\n<app-colormap\n  (colormapChange)=\"changeColormap($event)\"\n  [related]=\"selectedImages$ | async\"\n></app-colormap>\n\n<button (click)=\"addToolRing()\">addToolRing</button>\n<button (click)=\"addCrossLine()\">addCrossLine</button>\n<button (click)=\"addFov()\">addFov</button>\n<button (click)=\"dragRing()\">{{ whichDraging.ring.tag }} ring</button>\n<button (click)=\"dragCrossline()\">{{ whichDraging.crossline.tag }} crossline</button>\n<button (click)=\"dragFov1()\">{{ fovHnadler.fov1.tag }} fov1</button>\n<button (click)=\"dragFov2()\">{{ fovHnadler.fov2.tag }} fov2</button>\n<button (click)=\"dragFov3()\">{{ fovHnadler.fov3.tag }} fov3</button>\n<button (click)=\"copyTool()\">copyTool</button>\n<button (click)=\"cutTool()\">cutTool</button>\n<button (click)=\"pasteTool()\">pasteTool</button>\n<button (click)=\"removeTool()\">removeTool</button>\n",
                    providers: [RendererService, SceneService, CanvasService],
                    styles: [""]
                }] }
    ];
    /** @nocollapse */
    ToolboxComponent.ctorParameters = function () { return [
        { type: MultiCanvasService },
        { type: ImageStoreService },
        { type: EntityStoreService },
        { type: RendererService },
        { type: EventDistributeService },
        { type: HttpImageLoaderService }
    ]; };
    return ToolboxComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var MultiCanvasModule = /** @class */ (function () {
    function MultiCanvasModule() {
    }
    MultiCanvasModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        MultiSliceCanvasComponent,
                        MultiCanvasControllerComponent,
                        ToolboxComponent
                    ],
                    imports: [CommonModule, ImageSliceShowModule, ImageStoreModule, CornerInfoModule, FlexLayoutModule],
                    providers: [MultiCanvasService],
                    exports: [
                        MultiSliceCanvasComponent,
                        MultiCanvasControllerComponent,
                        ToolboxComponent
                    ],
                },] }
    ];
    return MultiCanvasModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ImageWModule = /** @class */ (function () {
    function ImageWModule() {
    }
    ImageWModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [ImageWComponent],
                    imports: [
                        CommonModule,
                        HttpClientModule,
                        NgThreeModule,
                        ImageSliceShowModule,
                        ImageStoreModule,
                        MultiCanvasModule,
                        CornerInfoModule,
                        EntityStoreModule,
                    ],
                    exports: [
                        ImageWComponent,
                        ImageStoreModule,
                        MultiCanvasModule,
                        ImageSliceShowModule,
                        NgThreeModule,
                        CornerInfoModule,
                        EntityStoreModule
                    ],
                },] }
    ];
    return ImageWModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @param {?} direction
 * @param {?} value
 * @param {?} b
 * @return {?}
 */
function updateBoxByDirection(direction, value, b) {
    switch (direction) {
        case 'left':
            return new BoundingBox2FromLRTB(value, b.right, b.top, b.bottom);
        case 'right':
            return new BoundingBox2FromLRTB(b.left, value, b.top, b.bottom);
        case 'top':
            return new BoundingBox2FromLRTB(b.left, b.right, value, b.bottom);
        case 'bottom':
            return new BoundingBox2FromLRTB(b.left, b.right, b.top, value);
    }
}
/**
 * @param {?} e
 * @param {?} model
 * @return {?}
 */
function resizePlane2ModelByEdge(e, model) {
    return new Plane2Model(updateBoxByDirection(e.direction, e.to, model.box), 10, model.textureData);
}
/**
 * @param {?} e
 * @param {?} model
 * @return {?}
 */
function resizePlane2ModelByCorner(e, model) {
    /** @type {?} */
    var xUpdated = updateBoxByDirection(e.direction.x, e.to.x, model.box);
    /** @type {?} */
    var box = updateBoxByDirection(e.direction.y, e.to.y, xUpdated);
    return new Plane2Model(box, 10, model.textureData);
}

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @ module models/voxel
 */
var ModelsVoxel = /** @class */ (function () {
    function ModelsVoxel() {
        this._id = -1;
        this._worldCoordinates = null;
        this._dataCoordinates = null;
        this._screenCoordinates = null;
        this._value = null;
        this._id = -1;
        this._worldCoordinates = null;
        this._dataCoordinates = null;
        this._screenCoordinates = null;
        this._value = null;
    }
    Object.defineProperty(ModelsVoxel.prototype, "worldCoordinates", {
        get: /**
         * @return {?}
         */
        function () {
            return this._worldCoordinates;
        },
        set: /**
         * @param {?} worldCoordinates
         * @return {?}
         */
        function (worldCoordinates) {
            this._worldCoordinates = worldCoordinates;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsVoxel.prototype, "dataCoordinates", {
        get: /**
         * @return {?}
         */
        function () {
            return this._dataCoordinates;
        },
        set: /**
         * @param {?} dataCoordinates
         * @return {?}
         */
        function (dataCoordinates) {
            this._dataCoordinates = dataCoordinates;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsVoxel.prototype, "screenCoordinates", {
        get: /**
         * @return {?}
         */
        function () {
            return this._screenCoordinates;
        },
        set: /**
         * @param {?} screenCoordinates
         * @return {?}
         */
        function (screenCoordinates) {
            this._screenCoordinates = screenCoordinates;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsVoxel.prototype, "value", {
        get: /**
         * @return {?}
         */
        function () {
            return this._value;
        },
        set: /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._value = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ModelsVoxel.prototype, "id", {
        get: /**
         * @return {?}
         */
        function () {
            return this._id;
        },
        set: /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            this._id = id;
        },
        enumerable: true,
        configurable: true
    });
    return ModelsVoxel;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
var /**
 * \@ module shaders/data
 */
ShadersUniform$1 = /** @class */ (function () {
    function ShadersUniform() {
    }
    /**
     * @return {?}
     */
    ShadersUniform.uniforms = /**
     * @return {?}
     */
    function () {
        return {
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uWidth: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uOpacity: {
                type: 'f',
                value: 1,
                typeGLSL: 'float',
            },
            uTextureFilled: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
        };
    };
    return ShadersUniform;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersFragment$1 = /** @class */ (function () {
    function ShadersFragment(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    ShadersFragment.prototype.functions = /**
     * @return {?}
     */
    function () {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        var content = '';
        for (var property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.uniforms = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = '';
        for (var property in this._uniforms) {
            /** @type {?} */
            var uniform = this._uniforms[property];
            content += "uniform " + uniform.typeGLSL + " " + property;
            if (uniform && uniform.length) {
                content += "[" + uniform.length + "]";
            }
            content += ';\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.main = /**
     * @return {?}
     */
    function () {
        // need to pre-call main to fill up the functions list
        this._main = "\n\nfloat luma (vec3 rgb) {\n  return (rgb.r + rgb.g + rgb.b)/3.0;\n}\n\nconst float T = 0.04;\nconst float M = 1.0;\nconst float L = 0.002;\n\nvoid main(void) {\n\n  vec2 texCoord = vec2(((vProjectedCoords.x / vProjectedCoords.w) + 1.0 ) / 2.0,\n                ((vProjectedCoords.y / vProjectedCoords.w) + 1.0 ) / 2.0 );\n\n  float borderWidth = uWidth; // in px\n  float step_u = borderWidth * 1.0 / uCanvasWidth;\n  float step_v = borderWidth * 1.0 / uCanvasHeight;\n  vec4 centerPixel = texture2D(uTextureFilled, texCoord);\n\n  vec4 rightPixel  = texture2D(uTextureFilled, texCoord + vec2(step_u, 0.0));\n  vec4 bottomPixel = texture2D(uTextureFilled, texCoord + vec2(0.0, step_v));\n\n  // now manually compute the derivatives\n  float _dFdX = length(rightPixel - centerPixel) / step_u;\n  float _dFdY = length(bottomPixel - centerPixel) / step_v;\n\n  // gl_FragColor.r = _dFdX;\n  // gl_FragColor.g = _dFdY;\n  gl_FragColor.r = max(max(centerPixel.r, rightPixel.r), bottomPixel.r);\n  gl_FragColor.g = max(max(centerPixel.g, rightPixel.g), bottomPixel.g);\n  gl_FragColor.b = max(max(centerPixel.b, rightPixel.b), bottomPixel.b);\n  float maxDerivative = max(_dFdX, _dFdY);\n  float clampedDerivative = clamp(maxDerivative, 0., 1.);\n  gl_FragColor.a = uOpacity * clampedDerivative;\n\n  return;\n  // float h = 1./uCanvasHeight;\n  // float w = 1./uCanvasWidth;\n  // vec4 n[9];\n  // n[0] = texture2D(uTextureFilled, vProjectedTextCoords + vec2( -w, -h));\n  // n[1] = texture2D(uTextureFilled, vProjectedTextCoords + vec2(0.0, -h));\n  // n[2] = texture2D(uTextureFilled, vProjectedTextCoords + vec2(  w, -h));\n  // n[3] = texture2D(uTextureFilled, vProjectedTextCoords + vec2( -w, 0.0));\n  // n[4] = texture2D(uTextureFilled, vProjectedTextCoords);\n  // n[5] = texture2D(uTextureFilled, texCoord + vec2(  w, 0.0));\n  // n[6] = texture2D(uTextureFilled, texCoord + vec2( -w, h));\n  // n[7] = texture2D(uTextureFilled, texCoord + vec2(0.0, h));\n  // n[8] = texture2D(uTextureFilled, texCoord + vec2(  w, h));\n  // vec4 sobel_horizEdge = n[2] + (2.0*n[5]) + n[8] - (n[0] + (2.0*n[3]) + n[6]);\n  // vec4 sobel_vertEdge  = n[0] + (2.0*n[1]) + n[2] - (n[6] + (2.0*n[7]) + n[8]);\n  // vec3 sobel = sqrt((sobel_horizEdge.rgb * sobel_horizEdge.rgb) + (sobel_vertEdge.rgb * sobel_vertEdge.rgb));\n  // gl_FragColor = vec4( sobel, max(max(sobel.r, sobel.g), sobel.b) );\n\n  // return;\n}\n   ";
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.compute = /**
     * @return {?}
     */
    function () {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return "\n// uniforms\n" + this.uniforms() + "\n\n// varying (should fetch it from vertex directly)\nvarying vec4      vProjectedCoords;\n\n// tailored functions\n" + this.functions() + "\n\n// main loop\n" + this._main + "\n      ";
    };
    return ShadersFragment;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersVertex$1 = /** @class */ (function () {
    function ShadersVertex() {
    }
    /**
     * @return {?}
     */
    ShadersVertex.prototype.compute = /**
     * @return {?}
     */
    function () {
        return "\nvarying vec4 vProjectedCoords;\n\n//\n// main\n//\nvoid main() {\n\n  vec4 vPos = modelMatrix * vec4(position, 1.0 );\n  mat4 vProjectionViewMatrix = projectionMatrix * viewMatrix;\n  vProjectedCoords =  projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );\n\n}\n        ";
    };
    return ShadersVertex;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
var /**
 * \@ module shaders/data
 */
ShadersUniform$2 = /** @class */ (function () {
    function ShadersUniform() {
    }
    /**
     * Shaders data uniforms
     */
    /**
     * Shaders data uniforms
     * @return {?}
     */
    ShadersUniform.uniforms = /**
     * Shaders data uniforms
     * @return {?}
     */
    function () {
        return {
            uTextureSize: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureContainer: {
                type: 'tv',
                value: [],
                typeGLSL: 'sampler2D',
                length: 7,
            },
            uDataDimensions: {
                type: 'iv',
                value: [0, 0, 0],
                typeGLSL: 'ivec3',
            },
            uWorldToData: {
                type: 'm4',
                value: new Matrix4$1(),
                typeGLSL: 'mat4',
            },
            uWindowCenterWidth: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uLowerUpperThreshold: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uRescaleSlopeIntercept: {
                type: 'fv1',
                value: [0.0, 0.0],
                typeGLSL: 'float',
                length: 2,
            },
            uNumberOfChannels: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uBitsAllocated: {
                type: 'i',
                value: 8,
                typeGLSL: 'int',
            },
            uInvert: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uLut: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUT: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uLutSegmentation: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uTextureLUTSegmentation: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uPixelType: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uPackedPerPixel: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uInterpolation: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uBorderColor: {
                type: 'v3',
                value: [1.0, 0.0, 0.5],
                typeGLSL: 'vec3',
            },
            uBorderWidth: {
                type: 'f',
                value: 2,
                typeGLSL: 'float',
            },
            uBorderMargin: {
                type: 'f',
                value: 2,
                typeGLSL: 'float',
            },
            uBorderDashLength: {
                type: 'f',
                value: 10,
                typeGLSL: 'float',
            },
            uOpacity: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uSpacing: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uThickness: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uThicknessMethod: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
        };
    };
    return ShadersUniform;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersFragment$2 = /** @class */ (function () {
    function ShadersFragment(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    ShadersFragment.prototype.functions = /**
     * @return {?}
     */
    function () {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        var content = '';
        for (var property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.uniforms = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = '';
        for (var property in this._uniforms) {
            /** @type {?} */
            var uniform = this._uniforms[property];
            content += "uniform " + uniform.typeGLSL + " " + property;
            if (uniform && uniform.length) {
                content += "[" + uniform.length + "]";
            }
            content += ';\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.main = /**
     * @return {?}
     */
    function () {
        // need to pre-call main to fill up the functions list
        this._main = "\nvoid main(void) {\n\n  // draw border if slice is cropped\n  // float uBorderDashLength = 10.;\n\n  if( uCanvasWidth > 0. &&\n      ((gl_FragCoord.x > uBorderMargin && (gl_FragCoord.x - uBorderMargin) < uBorderWidth) ||\n       (gl_FragCoord.x < (uCanvasWidth - uBorderMargin) && (gl_FragCoord.x + uBorderMargin) > (uCanvasWidth - uBorderWidth) ))){\n    float valueY = mod(gl_FragCoord.y, 2. * uBorderDashLength);\n    if( valueY < uBorderDashLength && gl_FragCoord.y > uBorderMargin && gl_FragCoord.y < (uCanvasHeight - uBorderMargin) ){\n      gl_FragColor = vec4(uBorderColor, 1.);\n      return;\n    }\n  }\n\n  if( uCanvasHeight > 0. &&\n      ((gl_FragCoord.y > uBorderMargin && (gl_FragCoord.y - uBorderMargin) < uBorderWidth) ||\n       (gl_FragCoord.y < (uCanvasHeight - uBorderMargin) && (gl_FragCoord.y + uBorderMargin) > (uCanvasHeight - uBorderWidth) ))){\n    float valueX = mod(gl_FragCoord.x, 2. * uBorderDashLength);\n    if( valueX < uBorderDashLength && gl_FragCoord.x > uBorderMargin && gl_FragCoord.x < (uCanvasWidth - uBorderMargin) ){\n      gl_FragColor = vec4(uBorderColor, 1.);\n      return;\n    }\n  }\n\n  // get texture coordinates of current pixel\n  vec4 dataValue = vec4(0.);\n  vec3 gradient = vec3(1.); // gradient calculations will be skipped if it is equal to vec3(1.)\n  float steps = floor(uThickness / uSpacing + 0.5);\n\n  if (steps > 1.) {\n    vec3 origin = vPos - uThickness * 0.5 * vNormal;\n    vec4 dataValueAcc = vec4(0.);\n    for (float step = 0.; step < 128.; step++) {\n      if (step >= steps) {\n        break;\n      }\n\n      vec4 dataCoordinates = uWorldToData * vec4(origin + step * uSpacing * vNormal, 1.);\n      vec3 currentVoxel = dataCoordinates.xyz;\n      " + shadersInterpolation(this, 'currentVoxel', 'dataValueAcc', 'gradient') + ";\n\n      if (step == 0.) {\n        dataValue.r = dataValueAcc.r;\n        continue;\n      }\n\n      if (uThicknessMethod == 0) {\n        dataValue.r = max(dataValueAcc.r, dataValue.r);\n      }\n      if (uThicknessMethod == 1) {\n        dataValue.r += dataValueAcc.r;\n      }\n      if (uThicknessMethod == 2) {\n        dataValue.r = min(dataValueAcc.r, dataValue.r);\n      }\n    }\n\n    if (uThicknessMethod == 1) {\n      dataValue.r /= steps;\n    }\n  } else {\n    vec4 dataCoordinates = uWorldToData * vec4(vPos, 1.);\n    vec3 currentVoxel = dataCoordinates.xyz;\n    " + shadersInterpolation(this, 'currentVoxel', 'dataValue', 'gradient') + "\n  }\n\n  if(uNumberOfChannels == 1){\n    // rescale/slope\n    float realIntensity = dataValue.r * uRescaleSlopeIntercept[0] + uRescaleSlopeIntercept[1];\n\n    // threshold\n    if (realIntensity < uLowerUpperThreshold[0] || realIntensity > uLowerUpperThreshold[1]) {\n      discard;\n    }\n\n    // normalize\n    float windowMin = uWindowCenterWidth[0] - uWindowCenterWidth[1] * 0.5;\n    float normalizedIntensity =\n      ( realIntensity - windowMin ) / uWindowCenterWidth[1];\n    dataValue.r = dataValue.g = dataValue.b = normalizedIntensity;\n    dataValue.a = 1.;\n\n    // apply LUT\n    if(uLut == 1){\n      // should opacity be grabbed there?\n      dataValue = texture2D( uTextureLUT, vec2( normalizedIntensity , 1.0) );\n    }\n\n    // apply segmentation\n    if(uLutSegmentation == 1){\n      // should opacity be grabbed there?\n      //\n      float textureWidth = 256.;\n      float textureHeight = 128.;\n      float min = 0.;\n      // start at 0!\n      int adjustedIntensity = int(floor(realIntensity + 0.5));\n\n      // Get row and column in the texture\n      int colIndex = int(mod(float(adjustedIntensity), textureWidth));\n      int rowIndex = int(floor(float(adjustedIntensity)/textureWidth));\n\n      float texWidth = 1./textureWidth;\n      float texHeight = 1./textureHeight;\n\n      // Map row and column to uv\n      vec2 uv = vec2(0,0);\n      uv.x = 0.5 * texWidth + (texWidth * float(colIndex));\n      uv.y = 1. - (0.5 * texHeight + float(rowIndex) * texHeight);\n\n      dataValue = texture2D( uTextureLUTSegmentation, uv );\n    }\n  }\n\n  if(uInvert == 1){\n    dataValue.xyz = vec3(1.) - dataValue.xyz;\n  }\n\n  dataValue.a = dataValue.a*uOpacity;\n\n  gl_FragColor = dataValue;\n}\n   ";
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.compute = /**
     * @return {?}
     */
    function () {
        return "\n// uniforms\n" + this.uniforms() + "\n\n// varying (should fetch it from vertex directly)\nvarying vec3 vPos;\nvarying vec3 vNormal;\n\n// tailored functions\n" + this.functions() + "\n\n// main loop\n" + this._main + "\n      ";
    };
    return ShadersFragment;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersVertex$2 = /** @class */ (function () {
    function ShadersVertex() {
    }
    /**
     * @return {?}
     */
    ShadersVertex.prototype.compute = /**
     * @return {?}
     */
    function () {
        return "\nvarying vec3 vPos;\nvarying vec3 vNormal;\n\nvoid main() {\n  vNormal = normal;\n  vPos = (modelMatrix * vec4(position, 1.0 )).xyz;\n  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );\n\n}\n        ";
    };
    return ShadersVertex;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * \@ module shaders/data
 */
var /**
 * \@ module shaders/data
 */
ShadersUniform$3 = /** @class */ (function () {
    function ShadersUniform() {
    }
    /**
     * @return {?}
     */
    ShadersUniform.uniforms = /**
     * @return {?}
     */
    function () {
        return {
            uTextureBackTest0: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uTextureBackTest1: {
                type: 't',
                value: [],
                typeGLSL: 'sampler2D',
            },
            uOpacity0: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uOpacity1: {
                type: 'f',
                value: 1.0,
                typeGLSL: 'float',
            },
            uType0: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uType1: {
                type: 'i',
                value: 1,
                typeGLSL: 'int',
            },
            uTrackMouse: {
                type: 'i',
                value: 0,
                typeGLSL: 'int',
            },
            uMouse: {
                type: 'v2',
                value: new Vector2(),
                typeGLSL: 'vec2',
            },
        };
    };
    return ShadersUniform;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersFragment$3 = /** @class */ (function () {
    function ShadersFragment(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     * @return {?}
     */
    ShadersFragment.prototype.functions = /**
     * @return {?}
     */
    function () {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        var content = '';
        for (var property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.uniforms = /**
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = '';
        for (var property in this._uniforms) {
            /** @type {?} */
            var uniform = this._uniforms[property];
            content += "uniform " + uniform.typeGLSL + " " + property;
            if (uniform && uniform.length) {
                content += "[" + uniform.length + "]";
            }
            content += ';\n';
        }
        return content;
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.main = /**
     * @return {?}
     */
    function () {
        // need to pre-call main to fill up the functions list
        this._main = "\nvoid main(void) {\n\n  vec2 texc = vec2(((vProjectedCoords.x / vProjectedCoords.w) + 1.0 ) / 2.0,\n                ((vProjectedCoords.y / vProjectedCoords.w) + 1.0 ) / 2.0 );\n\n  // just silence warning for\n  // vec4 dummy = vPos;\n\n  //The back position is the world space position stored in the texture.\n  vec4 baseColor0 = texture2D(uTextureBackTest0, texc);\n  vec4 baseColor1 = texture2D(uTextureBackTest1, texc);\n\n  if( uTrackMouse == 1 ){\n\n      if( vProjectedCoords.x < uMouse.x ){\n\n        gl_FragColor = baseColor0;\n\n      }\n      else{\n\n        gl_FragColor = mix( baseColor0, baseColor1, uOpacity1 );\n\n      }\n\n  }\n  else{\n\n    if( uType1 == 0 ){\n\n      //merge an image into\n      gl_FragColor = mix( baseColor0, baseColor1, uOpacity1 );\n\n    }\n    else{\n\n      float opacity = baseColor1.a;\n      gl_FragColor = mix( baseColor0, baseColor1, opacity * uOpacity1 );\n\n    }\n\n  }\n\n  return;\n}\n   ";
    };
    /**
     * @return {?}
     */
    ShadersFragment.prototype.compute = /**
     * @return {?}
     */
    function () {
        // shaderInterpolation.inline(args) //true/false
        // shaderInterpolation.functions(args)
        return "\n// uniforms\n" + this.uniforms() + "\n\n// varying (should fetch it from vertex directly)\n// varying vec4      vPos;\nvarying vec4      vProjectedCoords;\n\n// tailored functions\n" + this.functions() + "\n\n// main loop\n" + this._main + "\n      ";
    };
    return ShadersFragment;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
var ShadersVertex$3 = /** @class */ (function () {
    function ShadersVertex() {
    }
    /**
     * @return {?}
     */
    ShadersVertex.prototype.compute = /**
     * @return {?}
     */
    function () {
        return "\n// varying vec4 vPos;\nvarying vec4 vProjectedCoords;\n\n//\n// main\n//\nvoid main() {\n\n  vec4 vPos = modelMatrix * vec4(position, 1.0 );\n  vProjectedCoords =  projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );\n\n}\n        ";
    };
    return ShadersVertex;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * @ module shaders/localizer/uniforms
 */
var default_1 = /** @class */ (function () {
    function default_1() {
    }
    /**
     * Shaders data uniforms
     */
    /**
     * Shaders data uniforms
     * @return {?}
     */
    default_1.uniforms = /**
     * Shaders data uniforms
     * @return {?}
     */
    function () {
        return {
            uCanvasWidth: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uCanvasHeight: {
                type: 'f',
                value: 0,
                typeGLSL: 'float',
            },
            uSlice: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlane1: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor1: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uPlane2: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor2: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
            uPlane3: {
                type: 'v4',
                value: [0.0, 0.0, 0.0, 0.0],
                typeGLSL: 'vec4',
            },
            uPlaneColor3: {
                type: 'v3',
                value: [1.0, 1.0, 0.0],
                typeGLSL: 'vec3',
            },
        };
    };
    return default_1;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 * Localizer fragment shader
 */
var /**
 * Localizer fragment shader
 */
default_1$1 = /** @class */ (function () {
    function default_1(uniforms) {
        this._functions = {};
        this._main = '';
        this._uniforms = uniforms;
        this._functions = {};
        this._main = '';
    }
    /**
     *
     */
    /**
     *
     * @return {?}
     */
    default_1.prototype.functions = /**
     *
     * @return {?}
     */
    function () {
        if (this._main === '') {
            // if main is empty, functions can not have been computed
            this.main();
        }
        /** @type {?} */
        var content = '';
        for (var property in this._functions) {
            content += this._functions[property] + '\n';
        }
        return content;
    };
    /**
     *
     */
    /**
     *
     * @return {?}
     */
    default_1.prototype.uniforms = /**
     *
     * @return {?}
     */
    function () {
        /** @type {?} */
        var content = '';
        for (var property in this._uniforms) {
            /** @type {?} */
            var uniform = this._uniforms[property];
            content += "uniform " + uniform.typeGLSL + " " + property;
            if (uniform && uniform.length) {
                content += "[" + uniform.length + "]";
            }
            content += ';\n';
        }
        return content;
    };
    /**
     *
     */
    /**
     *
     * @return {?}
     */
    default_1.prototype.main = /**
     *
     * @return {?}
     */
    function () {
        // need to pre-call main to fill up the functions list
        this._main = "\nvoid intersectionProjection(\n  in vec4 plane,\n  in vec4 slice,\n  out vec3 intersectionProjection){\n\n      vec3 intersectionDirection = normalize(cross(plane.xyz, slice.xyz));\n      vec3 intersectionPoint =\n        cross(intersectionDirection,slice.xyz) * plane.w +\n        cross(plane.xyz, intersectionDirection) * slice.w;\n\n      intersectionProjection =\n        intersectionPoint.xyz +\n        (dot(vPos.xyz - intersectionPoint, intersectionDirection)\n          * intersectionDirection);\n\n}\n\nvoid main(void) {\n      vec4 c1 = vec4(0., 0., 0., 0.);\n      vec4 c2 = vec4(0., 0., 0., 0.);\n      vec4 c3 = vec4(0., 0., 0., 0.);\n\n      // localizer #1\n      // must be normalized!\n      if(length(uPlane1.xyz) > 0.5) {\n        vec3 projection1 = vec3(1.);\n        intersectionProjection(\n          uPlane1,\n          uSlice,\n          projection1\n        );\n\n        vec4 projInter1 = (vProjectionViewMatrix * vec4(projection1, 1.));\n        vec3 ndc1 = projInter1.xyz / projInter1.w;\n        vec2 screenSpace1 = (ndc1.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);\n\n        float d1 = distance(gl_FragCoord.xy, screenSpace1.xy);\n        c1 = vec4(uPlaneColor1, 1. - smoothstep(.5, .7, d1));\n      }\n\n      // localizer #2\n      if(length(uPlane2.xyz) > 0.5) {\n        vec3 projection2 = vec3(1.);\n        intersectionProjection(\n          uPlane2,\n          uSlice,\n          projection2\n        );\n\n        vec4 projInter2 = (vProjectionViewMatrix * vec4(projection2, 1.));\n        vec3 ndc2 = projInter2.xyz / projInter2.w;\n        vec2 screenSpace2 = (ndc2.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);\n\n        float d2 = distance(gl_FragCoord.xy, screenSpace2.xy);\n        c2 = vec4(uPlaneColor2, 1. - smoothstep(.5, .7, d2));\n      }\n\n      // localizer #3\n      if(length(uPlane3.xyz) > 0.5) {\n        vec3 projection3 = vec3(1.);\n        intersectionProjection(\n          uPlane3,\n          uSlice,\n          projection3\n        );\n\n        vec4 projInter3 = (vProjectionViewMatrix * vec4(projection3, 1.));\n        vec3 ndc3 = projInter3.xyz / projInter3.w;\n        vec2 screenSpace3 = (ndc3.xy * .5 + .5) * vec2(uCanvasWidth, uCanvasHeight);\n\n        float d3 = distance(gl_FragCoord.xy, screenSpace3.xy);\n        c3 = vec4(uPlaneColor3, 1. - smoothstep(.5, .7, d3));\n      }\n\n      // float uBorderDashLength = 10.0;\n      // float uBorderWidth = 2.0;\n      // float valueX = mod(gl_FragCoord.x, 2. * uBorderDashLength);\n      // float valueY = mod(gl_FragCoord.y, 2. * uBorderDashLength);\n      // if( valueX < uBorderDashLength || valueY < uBorderDashLength ){\n        vec3 colorMix = c1.xyz*c1.w + c2.xyz*c2.w + c3.xyz*c3.w;\n        gl_FragColor = vec4(colorMix, max(max(c1.w, c2.w),c3.w)*0.5);\n        return;\n      // }\n\n      // gl_FragColor = vec4(0., 0., 0., 0.);\n      // return;\n}\n   ";
    };
    /**
     *
     */
    /**
     *
     * @return {?}
     */
    default_1.prototype.compute = /**
     *
     * @return {?}
     */
    function () {
        return "\n// uniforms\n" + this.uniforms() + "\n\n// varying (should fetch it from vertex directly)\nvarying vec4 vPos;\nvarying mat4 vProjectionViewMatrix;\n\n// tailored functions\n" + this.functions() + "\n\n// main loop\n" + this._main + "\n      ";
    };
    return default_1;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */
/**
 *
 */
var /**
 *
 */
default_1$2 = /** @class */ (function () {
    function default_1() {
    }
    /**
     *
     */
    /**
     *
     * @return {?}
     */
    default_1.prototype.compute = /**
     *
     * @return {?}
     */
    function () {
        return "\nvarying vec4 vPos;\nvarying mat4 vProjectionViewMatrix;\n\n//\n// main\n//\nvoid main() {\n\n  vPos = modelMatrix * vec4(position, 1.0 );\n  vProjectionViewMatrix = projectionMatrix * viewMatrix;\n  gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0 );\n\n}\n        ";
    };
    return default_1;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes,extraRequire,missingOverride,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
 */

export { BoundingBox2FromBox2, BoundingBox2FromCenterSize, BoundingBox2FromLRTB, Boundingbox2Controller, COLORS, CanvasState, CircleModel, Colormaps, ShadersFragment$1 as ContourFragmentShader, ShadersUniform$1 as ContourUniformShader, ShadersVertex$1 as ContourVertexShader, CrossLineModel, CubeModel, ShadersFragment$2 as DataFragmentShader, ShadersUniform$2 as DataUniformShader, ShadersVertex$2 as DataVertexShader, Direction, EntityComponent, EntityState, FovModel, GrayImage2, GrayImage2PixelwiseFilter, GrayImage2ScaleOffsetFilter, GrayImage2WindowFilter, GrayImage3, HelperLut, HelpersVolumeRendering, Hospital, ImageState, ImageWComponent, ImageWModule, ImageWService, InfoPlanceModel, ShadersFragment$3 as LayerFragmentShader, ShadersUniform$3 as LayerUniformShader, ShadersVertex$3 as LayerVertexShader, LineModel, default_1$1 as LocalizerFragmentShader, default_1 as LocalizerUniformShader, default_1$2 as LocalizerVertexShader, OBJModel, Patient, Physics, Plane2Model, ProfileModel, RGBImage2, Range2, Ring, RingModel, Scale, Slicer, SphereModel, StoreByArray, TEST_MODELS, UserDefinedModel, ShadersFragment as VRFragmentShader, VRMLLoader, VRMLModel, ShadersUniform as VRUniformShader, ShadersVertex as VRVertexShader, VolumeModel, Zoom, applyColormap, applyColormapObservable, applyFilters, applySlicer, b64ToFloat32Array, drawArrow, dummyGrayImage, dummyGrayImage3, dummyRGBImage, eqId, fetchCommonValue, imageMinMax, imageShapeOfDirection, intersectBoundingBox2, moveBoundingBox2By, moveBoundingBox2To, provideParent, resizePlane2ModelByCorner, resizePlane2ModelByEdge, sequenceDummyGrayImage2, store, updateBoxByDirection, NgThreeModule as ɵa, CanvasComponent as ɵb, ToolEntityComponent as ɵba, ZStoreService as ɵbb, EntityStoreService as ɵbc, MultiCanvasService as ɵbd, ImageStoreService as ɵbe, ImageStoreModule as ɵbf, LocalImageLoaderComponent as ɵbg, LocalImageLoaderService as ɵbh, HttpImageLoaderComponent as ɵbi, HttpImageLoaderService as ɵbj, CrossLineComponent as ɵbl, InfoComponent as ɵbm, EventDistributeComponent as ɵbn, FovComponent as ɵbo, VolumeRenderingComponent as ɵbp, EntitiesService as ɵbq, ImageSliceShowModule as ɵbr, ColormapComponent as ɵbs, DirectionComponent as ɵbt, WindowComponent as ɵbu, Image3dComponent as ɵbv, Image2dComponent as ɵbw, ImagecrosslineComponent as ɵbx, GroupedcrosslineService as ɵby, Image2dGrayComponent as ɵbz, SceneService as ɵc, MultiCanvasModule as ɵca, MultiSliceCanvasComponent as ɵcb, CornerInfoService as ɵcc, EventDistributeService as ɵcd, GetStackService as ɵce, MultiCanvasControllerComponent as ɵcf, ToolboxComponent as ɵcg, CornerInfoModule as ɵch, CornerInfoComponent as ɵci, EntityStoreModule as ɵcj, CanvasService as ɵd, RendererService as ɵe, MouseCanvasService as ɵf, OrthographicCameraComponent as ɵg, PerspectiveCameraComponent as ɵh, OrbitControlsComponent as ɵi, LineComponent as ɵj, CubeComponent as ɵk, PlaneComponent as ɵl, MouseEntityComponent as ɵm, MouseEntityService as ɵn, ControlsComponent as ɵo, ResizePlaneComponent as ɵp, MovePlaneComponent as ɵq, ResizePlaneEdgeComponent as ɵr, ResizePlaneCornerComponent as ɵs, SphereComponent as ɵt, CircleComponent as ɵu, RingComponent as ɵv, ObjLoaderComponent as ɵw, ProfileComponent as ɵx, VrmlLoaderComponent as ɵy, ShapeComponent as ɵz };
//# sourceMappingURL=image-w.js.map
